/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_AFC_TOP_H__
#define __BRCM_RDB_AFC_TOP_H__

#define AFC_TOP_FNG_0_AFC_OFFSET                                          0x00000000
#define AFC_TOP_FNG_0_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_0_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_0_AFC_FNG0_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_0_AFC_FNG0_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_0_AFC_FNG0_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_0_AFC_FNG0_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_0_AFC_FNG0_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_0_AFC_FNG0_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_0_AFC_FNG0_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_0_AFC_FNG0_AFC_EN_MASK                             0x00000001

#define AFC_TOP_FNG_1_AFC_OFFSET                                          0x00000004
#define AFC_TOP_FNG_1_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_1_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_1_AFC_FNG1_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_1_AFC_FNG1_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_1_AFC_FNG1_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_1_AFC_FNG1_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_1_AFC_FNG1_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_1_AFC_FNG1_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_1_AFC_FNG1_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_1_AFC_FNG1_AFC_EN_MASK                             0x00000001

#define AFC_TOP_FNG_2_AFC_OFFSET                                          0x00000008
#define AFC_TOP_FNG_2_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_2_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_2_AFC_FNG2_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_2_AFC_FNG2_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_2_AFC_FNG2_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_2_AFC_FNG2_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_2_AFC_FNG2_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_2_AFC_FNG2_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_2_AFC_FNG2_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_2_AFC_FNG2_AFC_EN_MASK                             0x00000001

#define AFC_TOP_FNG_3_AFC_OFFSET                                          0x0000000C
#define AFC_TOP_FNG_3_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_3_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_3_AFC_FNG3_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_3_AFC_FNG3_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_3_AFC_FNG3_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_3_AFC_FNG3_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_3_AFC_FNG3_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_3_AFC_FNG3_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_3_AFC_FNG3_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_3_AFC_FNG3_AFC_EN_MASK                             0x00000001

#define AFC_TOP_FNG_4_AFC_OFFSET                                          0x00000010
#define AFC_TOP_FNG_4_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_4_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_4_AFC_FNG4_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_4_AFC_FNG4_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_4_AFC_FNG4_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_4_AFC_FNG4_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_4_AFC_FNG4_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_4_AFC_FNG4_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_4_AFC_FNG4_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_4_AFC_FNG4_AFC_EN_MASK                             0x00000001

#define AFC_TOP_FNG_5_AFC_OFFSET                                          0x00000014
#define AFC_TOP_FNG_5_AFC_TYPE                                            UInt32
#define AFC_TOP_FNG_5_AFC_RESERVED_MASK                                   0xFFFF0EEE
#define    AFC_TOP_FNG_5_AFC_FNG5_AFC_VPGAIN_SHIFT                        12
#define    AFC_TOP_FNG_5_AFC_FNG5_AFC_VPGAIN_MASK                         0x0000F000
#define    AFC_TOP_FNG_5_AFC_FNG5_TXDIV_ENA_SHIFT                         8
#define    AFC_TOP_FNG_5_AFC_FNG5_TXDIV_ENA_MASK                          0x00000100
#define    AFC_TOP_FNG_5_AFC_FNG5_LOCK_SHIFT                              4
#define    AFC_TOP_FNG_5_AFC_FNG5_LOCK_MASK                               0x00000010
#define    AFC_TOP_FNG_5_AFC_FNG5_AFC_EN_SHIFT                            0
#define    AFC_TOP_FNG_5_AFC_FNG5_AFC_EN_MASK                             0x00000001

#define AFC_TOP_AFC_FREQ_OFFSET                                           0x00000018
#define AFC_TOP_AFC_FREQ_TYPE                                             UInt32
#define AFC_TOP_AFC_FREQ_RESERVED_MASK                                    0xFFF000CE
#define    AFC_TOP_AFC_FREQ_AFC_FREQ_MRC_SHIFT                            8
#define    AFC_TOP_AFC_FREQ_AFC_FREQ_MRC_MASK                             0x000FFF00
#define    AFC_TOP_AFC_FREQ_AFC_ACC_LEN_SHIFT                             4
#define    AFC_TOP_AFC_FREQ_AFC_ACC_LEN_MASK                              0x00000030
#define    AFC_TOP_AFC_FREQ_AFC_FREQ_EN_SHIFT                             0
#define    AFC_TOP_AFC_FREQ_AFC_FREQ_EN_MASK                              0x00000001

#define AFC_TOP_AFC_LOOP_GAIN_OFFSET                                      0x0000001C
#define AFC_TOP_AFC_LOOP_GAIN_TYPE                                        UInt32
#define AFC_TOP_AFC_LOOP_GAIN_RESERVED_MASK                               0x00000000
#define    AFC_TOP_AFC_LOOP_GAIN_AFC_FREQ_ERR_SHIFT                       4
#define    AFC_TOP_AFC_LOOP_GAIN_AFC_FREQ_ERR_MASK                        0xFFFFFFF0
#define    AFC_TOP_AFC_LOOP_GAIN_AFC_LOOP_GAIN_SHIFT                      0
#define    AFC_TOP_AFC_LOOP_GAIN_AFC_LOOP_GAIN_MASK                       0x0000000F

#define AFC_TOP_AFC_FREQ_AVG_OFFSET                                       0x00000020
#define AFC_TOP_AFC_FREQ_AVG_TYPE                                         UInt32
#define AFC_TOP_AFC_FREQ_AVG_RESERVED_MASK                                0xFFFF0000
#define    AFC_TOP_AFC_FREQ_AVG_AFC_FREQ_AVG_SHIFT                        4
#define    AFC_TOP_AFC_FREQ_AVG_AFC_FREQ_AVG_MASK                         0x0000FFF0
#define    AFC_TOP_AFC_FREQ_AVG_AFC_FREQ_AVG_BW_SHIFT                     0
#define    AFC_TOP_AFC_FREQ_AVG_AFC_FREQ_AVG_BW_MASK                      0x0000000F

#define AFC_TOP_CONTROL_LOOP_OFFSET                                       0x00000024
#define AFC_TOP_CONTROL_LOOP_TYPE                                         UInt32
#define AFC_TOP_CONTROL_LOOP_RESERVED_MASK                                0x00000066
#define    AFC_TOP_CONTROL_LOOP_AFC_LOOP_CPU_RH_800_SHIFT                 20
#define    AFC_TOP_CONTROL_LOOP_AFC_LOOP_CPU_RH_800_MASK                  0xFFF00000
#define    AFC_TOP_CONTROL_LOOP_LOOP_INIT_FREQ_SHIFT                      8
#define    AFC_TOP_CONTROL_LOOP_LOOP_INIT_FREQ_MASK                       0x000FFF00
#define    AFC_TOP_CONTROL_LOOP_AFC_ACC_CLEAR_DONE_SHIFT                  7
#define    AFC_TOP_CONTROL_LOOP_AFC_ACC_CLEAR_DONE_MASK                   0x00000080
#define    AFC_TOP_CONTROL_LOOP_FREQ_ERROR_INV_SHIFT                      4
#define    AFC_TOP_CONTROL_LOOP_FREQ_ERROR_INV_MASK                       0x00000010
#define    AFC_TOP_CONTROL_LOOP_AFC_ACC_CLEAR_SHIFT                       3
#define    AFC_TOP_CONTROL_LOOP_AFC_ACC_CLEAR_MASK                        0x00000008
#define    AFC_TOP_CONTROL_LOOP_COSED_LOOP_EN_SHIFT                       0
#define    AFC_TOP_CONTROL_LOOP_COSED_LOOP_EN_MASK                        0x00000001

#define AFC_TOP_AFC_LOOP_LIM_OFFSET                                       0x00000028
#define AFC_TOP_AFC_LOOP_LIM_TYPE                                         UInt32
#define AFC_TOP_AFC_LOOP_LIM_RESERVED_MASK                                0xF000F000
#define    AFC_TOP_AFC_LOOP_LIM_AFC_LOOP_LO_LIM_SHIFT                     16
#define    AFC_TOP_AFC_LOOP_LIM_AFC_LOOP_LO_LIM_MASK                      0x0FFF0000
#define    AFC_TOP_AFC_LOOP_LIM_AFC_LOOP_UP_LIM_SHIFT                     0
#define    AFC_TOP_AFC_LOOP_LIM_AFC_LOOP_UP_LIM_MASK                      0x00000FFF

#define AFC_TOP_AFC_DEBUG_SEL_OFFSET                                      0x00000030
#define AFC_TOP_AFC_DEBUG_SEL_TYPE                                        UInt32
#define AFC_TOP_AFC_DEBUG_SEL_RESERVED_MASK                               0x7FFFFFFC
#define    AFC_TOP_AFC_DEBUG_SEL_AFC_PRESET_FIX_SHIFT                     31
#define    AFC_TOP_AFC_DEBUG_SEL_AFC_PRESET_FIX_MASK                      0x80000000
#define    AFC_TOP_AFC_DEBUG_SEL_AFC_DEBUG_SEL_SHIFT                      0
#define    AFC_TOP_AFC_DEBUG_SEL_AFC_DEBUG_SEL_MASK                       0x00000003

#define AFC_TOP_AFC_0_ERROR_OFFSET                                        0x00000034
#define AFC_TOP_AFC_0_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_0_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_0_ERROR_FNG0_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_0_ERROR_FNG0_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_0_ERROR_FNG0_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_0_ERROR_FNG0_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_1_ERROR_OFFSET                                        0x00000038
#define AFC_TOP_AFC_1_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_1_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_1_ERROR_FNG1_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_1_ERROR_FNG1_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_1_ERROR_FNG1_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_1_ERROR_FNG1_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_2_ERROR_OFFSET                                        0x0000003C
#define AFC_TOP_AFC_2_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_2_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_2_ERROR_FNG2_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_2_ERROR_FNG2_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_2_ERROR_FNG2_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_2_ERROR_FNG2_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_3_ERROR_OFFSET                                        0x00000040
#define AFC_TOP_AFC_3_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_3_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_3_ERROR_FNG3_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_3_ERROR_FNG3_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_3_ERROR_FNG3_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_3_ERROR_FNG3_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_4_ERROR_OFFSET                                        0x00000044
#define AFC_TOP_AFC_4_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_4_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_4_ERROR_FNG4_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_4_ERROR_FNG4_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_4_ERROR_FNG4_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_4_ERROR_FNG4_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_5_ERROR_OFFSET                                        0x00000048
#define AFC_TOP_AFC_5_ERROR_TYPE                                          UInt32
#define AFC_TOP_AFC_5_ERROR_RESERVED_MASK                                 0x00000000
#define    AFC_TOP_AFC_5_ERROR_FNG5_TXDIV_FREQ_OUT_SHIFT                  16
#define    AFC_TOP_AFC_5_ERROR_FNG5_TXDIV_FREQ_OUT_MASK                   0xFFFF0000
#define    AFC_TOP_AFC_5_ERROR_FNG5_NODIV_FREQ_OUT_SHIFT                  0
#define    AFC_TOP_AFC_5_ERROR_FNG5_NODIV_FREQ_OUT_MASK                   0x0000FFFF

#define AFC_TOP_AFC_0_SLOT_AVE_RE_OFFSET                                  0x0000004C
#define AFC_TOP_AFC_0_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_0_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_0_SLOT_AVE_RE_FNG0_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_0_SLOT_AVE_RE_FNG0_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_0_SLOT_AVE_IM_OFFSET                                  0x00000050
#define AFC_TOP_AFC_0_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_0_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_0_SLOT_AVE_IM_FNG0_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_0_SLOT_AVE_IM_FNG0_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_1_SLOT_AVE_RE_OFFSET                                  0x00000054
#define AFC_TOP_AFC_1_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_1_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_1_SLOT_AVE_RE_FNG1_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_1_SLOT_AVE_RE_FNG1_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_1_SLOT_AVE_IM_OFFSET                                  0x00000058
#define AFC_TOP_AFC_1_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_1_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_1_SLOT_AVE_IM_FNG1_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_1_SLOT_AVE_IM_FNG1_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_2_SLOT_AVE_RE_OFFSET                                  0x0000005C
#define AFC_TOP_AFC_2_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_2_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_2_SLOT_AVE_RE_FNG2_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_2_SLOT_AVE_RE_FNG2_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_2_SLOT_AVE_IM_OFFSET                                  0x00000060
#define AFC_TOP_AFC_2_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_2_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_2_SLOT_AVE_IM_FNG2_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_2_SLOT_AVE_IM_FNG2_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_3_SLOT_AVE_RE_OFFSET                                  0x00000064
#define AFC_TOP_AFC_3_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_3_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_3_SLOT_AVE_RE_FNG3_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_3_SLOT_AVE_RE_FNG3_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_3_SLOT_AVE_IM_OFFSET                                  0x00000068
#define AFC_TOP_AFC_3_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_3_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_3_SLOT_AVE_IM_FNG3_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_3_SLOT_AVE_IM_FNG3_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_4_SLOT_AVE_RE_OFFSET                                  0x0000006C
#define AFC_TOP_AFC_4_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_4_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_4_SLOT_AVE_RE_FNG4_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_4_SLOT_AVE_RE_FNG4_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_4_SLOT_AVE_IM_OFFSET                                  0x00000070
#define AFC_TOP_AFC_4_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_4_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_4_SLOT_AVE_IM_FNG4_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_4_SLOT_AVE_IM_FNG4_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_5_SLOT_AVE_RE_OFFSET                                  0x00000074
#define AFC_TOP_AFC_5_SLOT_AVE_RE_TYPE                                    UInt32
#define AFC_TOP_AFC_5_SLOT_AVE_RE_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_5_SLOT_AVE_RE_FNG5_SLOT_AVG_I_ERR_SHIFT            0
#define    AFC_TOP_AFC_5_SLOT_AVE_RE_FNG5_SLOT_AVG_I_ERR_MASK             0x000FFFFF

#define AFC_TOP_AFC_5_SLOT_AVE_IM_OFFSET                                  0x00000078
#define AFC_TOP_AFC_5_SLOT_AVE_IM_TYPE                                    UInt32
#define AFC_TOP_AFC_5_SLOT_AVE_IM_RESERVED_MASK                           0xFFF00000
#define    AFC_TOP_AFC_5_SLOT_AVE_IM_FNG5_SLOT_AVG_Q_ERR_SHIFT            0
#define    AFC_TOP_AFC_5_SLOT_AVE_IM_FNG5_SLOT_AVG_Q_ERR_MASK             0x000FFFFF

#endif /* __BRCM_RDB_AFC_TOP_H__ */


