/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_BMDM_CLK_MGR_REG_H__
#define __BRCM_RDB_BMDM_CLK_MGR_REG_H__

#define BMDM_CLK_MGR_REG_WR_ACCESS_OFFSET                                 0x00000000
#define BMDM_CLK_MGR_REG_WR_ACCESS_TYPE                                   UInt32
#define BMDM_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                          0x7FFFFFFE
#define    BMDM_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT              31
#define    BMDM_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK               0x80000000
#define    BMDM_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                    0
#define    BMDM_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                     0x00000001

#define BMDM_CLK_MGR_REG_POLICY_FREQ_OFFSET                               0x00000008
#define BMDM_CLK_MGR_REG_POLICY_FREQ_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_POLICY_FREQ_RESERVED_MASK                        0x78F8F8F8
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_SHIFT                24
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_MASK                 0x07000000
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_SHIFT                16
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_MASK                 0x00070000
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_SHIFT                8
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_MASK                 0x00000700
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_SHIFT                0
#define    BMDM_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_MASK                 0x00000007

#define BMDM_CLK_MGR_REG_POLICY_CTL_OFFSET                                0x0000000C
#define BMDM_CLK_MGR_REG_POLICY_CTL_TYPE                                  UInt32
#define BMDM_CLK_MGR_REG_POLICY_CTL_RESERVED_MASK                         0x7FFFFFF0
#define    BMDM_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_SHIFT             31
#define    BMDM_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_MASK              0x80000000
#define    BMDM_CLK_MGR_REG_POLICY_CTL_TGT_VLD_SHIFT                      3
#define    BMDM_CLK_MGR_REG_POLICY_CTL_TGT_VLD_MASK                       0x00000008
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_ATL_SHIFT                       2
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_ATL_MASK                        0x00000004
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_AC_SHIFT                        1
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_AC_MASK                         0x00000002
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_SHIFT                           0
#define    BMDM_CLK_MGR_REG_POLICY_CTL_GO_MASK                            0x00000001

#define BMDM_CLK_MGR_REG_POLICY0_MASK_OFFSET                              0x00000010
#define BMDM_CLK_MGR_REG_POLICY0_MASK_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_POLICY0_MASK_RESERVED_MASK                       0x7FFFFC88
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_ASYNC_AHB_POLICY0_MASK_SHIFT     9
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_ASYNC_AHB_POLICY0_MASK_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_RFBB_POLICY0_MASK_SHIFT          8
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_RFBB_POLICY0_MASK_MASK           0x00000100
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_SCLKCAL_23G_POLICY0_MASK_SHIFT   6
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_SCLKCAL_23G_POLICY0_MASK_MASK    0x00000040
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_SCLKCAL_POLICY0_MASK_SHIFT       5
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_SCLKCAL_POLICY0_MASK_MASK        0x00000020
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_EDGE_MP_POLICY0_MASK_SHIFT       4
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_EDGE_MP_POLICY0_MASK_MASK        0x00000010
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_HUCM_POLICY0_MASK_SHIFT    2
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_HUCM_POLICY0_MASK_MASK     0x00000004
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_CIPHER_POLICY0_MASK_SHIFT  1
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_CIPHER_POLICY0_MASK_MASK   0x00000002
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_DATAPACKER_POLICY0_MASK_SHIFT 0
#define    BMDM_CLK_MGR_REG_POLICY0_MASK_WCDMA_DATAPACKER_POLICY0_MASK_MASK 0x00000001

#define BMDM_CLK_MGR_REG_POLICY1_MASK_OFFSET                              0x00000014
#define BMDM_CLK_MGR_REG_POLICY1_MASK_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_POLICY1_MASK_RESERVED_MASK                       0x7FFFFC88
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_ASYNC_AHB_POLICY1_MASK_SHIFT     9
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_ASYNC_AHB_POLICY1_MASK_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_RFBB_POLICY1_MASK_SHIFT          8
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_RFBB_POLICY1_MASK_MASK           0x00000100
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_SCLKCAL_23G_POLICY1_MASK_SHIFT   6
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_SCLKCAL_23G_POLICY1_MASK_MASK    0x00000040
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_SCLKCAL_POLICY1_MASK_SHIFT       5
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_SCLKCAL_POLICY1_MASK_MASK        0x00000020
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_EDGE_MP_POLICY1_MASK_SHIFT       4
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_EDGE_MP_POLICY1_MASK_MASK        0x00000010
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_HUCM_POLICY1_MASK_SHIFT    2
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_HUCM_POLICY1_MASK_MASK     0x00000004
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_CIPHER_POLICY1_MASK_SHIFT  1
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_CIPHER_POLICY1_MASK_MASK   0x00000002
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_DATAPACKER_POLICY1_MASK_SHIFT 0
#define    BMDM_CLK_MGR_REG_POLICY1_MASK_WCDMA_DATAPACKER_POLICY1_MASK_MASK 0x00000001

#define BMDM_CLK_MGR_REG_POLICY2_MASK_OFFSET                              0x00000018
#define BMDM_CLK_MGR_REG_POLICY2_MASK_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_POLICY2_MASK_RESERVED_MASK                       0x7FFFFC88
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_ASYNC_AHB_POLICY2_MASK_SHIFT     9
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_ASYNC_AHB_POLICY2_MASK_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_RFBB_POLICY2_MASK_SHIFT          8
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_RFBB_POLICY2_MASK_MASK           0x00000100
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_SCLKCAL_23G_POLICY2_MASK_SHIFT   6
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_SCLKCAL_23G_POLICY2_MASK_MASK    0x00000040
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_SCLKCAL_POLICY2_MASK_SHIFT       5
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_SCLKCAL_POLICY2_MASK_MASK        0x00000020
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_EDGE_MP_POLICY2_MASK_SHIFT       4
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_EDGE_MP_POLICY2_MASK_MASK        0x00000010
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_HUCM_POLICY2_MASK_SHIFT    2
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_HUCM_POLICY2_MASK_MASK     0x00000004
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_CIPHER_POLICY2_MASK_SHIFT  1
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_CIPHER_POLICY2_MASK_MASK   0x00000002
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_DATAPACKER_POLICY2_MASK_SHIFT 0
#define    BMDM_CLK_MGR_REG_POLICY2_MASK_WCDMA_DATAPACKER_POLICY2_MASK_MASK 0x00000001

#define BMDM_CLK_MGR_REG_POLICY3_MASK_OFFSET                              0x0000001C
#define BMDM_CLK_MGR_REG_POLICY3_MASK_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_POLICY3_MASK_RESERVED_MASK                       0x7FFFFC88
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_ASYNC_AHB_POLICY3_MASK_SHIFT     9
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_ASYNC_AHB_POLICY3_MASK_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_RFBB_POLICY3_MASK_SHIFT          8
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_RFBB_POLICY3_MASK_MASK           0x00000100
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_SCLKCAL_23G_POLICY3_MASK_SHIFT   6
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_SCLKCAL_23G_POLICY3_MASK_MASK    0x00000040
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_SCLKCAL_POLICY3_MASK_SHIFT       5
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_SCLKCAL_POLICY3_MASK_MASK        0x00000020
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_EDGE_MP_POLICY3_MASK_SHIFT       4
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_EDGE_MP_POLICY3_MASK_MASK        0x00000010
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_HUCM_POLICY3_MASK_SHIFT    2
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_HUCM_POLICY3_MASK_MASK     0x00000004
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_CIPHER_POLICY3_MASK_SHIFT  1
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_CIPHER_POLICY3_MASK_MASK   0x00000002
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_DATAPACKER_POLICY3_MASK_SHIFT 0
#define    BMDM_CLK_MGR_REG_POLICY3_MASK_WCDMA_DATAPACKER_POLICY3_MASK_MASK 0x00000001

#define BMDM_CLK_MGR_REG_INTEN_OFFSET                                     0x00000020
#define BMDM_CLK_MGR_REG_INTEN_TYPE                                       UInt32
#define BMDM_CLK_MGR_REG_INTEN_RESERVED_MASK                              0x7FFFFFEC
#define    BMDM_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_SHIFT                  31
#define    BMDM_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_MASK                   0x80000000
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_DSP_ACT_INT_EN_SHIFT              4
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_DSP_ACT_INT_EN_MASK               0x00000010
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_SHIFT                  1
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_MASK                   0x00000002
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_SHIFT                  0
#define    BMDM_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_MASK                   0x00000001

#define BMDM_CLK_MGR_REG_INTSTAT_OFFSET                                   0x00000024
#define BMDM_CLK_MGR_REG_INTSTAT_TYPE                                     UInt32
#define BMDM_CLK_MGR_REG_INTSTAT_RESERVED_MASK                            0x7FFFFFEC
#define    BMDM_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_SHIFT                31
#define    BMDM_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_DSP_ACT_INT_SHIFT             4
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_DSP_ACT_INT_MASK              0x00000010
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_SHIFT                 1
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_MASK                  0x00000002
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_SHIFT                 0
#define    BMDM_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_MASK                  0x00000001

#define BMDM_CLK_MGR_REG_VLT_PERI_OFFSET                                  0x00000030
#define BMDM_CLK_MGR_REG_VLT_PERI_TYPE                                    UInt32
#define BMDM_CLK_MGR_REG_VLT_PERI_RESERVED_MASK                           0x7FFFF0F0
#define    BMDM_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_SHIFT               31
#define    BMDM_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_MASK                0x80000000
#define    BMDM_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_SHIFT                  8
#define    BMDM_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_MASK                   0x00000F00
#define    BMDM_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_SHIFT                0
#define    BMDM_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_MASK                 0x0000000F

#define BMDM_CLK_MGR_REG_LVM_EN_OFFSET                                    0x00000034
#define BMDM_CLK_MGR_REG_LVM_EN_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_LVM_EN_RESERVED_MASK                             0x7FFFFFFE
#define    BMDM_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_SHIFT                 0
#define    BMDM_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_MASK                  0x00000001

#define BMDM_CLK_MGR_REG_LVM0_3_OFFSET                                    0x00000038
#define BMDM_CLK_MGR_REG_LVM0_3_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_LVM0_3_RESERVED_MASK                             0x7FFF0000
#define    BMDM_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_SHIFT                     12
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_MASK                      0x0000F000
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_SHIFT                     8
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_MASK                      0x00000F00
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_SHIFT                     4
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_MASK                      0x000000F0
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_SHIFT                     0
#define    BMDM_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_MASK                      0x0000000F

#define BMDM_CLK_MGR_REG_LVM4_7_OFFSET                                    0x0000003C
#define BMDM_CLK_MGR_REG_LVM4_7_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_LVM4_7_RESERVED_MASK                             0x7FFF0000
#define    BMDM_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_SHIFT                     12
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_MASK                      0x0000F000
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_SHIFT                     8
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_MASK                      0x00000F00
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_SHIFT                     4
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_MASK                      0x000000F0
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_SHIFT                     0
#define    BMDM_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_MASK                      0x0000000F

#define BMDM_CLK_MGR_REG_VLT0_3_OFFSET                                    0x00000040
#define BMDM_CLK_MGR_REG_VLT0_3_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_VLT0_3_RESERVED_MASK                             0x70F0F0F0
#define    BMDM_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_SHIFT                     24
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_MASK                      0x0F000000
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_SHIFT                     16
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_MASK                      0x000F0000
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_SHIFT                     8
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_MASK                      0x00000F00
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_SHIFT                     0
#define    BMDM_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_MASK                      0x0000000F

#define BMDM_CLK_MGR_REG_VLT4_7_OFFSET                                    0x00000044
#define BMDM_CLK_MGR_REG_VLT4_7_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_VLT4_7_RESERVED_MASK                             0x70F0F0F0
#define    BMDM_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_SHIFT                     24
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_MASK                      0x0F000000
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_SHIFT                     16
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_MASK                      0x000F0000
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_SHIFT                     8
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_MASK                      0x00000F00
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_SHIFT                     0
#define    BMDM_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_MASK                      0x0000000F

#define BMDM_CLK_MGR_REG_CP_CLKGATE_OFFSET                                0x00000200
#define BMDM_CLK_MGR_REG_CP_CLKGATE_TYPE                                  UInt32
#define BMDM_CLK_MGR_REG_CP_CLKGATE_RESERVED_MASK                         0x7FFEFCFD
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_PRIV_ACCESS_MODE_SHIFT             31
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_PRIV_ACCESS_MODE_MASK              0x80000000
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_STPRSTS_SHIFT                   16
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_STPRSTS_MASK                    0x00010000
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HYST_EN_SHIFT                   9
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HYST_EN_MASK                    0x00000200
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HYST_VAL_SHIFT                  8
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HYST_VAL_MASK                   0x00000100
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HW_SW_GATING_SEL_SHIFT          1
#define    BMDM_CLK_MGR_REG_CP_CLKGATE_CP_HW_SW_GATING_SEL_MASK           0x00000002

#define BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_OFFSET                        0x00000204
#define BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_TYPE                          UInt32
#define BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_RESERVED_MASK                 0x7FFEFCFD
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_STPRSTS_SHIFT 16
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_STPRSTS_MASK 0x00010000
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HYST_EN_SHIFT 9
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HYST_EN_MASK 0x00000200
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HYST_VAL_SHIFT 8
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HYST_VAL_MASK 0x00000100
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_SWITCH_AXI_CLKGATE_COMMS_SWITCH_AXI_HW_SW_GATING_SEL_MASK 0x00000002

#define BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_OFFSET                         0x00000210
#define BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_TYPE                           UInt32
#define BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_RESERVED_MASK                  0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_STPRSTS_SHIFT     16
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_STPRSTS_MASK      0x00010000
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HYST_EN_SHIFT     9
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HYST_EN_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HYST_VAL_SHIFT    8
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HYST_VAL_MASK     0x00000100
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_CLK_EN_SHIFT      0
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_CLKGATE_ASYNC_AHB_CLK_EN_MASK       0x00000001

#define BMDM_CLK_MGR_REG_APB_AON_CLKGATE_OFFSET                           0x00000220
#define BMDM_CLK_MGR_REG_APB_AON_CLKGATE_TYPE                             UInt32
#define BMDM_CLK_MGR_REG_APB_AON_CLKGATE_RESERVED_MASK                    0x7FFEFCFD
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_STPRSTS_SHIFT         16
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_STPRSTS_MASK          0x00010000
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HYST_EN_SHIFT         9
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HYST_EN_MASK          0x00000200
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HYST_VAL_SHIFT        8
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HYST_VAL_MASK         0x00000100
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_APB_AON_CLKGATE_APB_AON_HW_SW_GATING_SEL_MASK 0x00000002

#define BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_OFFSET                          0x00000224
#define BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_TYPE                            UInt32
#define BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_RESERVED_MASK                   0x7FFEFCF8
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_STPRSTS_SHIFT       16
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_STPRSTS_MASK        0x00010000
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HYST_EN_SHIFT       9
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HYST_EN_MASK        0x00000200
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HYST_VAL_SHIFT      8
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HYST_VAL_MASK       0x00000100
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_GEA_PCLK_CLK_EN_SHIFT        2
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_GEA_PCLK_CLK_EN_MASK         0x00000004
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_CLK_EN_SHIFT        0
#define    BMDM_CLK_MGR_REG_APB_CORE_CLKGATE_APB_CORE_CLK_EN_MASK         0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_OFFSET                      0x00000340
#define BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_TYPE                        UInt32
#define BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_RESERVED_MASK               0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_STPRSTS_SHIFT 16
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_STPRSTS_MASK 0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HYST_EN_SHIFT 9
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HYST_EN_MASK 0x00000200
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HYST_VAL_SHIFT 8
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HYST_VAL_MASK 0x00000100
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_CLK_EN_SHIFT 0
#define    BMDM_CLK_MGR_REG_WCDMA_CIPHER_CLKGATE_WCDMA_CIPHER_CLK_EN_MASK 0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_OFFSET                  0x00000344
#define BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_TYPE                    UInt32
#define BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_RESERVED_MASK           0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_STPRSTS_SHIFT 16
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_STPRSTS_MASK 0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HYST_EN_SHIFT 9
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HYST_EN_MASK 0x00000200
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HYST_VAL_SHIFT 8
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HYST_VAL_MASK 0x00000100
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_CLK_EN_SHIFT 0
#define    BMDM_CLK_MGR_REG_WCDMA_DATAPACKER_CLKGATE_WCDMA_DATAPACKER_CLK_EN_MASK 0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_OFFSET                        0x00000348
#define BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_TYPE                          UInt32
#define BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_RESERVED_MASK                 0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_STPRSTS_SHIFT   16
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_STPRSTS_MASK    0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HYST_EN_SHIFT   9
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HYST_EN_MASK    0x00000200
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HYST_VAL_SHIFT  8
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HYST_VAL_MASK   0x00000100
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_CLK_EN_SHIFT    0
#define    BMDM_CLK_MGR_REG_WCDMA_HUCM_CLKGATE_WCDMA_HUCM_CLK_EN_MASK     0x00000001

#define BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_OFFSET                           0x0000034C
#define BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_TYPE                             UInt32
#define BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_RESERVED_MASK                    0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_STPRSTS_SHIFT         16
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_STPRSTS_MASK          0x00010000
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HYST_EN_SHIFT         9
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HYST_EN_MASK          0x00000200
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HYST_VAL_SHIFT        8
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HYST_VAL_MASK         0x00000100
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_CLK_EN_SHIFT          0
#define    BMDM_CLK_MGR_REG_EDGE_MP_CLKGATE_EDGE_MP_CLK_EN_MASK           0x00000001

#define BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_OFFSET                          0x00000370
#define BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_TYPE                            UInt32
#define BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RESERVED_MASK                   0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_STPRSTS_SHIFT       16
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_STPRSTS_MASK        0x00010000
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HYST_EN_SHIFT       9
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HYST_EN_MASK        0x00000200
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HYST_VAL_SHIFT      8
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HYST_VAL_MASK       0x00000100
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_CLK_EN_SHIFT        0
#define    BMDM_CLK_MGR_REG_RFBB_52M_CLKGATE_RFBB_52M_CLK_EN_MASK         0x00000001

#define BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_OFFSET                           0x00000378
#define BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_TYPE                             UInt32
#define BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_RESERVED_MASK                    0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_STPRSTS_SHIFT         16
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_STPRSTS_MASK          0x00010000
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HYST_EN_SHIFT         9
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HYST_EN_MASK          0x00000200
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HYST_VAL_SHIFT        8
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HYST_VAL_MASK         0x00000100
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_CLK_EN_SHIFT          0
#define    BMDM_CLK_MGR_REG_SCLKCAL_CLKGATE_SCLKCAL_CLK_EN_MASK           0x00000001

#define BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_OFFSET                       0x0000037C
#define BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_TYPE                         UInt32
#define BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_RESERVED_MASK                0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_PRIV_ACCESS_MODE_SHIFT    31
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_STPRSTS_SHIFT 16
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_STPRSTS_MASK  0x00010000
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HYST_EN_SHIFT 9
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HYST_EN_MASK  0x00000200
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HYST_VAL_SHIFT 8
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HYST_VAL_MASK 0x00000100
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_CLK_EN_SHIFT  0
#define    BMDM_CLK_MGR_REG_SCLKCAL_23G_CLKGATE_SCLKCAL_23G_CLK_EN_MASK   0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_CLKGATE_OFFSET                             0x000003C0
#define BMDM_CLK_MGR_REG_WCDMA_CLKGATE_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_WCDMA_CLKGATE_RESERVED_MASK                      0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_STPRSTS_SHIFT             16
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_STPRSTS_MASK              0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HYST_EN_SHIFT             9
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HYST_EN_MASK              0x00000200
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HYST_VAL_SHIFT            8
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HYST_VAL_MASK             0x00000100
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HW_SW_GATING_SEL_SHIFT    1
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_HW_SW_GATING_SEL_MASK     0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_CLK_EN_SHIFT              0
#define    BMDM_CLK_MGR_REG_WCDMA_CLKGATE_WCDMA_CLK_EN_MASK               0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_OFFSET                         0x000003C4
#define BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_TYPE                           UInt32
#define BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_RESERVED_MASK                  0x7FFEFCFC
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_STPRSTS_SHIFT     16
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_STPRSTS_MASK      0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HYST_EN_SHIFT     9
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HYST_EN_MASK      0x00000200
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HYST_VAL_SHIFT    8
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HYST_VAL_MASK     0x00000100
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_CLK_EN_SHIFT      0
#define    BMDM_CLK_MGR_REG_WCDMA_26M_CLKGATE_WCDMA_26M_CLK_EN_MASK       0x00000001

#define BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_OFFSET                         0x000003C8
#define BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_TYPE                           UInt32
#define BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_RESERVED_MASK                  0x7FFEFFFC
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_STPRSTS_SHIFT     16
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_STPRSTS_MASK      0x00010000
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_HW_SW_GATING_SEL_SHIFT 1
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_HW_SW_GATING_SEL_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_CLK_EN_SHIFT      0
#define    BMDM_CLK_MGR_REG_WCDMA_32K_CLKGATE_WCDMA_32K_CLK_EN_MASK       0x00000001

#define BMDM_CLK_MGR_REG_PLLMDM_CTRL_OFFSET                               0x00000C00
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL_RESERVED_MASK                        0x68FFFF14
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_SHIFT                 28
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_MASK                  0x10000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_PDIV_SHIFT                 24
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_PDIV_MASK                  0x07000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_RAW_SHIFT             7
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_RAW_MASK              0x00000080
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_LATCH_SHIFT           6
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_LOCK_LATCH_MASK            0x00000040
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_FLOCK_SHIFT                5
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_FLOCK_MASK                 0x00000020
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_PWRDWN_SHIFT               3
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_PWRDWN_MASK                0x00000008
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_SOFT_POST_RESETB_SHIFT     1
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_SOFT_POST_RESETB_MASK      0x00000002
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_SOFT_RESETB_SHIFT          0
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL_PLLMDM_SOFT_RESETB_MASK           0x00000001

#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_OFFSET                               0x00000C04
#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_RESERVED_MASK                        0x40000000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PLLMDM_NDIV_INT_SHIFT             20
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PLLMDM_NDIV_INT_MASK              0x3FF00000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PLLMDM_NDIV_FRAC_SHIFT            0
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_PLLMDM_NDIV_FRAC_MASK             0x000FFFFF

#define BMDM_CLK_MGR_REG_PLLMDM_CTRL2_OFFSET                              0x00000C08
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL2_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL2_RESERVED_MASK                       0x7FFF8000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_MDEL_SHIFT                12
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_MDEL_MASK                 0x00007000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_LOAD_EN_SHIFT             11
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_LOAD_EN_MASK              0x00000800
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_HOLD_SHIFT                10
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_HOLD_MASK                 0x00000400
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_ENB_CLKOUT_SHIFT          9
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_ENB_CLKOUT_MASK           0x00000200
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_BYPCLK_EN_SHIFT           8
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_BYPCLK_EN_MASK            0x00000100
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_MDIV_SHIFT                0
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL2_PLLMDM_MDIV_MASK                 0x000000FF

#define BMDM_CLK_MGR_REG_PLLMDM_CTRL3_OFFSET                              0x00000C0C
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL3_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_CTRL3_RESERVED_MASK                       0x7F000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_8PHASE_EN_SHIFT           23
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_8PHASE_EN_MASK            0x00800000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KP_SHIFT                  19
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KP_MASK                   0x00780000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KI_SHIFT                  16
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KI_MASK                   0x00070000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KA_SHIFT                  13
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_KA_MASK                   0x0000E000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_FB_PHASE_EN_SHIFT         12
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_FB_PHASE_EN_MASK          0x00001000
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_FB_OFFSET_SHIFT           0
#define    BMDM_CLK_MGR_REG_PLLMDM_CTRL3_PLLMDM_FB_OFFSET_MASK            0x00000FFF

#define BMDM_CLK_MGR_REG_PLLMDM_SSC1_OFFSET                               0x00000C10
#define BMDM_CLK_MGR_REG_PLLMDM_SSC1_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_SSC1_RESERVED_MASK                        0x7FFE0000
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PLLMDM_SSC_MODE_SHIFT             16
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PLLMDM_SSC_MODE_MASK              0x00010000
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PLLMDM_SSC_STEP_SHIFT             0
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC1_PLLMDM_SSC_STEP_MASK              0x0000FFFF

#define BMDM_CLK_MGR_REG_PLLMDM_SSC2_OFFSET                               0x00000C14
#define BMDM_CLK_MGR_REG_PLLMDM_SSC2_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_SSC2_RESERVED_MASK                        0x7C000000
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC2_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC2_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC2_PLLMDM_SSC_LIMIT_SHIFT            0
#define    BMDM_CLK_MGR_REG_PLLMDM_SSC2_PLLMDM_SSC_LIMIT_MASK             0x03FFFFFF

#define BMDM_CLK_MGR_REG_PLLMDM_CONFIG_OFFSET                             0x00000C18
#define BMDM_CLK_MGR_REG_PLLMDM_CONFIG_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_CONFIG_RESERVED_MASK                      0x70000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CONFIG_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_PLLMDM_CONFIG_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_CONFIG_PLLMDM_PLL_CONFIG_CTRL_SHIFT    0
#define    BMDM_CLK_MGR_REG_PLLMDM_CONFIG_PLLMDM_PLL_CONFIG_CTRL_MASK     0x0FFFFFFF

#define BMDM_CLK_MGR_REG_PLLMDM_STAT_OFFSET                               0x00000C1C
#define BMDM_CLK_MGR_REG_PLLMDM_STAT_TYPE                                 UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_STAT_RESERVED_MASK                        0x7FFFF000
#define    BMDM_CLK_MGR_REG_PLLMDM_STAT_PRIV_ACCESS_MODE_SHIFT            31
#define    BMDM_CLK_MGR_REG_PLLMDM_STAT_PRIV_ACCESS_MODE_MASK             0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_STAT_PLLMDM_STAT_OUT_SHIFT             0
#define    BMDM_CLK_MGR_REG_PLLMDM_STAT_PLLMDM_STAT_OUT_MASK              0x00000FFF

#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_OFFSET                          0x00000C20
#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_TYPE                            UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_RESERVED_MASK                   0x40000000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PRIV_ACCESS_MODE_SHIFT       31
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PRIV_ACCESS_MODE_MASK        0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PLLMDM_NDIV_INT_HIGH_SHIFT   20
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PLLMDM_NDIV_INT_HIGH_MASK    0x3FF00000
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PLLMDM_NDIV_FRAC_HIGH_SHIFT  0
#define    BMDM_CLK_MGR_REG_PLLMDM_NDIV_HIGH_PLLMDM_NDIV_FRAC_HIGH_MASK   0x000FFFFF

#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_OFFSET                             0x00000C24
#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_RESERVED_MASK                      0x40000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_OFFSET_SW_CTL_SHIFT      29
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_OFFSET_SW_CTL_MASK       0x20000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_OFFSET_MODE_SHIFT        28
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_OFFSET_MODE_MASK         0x10000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_NDIV_INT_OFFSET_SHIFT    20
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_NDIV_INT_OFFSET_MASK     0x0FF00000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_NDIV_FRAC_OFFSET_SHIFT   0
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_PLLMDM_NDIV_FRAC_OFFSET_MASK    0x000FFFFF

#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_OFFSET                        0x00000C28
#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_TYPE                          UInt32
#define BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_RESERVED_MASK                 0x70000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PRIV_ACCESS_MODE_SHIFT     31
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PRIV_ACCESS_MODE_MASK      0x80000000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PLLMDM_NDIV_INT_HIGH_OFFSET_SHIFT 20
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PLLMDM_NDIV_INT_HIGH_OFFSET_MASK 0x0FF00000
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PLLMDM_NDIV_FRAC_HIGH_OFFSET_SHIFT 0
#define    BMDM_CLK_MGR_REG_PLLMDM_OFFSET_HIGH_PLLMDM_NDIV_FRAC_HIGH_OFFSET_MASK 0x000FFFFF

#define BMDM_CLK_MGR_REG_PERIPH1_OFFSET                                   0x00000C30
#define BMDM_CLK_MGR_REG_PERIPH1_TYPE                                     UInt32
#define BMDM_CLK_MGR_REG_PERIPH1_RESERVED_MASK                            0x7FF00000
#define    BMDM_CLK_MGR_REG_PERIPH1_PRIV_ACCESS_MODE_SHIFT                31
#define    BMDM_CLK_MGR_REG_PERIPH1_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    BMDM_CLK_MGR_REG_PERIPH1_PERIPH1_MASK_SHIFT                    0
#define    BMDM_CLK_MGR_REG_PERIPH1_PERIPH1_MASK_MASK                     0x000FFFFF

#define BMDM_CLK_MGR_REG_PERIPH2_OFFSET                                   0x00000C34
#define BMDM_CLK_MGR_REG_PERIPH2_TYPE                                     UInt32
#define BMDM_CLK_MGR_REG_PERIPH2_RESERVED_MASK                            0x7FF00000
#define    BMDM_CLK_MGR_REG_PERIPH2_PRIV_ACCESS_MODE_SHIFT                31
#define    BMDM_CLK_MGR_REG_PERIPH2_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    BMDM_CLK_MGR_REG_PERIPH2_PERIPH2_MASK_SHIFT                    0
#define    BMDM_CLK_MGR_REG_PERIPH2_PERIPH2_MASK_MASK                     0x000FFFFF

#define BMDM_CLK_MGR_REG_CLK_EN_DEBUG_OFFSET                              0x00000E00
#define BMDM_CLK_MGR_REG_CLK_EN_DEBUG_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_CLK_EN_DEBUG_RESERVED_MASK                       0x7FFFFFF8
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_APB_AON_CLK_EN_SHIFT             2
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_APB_AON_CLK_EN_MASK              0x00000004
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_COMMS_SWITCH_AXI_CLK_EN_SHIFT    1
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_COMMS_SWITCH_AXI_CLK_EN_MASK     0x00000002
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_CP_CLK_EN_SHIFT                  0
#define    BMDM_CLK_MGR_REG_CLK_EN_DEBUG_CP_CLK_EN_MASK                   0x00000001

#define BMDM_CLK_MGR_REG_CP_DIV_DEBUG_OFFSET                              0x00000E08
#define BMDM_CLK_MGR_REG_CP_DIV_DEBUG_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_CP_DIV_DEBUG_RESERVED_MASK                       0x7FFFFFF8
#define    BMDM_CLK_MGR_REG_CP_DIV_DEBUG_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_CP_DIV_DEBUG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_SHIFT              0
#define    BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_MASK               0x00000007
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_VAR_208M_CLK 0x00000001
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_VAR_312M_CLK 0x00000002
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_PLLBMDM_CLK 0x00000003
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_VAR_104M_CLK 0x00000004
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_VAR_52M_CLK 0x00000005
#define       BMDM_CLK_MGR_REG_CP_DIV_DEBUG_CP_PLL_SELECT_CMD_VAR_156M_CLK 0x00000006

#define BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_OFFSET                             0x00000E10
#define BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_RESERVED_MASK                      0x7FFCFCFC
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_COMMS_SWITCH_AXI_DIV_SHIFT      16
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_COMMS_SWITCH_AXI_DIV_MASK       0x00030000
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_APB_CORE_DIV_SHIFT              8
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_APB_CORE_DIV_MASK               0x00000300
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_APB_AON_DIV_SHIFT               0
#define    BMDM_CLK_MGR_REG_BUS_DIV_DEBUG_APB_AON_DIV_MASK                0x00000003

#define BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_OFFSET                           0x00000E18
#define BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_TYPE                             UInt32
#define BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_RESERVED_MASK                    0x7FFFFFFC
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_PRIV_ACCESS_MODE_SHIFT        31
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_PRIV_ACCESS_MODE_MASK         0x80000000
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_ASYNC_AHB_PLL_SELECT_SHIFT    0
#define    BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_ASYNC_AHB_PLL_SELECT_MASK     0x00000003
#define       BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_ASYNC_AHB_PLL_SELECT_CMD_VAR_104M_CLK 0x00000000
#define       BMDM_CLK_MGR_REG_ASYNC_AHB_DEBUG_ASYNC_AHB_PLL_SELECT_CMD_VAR_52M_CLK 0x00000001

#define BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_OFFSET                             0x00000E20
#define BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_RESERVED_MASK                      0x6CECFECC
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_10_SEL_SHIFT           28
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_10_SEL_MASK            0x10000000
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_9_SEL_SHIFT            24
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_9_SEL_MASK             0x03000000
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_8_SEL_SHIFT            20
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_8_SEL_MASK             0x00100000
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_7_SEL_SHIFT            16
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_7_SEL_MASK             0x00030000
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_6_SEL_SHIFT            8
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_6_SEL_MASK             0x00000100
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_5_SEL_SHIFT            4
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_5_SEL_MASK             0x00000030
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_4_SEL_SHIFT            0
#define    BMDM_CLK_MGR_REG_SCAN_CLK_CTRL_SCAN_CLK_4_SEL_MASK             0x00000003

#define BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_OFFSET                            0x00000E28
#define BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_TYPE                              UInt32
#define BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_RESERVED_MASK                     0x7FFFFFF8
#define    BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_PRIV_ACCESS_MODE_SHIFT         31
#define    BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_PRIV_ACCESS_MODE_MASK          0x80000000
#define    BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_DEBUG_BUS_SEL_SHIFT            0
#define    BMDM_CLK_MGR_REG_DEBUG_BUS_CTRL_DEBUG_BUS_SEL_MASK             0x00000007

#define BMDM_CLK_MGR_REG_ACTIVITY_MON1_OFFSET                             0x00000E40
#define BMDM_CLK_MGR_REG_ACTIVITY_MON1_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_ACTIVITY_MON1_RESERVED_MASK                      0x7FFF8000
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_SCLKCAL_23G_ACTVSTS_SHIFT       14
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_SCLKCAL_23G_ACTVSTS_MASK        0x00004000
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_RFBB_52M_ACTVSTS_SHIFT          13
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_RFBB_52M_ACTVSTS_MASK           0x00002000
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_32K_ACTVSTS_SHIFT         12
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_32K_ACTVSTS_MASK          0x00001000
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_26M_ACTVSTS_SHIFT         11
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_26M_ACTVSTS_MASK          0x00000800
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_ACTVSTS_SHIFT             10
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_ACTVSTS_MASK              0x00000400
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_SCLKCAL_ACTVSTS_SHIFT           9
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_SCLKCAL_ACTVSTS_MASK            0x00000200
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_EDGE_MP_ACTVSTS_SHIFT           8
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_EDGE_MP_ACTVSTS_MASK            0x00000100
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_HUCM_ACTVSTS_SHIFT        7
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_HUCM_ACTVSTS_MASK         0x00000080
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_CIPHER_ACTVSTS_SHIFT      6
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_CIPHER_ACTVSTS_MASK       0x00000040
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_DATAPACKER_ACTVSTS_SHIFT  5
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_WCDMA_DATAPACKER_ACTVSTS_MASK   0x00000020
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_ASYNC_AHB_ACTVSTS_SHIFT         4
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_ASYNC_AHB_ACTVSTS_MASK          0x00000010
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_APB_CORE_ACTVSTS_SHIFT          3
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_APB_CORE_ACTVSTS_MASK           0x00000008
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_APB_AON_ACTVSTS_SHIFT           2
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_APB_AON_ACTVSTS_MASK            0x00000004
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_COMMS_SWITCH_AXI_ACTVSTS_SHIFT  1
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_COMMS_SWITCH_AXI_ACTVSTS_MASK   0x00000002
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_CP_ACTVSTS_SHIFT                0
#define    BMDM_CLK_MGR_REG_ACTIVITY_MON1_CP_ACTVSTS_MASK                 0x00000001

#define BMDM_CLK_MGR_REG_TRIGGER_DEBUG_OFFSET                             0x00000E50
#define BMDM_CLK_MGR_REG_TRIGGER_DEBUG_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_TRIGGER_DEBUG_RESERVED_MASK                      0x7FFFFFFC
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_ASYNC_AHB_TRIGGER_SHIFT         1
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_ASYNC_AHB_TRIGGER_MASK          0x00000002
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_CP_TRIGGER_SHIFT                0
#define    BMDM_CLK_MGR_REG_TRIGGER_DEBUG_CP_TRIGGER_MASK                 0x00000001

#define BMDM_CLK_MGR_REG_CLKMON_OFFSET                                    0x00000E58
#define BMDM_CLK_MGR_REG_CLKMON_TYPE                                      UInt32
#define BMDM_CLK_MGR_REG_CLKMON_RESERVED_MASK                             0x7FFFFC00
#define    BMDM_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT                 31
#define    BMDM_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    BMDM_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                       8
#define    BMDM_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                        0x00000300
#define    BMDM_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                       0
#define    BMDM_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                        0x000000FF

#define BMDM_CLK_MGR_REG_POLICY_DEBUG_OFFSET                              0x00000E60
#define BMDM_CLK_MGR_REG_POLICY_DEBUG_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_POLICY_DEBUG_RESERVED_MASK                       0x7FFFFF08
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_ACT_VOLTAGE_SHIFT                4
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_ACT_VOLTAGE_MASK                 0x000000F0
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_CURR_FREQ_SHIFT                  0
#define    BMDM_CLK_MGR_REG_POLICY_DEBUG_CURR_FREQ_MASK                   0x00000007

#define BMDM_CLK_MGR_REG_PLL_DEBUG_OFFSET                                 0x00000E68
#define BMDM_CLK_MGR_REG_PLL_DEBUG_TYPE                                   UInt32
#define BMDM_CLK_MGR_REG_PLL_DEBUG_RESERVED_MASK                          0x7FFFFFEC
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PRIV_ACCESS_MODE_SHIFT              31
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PRIV_ACCESS_MODE_MASK               0x80000000
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_IDLE_PWRDWN_SW_OVRRIDE_SHIFT 4
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_IDLE_PWRDWN_SW_OVRRIDE_MASK  0x00000010
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_LOCK_IGNORE_SHIFT            1
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_LOCK_IGNORE_MASK             0x00000002
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_LOCK_LOST_SHIFT              0
#define    BMDM_CLK_MGR_REG_PLL_DEBUG_PLLMDM_LOCK_LOST_MASK               0x00000001

#define BMDM_CLK_MGR_REG_PERIPH_DEBUG1_OFFSET                             0x00000E70
#define BMDM_CLK_MGR_REG_PERIPH_DEBUG1_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_PERIPH_DEBUG1_RESERVED_MASK                      0x7FFFFD88
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_RFBB_52M_POLICY_OVERRIDE_SHIFT  9
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_RFBB_52M_POLICY_OVERRIDE_MASK   0x00000200
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_SCLKCAL_23G_POLICY_OVERRIDE_SHIFT 6
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_SCLKCAL_23G_POLICY_OVERRIDE_MASK 0x00000040
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_SCLKCAL_POLICY_OVERRIDE_SHIFT   5
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_SCLKCAL_POLICY_OVERRIDE_MASK    0x00000020
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_EDGE_MP_POLICY_OVERRIDE_SHIFT   4
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_EDGE_MP_POLICY_OVERRIDE_MASK    0x00000010
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_HUCM_POLICY_OVERRIDE_SHIFT 2
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_HUCM_POLICY_OVERRIDE_MASK 0x00000004
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_CIPHER_POLICY_OVERRIDE_SHIFT 1
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_CIPHER_POLICY_OVERRIDE_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_DATAPACKER_POLICY_OVERRIDE_SHIFT 0
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG1_WCDMA_DATAPACKER_POLICY_OVERRIDE_MASK 0x00000001

#define BMDM_CLK_MGR_REG_PERIPH_DEBUG2_OFFSET                             0x00000E74
#define BMDM_CLK_MGR_REG_PERIPH_DEBUG2_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_PERIPH_DEBUG2_RESERVED_MASK                      0x7FFFFD88
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_RFBB_52M_POLICY_OVERRIDE_VALUE_SHIFT 9
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_RFBB_52M_POLICY_OVERRIDE_VALUE_MASK 0x00000200
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_SCLKCAL_23G_POLICY_OVERRIDE_VALUE_SHIFT 6
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_SCLKCAL_23G_POLICY_OVERRIDE_VALUE_MASK 0x00000040
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_SCLKCAL_POLICY_OVERRIDE_VALUE_SHIFT 5
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_SCLKCAL_POLICY_OVERRIDE_VALUE_MASK 0x00000020
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_EDGE_MP_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_EDGE_MP_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_HUCM_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_HUCM_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_CIPHER_POLICY_OVERRIDE_VALUE_SHIFT 1
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_CIPHER_POLICY_OVERRIDE_VALUE_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_DATAPACKER_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    BMDM_CLK_MGR_REG_PERIPH_DEBUG2_WCDMA_DATAPACKER_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define BMDM_CLK_MGR_REG_BUS_DEBUG1_OFFSET                                0x00000E78
#define BMDM_CLK_MGR_REG_BUS_DEBUG1_TYPE                                  UInt32
#define BMDM_CLK_MGR_REG_BUS_DEBUG1_RESERVED_MASK                         0x7FFFFFE0
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_PRIV_ACCESS_MODE_SHIFT             31
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_PRIV_ACCESS_MODE_MASK              0x80000000
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_ASYNC_AHB_POLICY_OVERRIDE_SHIFT    4
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_ASYNC_AHB_POLICY_OVERRIDE_MASK     0x00000010
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_APB_AON_POLICY_OVERRIDE_SHIFT      3
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_APB_AON_POLICY_OVERRIDE_MASK       0x00000008
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_APB_CORE_POLICY_OVERRIDE_SHIFT     2
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_APB_CORE_POLICY_OVERRIDE_MASK      0x00000004
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_COMMS_SWITCH_AXI_POLICY_OVERRIDE_SHIFT 1
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_COMMS_SWITCH_AXI_POLICY_OVERRIDE_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_CP_POLICY_OVERRIDE_SHIFT           0
#define    BMDM_CLK_MGR_REG_BUS_DEBUG1_CP_POLICY_OVERRIDE_MASK            0x00000001

#define BMDM_CLK_MGR_REG_BUS_DEBUG2_OFFSET                                0x00000E7C
#define BMDM_CLK_MGR_REG_BUS_DEBUG2_TYPE                                  UInt32
#define BMDM_CLK_MGR_REG_BUS_DEBUG2_RESERVED_MASK                         0x7FFFFFE0
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_PRIV_ACCESS_MODE_SHIFT             31
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_PRIV_ACCESS_MODE_MASK              0x80000000
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_ASYNC_AHB_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_ASYNC_AHB_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_APB_CORE_POLICY_OVERRIDE_VALUE_SHIFT 3
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_APB_CORE_POLICY_OVERRIDE_VALUE_MASK 0x00000008
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_APB_AON_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_APB_AON_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_COMMS_SWITCH_AXI_POLICY_OVERRIDE_VALUE_SHIFT 1
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_COMMS_SWITCH_AXI_POLICY_OVERRIDE_VALUE_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_CP_POLICY_OVERRIDE_VALUE_SHIFT     0
#define    BMDM_CLK_MGR_REG_BUS_DEBUG2_CP_POLICY_OVERRIDE_VALUE_MASK      0x00000001

#define BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_OFFSET                            0x00000E80
#define BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_TYPE                              UInt32
#define BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_RESERVED_MASK                     0x78F8F8F8
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_PRIV_ACCESS_MODE_SHIFT         31
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_PRIV_ACCESS_MODE_MASK          0x80000000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY3_MASK_SHIFT         26
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY3_MASK_MASK          0x04000000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY3_MASK_SHIFT 25
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY3_MASK_MASK 0x02000000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY3_MASK_SHIFT          24
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY3_MASK_MASK           0x01000000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY2_MASK_SHIFT         18
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY2_MASK_MASK          0x00040000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY2_MASK_SHIFT 17
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY2_MASK_MASK 0x00020000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY2_MASK_SHIFT          16
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY2_MASK_MASK           0x00010000
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY1_MASK_SHIFT         10
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY1_MASK_MASK          0x00000400
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY1_MASK_SHIFT 9
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY1_MASK_MASK 0x00000200
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY1_MASK_SHIFT          8
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY1_MASK_MASK           0x00000100
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY0_MASK_SHIFT         2
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_APB_POLICY0_MASK_MASK          0x00000004
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY0_MASK_SHIFT 1
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_COMMS_SWITCH_POLICY0_MASK_MASK 0x00000002
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY0_MASK_SHIFT          0
#define    BMDM_CLK_MGR_REG_BUS_MASK_DEBUG_CP_POLICY0_MASK_MASK           0x00000001

#define BMDM_CLK_MGR_REG_CLK_PROF_CTRL_OFFSET                             0x00000E90
#define BMDM_CLK_MGR_REG_CLK_PROF_CTRL_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_CLK_PROF_CTRL_RESERVED_MASK                      0x7FFFFF8E
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_CLK_PROF_CNT_CTRL_SHIFT         4
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_CLK_PROF_CNT_CTRL_MASK          0x00000070
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_CLK_PROF_CNT_START_SHIFT        0
#define    BMDM_CLK_MGR_REG_CLK_PROF_CTRL_CLK_PROF_CNT_START_MASK         0x00000001

#define BMDM_CLK_MGR_REG_CLK_PROF_SEL1_OFFSET                             0x00000E94
#define BMDM_CLK_MGR_REG_CLK_PROF_SEL1_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_CLK_PROF_SEL1_RESERVED_MASK                      0x70000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_CLK_PROF_BMDM_POLICY_SEL_SHIFT  24
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_CLK_PROF_BMDM_POLICY_SEL_MASK   0x0F000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_CLK_PROF_AUTOGATING_SEL_SHIFT   0
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL1_CLK_PROF_AUTOGATING_SEL_MASK    0x00FFFFFF

#define BMDM_CLK_MGR_REG_CLK_PROF_SEL2_OFFSET                             0x00000E98
#define BMDM_CLK_MGR_REG_CLK_PROF_SEL2_TYPE                               UInt32
#define BMDM_CLK_MGR_REG_CLK_PROF_SEL2_RESERVED_MASK                      0x70000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_PRIV_ACCESS_MODE_SHIFT          31
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_CLK_PROF_DSP_POLICY_SEL_SHIFT   24
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_CLK_PROF_DSP_POLICY_SEL_MASK    0x0F000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_CLK_PROF_CLK_REQ_SEL_SHIFT      0
#define    BMDM_CLK_MGR_REG_CLK_PROF_SEL2_CLK_PROF_CLK_REQ_SEL_MASK       0x00FFFFFF

#define BMDM_CLK_MGR_REG_CLK_PROF_CNT_OFFSET                              0x00000E9C
#define BMDM_CLK_MGR_REG_CLK_PROF_CNT_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_CLK_PROF_CNT_RESERVED_MASK                       0x00000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_CNT_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_CLK_PROF_CNT_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_CLK_PROF_CNT_CLK_PROF_CNT_SHIFT               0
#define    BMDM_CLK_MGR_REG_CLK_PROF_CNT_CLK_PROF_CNT_MASK                0x7FFFFFFF

#define BMDM_CLK_MGR_REG_POLICY_DBG_OFFSET                                0x00000EC0
#define BMDM_CLK_MGR_REG_POLICY_DBG_TYPE                                  UInt32
#define BMDM_CLK_MGR_REG_POLICY_DBG_RESERVED_MASK                         0x7FFF88CC
#define    BMDM_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_SHIFT             31
#define    BMDM_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_MASK              0x80000000
#define    BMDM_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_SHIFT                     12
#define    BMDM_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_MASK                      0x00007000
#define    BMDM_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_SHIFT                     8
#define    BMDM_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_MASK                      0x00000700
#define    BMDM_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_SHIFT                   4
#define    BMDM_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_MASK                    0x00000030
#define    BMDM_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_SHIFT                   0
#define    BMDM_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_MASK                    0x00000003

#define BMDM_CLK_MGR_REG_TGTMASK_DBG1_OFFSET                              0x00000EC4
#define BMDM_CLK_MGR_REG_TGTMASK_DBG1_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_TGTMASK_DBG1_RESERVED_MASK                       0x7FFFF800
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_SCLKCAL_23G_TARGET_MASK_SHIFT    10
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_SCLKCAL_23G_TARGET_MASK_MASK     0x00000400
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_RFBB_TARGET_MASK_SHIFT           9
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_RFBB_TARGET_MASK_MASK            0x00000200
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_SCLKCAL_TARGET_MASK_SHIFT        8
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_SCLKCAL_TARGET_MASK_MASK         0x00000100
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_EDGE_MP_TARGET_MASK_SHIFT        7
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_EDGE_MP_TARGET_MASK_MASK         0x00000080
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_HUCM_TARGET_MASK_SHIFT     6
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_HUCM_TARGET_MASK_MASK      0x00000040
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_CIPHER_TARGET_MASK_SHIFT   5
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_CIPHER_TARGET_MASK_MASK    0x00000020
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_DATAPACKER_TARGET_MASK_SHIFT 4
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_WCDMA_DATAPACKER_TARGET_MASK_MASK 0x00000010
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_ASYNC_AHB_TARGET_MASK_SHIFT      3
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_ASYNC_AHB_TARGET_MASK_MASK       0x00000008
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_APB_TARGET_MASK_SHIFT            2
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_APB_TARGET_MASK_MASK             0x00000004
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_COMMS_SWITCH_TARGET_MASK_SHIFT   1
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_COMMS_SWITCH_TARGET_MASK_MASK    0x00000002
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_CP_TARGET_MASK_SHIFT             0
#define    BMDM_CLK_MGR_REG_TGTMASK_DBG1_CP_TARGET_MASK_MASK              0x00000001

#define BMDM_CLK_MGR_REG_ACTMASK_DBG1_OFFSET                              0x00000ED4
#define BMDM_CLK_MGR_REG_ACTMASK_DBG1_TYPE                                UInt32
#define BMDM_CLK_MGR_REG_ACTMASK_DBG1_RESERVED_MASK                       0x7FFFF800
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_SCLKCAL_23G_ACTIVE_MASK_SHIFT    10
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_SCLKCAL_23G_ACTIVE_MASK_MASK     0x00000400
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_RFBB_ACTIVE_MASK_SHIFT           9
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_RFBB_ACTIVE_MASK_MASK            0x00000200
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_SCLKCAL_ACTIVE_MASK_SHIFT        8
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_SCLKCAL_ACTIVE_MASK_MASK         0x00000100
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_EDGE_MP_ACTIVE_MASK_SHIFT        7
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_EDGE_MP_ACTIVE_MASK_MASK         0x00000080
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_HUCM_ACTIVE_MASK_SHIFT     6
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_HUCM_ACTIVE_MASK_MASK      0x00000040
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_CIPHER_ACTIVE_MASK_SHIFT   5
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_CIPHER_ACTIVE_MASK_MASK    0x00000020
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_DATAPACKER_ACTIVE_MASK_SHIFT 4
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_WCDMA_DATAPACKER_ACTIVE_MASK_MASK 0x00000010
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_ASYNC_AHB_ACTIVE_MASK_SHIFT      3
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_ASYNC_AHB_ACTIVE_MASK_MASK       0x00000008
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_APB_ACTIVE_MASK_SHIFT            2
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_APB_ACTIVE_MASK_MASK             0x00000004
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_COMMS_SWITCH_ACTIVE_MASK_SHIFT   1
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_COMMS_SWITCH_ACTIVE_MASK_MASK    0x00000002
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_CP_ACTIVE_MASK_SHIFT             0
#define    BMDM_CLK_MGR_REG_ACTMASK_DBG1_CP_ACTIVE_MASK_MASK              0x00000001

#endif /* __BRCM_RDB_BMDM_CLK_MGR_REG_H__ */


