/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_CFP_TCAM_REGISTER_H__
#define __BRCM_RDB_CFP_TCAM_REGISTER_H__

#define CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_OFFSET                      0x00000000
#define CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_TYPE                        UInt32
#define CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_RESERVED_MASK               0x07C003E0
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_RD_STATUS_SHIFT          28
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_RD_STATUS_MASK           0xF0000000
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_SEARCH_STATUS_SHIFT      27
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_SEARCH_STATUS_MASK       0x08000000
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_XCESS_ADDR_SHIFT         16
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_XCESS_ADDR_MASK          0x003F0000
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_TCAM_RESET_SHIFT         15
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_TCAM_RESET_MASK          0x00008000
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_RAM_SEL_SHIFT            10
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_RAM_SEL_MASK             0x00007C00
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_CFP_RAM_CLEAR_SHIFT      4
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_CFP_RAM_CLEAR_MASK       0x00000010
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_OP_SEL_SHIFT             1
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_OP_SEL_MASK              0x0000000E
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_OP_START_OP_DONE_SHIFT   0
#define    CFP_TCAM_REGISTER_CFP_ACCESS_REGISTER_OP_START_OP_DONE_MASK    0x00000001

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_0_OFFSET                 0x00000080
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_0_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_0_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_0_TCAM_DATA0_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_0_TCAM_DATA0_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_1_OFFSET                 0x000000A0
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_1_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_1_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_1_TCAM_DATA1_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_1_TCAM_DATA1_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_2_OFFSET                 0x000000C0
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_2_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_2_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_2_TCAM_DATA2_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_2_TCAM_DATA2_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_3_OFFSET                 0x000000E0
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_3_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_3_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_3_TCAM_DATA3_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_3_TCAM_DATA3_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_4_OFFSET                 0x00000100
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_4_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_4_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_4_TCAM_DATA4_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_4_TCAM_DATA4_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_5_OFFSET                 0x00000120
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_5_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_5_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_5_TCAM_DATA5_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_5_TCAM_DATA5_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_6_OFFSET                 0x00000140
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_6_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_6_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_6_TCAM_DATA6_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_6_TCAM_DATA6_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_7_OFFSET                 0x00000160
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_7_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_7_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_7_TCAM_DATA7_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_DATA_REGISTER_7_TCAM_DATA7_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_0_OFFSET                 0x00000180
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_0_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_0_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_0_TCAM_MASK0_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_0_TCAM_MASK0_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_1_OFFSET                 0x000001A0
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_1_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_1_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_1_TCAM_MASK1_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_1_TCAM_MASK1_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_2_OFFSET                 0x000001C0
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_2_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_2_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_2_TCAM_MASK2_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_2_TCAM_MASK2_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_3_OFFSET                 0x000001E0
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_3_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_3_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_3_TCAM_MASK3_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_3_TCAM_MASK3_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_4_OFFSET                 0x00000200
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_4_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_4_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_4_TCAM_MASK4_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_4_TCAM_MASK4_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_5_OFFSET                 0x00000220
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_5_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_5_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_5_TCAM_MASK5_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_5_TCAM_MASK5_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_6_OFFSET                 0x00000240
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_6_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_6_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_6_TCAM_MASK6_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_6_TCAM_MASK6_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_7_OFFSET                 0x00000260
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_7_TYPE                   UInt32
#define CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_7_RESERVED_MASK          0x00000000
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_7_TCAM_MASK7_SHIFT    0
#define    CFP_TCAM_REGISTER_CFP_TCAM_MASK_REGISTER_7_TCAM_MASK7_MASK     0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_OFFSET         0x00000280
#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_TYPE           UInt32
#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_RESERVED_MASK  0x00000000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_DSCP_OB_SHIFT 31
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_DSCP_OB_MASK 0x80000000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_NEW_DSCP_OB_SHIFT 25
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_NEW_DSCP_OB_MASK 0x7E000000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_FWD_OB_SHIFT 23
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_FWD_OB_MASK 0x01800000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_DST_MAP_OB_SHIFT 16
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_DST_MAP_OB_MASK 0x007F0000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_DSCP_IB_SHIFT 15
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_DSCP_IB_MASK 0x00008000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_NEW_DSCP_IB_SHIFT 9
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_NEW_DSCP_IB_MASK 0x00007E00
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_FWD_IB_SHIFT 7
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_CHANGE_FWD_IB_MASK 0x00000180
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_DST_MAP_IB_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA0_REGISTER_DST_MAP_IB_MASK 0x0000007F

#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_OFFSET         0x000002A0
#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_TYPE           UInt32
#define CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_RESERVED_MASK  0xFF000000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_EAV_REASON_CODE_SHIFT 22
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_EAV_REASON_CODE_MASK 0x00C00000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_CHAINID_SHIFT 14
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_CHAINID_MASK 0x003FC000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_CHANGE_TC_SHIFT 13
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_CHANGE_TC_MASK 0x00002000
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_NEW_TC_SHIFT 10
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_NEW_TC_MASK 0x00001C00
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_LOOPBACK_ENABLE_SHIFT 9
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_LOOPBACK_ENABLE_MASK 0x00000200
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_REASON_CODE_SHIFT 3
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_REASON_CODE_MASK 0x000001F8
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_STP_BYPASS_SHIFT 2
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_STP_BYPASS_MASK 0x00000004
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_EAP_BYPASS_SHIFT 1
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_EAP_BYPASS_MASK 0x00000002
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_VLAN_BYPASS_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_ACTION_POLICY_DATA1_REGISTER_VLAN_BYPASS_MASK 0x00000001

#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_0_OFFSET           0x00000300
#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_0_TYPE             UInt32
#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_0_RESERVED_MASK    0xFF000000
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_0_CURR_QUOTA_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_0_CURR_QUOTA_MASK 0x00FFFFFF

#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_OFFSET           0x00000320
#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_TYPE             UInt32
#define CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_RESERVED_MASK    0x7FFFF000
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_RATE_REFRESH_EN_SHIFT 31
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_RATE_REFRESH_EN_MASK 0x80000000
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_REF_CAP_SHIFT 8
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_REF_CAP_MASK  0x00000F00
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_TOKEN_NUM_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_RATE_METER_DATA_REGISTER_1_TOKEN_NUM_MASK 0x000000FF

#define CFP_TCAM_REGISTER_CFP_RATE_IN_BAND_STATISTIC_DATA_REGISTER_OFFSET 0x00000380
#define CFP_TCAM_REGISTER_CFP_RATE_IN_BAND_STATISTIC_DATA_REGISTER_TYPE   UInt32
#define CFP_TCAM_REGISTER_CFP_RATE_IN_BAND_STATISTIC_DATA_REGISTER_RESERVED_MASK 0x00000000
#define    CFP_TCAM_REGISTER_CFP_RATE_IN_BAND_STATISTIC_DATA_REGISTER_IN_BAND_CNT_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_RATE_IN_BAND_STATISTIC_DATA_REGISTER_IN_BAND_CNT_MASK 0xFFFFFFFF

#define CFP_TCAM_REGISTER_CFP_RATE_OUT_BAND_STATISTIC_DATA_REGISTER_OFFSET 0x000003A0
#define CFP_TCAM_REGISTER_CFP_RATE_OUT_BAND_STATISTIC_DATA_REGISTER_TYPE  UInt32
#define CFP_TCAM_REGISTER_CFP_RATE_OUT_BAND_STATISTIC_DATA_REGISTER_RESERVED_MASK 0x00000000
#define    CFP_TCAM_REGISTER_CFP_RATE_OUT_BAND_STATISTIC_DATA_REGISTER_OUT_BAND_CNT_SHIFT 0
#define    CFP_TCAM_REGISTER_CFP_RATE_OUT_BAND_STATISTIC_DATA_REGISTER_OUT_BAND_CNT_MASK 0xFFFFFFFF

#define CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_OFFSET               0x00000500
#define CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TYPE                 UInt32
#define CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_RESERVED_MASK        0x7FFE000C
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_DONE_SHIFT 31
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_DONE_MASK 0x80000000
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_TEST_COMPARE_SHIFT 16
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_TEST_COMPARE_MASK 0x00010000
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_SKIP_ERR_CNT_SHIFT 8
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_SKIP_ERR_CNT_MASK 0x0000FF00
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_STATUS_SEL_SHIFT 4
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_STATUS_SEL_MASK 0x000000F0
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_SEL_SHIFT    1
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_SEL_MASK     0x00000002
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_EN_SHIFT 0
#define    CFP_TCAM_REGISTER_TCAM_BIST_CONTROL_REGISTER_TCAM_BIST_EN_MASK 0x00000001

#define CFP_TCAM_REGISTER_TCAM_BIST_STATUS_REGISTER_OFFSET                0x00000520
#define CFP_TCAM_REGISTER_TCAM_BIST_STATUS_REGISTER_TYPE                  UInt32
#define CFP_TCAM_REGISTER_TCAM_BIST_STATUS_REGISTER_RESERVED_MASK         0xFFFF0000
#define    CFP_TCAM_REGISTER_TCAM_BIST_STATUS_REGISTER_TCAM_BIST_STATUS_SHIFT 0
#define    CFP_TCAM_REGISTER_TCAM_BIST_STATUS_REGISTER_TCAM_BIST_STATUS_MASK 0x0000FFFF

#define CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_OFFSET        0x00000540
#define CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_TYPE          UInt32
#define CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_RESERVED_MASK 0xFFFF7F00
#define    CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_TCAM_HIT_SHIFT 15
#define    CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_TCAM_HIT_MASK 0x00008000
#define    CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_TCAM_HIT_ADDR_SHIFT 0
#define    CFP_TCAM_REGISTER_TCAM_TEST_COMPARE_STATUS_REGISTER_TCAM_HIT_ADDR_MASK 0x000000FF

#endif /* __BRCM_RDB_CFP_TCAM_REGISTER_H__ */


