/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_COMBINER_H__
#define __BRCM_RDB_COMBINER_H__

#define COMBINER_CH0GO0_OFFSET                                            0x00000000
#define COMBINER_CH0GO0_TYPE                                              UInt32
#define COMBINER_CH0GO0_RESERVED_MASK                                     0xFFFFFFFC
#define    COMBINER_CH0GO0_CH0GO0_ND_SHIFT                                1
#define    COMBINER_CH0GO0_CH0GO0_ND_MASK                                 0x00000002
#define    COMBINER_CH0GO0_CH0GO0_SHIFT                                   0
#define    COMBINER_CH0GO0_CH0GO0_MASK                                    0x00000001

#define COMBINER_CH0FINGERMASKIN_OFFSET                                   0x00000004
#define COMBINER_CH0FINGERMASKIN_TYPE                                     UInt32
#define COMBINER_CH0FINGERMASKIN_RESERVED_MASK                            0xFFC0C0C0
#define    COMBINER_CH0FINGERMASKIN_CH0FIRSTINTIMEIN_SHIFT                16
#define    COMBINER_CH0FINGERMASKIN_CH0FIRSTINTIMEIN_MASK                 0x003F0000
#define    COMBINER_CH0FINGERMASKIN_CH0LASTINTIMEIN_SHIFT                 8
#define    COMBINER_CH0FINGERMASKIN_CH0LASTINTIMEIN_MASK                  0x00003F00
#define    COMBINER_CH0FINGERMASKIN_CH0FINGERMASKIN_SHIFT                 0
#define    COMBINER_CH0FINGERMASKIN_CH0FINGERMASKIN_MASK                  0x0000003F

#define COMBINER_CH0FRAMEOFFSETSIN_0_OFFSET                               0x00000008
#define COMBINER_CH0FRAMEOFFSETSIN_0_TYPE                                 UInt32
#define COMBINER_CH0FRAMEOFFSETSIN_0_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH0FRAMEOFFSETSIN_0_CH0FRAMEOFFSETSIN_1_SHIFT         16
#define    COMBINER_CH0FRAMEOFFSETSIN_0_CH0FRAMEOFFSETSIN_1_MASK          0x3FFF0000
#define    COMBINER_CH0FRAMEOFFSETSIN_0_CH0FRAMEOFFSETSIN_0_SHIFT         0
#define    COMBINER_CH0FRAMEOFFSETSIN_0_CH0FRAMEOFFSETSIN_0_MASK          0x00003FFF

#define COMBINER_CH0FRAMEOFFSETSIN_2_OFFSET                               0x0000000C
#define COMBINER_CH0FRAMEOFFSETSIN_2_TYPE                                 UInt32
#define COMBINER_CH0FRAMEOFFSETSIN_2_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH0FRAMEOFFSETSIN_2_CH0FRAMEOFFSETSIN_3_SHIFT         16
#define    COMBINER_CH0FRAMEOFFSETSIN_2_CH0FRAMEOFFSETSIN_3_MASK          0x3FFF0000
#define    COMBINER_CH0FRAMEOFFSETSIN_2_CH0FRAMEOFFSETSIN_2_SHIFT         0
#define    COMBINER_CH0FRAMEOFFSETSIN_2_CH0FRAMEOFFSETSIN_2_MASK          0x00003FFF

#define COMBINER_CH0FRAMEOFFSETSIN_4_OFFSET                               0x00000010
#define COMBINER_CH0FRAMEOFFSETSIN_4_TYPE                                 UInt32
#define COMBINER_CH0FRAMEOFFSETSIN_4_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH0FRAMEOFFSETSIN_4_CH0FRAMEOFFSETSIN_5_SHIFT         16
#define    COMBINER_CH0FRAMEOFFSETSIN_4_CH0FRAMEOFFSETSIN_5_MASK          0x3FFF0000
#define    COMBINER_CH0FRAMEOFFSETSIN_4_CH0FRAMEOFFSETSIN_4_SHIFT         0
#define    COMBINER_CH0FRAMEOFFSETSIN_4_CH0FRAMEOFFSETSIN_4_MASK          0x00003FFF

#define COMBINER_CH0FRAMELENGTHIN_OFFSET                                  0x00000014
#define COMBINER_CH0FRAMELENGTHIN_TYPE                                    UInt32
#define COMBINER_CH0FRAMELENGTHIN_RESERVED_MASK                           0xFFFFC000
#define    COMBINER_CH0FRAMELENGTHIN_CH0FRAMELENGTHIN_SHIFT               0
#define    COMBINER_CH0FRAMELENGTHIN_CH0FRAMELENGTHIN_MASK                0x00003FFF

#define COMBINER_CH0SLOTFORMATIN_0_OFFSET                                 0x00000018
#define COMBINER_CH0SLOTFORMATIN_0_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_0_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_0_CH0SLOTFORMATIN_0_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_1_OFFSET                                 0x0000001C
#define COMBINER_CH0SLOTFORMATIN_1_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_1_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_1_CH0SLOTFORMATIN_1_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_2_OFFSET                                 0x00000020
#define COMBINER_CH0SLOTFORMATIN_2_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_2_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_2_CH0SLOTFORMATIN_2_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_3_OFFSET                                 0x00000024
#define COMBINER_CH0SLOTFORMATIN_3_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_3_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_3_CH0SLOTFORMATIN_3_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_4_OFFSET                                 0x00000028
#define COMBINER_CH0SLOTFORMATIN_4_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_4_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_4_CH0SLOTFORMATIN_4_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_5_OFFSET                                 0x0000002C
#define COMBINER_CH0SLOTFORMATIN_5_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_5_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_5_CH0SLOTFORMATIN_5_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_6_OFFSET                                 0x00000030
#define COMBINER_CH0SLOTFORMATIN_6_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_6_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_6_CH0SLOTFORMATIN_6_CNT_MASK          0x000003FF

#define COMBINER_CH0SLOTFORMATIN_7_OFFSET                                 0x00000034
#define COMBINER_CH0SLOTFORMATIN_7_TYPE                                   UInt32
#define COMBINER_CH0SLOTFORMATIN_7_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_NEXTINDEX_SHIFT   24
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_SYMTYPE_SHIFT     16
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_CNT_SHIFT         0
#define    COMBINER_CH0SLOTFORMATIN_7_CH0SLOTFORMATIN_7_CNT_MASK          0x000003FF

#define COMBINER_CH0DTX_OFFSET                                            0x0000003C
#define COMBINER_CH0DTX_TYPE                                              UInt32
#define COMBINER_CH0DTX_RESERVED_MASK                                     0x4000C000
#define    COMBINER_CH0DTX_CH0DTXMODEIN_R1_SHIFT                          31
#define    COMBINER_CH0DTX_CH0DTXMODEIN_R1_MASK                           0x80000000
#define    COMBINER_CH0DTX_CH0DTXENDIN_SHIFT                              16
#define    COMBINER_CH0DTX_CH0DTXENDIN_MASK                               0x3FFF0000
#define    COMBINER_CH0DTX_CH0DTXSTARTIN_SHIFT                            0
#define    COMBINER_CH0DTX_CH0DTXSTARTIN_MASK                             0x00003FFF

#define COMBINER_CH0GO1_OFFSET                                            0x00000040
#define COMBINER_CH0GO1_TYPE                                              UInt32
#define COMBINER_CH0GO1_RESERVED_MASK                                     0xFFFFFFFC
#define    COMBINER_CH0GO1_CH0GO1_ND_SHIFT                                1
#define    COMBINER_CH0GO1_CH0GO1_ND_MASK                                 0x00000002
#define    COMBINER_CH0GO1_CH0GO1_SHIFT                                   0
#define    COMBINER_CH0GO1_CH0GO1_MASK                                    0x00000001

#define COMBINER_TFCI_VPGAIN0_OFFSET                                      0x00000044
#define COMBINER_TFCI_VPGAIN0_TYPE                                        UInt32
#define COMBINER_TFCI_VPGAIN0_RESERVED_MASK                               0xFFFFFFFC
#define    COMBINER_TFCI_VPGAIN0_TFCI_VPGAIN0_SHIFT                       0
#define    COMBINER_TFCI_VPGAIN0_TFCI_VPGAIN0_MASK                        0x00000003

#define COMBINER_CH0VPGAININ_OFFSET                                       0x00000048
#define COMBINER_CH0VPGAININ_TYPE                                         UInt32
#define COMBINER_CH0VPGAININ_RESERVED_MASK                                0xFFFFFFF8
#define    COMBINER_CH0VPGAININ_CH0VPGAININ_SHIFT                         0
#define    COMBINER_CH0VPGAININ_CH0VPGAININ_MASK                          0x00000007

#define COMBINER_CH1GO0_OFFSET                                            0x00000080
#define COMBINER_CH1GO0_TYPE                                              UInt32
#define COMBINER_CH1GO0_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH1GO0_CH1GO0_SHIFT                                   0
#define    COMBINER_CH1GO0_CH1GO0_MASK                                    0x00000001

#define COMBINER_CH1FINGERMASKIN_OFFSET                                   0x00000084
#define COMBINER_CH1FINGERMASKIN_TYPE                                     UInt32
#define COMBINER_CH1FINGERMASKIN_RESERVED_MASK                            0xFFC0C0C0
#define    COMBINER_CH1FINGERMASKIN_CH1FIRSTINTIMEIN_SHIFT                16
#define    COMBINER_CH1FINGERMASKIN_CH1FIRSTINTIMEIN_MASK                 0x003F0000
#define    COMBINER_CH1FINGERMASKIN_CH1LASTINTIMEIN_SHIFT                 8
#define    COMBINER_CH1FINGERMASKIN_CH1LASTINTIMEIN_MASK                  0x00003F00
#define    COMBINER_CH1FINGERMASKIN_CH1FINGERMASKIN_SHIFT                 0
#define    COMBINER_CH1FINGERMASKIN_CH1FINGERMASKIN_MASK                  0x0000003F

#define COMBINER_CH1FRAMEOFFSETSIN_0_OFFSET                               0x00000088
#define COMBINER_CH1FRAMEOFFSETSIN_0_TYPE                                 UInt32
#define COMBINER_CH1FRAMEOFFSETSIN_0_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH1FRAMEOFFSETSIN_0_CH1FRAMEOFFSETSIN_1_SHIFT         16
#define    COMBINER_CH1FRAMEOFFSETSIN_0_CH1FRAMEOFFSETSIN_1_MASK          0x3FFF0000
#define    COMBINER_CH1FRAMEOFFSETSIN_0_CH1FRAMEOFFSETSIN_0_SHIFT         0
#define    COMBINER_CH1FRAMEOFFSETSIN_0_CH1FRAMEOFFSETSIN_0_MASK          0x00003FFF

#define COMBINER_CH1FRAMEOFFSETSIN_2_OFFSET                               0x0000008C
#define COMBINER_CH1FRAMEOFFSETSIN_2_TYPE                                 UInt32
#define COMBINER_CH1FRAMEOFFSETSIN_2_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH1FRAMEOFFSETSIN_2_CH1FRAMEOFFSETSIN_3_SHIFT         16
#define    COMBINER_CH1FRAMEOFFSETSIN_2_CH1FRAMEOFFSETSIN_3_MASK          0x3FFF0000
#define    COMBINER_CH1FRAMEOFFSETSIN_2_CH1FRAMEOFFSETSIN_2_SHIFT         0
#define    COMBINER_CH1FRAMEOFFSETSIN_2_CH1FRAMEOFFSETSIN_2_MASK          0x00003FFF

#define COMBINER_CH1FRAMEOFFSETSIN_4_OFFSET                               0x00000090
#define COMBINER_CH1FRAMEOFFSETSIN_4_TYPE                                 UInt32
#define COMBINER_CH1FRAMEOFFSETSIN_4_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH1FRAMEOFFSETSIN_4_CH1FRAMEOFFSETSIN_5_SHIFT         16
#define    COMBINER_CH1FRAMEOFFSETSIN_4_CH1FRAMEOFFSETSIN_5_MASK          0x3FFF0000
#define    COMBINER_CH1FRAMEOFFSETSIN_4_CH1FRAMEOFFSETSIN_4_SHIFT         0
#define    COMBINER_CH1FRAMEOFFSETSIN_4_CH1FRAMEOFFSETSIN_4_MASK          0x00003FFF

#define COMBINER_CH1FRAMELENGTHIN_OFFSET                                  0x00000094
#define COMBINER_CH1FRAMELENGTHIN_TYPE                                    UInt32
#define COMBINER_CH1FRAMELENGTHIN_RESERVED_MASK                           0xFFFFC000
#define    COMBINER_CH1FRAMELENGTHIN_CH1FRAMELENGTHIN_SHIFT               0
#define    COMBINER_CH1FRAMELENGTHIN_CH1FRAMELENGTHIN_MASK                0x00003FFF

#define COMBINER_CH1SLOTFORMATIN_0_OFFSET                                 0x00000098
#define COMBINER_CH1SLOTFORMATIN_0_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_0_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_0_CH1SLOTFORMATIN_0_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_1_OFFSET                                 0x0000009C
#define COMBINER_CH1SLOTFORMATIN_1_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_1_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_1_CH1SLOTFORMATIN_1_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_2_OFFSET                                 0x000000A0
#define COMBINER_CH1SLOTFORMATIN_2_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_2_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_2_CH1SLOTFORMATIN_2_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_3_OFFSET                                 0x000000A4
#define COMBINER_CH1SLOTFORMATIN_3_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_3_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_3_CH1SLOTFORMATIN_3_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_4_OFFSET                                 0x000000A8
#define COMBINER_CH1SLOTFORMATIN_4_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_4_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_4_CH1SLOTFORMATIN_4_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_5_OFFSET                                 0x000000AC
#define COMBINER_CH1SLOTFORMATIN_5_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_5_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_5_CH1SLOTFORMATIN_5_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_6_OFFSET                                 0x000000B0
#define COMBINER_CH1SLOTFORMATIN_6_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_6_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_6_CH1SLOTFORMATIN_6_CNT_MASK          0x000003FF

#define COMBINER_CH1SLOTFORMATIN_7_OFFSET                                 0x000000B4
#define COMBINER_CH1SLOTFORMATIN_7_TYPE                                   UInt32
#define COMBINER_CH1SLOTFORMATIN_7_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_NEXTINDEX_SHIFT   24
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_SYMTYPE_SHIFT     16
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_CNT_SHIFT         0
#define    COMBINER_CH1SLOTFORMATIN_7_CH1SLOTFORMATIN_7_CNT_MASK          0x000003FF

#define COMBINER_CH1AICHPATTERNIN_OFFSET                                  0x000000B8
#define COMBINER_CH1AICHPATTERNIN_TYPE                                    UInt32
#define COMBINER_CH1AICHPATTERNIN_RESERVED_MASK                           0x00000000
#define    COMBINER_CH1AICHPATTERNIN_CH1AICHPATTERNIN_SHIFT               0
#define    COMBINER_CH1AICHPATTERNIN_CH1AICHPATTERNIN_MASK                0xFFFFFFFF

#define COMBINER_CH1DTX_OFFSET                                            0x000000BC
#define COMBINER_CH1DTX_TYPE                                              UInt32
#define COMBINER_CH1DTX_RESERVED_MASK                                     0x4000C000
#define    COMBINER_CH1DTX_CH1DTXMODEIN_R1_SHIFT                          31
#define    COMBINER_CH1DTX_CH1DTXMODEIN_R1_MASK                           0x80000000
#define    COMBINER_CH1DTX_CH1DTXENDIN_SHIFT                              16
#define    COMBINER_CH1DTX_CH1DTXENDIN_MASK                               0x3FFF0000
#define    COMBINER_CH1DTX_CH1DTXSTARTIN_SHIFT                            0
#define    COMBINER_CH1DTX_CH1DTXSTARTIN_MASK                             0x00003FFF

#define COMBINER_CH1GO1_OFFSET                                            0x000000C0
#define COMBINER_CH1GO1_TYPE                                              UInt32
#define COMBINER_CH1GO1_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH1GO1_CH1GO1_SHIFT                                   0
#define    COMBINER_CH1GO1_CH1GO1_MASK                                    0x00000001

#define COMBINER_TFCI_VPGAIN1_OFFSET                                      0x000000C4
#define COMBINER_TFCI_VPGAIN1_TYPE                                        UInt32
#define COMBINER_TFCI_VPGAIN1_RESERVED_MASK                               0xFFFFFFFC
#define    COMBINER_TFCI_VPGAIN1_TFCI_VPGAIN1_SHIFT                       0
#define    COMBINER_TFCI_VPGAIN1_TFCI_VPGAIN1_MASK                        0x00000003

#define COMBINER_CH1VPGAININ_OFFSET                                       0x000000C8
#define COMBINER_CH1VPGAININ_TYPE                                         UInt32
#define COMBINER_CH1VPGAININ_RESERVED_MASK                                0xFFFFFFF8
#define    COMBINER_CH1VPGAININ_CH1VPGAININ_SHIFT                         0
#define    COMBINER_CH1VPGAININ_CH1VPGAININ_MASK                          0x00000007

#define COMBINER_EAICH_APB_RA_OFFSET                                      0x000000CC
#define COMBINER_EAICH_APB_RA_TYPE                                        UInt32
#define COMBINER_EAICH_APB_RA_RESERVED_MASK                               0xFFFFFFE0
#define    COMBINER_EAICH_APB_RA_EAICH_APB_RA_SHIFT                       0
#define    COMBINER_EAICH_APB_RA_EAICH_APB_RA_MASK                        0x0000001F

#define COMBINER_EAICH_APB_DOUT_OFFSET                                    0x000000D0
#define COMBINER_EAICH_APB_DOUT_TYPE                                      UInt32
#define COMBINER_EAICH_APB_DOUT_RESERVED_MASK                             0xFFFF0000
#define    COMBINER_EAICH_APB_DOUT_EAICH_APB_DOUT_SHIFT                   0
#define    COMBINER_EAICH_APB_DOUT_EAICH_APB_DOUT_MASK                    0x0000FFFF

#define COMBINER_EAICH_VALID_OFFSET                                       0x000000D4
#define COMBINER_EAICH_VALID_TYPE                                         UInt32
#define COMBINER_EAICH_VALID_RESERVED_MASK                                0xFFFFFFFE
#define    COMBINER_EAICH_VALID_EAICH_VALID_SHIFT                         0
#define    COMBINER_EAICH_VALID_EAICH_VALID_MASK                          0x00000001

#define COMBINER_EAICH_CONTROL_OFFSET                                     0x000000D8
#define COMBINER_EAICH_CONTROL_TYPE                                       UInt32
#define COMBINER_EAICH_CONTROL_RESERVED_MASK                              0xFFFFFFEE
#define    COMBINER_EAICH_CONTROL_EAICH_ENABLE_SHIFT                      4
#define    COMBINER_EAICH_CONTROL_EAICH_ENABLE_MASK                       0x00000010
#define    COMBINER_EAICH_CONTROL_EAICH_CLR_SHIFT                         0
#define    COMBINER_EAICH_CONTROL_EAICH_CLR_MASK                          0x00000001

#define COMBINER_EAICH_MAX0_OFFSET                                        0x000000DC
#define COMBINER_EAICH_MAX0_TYPE                                          UInt32
#define COMBINER_EAICH_MAX0_RESERVED_MASK                                 0xFFF00000
#define    COMBINER_EAICH_MAX0_EAICH_MAX_IDX0_SHIFT                       16
#define    COMBINER_EAICH_MAX0_EAICH_MAX_IDX0_MASK                        0x000F0000
#define    COMBINER_EAICH_MAX0_EAICH_MAX_VAL0_SHIFT                       0
#define    COMBINER_EAICH_MAX0_EAICH_MAX_VAL0_MASK                        0x0000FFFF

#define COMBINER_EAICH_MAX1_OFFSET                                        0x000000E0
#define COMBINER_EAICH_MAX1_TYPE                                          UInt32
#define COMBINER_EAICH_MAX1_RESERVED_MASK                                 0xFFF00000
#define    COMBINER_EAICH_MAX1_EAICH_MAX_IDX1_SHIFT                       16
#define    COMBINER_EAICH_MAX1_EAICH_MAX_IDX1_MASK                        0x000F0000
#define    COMBINER_EAICH_MAX1_EAICH_MAX_VAL1_SHIFT                       0
#define    COMBINER_EAICH_MAX1_EAICH_MAX_VAL1_MASK                        0x0000FFFF

#define COMBINER_EAICH_DTX_SEL_OFFSET                                     0x000000E4
#define COMBINER_EAICH_DTX_SEL_TYPE                                       UInt32
#define COMBINER_EAICH_DTX_SEL_RESERVED_MASK                              0xFFFFFFFE
#define    COMBINER_EAICH_DTX_SEL_EAICH_DTX_SEL_SHIFT                     0
#define    COMBINER_EAICH_DTX_SEL_EAICH_DTX_SEL_MASK                      0x00000001

#define COMBINER_CH2GO0_OFFSET                                            0x00000100
#define COMBINER_CH2GO0_TYPE                                              UInt32
#define COMBINER_CH2GO0_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH2GO0_CH2GO0_SHIFT                                   0
#define    COMBINER_CH2GO0_CH2GO0_MASK                                    0x00000001

#define COMBINER_CH2FINGERMASKIN_OFFSET                                   0x00000104
#define COMBINER_CH2FINGERMASKIN_TYPE                                     UInt32
#define COMBINER_CH2FINGERMASKIN_RESERVED_MASK                            0xFFC0C0C0
#define    COMBINER_CH2FINGERMASKIN_CH2FIRSTINTIMEIN_SHIFT                16
#define    COMBINER_CH2FINGERMASKIN_CH2FIRSTINTIMEIN_MASK                 0x003F0000
#define    COMBINER_CH2FINGERMASKIN_CH2LASTINTIMEIN_SHIFT                 8
#define    COMBINER_CH2FINGERMASKIN_CH2LASTINTIMEIN_MASK                  0x00003F00
#define    COMBINER_CH2FINGERMASKIN_CH2FINGERMASKIN_SHIFT                 0
#define    COMBINER_CH2FINGERMASKIN_CH2FINGERMASKIN_MASK                  0x0000003F

#define COMBINER_CH2FRAMEOFFSETSIN_0_OFFSET                               0x00000108
#define COMBINER_CH2FRAMEOFFSETSIN_0_TYPE                                 UInt32
#define COMBINER_CH2FRAMEOFFSETSIN_0_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH2FRAMEOFFSETSIN_0_CH2FRAMEOFFSETSIN_1_SHIFT         16
#define    COMBINER_CH2FRAMEOFFSETSIN_0_CH2FRAMEOFFSETSIN_1_MASK          0x3FFF0000
#define    COMBINER_CH2FRAMEOFFSETSIN_0_CH2FRAMEOFFSETSIN_0_SHIFT         0
#define    COMBINER_CH2FRAMEOFFSETSIN_0_CH2FRAMEOFFSETSIN_0_MASK          0x00003FFF

#define COMBINER_CH2FRAMEOFFSETSIN_2_OFFSET                               0x0000010C
#define COMBINER_CH2FRAMEOFFSETSIN_2_TYPE                                 UInt32
#define COMBINER_CH2FRAMEOFFSETSIN_2_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH2FRAMEOFFSETSIN_2_CH2FRAMEOFFSETSIN_3_SHIFT         16
#define    COMBINER_CH2FRAMEOFFSETSIN_2_CH2FRAMEOFFSETSIN_3_MASK          0x3FFF0000
#define    COMBINER_CH2FRAMEOFFSETSIN_2_CH2FRAMEOFFSETSIN_2_SHIFT         0
#define    COMBINER_CH2FRAMEOFFSETSIN_2_CH2FRAMEOFFSETSIN_2_MASK          0x00003FFF

#define COMBINER_CH2FRAMEOFFSETSIN_4_OFFSET                               0x00000110
#define COMBINER_CH2FRAMEOFFSETSIN_4_TYPE                                 UInt32
#define COMBINER_CH2FRAMEOFFSETSIN_4_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH2FRAMEOFFSETSIN_4_CH2FRAMEOFFSETSIN_5_SHIFT         16
#define    COMBINER_CH2FRAMEOFFSETSIN_4_CH2FRAMEOFFSETSIN_5_MASK          0x3FFF0000
#define    COMBINER_CH2FRAMEOFFSETSIN_4_CH2FRAMEOFFSETSIN_4_SHIFT         0
#define    COMBINER_CH2FRAMEOFFSETSIN_4_CH2FRAMEOFFSETSIN_4_MASK          0x00003FFF

#define COMBINER_CH2FRAMELENGTHIN_OFFSET                                  0x00000114
#define COMBINER_CH2FRAMELENGTHIN_TYPE                                    UInt32
#define COMBINER_CH2FRAMELENGTHIN_RESERVED_MASK                           0xFFFFC000
#define    COMBINER_CH2FRAMELENGTHIN_CH2FRAMELENGTHIN_SHIFT               0
#define    COMBINER_CH2FRAMELENGTHIN_CH2FRAMELENGTHIN_MASK                0x00003FFF

#define COMBINER_CH2SLOTFORMATIN_0_OFFSET                                 0x00000118
#define COMBINER_CH2SLOTFORMATIN_0_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_0_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_0_CH2SLOTFORMATIN_0_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_1_OFFSET                                 0x0000011C
#define COMBINER_CH2SLOTFORMATIN_1_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_1_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_1_CH2SLOTFORMATIN_1_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_2_OFFSET                                 0x00000120
#define COMBINER_CH2SLOTFORMATIN_2_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_2_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_2_CH2SLOTFORMATIN_2_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_3_OFFSET                                 0x00000124
#define COMBINER_CH2SLOTFORMATIN_3_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_3_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_3_CH2SLOTFORMATIN_3_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_4_OFFSET                                 0x00000128
#define COMBINER_CH2SLOTFORMATIN_4_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_4_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_4_CH2SLOTFORMATIN_4_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_5_OFFSET                                 0x0000012C
#define COMBINER_CH2SLOTFORMATIN_5_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_5_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_5_CH2SLOTFORMATIN_5_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_6_OFFSET                                 0x00000130
#define COMBINER_CH2SLOTFORMATIN_6_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_6_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_6_CH2SLOTFORMATIN_6_CNT_MASK          0x000003FF

#define COMBINER_CH2SLOTFORMATIN_7_OFFSET                                 0x00000134
#define COMBINER_CH2SLOTFORMATIN_7_TYPE                                   UInt32
#define COMBINER_CH2SLOTFORMATIN_7_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_NEXTINDEX_SHIFT   24
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_SYMTYPE_SHIFT     16
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_CNT_SHIFT         0
#define    COMBINER_CH2SLOTFORMATIN_7_CH2SLOTFORMATIN_7_CNT_MASK          0x000003FF

#define COMBINER_CH2DTX_OFFSET                                            0x0000013C
#define COMBINER_CH2DTX_TYPE                                              UInt32
#define COMBINER_CH2DTX_RESERVED_MASK                                     0x4000C000
#define    COMBINER_CH2DTX_CH2DTXMODEIN_R1_SHIFT                          31
#define    COMBINER_CH2DTX_CH2DTXMODEIN_R1_MASK                           0x80000000
#define    COMBINER_CH2DTX_CH2DTXENDIN_SHIFT                              16
#define    COMBINER_CH2DTX_CH2DTXENDIN_MASK                               0x3FFF0000
#define    COMBINER_CH2DTX_CH2DTXSTARTIN_SHIFT                            0
#define    COMBINER_CH2DTX_CH2DTXSTARTIN_MASK                             0x00003FFF

#define COMBINER_CH2GO1_OFFSET                                            0x00000140
#define COMBINER_CH2GO1_TYPE                                              UInt32
#define COMBINER_CH2GO1_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH2GO1_CH2GO1_SHIFT                                   0
#define    COMBINER_CH2GO1_CH2GO1_MASK                                    0x00000001

#define COMBINER_TFCI_VPGAIN2_OFFSET                                      0x00000144
#define COMBINER_TFCI_VPGAIN2_TYPE                                        UInt32
#define COMBINER_TFCI_VPGAIN2_RESERVED_MASK                               0xFFFFFFFC
#define    COMBINER_TFCI_VPGAIN2_TFCI_VPGAIN2_SHIFT                       0
#define    COMBINER_TFCI_VPGAIN2_TFCI_VPGAIN2_MASK                        0x00000003

#define COMBINER_CH2VPGAININ_OFFSET                                       0x00000148
#define COMBINER_CH2VPGAININ_TYPE                                         UInt32
#define COMBINER_CH2VPGAININ_RESERVED_MASK                                0xFFFFFFF8
#define    COMBINER_CH2VPGAININ_CH2VPGAININ_SHIFT                         0
#define    COMBINER_CH2VPGAININ_CH2VPGAININ_MASK                          0x00000007

#define COMBINER_CH3GO0_OFFSET                                            0x00000180
#define COMBINER_CH3GO0_TYPE                                              UInt32
#define COMBINER_CH3GO0_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH3GO0_CH3GO0_SHIFT                                   0
#define    COMBINER_CH3GO0_CH3GO0_MASK                                    0x00000001

#define COMBINER_CH3FINGERMASKIN_OFFSET                                   0x00000184
#define COMBINER_CH3FINGERMASKIN_TYPE                                     UInt32
#define COMBINER_CH3FINGERMASKIN_RESERVED_MASK                            0xFFC0C0C0
#define    COMBINER_CH3FINGERMASKIN_CH3FIRSTINTIMEIN_SHIFT                16
#define    COMBINER_CH3FINGERMASKIN_CH3FIRSTINTIMEIN_MASK                 0x003F0000
#define    COMBINER_CH3FINGERMASKIN_CH3LASTINTIMEIN_SHIFT                 8
#define    COMBINER_CH3FINGERMASKIN_CH3LASTINTIMEIN_MASK                  0x00003F00
#define    COMBINER_CH3FINGERMASKIN_CH3FINGERMASKIN_SHIFT                 0
#define    COMBINER_CH3FINGERMASKIN_CH3FINGERMASKIN_MASK                  0x0000003F

#define COMBINER_CH3FRAMEOFFSETSIN_0_OFFSET                               0x00000188
#define COMBINER_CH3FRAMEOFFSETSIN_0_TYPE                                 UInt32
#define COMBINER_CH3FRAMEOFFSETSIN_0_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH3FRAMEOFFSETSIN_0_CH3FRAMEOFFSETSIN_1_SHIFT         16
#define    COMBINER_CH3FRAMEOFFSETSIN_0_CH3FRAMEOFFSETSIN_1_MASK          0x3FFF0000
#define    COMBINER_CH3FRAMEOFFSETSIN_0_CH3FRAMEOFFSETSIN_0_SHIFT         0
#define    COMBINER_CH3FRAMEOFFSETSIN_0_CH3FRAMEOFFSETSIN_0_MASK          0x00003FFF

#define COMBINER_CH3FRAMEOFFSETSIN_2_OFFSET                               0x0000018C
#define COMBINER_CH3FRAMEOFFSETSIN_2_TYPE                                 UInt32
#define COMBINER_CH3FRAMEOFFSETSIN_2_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH3FRAMEOFFSETSIN_2_CH3FRAMEOFFSETSIN_3_SHIFT         16
#define    COMBINER_CH3FRAMEOFFSETSIN_2_CH3FRAMEOFFSETSIN_3_MASK          0x3FFF0000
#define    COMBINER_CH3FRAMEOFFSETSIN_2_CH3FRAMEOFFSETSIN_2_SHIFT         0
#define    COMBINER_CH3FRAMEOFFSETSIN_2_CH3FRAMEOFFSETSIN_2_MASK          0x00003FFF

#define COMBINER_CH3FRAMEOFFSETSIN_4_OFFSET                               0x00000190
#define COMBINER_CH3FRAMEOFFSETSIN_4_TYPE                                 UInt32
#define COMBINER_CH3FRAMEOFFSETSIN_4_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH3FRAMEOFFSETSIN_4_CH3FRAMEOFFSETSIN_5_SHIFT         16
#define    COMBINER_CH3FRAMEOFFSETSIN_4_CH3FRAMEOFFSETSIN_5_MASK          0x3FFF0000
#define    COMBINER_CH3FRAMEOFFSETSIN_4_CH3FRAMEOFFSETSIN_4_SHIFT         0
#define    COMBINER_CH3FRAMEOFFSETSIN_4_CH3FRAMEOFFSETSIN_4_MASK          0x00003FFF

#define COMBINER_CH3FRAMELENGTHIN_OFFSET                                  0x00000194
#define COMBINER_CH3FRAMELENGTHIN_TYPE                                    UInt32
#define COMBINER_CH3FRAMELENGTHIN_RESERVED_MASK                           0xFFFFC000
#define    COMBINER_CH3FRAMELENGTHIN_CH3FRAMELENGTHIN_SHIFT               0
#define    COMBINER_CH3FRAMELENGTHIN_CH3FRAMELENGTHIN_MASK                0x00003FFF

#define COMBINER_CH3SLOTFORMATIN_0_OFFSET                                 0x00000198
#define COMBINER_CH3SLOTFORMATIN_0_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_0_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_0_CH3SLOTFORMATIN_0_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_1_OFFSET                                 0x0000019C
#define COMBINER_CH3SLOTFORMATIN_1_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_1_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_1_CH3SLOTFORMATIN_1_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_2_OFFSET                                 0x000001A0
#define COMBINER_CH3SLOTFORMATIN_2_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_2_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_2_CH3SLOTFORMATIN_2_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_3_OFFSET                                 0x000001A4
#define COMBINER_CH3SLOTFORMATIN_3_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_3_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_3_CH3SLOTFORMATIN_3_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_4_OFFSET                                 0x000001A8
#define COMBINER_CH3SLOTFORMATIN_4_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_4_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_4_CH3SLOTFORMATIN_4_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_5_OFFSET                                 0x000001AC
#define COMBINER_CH3SLOTFORMATIN_5_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_5_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_5_CH3SLOTFORMATIN_5_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_6_OFFSET                                 0x000001B0
#define COMBINER_CH3SLOTFORMATIN_6_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_6_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_6_CH3SLOTFORMATIN_6_CNT_MASK          0x000003FF

#define COMBINER_CH3SLOTFORMATIN_7_OFFSET                                 0x000001B4
#define COMBINER_CH3SLOTFORMATIN_7_TYPE                                   UInt32
#define COMBINER_CH3SLOTFORMATIN_7_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_NEXTINDEX_SHIFT   24
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_SYMTYPE_SHIFT     16
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_CNT_SHIFT         0
#define    COMBINER_CH3SLOTFORMATIN_7_CH3SLOTFORMATIN_7_CNT_MASK          0x000003FF

#define COMBINER_CH3AICHPATTERNIN_OFFSET                                  0x000001B8
#define COMBINER_CH3AICHPATTERNIN_TYPE                                    UInt32
#define COMBINER_CH3AICHPATTERNIN_RESERVED_MASK                           0x00000000
#define    COMBINER_CH3AICHPATTERNIN_CH3AICHPATTERNIN_SHIFT               0
#define    COMBINER_CH3AICHPATTERNIN_CH3AICHPATTERNIN_MASK                0xFFFFFFFF

#define COMBINER_CH3DTX_OFFSET                                            0x000001BC
#define COMBINER_CH3DTX_TYPE                                              UInt32
#define COMBINER_CH3DTX_RESERVED_MASK                                     0x4000C000
#define    COMBINER_CH3DTX_CH3DTXMODEIN_R1_SHIFT                          31
#define    COMBINER_CH3DTX_CH3DTXMODEIN_R1_MASK                           0x80000000
#define    COMBINER_CH3DTX_CH3DTXENDIN_SHIFT                              16
#define    COMBINER_CH3DTX_CH3DTXENDIN_MASK                               0x3FFF0000
#define    COMBINER_CH3DTX_CH3DTXSTARTIN_SHIFT                            0
#define    COMBINER_CH3DTX_CH3DTXSTARTIN_MASK                             0x00003FFF

#define COMBINER_CH3GO1_OFFSET                                            0x000001C0
#define COMBINER_CH3GO1_TYPE                                              UInt32
#define COMBINER_CH3GO1_RESERVED_MASK                                     0xFFFFFFFE
#define    COMBINER_CH3GO1_CH3GO1_SHIFT                                   0
#define    COMBINER_CH3GO1_CH3GO1_MASK                                    0x00000001

#define COMBINER_TFCI_VPGAIN3_OFFSET                                      0x000001C4
#define COMBINER_TFCI_VPGAIN3_TYPE                                        UInt32
#define COMBINER_TFCI_VPGAIN3_RESERVED_MASK                               0xFFFFFFFC
#define    COMBINER_TFCI_VPGAIN3_TFCI_VPGAIN3_SHIFT                       0
#define    COMBINER_TFCI_VPGAIN3_TFCI_VPGAIN3_MASK                        0x00000003

#define COMBINER_CH3VPGAININ_OFFSET                                       0x000001C8
#define COMBINER_CH3VPGAININ_TYPE                                         UInt32
#define COMBINER_CH3VPGAININ_RESERVED_MASK                                0xFFFFFFF8
#define    COMBINER_CH3VPGAININ_CH3VPGAININ_SHIFT                         0
#define    COMBINER_CH3VPGAININ_CH3VPGAININ_MASK                          0x00000007

#define COMBINER_CH4GO0_OFFSET                                            0x00000200
#define COMBINER_CH4GO0_TYPE                                              UInt32
#define COMBINER_CH4GO0_RESERVED_MASK                                     0xFFFFFFEE
#define    COMBINER_CH4GO0_GO0_AUTO_SHIFT                                 4
#define    COMBINER_CH4GO0_GO0_AUTO_MASK                                  0x00000010
#define    COMBINER_CH4GO0_CH4GO0_SHIFT                                   0
#define    COMBINER_CH4GO0_CH4GO0_MASK                                    0x00000001

#define COMBINER_CH4FINGERMASKIN_OFFSET                                   0x00000204
#define COMBINER_CH4FINGERMASKIN_TYPE                                     UInt32
#define COMBINER_CH4FINGERMASKIN_RESERVED_MASK                            0xFFC0C0C0
#define    COMBINER_CH4FINGERMASKIN_CH4FIRSTINTIMEIN_SHIFT                16
#define    COMBINER_CH4FINGERMASKIN_CH4FIRSTINTIMEIN_MASK                 0x003F0000
#define    COMBINER_CH4FINGERMASKIN_CH4LASTINTIMEIN_SHIFT                 8
#define    COMBINER_CH4FINGERMASKIN_CH4LASTINTIMEIN_MASK                  0x00003F00
#define    COMBINER_CH4FINGERMASKIN_CH4FINGERMASKIN_SHIFT                 0
#define    COMBINER_CH4FINGERMASKIN_CH4FINGERMASKIN_MASK                  0x0000003F

#define COMBINER_CH4FRAMEOFFSETSIN_0_OFFSET                               0x00000208
#define COMBINER_CH4FRAMEOFFSETSIN_0_TYPE                                 UInt32
#define COMBINER_CH4FRAMEOFFSETSIN_0_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH4FRAMEOFFSETSIN_0_CH4FRAMEOFFSETSIN_1_SHIFT         16
#define    COMBINER_CH4FRAMEOFFSETSIN_0_CH4FRAMEOFFSETSIN_1_MASK          0x3FFF0000
#define    COMBINER_CH4FRAMEOFFSETSIN_0_CH4FRAMEOFFSETSIN_0_SHIFT         0
#define    COMBINER_CH4FRAMEOFFSETSIN_0_CH4FRAMEOFFSETSIN_0_MASK          0x00003FFF

#define COMBINER_CH4FRAMEOFFSETSIN_2_OFFSET                               0x0000020C
#define COMBINER_CH4FRAMEOFFSETSIN_2_TYPE                                 UInt32
#define COMBINER_CH4FRAMEOFFSETSIN_2_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH4FRAMEOFFSETSIN_2_CH4FRAMEOFFSETSIN_3_SHIFT         16
#define    COMBINER_CH4FRAMEOFFSETSIN_2_CH4FRAMEOFFSETSIN_3_MASK          0x3FFF0000
#define    COMBINER_CH4FRAMEOFFSETSIN_2_CH4FRAMEOFFSETSIN_2_SHIFT         0
#define    COMBINER_CH4FRAMEOFFSETSIN_2_CH4FRAMEOFFSETSIN_2_MASK          0x00003FFF

#define COMBINER_CH4FRAMEOFFSETSIN_4_OFFSET                               0x00000210
#define COMBINER_CH4FRAMEOFFSETSIN_4_TYPE                                 UInt32
#define COMBINER_CH4FRAMEOFFSETSIN_4_RESERVED_MASK                        0xC000C000
#define    COMBINER_CH4FRAMEOFFSETSIN_4_CH4FRAMEOFFSETSIN_5_SHIFT         16
#define    COMBINER_CH4FRAMEOFFSETSIN_4_CH4FRAMEOFFSETSIN_5_MASK          0x3FFF0000
#define    COMBINER_CH4FRAMEOFFSETSIN_4_CH4FRAMEOFFSETSIN_4_SHIFT         0
#define    COMBINER_CH4FRAMEOFFSETSIN_4_CH4FRAMEOFFSETSIN_4_MASK          0x00003FFF

#define COMBINER_CH4FRAMELENGTHIN_OFFSET                                  0x00000214
#define COMBINER_CH4FRAMELENGTHIN_TYPE                                    UInt32
#define COMBINER_CH4FRAMELENGTHIN_RESERVED_MASK                           0xFFFFC000
#define    COMBINER_CH4FRAMELENGTHIN_CH4FRAMELENGTHIN_SHIFT               0
#define    COMBINER_CH4FRAMELENGTHIN_CH4FRAMELENGTHIN_MASK                0x00003FFF

#define COMBINER_CH4SLOTFORMATIN_0_OFFSET                                 0x00000218
#define COMBINER_CH4SLOTFORMATIN_0_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_0_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_0_CH4SLOTFORMATIN_0_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_1_OFFSET                                 0x0000021C
#define COMBINER_CH4SLOTFORMATIN_1_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_1_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_1_CH4SLOTFORMATIN_1_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_2_OFFSET                                 0x00000220
#define COMBINER_CH4SLOTFORMATIN_2_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_2_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_2_CH4SLOTFORMATIN_2_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_3_OFFSET                                 0x00000224
#define COMBINER_CH4SLOTFORMATIN_3_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_3_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_3_CH4SLOTFORMATIN_3_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_4_OFFSET                                 0x00000228
#define COMBINER_CH4SLOTFORMATIN_4_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_4_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_4_CH4SLOTFORMATIN_4_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_5_OFFSET                                 0x0000022C
#define COMBINER_CH4SLOTFORMATIN_5_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_5_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_5_CH4SLOTFORMATIN_5_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_6_OFFSET                                 0x00000230
#define COMBINER_CH4SLOTFORMATIN_6_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_6_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_6_CH4SLOTFORMATIN_6_CNT_MASK          0x000003FF

#define COMBINER_CH4SLOTFORMATIN_7_OFFSET                                 0x00000234
#define COMBINER_CH4SLOTFORMATIN_7_TYPE                                   UInt32
#define COMBINER_CH4SLOTFORMATIN_7_RESERVED_MASK                          0xF8F8FC00
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_NEXTINDEX_SHIFT   24
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_NEXTINDEX_MASK    0x07000000
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_SYMTYPE_SHIFT     16
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_SYMTYPE_MASK      0x00070000
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_CNT_SHIFT         0
#define    COMBINER_CH4SLOTFORMATIN_7_CH4SLOTFORMATIN_7_CNT_MASK          0x000003FF

#define COMBINER_CH4DTX_OFFSET                                            0x0000023C
#define COMBINER_CH4DTX_TYPE                                              UInt32
#define COMBINER_CH4DTX_RESERVED_MASK                                     0x4000C000
#define    COMBINER_CH4DTX_CH4DTXMODEIN_R1_SHIFT                          31
#define    COMBINER_CH4DTX_CH4DTXMODEIN_R1_MASK                           0x80000000
#define    COMBINER_CH4DTX_CH4DTXENDIN_SHIFT                              16
#define    COMBINER_CH4DTX_CH4DTXENDIN_MASK                               0x3FFF0000
#define    COMBINER_CH4DTX_CH4DTXSTARTIN_SHIFT                            0
#define    COMBINER_CH4DTX_CH4DTXSTARTIN_MASK                             0x00003FFF

#define COMBINER_CH4GO1_OFFSET                                            0x00000240
#define COMBINER_CH4GO1_TYPE                                              UInt32
#define COMBINER_CH4GO1_RESERVED_MASK                                     0xFFFFFFEE
#define    COMBINER_CH4GO1_GO1_AUTO_SHIFT                                 4
#define    COMBINER_CH4GO1_GO1_AUTO_MASK                                  0x00000010
#define    COMBINER_CH4GO1_CH4GO1_SHIFT                                   0
#define    COMBINER_CH4GO1_CH4GO1_MASK                                    0x00000001

#define COMBINER_CH4VPGAININ_OFFSET                                       0x00000248
#define COMBINER_CH4VPGAININ_TYPE                                         UInt32
#define COMBINER_CH4VPGAININ_RESERVED_MASK                                0xFFFFFFF8
#define    COMBINER_CH4VPGAININ_CH4VPGAININ_SHIFT                         0
#define    COMBINER_CH4VPGAININ_CH4VPGAININ_MASK                          0x00000007

#define COMBINER_TFCIOUT0_0_OFFSET                                        0x00000280
#define COMBINER_TFCIOUT0_0_TYPE                                          UInt32
#define COMBINER_TFCIOUT0_0_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_3_SHIFT                           24
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_3_MASK                            0xFF000000
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_2_SHIFT                           16
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_2_MASK                            0x00FF0000
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_1_SHIFT                           8
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_1_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_0_SHIFT                           0
#define    COMBINER_TFCIOUT0_0_TFCIOUT0_0_MASK                            0x000000FF

#define COMBINER_TFCIOUT0_4_OFFSET                                        0x00000284
#define COMBINER_TFCIOUT0_4_TYPE                                          UInt32
#define COMBINER_TFCIOUT0_4_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_7_SHIFT                           24
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_7_MASK                            0xFF000000
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_6_SHIFT                           16
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_6_MASK                            0x00FF0000
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_5_SHIFT                           8
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_5_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_4_SHIFT                           0
#define    COMBINER_TFCIOUT0_4_TFCIOUT0_4_MASK                            0x000000FF

#define COMBINER_TFCIOUT0_8_OFFSET                                        0x00000288
#define COMBINER_TFCIOUT0_8_TYPE                                          UInt32
#define COMBINER_TFCIOUT0_8_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_11_SHIFT                          24
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_11_MASK                           0xFF000000
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_10_SHIFT                          16
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_10_MASK                           0x00FF0000
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_9_SHIFT                           8
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_9_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_8_SHIFT                           0
#define    COMBINER_TFCIOUT0_8_TFCIOUT0_8_MASK                            0x000000FF

#define COMBINER_TFCIOUT0_12_OFFSET                                       0x0000028C
#define COMBINER_TFCIOUT0_12_TYPE                                         UInt32
#define COMBINER_TFCIOUT0_12_RESERVED_MASK                                0x00000000
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_15_SHIFT                         24
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_15_MASK                          0xFF000000
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_14_SHIFT                         16
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_14_MASK                          0x00FF0000
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_13_SHIFT                         8
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_13_MASK                          0x0000FF00
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_12_SHIFT                         0
#define    COMBINER_TFCIOUT0_12_TFCIOUT0_12_MASK                          0x000000FF

#define COMBINER_TFCISLOTCNT0_OFFSET                                      0x00000290
#define COMBINER_TFCISLOTCNT0_TYPE                                        UInt32
#define COMBINER_TFCISLOTCNT0_RESERVED_MASK                               0xFFFFFFF0
#define    COMBINER_TFCISLOTCNT0_TFCISLOTCNT0_RB_1111_SHIFT               0
#define    COMBINER_TFCISLOTCNT0_TFCISLOTCNT0_RB_1111_MASK                0x0000000F

#define COMBINER_TFCIOUT1_0_OFFSET                                        0x000002C0
#define COMBINER_TFCIOUT1_0_TYPE                                          UInt32
#define COMBINER_TFCIOUT1_0_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_3_SHIFT                           24
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_3_MASK                            0xFF000000
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_2_SHIFT                           16
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_2_MASK                            0x00FF0000
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_1_SHIFT                           8
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_1_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_0_SHIFT                           0
#define    COMBINER_TFCIOUT1_0_TFCIOUT1_0_MASK                            0x000000FF

#define COMBINER_TFCIOUT1_4_OFFSET                                        0x000002C4
#define COMBINER_TFCIOUT1_4_TYPE                                          UInt32
#define COMBINER_TFCIOUT1_4_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_7_SHIFT                           24
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_7_MASK                            0xFF000000
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_6_SHIFT                           16
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_6_MASK                            0x00FF0000
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_5_SHIFT                           8
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_5_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_4_SHIFT                           0
#define    COMBINER_TFCIOUT1_4_TFCIOUT1_4_MASK                            0x000000FF

#define COMBINER_TFCIOUT1_8_OFFSET                                        0x000002C8
#define COMBINER_TFCIOUT1_8_TYPE                                          UInt32
#define COMBINER_TFCIOUT1_8_RESERVED_MASK                                 0x00000000
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_11_SHIFT                          24
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_11_MASK                           0xFF000000
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_10_SHIFT                          16
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_10_MASK                           0x00FF0000
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_9_SHIFT                           8
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_9_MASK                            0x0000FF00
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_8_SHIFT                           0
#define    COMBINER_TFCIOUT1_8_TFCIOUT1_8_MASK                            0x000000FF

#define COMBINER_TFCIOUT1_12_OFFSET                                       0x000002CC
#define COMBINER_TFCIOUT1_12_TYPE                                         UInt32
#define COMBINER_TFCIOUT1_12_RESERVED_MASK                                0x00000000
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_15_SHIFT                         24
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_15_MASK                          0xFF000000
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_14_SHIFT                         16
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_14_MASK                          0x00FF0000
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_13_SHIFT                         8
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_13_MASK                          0x0000FF00
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_12_SHIFT                         0
#define    COMBINER_TFCIOUT1_12_TFCIOUT1_12_MASK                          0x000000FF

#define COMBINER_TFCISLOTCNT1_OFFSET                                      0x000002D0
#define COMBINER_TFCISLOTCNT1_TYPE                                        UInt32
#define COMBINER_TFCISLOTCNT1_RESERVED_MASK                               0xFFFFFFF0
#define    COMBINER_TFCISLOTCNT1_TFCISLOTCNT1_RB_1111_SHIFT               0
#define    COMBINER_TFCISLOTCNT1_TFCISLOTCNT1_RB_1111_MASK                0x0000000F

#define COMBINER_TFCI_SEL_OFFSET                                          0x000002D4
#define COMBINER_TFCI_SEL_TYPE                                            UInt32
#define COMBINER_TFCI_SEL_RESERVED_MASK                                   0xFFFFFFFC
#define    COMBINER_TFCI_SEL_TFCI_SEL_SHIFT                               0
#define    COMBINER_TFCI_SEL_TFCI_SEL_MASK                                0x00000003

#define COMBINER_CH1AICHVALID_OFFSET                                      0x00000300
#define COMBINER_CH1AICHVALID_TYPE                                        UInt32
#define COMBINER_CH1AICHVALID_RESERVED_MASK                               0xFFFFFFFE
#define    COMBINER_CH1AICHVALID_CH1AICHVALID_SHIFT                       0
#define    COMBINER_CH1AICHVALID_CH1AICHVALID_MASK                        0x00000001

#define COMBINER_CH1AICHOUT_OFFSET                                        0x00000304
#define COMBINER_CH1AICHOUT_TYPE                                          UInt32
#define COMBINER_CH1AICHOUT_RESERVED_MASK                                 0xFFFF0000
#define    COMBINER_CH1AICHOUT_CH1AICHOUT_SHIFT                           0
#define    COMBINER_CH1AICHOUT_CH1AICHOUT_MASK                            0x0000FFFF

#define COMBINER_CH1AICHCLEAR_OFFSET                                      0x00000308
#define COMBINER_CH1AICHCLEAR_TYPE                                        UInt32
#define COMBINER_CH1AICHCLEAR_RESERVED_MASK                               0xFFFFFFFE
#define    COMBINER_CH1AICHCLEAR_CH1AICHCLEAR_SHIFT                       0
#define    COMBINER_CH1AICHCLEAR_CH1AICHCLEAR_MASK                        0x00000001

#define COMBINER_CH3AICHVALID_OFFSET                                      0x0000030C
#define COMBINER_CH3AICHVALID_TYPE                                        UInt32
#define COMBINER_CH3AICHVALID_RESERVED_MASK                               0xFFFFFFFE
#define    COMBINER_CH3AICHVALID_CH3AICHVALID_SHIFT                       0
#define    COMBINER_CH3AICHVALID_CH3AICHVALID_MASK                        0x00000001

#define COMBINER_CH3AICHOUT_OFFSET                                        0x00000310
#define COMBINER_CH3AICHOUT_TYPE                                          UInt32
#define COMBINER_CH3AICHOUT_RESERVED_MASK                                 0xFFFF0000
#define    COMBINER_CH3AICHOUT_CH3AICHOUT_SHIFT                           0
#define    COMBINER_CH3AICHOUT_CH3AICHOUT_MASK                            0x0000FFFF

#define COMBINER_CH3AICHCLEAR_OFFSET                                      0x00000314
#define COMBINER_CH3AICHCLEAR_TYPE                                        UInt32
#define COMBINER_CH3AICHCLEAR_RESERVED_MASK                               0xFFFFFFFE
#define    COMBINER_CH3AICHCLEAR_CH3AICHCLEAR_SHIFT                       0
#define    COMBINER_CH3AICHCLEAR_CH3AICHCLEAR_MASK                        0x00000001

#define COMBINER_TPCSTART_OFFSET                                          0x00000340
#define COMBINER_TPCSTART_TYPE                                            UInt32
#define COMBINER_TPCSTART_RESERVED_MASK                                   0xFC00FC00
#define    COMBINER_TPCSTART_TPCOFFSET_SHIFT                              16
#define    COMBINER_TPCSTART_TPCOFFSET_MASK                               0x03FF0000
#define    COMBINER_TPCSTART_TPCSTART_SHIFT                               0
#define    COMBINER_TPCSTART_TPCSTART_MASK                                0x000003FF

#define COMBINER_TPCLENGTH_OFFSET                                         0x00000344
#define COMBINER_TPCLENGTH_TYPE                                           UInt32
#define COMBINER_TPCLENGTH_RESERVED_MASK                                  0xFFFFFFE0
#define    COMBINER_TPCLENGTH_TPCLENGTH_SHIFT                             0
#define    COMBINER_TPCLENGTH_TPCLENGTH_MASK                              0x0000001F

#define COMBINER_TPCEN_OFFSET                                             0x00000348
#define COMBINER_TPCEN_TYPE                                               UInt32
#define COMBINER_TPCEN_RESERVED_MASK                                      0xFFFFFEC0
#define    COMBINER_TPCEN_EFDPCH_MODE_SHIFT                               8
#define    COMBINER_TPCEN_EFDPCH_MODE_MASK                                0x00000100
#define    COMBINER_TPCEN_TPCEN_SHIFT                                     0
#define    COMBINER_TPCEN_TPCEN_MASK                                      0x0000003F

#define COMBINER_TPCRESULT_0_OFFSET                                       0x0000034C
#define COMBINER_TPCRESULT_0_TYPE                                         UInt32
#define COMBINER_TPCRESULT_0_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_0_TPCSLOTSTAMP_0_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_0_TPCSLOTSTAMP_0_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_0_TPCRESULT_0_SHIFT                         0
#define    COMBINER_TPCRESULT_0_TPCRESULT_0_MASK                          0x0000FFFF

#define COMBINER_TPCRESULT_1_OFFSET                                       0x00000350
#define COMBINER_TPCRESULT_1_TYPE                                         UInt32
#define COMBINER_TPCRESULT_1_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_1_TPCSLOTSTAMP_1_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_1_TPCSLOTSTAMP_1_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_1_TPCRESULT_1_SHIFT                         0
#define    COMBINER_TPCRESULT_1_TPCRESULT_1_MASK                          0x0000FFFF

#define COMBINER_TPCRESULT_2_OFFSET                                       0x00000354
#define COMBINER_TPCRESULT_2_TYPE                                         UInt32
#define COMBINER_TPCRESULT_2_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_2_TPCSLOTSTAMP_2_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_2_TPCSLOTSTAMP_2_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_2_TPCRESULT_2_SHIFT                         0
#define    COMBINER_TPCRESULT_2_TPCRESULT_2_MASK                          0x0000FFFF

#define COMBINER_TPCRESULT_3_OFFSET                                       0x00000358
#define COMBINER_TPCRESULT_3_TYPE                                         UInt32
#define COMBINER_TPCRESULT_3_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_3_TPCSLOTSTAMP_3_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_3_TPCSLOTSTAMP_3_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_3_TPCRESULT_3_SHIFT                         0
#define    COMBINER_TPCRESULT_3_TPCRESULT_3_MASK                          0x0000FFFF

#define COMBINER_TPCRESULT_4_OFFSET                                       0x0000035C
#define COMBINER_TPCRESULT_4_TYPE                                         UInt32
#define COMBINER_TPCRESULT_4_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_4_TPCSLOTSTAMP_4_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_4_TPCSLOTSTAMP_4_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_4_TPCRESULT_4_SHIFT                         0
#define    COMBINER_TPCRESULT_4_TPCRESULT_4_MASK                          0x0000FFFF

#define COMBINER_TPCRESULT_5_OFFSET                                       0x00000360
#define COMBINER_TPCRESULT_5_TYPE                                         UInt32
#define COMBINER_TPCRESULT_5_RESERVED_MASK                                0xFFF00000
#define    COMBINER_TPCRESULT_5_TPCSLOTSTAMP_5_RB_1111_SHIFT              16
#define    COMBINER_TPCRESULT_5_TPCSLOTSTAMP_5_RB_1111_MASK               0x000F0000
#define    COMBINER_TPCRESULT_5_TPCRESULT_5_SHIFT                         0
#define    COMBINER_TPCRESULT_5_TPCRESULT_5_MASK                          0x0000FFFF

#define COMBINER_TPC_RA_OFFSET                                            0x00000364
#define COMBINER_TPC_RA_TYPE                                              UInt32
#define COMBINER_TPC_RA_RESERVED_MASK                                     0xFFFFFFF8
#define    COMBINER_TPC_RA_TPC_RA_SHIFT                                   0
#define    COMBINER_TPC_RA_TPC_RA_MASK                                    0x00000007

#define COMBINER_TPC_DATAI_0_OFFSET                                       0x00000368
#define COMBINER_TPC_DATAI_0_TYPE                                         UInt32
#define COMBINER_TPC_DATAI_0_RESERVED_MASK                                0x00000000
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_0_SHIFT                         24
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_0_MASK                          0xFF000000
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_1_SHIFT                         16
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_1_MASK                          0x00FF0000
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_2_SHIFT                         8
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_2_MASK                          0x0000FF00
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_3_SHIFT                         0
#define    COMBINER_TPC_DATAI_0_TPC_DATAI_3_MASK                          0x000000FF

#define COMBINER_TPC_DATAI_4_OFFSET                                       0x0000036C
#define COMBINER_TPC_DATAI_4_TYPE                                         UInt32
#define COMBINER_TPC_DATAI_4_RESERVED_MASK                                0xFFFF0000
#define    COMBINER_TPC_DATAI_4_TPC_DATAI_4_SHIFT                         8
#define    COMBINER_TPC_DATAI_4_TPC_DATAI_4_MASK                          0x0000FF00
#define    COMBINER_TPC_DATAI_4_TPC_DATAI_5_SHIFT                         0
#define    COMBINER_TPC_DATAI_4_TPC_DATAI_5_MASK                          0x000000FF

#define COMBINER_TPC_DATAQ_0_OFFSET                                       0x00000370
#define COMBINER_TPC_DATAQ_0_TYPE                                         UInt32
#define COMBINER_TPC_DATAQ_0_RESERVED_MASK                                0x00000000
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_0_SHIFT                         24
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_0_MASK                          0xFF000000
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_1_SHIFT                         16
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_1_MASK                          0x00FF0000
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_2_SHIFT                         8
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_2_MASK                          0x0000FF00
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_3_SHIFT                         0
#define    COMBINER_TPC_DATAQ_0_TPC_DATAQ_3_MASK                          0x000000FF

#define COMBINER_TPC_DATAQ_4_OFFSET                                       0x00000374
#define COMBINER_TPC_DATAQ_4_TYPE                                         UInt32
#define COMBINER_TPC_DATAQ_4_RESERVED_MASK                                0xFFFF0000
#define    COMBINER_TPC_DATAQ_4_TPC_DATAQ_4_SHIFT                         8
#define    COMBINER_TPC_DATAQ_4_TPC_DATAQ_4_MASK                          0x0000FF00
#define    COMBINER_TPC_DATAQ_4_TPC_DATAQ_5_SHIFT                         0
#define    COMBINER_TPC_DATAQ_4_TPC_DATAQ_5_MASK                          0x000000FF

#define COMBINER_EFDPCH_START_OFFSET                                      0x00000378
#define COMBINER_EFDPCH_START_TYPE                                        UInt32
#define COMBINER_EFDPCH_START_RESERVED_MASK                               0xFF000000
#define    COMBINER_EFDPCH_START_EFDPCH_START_5_SHIFT                     20
#define    COMBINER_EFDPCH_START_EFDPCH_START_5_MASK                      0x00F00000
#define    COMBINER_EFDPCH_START_EFDPCH_START_4_SHIFT                     16
#define    COMBINER_EFDPCH_START_EFDPCH_START_4_MASK                      0x000F0000
#define    COMBINER_EFDPCH_START_EFDPCH_START_3_SHIFT                     12
#define    COMBINER_EFDPCH_START_EFDPCH_START_3_MASK                      0x0000F000
#define    COMBINER_EFDPCH_START_EFDPCH_START_2_SHIFT                     8
#define    COMBINER_EFDPCH_START_EFDPCH_START_2_MASK                      0x00000F00
#define    COMBINER_EFDPCH_START_EFDPCH_START_1_SHIFT                     4
#define    COMBINER_EFDPCH_START_EFDPCH_START_1_MASK                      0x000000F0
#define    COMBINER_EFDPCH_START_EFDPCH_START_0_SHIFT                     0
#define    COMBINER_EFDPCH_START_EFDPCH_START_0_MASK                      0x0000000F

#define COMBINER_DPI_MEAN_OFFSET                                          0x00000380
#define COMBINER_DPI_MEAN_TYPE                                            UInt32
#define COMBINER_DPI_MEAN_RESERVED_MASK                                   0x00000000
#define    COMBINER_DPI_MEAN_DPI_MEANQ_SHIFT                              16
#define    COMBINER_DPI_MEAN_DPI_MEANQ_MASK                               0xFFFF0000
#define    COMBINER_DPI_MEAN_DPI_MEANI_SHIFT                              0
#define    COMBINER_DPI_MEAN_DPI_MEANI_MASK                               0x0000FFFF

#define COMBINER_DPI_VARIANCE_OFFSET                                      0x00000384
#define COMBINER_DPI_VARIANCE_TYPE                                        UInt32
#define COMBINER_DPI_VARIANCE_RESERVED_MASK                               0xFFF00000
#define    COMBINER_DPI_VARIANCE_DPI_VARIANCE_SHIFT                       0
#define    COMBINER_DPI_VARIANCE_DPI_VARIANCE_MASK                        0x000FFFFF

#define COMBINER_DPI_PATTERN_OFFSET                                       0x00000388
#define COMBINER_DPI_PATTERN_TYPE                                         UInt32
#define COMBINER_DPI_PATTERN_RESERVED_MASK                                0x00000000
#define    COMBINER_DPI_PATTERN_DPI_PATTERNQ_SHIFT                        16
#define    COMBINER_DPI_PATTERN_DPI_PATTERNQ_MASK                         0xFFFF0000
#define    COMBINER_DPI_PATTERN_DPI_PATTERNI_SHIFT                        0
#define    COMBINER_DPI_PATTERN_DPI_PATTERNI_MASK                         0x0000FFFF

#define COMBINER_NDPI_OFFSET                                              0x0000038C
#define COMBINER_NDPI_TYPE                                                UInt32
#define COMBINER_NDPI_RESERVED_MASK                                       0xFFFFFFF8
#define    COMBINER_NDPI_NDPIIN_SHIFT                                     0
#define    COMBINER_NDPI_NDPIIN_MASK                                      0x00000007

#define COMBINER_DPISEL_OFFSET                                            0x00000390
#define COMBINER_DPISEL_TYPE                                              UInt32
#define COMBINER_DPISEL_RESERVED_MASK                                     0xFFFEFFF0
#define    COMBINER_DPISEL_DPISEL_SHIFT                                   16
#define    COMBINER_DPISEL_DPISEL_MASK                                    0x00010000
#define    COMBINER_DPISEL_DPI_ADDR_SHIFT                                 0
#define    COMBINER_DPISEL_DPI_ADDR_MASK                                  0x0000000F

#define COMBINER_DPIOUT_OFFSET                                            0x00000394
#define COMBINER_DPIOUT_TYPE                                              UInt32
#define COMBINER_DPIOUT_RESERVED_MASK                                     0xF800F800
#define    COMBINER_DPIOUT_DPIOUTQ_SHIFT                                  16
#define    COMBINER_DPIOUT_DPIOUTQ_MASK                                   0x07FF0000
#define    COMBINER_DPIOUT_DPIOUTI_SHIFT                                  0
#define    COMBINER_DPIOUT_DPIOUTI_MASK                                   0x000007FF

#define COMBINER_DPISLOTCNT_OFFSET                                        0x00000398
#define COMBINER_DPISLOTCNT_TYPE                                          UInt32
#define COMBINER_DPISLOTCNT_RESERVED_MASK                                 0xFFFFF0F0
#define    COMBINER_DPISLOTCNT_DPISLOTCNT1_RB_1111_SHIFT                  8
#define    COMBINER_DPISLOTCNT_DPISLOTCNT1_RB_1111_MASK                   0x00000F00
#define    COMBINER_DPISLOTCNT_DPISLOTCNT0_RB_1111_SHIFT                  0
#define    COMBINER_DPISLOTCNT_DPISLOTCNT0_RB_1111_MASK                   0x0000000F

#define COMBINER_DPISTARTIN_OFFSET                                        0x0000039C
#define COMBINER_DPISTARTIN_TYPE                                          UInt32
#define COMBINER_DPISTARTIN_RESERVED_MASK                                 0xFFFFFC00
#define    COMBINER_DPISTARTIN_DPISTARTIN_SHIFT                           0
#define    COMBINER_DPISTARTIN_DPISTARTIN_MASK                            0x000003FF

#define COMBINER_DPI_RA_OFFSET                                            0x000003A0
#define COMBINER_DPI_RA_TYPE                                              UInt32
#define COMBINER_DPI_RA_RESERVED_MASK                                     0xFFFFFF80
#define    COMBINER_DPI_RA_DPI_RA_SHIFT                                   0
#define    COMBINER_DPI_RA_DPI_RA_MASK                                    0x0000007F

#define COMBINER_DPI_DATA_OFFSET                                          0x000003A4
#define COMBINER_DPI_DATA_TYPE                                            UInt32
#define COMBINER_DPI_DATA_RESERVED_MASK                                   0x00000000
#define    COMBINER_DPI_DATA_DPI_DATA_SHIFT                               0
#define    COMBINER_DPI_DATA_DPI_DATA_MASK                                0xFFFFFFFF

#define COMBINER_DPI_MEANNOISE_OFFSET                                     0x000003A8
#define COMBINER_DPI_MEANNOISE_TYPE                                       UInt32
#define COMBINER_DPI_MEANNOISE_RESERVED_MASK                              0xFFC00000
#define    COMBINER_DPI_MEANNOISE_DPI_MEANNOISE_SHIFT                     0
#define    COMBINER_DPI_MEANNOISE_DPI_MEANNOISE_MASK                      0x003FFFFF

#define COMBINER_DPI_BUFFER_MODE_OFFSET                                   0x000003AC
#define COMBINER_DPI_BUFFER_MODE_TYPE                                     UInt32
#define COMBINER_DPI_BUFFER_MODE_RESERVED_MASK                            0xFFFFFFFE
#define    COMBINER_DPI_BUFFER_MODE_DPI_BUFFER_MODE_SHIFT                 0
#define    COMBINER_DPI_BUFFER_MODE_DPI_BUFFER_MODE_MASK                  0x00000001

#define COMBINER_DEBUGCOMBINERSEL_OFFSET                                  0x000003C0
#define COMBINER_DEBUGCOMBINERSEL_TYPE                                    UInt32
#define COMBINER_DEBUGCOMBINERSEL_RESERVED_MASK                           0xFFFFFFF0
#define    COMBINER_DEBUGCOMBINERSEL_DEBUGCOMBINERSEL_SHIFT               0
#define    COMBINER_DEBUGCOMBINERSEL_DEBUGCOMBINERSEL_MASK                0x0000000F

#define COMBINER_DEBUGMODESEL_OFFSET                                      0x000003C4
#define COMBINER_DEBUGMODESEL_TYPE                                        UInt32
#define COMBINER_DEBUGMODESEL_RESERVED_MASK                               0xFFFFFFF0
#define    COMBINER_DEBUGMODESEL_DEBUGMODESEL_SHIFT                       0
#define    COMBINER_DEBUGMODESEL_DEBUGMODESEL_MASK                        0x0000000F

#define COMBINER_RESETCOMBINER_OFFSET                                     0x000003C8
#define COMBINER_RESETCOMBINER_TYPE                                       UInt32
#define COMBINER_RESETCOMBINER_RESERVED_MASK                              0xFFFFFF80
#define    COMBINER_RESETCOMBINER_RESETCOMBINER_SHIFT                     0
#define    COMBINER_RESETCOMBINER_RESETCOMBINER_MASK                      0x0000007F

#define COMBINER_CH2_FNG_MUX_OFFSET                                       0x000003CC
#define COMBINER_CH2_FNG_MUX_TYPE                                         UInt32
#define COMBINER_CH2_FNG_MUX_RESERVED_MASK                                0xFFFFFFFE
#define    COMBINER_CH2_FNG_MUX_CH2_FNG_MUX_SHIFT                         0
#define    COMBINER_CH2_FNG_MUX_CH2_FNG_MUX_MASK                          0x00000001

#define COMBINER_SLOTSTAMP_OFFSET                                         0x000003D0
#define COMBINER_SLOTSTAMP_TYPE                                           UInt32
#define COMBINER_SLOTSTAMP_RESERVED_MASK                                  0xFFFFFFF0
#define    COMBINER_SLOTSTAMP_SLOTSTAMP_RB_1111_SHIFT                     0
#define    COMBINER_SLOTSTAMP_SLOTSTAMP_RB_1111_MASK                      0x0000000F

#define COMBINER_AGCH_FNG_MUX_OFFSET                                      0x000003D4
#define COMBINER_AGCH_FNG_MUX_TYPE                                        UInt32
#define COMBINER_AGCH_FNG_MUX_RESERVED_MASK                               0xFFFFFFC0
#define    COMBINER_AGCH_FNG_MUX_AGCH_FNG_MUX_SHIFT                       0
#define    COMBINER_AGCH_FNG_MUX_AGCH_FNG_MUX_MASK                        0x0000003F

#define COMBINER_AUTO_EN_OFFSET                                           0x000003D8
#define COMBINER_AUTO_EN_TYPE                                             UInt32
#define COMBINER_AUTO_EN_RESERVED_MASK                                    0xFFFFFFFC
#define    COMBINER_AUTO_EN_AUTO_EN_SHIFT                                 0
#define    COMBINER_AUTO_EN_AUTO_EN_MASK                                  0x00000003

#endif /* __BRCM_RDB_COMBINER_H__ */


