/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DDR40_PHY_WORD_LANE_H__
#define __BRCM_RDB_DDR40_PHY_WORD_LANE_H__

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OFFSET                  0x00000000
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_TYPE                    UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_RESERVED_MASK           0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_BUSY_SHIFT           31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_BUSY_MASK            0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_FORCE_SHIFT      17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_FORCE_MASK       0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_EN_SHIFT         16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_EN_MASK          0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_BYTE_SEL_SHIFT       8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_BYTE_SEL_MASK        0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_STEP_SHIFT       0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE_RD_EN_OVR_STEP_MASK        0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OFFSET                     0x00000004
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_TYPE                       UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_RESERVED_MASK              0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_BUSY_SHIFT              31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_BUSY_MASK               0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_FORCE_SHIFT         17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_FORCE_MASK          0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_EN_SHIFT            16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_EN_MASK             0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_BYTE_SEL_SHIFT          8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_BYTE_SEL_MASK           0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_STEP_SHIFT          0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_W_OVR_STEP_MASK           0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OFFSET                   0x00000008
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_RESERVED_MASK            0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_BUSY_SHIFT            31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_BUSY_MASK             0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_FORCE_SHIFT       17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_FORCE_MASK        0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_EN_SHIFT          16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_EN_MASK           0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_BYTE_SEL_SHIFT        8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_BYTE_SEL_MASK         0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_STEP_SHIFT        0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_P_OVR_STEP_MASK         0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OFFSET                   0x0000000C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_RESERVED_MASK            0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_BUSY_SHIFT            31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_BUSY_MASK             0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_FORCE_SHIFT       17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_FORCE_MASK        0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_EN_SHIFT          16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_EN_MASK           0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_BYTE_SEL_SHIFT        8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_BYTE_SEL_MASK         0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_STEP_SHIFT        0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_R_N_OVR_STEP_MASK         0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OFFSET                0x00000010
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OFFSET                0x00000014
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OFFSET                0x00000018
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OFFSET                0x0000001C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OFFSET                0x00000020
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OFFSET                0x00000024
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OFFSET                0x00000028
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OFFSET                0x0000002C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OFFSET                  0x00000030
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_TYPE                    UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_RESERVED_MASK           0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_BUSY_SHIFT           31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_BUSY_MASK            0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_FORCE_SHIFT      17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_FORCE_MASK       0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_EN_SHIFT         16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_EN_MASK          0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_BYTE_SEL_SHIFT       8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_BYTE_SEL_MASK        0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_STEP_SHIFT       0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_DM_W_OVR_STEP_MASK        0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OFFSET              0x00000034
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OFFSET              0x00000038
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT0_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OFFSET              0x0000003C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OFFSET              0x00000040
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT1_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OFFSET              0x00000044
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OFFSET              0x00000048
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT2_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OFFSET              0x0000004C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OFFSET              0x00000050
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT3_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OFFSET              0x00000054
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OFFSET              0x00000058
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT4_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OFFSET              0x0000005C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OFFSET              0x00000060
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT5_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OFFSET              0x00000064
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OFFSET              0x00000068
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT6_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OFFSET              0x0000006C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OFFSET              0x00000070
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT7_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OFFSET             0x00000074
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_TYPE               UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_RESERVED_MASK      0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_BUSY_SHIFT      31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_BUSY_MASK       0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_FORCE_SHIFT 17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_FORCE_MASK  0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_EN_SHIFT    16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_EN_MASK     0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_BYTE_SEL_SHIFT  8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_BYTE_SEL_MASK   0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_STEP_SHIFT  0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE0_BIT_RD_EN_OVR_STEP_MASK   0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OFFSET                     0x000000A4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_TYPE                       UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_RESERVED_MASK              0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_BUSY_SHIFT              31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_BUSY_MASK               0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_FORCE_SHIFT         17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_FORCE_MASK          0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_EN_SHIFT            16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_EN_MASK             0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_BYTE_SEL_SHIFT          8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_BYTE_SEL_MASK           0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_STEP_SHIFT          0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_W_OVR_STEP_MASK           0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OFFSET                   0x000000A8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_RESERVED_MASK            0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_BUSY_SHIFT            31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_BUSY_MASK             0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_FORCE_SHIFT       17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_FORCE_MASK        0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_EN_SHIFT          16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_EN_MASK           0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_BYTE_SEL_SHIFT        8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_BYTE_SEL_MASK         0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_STEP_SHIFT        0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_P_OVR_STEP_MASK         0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OFFSET                   0x000000AC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_RESERVED_MASK            0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_BUSY_SHIFT            31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_BUSY_MASK             0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_FORCE_SHIFT       17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_FORCE_MASK        0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_EN_SHIFT          16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_EN_MASK           0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_BYTE_SEL_SHIFT        8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_BYTE_SEL_MASK         0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_STEP_SHIFT        0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_R_N_OVR_STEP_MASK         0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OFFSET                0x000000B0
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OFFSET                0x000000B4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OFFSET                0x000000B8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OFFSET                0x000000BC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OFFSET                0x000000C0
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OFFSET                0x000000C4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OFFSET                0x000000C8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OFFSET                0x000000CC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_TYPE                  UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_RESERVED_MASK         0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_BUSY_SHIFT         31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_BUSY_MASK          0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_FORCE_SHIFT    17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_FORCE_MASK     0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_EN_SHIFT       16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_EN_MASK        0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_BYTE_SEL_SHIFT     8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_BYTE_SEL_MASK      0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_STEP_SHIFT     0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_W_OVR_STEP_MASK      0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OFFSET                  0x000000D0
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_TYPE                    UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_RESERVED_MASK           0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_BUSY_SHIFT           31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_BUSY_MASK            0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_FORCE_SHIFT      17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_FORCE_MASK       0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_EN_SHIFT         16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_EN_MASK          0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_BYTE_SEL_SHIFT       8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_BYTE_SEL_MASK        0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_STEP_SHIFT       0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_DM_W_OVR_STEP_MASK        0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OFFSET              0x000000D4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OFFSET              0x000000D8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT0_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OFFSET              0x000000DC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OFFSET              0x000000E0
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT1_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OFFSET              0x000000E4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OFFSET              0x000000E8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT2_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OFFSET              0x000000EC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OFFSET              0x000000F0
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT3_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OFFSET              0x000000F4
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OFFSET              0x000000F8
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT4_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OFFSET              0x000000FC
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OFFSET              0x00000100
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT5_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OFFSET              0x00000104
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OFFSET              0x00000108
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT6_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OFFSET              0x0000010C
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_P_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OFFSET              0x00000110
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_TYPE                UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_RESERVED_MASK       0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_BUSY_SHIFT       31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_BUSY_MASK        0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_FORCE_SHIFT  17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_FORCE_MASK   0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_EN_SHIFT     16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_EN_MASK      0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_BYTE_SEL_SHIFT   8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_BYTE_SEL_MASK    0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_STEP_SHIFT   0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT7_R_N_OVR_STEP_MASK    0x0000003F

#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OFFSET             0x00000114
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_TYPE               UInt32
#define DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_RESERVED_MASK      0x7FFCFEC0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_BUSY_SHIFT      31
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_BUSY_MASK       0x80000000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_FORCE_SHIFT 17
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_FORCE_MASK  0x00020000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_EN_SHIFT    16
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_EN_MASK     0x00010000
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_BYTE_SEL_SHIFT  8
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_BYTE_SEL_MASK   0x00000100
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_STEP_SHIFT  0
#define    DDR40_PHY_WORD_LANE_VDL_OVRIDE_BYTE1_BIT_RD_EN_OVR_STEP_MASK   0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_OFFSET               0x00000128
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_TYPE                 UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_RESERVED_MASK        0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_OVR_EN_SHIFT      16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_OVR_EN_MASK       0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_BYTE_SEL_SHIFT    8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_BYTE_SEL_MASK     0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_OVR_STEP_SHIFT    0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_P_OVR_STEP_MASK     0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_OFFSET               0x0000012C
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_TYPE                 UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_RESERVED_MASK        0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_OVR_EN_SHIFT      16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_OVR_EN_MASK       0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_BYTE_SEL_SHIFT    8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_BYTE_SEL_MASK     0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_OVR_STEP_SHIFT    0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_R_N_OVR_STEP_MASK     0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_OFFSET           0x00000130
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_TYPE             UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_RESERVED_MASK    0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_DM_OVR_EN_MASK 0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_OVR_EN_SHIFT  16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_OVR_EN_MASK   0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_BYTE_SEL_SHIFT 8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_BYTE_SEL_MASK 0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_OVR_STEP_SHIFT 0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_P_OVR_STEP_MASK 0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_OFFSET           0x00000134
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_TYPE             UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_RESERVED_MASK    0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_DM_OVR_EN_MASK 0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_OVR_EN_SHIFT  16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_OVR_EN_MASK   0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_BYTE_SEL_SHIFT 8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_BYTE_SEL_MASK 0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_OVR_STEP_SHIFT 0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_R_N_OVR_STEP_MASK 0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_OFFSET                 0x00000138
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_TYPE                   UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_RESERVED_MASK          0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_OVR_EN_SHIFT        16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_OVR_EN_MASK         0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_BYTE_SEL_SHIFT      8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_BYTE_SEL_MASK       0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_OVR_STEP_SHIFT      0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_W_OVR_STEP_MASK       0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_OFFSET             0x0000013C
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_TYPE               UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_RESERVED_MASK      0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_DM_OVR_EN_MASK  0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_OVR_EN_SHIFT    16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_OVR_EN_MASK     0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_BYTE_SEL_SHIFT  8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_BYTE_SEL_MASK   0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_OVR_STEP_SHIFT  0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE0_BIT_W_OVR_STEP_MASK   0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_OFFSET               0x00000148
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_TYPE                 UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_RESERVED_MASK        0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_OVR_EN_SHIFT      16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_OVR_EN_MASK       0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_BYTE_SEL_SHIFT    8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_BYTE_SEL_MASK     0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_OVR_STEP_SHIFT    0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_P_OVR_STEP_MASK     0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_OFFSET               0x0000014C
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_TYPE                 UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_RESERVED_MASK        0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_OVR_EN_SHIFT      16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_OVR_EN_MASK       0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_BYTE_SEL_SHIFT    8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_BYTE_SEL_MASK     0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_OVR_STEP_SHIFT    0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_R_N_OVR_STEP_MASK     0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_OFFSET           0x00000150
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_TYPE             UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_RESERVED_MASK    0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_DM_OVR_EN_MASK 0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_OVR_EN_SHIFT  16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_OVR_EN_MASK   0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_BYTE_SEL_SHIFT 8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_BYTE_SEL_MASK 0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_OVR_STEP_SHIFT 0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_P_OVR_STEP_MASK 0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_OFFSET           0x00000154
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_TYPE             UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_RESERVED_MASK    0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_DM_OVR_EN_MASK 0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_OVR_EN_SHIFT  16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_OVR_EN_MASK   0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_BYTE_SEL_SHIFT 8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_BYTE_SEL_MASK 0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_OVR_STEP_SHIFT 0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_R_N_OVR_STEP_MASK 0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_OFFSET                 0x00000158
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_TYPE                   UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_RESERVED_MASK          0xFFFEFEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_OVR_EN_SHIFT        16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_OVR_EN_MASK         0x00010000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_BYTE_SEL_SHIFT      8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_BYTE_SEL_MASK       0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_OVR_STEP_SHIFT      0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_W_OVR_STEP_MASK       0x0000003F

#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_OFFSET             0x0000015C
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_TYPE               UInt32
#define DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_RESERVED_MASK      0xFE00FEC0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_DM_OVR_EN_SHIFT 24
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_DM_OVR_EN_MASK  0x01000000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_OVR_EN_SHIFT    16
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_OVR_EN_MASK     0x00FF0000
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_BYTE_SEL_SHIFT  8
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_BYTE_SEL_MASK   0x00000100
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_OVR_STEP_SHIFT  0
#define    DDR40_PHY_WORD_LANE_DYN_VDL_OVRIDE_BYTE1_BIT_W_OVR_STEP_MASK   0x0000003F

#define DDR40_PHY_WORD_LANE_READ_DATA_DLY_OFFSET                          0x00000160
#define DDR40_PHY_WORD_LANE_READ_DATA_DLY_TYPE                            UInt32
#define DDR40_PHY_WORD_LANE_READ_DATA_DLY_RESERVED_MASK                   0xFFFFFFF8
#define    DDR40_PHY_WORD_LANE_READ_DATA_DLY_RD_DATA_DLY_SHIFT            0
#define    DDR40_PHY_WORD_LANE_READ_DATA_DLY_RD_DATA_DLY_MASK             0x00000007

#define DDR40_PHY_WORD_LANE_READ_CONTROL_OFFSET                           0x00000164
#define DDR40_PHY_WORD_LANE_READ_CONTROL_TYPE                             UInt32
#define DDR40_PHY_WORD_LANE_READ_CONTROL_RESERVED_MASK                    0xFFFFFFF8
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_ENABLE_SHIFT           2
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_ENABLE_MASK            0x00000004
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_TE_ADJ_SHIFT           1
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_TE_ADJ_MASK            0x00000002
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_LE_ADJ_SHIFT           0
#define    DDR40_PHY_WORD_LANE_READ_CONTROL_DQ_ODT_LE_ADJ_MASK            0x00000001

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_OFFSET                   0x00000170
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_0_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_OFFSET                   0x00000174
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_1_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_OFFSET                   0x00000178
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_2_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_OFFSET                   0x0000017C
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL0_3_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_OFFSET                   0x00000180
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_0_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_OFFSET                   0x00000184
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_1_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_OFFSET                   0x00000188
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_2_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_OFFSET                   0x0000018C
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_TYPE                     UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_RESERVED_MASK            0xFFFF0000
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_DATA_P_SHIFT          8
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_DATA_P_MASK           0x0000FF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_DATA_N_SHIFT          0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_DATA_BL1_3_DATA_N_MASK           0x000000FF

#define DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_OFFSET                       0x00000190
#define DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_TYPE                         UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_RESERVED_MASK                0xFFFFFF00
#define    DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_STATUS1_SHIFT             4
#define    DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_STATUS1_MASK              0x000000F0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_STATUS0_SHIFT             0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_STATUS_STATUS0_MASK              0x0000000F

#define DDR40_PHY_WORD_LANE_READ_FIFO_CLEAR_OFFSET                        0x00000194
#define DDR40_PHY_WORD_LANE_READ_FIFO_CLEAR_TYPE                          UInt32
#define DDR40_PHY_WORD_LANE_READ_FIFO_CLEAR_RESERVED_MASK                 0xFFFFFFFE
#define    DDR40_PHY_WORD_LANE_READ_FIFO_CLEAR_CLEAR_SHIFT                0
#define    DDR40_PHY_WORD_LANE_READ_FIFO_CLEAR_CLEAR_MASK                 0x00000001

#define DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_OFFSET                       0x000001A0
#define DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_TYPE                         UInt32
#define DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_RESERVED_MASK                0x7F000000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_IDLE_SHIFT                31
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_IDLE_MASK                 0x80000000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_AUTO_DQ_RXENB_MODE_SHIFT  22
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_AUTO_DQ_RXENB_MODE_MASK   0x00C00000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_AUTO_DQ_IDDQ_MODE_SHIFT   20
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_AUTO_DQ_IDDQ_MODE_MASK    0x00300000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_RXENB_SHIFT            19
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_RXENB_MASK             0x00080000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_IDDQ_SHIFT             18
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_IDDQ_MASK              0x00040000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_REB_SHIFT              17
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_REB_MASK               0x00020000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_OEB_SHIFT              16
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQ_OEB_MASK               0x00010000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_RXENB_SHIFT      15
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_RXENB_MASK       0x00008000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_IDDQ_SHIFT       14
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_IDDQ_MASK        0x00004000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_REB_SHIFT        13
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_REB_MASK         0x00002000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_OEB_SHIFT        12
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_READ_ENB_OEB_MASK         0x00001000
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_RXENB_SHIFT           11
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_RXENB_MASK            0x00000800
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_IDDQ_SHIFT            10
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_IDDQ_MASK             0x00000400
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_REB_SHIFT             9
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_REB_MASK              0x00000200
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_OEB_SHIFT             8
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_DQS_OEB_MASK              0x00000100
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_RXENB_SHIFT          7
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_RXENB_MASK           0x00000080
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_IDDQ_SHIFT           6
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_IDDQ_MASK            0x00000040
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_REB_SHIFT            5
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_REB_MASK             0x00000020
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_OEB_SHIFT            4
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK1_OEB_MASK             0x00000010
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_RXENB_SHIFT          3
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_RXENB_MASK           0x00000008
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_IDDQ_SHIFT           2
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_IDDQ_MASK            0x00000004
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_REB_SHIFT            1
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_REB_MASK             0x00000002
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_OEB_SHIFT            0
#define    DDR40_PHY_WORD_LANE_IDLE_PAD_CONTROL_CLK0_OEB_MASK             0x00000001

#define DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_OFFSET                          0x000001A4
#define DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_TYPE                            UInt32
#define DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RESERVED_MASK                   0xFFFFF000
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_NO_DQS_RD_SHIFT              11
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_NO_DQS_RD_MASK               0x00000800
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_DQS_ALWAYS_ON_SHIFT          10
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_DQS_ALWAYS_ON_MASK           0x00000400
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_DQS_TX_DIS_SHIFT             9
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_DQS_TX_DIS_MASK              0x00000200
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_HALF_STRENGTH_CK_SHIFT       8
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_HALF_STRENGTH_CK_MASK        0x00000100
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_HALF_STRENGTH_SHIFT          7
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_HALF_STRENGTH_MASK           0x00000080
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RDQS_EN_SHIFT                6
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RDQS_EN_MASK                 0x00000040
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_GDDR_SYMMETRY_SHIFT          5
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_GDDR_SYMMETRY_MASK           0x00000020
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_VDDO_VOLTS_SHIFT             3
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_VDDO_VOLTS_MASK              0x00000018
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RT60B_SHIFT                  2
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RT60B_MASK                   0x00000004
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RT120B_G_SHIFT               1
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_RT120B_G_MASK                0x00000002
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_G_DDR_SHIFT                  0
#define    DDR40_PHY_WORD_LANE_DRIVE_PAD_CTL_G_DDR_MASK                   0x00000001

#define DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_OFFSET                      0x000001A8
#define DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_TYPE                        UInt32
#define DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_RESERVED_MASK               0xFFFFFFF8
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_DM_PAD_DIS_SHIFT         2
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_DM_PAD_DIS_MASK          0x00000004
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_CLK1_PAD_DIS_SHIFT       1
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_CLK1_PAD_DIS_MASK        0x00000002
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_CLK0_PAD_DIS_SHIFT       0
#define    DDR40_PHY_WORD_LANE_CLOCK_PAD_DISABLE_CLK0_PAD_DIS_MASK        0x00000001

#define DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_OFFSET                       0x000001AC
#define DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_TYPE                         UInt32
#define DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_RESERVED_MASK                0xFFFFFFFC
#define    DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_LONG_SHIFT                1
#define    DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_LONG_MASK                 0x00000002
#define    DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_MODE_SHIFT                0
#define    DDR40_PHY_WORD_LANE_WR_PREAMBLE_MODE_MODE_MASK                 0x00000001

#endif /* __BRCM_RDB_DDR40_PHY_WORD_LANE_H__ */


