/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DSP_TL3R_H__
#define __BRCM_RDB_DSP_TL3R_H__

#define DSP_TL3R_TL3_SHM_CFG_R0_OFFSET                                    0x00000000
#define DSP_TL3R_TL3_SHM_CFG_R0_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R0_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R0_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R0_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R0_RESERVED_12TO9_SHIFT                   9
#define    DSP_TL3R_TL3_SHM_CFG_R0_RESERVED_12TO9_MASK                    0x00001E00
#define    DSP_TL3R_TL3_SHM_CFG_R0_ADDR_MODE_SHIFT                        8
#define    DSP_TL3R_TL3_SHM_CFG_R0_ADDR_MODE_MASK                         0x00000100
#define    DSP_TL3R_TL3_SHM_CFG_R0_RESERVED_7TO7_SHIFT                    7
#define    DSP_TL3R_TL3_SHM_CFG_R0_RESERVED_7TO7_MASK                     0x00000080
#define    DSP_TL3R_TL3_SHM_CFG_R0_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R0_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R0_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R0_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R0_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R0_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R0_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R0_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R1_OFFSET                                    0x00000004
#define DSP_TL3R_TL3_SHM_CFG_R1_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R1_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R1_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R1_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R1_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R1_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R1_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R1_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R1_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R1_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R1_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R1_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R1_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R1_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R2_OFFSET                                    0x00000008
#define DSP_TL3R_TL3_SHM_CFG_R2_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R2_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R2_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R2_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R2_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R2_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R2_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R2_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R2_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R2_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R2_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R2_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R2_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R2_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R3_OFFSET                                    0x0000000C
#define DSP_TL3R_TL3_SHM_CFG_R3_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R3_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R3_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R3_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R3_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R3_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R3_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R3_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R3_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R3_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R3_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R3_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R3_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R3_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R4_OFFSET                                    0x00000010
#define DSP_TL3R_TL3_SHM_CFG_R4_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R4_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R4_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R4_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R4_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R4_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R4_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R4_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R4_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R4_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R4_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R4_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R4_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R4_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R5_OFFSET                                    0x00000014
#define DSP_TL3R_TL3_SHM_CFG_R5_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R5_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R5_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R5_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R5_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R5_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R5_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R5_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R5_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R5_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R5_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R5_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R5_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R5_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R6_OFFSET                                    0x00000018
#define DSP_TL3R_TL3_SHM_CFG_R6_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R6_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R6_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R6_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R6_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R6_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R6_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R6_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R6_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R6_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R6_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R6_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R6_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R6_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_SHM_CFG_R7_OFFSET                                    0x0000001C
#define DSP_TL3R_TL3_SHM_CFG_R7_TYPE                                      UInt32
#define DSP_TL3R_TL3_SHM_CFG_R7_RESERVED_MASK                             0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_R7_SM_BASE_ADDR_31TO13_SHIFT              13
#define    DSP_TL3R_TL3_SHM_CFG_R7_SM_BASE_ADDR_31TO13_MASK               0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_R7_RESERVED_12TO7_SHIFT                   7
#define    DSP_TL3R_TL3_SHM_CFG_R7_RESERVED_12TO7_MASK                    0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_R7_RBUF_ADAPTIVE_EN_SHIFT                 6
#define    DSP_TL3R_TL3_SHM_CFG_R7_RBUF_ADAPTIVE_EN_MASK                  0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_R7_WBUF_EN_SHIFT                          5
#define    DSP_TL3R_TL3_SHM_CFG_R7_WBUF_EN_MASK                           0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_R7_PAGE_SIZE_3TO0_SHIFT                   1
#define    DSP_TL3R_TL3_SHM_CFG_R7_PAGE_SIZE_3TO0_MASK                    0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_R7_RBUF_EN_SHIFT                          0
#define    DSP_TL3R_TL3_SHM_CFG_R7_RBUF_EN_MASK                           0x00000001

#define DSP_TL3R_TL3_ICACHE_SEL_R_OFFSET                                  0x00000020
#define DSP_TL3R_TL3_ICACHE_SEL_R_TYPE                                    UInt32
#define DSP_TL3R_TL3_ICACHE_SEL_R_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_ICACHE_SEL_R_RESERVED_31TO2_SHIFT                 2
#define    DSP_TL3R_TL3_ICACHE_SEL_R_RESERVED_31TO2_MASK                  0xFFFFFFFC
#define    DSP_TL3R_TL3_ICACHE_SEL_R_ICACHE_SELECT_1TO0_SHIFT             0
#define    DSP_TL3R_TL3_ICACHE_SEL_R_ICACHE_SELECT_1TO0_MASK              0x00000003

#define DSP_TL3R_TL3_CFG_R_OFFSET                                         0x00000024
#define DSP_TL3R_TL3_CFG_R_TYPE                                           UInt32
#define DSP_TL3R_TL3_CFG_R_RESERVED_MASK                                  0x00000000
#define    DSP_TL3R_TL3_CFG_R_ICACHE_AHB_BASE_ADDR_16TO0_SHIFT            15
#define    DSP_TL3R_TL3_CFG_R_ICACHE_AHB_BASE_ADDR_16TO0_MASK             0xFFFF8000
#define    DSP_TL3R_TL3_CFG_R_RESERVED_14TO4_SHIFT                        4
#define    DSP_TL3R_TL3_CFG_R_RESERVED_14TO4_MASK                         0x00007FF0
#define    DSP_TL3R_TL3_CFG_R_ICACHE_PAGE_RANGE_3TO0_SHIFT                0
#define    DSP_TL3R_TL3_CFG_R_ICACHE_PAGE_RANGE_3TO0_MASK                 0x0000000F

#define DSP_TL3R_TL3_A2D_ACCESS_EN2_R_OFFSET                              0x00000028
#define DSP_TL3R_TL3_A2D_ACCESS_EN2_R_TYPE                                UInt32
#define DSP_TL3R_TL3_A2D_ACCESS_EN2_R_RESERVED_MASK                       0x00000000
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ACCE55_31TO8_SHIFT               8
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ACCE55_31TO8_MASK                0xFFFFFF00
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 7
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000080
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 6
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000040
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_DMEM_CLOCK_FORCE_EN_SHIFT 5
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_DMEM_CLOCK_FORCE_EN_MASK 0x00000020
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PMEM_CLOCK_FORCE_EN_SHIFT 4
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PMEM_CLOCK_FORCE_EN_MASK 0x00000010
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_DMA2DSP_PERIPHERAL_ACCESS_EN_SHIFT 3
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_DMA2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000008
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PERIPHERAL_ACCESS_EN_SHIFT 2
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000004
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_DMEM_ACCESS_EN_SHIFT     1
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_DMEM_ACCESS_EN_MASK      0x00000002
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PMEM_ACCESS_EN_SHIFT     0
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_R_ARM2DSP_PMEM_ACCESS_EN_MASK      0x00000001

#define DSP_TL3R_TL3_A2D_ACCESS_EN_R_OFFSET                               0x0000002C
#define DSP_TL3R_TL3_A2D_ACCESS_EN_R_TYPE                                 UInt32
#define DSP_TL3R_TL3_A2D_ACCESS_EN_R_RESERVED_MASK                        0x00000000
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ACCE55_31TO8_SHIFT                8
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ACCE55_31TO8_MASK                 0xFFFFFF00
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 7
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000080
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 6
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000040
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_DMEM_CLOCK_FORCE_EN_SHIFT 5
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_DMEM_CLOCK_FORCE_EN_MASK  0x00000020
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PMEM_CLOCK_FORCE_EN_SHIFT 4
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PMEM_CLOCK_FORCE_EN_MASK  0x00000010
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_DMA2DSP_PERIPHERAL_ACCESS_EN_SHIFT 3
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_DMA2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000008
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PERIPHERAL_ACCESS_EN_SHIFT 2
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000004
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_DMEM_ACCESS_EN_SHIFT      1
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_DMEM_ACCESS_EN_MASK       0x00000002
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PMEM_ACCESS_EN_SHIFT      0
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_R_ARM2DSP_PMEM_ACCESS_EN_MASK       0x00000001

#define DSP_TL3R_TL3_STA_R_OFFSET                                         0x00000030
#define DSP_TL3R_TL3_STA_R_TYPE                                           UInt32
#define DSP_TL3R_TL3_STA_R_RESERVED_MASK                                  0x00000000
#define    DSP_TL3R_TL3_STA_R_TL3_REV_NUMBER_2TO0_SHIFT                   29
#define    DSP_TL3R_TL3_STA_R_TL3_REV_NUMBER_2TO0_MASK                    0xE0000000
#define    DSP_TL3R_TL3_STA_R_SMIRBUF_EMPTY_SHIFT                         28
#define    DSP_TL3R_TL3_STA_R_SMIRBUF_EMPTY_MASK                          0x10000000
#define    DSP_TL3R_TL3_STA_R_RESERVED_27_SHIFT                           27
#define    DSP_TL3R_TL3_STA_R_RESERVED_27_MASK                            0x08000000
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_FULL_SHIFT                          26
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_FULL_MASK                           0x04000000
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_EMPTY_SHIFT                         25
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_EMPTY_MASK                          0x02000000
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_BUSY_SHIFT                          24
#define    DSP_TL3R_TL3_STA_R_SMIWBUF_BUSY_MASK                           0x01000000
#define    DSP_TL3R_TL3_STA_R_SMI_BUSY_SHIFT                              23
#define    DSP_TL3R_TL3_STA_R_SMI_BUSY_MASK                               0x00800000
#define    DSP_TL3R_TL3_STA_R_DMSS_WR_ERR_SHIFT                           22
#define    DSP_TL3R_TL3_STA_R_DMSS_WR_ERR_MASK                            0x00400000
#define    DSP_TL3R_TL3_STA_R_ZSM_ADDR_ERR_SHIFT                          21
#define    DSP_TL3R_TL3_STA_R_ZSM_ADDR_ERR_MASK                           0x00200000
#define    DSP_TL3R_TL3_STA_R_ZIO_UNALIGN_ERR_SHIFT                       20
#define    DSP_TL3R_TL3_STA_R_ZIO_UNALIGN_ERR_MASK                        0x00100000
#define    DSP_TL3R_TL3_STA_R_AHB_ZSM_ERR_SHIFT                           19
#define    DSP_TL3R_TL3_STA_R_AHB_ZSM_ERR_MASK                            0x00080000
#define    DSP_TL3R_TL3_STA_R_RESERVED_18_SHIFT                           18
#define    DSP_TL3R_TL3_STA_R_RESERVED_18_MASK                            0x00040000
#define    DSP_TL3R_TL3_STA_R_AHB_ICACHE_ERR_SHIFT                        17
#define    DSP_TL3R_TL3_STA_R_AHB_ICACHE_ERR_MASK                         0x00020000
#define    DSP_TL3R_TL3_STA_R_PMSS_ADDR_ERR_SHIFT                         16
#define    DSP_TL3R_TL3_STA_R_PMSS_ADDR_ERR_MASK                          0x00010000
#define    DSP_TL3R_TL3_STA_R_RESERVED_15_SHIFT                           15
#define    DSP_TL3R_TL3_STA_R_RESERVED_15_MASK                            0x00008000
#define    DSP_TL3R_TL3_STA_R_TL3REG_ERR_SHIFT                            14
#define    DSP_TL3R_TL3_STA_R_TL3REG_ERR_MASK                             0x00004000
#define    DSP_TL3R_TL3_STA_R_RESERVED_13TO12_SHIFT                       12
#define    DSP_TL3R_TL3_STA_R_RESERVED_13TO12_MASK                        0x00003000
#define    DSP_TL3R_TL3_STA_R_RESERVED_11TO9_SHIFT                        9
#define    DSP_TL3R_TL3_STA_R_RESERVED_11TO9_MASK                         0x00000E00
#define    DSP_TL3R_TL3_STA_R_ICACHE_BOTH_READ_ERR_SHIFT                  8
#define    DSP_TL3R_TL3_STA_R_ICACHE_BOTH_READ_ERR_MASK                   0x00000100
#define    DSP_TL3R_TL3_STA_R_RESERVED_7TO5_SHIFT                         5
#define    DSP_TL3R_TL3_STA_R_RESERVED_7TO5_MASK                          0x000000E0
#define    DSP_TL3R_TL3_STA_R_DSPP4_SLAVE_ERR_SHIFT                       4
#define    DSP_TL3R_TL3_STA_R_DSPP4_SLAVE_ERR_MASK                        0x00000010
#define    DSP_TL3R_TL3_STA_R_RESERVED_3TO1_SHIFT                         1
#define    DSP_TL3R_TL3_STA_R_RESERVED_3TO1_MASK                          0x0000000E
#define    DSP_TL3R_TL3_STA_R_DSPP0_SLAVE_ERR_SHIFT                       0
#define    DSP_TL3R_TL3_STA_R_DSPP0_SLAVE_ERR_MASK                        0x00000001

#define DSP_TL3R_TL3_NMI_DISABLE_R_OFFSET                                 0x00000034
#define DSP_TL3R_TL3_NMI_DISABLE_R_TYPE                                   UInt32
#define DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_MASK                          0x00000000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_31TO22_SHIFT               23
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_31TO22_MASK                0xFF800000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_DMSS_WR_ERR_NMI_DISABLE_SHIFT       22
#define    DSP_TL3R_TL3_NMI_DISABLE_R_DMSS_WR_ERR_NMI_DISABLE_MASK        0x00400000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_ZSM_ADDR_ERR_NMI_DISABLE_SHIFT      21
#define    DSP_TL3R_TL3_NMI_DISABLE_R_ZSM_ADDR_ERR_NMI_DISABLE_MASK       0x00200000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_DSP2AHB_UNALIGN_ERR_NMI_DISABLE_SHIFT 20
#define    DSP_TL3R_TL3_NMI_DISABLE_R_DSP2AHB_UNALIGN_ERR_NMI_DISABLE_MASK 0x00100000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_AHB_SMI_ERR_NMI_DISABLE_SHIFT       19
#define    DSP_TL3R_TL3_NMI_DISABLE_R_AHB_SMI_ERR_NMI_DISABLE_MASK        0x00080000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_18_SHIFT                   18
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_18_MASK                    0x00040000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_AHB_ICACHE_ERR_NMI_DISABLE_SHIFT    17
#define    DSP_TL3R_TL3_NMI_DISABLE_R_AHB_ICACHE_ERR_NMI_DISABLE_MASK     0x00020000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PMEM_ADDR_ERR_NMI_DISABLE_SHIFT     16
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PMEM_ADDR_ERR_NMI_DISABLE_MASK      0x00010000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_15_SHIFT                   15
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_15_MASK                    0x00008000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_TL3REG_ERR_NMI_DISABLE_SHIFT        14
#define    DSP_TL3R_TL3_NMI_DISABLE_R_TL3REG_ERR_NMI_DISABLE_MASK         0x00004000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_13_SHIFT                   13
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_13_MASK                    0x00002000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_12_SHIFT                   12
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_12_MASK                    0x00001000
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_11TO9_SHIFT                9
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_11TO9_MASK                 0x00000E00
#define    DSP_TL3R_TL3_NMI_DISABLE_R_ICACHE_BOTH_READ_ERR_NMI_DISABLE_SHIFT 8
#define    DSP_TL3R_TL3_NMI_DISABLE_R_ICACHE_BOTH_READ_ERR_NMI_DISABLE_MASK 0x00000100
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_7TO5_SHIFT                 5
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_7TO5_MASK                  0x000000E0
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PERIPHERAL_4_ERR_NMI_DISABLE_SHIFT  4
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PERIPHERAL_4_ERR_NMI_DISABLE_MASK   0x00000010
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_3TO1_SHIFT                 1
#define    DSP_TL3R_TL3_NMI_DISABLE_R_RESERVED_3TO1_MASK                  0x0000000E
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PERIPHERAL_0_ERR_NMI_DISABLE_SHIFT  0
#define    DSP_TL3R_TL3_NMI_DISABLE_R_PERIPHERAL_0_ERR_NMI_DISABLE_MASK   0x00000001

#define DSP_TL3R_TL3_TEST_R_OFFSET                                        0x00000038
#define DSP_TL3R_TL3_TEST_R_TYPE                                          UInt32
#define DSP_TL3R_TL3_TEST_R_RESERVED_MASK                                 0x00000000
#define    DSP_TL3R_TL3_TEST_R_DSP_TEST_REG_31TO16_SHIFT                  16
#define    DSP_TL3R_TL3_TEST_R_DSP_TEST_REG_31TO16_MASK                   0xFFFF0000
#define    DSP_TL3R_TL3_TEST_R_ARM_TEST_REG_15TO0_SHIFT                   0
#define    DSP_TL3R_TL3_TEST_R_ARM_TEST_REG_15TO0_MASK                    0x0000FFFF

#define DSP_TL3R_TL3_CTRL_REG_OFFSET                                      0x0000003C
#define DSP_TL3R_TL3_CTRL_REG_TYPE                                        UInt32
#define DSP_TL3R_TL3_CTRL_REG_RESERVED_MASK                               0x00000000
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_31TO29_SHIFT                    29
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_31TO29_MASK                     0xE0000000
#define    DSP_TL3R_TL3_CTRL_REG_AHBS_HERROR_STATUS_SHIFT                 28
#define    DSP_TL3R_TL3_CTRL_REG_AHBS_HERROR_STATUS_MASK                  0x10000000
#define    DSP_TL3R_TL3_CTRL_REG_ARM_INVALIDATE_PREBUF_SHIFT              27
#define    DSP_TL3R_TL3_CTRL_REG_ARM_INVALIDATE_PREBUF_MASK               0x08000000
#define    DSP_TL3R_TL3_CTRL_REG_DSP2APB_CLK_2TO1_SHIFT                   26
#define    DSP_TL3R_TL3_CTRL_REG_DSP2APB_CLK_2TO1_MASK                    0x04000000
#define    DSP_TL3R_TL3_CTRL_REG_AZARB_WAIT_CYCLES_5TO0_SHIFT             20
#define    DSP_TL3R_TL3_CTRL_REG_AZARB_WAIT_CYCLES_5TO0_MASK              0x03F00000
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_19TO16_SHIFT                    16
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_19TO16_MASK                     0x000F0000
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_15TO8_SHIFT                     8
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_15TO8_MASK                      0x0000FF00
#define    DSP_TL3R_TL3_CTRL_REG_TL3_CORE_WAIT_SHIFT                      7
#define    DSP_TL3R_TL3_CTRL_REG_TL3_CORE_WAIT_MASK                       0x00000080
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_6_SHIFT                         6
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_6_MASK                          0x00000040
#define    DSP_TL3R_TL3_CTRL_REG_TL3_WAKEUP_DSP_SHIFT                     5
#define    DSP_TL3R_TL3_CTRL_REG_TL3_WAKEUP_DSP_MASK                      0x00000020
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_4TO0_SHIFT                      0
#define    DSP_TL3R_TL3_CTRL_REG_RESERVED_4TO0_MASK                       0x0000001F

#define DSP_TL3R_TL3_SLEEP_MONITOR_REG_OFFSET                             0x00000040
#define DSP_TL3R_TL3_SLEEP_MONITOR_REG_TYPE                               UInt32
#define DSP_TL3R_TL3_SLEEP_MONITOR_REG_RESERVED_MASK                      0x00000000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_RESERVED_31TO18_SHIFT           18
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_RESERVED_31TO18_MASK            0xFFFC0000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DSPC_SLEEP_SHIFT                17
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DSPC_SLEEP_MASK                 0x00020000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_OAKSLP_SHIFT                    16
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_OAKSLP_MASK                     0x00010000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_PAD_OTCK_SHIFT                  15
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_PAD_OTCK_MASK                   0x00008000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_RESERVED_14TO13_SHIFT           13
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_RESERVED_14TO13_MASK            0x00006000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_A5BUSY_SHIFT                    12
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_A5BUSY_MASK                     0x00001000
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_EQBUSY_SHIFT                    11
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_EQBUSY_MASK                     0x00000800
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_TL3R_BUSY_SHIFT                 10
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_TL3R_BUSY_MASK                  0x00000400
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_SMI_BUSY_SHIFT                  9
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_SMI_BUSY_MASK                   0x00000200
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM_WAKEUP_DSP_SHIFT            8
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM_WAKEUP_DSP_MASK             0x00000100
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DMA2DSP_DSPP_CLK_FORCE2_SHIFT   7
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DMA2DSP_DSPP_CLK_FORCE2_MASK    0x00000080
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DSPP_CLK_FORCE2_SHIFT   6
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DSPP_CLK_FORCE2_MASK    0x00000040
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DMEM_CLK_FORCE2_SHIFT   5
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DMEM_CLK_FORCE2_MASK    0x00000020
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_PMEM_CLK_FORCE2_SHIFT   4
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_PMEM_CLK_FORCE2_MASK    0x00000010
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DMA2DSP_DSPP_CLK_FORCE_SHIFT    3
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_DMA2DSP_DSPP_CLK_FORCE_MASK     0x00000008
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DSPP_CLK_FORCE_SHIFT    2
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DSPP_CLK_FORCE_MASK     0x00000004
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DMEM_CLK_FORCE_SHIFT    1
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_DMEM_CLK_FORCE_MASK     0x00000002
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_PMEM_CLK_FORCE_SHIFT    0
#define    DSP_TL3R_TL3_SLEEP_MONITOR_REG_ARM2DSP_PMEM_CLK_FORCE_MASK     0x00000001

#define DSP_TL3R_TL3_CTL_REG_OFFSET                                       0x0000E080
#define DSP_TL3R_TL3_CTL_REG_TYPE                                         UInt32
#define DSP_TL3R_TL3_CTL_REG_RESERVED_MASK                                0x00000000
#define    DSP_TL3R_TL3_CTL_REG_RESERVED_31TO29_SHIFT                     29
#define    DSP_TL3R_TL3_CTL_REG_RESERVED_31TO29_MASK                      0xE0000000
#define    DSP_TL3R_TL3_CTL_REG_DSP_AHB_ACCESS_DISABLE_SHIFT              28
#define    DSP_TL3R_TL3_CTL_REG_DSP_AHB_ACCESS_DISABLE_MASK               0x10000000
#define    DSP_TL3R_TL3_CTL_REG_DSP_OUT_OF_ORDER_READ_EN_SHIFT            27
#define    DSP_TL3R_TL3_CTL_REG_DSP_OUT_OF_ORDER_READ_EN_MASK             0x08000000
#define    DSP_TL3R_TL3_CTL_REG_INVALIDATE_TIMER_ENABLE_SHIFT             26
#define    DSP_TL3R_TL3_CTL_REG_INVALIDATE_TIMER_ENABLE_MASK              0x04000000
#define    DSP_TL3R_TL3_CTL_REG_NMI_DISABLE_SHIFT                         25
#define    DSP_TL3R_TL3_CTL_REG_NMI_DISABLE_MASK                          0x02000000
#define    DSP_TL3R_TL3_CTL_REG_DSP_INVALIDATE_PREBUF_SHIFT               24
#define    DSP_TL3R_TL3_CTL_REG_DSP_INVALIDATE_PREBUF_MASK                0x01000000
#define    DSP_TL3R_TL3_CTL_REG_INVALIDATE_TIMER_INIT_SHIFT               16
#define    DSP_TL3R_TL3_CTL_REG_INVALIDATE_TIMER_INIT_MASK                0x00FF0000
#define    DSP_TL3R_TL3_CTL_REG_MONITOR_SEL_3TO0_SHIFT                    12
#define    DSP_TL3R_TL3_CTL_REG_MONITOR_SEL_3TO0_MASK                     0x0000F000
#define    DSP_TL3R_TL3_CTL_REG_RESERVED_11TO0_SHIFT                      0
#define    DSP_TL3R_TL3_CTL_REG_RESERVED_11TO0_MASK                       0x00000FFF

#define DSP_TL3R_TL3_STA_REG_OFFSET                                       0x0000E082
#define DSP_TL3R_TL3_STA_REG_TYPE                                         UInt32
#define DSP_TL3R_TL3_STA_REG_RESERVED_MASK                                0x00000000
#define    DSP_TL3R_TL3_STA_REG_TL3_REV_NUMBER_2TO0_SHIFT                 29
#define    DSP_TL3R_TL3_STA_REG_TL3_REV_NUMBER_2TO0_MASK                  0xE0000000
#define    DSP_TL3R_TL3_STA_REG_SMIRBUF_EMPTY_SHIFT                       28
#define    DSP_TL3R_TL3_STA_REG_SMIRBUF_EMPTY_MASK                        0x10000000
#define    DSP_TL3R_TL3_STA_REG_RESERVED_27_SHIFT                         27
#define    DSP_TL3R_TL3_STA_REG_RESERVED_27_MASK                          0x08000000
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_FULL_SHIFT                        26
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_FULL_MASK                         0x04000000
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_EMPTY_SHIFT                       25
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_EMPTY_MASK                        0x02000000
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_BUSY_SHIFT                        24
#define    DSP_TL3R_TL3_STA_REG_SMIWBUF_BUSY_MASK                         0x01000000
#define    DSP_TL3R_TL3_STA_REG_SMI_BUSY_SHIFT                            23
#define    DSP_TL3R_TL3_STA_REG_SMI_BUSY_MASK                             0x00800000
#define    DSP_TL3R_TL3_STA_REG_DMSS_WR_ERR_SHIFT                         22
#define    DSP_TL3R_TL3_STA_REG_DMSS_WR_ERR_MASK                          0x00400000
#define    DSP_TL3R_TL3_STA_REG_ZSM_ADDR_ERR_SHIFT                        21
#define    DSP_TL3R_TL3_STA_REG_ZSM_ADDR_ERR_MASK                         0x00200000
#define    DSP_TL3R_TL3_STA_REG_ZIO_UNALIGN_ERR_SHIFT                     20
#define    DSP_TL3R_TL3_STA_REG_ZIO_UNALIGN_ERR_MASK                      0x00100000
#define    DSP_TL3R_TL3_STA_REG_AHB_ZSM_ERR_SHIFT                         19
#define    DSP_TL3R_TL3_STA_REG_AHB_ZSM_ERR_MASK                          0x00080000
#define    DSP_TL3R_TL3_STA_REG_RESERVED_18_SHIFT                         18
#define    DSP_TL3R_TL3_STA_REG_RESERVED_18_MASK                          0x00040000
#define    DSP_TL3R_TL3_STA_REG_AHB_ICACHE_ERR_SHIFT                      17
#define    DSP_TL3R_TL3_STA_REG_AHB_ICACHE_ERR_MASK                       0x00020000
#define    DSP_TL3R_TL3_STA_REG_PMSS_ADDR_ERR_SHIFT                       16
#define    DSP_TL3R_TL3_STA_REG_PMSS_ADDR_ERR_MASK                        0x00010000
#define    DSP_TL3R_TL3_STA_REG_RESERVED_15_SHIFT                         15
#define    DSP_TL3R_TL3_STA_REG_RESERVED_15_MASK                          0x00008000
#define    DSP_TL3R_TL3_STA_REG_TL3REG_ERR_SHIFT                          14
#define    DSP_TL3R_TL3_STA_REG_TL3REG_ERR_MASK                           0x00004000
#define    DSP_TL3R_TL3_STA_REG_RESERVED_13TO12_SHIFT                     12
#define    DSP_TL3R_TL3_STA_REG_RESERVED_13TO12_MASK                      0x00003000
#define    DSP_TL3R_TL3_STA_REG_RESERVED_11TO9_SHIFT                      9
#define    DSP_TL3R_TL3_STA_REG_RESERVED_11TO9_MASK                       0x00000E00
#define    DSP_TL3R_TL3_STA_REG_ICACHE_BOTH_READ_ERR_SHIFT                8
#define    DSP_TL3R_TL3_STA_REG_ICACHE_BOTH_READ_ERR_MASK                 0x00000100
#define    DSP_TL3R_TL3_STA_REG_RESERVED_7TO5_SHIFT                       5
#define    DSP_TL3R_TL3_STA_REG_RESERVED_7TO5_MASK                        0x000000E0
#define    DSP_TL3R_TL3_STA_REG_DSPP4_SLAVE_ERR_SHIFT                     4
#define    DSP_TL3R_TL3_STA_REG_DSPP4_SLAVE_ERR_MASK                      0x00000010
#define    DSP_TL3R_TL3_STA_REG_RESERVED_3TO1_SHIFT                       1
#define    DSP_TL3R_TL3_STA_REG_RESERVED_3TO1_MASK                        0x0000000E
#define    DSP_TL3R_TL3_STA_REG_DSPP0_SLAVE_ERR_SHIFT                     0
#define    DSP_TL3R_TL3_STA_REG_DSPP0_SLAVE_ERR_MASK                      0x00000001

#define DSP_TL3R_TL3_STA_RST_REG_OFFSET                                   0x0000E084
#define DSP_TL3R_TL3_STA_RST_REG_TYPE                                     UInt32
#define DSP_TL3R_TL3_STA_RST_REG_RESERVED_MASK                            0x00000000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_31TO23_SHIFT                 23
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_31TO23_MASK                  0xFF800000
#define    DSP_TL3R_TL3_STA_RST_REG_DMSS_WR_ERR_RST_SHIFT                 22
#define    DSP_TL3R_TL3_STA_RST_REG_DMSS_WR_ERR_RST_MASK                  0x00400000
#define    DSP_TL3R_TL3_STA_RST_REG_ZSM_ADDR_ERR_RST_SHIFT                21
#define    DSP_TL3R_TL3_STA_RST_REG_ZSM_ADDR_ERR_RST_MASK                 0x00200000
#define    DSP_TL3R_TL3_STA_RST_REG_DSP2AHB_UNALIGN_ERR_RST_SHIFT         20
#define    DSP_TL3R_TL3_STA_RST_REG_DSP2AHB_UNALIGN_ERR_RST_MASK          0x00100000
#define    DSP_TL3R_TL3_STA_RST_REG_AHB_SMI_ERR_RST_SHIFT                 19
#define    DSP_TL3R_TL3_STA_RST_REG_AHB_SMI_ERR_RST_MASK                  0x00080000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_18_SHIFT                     18
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_18_MASK                      0x00040000
#define    DSP_TL3R_TL3_STA_RST_REG_AHB_ICACHE_ERR_RST_SHIFT              17
#define    DSP_TL3R_TL3_STA_RST_REG_AHB_ICACHE_ERR_RST_MASK               0x00020000
#define    DSP_TL3R_TL3_STA_RST_REG_PMEM_ADDR_ERR_RST_SHIFT               16
#define    DSP_TL3R_TL3_STA_RST_REG_PMEM_ADDR_ERR_RST_MASK                0x00010000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_15_SHIFT                     15
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_15_MASK                      0x00008000
#define    DSP_TL3R_TL3_STA_RST_REG_TL3REG_ERR_RST_SHIFT                  14
#define    DSP_TL3R_TL3_STA_RST_REG_TL3REG_ERR_RST_MASK                   0x00004000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_13_SHIFT                     13
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_13_MASK                      0x00002000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_12_SHIFT                     12
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_12_MASK                      0x00001000
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_11TO9_SHIFT                  9
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_11TO9_MASK                   0x00000E00
#define    DSP_TL3R_TL3_STA_RST_REG_ICACHE_BOTH_READ_ERR_RST_SHIFT        8
#define    DSP_TL3R_TL3_STA_RST_REG_ICACHE_BOTH_READ_ERR_RST_MASK         0x00000100
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_7TO5_SHIFT                   5
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_7TO5_MASK                    0x000000E0
#define    DSP_TL3R_TL3_STA_RST_REG_DSPP4_SLAVE_ERR_RST_SHIFT             4
#define    DSP_TL3R_TL3_STA_RST_REG_DSPP4_SLAVE_ERR_RST_MASK              0x00000010
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_3TO1_SHIFT                   1
#define    DSP_TL3R_TL3_STA_RST_REG_RESERVED_3TO1_MASK                    0x0000000E
#define    DSP_TL3R_TL3_STA_RST_REG_DSPP0_SLAVE_ERR_RST_SHIFT             0
#define    DSP_TL3R_TL3_STA_RST_REG_DSPP0_SLAVE_ERR_RST_MASK              0x00000001

#define DSP_TL3R_TL3_D2A_ACCESS_REG_OFFSET                                0x0000E086
#define DSP_TL3R_TL3_D2A_ACCESS_REG_TYPE                                  UInt32
#define DSP_TL3R_TL3_D2A_ACCESS_REG_RESERVED_MASK                         0x00000000
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_ACCE55_23TO0_SHIFT                 8
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_ACCE55_23TO0_MASK                  0xFFFFFF00
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_RESERVED_7TO1_SHIFT                1
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_RESERVED_7TO1_MASK                 0x000000FE
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_DSP2AHB_REG_ACCESS_EN_SHIFT        0
#define    DSP_TL3R_TL3_D2A_ACCESS_REG_DSP2AHB_REG_ACCESS_EN_MASK         0x00000001

#define DSP_TL3R_TL3_NMI_DISABLE_REG_OFFSET                               0x0000E088
#define DSP_TL3R_TL3_NMI_DISABLE_REG_TYPE                                 UInt32
#define DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_MASK                        0x00000000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_31TO22_SHIFT             23
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_31TO22_MASK              0xFF800000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_DMSS_WR_ERR_NMI_DISABLE_SHIFT     22
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_DMSS_WR_ERR_NMI_DISABLE_MASK      0x00400000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_ZSM_ADDR_ERR_NMI_DISABLE_SHIFT    21
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_ZSM_ADDR_ERR_NMI_DISABLE_MASK     0x00200000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_DSP2AHB_UNALIGN_ERR_NMI_DISABLE_SHIFT 20
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_DSP2AHB_UNALIGN_ERR_NMI_DISABLE_MASK 0x00100000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_AHB_SMI_ERR_NMI_DISABLE_SHIFT     19
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_AHB_SMI_ERR_NMI_DISABLE_MASK      0x00080000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_18_SHIFT                 18
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_18_MASK                  0x00040000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_AHB_ICACHE_ERR_NMI_DISABLE_SHIFT  17
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_AHB_ICACHE_ERR_NMI_DISABLE_MASK   0x00020000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PMEM_ADDR_ERR_NMI_DISABLE_SHIFT   16
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PMEM_ADDR_ERR_NMI_DISABLE_MASK    0x00010000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_15_SHIFT                 15
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_15_MASK                  0x00008000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_TL3REG_ERR_NMI_DISABLE_SHIFT      14
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_TL3REG_ERR_NMI_DISABLE_MASK       0x00004000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_13_SHIFT                 13
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_13_MASK                  0x00002000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_12_SHIFT                 12
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_12_MASK                  0x00001000
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_11TO9_SHIFT              9
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_11TO9_MASK               0x00000E00
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_ICACHE_BOTH_READ_ERR_NMI_DISABLE_SHIFT 8
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_ICACHE_BOTH_READ_ERR_NMI_DISABLE_MASK 0x00000100
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_7TO5_SHIFT               5
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_7TO5_MASK                0x000000E0
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PERIPHERAL_4_ERR_NMI_DISABLE_SHIFT 4
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PERIPHERAL_4_ERR_NMI_DISABLE_MASK 0x00000010
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_3TO1_SHIFT               1
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_RESERVED_3TO1_MASK                0x0000000E
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PERIPHERAL_0_ERR_NMI_DISABLE_SHIFT 0
#define    DSP_TL3R_TL3_NMI_DISABLE_REG_PERIPHERAL_0_ERR_NMI_DISABLE_MASK 0x00000001

#define DSP_TL3R_TL3_SHM_BUF_CTL_REG_OFFSET                               0x0000E08A
#define DSP_TL3R_TL3_SHM_BUF_CTL_REG_TYPE                                 UInt32
#define DSP_TL3R_TL3_SHM_BUF_CTL_REG_RESERVED_MASK                        0x00000000
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RESERVED_31TO3_SHIFT              3
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RESERVED_31TO3_MASK               0xFFFFFFF8
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RBUF_ADAPTIVE_EN_SHIFT            2
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RBUF_ADAPTIVE_EN_MASK             0x00000004
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_WBUF_EN_SHIFT                     1
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_WBUF_EN_MASK                      0x00000002
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RBUF_EN_SHIFT                     0
#define    DSP_TL3R_TL3_SHM_BUF_CTL_REG_RBUF_EN_MASK                      0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG0_OFFSET                                  0x0000E0A0
#define DSP_TL3R_TL3_SHM_CFG_REG0_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG0_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG0_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG0_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RESERVED_12TO9_SHIFT                 9
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RESERVED_12TO9_MASK                  0x00001E00
#define    DSP_TL3R_TL3_SHM_CFG_REG0_ADDR_MODE_SHIFT                      8
#define    DSP_TL3R_TL3_SHM_CFG_REG0_ADDR_MODE_MASK                       0x00000100
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RESERVED_7TO7_SHIFT                  7
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RESERVED_7TO7_MASK                   0x00000080
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG0_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG0_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG0_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG0_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG0_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG1_OFFSET                                  0x0000E0A2
#define DSP_TL3R_TL3_SHM_CFG_REG1_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG1_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG1_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG1_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG1_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG1_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG1_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG1_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG1_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG2_OFFSET                                  0x0000E0A4
#define DSP_TL3R_TL3_SHM_CFG_REG2_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG2_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG2_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG2_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG2_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG2_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG2_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG2_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG2_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG3_OFFSET                                  0x0000E0A6
#define DSP_TL3R_TL3_SHM_CFG_REG3_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG3_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG3_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG3_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG3_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG3_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG3_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG3_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG3_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG4_OFFSET                                  0x0000E0A8
#define DSP_TL3R_TL3_SHM_CFG_REG4_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG4_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG4_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG4_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG4_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG4_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG4_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG4_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG4_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG5_OFFSET                                  0x0000E0AA
#define DSP_TL3R_TL3_SHM_CFG_REG5_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG5_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG5_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG5_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG5_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG5_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG5_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG5_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG5_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG6_OFFSET                                  0x0000E0AC
#define DSP_TL3R_TL3_SHM_CFG_REG6_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG6_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG6_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG6_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG6_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG6_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG6_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG6_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG6_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_SHM_CFG_REG7_OFFSET                                  0x0000E0AE
#define DSP_TL3R_TL3_SHM_CFG_REG7_TYPE                                    UInt32
#define DSP_TL3R_TL3_SHM_CFG_REG7_RESERVED_MASK                           0x00000000
#define    DSP_TL3R_TL3_SHM_CFG_REG7_SM_BASE_ADDR_31TO13_SHIFT            13
#define    DSP_TL3R_TL3_SHM_CFG_REG7_SM_BASE_ADDR_31TO13_MASK             0xFFFFE000
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RESERVED_12TO7_SHIFT                 7
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RESERVED_12TO7_MASK                  0x00001F80
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RBUF_ADAPTIVE_EN_SHIFT               6
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RBUF_ADAPTIVE_EN_MASK                0x00000040
#define    DSP_TL3R_TL3_SHM_CFG_REG7_WBUF_EN_SHIFT                        5
#define    DSP_TL3R_TL3_SHM_CFG_REG7_WBUF_EN_MASK                         0x00000020
#define    DSP_TL3R_TL3_SHM_CFG_REG7_PAGE_SIZE_3TO0_SHIFT                 1
#define    DSP_TL3R_TL3_SHM_CFG_REG7_PAGE_SIZE_3TO0_MASK                  0x0000001E
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RBUF_EN_SHIFT                        0
#define    DSP_TL3R_TL3_SHM_CFG_REG7_RBUF_EN_MASK                         0x00000001

#define DSP_TL3R_TL3_ICACHE_SEL_REG_OFFSET                                0x0000E0B0
#define DSP_TL3R_TL3_ICACHE_SEL_REG_TYPE                                  UInt32
#define DSP_TL3R_TL3_ICACHE_SEL_REG_RESERVED_MASK                         0x00000000
#define    DSP_TL3R_TL3_ICACHE_SEL_REG_RESERVED_31TO2_SHIFT               2
#define    DSP_TL3R_TL3_ICACHE_SEL_REG_RESERVED_31TO2_MASK                0xFFFFFFFC
#define    DSP_TL3R_TL3_ICACHE_SEL_REG_ICACHE_SELECT_1TO0_SHIFT           0
#define    DSP_TL3R_TL3_ICACHE_SEL_REG_ICACHE_SELECT_1TO0_MASK            0x00000003

#define DSP_TL3R_TL3_CFG_REG_OFFSET                                       0x0000E0B2
#define DSP_TL3R_TL3_CFG_REG_TYPE                                         UInt32
#define DSP_TL3R_TL3_CFG_REG_RESERVED_MASK                                0x00000000
#define    DSP_TL3R_TL3_CFG_REG_ICACHE_AHB_BASE_ADDR_16TO0_SHIFT          15
#define    DSP_TL3R_TL3_CFG_REG_ICACHE_AHB_BASE_ADDR_16TO0_MASK           0xFFFF8000
#define    DSP_TL3R_TL3_CFG_REG_RESERVED_14TO4_SHIFT                      4
#define    DSP_TL3R_TL3_CFG_REG_RESERVED_14TO4_MASK                       0x00007FF0
#define    DSP_TL3R_TL3_CFG_REG_ICACHE_PAGE_RANGE_3TO0_SHIFT              0
#define    DSP_TL3R_TL3_CFG_REG_ICACHE_PAGE_RANGE_3TO0_MASK               0x0000000F

#define DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_OFFSET                            0x0000E0B4
#define DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_TYPE                              UInt32
#define DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_RESERVED_MASK                     0x00000000
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ACCE55_31TO8_SHIFT             8
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ACCE55_31TO8_MASK              0xFFFFFF00
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 7
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000080
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 6
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000040
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_DMEM_CLOCK_FORCE_EN_SHIFT 5
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_DMEM_CLOCK_FORCE_EN_MASK 0x00000020
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PMEM_CLOCK_FORCE_EN_SHIFT 4
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PMEM_CLOCK_FORCE_EN_MASK 0x00000010
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_DMA2DSP_PERIPHERAL_ACCESS_EN_SHIFT 3
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_DMA2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000008
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PERIPHERAL_ACCESS_EN_SHIFT 2
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000004
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_DMEM_ACCESS_EN_SHIFT   1
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_DMEM_ACCESS_EN_MASK    0x00000002
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PMEM_ACCESS_EN_SHIFT   0
#define    DSP_TL3R_TL3_A2D_ACCESS_EN2_REG_ARM2DSP_PMEM_ACCESS_EN_MASK    0x00000001

#define DSP_TL3R_TL3_A2D_ACCESS_EN_REG_OFFSET                             0x0000E0B6
#define DSP_TL3R_TL3_A2D_ACCESS_EN_REG_TYPE                               UInt32
#define DSP_TL3R_TL3_A2D_ACCESS_EN_REG_RESERVED_MASK                      0x00000000
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ACCE55_31TO8_SHIFT              8
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ACCE55_31TO8_MASK               0xFFFFFF00
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 7
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_DMA2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000080
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_SHIFT 6
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PERIPHERAL_CLOCK_FORCE_EN_MASK 0x00000040
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_DMEM_CLOCK_FORCE_EN_SHIFT 5
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_DMEM_CLOCK_FORCE_EN_MASK 0x00000020
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PMEM_CLOCK_FORCE_EN_SHIFT 4
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PMEM_CLOCK_FORCE_EN_MASK 0x00000010
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_DMA2DSP_PERIPHERAL_ACCESS_EN_SHIFT 3
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_DMA2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000008
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PERIPHERAL_ACCESS_EN_SHIFT 2
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PERIPHERAL_ACCESS_EN_MASK 0x00000004
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_DMEM_ACCESS_EN_SHIFT    1
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_DMEM_ACCESS_EN_MASK     0x00000002
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PMEM_ACCESS_EN_SHIFT    0
#define    DSP_TL3R_TL3_A2D_ACCESS_EN_REG_ARM2DSP_PMEM_ACCESS_EN_MASK     0x00000001

#define DSP_TL3R_TL3_TEST_REG_OFFSET                                      0x0000E0B8
#define DSP_TL3R_TL3_TEST_REG_TYPE                                        UInt32
#define DSP_TL3R_TL3_TEST_REG_RESERVED_MASK                               0x00000000
#define    DSP_TL3R_TL3_TEST_REG_DSP_TEST_REG_31TO16_SHIFT                16
#define    DSP_TL3R_TL3_TEST_REG_DSP_TEST_REG_31TO16_MASK                 0xFFFF0000
#define    DSP_TL3R_TL3_TEST_REG_ARM_TEST_REG_15TO0_SHIFT                 0
#define    DSP_TL3R_TL3_TEST_REG_ARM_TEST_REG_15TO0_MASK                  0x0000FFFF

#endif /* __BRCM_RDB_DSP_TL3R_H__ */


