/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_EAV_REGISTER_H__
#define __BRCM_RDB_EAV_REGISTER_H__

#define EAV_REGISTER_EAV_AV_ENABLE_CONTROL_REGISTER_OFFSET                0x00000000
#define EAV_REGISTER_EAV_AV_ENABLE_CONTROL_REGISTER_TYPE                  UInt16
#define EAV_REGISTER_EAV_AV_ENABLE_CONTROL_REGISTER_RESERVED_MASK         0x0000FE00
#define    EAV_REGISTER_EAV_AV_ENABLE_CONTROL_REGISTER_AV_ENABLE_SHIFT    0
#define    EAV_REGISTER_EAV_AV_ENABLE_CONTROL_REGISTER_AV_ENABLE_MASK     0x000001FF

#define EAV_REGISTER_EAV_TIME_STAMP_REPORT_CONTROL_REGISTER_OFFSET        0x00000010
#define EAV_REGISTER_EAV_TIME_STAMP_REPORT_CONTROL_REGISTER_TYPE          UInt8
#define EAV_REGISTER_EAV_TIME_STAMP_REPORT_CONTROL_REGISTER_RESERVED_MASK 0x000000FE
#define    EAV_REGISTER_EAV_TIME_STAMP_REPORT_CONTROL_REGISTER_TSRPT_PKT_EN_SHIFT 0
#define    EAV_REGISTER_EAV_TIME_STAMP_REPORT_CONTROL_REGISTER_TSRPT_PKT_EN_MASK 0x00000001

#define EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_OFFSET                0x00000018
#define EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_TYPE                  UInt8
#define EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_RESERVED_MASK         0x000000C0
#define    EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_CLASSB_PCP_SHIFT   3
#define    EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_CLASSB_PCP_MASK    0x00000038
#define    EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_CLASSA_PCP_SHIFT   0
#define    EAV_REGISTER_EAV_PCP_VALUE_CONTROL_REGSITER_CLASSA_PCP_MASK    0x00000007

#define EAV_REGISTER_EAV_MAX_AV_PACKET_SIZE_REGISTER_OFFSET               0x00000020
#define EAV_REGISTER_EAV_MAX_AV_PACKET_SIZE_REGISTER_TYPE                 UInt16
#define EAV_REGISTER_EAV_MAX_AV_PACKET_SIZE_REGISTER_RESERVED_MASK        0x0000F000
#define    EAV_REGISTER_EAV_MAX_AV_PACKET_SIZE_REGISTER_CLASSB_PCP_SHIFT  0
#define    EAV_REGISTER_EAV_MAX_AV_PACKET_SIZE_REGISTER_CLASSB_PCP_MASK   0x00000FFF

#define EAV_REGISTER_EAV_TIME_BASE_REGISTER_OFFSET                        0x00000080
#define EAV_REGISTER_EAV_TIME_BASE_REGISTER_TYPE                          UInt32
#define EAV_REGISTER_EAV_TIME_BASE_REGISTER_RESERVED_MASK                 0x00000000
#define    EAV_REGISTER_EAV_TIME_BASE_REGISTER_TIME_BASE_SHIFT            0
#define    EAV_REGISTER_EAV_TIME_BASE_REGISTER_TIME_BASE_MASK             0xFFFFFFFF

#define EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_OFFSET             0x000000A0
#define EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_TYPE               UInt32
#define EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_RESERVED_MASK      0xFFFFF0C0
#define    EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_TIME_ADJUST_PERIOD_SHIFT 8
#define    EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_TIME_ADJUST_PERIOD_MASK 0x00000F00
#define    EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_TIME_INCREMENT_SHIFT 0
#define    EAV_REGISTER_EAV_TIME_BASE_ADJUSTMENT_REGISTER_TIME_INCREMENT_MASK 0x0000003F

#define EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_OFFSET     0x000000A0
#define EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_TYPE       UInt32
#define EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_RESERVED_MASK 0xF000FFE0
#define    EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_TICK_COUNTER_SHIFT 16
#define    EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_TICK_COUNTER_MASK 0x0FFF0000
#define    EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_SLOT_NUMBER_SHIFT 0
#define    EAV_REGISTER_EAV_SLOT_NUMBER_AND_TICK_COUNTER_REGISTER_SLOT_NUMBER_MASK 0x0000001F

#define EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_OFFSET                  0x000000E0
#define EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_TYPE                    UInt32
#define EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_RESERVED_MASK           0xFFFCF0FC
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_MACRO_SLOT_PERIOD_SHIFT 16
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_MACRO_SLOT_PERIOD_MASK 0x00030000
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_SLOT_ADJUST_PERIOD_SHIFT 8
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_SLOT_ADJUST_PERIOD_MASK 0x00000F00
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_SLOT_ADJUSTMENT_SHIFT 0
#define    EAV_REGISTER_EAV_SLOT_ADJUSTMENT_REGISTER_SLOT_ADJUSTMENT_MASK 0x00000003

#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_OFFSET 0x00000180
#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_TYPE   UInt16
#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_RESERVED_MASK 0x00004000
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_C5_WINDOW_SHIFT 15
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_C5_WINDOW_MASK 0x00008000
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_C5_BANDWIDTH_SHIFT 0
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_0_REGISTER_C5_BANDWIDTH_MASK 0x00003FFF

#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_OFFSET 0x00000190
#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_TYPE   UInt16
#define EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_RESERVED_MASK 0x00004000
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_C5_WINDOW_SHIFT 15
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_C5_WINDOW_MASK 0x00008000
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_C5_BANDWIDTH_SHIFT 0
#define    EAV_REGISTER_EAV_CLASS_A_BANDWIDTH_CONTROL_PORT_1_REGISTER_C5_BANDWIDTH_MASK 0x00003FFF

#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_0_REGISTER_OFFSET 0x00000300
#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_0_REGISTER_TYPE   UInt16
#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_0_REGISTER_RESERVED_MASK 0x0000C000
#define    EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_0_REGISTER_C4_BANDWIDTH_SHIFT 0
#define    EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_0_REGISTER_C4_BANDWIDTH_MASK 0x00003FFF

#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_1_REGISTER_OFFSET 0x00000310
#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_1_REGISTER_TYPE   UInt16
#define EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_1_REGISTER_RESERVED_MASK 0x0000C000
#define    EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_1_REGISTER_C4_BANDWIDTH_SHIFT 0
#define    EAV_REGISTER_EAV_CLASS_B_BANDWIDTH_CONTROL_PORT_1_REGISTER_C4_BANDWIDTH_MASK 0x00003FFF

#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_0_REGISTER_OFFSET         0x00000480
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_0_REGISTER_TYPE           UInt32
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_0_REGISTER_RESERVED_MASK  0x00000000
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_0_REGISTER_EGRESS_TIME_STAMP_SHIFT 0
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_0_REGISTER_EGRESS_TIME_STAMP_MASK 0xFFFFFFFF

#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_1_REGISTER_OFFSET         0x000004A0
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_1_REGISTER_TYPE           UInt32
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_1_REGISTER_RESERVED_MASK  0x00000000
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_1_REGISTER_EGRESS_TIME_STAMP_SHIFT 0
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_PORT_1_REGISTER_EGRESS_TIME_STAMP_MASK 0xFFFFFFFF

#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_STATUS_REGISTER_OFFSET         0x00000578
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_STATUS_REGISTER_TYPE           UInt8
#define EAV_REGISTER_EAV_EGRESS_TIME_STAMP_STATUS_REGISTER_RESERVED_MASK  0x000000FC
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_STATUS_REGISTER_VALID_STATUS_SHIFT 0
#define    EAV_REGISTER_EAV_EGRESS_TIME_STAMP_STATUS_REGISTER_VALID_STATUS_MASK 0x00000003

#endif /* __BRCM_RDB_EAV_REGISTER_H__ */


