/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_ESUB_CLK_MGR_REG_H__
#define __BRCM_RDB_ESUB_CLK_MGR_REG_H__

#define ESUB_CLK_MGR_REG_WR_ACCESS_OFFSET                                 0x00000000
#define ESUB_CLK_MGR_REG_WR_ACCESS_TYPE                                   UInt32
#define ESUB_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                          0x7F0000FE
#define    ESUB_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT              31
#define    ESUB_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK               0x80000000
#define    ESUB_CLK_MGR_REG_WR_ACCESS_PASSWORD_SHIFT                      8
#define    ESUB_CLK_MGR_REG_WR_ACCESS_PASSWORD_MASK                       0x00FFFF00
#define    ESUB_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                    0
#define    ESUB_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                     0x00000001

#define ESUB_CLK_MGR_REG_CCU_VERSION_OFFSET                               0x00000004
#define ESUB_CLK_MGR_REG_CCU_VERSION_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_CCU_VERSION_RESERVED_MASK                        0x7FFF0000
#define    ESUB_CLK_MGR_REG_CCU_VERSION_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_CCU_VERSION_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_CCU_VERSION_PUBLISH_ID_SHIFT                  0
#define    ESUB_CLK_MGR_REG_CCU_VERSION_PUBLISH_ID_MASK                   0x0000FFFF

#define ESUB_CLK_MGR_REG_POLICY_FREQ_OFFSET                               0x00000008
#define ESUB_CLK_MGR_REG_POLICY_FREQ_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_POLICY_FREQ_RESERVED_MASK                        0x78F8F8F8
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_SHIFT                24
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_MASK                 0x07000000
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_SHIFT                16
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_MASK                 0x00070000
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_SHIFT                8
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_MASK                 0x00000700
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_SHIFT                0
#define    ESUB_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_MASK                 0x00000007

#define ESUB_CLK_MGR_REG_POLICY_CTL_OFFSET                                0x0000000C
#define ESUB_CLK_MGR_REG_POLICY_CTL_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_POLICY_CTL_RESERVED_MASK                         0x7FFFFFF0
#define    ESUB_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_POLICY_CTL_TGT_VLD_SHIFT                      3
#define    ESUB_CLK_MGR_REG_POLICY_CTL_TGT_VLD_MASK                       0x00000008
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_ATL_SHIFT                       2
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_ATL_MASK                        0x00000004
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_AC_SHIFT                        1
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_AC_MASK                         0x00000002
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_SHIFT                           0
#define    ESUB_CLK_MGR_REG_POLICY_CTL_GO_MASK                            0x00000001

#define ESUB_CLK_MGR_REG_POLICY0_MASK_OFFSET                              0x00000010
#define ESUB_CLK_MGR_REG_POLICY0_MASK_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_POLICY0_MASK_RESERVED_MASK                       0x7FFFFFE4
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_EAV_POLICY0_MASK_SHIFT           4
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_EAV_POLICY0_MASK_MASK            0x00000010
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESW_POLICY0_MASK_SHIFT           3
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESW_POLICY0_MASK_MASK            0x00000008
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESW_SYS_POLICY0_MASK_SHIFT       1
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESW_SYS_POLICY0_MASK_MASK        0x00000002
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESUB_POLICY0_MASK_SHIFT          0
#define    ESUB_CLK_MGR_REG_POLICY0_MASK_ESUB_POLICY0_MASK_MASK           0x00000001

#define ESUB_CLK_MGR_REG_POLICY1_MASK_OFFSET                              0x00000014
#define ESUB_CLK_MGR_REG_POLICY1_MASK_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_POLICY1_MASK_RESERVED_MASK                       0x7FFFFFE4
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_EAV_POLICY1_MASK_SHIFT           4
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_EAV_POLICY1_MASK_MASK            0x00000010
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESW_POLICY1_MASK_SHIFT           3
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESW_POLICY1_MASK_MASK            0x00000008
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESW_SYS_POLICY1_MASK_SHIFT       1
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESW_SYS_POLICY1_MASK_MASK        0x00000002
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESUB_POLICY1_MASK_SHIFT          0
#define    ESUB_CLK_MGR_REG_POLICY1_MASK_ESUB_POLICY1_MASK_MASK           0x00000001

#define ESUB_CLK_MGR_REG_POLICY2_MASK_OFFSET                              0x00000018
#define ESUB_CLK_MGR_REG_POLICY2_MASK_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_POLICY2_MASK_RESERVED_MASK                       0x7FFFFFE4
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_EAV_POLICY2_MASK_SHIFT           4
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_EAV_POLICY2_MASK_MASK            0x00000010
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESW_POLICY2_MASK_SHIFT           3
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESW_POLICY2_MASK_MASK            0x00000008
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESW_SYS_POLICY2_MASK_SHIFT       1
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESW_SYS_POLICY2_MASK_MASK        0x00000002
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESUB_POLICY2_MASK_SHIFT          0
#define    ESUB_CLK_MGR_REG_POLICY2_MASK_ESUB_POLICY2_MASK_MASK           0x00000001

#define ESUB_CLK_MGR_REG_POLICY3_MASK_OFFSET                              0x0000001C
#define ESUB_CLK_MGR_REG_POLICY3_MASK_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_POLICY3_MASK_RESERVED_MASK                       0x7FFFFFE4
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_EAV_POLICY3_MASK_SHIFT           4
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_EAV_POLICY3_MASK_MASK            0x00000010
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESW_POLICY3_MASK_SHIFT           3
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESW_POLICY3_MASK_MASK            0x00000008
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESW_SYS_POLICY3_MASK_SHIFT       1
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESW_SYS_POLICY3_MASK_MASK        0x00000002
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESUB_POLICY3_MASK_SHIFT          0
#define    ESUB_CLK_MGR_REG_POLICY3_MASK_ESUB_POLICY3_MASK_MASK           0x00000001

#define ESUB_CLK_MGR_REG_INTEN_OFFSET                                     0x00000020
#define ESUB_CLK_MGR_REG_INTEN_TYPE                                       UInt32
#define ESUB_CLK_MGR_REG_INTEN_RESERVED_MASK                              0x7FFFFFFC
#define    ESUB_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_SHIFT                  31
#define    ESUB_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_MASK                   0x80000000
#define    ESUB_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_SHIFT                  1
#define    ESUB_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_MASK                   0x00000002
#define    ESUB_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_SHIFT                  0
#define    ESUB_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_MASK                   0x00000001

#define ESUB_CLK_MGR_REG_INTSTAT_OFFSET                                   0x00000024
#define ESUB_CLK_MGR_REG_INTSTAT_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_INTSTAT_RESERVED_MASK                            0x7FFFFFFC
#define    ESUB_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_SHIFT                 1
#define    ESUB_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_MASK                  0x00000002
#define    ESUB_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_SHIFT                 0
#define    ESUB_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_MASK                  0x00000001

#define ESUB_CLK_MGR_REG_VLT_PERI_OFFSET                                  0x00000030
#define ESUB_CLK_MGR_REG_VLT_PERI_TYPE                                    UInt32
#define ESUB_CLK_MGR_REG_VLT_PERI_RESERVED_MASK                           0x7FFFF0F0
#define    ESUB_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_SHIFT               31
#define    ESUB_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_MASK                0x80000000
#define    ESUB_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_SHIFT                8
#define    ESUB_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_MASK                 0x00000F00
#define    ESUB_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_SHIFT                  0
#define    ESUB_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_MASK                   0x0000000F

#define ESUB_CLK_MGR_REG_LVM_EN_OFFSET                                    0x00000034
#define ESUB_CLK_MGR_REG_LVM_EN_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_LVM_EN_RESERVED_MASK                             0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_SHIFT                 0
#define    ESUB_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_MASK                  0x00000001

#define ESUB_CLK_MGR_REG_LVM0_3_OFFSET                                    0x00000038
#define ESUB_CLK_MGR_REG_LVM0_3_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_LVM0_3_RESERVED_MASK                             0x7FFF0000
#define    ESUB_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_SHIFT                     12
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_MASK                      0x0000F000
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_SHIFT                     8
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_MASK                      0x00000F00
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_SHIFT                     4
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_MASK                      0x000000F0
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_SHIFT                     0
#define    ESUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_MASK                      0x0000000F

#define ESUB_CLK_MGR_REG_LVM4_7_OFFSET                                    0x0000003C
#define ESUB_CLK_MGR_REG_LVM4_7_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_LVM4_7_RESERVED_MASK                             0x7FFF0000
#define    ESUB_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_SHIFT                     12
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_MASK                      0x0000F000
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_SHIFT                     8
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_MASK                      0x00000F00
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_SHIFT                     4
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_MASK                      0x000000F0
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_SHIFT                     0
#define    ESUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_MASK                      0x0000000F

#define ESUB_CLK_MGR_REG_VLT0_3_OFFSET                                    0x00000040
#define ESUB_CLK_MGR_REG_VLT0_3_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_VLT0_3_RESERVED_MASK                             0x70F0F0F0
#define    ESUB_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_SHIFT                     24
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_MASK                      0x0F000000
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_SHIFT                     16
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_MASK                      0x000F0000
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_SHIFT                     8
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_MASK                      0x00000F00
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_SHIFT                     0
#define    ESUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_MASK                      0x0000000F

#define ESUB_CLK_MGR_REG_VLT4_7_OFFSET                                    0x00000044
#define ESUB_CLK_MGR_REG_VLT4_7_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_VLT4_7_RESERVED_MASK                             0x70F0F0F0
#define    ESUB_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_SHIFT                     24
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_MASK                      0x0F000000
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_SHIFT                     16
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_MASK                      0x000F0000
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_SHIFT                     8
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_MASK                      0x00000F00
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_SHIFT                     0
#define    ESUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_MASK                      0x0000000F

#define ESUB_CLK_MGR_REG_ESUB_ACTCSTS_OFFSET                              0x00000048
#define ESUB_CLK_MGR_REG_ESUB_ACTCSTS_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_ESUB_ACTCSTS_RESERVED_MASK                       0x6AAAFABA
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_104M_ACTVSTS_SHIFT           28
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_104M_ACTVSTS_MASK            0x10000000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_78M_ACTVSTS_SHIFT            26
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_78M_ACTVSTS_MASK             0x04000000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_156M_ACTVSTS_SHIFT           24
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_VAR_156M_ACTVSTS_MASK            0x01000000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_125M_ACTVSTS_SHIFT           22
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_125M_ACTVSTS_MASK            0x00400000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_SYS_ACTVSTS_SHIFT            20
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_SYS_ACTVSTS_MASK             0x00100000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_APB_ACTVSTS_SHIFT            18
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_APB_ACTVSTS_MASK             0x00040000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_AXI_ACTVSTS_SHIFT            16
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_EAV_AXI_ACTVSTS_MASK             0x00010000
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_25M_ACTVSTS_SHIFT            10
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_25M_ACTVSTS_MASK             0x00000400
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_SYS_125M_ACTVSTS_SHIFT       8
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_SYS_125M_ACTVSTS_MASK        0x00000100
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_SYS_ACTVSTS_SHIFT            6
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESW_SYS_ACTVSTS_MASK             0x00000040
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESUB_APB_ACTVSTS_SHIFT           2
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESUB_APB_ACTVSTS_MASK            0x00000004
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESUB_AXI_ACTVSTS_SHIFT           0
#define    ESUB_CLK_MGR_REG_ESUB_ACTCSTS_ESUB_AXI_ACTVSTS_MASK            0x00000001

#define ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_OFFSET                          0x0000004C
#define ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_RESERVED_MASK                   0x7FFFFEBA
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_EAV_TARGET_MASK_SHIFT        8
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_EAV_TARGET_MASK_MASK         0x00000100
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESW_TARGET_MASK_SHIFT        6
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESW_TARGET_MASK_MASK         0x00000040
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESW_SYS_TARGET_MASK_SHIFT    2
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESW_SYS_TARGET_MASK_MASK     0x00000004
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESUB_TARGET_MASK_SHIFT       0
#define    ESUB_CLK_MGR_REG_ESUB_TARGET_MASK_ESUB_TARGET_MASK_MASK        0x00000001

#define ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_OFFSET                          0x00000050
#define ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_RESERVED_MASK                   0x7FFFFEBA
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_EAV_ACTIVE_MASK_SHIFT        8
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_EAV_ACTIVE_MASK_MASK         0x00000100
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESW_ACTIVE_MASK_SHIFT        6
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESW_ACTIVE_MASK_MASK         0x00000040
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESW_SYS_ACTIVE_MASK_SHIFT    2
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESW_SYS_ACTIVE_MASK_MASK     0x00000004
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESUB_ACTIVE_MASK_SHIFT       0
#define    ESUB_CLK_MGR_REG_ESUB_ACTIVE_MASK_ESUB_ACTIVE_MASK_MASK        0x00000001

#define ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_OFFSET                  0x00000054
#define ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_TYPE                    UInt32
#define ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_RESERVED_MASK           0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_PRIV_ACCESS_MODE_SHIFT 31
#define    ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_SOFT_24REF_IS_IDLE_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_REF_24M_IS_IDLE_OVERRIDE_SOFT_24REF_IS_IDLE_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_OFFSET                          0x00000200
#define ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_RESERVED_MASK                   0x6FFEFCFC
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_VOLTAGE_LEVEL_SHIFT     28
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_VOLTAGE_LEVEL_MASK      0x10000000
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_STPRSTS_SHIFT       16
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_STPRSTS_MASK        0x00010000
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HYST_EN_SHIFT       9
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HYST_EN_MASK        0x00000200
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HYST_VAL_SHIFT      8
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HYST_VAL_MASK       0x00000100
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_HW_SW_GATING_SEL_MASK 0x00000002
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_CLK_EN_SHIFT        0
#define    ESUB_CLK_MGR_REG_ESUB_AXI_CLKGATE_ESUB_AXI_CLK_EN_MASK         0x00000001

#define ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_OFFSET                          0x00000204
#define ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_RESERVED_MASK                   0x7FFEFCFC
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_STPRSTS_SHIFT       16
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_STPRSTS_MASK        0x00010000
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HYST_EN_SHIFT       9
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HYST_EN_MASK        0x00000200
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HYST_VAL_SHIFT      8
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HYST_VAL_MASK       0x00000100
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HW_SW_GATING_SEL_SHIFT 1
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_CLK_EN_SHIFT        0
#define    ESUB_CLK_MGR_REG_ESUB_APB_CLKGATE_ESUB_APB_CLK_EN_MASK         0x00000001

#define ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_OFFSET                      0x00000210
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_TYPE                        UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_RESERVED_MASK               0x6FFEFCFC
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_VOLTAGE_LEVEL_SHIFT  28
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_VOLTAGE_LEVEL_MASK   0x10000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_STPRSTS_SHIFT 16
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_STPRSTS_MASK 0x00010000
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HYST_EN_SHIFT 9
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HYST_EN_MASK 0x00000200
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HYST_VAL_SHIFT 8
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HYST_VAL_MASK 0x00000100
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HW_SW_GATING_SEL_SHIFT 1
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_HW_SW_GATING_SEL_MASK 0x00000002
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_CLK_EN_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_CLKGATE_ESW_SYS_125M_CLK_EN_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_OFFSET                           0x00000214
#define ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_TYPE                             UInt32
#define ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_RESERVED_MASK                    0x7FFEFCFC
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_STPRSTS_SHIFT         16
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_STPRSTS_MASK          0x00010000
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HYST_EN_SHIFT         9
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HYST_EN_MASK          0x00000200
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HYST_VAL_SHIFT        8
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HYST_VAL_MASK         0x00000100
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HW_SW_GATING_SEL_SHIFT 1
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_HW_SW_GATING_SEL_MASK 0x00000002
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_CLK_EN_SHIFT          0
#define    ESUB_CLK_MGR_REG_ESW_25M_CLKGATE_ESW_25M_CLK_EN_MASK           0x00000001

#define ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_OFFSET                           0x00000218
#define ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_TYPE                             UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_RESERVED_MASK                    0x6FFEFCFC
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_VOLTAGE_LEVEL_SHIFT   28
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_VOLTAGE_LEVEL_MASK    0x10000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_STPRSTS_SHIFT         16
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_STPRSTS_MASK          0x00010000
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HYST_EN_SHIFT         9
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HYST_EN_MASK          0x00000200
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HYST_VAL_SHIFT        8
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HYST_VAL_MASK         0x00000100
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HW_SW_GATING_SEL_SHIFT 1
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_HW_SW_GATING_SEL_MASK 0x00000002
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_CLK_EN_SHIFT          0
#define    ESUB_CLK_MGR_REG_ESW_SYS_CLKGATE_ESW_SYS_CLK_EN_MASK           0x00000001

#define ESUB_CLK_MGR_REG_EAV_CLKGATE_OFFSET                               0x00000220
#define ESUB_CLK_MGR_REG_EAV_CLKGATE_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_EAV_CLKGATE_RESERVED_MASK                        0x6FAA0000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_VOLTAGE_LEVEL_SHIFT           28
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_VOLTAGE_LEVEL_MASK            0x10000000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_STPRSTS_SHIFT            22
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_STPRSTS_MASK             0x00400000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_STPRSTS_SHIFT             20
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_STPRSTS_MASK              0x00100000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_STPRSTS_SHIFT             18
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_STPRSTS_MASK              0x00040000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_STPRSTS_SHIFT             16
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_STPRSTS_MASK              0x00010000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HYST_EN_SHIFT            15
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HYST_EN_MASK             0x00008000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HYST_VAL_SHIFT           14
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HYST_VAL_MASK            0x00004000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HYST_EN_SHIFT             13
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HYST_EN_MASK              0x00002000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HYST_VAL_SHIFT            12
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HYST_VAL_MASK             0x00001000
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HYST_EN_SHIFT             11
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HYST_EN_MASK              0x00000800
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HYST_VAL_SHIFT            10
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HYST_VAL_MASK             0x00000400
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HYST_EN_SHIFT             9
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HYST_EN_MASK              0x00000200
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HYST_VAL_SHIFT            8
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HYST_VAL_MASK             0x00000100
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HW_SW_GATING_SEL_SHIFT   7
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_HW_SW_GATING_SEL_MASK    0x00000080
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_CLK_EN_SHIFT             6
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_125M_CLK_EN_MASK              0x00000040
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HW_SW_GATING_SEL_SHIFT    5
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_HW_SW_GATING_SEL_MASK     0x00000020
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_CLK_EN_SHIFT              4
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_SYS_CLK_EN_MASK               0x00000010
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HW_SW_GATING_SEL_SHIFT    3
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_HW_SW_GATING_SEL_MASK     0x00000008
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_CLK_EN_SHIFT              2
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_APB_CLK_EN_MASK               0x00000004
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HW_SW_GATING_SEL_SHIFT    1
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_HW_SW_GATING_SEL_MASK     0x00000002
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_CLK_EN_SHIFT              0
#define    ESUB_CLK_MGR_REG_EAV_CLKGATE_EAV_AXI_CLK_EN_MASK               0x00000001

#define ESUB_CLK_MGR_REG_ESW_SYS_DIV_OFFSET                               0x00000A04
#define ESUB_CLK_MGR_REG_ESW_SYS_DIV_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_DIV_RESERVED_MASK                        0x7FFFFCE2
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_PLL_SELECT_SHIFT          8
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_PLL_SELECT_MASK           0x00000300
#define       ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_PLL_SELECT_CMD_PLL_ESW_SYS_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_PLL_SELECT_CMD_VAR_208M_CLK 0x00000001
#define       ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000002
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_DIV_SHIFT                 2
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_DIV_MASK                  0x0000001C
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_TRIGGER_SHIFT             0
#define    ESUB_CLK_MGR_REG_ESW_SYS_DIV_ESW_SYS_TRIGGER_MASK              0x00000001

#define ESUB_CLK_MGR_REG_DFT_DIV_TRIG_OFFSET                              0x00000A40
#define ESUB_CLK_MGR_REG_DFT_DIV_TRIG_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_DFT_DIV_TRIG_RESERVED_MASK                       0x7FFFFF88
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN6_TRIGGER_SHIFT          6
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN6_TRIGGER_MASK           0x00000040
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN5_TRIGGER_SHIFT          5
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN5_TRIGGER_MASK           0x00000020
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN4_TRIGGER_SHIFT          4
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN4_TRIGGER_MASK           0x00000010
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_HUB_SS_TRIGGER_SHIFT         2
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_HUB_SS_TRIGGER_MASK          0x00000004
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN1_TRIGGER_SHIFT          1
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_SCAN1_TRIGGER_MASK           0x00000002
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_ESUB_SS_TRIGGER_SHIFT        0
#define    ESUB_CLK_MGR_REG_DFT_DIV_TRIG_DFT_ESUB_SS_TRIGGER_MASK         0x00000001

#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_OFFSET                             0x00000A44
#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_RESERVED_MASK                      0x7FFFFCFC
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_HUB_SS_PLL_SELECT_SHIFT     8
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_HUB_SS_PLL_SELECT_MASK      0x00000300
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_HUB_SS_PLL_SELECT_CMD_VAR_208M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_HUB_SS_PLL_SELECT_CMD_VAR_104M_CLK 0x00000001
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_HUB_SS_PLL_SELECT_CMD_DFT_156M_CLK 0x00000002
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_ESUB_SS_PLL_SELECT_SHIFT    0
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_ESUB_SS_PLL_SELECT_MASK     0x00000003
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_ESUB_SS_PLL_SELECT_CMD_VAR_208M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV1_DFT_ESUB_SS_PLL_SELECT_CMD_DFT_156M_CLK 0x00000001

#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_OFFSET                             0x00000A48
#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_RESERVED_MASK                      0x0CF88F8C
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_DIV_SHIFT             28
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_DIV_MASK              0x70000000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_PLL_SELECT_SHIFT      24
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_PLL_SELECT_MASK       0x03000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_PLL_SELECT_CMD_PLL_ESW_125M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN6_PLL_SELECT_CMD_DFT_100M_CLK 0x00000001
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_SHIFT      16
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_MASK       0x00070000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_CMD_VAR_208M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_CMD_VAR_78M_CLK 0x00000001
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_CMD_VAR_104M_CLK 0x00000002
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN5_PLL_SELECT_CMD_DFT_156M_CLK 0x00000003
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN4_DIV_SHIFT             12
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN4_DIV_MASK              0x00007000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_DIV_SHIFT             4
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_DIV_MASK              0x00000070
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_PLL_SELECT_SHIFT      0
#define    ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_PLL_SELECT_MASK       0x00000003
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_PLL_SELECT_CMD_VAR_208M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_DFT_SCAN_DIV2_DFT_SCAN1_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001

#define ESUB_CLK_MGR_REG_PLLE_POST_RESETB_OFFSET                          0x00000C00
#define ESUB_CLK_MGR_REG_PLLE_POST_RESETB_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_PLLE_POST_RESETB_RESERVED_MASK                   0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_PLLE_POST_RESETB_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_PLLE_POST_RESETB_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_POST_RESETB_I_POST_RESETB_PLLE_SHIFT     0
#define    ESUB_CLK_MGR_REG_PLLE_POST_RESETB_I_POST_RESETB_PLLE_MASK      0x00000001

#define ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_OFFSET                            0x00000C04
#define ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_RESERVED_MASK                     0x7FFFFF80
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_I_BYP_EN_CH_PLLE_SHIFT         1
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_I_BYP_EN_CH_PLLE_MASK          0x0000007E
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_I_8PHASE_EN_PLLE_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLE_8PHASE_EN_I_8PHASE_EN_PLLE_MASK          0x00000001

#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_OFFSET                     0x00000C08
#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_TYPE                       UInt32
#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_RESERVED_MASK              0x7FFFF800
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_PRIV_ACCESS_MODE_SHIFT  31
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_PRIV_ACCESS_MODE_MASK   0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_I_CH0_MDIV_PLLE_SHIFT   3
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_I_CH0_MDIV_PLLE_MASK    0x000007F8
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_I_CH0_MDEL_PLLE_SHIFT   0
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_CH0_I_CH0_MDEL_PLLE_MASK    0x00000007

#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_OFFSET                0x00000C0C
#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_TYPE                  UInt32
#define ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_RESERVED_MASK         0x7FFFF800
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_PRIV_ACCESS_MODE_SHIFT 31
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_PRIV_ACCESS_MODE_MASK 0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_I_CH1_MDIV_PLLE_SHIFT 3
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_I_CH1_MDIV_PLLE_MASK 0x000007F8
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_I_CH1_MDEL_PLLE_SHIFT 0
#define    ESUB_CLK_MGR_REG_PLLE_MDIV_ESW_SYS_125M_CH1_I_CH1_MDEL_PLLE_MASK 0x00000007

#define ESUB_CLK_MGR_REG_PLLE_CTRL0_OFFSET                                0x00000C20
#define ESUB_CLK_MGR_REG_PLLE_CTRL0_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLE_CTRL0_RESERVED_MASK                         0x7FF80000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_HOLD_CH_PLLE_SHIFT               13
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_HOLD_CH_PLLE_MASK                0x0007E000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_FB_PHASE_EN_PLLE_SHIFT           12
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_FB_PHASE_EN_PLLE_MASK            0x00001000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_FB_OFFSET_PLLE_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLE_CTRL0_I_FB_OFFSET_PLLE_MASK              0x00000FFF

#define ESUB_CLK_MGR_REG_PLLE_KA_OFFSET                                   0x00000C24
#define ESUB_CLK_MGR_REG_PLLE_KA_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLE_KA_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLE_KA_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLE_KA_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_KA_I_KA_PLLE_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLE_KA_I_KA_PLLE_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_OFFSET                           0x00000C28
#define ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_TYPE                             UInt32
#define ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_RESERVED_MASK                    0x7FFFFE07
#define    ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_PRIV_ACCESS_MODE_SHIFT        31
#define    ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_PRIV_ACCESS_MODE_MASK         0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_I_LOAD_EN_CH_PLLE_SHIFT       3
#define    ESUB_CLK_MGR_REG_PLLE_LOAD_CH_EN_I_LOAD_EN_CH_PLLE_MASK        0x000001F8

#define ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_OFFSET                            0x00000C2C
#define ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_RESERVED_MASK                     0x7FF00000
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_I_NDIV_FRAC_PLLE_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_FRAC_I_NDIV_FRAC_PLLE_MASK          0x000FFFFF

#define ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_OFFSET                            0x00000C30
#define ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_RESERVED_MASK                     0x7FFFE000
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_I_PDIV_PLLE_SHIFT              10
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_I_PDIV_PLLE_MASK               0x00001C00
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_I_NDIV_INT_PLLE_SHIFT          0
#define    ESUB_CLK_MGR_REG_PLLE_NDIV_PDIV_I_NDIV_INT_PLLE_MASK           0x000003FF

#define ESUB_CLK_MGR_REG_PLLE_CTRL_OFFSET                                 0x00000C34
#define ESUB_CLK_MGR_REG_PLLE_CTRL_TYPE                                   UInt32
#define ESUB_CLK_MGR_REG_PLLE_CTRL_RESERVED_MASK                          0x70000000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL_PRIV_ACCESS_MODE_SHIFT              31
#define    ESUB_CLK_MGR_REG_PLLE_CTRL_PRIV_ACCESS_MODE_MASK               0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_CTRL_I_PLL_CNTRL_PLLE_SHIFT              0
#define    ESUB_CLK_MGR_REG_PLLE_CTRL_I_PLL_CNTRL_PLLE_MASK               0x0FFFFFFF

#define ESUB_CLK_MGR_REG_PLL_LOCK_OFFSET                                  0x00000C38
#define ESUB_CLK_MGR_REG_PLL_LOCK_TYPE                                    UInt32
#define ESUB_CLK_MGR_REG_PLL_LOCK_RESERVED_MASK                           0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PRIV_ACCESS_MODE_SHIFT               31
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PRIV_ACCESS_MODE_MASK                0x80000000
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLG_SHIFT                  2
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLG_MASK                   0x00000004
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLF_SHIFT                  1
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLF_MASK                   0x00000002
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLE_SHIFT                  0
#define    ESUB_CLK_MGR_REG_PLL_LOCK_PLL_LOCK_PLLE_MASK                   0x00000001

#define ESUB_CLK_MGR_REG_PLLE_ENABLEB_OFFSET                              0x00000C3C
#define ESUB_CLK_MGR_REG_PLLE_ENABLEB_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_PLLE_ENABLEB_RESERVED_MASK                       0x7FFFFFC0
#define    ESUB_CLK_MGR_REG_PLLE_ENABLEB_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_PLLE_ENABLEB_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_ENABLEB_I_ENABLEB_PLLE_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLE_ENABLEB_I_ENABLEB_PLLE_MASK              0x0000003F

#define ESUB_CLK_MGR_REG_PLLE_KI_OFFSET                                   0x00000C40
#define ESUB_CLK_MGR_REG_PLLE_KI_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLE_KI_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLE_KI_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLE_KI_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_KI_I_KI_PLLE_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLE_KI_I_KI_PLLE_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLE_KP_OFFSET                                   0x00000C44
#define ESUB_CLK_MGR_REG_PLLE_KP_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLE_KP_RESERVED_MASK                            0x7FFFFF87
#define    ESUB_CLK_MGR_REG_PLLE_KP_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLE_KP_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_KP_I_KP_PLLE_SHIFT                       3
#define    ESUB_CLK_MGR_REG_PLLE_KP_I_KP_PLLE_MASK                        0x00000078

#define ESUB_CLK_MGR_REG_PLLE_PWRDN_OFFSET                                0x00000C48
#define ESUB_CLK_MGR_REG_PLLE_PWRDN_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLE_PWRDN_RESERVED_MASK                         0x7FFFFF7F
#define    ESUB_CLK_MGR_REG_PLLE_PWRDN_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLE_PWRDN_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_PWRDN_I_PLL_PWRDWN_PLLE_SHIFT            7
#define    ESUB_CLK_MGR_REG_PLLE_PWRDN_I_PLL_PWRDWN_PLLE_MASK             0x00000080

#define ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_OFFSET                            0x00000C4C
#define ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_RESERVED_MASK                     0x7C000000
#define    ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_I_SSC_LIMIT_PLLE_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLE_SSC_LIMIT_I_SSC_LIMIT_PLLE_MASK          0x03FFFFFF

#define ESUB_CLK_MGR_REG_PLLE_SSC_MODE_OFFSET                             0x00000C50
#define ESUB_CLK_MGR_REG_PLLE_SSC_MODE_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLE_SSC_MODE_RESERVED_MASK                      0x7BFFFFFF
#define    ESUB_CLK_MGR_REG_PLLE_SSC_MODE_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLE_SSC_MODE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_SSC_MODE_I_PLL_SSC_MODE_PLLE_SHIFT       26
#define    ESUB_CLK_MGR_REG_PLLE_SSC_MODE_I_PLL_SSC_MODE_PLLE_MASK        0x04000000

#define ESUB_CLK_MGR_REG_PLLE_SSC_STEP_OFFSET                             0x00000C54
#define ESUB_CLK_MGR_REG_PLLE_SSC_STEP_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLE_SSC_STEP_RESERVED_MASK                      0x7FFF0000
#define    ESUB_CLK_MGR_REG_PLLE_SSC_STEP_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLE_SSC_STEP_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_SSC_STEP_I_PLL_SSC_STEP_PLLE_SHIFT       0
#define    ESUB_CLK_MGR_REG_PLLE_SSC_STEP_I_PLL_SSC_STEP_PLLE_MASK        0x0000FFFF

#define ESUB_CLK_MGR_REG_PLLE_RESETB_OFFSET                               0x00000C58
#define ESUB_CLK_MGR_REG_PLLE_RESETB_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_PLLE_RESETB_RESERVED_MASK                        0x7FFEFFFF
#define    ESUB_CLK_MGR_REG_PLLE_RESETB_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_PLLE_RESETB_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_RESETB_I_PLL_RESETB_PLLE_SHIFT           16
#define    ESUB_CLK_MGR_REG_PLLE_RESETB_I_PLL_RESETB_PLLE_MASK            0x00010000

#define ESUB_CLK_MGR_REG_PLLE_STAT_OUT_OFFSET                             0x00000C5C
#define ESUB_CLK_MGR_REG_PLLE_STAT_OUT_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLE_STAT_OUT_RESERVED_MASK                      0x7FFFF000
#define    ESUB_CLK_MGR_REG_PLLE_STAT_OUT_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLE_STAT_OUT_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLE_STAT_OUT_PLL_STAT_OUT_PLLE_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLE_STAT_OUT_PLL_STAT_OUT_PLLE_MASK          0x00000FFF

#define ESUB_CLK_MGR_REG_PLLF_POST_RESETB_OFFSET                          0x00000C60
#define ESUB_CLK_MGR_REG_PLLF_POST_RESETB_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_PLLF_POST_RESETB_RESERVED_MASK                   0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_PLLF_POST_RESETB_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_PLLF_POST_RESETB_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_POST_RESETB_I_POST_RESETB_PLLF_SHIFT     0
#define    ESUB_CLK_MGR_REG_PLLF_POST_RESETB_I_POST_RESETB_PLLF_MASK      0x00000001

#define ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_OFFSET                            0x00000C64
#define ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_RESERVED_MASK                     0x7FFFFF80
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_I_BYP_EN_CH_PLLF_SHIFT         1
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_I_BYP_EN_CH_PLLF_MASK          0x0000007E
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_I_8PHASE_EN_PLLF_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLF_8PHASE_EN_I_8PHASE_EN_PLLF_MASK          0x00000001

#define ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_OFFSET                             0x00000C68
#define ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_RESERVED_MASK                      0x7FFFF800
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_I_CH0_MDIV_PLLF_SHIFT           3
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_I_CH0_MDIV_PLLF_MASK            0x000007F8
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_I_CH0_MDEL_PLLF_SHIFT           0
#define    ESUB_CLK_MGR_REG_PLLF_MDIV_CH0_I_CH0_MDEL_PLLF_MASK            0x00000007

#define ESUB_CLK_MGR_REG_PLLF_CTRL0_OFFSET                                0x00000C80
#define ESUB_CLK_MGR_REG_PLLF_CTRL0_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLF_CTRL0_RESERVED_MASK                         0x7FF80000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_HOLD_CH_PLLF_SHIFT               13
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_HOLD_CH_PLLF_MASK                0x0007E000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_FB_PHASE_EN_PLLF_SHIFT           12
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_FB_PHASE_EN_PLLF_MASK            0x00001000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_FB_OFFSET_PLLF_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLF_CTRL0_I_FB_OFFSET_PLLF_MASK              0x00000FFF

#define ESUB_CLK_MGR_REG_PLLF_KA_OFFSET                                   0x00000C84
#define ESUB_CLK_MGR_REG_PLLF_KA_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLF_KA_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLF_KA_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLF_KA_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_KA_I_KA_PLLF_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLF_KA_I_KA_PLLF_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_OFFSET                           0x00000C88
#define ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_TYPE                             UInt32
#define ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_RESERVED_MASK                    0x7FFFFE07
#define    ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_PRIV_ACCESS_MODE_SHIFT        31
#define    ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_PRIV_ACCESS_MODE_MASK         0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_I_LOAD_EN_CH_PLLF_SHIFT       3
#define    ESUB_CLK_MGR_REG_PLLF_LOAD_CH_EN_I_LOAD_EN_CH_PLLF_MASK        0x000001F8

#define ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_OFFSET                            0x00000C8C
#define ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_RESERVED_MASK                     0x7FF00000
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_I_NDIV_FRAC_PLLF_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_FRAC_I_NDIV_FRAC_PLLF_MASK          0x000FFFFF

#define ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_OFFSET                            0x00000C90
#define ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_RESERVED_MASK                     0x7FFFE000
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_I_PDIV_PLLF_SHIFT              10
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_I_PDIV_PLLF_MASK               0x00001C00
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_I_NDIV_INT_PLLF_SHIFT          0
#define    ESUB_CLK_MGR_REG_PLLF_NDIV_PDIV_I_NDIV_INT_PLLF_MASK           0x000003FF

#define ESUB_CLK_MGR_REG_PLLF_CTRL_OFFSET                                 0x00000C94
#define ESUB_CLK_MGR_REG_PLLF_CTRL_TYPE                                   UInt32
#define ESUB_CLK_MGR_REG_PLLF_CTRL_RESERVED_MASK                          0x70000000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL_PRIV_ACCESS_MODE_SHIFT              31
#define    ESUB_CLK_MGR_REG_PLLF_CTRL_PRIV_ACCESS_MODE_MASK               0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_CTRL_I_PLL_CNTRL_PLLF_SHIFT              0
#define    ESUB_CLK_MGR_REG_PLLF_CTRL_I_PLL_CNTRL_PLLF_MASK               0x0FFFFFFF

#define ESUB_CLK_MGR_REG_PLLF_ENABLEB_OFFSET                              0x00000C9C
#define ESUB_CLK_MGR_REG_PLLF_ENABLEB_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_PLLF_ENABLEB_RESERVED_MASK                       0x7FFFFFC0
#define    ESUB_CLK_MGR_REG_PLLF_ENABLEB_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_PLLF_ENABLEB_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_ENABLEB_I_ENABLEB_PLLF_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLF_ENABLEB_I_ENABLEB_PLLF_MASK              0x0000003F

#define ESUB_CLK_MGR_REG_PLLF_KI_OFFSET                                   0x00000CA0
#define ESUB_CLK_MGR_REG_PLLF_KI_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLF_KI_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLF_KI_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLF_KI_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_KI_I_KI_PLLF_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLF_KI_I_KI_PLLF_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLF_KP_OFFSET                                   0x00000CA4
#define ESUB_CLK_MGR_REG_PLLF_KP_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLF_KP_RESERVED_MASK                            0x7FFFFF87
#define    ESUB_CLK_MGR_REG_PLLF_KP_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLF_KP_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_KP_I_KP_PLLF_SHIFT                       3
#define    ESUB_CLK_MGR_REG_PLLF_KP_I_KP_PLLF_MASK                        0x00000078

#define ESUB_CLK_MGR_REG_PLLF_PWRDN_OFFSET                                0x00000CA8
#define ESUB_CLK_MGR_REG_PLLF_PWRDN_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLF_PWRDN_RESERVED_MASK                         0x7FFFFF7F
#define    ESUB_CLK_MGR_REG_PLLF_PWRDN_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLF_PWRDN_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_PWRDN_I_PLL_PWRDWN_PLLF_SHIFT            7
#define    ESUB_CLK_MGR_REG_PLLF_PWRDN_I_PLL_PWRDWN_PLLF_MASK             0x00000080

#define ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_OFFSET                            0x00000CAC
#define ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_RESERVED_MASK                     0x7C000000
#define    ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_I_SSC_LIMIT_PLLF_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLF_SSC_LIMIT_I_SSC_LIMIT_PLLF_MASK          0x03FFFFFF

#define ESUB_CLK_MGR_REG_PLLF_SSC_MODE_OFFSET                             0x00000CB0
#define ESUB_CLK_MGR_REG_PLLF_SSC_MODE_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLF_SSC_MODE_RESERVED_MASK                      0x7BFFFFFF
#define    ESUB_CLK_MGR_REG_PLLF_SSC_MODE_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLF_SSC_MODE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_SSC_MODE_I_PLL_SSC_MODE_PLLF_SHIFT       26
#define    ESUB_CLK_MGR_REG_PLLF_SSC_MODE_I_PLL_SSC_MODE_PLLF_MASK        0x04000000

#define ESUB_CLK_MGR_REG_PLLF_SSC_STEP_OFFSET                             0x00000CB4
#define ESUB_CLK_MGR_REG_PLLF_SSC_STEP_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLF_SSC_STEP_RESERVED_MASK                      0x7FFF0000
#define    ESUB_CLK_MGR_REG_PLLF_SSC_STEP_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLF_SSC_STEP_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_SSC_STEP_I_PLL_SSC_STEP_PLLF_SHIFT       0
#define    ESUB_CLK_MGR_REG_PLLF_SSC_STEP_I_PLL_SSC_STEP_PLLF_MASK        0x0000FFFF

#define ESUB_CLK_MGR_REG_PLLF_RESETB_OFFSET                               0x00000CB8
#define ESUB_CLK_MGR_REG_PLLF_RESETB_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_PLLF_RESETB_RESERVED_MASK                        0x7FFEFFFF
#define    ESUB_CLK_MGR_REG_PLLF_RESETB_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_PLLF_RESETB_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_RESETB_I_PLL_RESETB_PLLF_SHIFT           16
#define    ESUB_CLK_MGR_REG_PLLF_RESETB_I_PLL_RESETB_PLLF_MASK            0x00010000

#define ESUB_CLK_MGR_REG_PLLF_STAT_OUT_OFFSET                             0x00000CBC
#define ESUB_CLK_MGR_REG_PLLF_STAT_OUT_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLF_STAT_OUT_RESERVED_MASK                      0x7FFFF000
#define    ESUB_CLK_MGR_REG_PLLF_STAT_OUT_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLF_STAT_OUT_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLF_STAT_OUT_PLL_STAT_OUT_PLLF_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLF_STAT_OUT_PLL_STAT_OUT_PLLF_MASK          0x00000FFF

#define ESUB_CLK_MGR_REG_PLLG_POST_RESETB_OFFSET                          0x00000CC0
#define ESUB_CLK_MGR_REG_PLLG_POST_RESETB_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_PLLG_POST_RESETB_RESERVED_MASK                   0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_PLLG_POST_RESETB_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_PLLG_POST_RESETB_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_POST_RESETB_I_POST_RESETB_PLLG_SHIFT     0
#define    ESUB_CLK_MGR_REG_PLLG_POST_RESETB_I_POST_RESETB_PLLG_MASK      0x00000001

#define ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_OFFSET                            0x00000CC4
#define ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_RESERVED_MASK                     0x7FFFFF80
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_I_BYP_EN_CH_PLLG_SHIFT         1
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_I_BYP_EN_CH_PLLG_MASK          0x0000007E
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_I_8PHASE_EN_PLLG_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLG_8PHASE_EN_I_8PHASE_EN_PLLG_MASK          0x00000001

#define ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_OFFSET                             0x00000CC8
#define ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_RESERVED_MASK                      0x7FFFF800
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_I_CH0_MDIV_PLLG_SHIFT           3
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_I_CH0_MDIV_PLLG_MASK            0x000007F8
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_I_CH0_MDEL_PLLG_SHIFT           0
#define    ESUB_CLK_MGR_REG_PLLG_MDIV_CH0_I_CH0_MDEL_PLLG_MASK            0x00000007

#define ESUB_CLK_MGR_REG_PLLG_CTRL0_OFFSET                                0x00000CE0
#define ESUB_CLK_MGR_REG_PLLG_CTRL0_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLG_CTRL0_RESERVED_MASK                         0x7FF80000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_HOLD_CH_PLLG_SHIFT               13
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_HOLD_CH_PLLG_MASK                0x0007E000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_FB_PHASE_EN_PLLG_SHIFT           12
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_FB_PHASE_EN_PLLG_MASK            0x00001000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_FB_OFFSET_PLLG_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLG_CTRL0_I_FB_OFFSET_PLLG_MASK              0x00000FFF

#define ESUB_CLK_MGR_REG_PLLG_KA_OFFSET                                   0x00000CE4
#define ESUB_CLK_MGR_REG_PLLG_KA_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLG_KA_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLG_KA_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLG_KA_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_KA_I_KA_PLLG_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLG_KA_I_KA_PLLG_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_OFFSET                           0x00000CE8
#define ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_TYPE                             UInt32
#define ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_RESERVED_MASK                    0x7FFFFE07
#define    ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_PRIV_ACCESS_MODE_SHIFT        31
#define    ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_PRIV_ACCESS_MODE_MASK         0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_I_LOAD_EN_CH_PLLG_SHIFT       3
#define    ESUB_CLK_MGR_REG_PLLG_LOAD_CH_EN_I_LOAD_EN_CH_PLLG_MASK        0x000001F8

#define ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_OFFSET                            0x00000CEC
#define ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_RESERVED_MASK                     0x7FF00000
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_I_NDIV_FRAC_PLLG_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_FRAC_I_NDIV_FRAC_PLLG_MASK          0x000FFFFF

#define ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_OFFSET                            0x00000CF0
#define ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_RESERVED_MASK                     0x7FFFE000
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_I_PDIV_PLLG_SHIFT              10
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_I_PDIV_PLLG_MASK               0x00001C00
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_I_NDIV_INT_PLLG_SHIFT          0
#define    ESUB_CLK_MGR_REG_PLLG_NDIV_PDIV_I_NDIV_INT_PLLG_MASK           0x000003FF

#define ESUB_CLK_MGR_REG_PLLG_CTRL_OFFSET                                 0x00000CF4
#define ESUB_CLK_MGR_REG_PLLG_CTRL_TYPE                                   UInt32
#define ESUB_CLK_MGR_REG_PLLG_CTRL_RESERVED_MASK                          0x70000000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL_PRIV_ACCESS_MODE_SHIFT              31
#define    ESUB_CLK_MGR_REG_PLLG_CTRL_PRIV_ACCESS_MODE_MASK               0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_CTRL_I_PLL_CNTRL_PLLG_SHIFT              0
#define    ESUB_CLK_MGR_REG_PLLG_CTRL_I_PLL_CNTRL_PLLG_MASK               0x0FFFFFFF

#define ESUB_CLK_MGR_REG_PLLG_ENABLEB_OFFSET                              0x00000CFC
#define ESUB_CLK_MGR_REG_PLLG_ENABLEB_TYPE                                UInt32
#define ESUB_CLK_MGR_REG_PLLG_ENABLEB_RESERVED_MASK                       0x7FFFFFC0
#define    ESUB_CLK_MGR_REG_PLLG_ENABLEB_PRIV_ACCESS_MODE_SHIFT           31
#define    ESUB_CLK_MGR_REG_PLLG_ENABLEB_PRIV_ACCESS_MODE_MASK            0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_ENABLEB_I_ENABLEB_PLLG_SHIFT             0
#define    ESUB_CLK_MGR_REG_PLLG_ENABLEB_I_ENABLEB_PLLG_MASK              0x0000003F

#define ESUB_CLK_MGR_REG_PLLG_KI_OFFSET                                   0x00000D00
#define ESUB_CLK_MGR_REG_PLLG_KI_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLG_KI_RESERVED_MASK                            0x7FFFFFF8
#define    ESUB_CLK_MGR_REG_PLLG_KI_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLG_KI_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_KI_I_KI_PLLG_SHIFT                       0
#define    ESUB_CLK_MGR_REG_PLLG_KI_I_KI_PLLG_MASK                        0x00000007

#define ESUB_CLK_MGR_REG_PLLG_KP_OFFSET                                   0x00000D04
#define ESUB_CLK_MGR_REG_PLLG_KP_TYPE                                     UInt32
#define ESUB_CLK_MGR_REG_PLLG_KP_RESERVED_MASK                            0x7FFFFF87
#define    ESUB_CLK_MGR_REG_PLLG_KP_PRIV_ACCESS_MODE_SHIFT                31
#define    ESUB_CLK_MGR_REG_PLLG_KP_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_KP_I_KP_PLLG_SHIFT                       3
#define    ESUB_CLK_MGR_REG_PLLG_KP_I_KP_PLLG_MASK                        0x00000078

#define ESUB_CLK_MGR_REG_PLLG_PWRDN_OFFSET                                0x00000D08
#define ESUB_CLK_MGR_REG_PLLG_PWRDN_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_PLLG_PWRDN_RESERVED_MASK                         0x7FFFFF7F
#define    ESUB_CLK_MGR_REG_PLLG_PWRDN_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_PLLG_PWRDN_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_PWRDN_I_PLL_PWRDWN_PLLG_SHIFT            7
#define    ESUB_CLK_MGR_REG_PLLG_PWRDN_I_PLL_PWRDWN_PLLG_MASK             0x00000080

#define ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_OFFSET                            0x00000D0C
#define ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_RESERVED_MASK                     0x7C000000
#define    ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_I_SSC_LIMIT_PLLG_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLG_SSC_LIMIT_I_SSC_LIMIT_PLLG_MASK          0x03FFFFFF

#define ESUB_CLK_MGR_REG_PLLG_SSC_MODE_OFFSET                             0x00000D10
#define ESUB_CLK_MGR_REG_PLLG_SSC_MODE_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLG_SSC_MODE_RESERVED_MASK                      0x7BFFFFFF
#define    ESUB_CLK_MGR_REG_PLLG_SSC_MODE_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLG_SSC_MODE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_SSC_MODE_I_PLL_SSC_MODE_PLLG_SHIFT       26
#define    ESUB_CLK_MGR_REG_PLLG_SSC_MODE_I_PLL_SSC_MODE_PLLG_MASK        0x04000000

#define ESUB_CLK_MGR_REG_PLLG_SSC_STEP_OFFSET                             0x00000D14
#define ESUB_CLK_MGR_REG_PLLG_SSC_STEP_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLG_SSC_STEP_RESERVED_MASK                      0x7FFF0000
#define    ESUB_CLK_MGR_REG_PLLG_SSC_STEP_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLG_SSC_STEP_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_SSC_STEP_I_PLL_SSC_STEP_PLLG_SHIFT       0
#define    ESUB_CLK_MGR_REG_PLLG_SSC_STEP_I_PLL_SSC_STEP_PLLG_MASK        0x0000FFFF

#define ESUB_CLK_MGR_REG_PLLG_RESETB_OFFSET                               0x00000D18
#define ESUB_CLK_MGR_REG_PLLG_RESETB_TYPE                                 UInt32
#define ESUB_CLK_MGR_REG_PLLG_RESETB_RESERVED_MASK                        0x7FFEFFFF
#define    ESUB_CLK_MGR_REG_PLLG_RESETB_PRIV_ACCESS_MODE_SHIFT            31
#define    ESUB_CLK_MGR_REG_PLLG_RESETB_PRIV_ACCESS_MODE_MASK             0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_RESETB_I_PLL_RESETB_PLLG_SHIFT           16
#define    ESUB_CLK_MGR_REG_PLLG_RESETB_I_PLL_RESETB_PLLG_MASK            0x00010000

#define ESUB_CLK_MGR_REG_PLLG_STAT_OUT_OFFSET                             0x00000D1C
#define ESUB_CLK_MGR_REG_PLLG_STAT_OUT_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_PLLG_STAT_OUT_RESERVED_MASK                      0x7FFFF000
#define    ESUB_CLK_MGR_REG_PLLG_STAT_OUT_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_PLLG_STAT_OUT_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_PLLG_STAT_OUT_PLL_STAT_OUT_PLLG_SHIFT         0
#define    ESUB_CLK_MGR_REG_PLLG_STAT_OUT_PLL_STAT_OUT_PLLG_MASK          0x00000FFF

#define ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_OFFSET                        0x00000E04
#define ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_TYPE                          UInt32
#define ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_RESERVED_MASK                 0x7FFFFFA2
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_PRIV_ACCESS_MODE_SHIFT     31
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_PRIV_ACCESS_MODE_MASK      0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_OVERRIDE_SHIFT 6
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_OVERRIDE_MASK 0x00000040
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_SHIFT  2
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_MASK   0x0000001C
#define       ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_CMD_VAR_208M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000001
#define       ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_CMD_VAR_156M_CLK 0x00000002
#define       ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_PLL_SELECT_CMD_VAR_78M_CLK 0x00000003
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_TRIGGER_SHIFT     0
#define    ESUB_CLK_MGR_REG_ESUB_AXI_DIV_DEBUG_ESUB_AXI_TRIGGER_MASK      0x00000001

#define ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_OFFSET                     0x00000E08
#define ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_TYPE                       UInt32
#define ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_RESERVED_MASK              0x7FFFFFFA
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT  31
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK   0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_ESUB_AXI_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_ESUB_AXI_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_ESUB_AXI_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESUB_AXI_POLICY_DEBUG_ESUB_AXI_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_OFFSET                     0x00000E0C
#define ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_TYPE                       UInt32
#define ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_RESERVED_MASK              0x7FFFFFFA
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT  31
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK   0x80000000
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_ESUB_APB_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_ESUB_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_ESUB_APB_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESUB_APB_POLICY_DEBUG_ESUB_APB_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_OFFSET                      0x00000E14
#define ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_TYPE                        UInt32
#define ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_RESERVED_MASK               0x7FFFFFFA
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT   31
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK    0x80000000
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_ESW_25M_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_ESW_25M_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_ESW_25M_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESW_25M_POLICY_DEBUG_ESW_25M_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_OFFSET                      0x00000E18
#define ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_TYPE                        UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_RESERVED_MASK               0x7FFFFFFA
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT   31
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK    0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_ESW_SYS_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_ESW_SYS_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_ESW_SYS_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESW_SYS_POLICY_DEBUG_ESW_SYS_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_OFFSET                 0x00000E1C
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_TYPE                   UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_RESERVED_MASK          0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_PRIV_ACCESS_MODE_SHIFT 31
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_PRIV_ACCESS_MODE_MASK 0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_ESW_SYS_125M_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_POLICY_DEBUG_ESW_SYS_125M_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_OFFSET                       0x00000E40
#define ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_TYPE                         UInt32
#define ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_RESERVED_MASK                0x7FFFFFFB
#define    ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_PRIV_ACCESS_MODE_SHIFT    31
#define    ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_ESW_SYS_125M_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_VPM_POLICY_OVERRIDE_ESW_SYS_125M_POLICY_OVERRIDE_VALUE_MASK 0x00000004

#define ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_OFFSET                       0x00000E44
#define ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_TYPE                         UInt32
#define ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_RESERVED_MASK                0x7FFEAAEA
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_PRIV_ACCESS_MODE_SHIFT    31
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_125M_POLICY_OVERRIDE_VALUE_SHIFT 16
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_125M_POLICY_OVERRIDE_VALUE_MASK 0x00010000
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_125M_POLICY_OVERRIDE_SHIFT 14
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_125M_POLICY_OVERRIDE_MASK 0x00004000
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_SYS_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_SYS_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_SYS_POLICY_OVERRIDE_SHIFT 10
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_SYS_POLICY_OVERRIDE_MASK 0x00000400
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_APB_POLICY_OVERRIDE_VALUE_SHIFT 8
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000100
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_APB_POLICY_OVERRIDE_SHIFT 4
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_APB_POLICY_OVERRIDE_MASK 0x00000010
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_AXI_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_AXI_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_AXI_POLICY_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_EAV_POLICY_OVERRIDE_EAV_AXI_POLICY_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_CLKMON_OFFSET                                    0x00000E64
#define ESUB_CLK_MGR_REG_CLKMON_TYPE                                      UInt32
#define ESUB_CLK_MGR_REG_CLKMON_RESERVED_MASK                             0x7FFFFC00
#define    ESUB_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT                 31
#define    ESUB_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    ESUB_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                       8
#define    ESUB_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                        0x00000300
#define    ESUB_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                       0
#define    ESUB_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                        0x000000FF

#define ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_OFFSET                    0x00000E6C
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_TYPE                      UInt32
#define ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_RESERVED_MASK             0x7FFFFFF2
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_PRIV_ACCESS_MODE_SHIFT 31
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_PRIV_ACCESS_MODE_MASK  0x80000000
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_PLL_SELECT_SHIFT 2
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_PLL_SELECT_MASK 0x0000000C
#define       ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_PLL_SELECT_CMD_PLL_ESW_125M_CLK 0x00000000
#define       ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_PLL_SELECT_CMD_ESW_GPIO_125M_CLK 0x00000001
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_TRIGGER_SHIFT 0
#define    ESUB_CLK_MGR_REG_ESW_SYS_125M_DIV_DEBUG_ESW_SYS_125M_TRIGGER_MASK 0x00000001

#define ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_OFFSET                            0x00000E74
#define ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_TYPE                              UInt32
#define ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_RESERVED_MASK                     0x7FFFFFFE
#define    ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_PRIV_ACCESS_MODE_SHIFT         31
#define    ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_PRIV_ACCESS_MODE_MASK          0x80000000
#define    ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_ESUB_AXI_TRIGGER_OVERRIDE_SHIFT 0
#define    ESUB_CLK_MGR_REG_AXI_TRIG_DEBUG_ESUB_AXI_TRIGGER_OVERRIDE_MASK 0x00000001

#define ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_OFFSET                          0x00000E78
#define ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_TYPE                            UInt32
#define ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_RESERVED_MASK                   0x7FFCFE00
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_PRIV_ACCESS_MODE_SHIFT       31
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_PRIV_ACCESS_MODE_MASK        0x80000000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_156M_ACTVSTS_SHIFT       17
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_156M_ACTVSTS_MASK        0x00020000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_100M_ACTVSTS_SHIFT       16
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_100M_ACTVSTS_MASK        0x00010000
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN8_ACTVSTS_SHIFT      8
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN8_ACTVSTS_MASK       0x00000100
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN7_ACTVSTS_SHIFT      7
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN7_ACTVSTS_MASK       0x00000080
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN6_ACTVSTS_SHIFT      6
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN6_ACTVSTS_MASK       0x00000040
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN5_ACTVSTS_SHIFT      5
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN5_ACTVSTS_MASK       0x00000020
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN4_ACTVSTS_SHIFT      4
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN4_ACTVSTS_MASK       0x00000010
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN3_ACTVSTS_SHIFT      3
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN3_ACTVSTS_MASK       0x00000008
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN2_ACTVSTS_SHIFT      2
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN2_ACTVSTS_MASK       0x00000004
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN1_ACTVSTS_SHIFT      1
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN1_ACTVSTS_MASK       0x00000002
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN0_ACTVSTS_SHIFT      0
#define    ESUB_CLK_MGR_REG_DFT_SCAN_ACTVSTS_DFT_SCAN0_ACTVSTS_MASK       0x00000001

#define ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_OFFSET                             0x00000EA0
#define ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_TYPE                               UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_RESERVED_MASK                      0x7FFFFEE0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_PRIV_ACCESS_MODE_SHIFT          31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_PRIV_ACCESS_MODE_MASK           0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_BUS_ERR_MASK_CTL_SHIFT          8
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_BUS_ERR_MASK_CTL_MASK           0x00000100
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_DEBUG_BUS_SEL_SHIFT             0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_CTL_DEBUG_BUS_SEL_MASK              0x0000001F

#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_OFFSET                         0x00000EA4
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_TYPE                           UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_RESERVED_MASK                  0x70000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_PRIV_ACCESS_MODE_SHIFT      31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_PRIV_ACCESS_MODE_MASK       0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_DEBUG_BUS_STATUS0_SHIFT     0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS0_DEBUG_BUS_STATUS0_MASK      0x0FFFFFFF

#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_OFFSET                         0x00000EA8
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_TYPE                           UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_RESERVED_MASK                  0x70000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_PRIV_ACCESS_MODE_SHIFT      31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_PRIV_ACCESS_MODE_MASK       0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_DEBUG_BUS_STATUS1_SHIFT     0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS1_DEBUG_BUS_STATUS1_MASK      0x0FFFFFFF

#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_OFFSET                         0x00000EAC
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_TYPE                           UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_RESERVED_MASK                  0x70000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_PRIV_ACCESS_MODE_SHIFT      31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_PRIV_ACCESS_MODE_MASK       0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_DEBUG_BUS_STATUS2_SHIFT     0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS2_DEBUG_BUS_STATUS2_MASK      0x0FFFFFFF

#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_OFFSET                         0x00000EB0
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_TYPE                           UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_RESERVED_MASK                  0x70000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_PRIV_ACCESS_MODE_SHIFT      31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_PRIV_ACCESS_MODE_MASK       0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_DEBUG_BUS_STATUS3_SHIFT     0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS3_DEBUG_BUS_STATUS3_MASK      0x0FFFFFFF

#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_OFFSET                         0x00000EB4
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_TYPE                           UInt32
#define ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_RESERVED_MASK                  0x7FFF0000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_PRIV_ACCESS_MODE_SHIFT      31
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_PRIV_ACCESS_MODE_MASK       0x80000000
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_DEBUG_BUS_STATUS4_SHIFT     0
#define    ESUB_CLK_MGR_REG_DEBUG_BUS_STATUS4_DEBUG_BUS_STATUS4_MASK      0x0000FFFF

#define ESUB_CLK_MGR_REG_POLICY_DBG_OFFSET                                0x00000EC0
#define ESUB_CLK_MGR_REG_POLICY_DBG_TYPE                                  UInt32
#define ESUB_CLK_MGR_REG_POLICY_DBG_RESERVED_MASK                         0x7FFF88CC
#define    ESUB_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_SHIFT             31
#define    ESUB_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_MASK              0x80000000
#define    ESUB_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_SHIFT                     12
#define    ESUB_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_MASK                      0x00007000
#define    ESUB_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_SHIFT                     8
#define    ESUB_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_MASK                      0x00000700
#define    ESUB_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_SHIFT                   4
#define    ESUB_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_MASK                    0x00000030
#define    ESUB_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_SHIFT                   0
#define    ESUB_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_MASK                    0x00000003

#endif /* __BRCM_RDB_ESUB_CLK_MGR_REG_H__ */


