/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_ESW_BUSIF_IMP_H__
#define __BRCM_RDB_ESW_BUSIF_IMP_H__

#define ESW_BUSIF_IMP_IMP_PHY_MISC_OFFSET                                 0x00000000
#define ESW_BUSIF_IMP_IMP_PHY_MISC_TYPE                                   UInt32
#define ESW_BUSIF_IMP_IMP_PHY_MISC_RESERVED_MASK                          0x3F000700
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_SGMII_1_POWER_DOWN_SHIFT            31
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_SGMII_1_POWER_DOWN_MASK             0x80000000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_SGMII_0_POWER_DOWN_SHIFT            30
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_SGMII_0_POWER_DOWN_MASK             0x40000000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_RESET_DONE_STATUS_SHIFT             23
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_RESET_DONE_STATUS_MASK              0x00800000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_MASKED_SHIFT             21
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_MASKED_MASK              0x00600000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_APD_SHIFT                19
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_APD_MASK                 0x00180000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_RAW_SHIFT                17
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_ENERGY_DET_RAW_MASK                 0x00060000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_1_SHIFT              16
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_1_MASK               0x00010000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_0_SHIFT              15
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_0_MASK               0x00008000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_SD_1_SHIFT           14
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_SD_1_MASK            0x00004000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_SD_0_SHIFT           13
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_EXT_POWER_DOWN_SD_0_MASK            0x00002000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IDDQ_BIAS_SHIFT                     12
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IDDQ_BIAS_MASK                      0x00001000
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_PAUSE_DEF_SHIFT                     11
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_PAUSE_DEF_MASK                      0x00000800
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_LEDMODE_SHIFT                       6
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_LEDMODE_MASK                        0x000000C0
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_PAUSECAP_RX_SHIFT               5
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_PAUSECAP_RX_MASK                0x00000020
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_PAUSECAP_TX_SHIFT               4
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_PAUSECAP_TX_MASK                0x00000010
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_DUPLEX_SHIFT                    3
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_DUPLEX_MASK                     0x00000008
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_SPEED_SHIFT                     1
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_SPEED_MASK                      0x00000006
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_LINK_SHIFT                      0
#define    ESW_BUSIF_IMP_IMP_PHY_MISC_IMP_LINK_MASK                       0x00000001

#define ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_OFFSET              0x00000008
#define ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_TYPE                UInt32
#define ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_RESERVED_MASK       0xFFFF0000
#define    ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_PAGE_ADDRESS_SHIFT 8
#define    ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_PAGE_ADDRESS_MASK 0x0000FF00
#define    ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_OFFSET_ADDRESS_SHIFT 0
#define    ESW_BUSIF_IMP_ESW_INDIRECT_REG_ACCESS_ADDRESS_OFFSET_ADDRESS_MASK 0x000000FF

#define ESW_BUSIF_IMP_ESW_INDIRECT_WRITE_DATA_OFFSET                      0x00000010
#define ESW_BUSIF_IMP_ESW_INDIRECT_WRITE_DATA_TYPE                        UInt64
#define ESW_BUSIF_IMP_ESW_INDIRECT_WRITE_DATA_RESERVED_MASK               0x00000000
#define    ESW_BUSIF_IMP_ESW_INDIRECT_WRITE_DATA_INDIRECT_WRITE_DATA_SHIFT 0
#define    ESW_BUSIF_IMP_ESW_INDIRECT_WRITE_DATA_INDIRECT_WRITE_DATA_MASK 0xFFFFFFFFFFFFFFFF

#define ESW_BUSIF_IMP_ESW_INDIRECT_READ_DATA_OFFSET                       0x00000018
#define ESW_BUSIF_IMP_ESW_INDIRECT_READ_DATA_TYPE                         UInt64
#define ESW_BUSIF_IMP_ESW_INDIRECT_READ_DATA_RESERVED_MASK                0x00000000
#define    ESW_BUSIF_IMP_ESW_INDIRECT_READ_DATA_INDIRECT_READ_DATA_SHIFT  0
#define    ESW_BUSIF_IMP_ESW_INDIRECT_READ_DATA_INDIRECT_READ_DATA_MASK   0xFFFFFFFFFFFFFFFF

#define ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_OFFSET                           0x00000020
#define ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_TYPE                             UInt8
#define ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_RESERVED_MASK                    0x000000E4
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_SELECT_MDIO_TRANSFER_SHIFT    4
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_SELECT_MDIO_TRANSFER_MASK     0x00000010
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_ACCESS_GO_DONE_SHIFT 3
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_ACCESS_GO_DONE_MASK 0x00000008
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_READ_COMMAND_SHIFT 1
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_READ_COMMAND_MASK 0x00000002
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_WRITE_COMMAND_SHIFT 0
#define    ESW_BUSIF_IMP_ESW_INDIRECT_CNTRL_INDIRECT_REG_WRITE_COMMAND_MASK 0x00000001

#define ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_OFFSET                         0x00000028
#define ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_TYPE                           UInt32
#define ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_RESERVED_MASK                  0xFFFFC000
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LINK_DOWN_SHIFT      13
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LINK_DOWN_MASK       0x00002000
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LINK_UP_SHIFT        12
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LINK_UP_MASK         0x00001000
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LINK_DOWN_SHIFT      11
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LINK_DOWN_MASK       0x00000800
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LINK_UP_SHIFT        10
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LINK_UP_MASK         0x00000400
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_WAKE_UP_SHIFT        9
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_WAKE_UP_MASK         0x00000200
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LP_RECEIVED_SHIFT    8
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_1_LP_RECEIVED_MASK     0x00000100
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_WAKE_UP_SHIFT        7
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_WAKE_UP_MASK         0x00000080
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LP_RECEIVED_SHIFT    6
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PORT_0_LP_RECEIVED_MASK     0x00000040
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_MTP_EOP_SHIFT               5
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_MTP_EOP_MASK                0x00000020
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PTM_SOP_SHIFT               4
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PTM_SOP_MASK                0x00000010
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PTM_EOP_SHIFT               3
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_PTM_EOP_MASK                0x00000008
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_GPHY_INTR_1_SHIFT           2
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_GPHY_INTR_1_MASK            0x00000004
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_GPHY_INTR_0_SHIFT           1
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_GPHY_INTR_0_MASK            0x00000002
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_ESW_INTR_SHIFT              0
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_STATUS_ESW_INTR_MASK               0x00000001

#define ESW_BUSIF_IMP_TYPE_ESW_INTR_MASK_OFFSET                           0x00000030
#define ESW_BUSIF_IMP_TYPE_ESW_INTR_MASK_TYPE                             UInt32
#define ESW_BUSIF_IMP_TYPE_ESW_INTR_MASK_RESERVED_MASK                    0x00000000
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_MASK_ESW_INTR_MASK_SHIFT           0
#define    ESW_BUSIF_IMP_TYPE_ESW_INTR_MASK_ESW_INTR_MASK_MASK            0xFFFFFFFF

#define ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_OFFSET                        0x00000090
#define ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_TYPE                          UInt32
#define ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_RESERVED_MASK                 0xFFFFFC88
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_USE_PLL_125_FOR_SERDES_TXC_SHIFT 9
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_USE_PLL_125_FOR_SERDES_TXC_MASK 0x00000200
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_USE_PLL_125_FOR_IMP_PORT_SHIFT 8
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_USE_PLL_125_FOR_IMP_PORT_MASK 0x00000100
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_TX_GIG_SPEED_SELECT_SHIFT 6
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_TX_GIG_SPEED_SELECT_MASK 0x00000040
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_PORT_TXC_SPEED_SELECT_SHIFT 4
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_PORT_TXC_SPEED_SELECT_MASK 0x00000030
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_RX_GIG_SPEED_SELECT_SHIFT 2
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_RX_GIG_SPEED_SELECT_MASK 0x00000004
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_PORT_RXC_SPEED_SELECT_SHIFT 0
#define    ESW_BUSIF_IMP_IMP_PORT_SPEED_SELECT_IMP_PORT_RXC_SPEED_SELECT_MASK 0x00000003

#define ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_OFFSET                 0x00000098
#define ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_TYPE                   UInt32
#define ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_RESERVED_MASK          0xFFFF6060
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EN_EXT_PORT_OVERRIDE_EN_SHIFT 15
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EN_EXT_PORT_OVERRIDE_EN_MASK 0x00008000
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_TX_PASUE_RESOLUTION_SHIFT 12
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_TX_PASUE_RESOLUTION_MASK 0x00001000
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_RX_PASUE_RESOLUTION_SHIFT 11
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_RX_PASUE_RESOLUTION_MASK 0x00000800
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_LNKSPD_OVERRIDE_SHIFT 9
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EXT_PORT_LNKSPD_OVERRIDE_MASK 0x00000600
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EN_EXT_PORT_DUPLEX_OVERRIDE_SHIFT 8
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_1_EN_EXT_PORT_DUPLEX_OVERRIDE_MASK 0x00000100
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EN_EXT_PORT_OVERRIDE_EN_SHIFT 7
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EN_EXT_PORT_OVERRIDE_EN_MASK 0x00000080
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_TX_PASUE_RESOLUTION_SHIFT 4
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_TX_PASUE_RESOLUTION_MASK 0x00000010
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_RX_PASUE_RESOLUTION_SHIFT 3
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_RX_PASUE_RESOLUTION_MASK 0x00000008
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_LNKSPD_OVERRIDE_SHIFT 1
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EXT_PORT_LNKSPD_OVERRIDE_MASK 0x00000006
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EN_EXT_PORT_DUPLEX_OVERRIDE_SHIFT 0
#define    ESW_BUSIF_IMP_EXTERNAL_PORT_RGMII_OVERRIDE_PORT_0_EN_EXT_PORT_DUPLEX_OVERRIDE_MASK 0x00000001

#define ESW_BUSIF_IMP_DLL_CONFIG_OFFSET                                   0x000000A0
#define ESW_BUSIF_IMP_DLL_CONFIG_TYPE                                     UInt32
#define ESW_BUSIF_IMP_DLL_CONFIG_RESERVED_MASK                            0x00000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_IDDQ_SHIFT                    31
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_IDDQ_MASK                     0x80000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_FORCE_SPD_1000_EN_SHIFT       30
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_FORCE_SPD_1000_EN_MASK        0x40000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_FORCE_SPD_1000_SHIFT          29
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_FORCE_SPD_1000_MASK           0x20000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_BYPASS_SHIFT                  28
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_BYPASS_MASK                   0x10000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_DRNG_SHIFT                    26
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_DRNG_MASK                     0x0C000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_CTRI_SHIFT                    24
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX1_CTRI_MASK                     0x03000000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_IDDQ_SHIFT                    23
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_IDDQ_MASK                     0x00800000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_FORCE_SPD_1000_EN_SHIFT       22
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_FORCE_SPD_1000_EN_MASK        0x00400000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_FORCE_SPD_1000_SHIFT          21
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_FORCE_SPD_1000_MASK           0x00200000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_BYPASS_SHIFT                  20
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_BYPASS_MASK                   0x00100000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_DRNG_SHIFT                    18
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX1_DRNG_MASK                     0x000C0000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_CTRI_RX10_SHIFT                   16
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_CTRI_RX10_MASK                    0x00030000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_IDDQ_SHIFT                    15
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_IDDQ_MASK                     0x00008000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_FORCE_SPD_1000_EN_SHIFT       14
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_FORCE_SPD_1000_EN_MASK        0x00004000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_FORCE_SPD_1000_SHIFT          13
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_FORCE_SPD_1000_MASK           0x00002000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_BYPASS_SHIFT                  12
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_BYPASS_MASK                   0x00001000
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_DRNG_SHIFT                    10
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_DRNG_MASK                     0x00000C00
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_CTRI_SHIFT                    8
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_TX0_CTRI_MASK                     0x00000300
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_IDDQ_SHIFT                    7
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_IDDQ_MASK                     0x00000080
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_FORCE_SPD_1000_EN_SHIFT       6
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_FORCE_SPD_1000_EN_MASK        0x00000040
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_FORCE_SPD_1000_SHIFT          5
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_FORCE_SPD_1000_MASK           0x00000020
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_BYPASS_SHIFT                  4
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_BYPASS_MASK                   0x00000010
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_DRNG_SHIFT                    2
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_RX0_DRNG_MASK                     0x0000000C
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_CTRI_RX0_SHIFT                    0
#define    ESW_BUSIF_IMP_DLL_CONFIG_DLL_CTRI_RX0_MASK                     0x00000003

#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_OFFSET                0x000000A8
#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_TYPE                  UInt32
#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_RESERVED_MASK         0xFFFF0000
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_PORT_1_RX_LINK_STAT_WORD_SHIFT 8
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_PORT_1_RX_LINK_STAT_WORD_MASK 0x0000FF00
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_PORT_0_RX_LINK_STAT_WORD_SHIFT 0
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LNKSPD_STAT_PORT_0_RX_LINK_STAT_WORD_MASK 0x000000FF

#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_OFFSET                    0x000000B0
#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_TYPE                      UInt32
#define ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_RESERVED_MASK             0xFFFF0000
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_PORT_1_RX_LP_STATUS_SHIFT 8
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_PORT_1_RX_LP_STATUS_MASK 0x0000FF00
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_PORT_0_RX_LP_STATUS_SHIFT 0
#define    ESW_BUSIF_IMP_EXTERNAL_RGMII_RX_LP_STAT_PORT_0_RX_LP_STATUS_MASK 0x000000FF

#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_OFFSET                          0x000000B8
#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_TYPE                            UInt32
#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_RESERVED_MASK                   0xFFFFFC00
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_FORCE_PORT_0_RX_LP_SHIFT     9
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_FORCE_PORT_0_RX_LP_MASK      0x00000200
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_ENABLE_PORT_0_IMP_PORT_AUTO_LP_MODE_SHIFT 8
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_ENABLE_PORT_0_IMP_PORT_AUTO_LP_MODE_MASK 0x00000100
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_PORT_0_RX_LP_WORD_SHIFT      0
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_0_PORT_0_RX_LP_WORD_MASK       0x000000FF

#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_OFFSET                          0x000000C0
#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_TYPE                            UInt32
#define ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_RESERVED_MASK                   0xFFFFFC00
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_FORCE_PORT_1_RX_LP_SHIFT     9
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_FORCE_PORT_1_RX_LP_MASK      0x00000200
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_ENABLE_PORT_1_IMP_PORT_AUTO_LP_MODE_SHIFT 8
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_ENABLE_PORT_1_IMP_PORT_AUTO_LP_MODE_MASK 0x00000100
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_PORT_1_RX_LP_WORD_SHIFT      0
#define    ESW_BUSIF_IMP_RGMII_LP_TRIG_CFG_1_PORT_1_RX_LP_WORD_MASK       0x000000FF

#define ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_OFFSET                           0x000000C8
#define ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_TYPE                             UInt32
#define ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_RESERVED_MASK                    0x3FFF0100
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_SHIFT             31
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_MASK              0x80000000
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DEBUG_ENABLE_MII_MODE_SHIFT   30
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DEBUG_ENABLE_MII_MODE_MASK    0x40000000
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_USE_DISABLE_TXC_CLK_COUNT_SHIFT 15
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_USE_DISABLE_TXC_CLK_COUNT_MASK 0x00008000
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_CLK_COUNT_SHIFT   10
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_CLK_COUNT_MASK    0x00007C00
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_IN_LP_MODE_SHIFT  9
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_DISABLE_TXC_IN_LP_MODE_MASK   0x00000200
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_TX_LP_WORD_SHIFT              0
#define    ESW_BUSIF_IMP_RGMII_0_TX_LP_MODE_TX_LP_WORD_MASK               0x000000FF

#define ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_OFFSET                           0x000000D0
#define ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_TYPE                             UInt32
#define ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_RESERVED_MASK                    0x3FFF0100
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_SHIFT             31
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_MASK              0x80000000
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DEBUG_ENABLE_MII_MODE_SHIFT   30
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DEBUG_ENABLE_MII_MODE_MASK    0x40000000
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_USE_DISABLE_TXC_CLK_COUNT_SHIFT 15
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_USE_DISABLE_TXC_CLK_COUNT_MASK 0x00008000
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_CLK_COUNT_SHIFT   10
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_CLK_COUNT_MASK    0x00007C00
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_IN_LP_MODE_SHIFT  9
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_DISABLE_TXC_IN_LP_MODE_MASK   0x00000200
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_TX_LP_WORD_SHIFT              0
#define    ESW_BUSIF_IMP_RGMII_1_TX_LP_MODE_TX_LP_WORD_MASK               0x000000FF

#define ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_OFFSET                         0x000000D8
#define ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_TYPE                           UInt32
#define ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_RESERVED_MASK                  0xFFFFFFF0
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_ENABLE_NON_LP_MODE_TIME_COUNTER_SHIFT 3
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_ENABLE_NON_LP_MODE_TIME_COUNTER_MASK 0x00000008
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_RESET_NON_LP_MODE_TIME_COUNTER_SHIFT 2
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_RESET_NON_LP_MODE_TIME_COUNTER_MASK 0x00000004
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_ENABLE_LP_MODE_TIME_COUNTER_SHIFT 1
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_ENABLE_LP_MODE_TIME_COUNTER_MASK 0x00000002
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_RESET_LP_MODE_TIME_COUNTER_SHIFT 0
#define    ESW_BUSIF_IMP_LP_STATISTICS_CONFIG_RESET_LP_MODE_TIME_COUNTER_MASK 0x00000001

#define ESW_BUSIF_IMP_ESW_EVENT_CONTROL_OFFSET                            0x000000E0
#define ESW_BUSIF_IMP_ESW_EVENT_CONTROL_TYPE                              UInt32
#define ESW_BUSIF_IMP_ESW_EVENT_CONTROL_RESERVED_MASK                     0xFFFEFF00
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_WAKE_UP_EVENT_SHIFT     16
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_WAKE_UP_EVENT_MASK      0x00010000
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_GPIO_125_IS_IDLE_SHIFT  7
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_GPIO_125_IS_IDLE_MASK   0x00000080
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_25_IS_IDLE_SHIFT        6
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_25_IS_IDLE_MASK         0x00000040
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_ESW_SYS_IS_IDLE_SHIFT   5
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_ESW_SYS_IS_IDLE_MASK    0x00000020
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_125_IS_IDLE_SHIFT       4
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_ENABLE_125_IS_IDLE_MASK        0x00000010
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_125_GPIO_IS_IDLE_SHIFT   3
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_125_GPIO_IS_IDLE_MASK    0x00000008
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_25_IS_IDLE_SHIFT         2
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_25_IS_IDLE_MASK          0x00000004
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_ESW_SYS_IS_IDLE_SHIFT    1
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_ESW_SYS_IS_IDLE_MASK     0x00000002
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_125_IS_IDLE_SHIFT        0
#define    ESW_BUSIF_IMP_ESW_EVENT_CONTROL_FORCE_125_IS_IDLE_MASK         0x00000001

#define ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_OFFSET                       0x000000E8
#define ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_TYPE                         UInt32
#define ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_RESERVED_MASK                0xFFFFFFFC
#define    ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_PORT_1_MII_SELECT_SHIFT   1
#define    ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_PORT_1_MII_SELECT_MASK    0x00000002
#define    ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_PORT_0_MII_SELECT_SHIFT   0
#define    ESW_BUSIF_IMP_ESW_RGMII_MII_MODE_SEL_PORT_0_MII_SELECT_MASK    0x00000001

#define ESW_BUSIF_IMP_LP_MODE_ON_TIME_OFFSET                              0x000000F0
#define ESW_BUSIF_IMP_LP_MODE_ON_TIME_TYPE                                UInt32
#define ESW_BUSIF_IMP_LP_MODE_ON_TIME_RESERVED_MASK                       0x00000000
#define    ESW_BUSIF_IMP_LP_MODE_ON_TIME_LP_MODE_TIME_COUNTER_SHIFT       0
#define    ESW_BUSIF_IMP_LP_MODE_ON_TIME_LP_MODE_TIME_COUNTER_MASK        0xFFFFFFFF

#define ESW_BUSIF_IMP_LP_MODE_OFF_TIME_OFFSET                             0x000000F8
#define ESW_BUSIF_IMP_LP_MODE_OFF_TIME_TYPE                               UInt32
#define ESW_BUSIF_IMP_LP_MODE_OFF_TIME_RESERVED_MASK                      0x00000000
#define    ESW_BUSIF_IMP_LP_MODE_OFF_TIME_NLP_MODE_TIME_COUNTER_SHIFT     0
#define    ESW_BUSIF_IMP_LP_MODE_OFF_TIME_NLP_MODE_TIME_COUNTER_MASK      0xFFFFFFFF

#endif /* __BRCM_RDB_ESW_BUSIF_IMP_H__ */


