/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_ESW_CONTRL_H__
#define __BRCM_RDB_ESW_CONTRL_H__

#define ESW_CONTRL_PORT_CONTROL_REGISTER_0_OFFSET                         0x00000000
#define ESW_CONTRL_PORT_CONTROL_REGISTER_0_TYPE                           UInt8
#define ESW_CONTRL_PORT_CONTROL_REGISTER_0_RESERVED_MASK                  0x0000001C
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_STP_STATE_SHIFT             5
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_STP_STATE_MASK              0x000000E0
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_TX_DISABLE_SHIFT            1
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_TX_DISABLE_MASK             0x00000002
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_RX_DISABLE_SHIFT            0
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_0_RX_DISABLE_MASK             0x00000001

#define ESW_CONTRL_PORT_CONTROL_REGISTER_1_OFFSET                         0x00000008
#define ESW_CONTRL_PORT_CONTROL_REGISTER_1_TYPE                           UInt8
#define ESW_CONTRL_PORT_CONTROL_REGISTER_1_RESERVED_MASK                  0x0000001C
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_STP_STATE_SHIFT             5
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_STP_STATE_MASK              0x000000E0
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_TX_DISABLE_SHIFT            1
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_TX_DISABLE_MASK             0x00000002
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_RX_DISABLE_SHIFT            0
#define    ESW_CONTRL_PORT_CONTROL_REGISTER_1_RX_DISABLE_MASK             0x00000001

#define ESW_CONTRL_RESERVE_1_OFFSET                                       0x00000010
#define ESW_CONTRL_RESERVE_1_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_1_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RESERVE_2_OFFSET                                       0x00000018
#define ESW_CONTRL_RESERVE_2_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_2_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RESERVE_3_OFFSET                                       0x00000020
#define ESW_CONTRL_RESERVE_3_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_3_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RESERVE_4_OFFSET                                       0x00000028
#define ESW_CONTRL_RESERVE_4_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_4_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RESERVE_5_OFFSET                                       0x00000030
#define ESW_CONTRL_RESERVE_5_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_5_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RESERVE_6_OFFSET                                       0x00000038
#define ESW_CONTRL_RESERVE_6_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_6_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_OFFSET                       0x00000040
#define ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_TYPE                         UInt8
#define ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RESERVED_MASK                0x000000E0
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_UCST_EN_SHIFT          4
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_UCST_EN_MASK           0x00000010
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_MCST_EN_SHIFT          3
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_MCST_EN_MASK           0x00000008
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_BCST_EN_SHIFT          2
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_BCST_EN_MASK           0x00000004
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_TX_DISABLE_SHIFT          1
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_TX_DISABLE_MASK           0x00000002
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_DISABLE_SHIFT          0
#define    ESW_CONTRL_IMP_PORT_CONTROL_REGISTER_RX_DISABLE_MASK           0x00000001

#define ESW_CONTRL_RESERVE_7_OFFSET                                       0x00000048
#define ESW_CONTRL_RESERVE_7_TYPE                                         UInt8
#define ESW_CONTRL_RESERVE_7_RESERVED_MASK                                0x000000FF

#define ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_OFFSET                      0x00000050
#define ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_TYPE                        UInt8
#define ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_RESERVED_MASK               0x000000C0
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_DIS_ECC_CHK_SHIFT        5
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_DIS_ECC_CHK_MASK         0x00000020
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_DIS_CRC_CHK_SHIFT        4
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_DIS_CRC_CHK_MASK         0x00000010
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_FMOK_LATENCY_CNTR_SHIFT  0
#define    ESW_CONTRL_RX_GLOBAL_CONTROL_REGISTER_FMOK_LATENCY_CNTR_MASK   0x0000000F

#define ESW_CONTRL_SWITCH_MODE_REGISTER_OFFSET                            0x00000058
#define ESW_CONTRL_SWITCH_MODE_REGISTER_TYPE                              UInt8
#define ESW_CONTRL_SWITCH_MODE_REGISTER_RESERVED_MASK                     0x000000E0
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_NOBLKCD_SHIFT                  4
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_NOBLKCD_MASK                   0x00000010
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_FAST_TX_DESCRIPTOR_RETURN_SHIFT 3
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_FAST_TX_DESCRIPTOR_RETURN_MASK 0x00000008
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_RTRY_LMT_DIS_SHIFT             2
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_RTRY_LMT_DIS_MASK              0x00000004
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_SW_FWDG_EN_SHIFT               1
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_SW_FWDG_EN_MASK                0x00000002
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_SW_FWDG_MODE_SHIFT             0
#define    ESW_CONTRL_SWITCH_MODE_REGISTER_SW_FWDG_MODE_MASK              0x00000001

#define ESW_CONTRL_PAUSE_QUANTA_OFFSET                                    0x00000060
#define ESW_CONTRL_PAUSE_QUANTA_TYPE                                      UInt16
#define ESW_CONTRL_PAUSE_QUANTA_RESERVED_MASK                             0x00000000
#define    ESW_CONTRL_PAUSE_QUANTA_PAUSE_QUANTA_SHIFT                     0
#define    ESW_CONTRL_PAUSE_QUANTA_PAUSE_QUANTA_MASK                      0x0000FFFF

#define ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_OFFSET                         0x00000070
#define ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_TYPE                           UInt8
#define ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_RESERVED_MASK                  0x00000040
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_MII_SW_OR_SHIFT             7
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_MII_SW_OR_MASK              0x00000080
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_TX_FLOW_CONTROL_CAPABILITY_SHIFT 5
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_TX_FLOW_CONTROL_CAPABILITY_MASK 0x00000020
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_RX_FLOW_CONTROL_CAPABILITY_SHIFT 4
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_RX_FLOW_CONTROL_CAPABILITY_MASK 0x00000010
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_SPEED_SHIFT                 2
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_SPEED_MASK                  0x0000000C
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_FDX_SHIFT                   1
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_FDX_MASK                    0x00000002
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_LINK_SHIFT                  0
#define    ESW_CONTRL_IMP_PORT_STATE_OVERRIDE_LINK_MASK                   0x00000001

#define ESW_CONTRL_LED_CONFIURATION_OFFSET                                0x00000078
#define ESW_CONTRL_LED_CONFIURATION_TYPE                                  UInt8
#define ESW_CONTRL_LED_CONFIURATION_RESERVED_MASK                         0x00000000
#define    ESW_CONTRL_LED_CONFIURATION_LED_EN_SHIFT                       7
#define    ESW_CONTRL_LED_CONFIURATION_LED_EN_MASK                        0x00000080
#define    ESW_CONTRL_LED_CONFIURATION_POST_EXEC_SHIFT                    6
#define    ESW_CONTRL_LED_CONFIURATION_POST_EXEC_MASK                     0x00000040
#define    ESW_CONTRL_LED_CONFIURATION_POST_PSCAN_EN_SHIFT                5
#define    ESW_CONTRL_LED_CONFIURATION_POST_PSCAN_EN_MASK                 0x00000020
#define    ESW_CONTRL_LED_CONFIURATION_POST_CD_EN_SHIFT                   4
#define    ESW_CONTRL_LED_CONFIURATION_POST_CD_EN_MASK                    0x00000010
#define    ESW_CONTRL_LED_CONFIURATION_NORMAL_CD_EN_SHIFT                 3
#define    ESW_CONTRL_LED_CONFIURATION_NORMAL_CD_EN_MASK                  0x00000008
#define    ESW_CONTRL_LED_CONFIURATION_LED_RFSH_STOP_SHIFT                0
#define    ESW_CONTRL_LED_CONFIURATION_LED_RFSH_STOP_MASK                 0x00000007

#define ESW_CONTRL_LED_FUNCTION_0_CONTROL_OFFSET                          0x00000080
#define ESW_CONTRL_LED_FUNCTION_0_CONTROL_TYPE                            UInt16
#define ESW_CONTRL_LED_FUNCTION_0_CONTROL_RESERVED_MASK                   0x00004000
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_PHYLED3_SHIFT                15
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_PHYLED3_MASK                 0x00008000
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_G_ACT_SHIFT                  13
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_G_ACT_MASK                   0x00002000
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_10_100M_SHIFT            12
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_10_100M_MASK             0x00001000
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_100M_SHIFT               11
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_100M_MASK                0x00000800
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_10M_SHIFT                10
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_10M_MASK                 0x00000400
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD1G_SHIFT                  9
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD1G_MASK                   0x00000200
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD100M_SHIFT                8
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD100M_MASK                 0x00000100
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD10M_SHIFT                 7
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_SPD10M_MASK                  0x00000080
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_DPX_COL_SHIFT                6
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_DPX_COL_MASK                 0x00000040
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_LNK_ACT_SHIFT                5
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_LNK_ACT_MASK                 0x00000020
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_COL_SHIFT                    4
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_COL_MASK                     0x00000010
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_SHIFT                    3
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_ACT_MASK                     0x00000008
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_DPX_SHIFT                    2
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_DPX_MASK                     0x00000004
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_LNK_SHIFT                    1
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_LNK_MASK                     0x00000002
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_PHYLED4_SHIFT                0
#define    ESW_CONTRL_LED_FUNCTION_0_CONTROL_PHYLED4_MASK                 0x00000001

#define ESW_CONTRL_LED_FUNCTION_1_CONTROL_OFFSET                          0x00000090
#define ESW_CONTRL_LED_FUNCTION_1_CONTROL_TYPE                            UInt16
#define ESW_CONTRL_LED_FUNCTION_1_CONTROL_RESERVED_MASK                   0x00004000
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_PHYLED3_SHIFT                15
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_PHYLED3_MASK                 0x00008000
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_1G_SHIFT                 13
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_1G_MASK                  0x00002000
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_10_100M_SHIFT            12
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_10_100M_MASK             0x00001000
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_100M_SHIFT               11
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_100M_MASK                0x00000800
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_10M_SHIFT                10
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_10M_MASK                 0x00000400
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD1G_SHIFT                  9
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD1G_MASK                   0x00000200
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD100M_SHIFT                8
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD100M_MASK                 0x00000100
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD10M_SHIFT                 7
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_SPD10M_MASK                  0x00000080
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_DPX_COL_SHIFT                6
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_DPX_COL_MASK                 0x00000040
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_LNK_ACT_SHIFT                5
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_LNK_ACT_MASK                 0x00000020
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_COL_SHIFT                    4
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_COL_MASK                     0x00000010
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_SHIFT                    3
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_ACT_MASK                     0x00000008
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_DPX_SHIFT                    2
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_DPX_MASK                     0x00000004
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_LNK_SHIFT                    1
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_LNK_MASK                     0x00000002
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_PHYLED4_SHIFT                0
#define    ESW_CONTRL_LED_FUNCTION_1_CONTROL_PHYLED4_MASK                 0x00000001

#define ESW_CONTRL_LED_FUNCTION_MAP_OFFSET                                0x000000A0
#define ESW_CONTRL_LED_FUNCTION_MAP_TYPE                                  UInt16
#define ESW_CONTRL_LED_FUNCTION_MAP_RESERVED_MASK                         0x0000FE00
#define    ESW_CONTRL_LED_FUNCTION_MAP_LED_FUNC_MAP_SHIFT                 0
#define    ESW_CONTRL_LED_FUNCTION_MAP_LED_FUNC_MAP_MASK                  0x000001FF

#define ESW_CONTRL_LED_EN_MAP_OFFSET                                      0x000000B0
#define ESW_CONTRL_LED_EN_MAP_TYPE                                        UInt16
#define ESW_CONTRL_LED_EN_MAP_RESERVED_MASK                               0x0000FE00
#define    ESW_CONTRL_LED_EN_MAP_LED_ENABLE_SHIFT                         0
#define    ESW_CONTRL_LED_EN_MAP_LED_ENABLE_MASK                          0x000001FF

#define ESW_CONTRL_LED_MODE_MAP0_OFFSET                                   0x000000C0
#define ESW_CONTRL_LED_MODE_MAP0_TYPE                                     UInt16
#define ESW_CONTRL_LED_MODE_MAP0_RESERVED_MASK                            0x0000FE00
#define    ESW_CONTRL_LED_MODE_MAP0_LED_MOD_MAP0_SHIFT                    0
#define    ESW_CONTRL_LED_MODE_MAP0_LED_MOD_MAP0_MASK                     0x000001FF

#define ESW_CONTRL_LED_MODE_MAP1_OFFSET                                   0x000000D0
#define ESW_CONTRL_LED_MODE_MAP1_TYPE                                     UInt16
#define ESW_CONTRL_LED_MODE_MAP1_RESERVED_MASK                            0x0000FE00
#define    ESW_CONTRL_LED_MODE_MAP1_LED_MOD_MAP1_SHIFT                    0
#define    ESW_CONTRL_LED_MODE_MAP1_LED_MOD_MAP1_MASK                     0x000001FF

#define ESW_CONTRL_LED_OUTPUT_EN_OFFSET                                   0x000000E0
#define ESW_CONTRL_LED_OUTPUT_EN_TYPE                                     UInt8
#define ESW_CONTRL_LED_OUTPUT_EN_RESERVED_MASK                            0x000000FE
#define    ESW_CONTRL_LED_OUTPUT_EN_OE_PHY_LED_SHIFT                      0
#define    ESW_CONTRL_LED_OUTPUT_EN_OE_PHY_LED_MASK                       0x00000001

#define ESW_CONTRL_DEBUG_REG_OFFSET                                       0x000000F0
#define ESW_CONTRL_DEBUG_REG_TYPE                                         UInt8
#define ESW_CONTRL_DEBUG_REG_RESERVED_MASK                                0x0000007E
#define    ESW_CONTRL_DEBUG_REG_MDC_TIMING_ENHANCEMEN_SHIFT               7
#define    ESW_CONTRL_DEBUG_REG_MDC_TIMING_ENHANCEMEN_MASK                0x00000080
#define    ESW_CONTRL_DEBUG_REG_DEBUG_ENABLED_SHIFT                       0
#define    ESW_CONTRL_DEBUG_REG_DEBUG_ENABLED_MASK                        0x00000001

#define ESW_CONTRL_PORT_FORWARD_CONTROL_OFFSET                            0x00000108
#define ESW_CONTRL_PORT_FORWARD_CONTROL_TYPE                              UInt8
#define ESW_CONTRL_PORT_FORWARD_CONTROL_RESERVED_MASK                     0x00000038
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_MULTICAST_FWD_EN_SHIFT         7
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_MULTICAST_FWD_EN_MASK          0x00000080
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_UNICAST_FWD_EN_SHIFT           6
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_UNICAST_FWD_EN_MASK            0x00000040
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_INRANGEERR_DISCARD_SHIFT       2
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_INRANGEERR_DISCARD_MASK        0x00000004
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_OUTOFRANGEERR_DISCARD_SHIFT    1
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_OUTOFRANGEERR_DISCARD_MASK     0x00000002
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_IP_MULTICAS_SHIFT              0
#define    ESW_CONTRL_PORT_FORWARD_CONTROL_IP_MULTICAS_MASK               0x00000001

#define ESW_CONTRL_PROTECTED_PORT_SELECT_OFFSET                           0x00000120
#define ESW_CONTRL_PROTECTED_PORT_SELECT_TYPE                             UInt16
#define ESW_CONTRL_PROTECTED_PORT_SELECT_RESERVED_MASK                    0x0000FE00
#define    ESW_CONTRL_PROTECTED_PORT_SELECT_PORT_SELECT_SHIFT             0
#define    ESW_CONTRL_PROTECTED_PORT_SELECT_PORT_SELECT_MASK              0x000001FF

#define ESW_CONTRL_WAN_PORT_SELECT_OFFSET                                 0x00000130
#define ESW_CONTRL_WAN_PORT_SELECT_TYPE                                   UInt16
#define ESW_CONTRL_WAN_PORT_SELECT_RESERVED_MASK                          0x0000FC00
#define    ESW_CONTRL_WAN_PORT_SELECT_EN_MAN2WAN_SHIFT                    9
#define    ESW_CONTRL_WAN_PORT_SELECT_EN_MAN2WAN_MASK                     0x00000200
#define    ESW_CONTRL_WAN_PORT_SELECT_WAN_PORT_MAP_SHIFT                  0
#define    ESW_CONTRL_WAN_PORT_SELECT_WAN_PORT_MAP_MASK                   0x000001FF

#define ESW_CONTRL_PAUSE_CAPABILITY_OFFSET                                0x00000140
#define ESW_CONTRL_PAUSE_CAPABILITY_TYPE                                  UInt32
#define ESW_CONTRL_PAUSE_CAPABILITY_RESERVED_MASK                         0xFF7C0000
#define    ESW_CONTRL_PAUSE_CAPABILITY_ENABLE_OVERRIDE_SHIFT              23
#define    ESW_CONTRL_PAUSE_CAPABILITY_ENABLE_OVERRIDE_MASK               0x00800000
#define    ESW_CONTRL_PAUSE_CAPABILITY_RECEIVE_PAUSE_CAPABILITY_SHIFT     9
#define    ESW_CONTRL_PAUSE_CAPABILITY_RECEIVE_PAUSE_CAPABILITY_MASK      0x0003FE00
#define    ESW_CONTRL_PAUSE_CAPABILITY_TRANSMIT_PAUSE_CAPABILITY_SHIFT    0
#define    ESW_CONTRL_PAUSE_CAPABILITY_TRANSMIT_PAUSE_CAPABILITY_MASK     0x000001FF

#define ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_OFFSET                     0x00000178
#define ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_TYPE                       UInt8
#define ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_RESERVED_MASK              0x00000060
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_RES_MUL_LEARN_SHIFT  7
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_RES_MUL_LEARN_MASK   0x00000080
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_4_SHIFT          4
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_4_MASK           0x00000010
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_3_SHIFT          3
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_3_MASK           0x00000008
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_2_SHIFT          2
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_2_MASK           0x00000004
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_1_SHIFT          1
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_1_MASK           0x00000002
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_0_SHIFT          0
#define    ESW_CONTRL_UNMANAGED_MULTICAST_CONTROL_EN_MUL_0_MASK           0x00000001

#define ESW_CONTRL_UNICAST_LOOKUP_FAILED_MAP_OFFSET                       0x00000190
#define ESW_CONTRL_UNICAST_LOOKUP_FAILED_MAP_TYPE                         UInt16
#define ESW_CONTRL_UNICAST_LOOKUP_FAILED_MAP_RESERVED_MASK                0x0000FE00
#define    ESW_CONTRL_UNICAST_LOOKUP_FAILED_MAP_UNI_LOOKUP_FAIL_FWD_MAP_SHIFT 0
#define    ESW_CONTRL_UNICAST_LOOKUP_FAILED_MAP_UNI_LOOKUP_FAIL_FWD_MAP_MASK 0x000001FF

#define ESW_CONTRL_MULTICAST_LOOKUP_FAILED_FORWARD_OFFSET                 0x000001A0
#define ESW_CONTRL_MULTICAST_LOOKUP_FAILED_FORWARD_TYPE                   UInt16
#define ESW_CONTRL_MULTICAST_LOOKUP_FAILED_FORWARD_RESERVED_MASK          0x0000FE00
#define    ESW_CONTRL_MULTICAST_LOOKUP_FAILED_FORWARD_MUL_LOOKUP_FAIL_FORWARD_MAP_SHIFT 0
#define    ESW_CONTRL_MULTICAST_LOOKUP_FAILED_FORWARD_MUL_LOOKUP_FAIL_FORWARD_MAP_MASK 0x000001FF

#define ESW_CONTRL_MLF_IPMC_FORWARD_MAP_OFFSET                            0x000001B0
#define ESW_CONTRL_MLF_IPMC_FORWARD_MAP_TYPE                              UInt16
#define ESW_CONTRL_MLF_IPMC_FORWARD_MAP_RESERVED_MASK                     0x0000FE00
#define    ESW_CONTRL_MLF_IPMC_FORWARD_MAP_MLF_IPMC_FWD_MAP_SHIFT         0
#define    ESW_CONTRL_MLF_IPMC_FORWARD_MAP_MLF_IPMC_FWD_MAP_MASK          0x000001FF

#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_RX_OFFSET                       0x000001C0
#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_RX_TYPE                         UInt16
#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_RX_RESERVED_MASK                0x0000FFFC
#define    ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_RX_IGNORE_PAUSEFRAME_RX_SHIFT 0
#define    ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_RX_IGNORE_PAUSEFRAME_RX_MASK 0x00000003

#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_TX_OFFSET                       0x000001D0
#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_TX_TYPE                         UInt16
#define ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_TX_RESERVED_MASK                0x0000FFFC
#define    ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_TX_IGNORE_PAUSEFRAME_TX_SHIFT 0
#define    ESW_CONTRL_PAUSE_PASS_THROUGH_FOR_TX_IGNORE_PAUSEFRAME_TX_MASK 0x00000003

#define ESW_CONTRL_LEARNING_REGISTER_OFFSET                               0x000001E0
#define ESW_CONTRL_LEARNING_REGISTER_TYPE                                 UInt16
#define ESW_CONTRL_LEARNING_REGISTER_RESERVED_MASK                        0x0000FE00
#define    ESW_CONTRL_LEARNING_REGISTER_DIS_LEARNING_SHIFT                0
#define    ESW_CONTRL_LEARNING_REGISTER_DIS_LEARNING_MASK                 0x000001FF

#define ESW_CONTRL_SOFTWARE_LEARNING_CONTROL_OFFSET                       0x000001F0
#define ESW_CONTRL_SOFTWARE_LEARNING_CONTROL_TYPE                         UInt16
#define ESW_CONTRL_SOFTWARE_LEARNING_CONTROL_RESERVED_MASK                0x0000FE00
#define    ESW_CONTRL_SOFTWARE_LEARNING_CONTROL_DIS_LEARNING_SHIFT        0
#define    ESW_CONTRL_SOFTWARE_LEARNING_CONTROL_DIS_LEARNING_MASK         0x000001FF

#define ESW_CONTRL_PHY_PWR_DOWN_MODE_REGISTER_OFFSET                      0x00000260
#define ESW_CONTRL_PHY_PWR_DOWN_MODE_REGISTER_TYPE                        UInt16
#define ESW_CONTRL_PHY_PWR_DOWN_MODE_REGISTER_RESERVED_MASK               0x0000FFFC
#define    ESW_CONTRL_PHY_PWR_DOWN_MODE_REGISTER_PHY_PWRDOWN_MODE_SHIFT   0
#define    ESW_CONTRL_PHY_PWR_DOWN_MODE_REGISTER_PHY_PWRDOWN_MODE_MASK    0x00000003

#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_OFFSET                  0x000002C0
#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_TYPE                    UInt8
#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_RESERVED_MASK           0x00000080
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_SOFTWARE_OVERRIDE_SHIFT 6
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_SOFTWARE_OVERRIDE_MASK 0x00000040
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_TX_FLOW_CONTROL_ENABLE_OVERRIDE_SHIFT 5
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_TX_FLOW_CONTROL_ENABLE_OVERRIDE_MASK 0x00000020
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_RX_FLOW_CONTROL_ENABLE_SHIFT 4
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_RX_FLOW_CONTROL_ENABLE_MASK 0x00000010
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_SPEED_SHIFT          2
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_SPEED_MASK           0x0000000C
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_DUPLEX_MODE_SHIFT    1
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_DUPLEX_MODE_MASK     0x00000002
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_LINK_STATE_SHIFT     0
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_0_LINK_STATE_MASK      0x00000001

#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_OFFSET                  0x000002C8
#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_TYPE                    UInt8
#define ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_RESERVED_MASK           0x00000080
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_SOFTWARE_OVERRIDE_SHIFT 6
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_SOFTWARE_OVERRIDE_MASK 0x00000040
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_TX_FLOW_CONTROL_ENABLE_OVERRIDE_SHIFT 5
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_TX_FLOW_CONTROL_ENABLE_OVERRIDE_MASK 0x00000020
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_RX_FLOW_CONTROL_ENABLE_SHIFT 4
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_RX_FLOW_CONTROL_ENABLE_MASK 0x00000010
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_SPEED_SHIFT          2
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_SPEED_MASK           0x0000000C
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_DUPLEX_MODE_SHIFT    1
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_DUPLEX_MODE_MASK     0x00000002
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_LINK_STATE_SHIFT     0
#define    ESW_CONTRL_PORT_STATE_OVERRIDE_REGISTER_1_LINK_STATE_MASK      0x00000001

#define ESW_CONTRL_MDIO_PORT_8_ADDRESS_REGISTER_OFFSET                    0x000003C0
#define ESW_CONTRL_MDIO_PORT_8_ADDRESS_REGISTER_TYPE                      UInt8
#define ESW_CONTRL_MDIO_PORT_8_ADDRESS_REGISTER_RESERVED_MASK             0x000000E0
#define    ESW_CONTRL_MDIO_PORT_8_ADDRESS_REGISTER_MDIO_PORT_8_ADDRESS_REGISTRER_SHIFT 0
#define    ESW_CONTRL_MDIO_PORT_8_ADDRESS_REGISTER_MDIO_PORT_8_ADDRESS_REGISTRER_MASK 0x0000001F

#define ESW_CONTRL_SOFTWARE_RESET_CONTROL_OFFSET                          0x000003C8
#define ESW_CONTRL_SOFTWARE_RESET_CONTROL_TYPE                            UInt8
#define ESW_CONTRL_SOFTWARE_RESET_CONTROL_RESERVED_MASK                   0x00000060
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_SW_RST_SHIFT                 7
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_SW_RST_MASK                  0x00000080
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_SW_RST_SHIFT              4
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_SW_RST_MASK               0x00000010
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_AUTO_RST_SHIFT            3
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_AUTO_RST_MASK             0x00000008
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RELOAD_EEPROM_SHIFT       2
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RELOAD_EEPROM_MASK        0x00000004
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RST_REGFILE_SHIFT         1
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RST_REGFILE_MASK          0x00000002
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RST_SWITCH_SHIFT          0
#define    ESW_CONTRL_SOFTWARE_RESET_CONTROL_EN_RST_SWITCH_MASK           0x00000001

#define ESW_CONTRL_WATCH_DOG_REPORT_1_OFFSET                              0x000003D0
#define ESW_CONTRL_WATCH_DOG_REPORT_1_TYPE                                UInt16
#define ESW_CONTRL_WATCH_DOG_REPORT_1_RESERVED_MASK                       0x0000FE00
#define    ESW_CONTRL_WATCH_DOG_REPORT_1_TX_PORT_HUNG_INDICATOR_SHIFT     0
#define    ESW_CONTRL_WATCH_DOG_REPORT_1_TX_PORT_HUNG_INDICATOR_MASK      0x000001FF

#define ESW_CONTRL_WATCH_DOG_REPORT_2_OFFSET                              0x000003E0
#define ESW_CONTRL_WATCH_DOG_REPORT_2_TYPE                                UInt16
#define ESW_CONTRL_WATCH_DOG_REPORT_2_RESERVED_MASK                       0x0000FE00
#define    ESW_CONTRL_WATCH_DOG_REPORT_2_RX_PORT_HUNG_INDICATOR_SHIFT     0
#define    ESW_CONTRL_WATCH_DOG_REPORT_2_RX_PORT_HUNG_INDICATOR_MASK      0x000001FF

#define ESW_CONTRL_WATCH_DOG_REPORT_3_OFFSET                              0x000003F0
#define ESW_CONTRL_WATCH_DOG_REPORT_3_TYPE                                UInt16
#define ESW_CONTRL_WATCH_DOG_REPORT_3_RESERVED_MASK                       0x0000FE00
#define    ESW_CONTRL_WATCH_DOG_REPORT_3_ARL_HUNG_INDICATOR_SHIFT         0
#define    ESW_CONTRL_WATCH_DOG_REPORT_3_ARL_HUNG_INDICATOR_MASK          0x000001FF

#endif /* __BRCM_RDB_ESW_CONTRL_H__ */


