/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_KHUBAON_CLK_MGR_REG_H__
#define __BRCM_RDB_KHUBAON_CLK_MGR_REG_H__

#define KHUBAON_CLK_MGR_REG_WR_ACCESS_OFFSET                              0x00000000
#define KHUBAON_CLK_MGR_REG_WR_ACCESS_TYPE                                UInt32
#define KHUBAON_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                       0x7F0000FE
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_PASSWORD_SHIFT                   8
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_PASSWORD_MASK                    0x00FFFF00
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                 0
#define    KHUBAON_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                  0x00000001

#define KHUBAON_CLK_MGR_REG_CCU_VERSION_OFFSET                            0x00000004
#define KHUBAON_CLK_MGR_REG_CCU_VERSION_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_CCU_VERSION_RESERVED_MASK                     0x7FFF0000
#define    KHUBAON_CLK_MGR_REG_CCU_VERSION_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_CCU_VERSION_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_CCU_VERSION_PUBLISH_ID_SHIFT               0
#define    KHUBAON_CLK_MGR_REG_CCU_VERSION_PUBLISH_ID_MASK                0x0000FFFF

#define KHUBAON_CLK_MGR_REG_POLICY_FREQ_OFFSET                            0x00000008
#define KHUBAON_CLK_MGR_REG_POLICY_FREQ_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_POLICY_FREQ_RESERVED_MASK                     0x78F8F8F8
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_SHIFT             24
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_MASK              0x07000000
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_SHIFT             16
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_MASK              0x00070000
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_SHIFT             8
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_MASK              0x00000700
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_SHIFT             0
#define    KHUBAON_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_MASK              0x00000007

#define KHUBAON_CLK_MGR_REG_POLICY_CTL_OFFSET                             0x0000000C
#define KHUBAON_CLK_MGR_REG_POLICY_CTL_TYPE                               UInt32
#define KHUBAON_CLK_MGR_REG_POLICY_CTL_RESERVED_MASK                      0x7FFFFFF0
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_TGT_VLD_SHIFT                   3
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_TGT_VLD_MASK                    0x00000008
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_ATL_SHIFT                    2
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_ATL_MASK                     0x00000004
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_AC_SHIFT                     1
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_AC_MASK                      0x00000002
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_SHIFT                        0
#define    KHUBAON_CLK_MGR_REG_POLICY_CTL_GO_MASK                         0x00000001

#define KHUBAON_CLK_MGR_REG_POLICY0_MASK1_OFFSET                          0x00000010
#define KHUBAON_CLK_MGR_REG_POLICY0_MASK1_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_POLICY0_MASK1_RESERVED_MASK                   0x7F803697
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PSCS_POLICY0_MASK_SHIFT      22
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PSCS_POLICY0_MASK_MASK       0x00400000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_DAP_POLICY0_MASK_SHIFT       21
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_DAP_POLICY0_MASK_MASK        0x00200000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SIM2_POLICY0_MASK_SHIFT      20
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SIM2_POLICY0_MASK_MASK       0x00100000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SIM_POLICY0_MASK_SHIFT       19
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SIM_POLICY0_MASK_MASK        0x00080000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_ACI_POLICY0_MASK_SHIFT       18
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_ACI_POLICY0_MASK_MASK        0x00040000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SPM_POLICY0_MASK_SHIFT       17
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SPM_POLICY0_MASK_MASK        0x00020000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SEC_WD_POLICY0_MASK_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SEC_WD_POLICY0_MASK_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_FMON_POLICY0_MASK_SHIFT      15
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_FMON_POLICY0_MASK_MASK       0x00008000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_VCEMI_POLICY0_MASK_SHIFT     14
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_VCEMI_POLICY0_MASK_MASK      0x00004000
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SYSEMI_POLICY0_MASK_SHIFT    11
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_SYSEMI_POLICY0_MASK_MASK     0x00000800
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PMU_BSC_POLICY0_MASK_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_PMU_BSC_POLICY0_MASK_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_HUB_TIMER_POLICY0_MASK_SHIFT 6
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_HUB_TIMER_POLICY0_MASK_MASK  0x00000040
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_HUBAON_POLICY0_MASK_SHIFT    5
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_HUBAON_POLICY0_MASK_MASK     0x00000020
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_GPIOKP_POLICY0_MASK_SHIFT    3
#define    KHUBAON_CLK_MGR_REG_POLICY0_MASK1_GPIOKP_POLICY0_MASK_MASK     0x00000008

#define KHUBAON_CLK_MGR_REG_POLICY1_MASK1_OFFSET                          0x00000014
#define KHUBAON_CLK_MGR_REG_POLICY1_MASK1_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_POLICY1_MASK1_RESERVED_MASK                   0x7F803697
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PSCS_POLICY1_MASK_SHIFT      22
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PSCS_POLICY1_MASK_MASK       0x00400000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_DAP_POLICY1_MASK_SHIFT       21
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_DAP_POLICY1_MASK_MASK        0x00200000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SIM2_POLICY1_MASK_SHIFT      20
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SIM2_POLICY1_MASK_MASK       0x00100000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SIM_POLICY1_MASK_SHIFT       19
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SIM_POLICY1_MASK_MASK        0x00080000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_ACI_POLICY1_MASK_SHIFT       18
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_ACI_POLICY1_MASK_MASK        0x00040000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SPM_POLICY1_MASK_SHIFT       17
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SPM_POLICY1_MASK_MASK        0x00020000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SEC_WD_POLICY1_MASK_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SEC_WD_POLICY1_MASK_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_FMON_POLICY1_MASK_SHIFT      15
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_FMON_POLICY1_MASK_MASK       0x00008000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_VCEMI_POLICY1_MASK_SHIFT     14
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_VCEMI_POLICY1_MASK_MASK      0x00004000
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SYSEMI_POLICY1_MASK_SHIFT    11
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_SYSEMI_POLICY1_MASK_MASK     0x00000800
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PMU_BSC_POLICY1_MASK_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_PMU_BSC_POLICY1_MASK_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_HUB_TIMER_POLICY1_MASK_SHIFT 6
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_HUB_TIMER_POLICY1_MASK_MASK  0x00000040
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_HUBAON_POLICY1_MASK_SHIFT    5
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_HUBAON_POLICY1_MASK_MASK     0x00000020
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_GPIOKP_POLICY1_MASK_SHIFT    3
#define    KHUBAON_CLK_MGR_REG_POLICY1_MASK1_GPIOKP_POLICY1_MASK_MASK     0x00000008

#define KHUBAON_CLK_MGR_REG_POLICY2_MASK1_OFFSET                          0x00000018
#define KHUBAON_CLK_MGR_REG_POLICY2_MASK1_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_POLICY2_MASK1_RESERVED_MASK                   0x7F803697
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PSCS_POLICY2_MASK_SHIFT      22
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PSCS_POLICY2_MASK_MASK       0x00400000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_DAP_POLICY2_MASK_SHIFT       21
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_DAP_POLICY2_MASK_MASK        0x00200000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SIM2_POLICY2_MASK_SHIFT      20
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SIM2_POLICY2_MASK_MASK       0x00100000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SIM_POLICY2_MASK_SHIFT       19
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SIM_POLICY2_MASK_MASK        0x00080000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_ACI_POLICY2_MASK_SHIFT       18
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_ACI_POLICY2_MASK_MASK        0x00040000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SPM_POLICY2_MASK_SHIFT       17
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SPM_POLICY2_MASK_MASK        0x00020000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SEC_WD_POLICY2_MASK_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SEC_WD_POLICY2_MASK_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_FMON_POLICY2_MASK_SHIFT      15
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_FMON_POLICY2_MASK_MASK       0x00008000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_VCEMI_POLICY2_MASK_SHIFT     14
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_VCEMI_POLICY2_MASK_MASK      0x00004000
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SYSEMI_POLICY2_MASK_SHIFT    11
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_SYSEMI_POLICY2_MASK_MASK     0x00000800
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PMU_BSC_POLICY2_MASK_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_PMU_BSC_POLICY2_MASK_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_HUB_TIMER_POLICY2_MASK_SHIFT 6
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_HUB_TIMER_POLICY2_MASK_MASK  0x00000040
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_HUBAON_POLICY2_MASK_SHIFT    5
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_HUBAON_POLICY2_MASK_MASK     0x00000020
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_GPIOKP_POLICY2_MASK_SHIFT    3
#define    KHUBAON_CLK_MGR_REG_POLICY2_MASK1_GPIOKP_POLICY2_MASK_MASK     0x00000008

#define KHUBAON_CLK_MGR_REG_POLICY3_MASK1_OFFSET                          0x0000001C
#define KHUBAON_CLK_MGR_REG_POLICY3_MASK1_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_POLICY3_MASK1_RESERVED_MASK                   0x7F803697
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PSCS_POLICY3_MASK_SHIFT      22
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PSCS_POLICY3_MASK_MASK       0x00400000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_DAP_POLICY3_MASK_SHIFT       21
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_DAP_POLICY3_MASK_MASK        0x00200000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SIM2_POLICY3_MASK_SHIFT      20
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SIM2_POLICY3_MASK_MASK       0x00100000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SIM_POLICY3_MASK_SHIFT       19
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SIM_POLICY3_MASK_MASK        0x00080000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_ACI_POLICY3_MASK_SHIFT       18
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_ACI_POLICY3_MASK_MASK        0x00040000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SPM_POLICY3_MASK_SHIFT       17
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SPM_POLICY3_MASK_MASK        0x00020000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SEC_WD_POLICY3_MASK_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SEC_WD_POLICY3_MASK_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_FMON_POLICY3_MASK_SHIFT      15
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_FMON_POLICY3_MASK_MASK       0x00008000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_VCEMI_POLICY3_MASK_SHIFT     14
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_VCEMI_POLICY3_MASK_MASK      0x00004000
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SYSEMI_POLICY3_MASK_SHIFT    11
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_SYSEMI_POLICY3_MASK_MASK     0x00000800
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PMU_BSC_POLICY3_MASK_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_PMU_BSC_POLICY3_MASK_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_HUB_TIMER_POLICY3_MASK_SHIFT 6
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_HUB_TIMER_POLICY3_MASK_MASK  0x00000040
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_HUBAON_POLICY3_MASK_SHIFT    5
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_HUBAON_POLICY3_MASK_MASK     0x00000020
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_GPIOKP_POLICY3_MASK_SHIFT    3
#define    KHUBAON_CLK_MGR_REG_POLICY3_MASK1_GPIOKP_POLICY3_MASK_MASK     0x00000008

#define KHUBAON_CLK_MGR_REG_INTEN_OFFSET                                  0x00000020
#define KHUBAON_CLK_MGR_REG_INTEN_TYPE                                    UInt32
#define KHUBAON_CLK_MGR_REG_INTEN_RESERVED_MASK                           0x7FFFFFFC
#define    KHUBAON_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_SHIFT               31
#define    KHUBAON_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_MASK                0x80000000
#define    KHUBAON_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_SHIFT               1
#define    KHUBAON_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_MASK                0x00000002
#define    KHUBAON_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_SHIFT               0
#define    KHUBAON_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_MASK                0x00000001

#define KHUBAON_CLK_MGR_REG_INTSTAT_OFFSET                                0x00000024
#define KHUBAON_CLK_MGR_REG_INTSTAT_TYPE                                  UInt32
#define KHUBAON_CLK_MGR_REG_INTSTAT_RESERVED_MASK                         0x7FFFFFFC
#define    KHUBAON_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUBAON_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUBAON_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_SHIFT              1
#define    KHUBAON_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_MASK               0x00000002
#define    KHUBAON_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_SHIFT              0
#define    KHUBAON_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_MASK               0x00000001

#define KHUBAON_CLK_MGR_REG_VLT_PERI_OFFSET                               0x00000030
#define KHUBAON_CLK_MGR_REG_VLT_PERI_TYPE                                 UInt32
#define KHUBAON_CLK_MGR_REG_VLT_PERI_RESERVED_MASK                        0x7FFFF0F0
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_SHIFT               8
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_MASK                0x00000F00
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_SHIFT             0
#define    KHUBAON_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_MASK              0x0000000F

#define KHUBAON_CLK_MGR_REG_LVM_EN_OFFSET                                 0x00000034
#define KHUBAON_CLK_MGR_REG_LVM_EN_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_LVM_EN_RESERVED_MASK                          0x7FFFFFFE
#define    KHUBAON_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_SHIFT              0
#define    KHUBAON_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_MASK               0x00000001

#define KHUBAON_CLK_MGR_REG_LVM0_3_OFFSET                                 0x00000038
#define KHUBAON_CLK_MGR_REG_LVM0_3_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_LVM0_3_RESERVED_MASK                          0x7FFF0000
#define    KHUBAON_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_SHIFT                  12
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_MASK                   0x0000F000
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_SHIFT                  8
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_MASK                   0x00000F00
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_SHIFT                  4
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_MASK                   0x000000F0
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_SHIFT                  0
#define    KHUBAON_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_MASK                   0x0000000F

#define KHUBAON_CLK_MGR_REG_LVM4_7_OFFSET                                 0x0000003C
#define KHUBAON_CLK_MGR_REG_LVM4_7_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_LVM4_7_RESERVED_MASK                          0x7FFF0000
#define    KHUBAON_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_SHIFT                  12
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_MASK                   0x0000F000
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_SHIFT                  8
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_MASK                   0x00000F00
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_SHIFT                  4
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_MASK                   0x000000F0
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_SHIFT                  0
#define    KHUBAON_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_MASK                   0x0000000F

#define KHUBAON_CLK_MGR_REG_VLT0_3_OFFSET                                 0x00000040
#define KHUBAON_CLK_MGR_REG_VLT0_3_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_VLT0_3_RESERVED_MASK                          0x70F0F0F0
#define    KHUBAON_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_SHIFT                  24
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_MASK                   0x0F000000
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_SHIFT                  16
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_MASK                   0x000F0000
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_SHIFT                  8
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_MASK                   0x00000F00
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_SHIFT                  0
#define    KHUBAON_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_MASK                   0x0000000F

#define KHUBAON_CLK_MGR_REG_VLT4_7_OFFSET                                 0x00000044
#define KHUBAON_CLK_MGR_REG_VLT4_7_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_VLT4_7_RESERVED_MASK                          0x70F0F0F0
#define    KHUBAON_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_SHIFT                  24
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_MASK                   0x0F000000
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_SHIFT                  16
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_MASK                   0x000F0000
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_SHIFT                  8
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_MASK                   0x00000F00
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_SHIFT                  0
#define    KHUBAON_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_MASK                   0x0000000F

#define KHUBAON_CLK_MGR_REG_BUS_QUIESC_OFFSET                             0x00000100
#define KHUBAON_CLK_MGR_REG_BUS_QUIESC_TYPE                               UInt32
#define KHUBAON_CLK_MGR_REG_BUS_QUIESC_RESERVED_MASK                      0x7FFFFFFE
#define    KHUBAON_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUBAON_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUBAON_CLK_MGR_REG_BUS_QUIESC_HUBAON_SWITCH_REQGNT_INH_SHIFT  0
#define    KHUBAON_CLK_MGR_REG_BUS_QUIESC_HUBAON_SWITCH_REQGNT_INH_MASK   0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_CLKGATE_OFFSET                            0x00000200
#define KHUBAON_CLK_MGR_REG_HUB_CLKGATE_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_HUB_CLKGATE_RESERVED_MASK                     0x6FFEFCFD
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_VOLTAGE_LEVEL_SHIFT     28
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_VOLTAGE_LEVEL_MASK      0x10000000
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_STPRSTS_SHIFT           16
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_STPRSTS_MASK            0x00010000
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HYST_EN_SHIFT           9
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HYST_EN_MASK            0x00000200
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HYST_VAL_SHIFT          8
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HYST_VAL_MASK           0x00000100
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HW_SW_GATING_SEL_SHIFT  1
#define    KHUBAON_CLK_MGR_REG_HUB_CLKGATE_HUBAON_HW_SW_GATING_SEL_MASK   0x00000002

#define KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_OFFSET                         0x00000308
#define KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_TYPE                           UInt32
#define KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_RESERVED_MASK                  0x7FFEFCFC
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_STPRSTS_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_STPRSTS_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HYST_EN_SHIFT    9
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HYST_EN_MASK     0x00000200
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HYST_VAL_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HYST_VAL_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_CLK_EN_SHIFT     0
#define    KHUBAON_CLK_MGR_REG_PWRMGR_CLKGATE_PWRMGR_AXI_CLK_EN_MASK      0x00000001

#define KHUBAON_CLK_MGR_REG_APB6_CLKGATE_OFFSET                           0x00000404
#define KHUBAON_CLK_MGR_REG_APB6_CLKGATE_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_APB6_CLKGATE_RESERVED_MASK                    0x7FFEFFFD
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_APB6_STPRSTS_SHIFT            16
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_APB6_STPRSTS_MASK             0x00010000
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_APB6_HW_SW_GATING_SEL_SHIFT   1
#define    KHUBAON_CLK_MGR_REG_APB6_CLKGATE_APB6_HW_SW_GATING_SEL_MASK    0x00000002

#define KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_OFFSET                         0x00000410
#define KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_TYPE                           UInt32
#define KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_RESERVED_MASK                  0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_VOLTAGE_LEVEL_SHIFT  28
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_VOLTAGE_LEVEL_MASK   0x10000000
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_STPRSTS_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_STPRSTS_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HYST_EN_SHIFT    9
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HYST_EN_MASK     0x00000200
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HYST_VAL_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HYST_VAL_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_CLK_EN_SHIFT     0
#define    KHUBAON_CLK_MGR_REG_GPIOKP_CLKGATE_GPIOKP_APB_CLK_EN_MASK      0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_OFFSET                      0x00000414
#define KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_TYPE                        UInt32
#define KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_RESERVED_MASK               0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_VOLTAGE_LEVEL_SHIFT 28
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_STPRSTS_SHIFT 18
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_STPRSTS_MASK 0x00040000
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_STPRSTS_SHIFT  16
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_STPRSTS_MASK   0x00010000
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HYST_EN_SHIFT 11
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HYST_EN_MASK 0x00000800
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HYST_VAL_SHIFT 10
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HYST_VAL_MASK 0x00000400
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HYST_EN_SHIFT  9
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HYST_EN_MASK   0x00000200
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HYST_VAL_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HYST_VAL_MASK  0x00000100
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_CLK_EN_SHIFT 2
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_APB_CLK_EN_MASK 0x00000004
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_CLK_EN_SHIFT   0
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_CLKGATE_HUB_TIMER_CLK_EN_MASK    0x00000001

#define KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_OFFSET                        0x00000418
#define KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_TYPE                          UInt32
#define KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_RESERVED_MASK                 0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_VOLTAGE_LEVEL_SHIFT 28
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_STPRSTS_SHIFT  18
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_STPRSTS_MASK   0x00040000
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_STPRSTS_SHIFT      16
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_STPRSTS_MASK       0x00010000
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HYST_EN_SHIFT  11
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HYST_EN_MASK   0x00000800
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HYST_VAL_SHIFT 10
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HYST_VAL_MASK  0x00000400
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HYST_EN_SHIFT      9
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HYST_EN_MASK       0x00000200
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HYST_VAL_SHIFT     8
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HYST_VAL_MASK      0x00000100
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_CLK_EN_SHIFT   2
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_APB_CLK_EN_MASK    0x00000004
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_CLK_EN_SHIFT       0
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_CLKGATE_PMU_BSC_CLK_EN_MASK        0x00000001

#define KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_OFFSET                        0x0000041C
#define KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_TYPE                          UInt32
#define KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_RESERVED_MASK                 0x7FFEFCFC
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_STPRSTS_SHIFT  16
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_STPRSTS_MASK   0x00010000
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HYST_EN_SHIFT  9
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HYST_EN_MASK   0x00000200
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HYST_VAL_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HYST_VAL_MASK  0x00000100
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_CLK_EN_SHIFT   0
#define    KHUBAON_CLK_MGR_REG_CHIPREG_CLKGATE_CHIPREG_APB_CLK_EN_MASK    0x00000001

#define KHUBAON_CLK_MGR_REG_FMON_CLKGATE_OFFSET                           0x00000420
#define KHUBAON_CLK_MGR_REG_FMON_CLKGATE_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_FMON_CLKGATE_RESERVED_MASK                    0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_VOLTAGE_LEVEL_SHIFT      28
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_VOLTAGE_LEVEL_MASK       0x10000000
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_STPRSTS_SHIFT        16
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_STPRSTS_MASK         0x00010000
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HYST_EN_SHIFT        9
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HYST_EN_MASK         0x00000200
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HYST_VAL_SHIFT       8
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HYST_VAL_MASK        0x00000100
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_CLK_EN_SHIFT         0
#define    KHUBAON_CLK_MGR_REG_FMON_CLKGATE_FMON_APB_CLK_EN_MASK          0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_OFFSET                      0x00000424
#define KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_TYPE                        UInt32
#define KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_RESERVED_MASK               0x7FFEFCFC
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_STPRSTS_SHIFT 16
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_STPRSTS_MASK 0x00010000
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HYST_EN_SHIFT 9
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HYST_EN_MASK 0x00000200
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HYST_VAL_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HYST_VAL_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_CLK_EN_SHIFT 0
#define    KHUBAON_CLK_MGR_REG_HUB_TZCFG_CLKGATE_HUB_TZCFG_APB_CLK_EN_MASK 0x00000001

#define KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_OFFSET                         0x00000428
#define KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_TYPE                           UInt32
#define KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_RESERVED_MASK                  0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_VOLTAGE_LEVEL_SHIFT  28
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_VOLTAGE_LEVEL_MASK   0x10000000
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_STPRSTS_SHIFT    16
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_STPRSTS_MASK     0x00010000
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HYST_EN_SHIFT    9
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HYST_EN_MASK     0x00000200
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HYST_VAL_SHIFT   8
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HYST_VAL_MASK    0x00000100
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_CLK_EN_SHIFT     0
#define    KHUBAON_CLK_MGR_REG_SEC_WD_CLKGATE_SEC_WD_APB_CLK_EN_MASK      0x00000001

#define KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_OFFSET                         0x00000434
#define KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_TYPE                           UInt32
#define KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_RESERVED_MASK                  0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_VOLTAGE_LEVEL_SHIFT  28
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_VOLTAGE_LEVEL_MASK   0x10000000
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_STPRSTS_SHIFT 18
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_STPRSTS_MASK 0x00040000
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_STPRSTS_SHIFT 16
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_STPRSTS_MASK 0x00010000
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HYST_EN_SHIFT 11
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HYST_EN_MASK 0x00000800
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HYST_VAL_SHIFT 10
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HYST_VAL_MASK 0x00000400
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HYST_EN_SHIFT 9
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HYST_EN_MASK 0x00000200
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HYST_VAL_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HYST_VAL_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_CLK_EN_SHIFT 2
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_SEC_APB_CLK_EN_MASK  0x00000004
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_CLK_EN_SHIFT 0
#define    KHUBAON_CLK_MGR_REG_SYSEMI_CLKGATE_SYSEMI_OPEN_APB_CLK_EN_MASK 0x00000001

#define KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_OFFSET                          0x00000440
#define KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_RESERVED_MASK                   0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_VOLTAGE_LEVEL_SHIFT    28
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_VOLTAGE_LEVEL_MASK     0x10000000
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_STPRSTS_SHIFT  18
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_STPRSTS_MASK   0x00040000
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_STPRSTS_SHIFT 16
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_STPRSTS_MASK  0x00010000
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HYST_EN_SHIFT  11
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HYST_EN_MASK   0x00000800
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HYST_VAL_SHIFT 10
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HYST_VAL_MASK  0x00000400
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HYST_EN_SHIFT 9
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HYST_EN_MASK  0x00000200
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HYST_VAL_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HYST_VAL_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_CLK_EN_SHIFT   2
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_SEC_APB_CLK_EN_MASK    0x00000004
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_CLK_EN_SHIFT  0
#define    KHUBAON_CLK_MGR_REG_VCEMI_CLKGATE_VCEMI_OPEN_APB_CLK_EN_MASK   0x00000001

#define KHUBAON_CLK_MGR_REG_ACI_CLKGATE_OFFSET                            0x00000478
#define KHUBAON_CLK_MGR_REG_ACI_CLKGATE_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_ACI_CLKGATE_RESERVED_MASK                     0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_VOLTAGE_LEVEL_SHIFT        28
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_VOLTAGE_LEVEL_MASK         0x10000000
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_STPRSTS_SHIFT          16
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_STPRSTS_MASK           0x00010000
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HYST_EN_SHIFT          9
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HYST_EN_MASK           0x00000200
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HYST_VAL_SHIFT         8
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HYST_VAL_MASK          0x00000100
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_HW_SW_GATING_SEL_MASK  0x00000002
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_CLK_EN_SHIFT           0
#define    KHUBAON_CLK_MGR_REG_ACI_CLKGATE_ACI_APB_CLK_EN_MASK            0x00000001

#define KHUBAON_CLK_MGR_REG_SIM_CLKGATE_OFFSET                            0x00000494
#define KHUBAON_CLK_MGR_REG_SIM_CLKGATE_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_SIM_CLKGATE_RESERVED_MASK                     0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_VOLTAGE_LEVEL_SHIFT        28
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_VOLTAGE_LEVEL_MASK         0x10000000
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_STPRSTS_SHIFT          18
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_STPRSTS_MASK           0x00040000
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_STPRSTS_SHIFT              16
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_STPRSTS_MASK               0x00010000
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HYST_EN_SHIFT          11
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HYST_EN_MASK           0x00000800
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HYST_VAL_SHIFT         10
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HYST_VAL_MASK          0x00000400
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HYST_EN_SHIFT              9
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HYST_EN_MASK               0x00000200
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HYST_VAL_SHIFT             8
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HYST_VAL_MASK              0x00000100
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_HW_SW_GATING_SEL_MASK  0x00000008
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_CLK_EN_SHIFT           2
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_APB_CLK_EN_MASK            0x00000004
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HW_SW_GATING_SEL_SHIFT     1
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_HW_SW_GATING_SEL_MASK      0x00000002
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_CLK_EN_SHIFT               0
#define    KHUBAON_CLK_MGR_REG_SIM_CLKGATE_SIM_CLK_EN_MASK                0x00000001

#define KHUBAON_CLK_MGR_REG_SPM_CLKGATE_OFFSET                            0x0000049C
#define KHUBAON_CLK_MGR_REG_SPM_CLKGATE_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_SPM_CLKGATE_RESERVED_MASK                     0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_VOLTAGE_LEVEL_SHIFT        28
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_VOLTAGE_LEVEL_MASK         0x10000000
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_STPRSTS_SHIFT          16
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_STPRSTS_MASK           0x00010000
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HYST_EN_SHIFT          9
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HYST_EN_MASK           0x00000200
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HYST_VAL_SHIFT         8
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HYST_VAL_MASK          0x00000100
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_HW_SW_GATING_SEL_MASK  0x00000002
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_CLK_EN_SHIFT           0
#define    KHUBAON_CLK_MGR_REG_SPM_CLKGATE_SPM_APB_CLK_EN_MASK            0x00000001

#define KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_OFFSET                           0x000004A0
#define KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_RESERVED_MASK                    0x6FFAF0F0
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_VOLTAGE_LEVEL_SHIFT      28
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_VOLTAGE_LEVEL_MASK       0x10000000
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_STPRSTS_SHIFT        18
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_STPRSTS_MASK         0x00040000
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_STPRSTS_SHIFT            16
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_STPRSTS_MASK             0x00010000
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HYST_EN_SHIFT        11
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HYST_EN_MASK         0x00000800
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HYST_VAL_SHIFT       10
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HYST_VAL_MASK        0x00000400
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HYST_EN_SHIFT            9
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HYST_EN_MASK             0x00000200
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HYST_VAL_SHIFT           8
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HYST_VAL_MASK            0x00000100
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HW_SW_GATING_SEL_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_CLK_EN_SHIFT         2
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_APB_CLK_EN_MASK          0x00000004
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HW_SW_GATING_SEL_SHIFT   1
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_HW_SW_GATING_SEL_MASK    0x00000002
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_CLK_EN_SHIFT             0
#define    KHUBAON_CLK_MGR_REG_SIM2_CLKGATE_SIM2_CLK_EN_MASK              0x00000001

#define KHUBAON_CLK_MGR_REG_DAP_CLKGATE_OFFSET                            0x000004A8
#define KHUBAON_CLK_MGR_REG_DAP_CLKGATE_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_DAP_CLKGATE_RESERVED_MASK                     0x7FFEFCFC
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_STPRSTS_SHIFT              16
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_STPRSTS_MASK               0x00010000
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_EN_SHIFT              9
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_EN_MASK               0x00000200
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_VAL_SHIFT             8
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_VAL_MASK              0x00000100
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HW_SW_GATING_SEL_SHIFT     1
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_HW_SW_GATING_SEL_MASK      0x00000002
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_CLK_EN_SHIFT               0
#define    KHUBAON_CLK_MGR_REG_DAP_CLKGATE_DAP_CLK_EN_MASK                0x00000001

#define KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_OFFSET                           0x000004AC
#define KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_RESERVED_MASK                    0x6FFEFCFC
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_VOLTAGE_LEVEL_SHIFT      28
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_VOLTAGE_LEVEL_MASK       0x10000000
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_STPRSTS_SHIFT            16
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_STPRSTS_MASK             0x00010000
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HYST_EN_SHIFT            9
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HYST_EN_MASK             0x00000200
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HYST_VAL_SHIFT           8
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HYST_VAL_MASK            0x00000100
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HW_SW_GATING_SEL_SHIFT   1
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_HW_SW_GATING_SEL_MASK    0x00000002
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_CLK_EN_SHIFT             0
#define    KHUBAON_CLK_MGR_REG_PSCS_CLKGATE_PSCS_CLK_EN_MASK              0x00000001

#define KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_OFFSET                          0x00000A00
#define KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_RESERVED_MASK                   0x7FFFFE0C
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_DIV_SHIFT          4
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_DIV_MASK           0x000001F0
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_PLL_SELECT_SHIFT   0
#define    KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_PLL_SELECT_MASK    0x00000003
#define       KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_ASYNC_PRE_DIV_ASYNC_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001

#define KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_OFFSET                            0x00000A04
#define KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_RESERVED_MASK                     0x7FFFFF84
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_DIV_SHIFT              3
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_DIV_MASK               0x00000078
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_PLL_SELECT_SHIFT       0
#define    KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_PLL_SELECT_MASK        0x00000003
#define       KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_PLL_SELECT_CMD_PMU_BSC_VAR_CLK 0x00000001
#define       KHUBAON_CLK_MGR_REG_PMU_BSC_DIV_PMU_BSC_PLL_SELECT_CMD_BBL_32K_CLK 0x00000002

#define KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_OFFSET                          0x00000A10
#define KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_RESERVED_MASK                   0x7FFFFFFC
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_HUB_TIMER_PLL_SELECT_SHIFT   0
#define    KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_HUB_TIMER_PLL_SELECT_MASK    0x00000003
#define       KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_HUB_TIMER_PLL_SELECT_CMD_BBL_32K_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_HUB_TIMER_PLL_SELECT_CMD_FRAC_1M_CLK 0x00000001
#define       KHUBAON_CLK_MGR_REG_HUB_TIMER_DIV_HUB_TIMER_PLL_SELECT_CMD_DFT_19_5M_CLK 0x00000002

#define KHUBAON_CLK_MGR_REG_SIM_DIV_OFFSET                                0x00000A14
#define KHUBAON_CLK_MGR_REG_SIM_DIV_TYPE                                  UInt32
#define KHUBAON_CLK_MGR_REG_SIM_DIV_RESERVED_MASK                         0x7FFFF008
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_DIV_SHIFT                      8
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_DIV_MASK                       0x00000F00
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_DIV_SHIFT                  4
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_DIV_MASK                   0x000000F0
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_SHIFT           0
#define    KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_MASK            0x00000007
#define       KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001
#define       KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000002
#define       KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_CMD_REF_96M_CLK 0x00000003
#define       KHUBAON_CLK_MGR_REG_SIM_DIV_SIM_PRE_PLL_SELECT_CMD_VAR_96M_CLK 0x00000004

#define KHUBAON_CLK_MGR_REG_SIM2_DIV_OFFSET                               0x00000A18
#define KHUBAON_CLK_MGR_REG_SIM2_DIV_TYPE                                 UInt32
#define KHUBAON_CLK_MGR_REG_SIM2_DIV_RESERVED_MASK                        0x7FFFF008
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_DIV_SHIFT                    8
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_DIV_MASK                     0x00000F00
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_DIV_SHIFT                4
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_DIV_MASK                 0x000000F0
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_SHIFT         0
#define    KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_MASK          0x00000007
#define       KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001
#define       KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000002
#define       KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_CMD_REF_96M_CLK 0x00000003
#define       KHUBAON_CLK_MGR_REG_SIM2_DIV_SIM2_PRE_PLL_SELECT_CMD_VAR_96M_CLK 0x00000004

#define KHUBAON_CLK_MGR_REG_PSCS_DIV_OFFSET                               0x00000A1C
#define KHUBAON_CLK_MGR_REG_PSCS_DIV_TYPE                                 UInt32
#define KHUBAON_CLK_MGR_REG_PSCS_DIV_RESERVED_MASK                        0x7FFFFF8C
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_DIV_SHIFT                    4
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_DIV_MASK                     0x00000070
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_PLL_SELECT_SHIFT             0
#define    KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_PLL_SELECT_MASK              0x00000003
#define       KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_PSCS_DIV_PSCS_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001

#define KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_OFFSET                         0x00000A40
#define KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_TYPE                           UInt32
#define KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_RESERVED_MASK                  0x7FFFFF0A
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PSCS_TRIGGER_SHIFT          7
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PSCS_TRIGGER_MASK           0x00000080
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_SIM2_PRE_TRIGGER_SHIFT      6
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_SIM2_PRE_TRIGGER_MASK       0x00000040
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_SIM_PRE_TRIGGER_SHIFT       5
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_SIM_PRE_TRIGGER_MASK        0x00000020
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_HUB_TIMER_TRIGGER_SHIFT     4
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_HUB_TIMER_TRIGGER_MASK      0x00000010
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_ASYNC_PRE_TRIGGER_SHIFT     2
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_ASYNC_PRE_TRIGGER_MASK      0x00000004
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PMU_BSC_TRIGGER_SHIFT       0
#define    KHUBAON_CLK_MGR_REG_PERIPH_SEG_TRG_PMU_BSC_TRIGGER_MASK        0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_DIV_OFFSET                                0x00000E00
#define KHUBAON_CLK_MGR_REG_HUB_DIV_TYPE                                  UInt32
#define KHUBAON_CLK_MGR_REG_HUB_DIV_RESERVED_MASK                         0x41FEED04
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_FREE_DIV_OVERRIDE_SHIFT       29
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_FREE_DIV_OVERRIDE_MASK        0x20000000
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_FREE_DIV_SHIFT                25
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_FREE_DIV_MASK                 0x1E000000
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_CLK_EN_SHIFT                  16
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_APB6_CLK_EN_MASK                   0x00010000
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_CLK_EN_SHIFT                12
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_CLK_EN_MASK                 0x00001000
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_DIV_OVERRIDE_SHIFT          9
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_DIV_OVERRIDE_MASK           0x00000200
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_DIV_SHIFT                   4
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_DIV_MASK                    0x000000F0
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_OVERRIDE_SHIFT   3
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_OVERRIDE_MASK    0x00000008
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_SHIFT            0
#define    KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_MASK             0x00000003
#define       KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUBAON_CLK_MGR_REG_HUB_DIV_HUBAON_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OFFSET                            0x00000E04
#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_RESERVED_MASK                     0x7FFFFFFE
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_HUBAON_TRIGGER_SHIFT           0
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_HUBAON_TRIGGER_MASK            0x00000001

#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_OFFSET                   0x00000E08
#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_TYPE                     UInt32
#define KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_RESERVED_MASK            0x7FFFFFFE
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_PRIV_ACCESS_MODE_SHIFT 31
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_HUBAON_TRIGGER_OVERRIDE_SHIFT 0
#define    KHUBAON_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_HUBAON_TRIGGER_OVERRIDE_MASK 0x00000001

#define KHUBAON_CLK_MGR_REG_CLKGATE_DBG_OFFSET                            0x00000E40
#define KHUBAON_CLK_MGR_REG_CLKGATE_DBG_TYPE                              UInt32
#define KHUBAON_CLK_MGR_REG_CLKGATE_DBG_RESERVED_MASK                     0x7FF00CF3
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PSCS_POLICY_OVERRIDE_SHIFT     19
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PSCS_POLICY_OVERRIDE_MASK      0x00080000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PSCS_POLICY_OVERRIDE_VALUE_SHIFT 18
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PSCS_POLICY_OVERRIDE_VALUE_MASK 0x00040000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM2_POLICY_OVERRIDE_SHIFT     17
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM2_POLICY_OVERRIDE_MASK      0x00020000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM2_POLICY_OVERRIDE_VALUE_SHIFT 16
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM2_POLICY_OVERRIDE_VALUE_MASK 0x00010000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUB_TIMER_POLICY_OVERRIDE_SHIFT 15
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUB_TIMER_POLICY_OVERRIDE_MASK 0x00008000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUB_TIMER_POLICY_OVERRIDE_VALUE_SHIFT 14
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUB_TIMER_POLICY_OVERRIDE_VALUE_MASK 0x00004000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM_POLICY_OVERRIDE_SHIFT      13
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM_POLICY_OVERRIDE_MASK       0x00002000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_SIM_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PMU_BSC_POLICY_OVERRIDE_SHIFT  9
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PMU_BSC_POLICY_OVERRIDE_MASK   0x00000200
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PMU_BSC_POLICY_OVERRIDE_VALUE_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_PMU_BSC_POLICY_OVERRIDE_VALUE_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUBAON_POLICY_OVERRIDE_SHIFT   3
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUBAON_POLICY_OVERRIDE_MASK    0x00000008
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUBAON_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUBAON_CLK_MGR_REG_CLKGATE_DBG_HUBAON_POLICY_OVERRIDE_VALUE_MASK 0x00000004

#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_OFFSET                        0x00000E44
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_TYPE                          UInt32
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_RESERVED_MASK                 0x43C33C3F
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PRIV_ACCESS_MODE_SHIFT     31
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PRIV_ACCESS_MODE_MASK      0x80000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_SEC_APB_POLICY_OVERRIDE_SHIFT 29
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_SEC_APB_POLICY_OVERRIDE_MASK 0x20000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_SEC_APB_POLICY_OVERRIDE_VALUE_SHIFT 28
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_SEC_APB_POLICY_OVERRIDE_VALUE_MASK 0x10000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_OPEN_APB_POLICY_OVERRIDE_SHIFT 27
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_OPEN_APB_POLICY_OVERRIDE_MASK 0x08000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_OPEN_APB_POLICY_OVERRIDE_VALUE_SHIFT 26
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_VCEMI_OPEN_APB_POLICY_OVERRIDE_VALUE_MASK 0x04000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_SEC_APB_POLICY_OVERRIDE_SHIFT 21
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_SEC_APB_POLICY_OVERRIDE_MASK 0x00200000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_SEC_APB_POLICY_OVERRIDE_VALUE_SHIFT 20
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_SEC_APB_POLICY_OVERRIDE_VALUE_MASK 0x00100000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_OPEN_APB_POLICY_OVERRIDE_SHIFT 19
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_OPEN_APB_POLICY_OVERRIDE_MASK 0x00080000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_OPEN_APB_POLICY_OVERRIDE_VALUE_SHIFT 18
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_SYSEMI_OPEN_APB_POLICY_OVERRIDE_VALUE_MASK 0x00040000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PMU_BSC_APB_POLICY_OVERRIDE_SHIFT 15
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PMU_BSC_APB_POLICY_OVERRIDE_MASK 0x00008000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PMU_BSC_APB_POLICY_OVERRIDE_VALUE_SHIFT 14
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_PMU_BSC_APB_POLICY_OVERRIDE_VALUE_MASK 0x00004000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_HUB_TIMER_APB_POLICY_OVERRIDE_SHIFT 9
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_HUB_TIMER_APB_POLICY_OVERRIDE_MASK 0x00000200
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_HUB_TIMER_APB_POLICY_OVERRIDE_VALUE_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_HUB_TIMER_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_GPIOKP_APB_POLICY_OVERRIDE_SHIFT 7
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_GPIOKP_APB_POLICY_OVERRIDE_MASK 0x00000080
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_GPIOKP_APB_POLICY_OVERRIDE_VALUE_SHIFT 6
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG_GPIOKP_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000040

#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_OFFSET                       0x00000E48
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_TYPE                         UInt32
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_RESERVED_MASK                0x7FFFFFC0
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SPM_APB_POLICY_OVERRIDE_SHIFT 5
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SPM_APB_POLICY_OVERRIDE_MASK 0x00000020
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SPM_APB_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SPM_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_FMON_APB_POLICY_OVERRIDE_SHIFT 3
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_FMON_APB_POLICY_OVERRIDE_MASK 0x00000008
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_FMON_APB_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_FMON_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_WD_APB_POLICY_OVERRIDE_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_WD_APB_POLICY_OVERRIDE_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_WD_APB_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_WD_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_OFFSET                       0x00000E4C
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_TYPE                         UInt32
#define KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_RESERVED_MASK                0x7FC0FFFC
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_DAP_POLICY_OVERRIDE_VALUE_SHIFT 21
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_DAP_POLICY_OVERRIDE_VALUE_MASK 0x00200000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_DAP_POLICY_OVERRIDE_SHIFT 20
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_DAP_POLICY_OVERRIDE_MASK  0x00100000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM2_APB_POLICY_OVERRIDE_SHIFT 19
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM2_APB_POLICY_OVERRIDE_MASK 0x00080000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM2_APB_POLICY_OVERRIDE_VALUE_SHIFT 18
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM2_APB_POLICY_OVERRIDE_VALUE_MASK 0x00040000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM_APB_POLICY_OVERRIDE_SHIFT 17
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM_APB_POLICY_OVERRIDE_MASK 0x00020000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM_APB_POLICY_OVERRIDE_VALUE_SHIFT 16
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_SIM_APB_POLICY_OVERRIDE_VALUE_MASK 0x00010000
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_ACI_APB_POLICY_OVERRIDE_SHIFT 1
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_ACI_APB_POLICY_OVERRIDE_MASK 0x00000002
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_ACI_APB_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    KHUBAON_CLK_MGR_REG_APB_CLKGATE_DBG2_ACI_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define KHUBAON_CLK_MGR_REG_CLKMON_OFFSET                                 0x00000E54
#define KHUBAON_CLK_MGR_REG_CLKMON_TYPE                                   UInt32
#define KHUBAON_CLK_MGR_REG_CLKMON_RESERVED_MASK                          0x7FFFFC00
#define    KHUBAON_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUBAON_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUBAON_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                    8
#define    KHUBAON_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                     0x00000300
#define    KHUBAON_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                    0
#define    KHUBAON_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                     0x000000FF

#define KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_OFFSET                          0x00000E58
#define KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_TYPE                            UInt32
#define KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_RESERVED_MASK                   0x78000000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PSCS_ACTVSTS_SHIFT           26
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PSCS_ACTVSTS_MASK            0x04000000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_DFT_19_5M_ACTVSTS_SHIFT      25
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_DFT_19_5M_ACTVSTS_MASK       0x02000000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_DAP_ACTVSTS_SHIFT            24
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_DAP_ACTVSTS_MASK             0x01000000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM2_ACTVSTS_SHIFT           23
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM2_ACTVSTS_MASK            0x00800000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM_ACTVSTS_SHIFT            22
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM_ACTVSTS_MASK             0x00400000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TIMER_ACTVSTS_SHIFT      21
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TIMER_ACTVSTS_MASK       0x00200000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_VAR_ACTVSTS_SHIFT    20
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_VAR_ACTVSTS_MASK     0x00100000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_ACTVSTS_SHIFT        19
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_ACTVSTS_MASK         0x00080000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PWRMGR_AXI_ACTVSTS_SHIFT     18
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PWRMGR_AXI_ACTVSTS_MASK      0x00040000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM_APB_ACTVSTS_SHIFT        17
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM_APB_ACTVSTS_MASK         0x00020000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM2_APB_ACTVSTS_SHIFT       16
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SIM2_APB_ACTVSTS_MASK        0x00010000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_ACI_APB_ACTVSTS_SHIFT        15
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_ACI_APB_ACTVSTS_MASK         0x00008000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_APB_ACTVSTS_SHIFT    14
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_PMU_BSC_APB_ACTVSTS_MASK     0x00004000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SEC_WD_APB_ACTVSTS_SHIFT     13
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SEC_WD_APB_ACTVSTS_MASK      0x00002000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SPM_APB_ACTVSTS_SHIFT        12
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SPM_APB_ACTVSTS_MASK         0x00001000
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_FMON_APB_ACTVSTS_SHIFT       11
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_FMON_APB_ACTVSTS_MASK        0x00000800
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_VCEMI_OPEN_APB_ACTVSTS_SHIFT 10
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_VCEMI_OPEN_APB_ACTVSTS_MASK  0x00000400
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_VCEMI_SEC_APB_ACTVSTS_SHIFT  9
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_VCEMI_SEC_APB_ACTVSTS_MASK   0x00000200
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SYSEMI_OPEN_APB_ACTVSTS_SHIFT 8
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SYSEMI_OPEN_APB_ACTVSTS_MASK 0x00000100
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SYSEMI_SEC_APB_ACTVSTS_SHIFT 7
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_SYSEMI_SEC_APB_ACTVSTS_MASK  0x00000080
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TIMER_APB_ACTVSTS_SHIFT  6
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TIMER_APB_ACTVSTS_MASK   0x00000040
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_CHIPREG_APB_ACTVSTS_SHIFT    5
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_CHIPREG_APB_ACTVSTS_MASK     0x00000020
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_GPIOKP_APB_ACTVSTS_SHIFT     4
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_GPIOKP_APB_ACTVSTS_MASK      0x00000010
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TZCFG_APB_ACTVSTS_SHIFT  3
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUB_TZCFG_APB_ACTVSTS_MASK   0x00000008
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_APB6_ACTVSTS_SHIFT           2
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_APB6_ACTVSTS_MASK            0x00000004
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_APB6_FREE_ACTVSTS_SHIFT      1
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_APB6_FREE_ACTVSTS_MASK       0x00000002
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUBAON_ACTVSTS_SHIFT         0
#define    KHUBAON_CLK_MGR_REG_ACTIVITY_MON1_HUBAON_ACTVSTS_MASK          0x00000001

#define KHUBAON_CLK_MGR_REG_POLICY_DBG_OFFSET                             0x00000EC0
#define KHUBAON_CLK_MGR_REG_POLICY_DBG_TYPE                               UInt32
#define KHUBAON_CLK_MGR_REG_POLICY_DBG_RESERVED_MASK                      0x7FFF88CC
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_SHIFT                  12
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_MASK                   0x00007000
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_SHIFT                  8
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_MASK                   0x00000700
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_SHIFT                4
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_MASK                 0x00000030
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_SHIFT                0
#define    KHUBAON_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_MASK                 0x00000003

#define KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_OFFSET                           0x00000EC4
#define KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_RESERVED_MASK                    0x7FFFC000
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PSCS_TARGET_MASK_SHIFT        13
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PSCS_TARGET_MASK_MASK         0x00002000
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_DAP_TARGET_MASK_SHIFT         12
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_DAP_TARGET_MASK_MASK          0x00001000
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SIM_TARGET_MASK_SHIFT         11
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SIM_TARGET_MASK_MASK          0x00000800
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SIM2_TARGET_MASK_SHIFT        10
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SIM2_TARGET_MASK_MASK         0x00000400
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_ACI_TARGET_MASK_SHIFT         9
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_ACI_TARGET_MASK_MASK          0x00000200
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PMU_BSC_TARGET_MASK_SHIFT     8
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_PMU_BSC_TARGET_MASK_MASK      0x00000100
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SEC_WD_TARGET_MASK_SHIFT      7
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SEC_WD_TARGET_MASK_MASK       0x00000080
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SPM_TARGET_MASK_SHIFT         6
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SPM_TARGET_MASK_MASK          0x00000040
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_FMON_TARGET_MASK_SHIFT        5
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_FMON_TARGET_MASK_MASK         0x00000020
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_VCEMI_TARGET_MASK_SHIFT       4
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_VCEMI_TARGET_MASK_MASK        0x00000010
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SYSEMI_TARGET_MASK_SHIFT      3
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_SYSEMI_TARGET_MASK_MASK       0x00000008
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_HUB_TIMER_TARGET_MASK_SHIFT   2
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_HUB_TIMER_TARGET_MASK_MASK    0x00000004
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_GPIOKP_TARGET_MASK_SHIFT      1
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_GPIOKP_TARGET_MASK_MASK       0x00000002
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_HUBAON_TARGET_MASK_SHIFT      0
#define    KHUBAON_CLK_MGR_REG_TGTMASK_DBG1_HUBAON_TARGET_MASK_MASK       0x00000001

#define KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_OFFSET                           0x00000ED4
#define KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_TYPE                             UInt32
#define KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_RESERVED_MASK                    0x7FFFC000
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PSCS_ACTIVE_MASK_SHIFT        13
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PSCS_ACTIVE_MASK_MASK         0x00002000
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_DAP_ACTIVE_MASK_SHIFT         12
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_DAP_ACTIVE_MASK_MASK          0x00001000
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SIM_ACTIVE_MASK_SHIFT         11
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SIM_ACTIVE_MASK_MASK          0x00000800
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SIM2_ACTIVE_MASK_SHIFT        10
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SIM2_ACTIVE_MASK_MASK         0x00000400
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_ACI_ACTIVE_MASK_SHIFT         9
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_ACI_ACTIVE_MASK_MASK          0x00000200
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PMU_BSC_ACTIVE_MASK_SHIFT     8
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_PMU_BSC_ACTIVE_MASK_MASK      0x00000100
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SEC_WD_ACTIVE_MASK_SHIFT      7
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SEC_WD_ACTIVE_MASK_MASK       0x00000080
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SPM_ACTIVE_MASK_SHIFT         6
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SPM_ACTIVE_MASK_MASK          0x00000040
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_FMON_ACTIVE_MASK_SHIFT        5
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_FMON_ACTIVE_MASK_MASK         0x00000020
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_VCEMI_ACTIVE_MASK_SHIFT       4
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_VCEMI_ACTIVE_MASK_MASK        0x00000010
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SYSEMI_ACTIVE_MASK_SHIFT      3
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_SYSEMI_ACTIVE_MASK_MASK       0x00000008
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_HUB_TIMER_ACTIVE_MASK_SHIFT   2
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_HUB_TIMER_ACTIVE_MASK_MASK    0x00000004
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_GPIOKP_ACTIVE_MASK_SHIFT      1
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_GPIOKP_ACTIVE_MASK_MASK       0x00000002
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_HUBAON_ACTIVE_MASK_SHIFT      0
#define    KHUBAON_CLK_MGR_REG_ACTMASK_DBG1_HUBAON_ACTIVE_MASK_MASK       0x00000001

#endif /* __BRCM_RDB_KHUBAON_CLK_MGR_REG_H__ */


