/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_MODEM_CLOCKS_PART_2_H__
#define __BRCM_RDB_MODEM_CLOCKS_PART_2_H__

#define MODEM_CLOCKS_PART_2_AD_CONTROL_OFFSET                             0x00000000
#define MODEM_CLOCKS_PART_2_AD_CONTROL_TYPE                               UInt32
#define MODEM_CLOCKS_PART_2_AD_CONTROL_RESERVED_MASK                      0xFFFFF3EB
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEAUXILARY_SHIFT            11
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEAUXILARY_MASK             0x00000800
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_AUTOGATEAUXILARY_SHIFT          10
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_AUTOGATEAUXILARY_MASK           0x00000400
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEINTEGRF_SHIFT             4
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEINTEGRF_MASK              0x00000010
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEMSTTIMER_SHIFT            2
#define    MODEM_CLOCKS_PART_2_AD_CONTROL_ENABLEMSTTIMER_MASK             0x00000004

#define MODEM_CLOCKS_PART_2_FNGMAIN_OFFSET                                0x00000004
#define MODEM_CLOCKS_PART_2_FNGMAIN_TYPE                                  UInt32
#define MODEM_CLOCKS_PART_2_FNGMAIN_RESERVED_MASK                         0xFFFFEC88
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEAFCCLK_SHIFT               12
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEAFCCLK_MASK                0x00001000
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEACCCLKTFNG_SHIFT           9
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEACCCLKTFNG_MASK            0x00000200
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATECTRLCLKTFNG_SHIFT          8
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATECTRLCLKTFNG_MASK           0x00000100
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEDEMODCLKFNG_SHIFT          6
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEDEMODCLKFNG_MASK           0x00000040
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEPILOTCLKFNG_SHIFT          5
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEPILOTCLKFNG_MASK           0x00000020
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEFNGCLKFNG_SHIFT            4
#define    MODEM_CLOCKS_PART_2_FNGMAIN_AUTOGATEFNGCLKFNG_MASK             0x00000010
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLECHIPX4_SHIFT                 2
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLECHIPX4_MASK                  0x00000004
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLEPRISMPOSTCLK_SHIFT           1
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLEPRISMPOSTCLK_MASK            0x00000002
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLEPRISMCLK_SHIFT               0
#define    MODEM_CLOCKS_PART_2_FNGMAIN_ENABLEPRISMCLK_MASK                0x00000001

#define MODEM_CLOCKS_PART_2_FINGERSEN_OFFSET                              0x00000008
#define MODEM_CLOCKS_PART_2_FINGERSEN_TYPE                                UInt32
#define MODEM_CLOCKS_PART_2_FINGERSEN_RESERVED_MASK                       0x88888888
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG7_SHIFT         30
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG7_MASK          0x40000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG7_SHIFT         29
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG7_MASK          0x20000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG7_SHIFT           28
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG7_MASK            0x10000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG6_SHIFT         26
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG6_MASK          0x04000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG6_SHIFT         25
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG6_MASK          0x02000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG6_SHIFT           24
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG6_MASK            0x01000000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG5_SHIFT         22
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG5_MASK          0x00400000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG5_SHIFT         21
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG5_MASK          0x00200000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG5_SHIFT           20
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG5_MASK            0x00100000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG4_SHIFT         18
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG4_MASK          0x00040000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG4_SHIFT         17
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG4_MASK          0x00020000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG4_SHIFT           16
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG4_MASK            0x00010000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG3_SHIFT         14
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG3_MASK          0x00004000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG3_SHIFT         13
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG3_MASK          0x00002000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG3_SHIFT           12
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG3_MASK            0x00001000
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG2_SHIFT         10
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG2_MASK          0x00000400
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG2_SHIFT         9
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG2_MASK          0x00000200
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG2_SHIFT           8
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG2_MASK            0x00000100
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG1_SHIFT         6
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG1_MASK          0x00000040
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG1_SHIFT         5
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG1_MASK          0x00000020
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG1_SHIFT           4
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG1_MASK            0x00000010
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG0_SHIFT         2
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEDEMODCLKFNG0_MASK          0x00000004
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG0_SHIFT         1
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEPILOTCLKFNG0_MASK          0x00000002
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG0_SHIFT           0
#define    MODEM_CLOCKS_PART_2_FINGERSEN_ENABLEFNGCLKFNG0_MASK            0x00000001

#define MODEM_CLOCKS_PART_2_TINYFINGERSEN_OFFSET                          0x0000000C
#define MODEM_CLOCKS_PART_2_TINYFINGERSEN_TYPE                            UInt32
#define MODEM_CLOCKS_PART_2_TINYFINGERSEN_RESERVED_MASK                   0xFFFFECCC
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEAFCCLK_SHIFT           12
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEAFCCLK_MASK            0x00001000
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG2_SHIFT      9
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG2_MASK       0x00000200
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG2_SHIFT     8
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG2_MASK      0x00000100
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG1_SHIFT      5
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG1_MASK       0x00000020
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG1_SHIFT     4
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG1_MASK      0x00000010
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG0_SHIFT      1
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLEACCCLKTFNG0_MASK       0x00000002
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG0_SHIFT     0
#define    MODEM_CLOCKS_PART_2_TINYFINGERSEN_ENABLECTRLCLKTFNG0_MASK      0x00000001

#define MODEM_CLOCKS_PART_2_COMBINER_OFFSET                               0x00000010
#define MODEM_CLOCKS_PART_2_COMBINER_TYPE                                 UInt32
#define MODEM_CLOCKS_PART_2_COMBINER_RESERVED_MASK                        0xFFC33333
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK5_SHIFT              21
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK5_MASK               0x00200000
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK5_SHIFT            20
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK5_MASK             0x00100000
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK4_SHIFT              19
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK4_MASK               0x00080000
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK4_SHIFT            18
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK4_MASK             0x00040000
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK30_SHIFT             15
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK30_MASK              0x00008000
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK30_SHIFT           14
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK30_MASK            0x00004000
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK2_SHIFT              11
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK2_MASK               0x00000800
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK2_SHIFT            10
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK2_MASK             0x00000400
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK1_SHIFT              7
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK1_MASK               0x00000080
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK1_SHIFT            6
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK1_MASK             0x00000040
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK0_SHIFT              3
#define    MODEM_CLOCKS_PART_2_COMBINER_ENABLECOMBCLK0_MASK               0x00000008
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK0_SHIFT            2
#define    MODEM_CLOCKS_PART_2_COMBINER_AUTOGATECOMBCLK0_MASK             0x00000004

#define MODEM_CLOCKS_PART_2_ADCCMF_OFFSET                                 0x00000014
#define MODEM_CLOCKS_PART_2_ADCCMF_TYPE                                   UInt32
#define MODEM_CLOCKS_PART_2_ADCCMF_RESERVED_MASK                          0xFFF7FFFC
#define    MODEM_CLOCKS_PART_2_ADCCMF_ENABLECMF_SHIFT                     19
#define    MODEM_CLOCKS_PART_2_ADCCMF_ENABLECMF_MASK                      0x00080000
#define    MODEM_CLOCKS_PART_2_ADCCMF_ENABLEPSYCHICCLK_SHIFT              1
#define    MODEM_CLOCKS_PART_2_ADCCMF_ENABLEPSYCHICCLK_MASK               0x00000002
#define    MODEM_CLOCKS_PART_2_ADCCMF_AUTOGATEPSYCHICCLK_SHIFT            0
#define    MODEM_CLOCKS_PART_2_ADCCMF_AUTOGATEPSYCHICCLK_MASK             0x00000001

#define MODEM_CLOCKS_PART_2_BITLEVEL_OFFSET                               0x00000018
#define MODEM_CLOCKS_PART_2_BITLEVEL_TYPE                                 UInt32
#define MODEM_CLOCKS_PART_2_BITLEVEL_RESERVED_MASK                        0xFFFF3333
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLETURBOCLK_SHIFT              15
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLETURBOCLK_MASK               0x00008000
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATETURBOCLK_SHIFT            14
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATETURBOCLK_MASK             0x00004000
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLEVITERBICLK_SHIFT            11
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLEVITERBICLK_MASK             0x00000800
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATEVITERBICLK_SHIFT          10
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATEVITERBICLK_MASK           0x00000400
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLERXBLCLK_SHIFT               7
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLERXBLCLK_MASK                0x00000080
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATERXBLCLK_SHIFT             6
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATERXBLCLK_MASK              0x00000040
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLEDILCLK_SHIFT                3
#define    MODEM_CLOCKS_PART_2_BITLEVEL_ENABLEDILCLK_MASK                 0x00000008
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATEDILCLK_SHIFT              2
#define    MODEM_CLOCKS_PART_2_BITLEVEL_AUTOGATEDILCLK_MASK               0x00000004

#define MODEM_CLOCKS_PART_2_NICARD_OFFSET                                 0x0000001C
#define MODEM_CLOCKS_PART_2_NICARD_TYPE                                   UInt32
#define MODEM_CLOCKS_PART_2_NICARD_RESERVED_MASK                          0xFFFFFF04
#define    MODEM_CLOCKS_PART_2_NICARD_RESP_SELCT_SHIFT                    4
#define    MODEM_CLOCKS_PART_2_NICARD_RESP_SELCT_MASK                     0x000000F0
#define    MODEM_CLOCKS_PART_2_NICARD_ENABLENTCLK_R1_SHIFT                3
#define    MODEM_CLOCKS_PART_2_NICARD_ENABLENTCLK_R1_MASK                 0x00000008
#define    MODEM_CLOCKS_PART_2_NICARD_NTDIVIDER_RB_00_SHIFT               0
#define    MODEM_CLOCKS_PART_2_NICARD_NTDIVIDER_RB_00_MASK                0x00000003

#define MODEM_CLOCKS_PART_2_STIMBUS_OFFSET                                0x00000020
#define MODEM_CLOCKS_PART_2_STIMBUS_TYPE                                  UInt32
#define MODEM_CLOCKS_PART_2_STIMBUS_RESERVED_MASK                         0xFFFFFFF8
#define    MODEM_CLOCKS_PART_2_STIMBUS_STIM_SELCT_SHIFT                   2
#define    MODEM_CLOCKS_PART_2_STIMBUS_STIM_SELCT_MASK                    0x00000004
#define    MODEM_CLOCKS_PART_2_STIMBUS_SWENSTIM_SHIFT                     1
#define    MODEM_CLOCKS_PART_2_STIMBUS_SWENSTIM_MASK                      0x00000002
#define    MODEM_CLOCKS_PART_2_STIMBUS_STIMRUN_SHIFT                      0
#define    MODEM_CLOCKS_PART_2_STIMBUS_STIMRUN_MASK                       0x00000001

#define MODEM_CLOCKS_PART_2_POWERMEASURE_OFFSET                           0x00000024
#define MODEM_CLOCKS_PART_2_POWERMEASURE_TYPE                             UInt32
#define MODEM_CLOCKS_PART_2_POWERMEASURE_RESERVED_MASK                    0xFFFFFE0E
#define    MODEM_CLOCKS_PART_2_POWERMEASURE_PWRENABLESELECT_SHIFT         4
#define    MODEM_CLOCKS_PART_2_POWERMEASURE_PWRENABLESELECT_MASK          0x000001F0
#define    MODEM_CLOCKS_PART_2_POWERMEASURE_ENABLEPWRMNGT_SHIFT           0
#define    MODEM_CLOCKS_PART_2_POWERMEASURE_ENABLEPWRMNGT_MASK            0x00000001

#define MODEM_CLOCKS_PART_2_PWRCNT_OFFSET                                 0x00000028
#define MODEM_CLOCKS_PART_2_PWRCNT_TYPE                                   UInt32
#define MODEM_CLOCKS_PART_2_PWRCNT_RESERVED_MASK                          0xFFF00000
#define    MODEM_CLOCKS_PART_2_PWRCNT_PWRCNT_SHIFT                        0
#define    MODEM_CLOCKS_PART_2_PWRCNT_PWRCNT_MASK                         0x000FFFFF

#define MODEM_CLOCKS_PART_2_SLOWCLOCKSYNC_OFFSET                          0x0000002C
#define MODEM_CLOCKS_PART_2_SLOWCLOCKSYNC_TYPE                            UInt32
#define MODEM_CLOCKS_PART_2_SLOWCLOCKSYNC_RESERVED_MASK                   0xFFFFFFFE
#define    MODEM_CLOCKS_PART_2_SLOWCLOCKSYNC_SLOWCLOCKSYNC_SHIFT          0
#define    MODEM_CLOCKS_PART_2_SLOWCLOCKSYNC_SLOWCLOCKSYNC_MASK           0x00000001

#endif /* __BRCM_RDB_MODEM_CLOCKS_PART_2_H__ */


