/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_TRAFFIC_REMARKING_REGISTER_H__
#define __BRCM_RDB_TRAFFIC_REMARKING_REGISTER_H__

#define TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_OFFSET 0x00000000
#define TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_TYPE UInt32
#define TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_RESERVED_MASK 0xFE00FE00
#define    TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_PCP_REMARK_EN_SHIFT 16
#define    TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_PCP_REMARK_EN_MASK 0x01FF0000
#define    TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_CIF_REMARK_EN_SHIFT 0
#define    TRAFFIC_REMARKING_REGISTER_TRAFFIC_REMARKING_CONTROL_REGISTER_CIF_REMARK_EN_MASK 0x000001FF

#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_OFFSET 0x00000080
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_TYPE UInt64
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_RESERVED_MASK 0x00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_8_SHIFT 60
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_8_MASK 0xF000000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_6_SHIFT 56
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_6_MASK 0xF00000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_5_SHIFT 52
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_5_MASK 0xF0000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_4_SHIFT 48
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_4_MASK 0xF000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_3_SHIFT 44
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_3_MASK 0xF00000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_2_SHIFT 40
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_2_MASK 0xF0000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_1_SHIFT 36
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_1_MASK 0xF000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_0_SHIFT 32
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_1_0_MASK 0xF00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_7_SHIFT 28
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_7_MASK 0xF0000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_6_SHIFT 24
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_6_MASK 0x0F000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_5_SHIFT 20
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_5_MASK 0x00F00000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_4_SHIFT 16
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_4_MASK 0x000F0000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_3_SHIFT 12
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_3_MASK 0x0000F000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_2_SHIFT 8
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_2_MASK 0x00000F00
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_1_SHIFT 4
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_1_MASK 0x000000F0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_0_SHIFT 0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_0_REGISTER_PCP_FOR_RV_TC_0_0_MASK 0x0000000F

#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_OFFSET 0x000000C0
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_TYPE UInt64
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_RESERVED_MASK 0x00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_8_SHIFT 60
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_8_MASK 0xF000000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_6_SHIFT 56
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_6_MASK 0xF00000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_5_SHIFT 52
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_5_MASK 0xF0000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_4_SHIFT 48
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_4_MASK 0xF000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_3_SHIFT 44
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_3_MASK 0xF00000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_2_SHIFT 40
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_2_MASK 0xF0000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_1_SHIFT 36
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_1_MASK 0xF000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_0_SHIFT 32
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_1_0_MASK 0xF00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_7_SHIFT 28
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_7_MASK 0xF0000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_6_SHIFT 24
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_6_MASK 0x0F000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_5_SHIFT 20
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_5_MASK 0x00F00000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_4_SHIFT 16
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_4_MASK 0x000F0000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_3_SHIFT 12
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_3_MASK 0x0000F000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_2_SHIFT 8
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_2_MASK 0x00000F00
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_1_SHIFT 4
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_1_MASK 0x000000F0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_0_SHIFT 0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_PORT_1_REGISTER_PCP_FOR_RV_TC_0_0_MASK 0x0000000F

#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_OFFSET 0x00000280
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_TYPE UInt64
#define TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_RESERVED_MASK 0x00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_8_SHIFT 60
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_8_MASK 0xF000000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_6_SHIFT 56
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_6_MASK 0xF00000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_5_SHIFT 52
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_5_MASK 0xF0000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_4_SHIFT 48
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_4_MASK 0xF000000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_3_SHIFT 44
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_3_MASK 0xF00000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_2_SHIFT 40
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_2_MASK 0xF0000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_1_SHIFT 36
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_1_MASK 0xF000000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_0_SHIFT 32
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_1_0_MASK 0xF00000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_7_SHIFT 28
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_7_MASK 0xF0000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_6_SHIFT 24
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_6_MASK 0x0F000000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_5_SHIFT 20
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_5_MASK 0x00F00000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_4_SHIFT 16
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_4_MASK 0x000F0000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_3_SHIFT 12
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_3_MASK 0x0000F000
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_2_SHIFT 8
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_2_MASK 0x00000F00
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_1_SHIFT 4
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_1_MASK 0x000000F0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_0_SHIFT 0
#define    TRAFFIC_REMARKING_REGISTER_NON_EAV_PACKET_TC_TO_PCP_MAPPING_IMP_PORT_REGISTER_PCP_FOR_RV_TC_0_0_MASK 0x0000000F

#endif /* __BRCM_RDB_TRAFFIC_REMARKING_REGISTER_H__ */


