/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_VCITM_H__
#define __BRCM_RDB_VCITM_H__

#define VCITM_STIM0_OFFSET                                                0x00000000
#define VCITM_STIM0_TYPE                                                  UInt32
#define VCITM_STIM0_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM0_STIMU0_SHIFT                                       0
#define    VCITM_STIM0_STIMU0_MASK                                        0xFFFFFFFF

#define VCITM_STIM1_OFFSET                                                0x00000004
#define VCITM_STIM1_TYPE                                                  UInt32
#define VCITM_STIM1_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM1_STIMU1_SHIFT                                       0
#define    VCITM_STIM1_STIMU1_MASK                                        0xFFFFFFFF

#define VCITM_STIM2_OFFSET                                                0x00000008
#define VCITM_STIM2_TYPE                                                  UInt32
#define VCITM_STIM2_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM2_STIMU2_SHIFT                                       0
#define    VCITM_STIM2_STIMU2_MASK                                        0xFFFFFFFF

#define VCITM_STIM3_OFFSET                                                0x0000000C
#define VCITM_STIM3_TYPE                                                  UInt32
#define VCITM_STIM3_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM3_STIMU3_SHIFT                                       0
#define    VCITM_STIM3_STIMU3_MASK                                        0xFFFFFFFF

#define VCITM_STIM4_OFFSET                                                0x00000010
#define VCITM_STIM4_TYPE                                                  UInt32
#define VCITM_STIM4_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM4_STIMU4_SHIFT                                       0
#define    VCITM_STIM4_STIMU4_MASK                                        0xFFFFFFFF

#define VCITM_STIM5_OFFSET                                                0x00000014
#define VCITM_STIM5_TYPE                                                  UInt32
#define VCITM_STIM5_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM5_STIMU5_SHIFT                                       0
#define    VCITM_STIM5_STIMU5_MASK                                        0xFFFFFFFF

#define VCITM_STIM6_OFFSET                                                0x00000018
#define VCITM_STIM6_TYPE                                                  UInt32
#define VCITM_STIM6_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM6_STIMU6_SHIFT                                       0
#define    VCITM_STIM6_STIMU6_MASK                                        0xFFFFFFFF

#define VCITM_STIM7_OFFSET                                                0x0000001C
#define VCITM_STIM7_TYPE                                                  UInt32
#define VCITM_STIM7_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM7_STIMU7_SHIFT                                       0
#define    VCITM_STIM7_STIMU7_MASK                                        0xFFFFFFFF

#define VCITM_STIM8_OFFSET                                                0x00000020
#define VCITM_STIM8_TYPE                                                  UInt32
#define VCITM_STIM8_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM8_STIMU8_SHIFT                                       0
#define    VCITM_STIM8_STIMU8_MASK                                        0xFFFFFFFF

#define VCITM_STIM9_OFFSET                                                0x00000024
#define VCITM_STIM9_TYPE                                                  UInt32
#define VCITM_STIM9_RESERVED_MASK                                         0x00000000
#define    VCITM_STIM9_STIMU9_SHIFT                                       0
#define    VCITM_STIM9_STIMU9_MASK                                        0xFFFFFFFF

#define VCITM_STIM10_OFFSET                                               0x00000028
#define VCITM_STIM10_TYPE                                                 UInt32
#define VCITM_STIM10_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM10_STIMU10_SHIFT                                     0
#define    VCITM_STIM10_STIMU10_MASK                                      0xFFFFFFFF

#define VCITM_STIM11_OFFSET                                               0x0000002C
#define VCITM_STIM11_TYPE                                                 UInt32
#define VCITM_STIM11_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM11_STIMU11_SHIFT                                     0
#define    VCITM_STIM11_STIMU11_MASK                                      0xFFFFFFFF

#define VCITM_STIM12_OFFSET                                               0x00000030
#define VCITM_STIM12_TYPE                                                 UInt32
#define VCITM_STIM12_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM12_STIMU12_SHIFT                                     0
#define    VCITM_STIM12_STIMU12_MASK                                      0xFFFFFFFF

#define VCITM_STIM13_OFFSET                                               0x00000034
#define VCITM_STIM13_TYPE                                                 UInt32
#define VCITM_STIM13_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM13_STIMU13_SHIFT                                     0
#define    VCITM_STIM13_STIMU13_MASK                                      0xFFFFFFFF

#define VCITM_STIM14_OFFSET                                               0x00000038
#define VCITM_STIM14_TYPE                                                 UInt32
#define VCITM_STIM14_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM14_STIMU14_SHIFT                                     0
#define    VCITM_STIM14_STIMU14_MASK                                      0xFFFFFFFF

#define VCITM_STIM15_OFFSET                                               0x0000003C
#define VCITM_STIM15_TYPE                                                 UInt32
#define VCITM_STIM15_RESERVED_MASK                                        0x00000000
#define    VCITM_STIM15_STIMU15_SHIFT                                     0
#define    VCITM_STIM15_STIMU15_MASK                                      0xFFFFFFFF

#define VCITM_TER_OFFSET                                                  0x00000E00
#define VCITM_TER_TYPE                                                    UInt32
#define VCITM_TER_RESERVED_MASK                                           0x00000000
#define    VCITM_TER_TRACE_EN_SHIFT                                       0
#define    VCITM_TER_TRACE_EN_MASK                                        0xFFFFFFFF

#define VCITM_TTR_OFFSET                                                  0x00000E20
#define VCITM_TTR_TYPE                                                    UInt32
#define VCITM_TTR_RESERVED_MASK                                           0x00000000
#define    VCITM_TTR_TRIG_MASK_SHIFT                                      0
#define    VCITM_TTR_TRIG_MASK_MASK                                       0xFFFFFFFF

#define VCITM_CR_OFFSET                                                   0x00000E80
#define VCITM_CR_TYPE                                                     UInt32
#define VCITM_CR_RESERVED_MASK                                            0xFF00FCF0
#define    VCITM_CR_ITMBUSY_SHIFT                                         23
#define    VCITM_CR_ITMBUSY_MASK                                          0x00800000
#define    VCITM_CR_TRACEID_SHIFT                                         16
#define    VCITM_CR_TRACEID_MASK                                          0x007F0000
#define    VCITM_CR_TSPRESCALE_SHIFT                                      8
#define    VCITM_CR_TSPRESCALE_MASK                                       0x00000300
#define    VCITM_CR_DWTEN_SHIFT                                           3
#define    VCITM_CR_DWTEN_MASK                                            0x00000008
#define    VCITM_CR_SYNCEN_SHIFT                                          2
#define    VCITM_CR_SYNCEN_MASK                                           0x00000004
#define    VCITM_CR_TSSEN_SHIFT                                           1
#define    VCITM_CR_TSSEN_MASK                                            0x00000002
#define    VCITM_CR_ITMEN_SHIFT                                           0
#define    VCITM_CR_ITMEN_MASK                                            0x00000001

#define VCITM_SCR_OFFSET                                                  0x00000E90
#define VCITM_SCR_TYPE                                                    UInt32
#define VCITM_SCR_RESERVED_MASK                                           0xFFFFF000
#define    VCITM_SCR_SYNC_CNT_SHIFT                                       0
#define    VCITM_SCR_SYNC_CNT_MASK                                        0x00000FFF

#define VCITM_ITTRIGOUTACK_OFFSET                                         0x00000EE4
#define VCITM_ITTRIGOUTACK_TYPE                                           UInt32
#define VCITM_ITTRIGOUTACK_RESERVED_MASK                                  0xFFFFFFFE
#define    VCITM_ITTRIGOUTACK_ITTRIGOUT_ACK_SHIFT                         0
#define    VCITM_ITTRIGOUTACK_ITTRIGOUT_ACK_MASK                          0x00000001

#define VCITM_ITTRIGOUT_OFFSET                                            0x00000EE8
#define VCITM_ITTRIGOUT_TYPE                                              UInt32
#define VCITM_ITTRIGOUT_RESERVED_MASK                                     0xFFFFFFFE
#define    VCITM_ITTRIGOUT_ITTRIGOUT_SHIFT                                0
#define    VCITM_ITTRIGOUT_ITTRIGOUT_MASK                                 0x00000001

#define VCITM_ITATBDATA0_OFFSET                                           0x00000EEC
#define VCITM_ITATBDATA0_TYPE                                             UInt32
#define VCITM_ITATBDATA0_RESERVED_MASK                                    0xFFFFFFFC
#define    VCITM_ITATBDATA0_ITATDATAM7_SHIFT                              1
#define    VCITM_ITATBDATA0_ITATDATAM7_MASK                               0x00000002
#define    VCITM_ITATBDATA0_ITATDATAM0_SHIFT                              0
#define    VCITM_ITATBDATA0_ITATDATAM0_MASK                               0x00000001

#define VCITM_ITATBCTR2_OFFSET                                            0x00000EF0
#define VCITM_ITATBCTR2_TYPE                                              UInt32
#define VCITM_ITATBCTR2_RESERVED_MASK                                     0xFFFFFFFE
#define    VCITM_ITATBCTR2_ATREADYM_SHIFT                                 0
#define    VCITM_ITATBCTR2_ATREADYM_MASK                                  0x00000001

#define VCITM_ITATBCTR1_OFFSET                                            0x00000EF4
#define VCITM_ITATBCTR1_TYPE                                              UInt32
#define VCITM_ITATBCTR1_RESERVED_MASK                                     0xFFFFFF80
#define    VCITM_ITATBCTR1_ITATIDM_SHIFT                                  0
#define    VCITM_ITATBCTR1_ITATIDM_MASK                                   0x0000007F

#define VCITM_ITATBCTR0_OFFSET                                            0x00000EF8
#define VCITM_ITATBCTR0_TYPE                                              UInt32
#define VCITM_ITATBCTR0_RESERVED_MASK                                     0xFFFFFFFC
#define    VCITM_ITATBCTR0_ITREADYM_SHIFT                                 1
#define    VCITM_ITATBCTR0_ITREADYM_MASK                                  0x00000002
#define    VCITM_ITATBCTR0_ITVALIDM_SHIFT                                 0
#define    VCITM_ITATBCTR0_ITVALIDM_MASK                                  0x00000001

#define VCITM_ICTRL_OFFSET                                                0x00000F00
#define VCITM_ICTRL_TYPE                                                  UInt32
#define VCITM_ICTRL_RESERVED_MASK                                         0xFFFFFFFE
#define    VCITM_ICTRL_INTEG_EN_SHIFT                                     0
#define    VCITM_ICTRL_INTEG_EN_MASK                                      0x00000001

#define VCITM_CLAIMSET_OFFSET                                             0x00000FA0
#define VCITM_CLAIMSET_TYPE                                               UInt32
#define VCITM_CLAIMSET_RESERVED_MASK                                      0xFFFFFF00
#define    VCITM_CLAIMSET_CLAIM_TAGSA_SHIFT                               0
#define    VCITM_CLAIMSET_CLAIM_TAGSA_MASK                                0x000000FF

#define VCITM_CLAIMCLR_OFFSET                                             0x00000FA4
#define VCITM_CLAIMCLR_TYPE                                               UInt32
#define VCITM_CLAIMCLR_RESERVED_MASK                                      0xFFFFFF00
#define    VCITM_CLAIMCLR_CLAIM_TAGSB_SHIFT                               0
#define    VCITM_CLAIMCLR_CLAIM_TAGSB_MASK                                0x000000FF

#define VCITM_LOCKACCESS_OFFSET                                           0x00000FB0
#define VCITM_LOCKACCESS_TYPE                                             UInt32
#define VCITM_LOCKACCESS_RESERVED_MASK                                    0x00000000
#define    VCITM_LOCKACCESS_LOCK_ACCESS_SHIFT                             0
#define    VCITM_LOCKACCESS_LOCK_ACCESS_MASK                              0xFFFFFFFF

#define VCITM_LOCKSTATUS_OFFSET                                           0x00000FB4
#define VCITM_LOCKSTATUS_TYPE                                             UInt32
#define VCITM_LOCKSTATUS_RESERVED_MASK                                    0xFFFFFFF8
#define    VCITM_LOCKSTATUS_ACCESS_32BIT_SHIFT                            2
#define    VCITM_LOCKSTATUS_ACCESS_32BIT_MASK                             0x00000004
#define    VCITM_LOCKSTATUS_LOCKED_SHIFT                                  1
#define    VCITM_LOCKSTATUS_LOCKED_MASK                                   0x00000002
#define    VCITM_LOCKSTATUS_LOCK_IMPLEMENTED_SHIFT                        0
#define    VCITM_LOCKSTATUS_LOCK_IMPLEMENTED_MASK                         0x00000001

#define VCITM_AUTHSTATUS_OFFSET                                           0x00000FB8
#define VCITM_AUTHSTATUS_TYPE                                             UInt32
#define VCITM_AUTHSTATUS_RESERVED_MASK                                    0xFFFFFF00
#define    VCITM_AUTHSTATUS_SEC_NON_DBG_SHIFT                             6
#define    VCITM_AUTHSTATUS_SEC_NON_DBG_MASK                              0x000000C0
#define    VCITM_AUTHSTATUS_SEC_INV_DBG_SHIFT                             4
#define    VCITM_AUTHSTATUS_SEC_INV_DBG_MASK                              0x00000030
#define    VCITM_AUTHSTATUS_OPEN_NON_DBG_SHIFT                            2
#define    VCITM_AUTHSTATUS_OPEN_NON_DBG_MASK                             0x0000000C
#define    VCITM_AUTHSTATUS_OPEN_INV_DBG_SHIFT                            0
#define    VCITM_AUTHSTATUS_OPEN_INV_DBG_MASK                             0x00000003

#define VCITM_DEVID_OFFSET                                                0x00000FC8
#define VCITM_DEVID_TYPE                                                  UInt32
#define VCITM_DEVID_RESERVED_MASK                                         0xFFFFE000
#define    VCITM_DEVID_DID_SHIFT                                          0
#define    VCITM_DEVID_DID_MASK                                           0x00001FFF

#define VCITM_DEVTYPE_OFFSET                                              0x00000FCC
#define VCITM_DEVTYPE_TYPE                                                UInt32
#define VCITM_DEVTYPE_RESERVED_MASK                                       0xFFFFFF00
#define    VCITM_DEVTYPE_SUB_TYPE_SHIFT                                   4
#define    VCITM_DEVTYPE_SUB_TYPE_MASK                                    0x000000F0
#define    VCITM_DEVTYPE_MAIN_CLASS_SHIFT                                 0
#define    VCITM_DEVTYPE_MAIN_CLASS_MASK                                  0x0000000F

#define VCITM_PERID4_OFFSET                                               0x00000FD0
#define VCITM_PERID4_TYPE                                                 UInt32
#define VCITM_PERID4_RESERVED_MASK                                        0xFFFFFF00
#define    VCITM_PERID4_PID4_SHIFT                                        0
#define    VCITM_PERID4_PID4_MASK                                         0x000000FF

#define VCITM_PERID0_OFFSET                                               0x00000FE0
#define VCITM_PERID0_TYPE                                                 UInt32
#define VCITM_PERID0_RESERVED_MASK                                        0xFFFFFF00
#define    VCITM_PERID0_PID0_SHIFT                                        0
#define    VCITM_PERID0_PID0_MASK                                         0x000000FF

#define VCITM_PERID1_OFFSET                                               0x00000FE4
#define VCITM_PERID1_TYPE                                                 UInt32
#define VCITM_PERID1_RESERVED_MASK                                        0xFFFFFF00
#define    VCITM_PERID1_PID1_SHIFT                                        0
#define    VCITM_PERID1_PID1_MASK                                         0x000000FF

#define VCITM_PERID2_OFFSET                                               0x00000FE8
#define VCITM_PERID2_TYPE                                                 UInt32
#define VCITM_PERID2_RESERVED_MASK                                        0xFFFFFF00
#define    VCITM_PERID2_PID2_SHIFT                                        0
#define    VCITM_PERID2_PID2_MASK                                         0x000000FF

#define VCITM_PERID3_OFFSET                                               0x00000FEC
#define VCITM_PERID3_TYPE                                                 UInt32
#define VCITM_PERID3_RESERVED_MASK                                        0xFFFFFF00
#define    VCITM_PERID3_PID3_SHIFT                                        0
#define    VCITM_PERID3_PID3_MASK                                         0x000000FF

#define VCITM_COMPID0_OFFSET                                              0x00000FF0
#define VCITM_COMPID0_TYPE                                                UInt32
#define VCITM_COMPID0_RESERVED_MASK                                       0xFFFFFF00
#define    VCITM_COMPID0_CID0_SHIFT                                       0
#define    VCITM_COMPID0_CID0_MASK                                        0x000000FF

#define VCITM_COMPID1_OFFSET                                              0x00000FF4
#define VCITM_COMPID1_TYPE                                                UInt32
#define VCITM_COMPID1_RESERVED_MASK                                       0xFFFFFF00
#define    VCITM_COMPID1_CID1_SHIFT                                       0
#define    VCITM_COMPID1_CID1_MASK                                        0x000000FF

#define VCITM_COMPID2_OFFSET                                              0x00000FF8
#define VCITM_COMPID2_TYPE                                                UInt32
#define VCITM_COMPID2_RESERVED_MASK                                       0xFFFFFF00
#define    VCITM_COMPID2_CID2_SHIFT                                       0
#define    VCITM_COMPID2_CID2_MASK                                        0x000000FF

#define VCITM_COMPID3_OFFSET                                              0x00000FFC
#define VCITM_COMPID3_TYPE                                                UInt32
#define VCITM_COMPID3_RESERVED_MASK                                       0xFFFFFF00
#define    VCITM_COMPID3_CID3_SHIFT                                       0
#define    VCITM_COMPID3_CID3_MASK                                        0x000000FF

#endif /* __BRCM_RDB_VCITM_H__ */


