/*****************************************************************************
* Copyright (c) 2003-2008 Broadcom Corporation.  All rights reserved.
*
* Unless you and Broadcom execute a separate written software license
* agreement governing use of this software, this software is licensed to you
* under the terms of the GNU General Public License version 2, available at
* http://www.broadcom.com/licenses/GPLv2.php (the "GPL").
*
* Notwithstanding the above, under no circumstances may you combine this
* software in any way with any other Broadcom software provided under a
* license other than the GPL, without Broadcom's express prior written
* consent.
****************************************************************************/

#ifndef CHAL_REGMAP_H__
#define CHAL_REGMAP_H__

#include <asm/arch/brcm_rdb_sysmap.h>

#ifdef CONFIG_CSP_A8_CORE
#include "maui_A0_registers_A8.h"
#else
#include <asm/arch/brcm_rdb_include.h>

#define IO_BASE_ADDR                            0x34000000 /* this is where I/O address begins */

/* L2 Cache Register*/
#define	L2_CAHCE_CTRL_BASE_ADDR					0x3FF20000
#define	L2_CAHCE_ID								(L2_CAHCE_CTRL_BASE_ADDR + 0)
#define	L2_CAHCE_TYPE							(L2_CAHCE_CTRL_BASE_ADDR + 4)

#define	L2_CAHCE_CTRL							(L2_CAHCE_CTRL_BASE_ADDR + 0x100)
#define	L2_CAHCE_AUX_CTRL						(L2_CAHCE_CTRL_BASE_ADDR + 0x104)
#define	L2_CAHCE_TAG_RAM_LATENCY				(L2_CAHCE_CTRL_BASE_ADDR + 0x108)
#define	L2_CAHCE_DATA_RAM_LATENCY				(L2_CAHCE_CTRL_BASE_ADDR + 0x10c)

#define	L2_CAHCE_EVENT_CNT_CTRL					(L2_CAHCE_CTRL_BASE_ADDR + 0x200)
#define	L2_CAHCE_EVENT_CNT1_CFG					(L2_CAHCE_CTRL_BASE_ADDR + 0x204)
#define	L2_CAHCE_EVENT_CNT0_CFG					(L2_CAHCE_CTRL_BASE_ADDR + 0x208)
#define	L2_CAHCE_EVENT_CNT1_VAL					(L2_CAHCE_CTRL_BASE_ADDR + 0x20C)
#define	L2_CAHCE_EVENT_CNT0_VAL					(L2_CAHCE_CTRL_BASE_ADDR + 0x210)
#define	L2_CAHCE_INT_MASK					(L2_CAHCE_CTRL_BASE_ADDR + 0x214)
#define	L2_CAHCE_INT_STS					(L2_CAHCE_CTRL_BASE_ADDR + 0x218)
#define	L2_CAHCE_RAW_INT_STS				(L2_CAHCE_CTRL_BASE_ADDR + 0x21C)
#define	L2_CAHCE_INT_CLR					(L2_CAHCE_CTRL_BASE_ADDR + 0x220)

#define	L2_CAHCE_SYNC							(L2_CAHCE_CTRL_BASE_ADDR + 0x730)

#define	L2_CAHCE_INV_BY_PA						(L2_CAHCE_CTRL_BASE_ADDR + 0x770)
#define	L2_CAHCE_INV_BY_WAY						(L2_CAHCE_CTRL_BASE_ADDR + 0x77C)
#define	L2_CAHCE_CLEAN_BY_PA					(L2_CAHCE_CTRL_BASE_ADDR + 0x7B0)
#define	L2_CAHCE_CLEAN_BY_INDEX					(L2_CAHCE_CTRL_BASE_ADDR + 0x7B8)
#define	L2_CAHCE_CLEAN_BY_WAY					(L2_CAHCE_CTRL_BASE_ADDR + 0x7BC)

#define	L2_CAHCE_CLEAN_INV_BY_PA				(L2_CAHCE_CTRL_BASE_ADDR + 0x7F0)
#define	L2_CAHCE_CLEAN_INV_BY_INDEX				(L2_CAHCE_CTRL_BASE_ADDR + 0x7F8)
#define	L2_CAHCE_CLEAN_INV_BY_WAY				(L2_CAHCE_CTRL_BASE_ADDR + 0x7FC)
#define	L2_PREFETCH_OFFSET      				(L2_CAHCE_CTRL_BASE_ADDR + 0xF60)

/* sspi */
#define SSP0_STATE_MACHINE_CONTROL_MASTER_TX0_IDLE_SHIFT  SSP0_STATE_MACHINE_CONTROL_MS_TX0_IDLE_SHIFT
#define SSP0_CLKDIV_GENERATION_OFFSET                     SSP0_CLKDIV_OFFSET
#define SSP0_CLKDIV_GENERATION_CLKDIV_FACTOR_0_SHIFT      SSP0_CLKDIV_CLKDIV_FACTOR_0_SHIFT
#define SSP0_CLKDIV_GENERATION_CLKDIV_FACTOR_1_SHIFT      SSP0_CLKDIV_CLKDIV_FACTOR_1_SHIFT
#define SSP0_CLKDIV_GENERATION_CLKDIV_REF_SHIFT           SSP0_CLKDIV_CLKDIV_FACTOR_REF_SHIFT
#define SSP0_CONTROL_SSPI_MASTER_SLAVE_SHIFT              SSP0_CONTROL_SSPI_SLAVE_SHIFT
#define SSP0_TASK0_DESC_MSB_TASK0_TXOE_CS_SHIFT           SSP0_TASK0_DESC_MSB_TASK0_TXOEN_CS_SHIFT
#define SSP0_SEQUENCE_0_SEQ0_TXOE_ACTIVE_SHIFT            SSP0_SEQUENCE_0_SEQ0_TXOEN_ACTIVE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_OFFSET                   SSP0_FRAME0_CS_IDLE_DEF_OFFSET
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_CS_SIZE_SHIFT     SSP0_FRAME0_CS_IDLE_DEF_FRAME0_CS_SIZE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_CS_ACTIVE_SHIFT   SSP0_FRAME0_CS_IDLE_DEF_FRAME0_CS_ACTIVE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_CS_IDLE_VALUE_SHIFT    SSP0_FRAME0_CS_IDLE_DEF_FRAME0_CS_IDLE_VALUE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_CLK_IDLE_VALUE_SHIFT   SSP0_FRAME0_CS_IDLE_DEF_FRAME0_CLK_IDLE_VALUE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_TX_IDLE_VALUE_SHIFT    SSP0_FRAME0_CS_IDLE_DEF_FRAME0_TX_IDLE_VALUE_SHIFT
#define SSP0_FRAME0_CS_IDLE_DESC_FRAME0_TXOE_IDLE_VALUE_SHIFT  SSP0_FRAME0_CS_IDLE_DEF_FRAME0_TXOEN_IDLE_VALUE_SHIFT
#define SSP0_FRAME0_CLK_DESC_OFFSET                       SSP0_FRAME0_SCLK_DEF_OFFSET
#define SSP0_FRAME0_CLK_DESC_FRAME0_CLK_START_SHIFT       SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_START_SHIFT
#define SSP0_FRAME0_CLK_DESC_FRAME0_CLK_END_SHIFT         SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_END_SHIFT
#define SSP0_FRAME0_CLK_DESC_FRAME0_FIRST_ACTIVE_EDGE_SHIFT    SSP0_FRAME0_SCLK_DEF_FRAME0_FIRST_ACTIVE_EDGE_SHIFT
#define SSP0_FRAME0_CLK_DESC_FRAME0_CLK_RATIO_SHIFT       SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_RATIO_SHIFT
#define SSP0_FRAME0_TXD_DESC_OFFSET                       SSP0_FRAME0_TX_DEF_OFFSET
#define SSP0_FRAME0_TXD_DESC_FRAME0_TXOE_START_SHIFT      SSP0_FRAME0_TX_DEF_FRAME0_TXOEN_START_SHIFT
#define SSP0_FRAME0_TXD_DESC_FRAME0_TXOE_END_SHIFT        SSP0_FRAME0_TX_DEF_FRAME0_TXOEN_END_SHIFT
#define SSP0_FRAME0_TXD_DESC_FRAME0_TX_WORD_LENGTH_SHIFT  SSP0_FRAME0_TX_DEF_FRAME0_TX_WORD_LENGTH_SHIFT
#define SSP0_FRAME0_TXD_DESC_FRAME0_TX_START_SHIFT        SSP0_FRAME0_TX_DEF_FRAME0_TX_START_SHIFT
#define SSP0_FRAME0_TXD_DESC_FRAME0_TX_EXTENDED_MSB_SHIFT SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_MSB_SHIFT
#define SSP0_FRAME0_TXD_DESC_FRAME0_TX_EXTENDED_LSB_SHIFT SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LSB_SHIFT
#define SSP0_FRAME0_RXD_DESC_OFFSET                       SSP0_FRAME0_RX_DEF_OFFSET
#define SSP0_FRAME0_RXD_DESC_FRAME0_RX_START_SHIFT        SSP0_FRAME0_RX_DEF_FRAME0_RX_START_SHIFT
#define SSP0_FRAME0_RXD_DESC_FRAME0_RX_WORD_LENGTH_SHIFT  SSP0_FRAME0_RX_DEF_FRAME0_RX_WORD_LENGTH_SHIFT
#define SSP0_FRAME0_RXD_DESC_FRAME0_RX_START_SHIFT        SSP0_FRAME0_RX_DEF_FRAME0_RX_START_SHIFT

#define SSP0_FRAME0_CS_IDLE_DEF_FRAME0_CLK_IDLE_VALUE_SHIFT    SSP0_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_IDLE_VALUE_SHIFT
#define SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_START_SHIFT       SSP0_FRAME0_SCLK_DEF_FRAME0_SCLK_START_SHIFT
#define SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_END_SHIFT         SSP0_FRAME0_SCLK_DEF_FRAME0_SCLK_END_SHIFT
#define SSP0_FRAME0_SCLK_DEF_FRAME0_CLK_RATIO_SHIFT       SSP0_FRAME0_SCLK_DEF_FRAME0_SCLK_RATIO_SHIFT
#define SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_MSB_SHIFT   SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_RIGHT_SHIFT
#define SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LSB_SHIFT   SSP0_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LEFT_SHIFT

#endif

#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif

#endif /* CHAL_REGMAP_H__ */


