/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/************************************************************************************************/

#ifndef __CHIP_PINMUX_H__
#define __CHIP_PINMUX_H__


/* define ball name, generated from RDB */
enum PIN_NAME {
	PN_ADCSYNC,
	PN_BAT_RM,
	PN_BSC1_SCL,
	PN_BSC1_SDA,
	PN_BSC2_SCL,
	PN_BSC2_SDA,
	PN_CLASSGPWR,
	PN_CLK_CX8,
	PN_CLKOUT_0,
	PN_CLKOUT_1,
	PN_CLKOUT_2,
	PN_CLKOUT_3,
	PN_CLKREQ_IN_0,
	PN_CLKREQ_IN_1,
	PN_CWS_SYS_REQ1,
	PN_CWS_SYS_REQ2,
	PN_CWS_SYS_REQ3,
	PN_DIGMIC1_CLK,
	PN_DIGMIC1_DQ,
	PN_DIGMIC2_CLK,
	PN_DIGMIC2_DQ,
	PN_GPEN13,
	PN_GPEN14,
	PN_GPEN15,
	PN_GPIO00,
	PN_GPIO01,
	PN_GPIO02,
	PN_GPIO03,
	PN_GPIO04,
	PN_GPIO05,
	PN_GPIO06,
	PN_GPIO07,
	PN_GPIO08,
	PN_GPIO09,
	PN_GPIO10,
	PN_GPIO11,
	PN_GPIO12,
	PN_GPIO13,
	PN_GPIO14,
	PN_GPS_PABLANK,
	PN_GPS_TMARK,
	PN_HDMI_SCL,
	PN_HDMI_SDA,
	PN_IC_DM,
	PN_IC_DP,
	PN_KP_COL_IP_0,
	PN_KP_COL_IP_1,
	PN_KP_COL_IP_2,
	PN_KP_COL_IP_3,
	PN_KP_ROW_OP_0,
	PN_KP_ROW_OP_1,
	PN_KP_ROW_OP_2,
	PN_KP_ROW_OP_3,
	PN_LCD_B_0,
	PN_LCD_B_1,
	PN_LCD_B_2,
	PN_LCD_B_3,
	PN_LCD_B_4,
	PN_LCD_B_5,
	PN_LCD_B_6,
	PN_LCD_B_7,
	PN_LCD_G_0,
	PN_LCD_G_1,
	PN_LCD_G_2,
	PN_LCD_G_3,
	PN_LCD_G_4,
	PN_LCD_G_5,
	PN_LCD_G_6,
	PN_LCD_G_7,
	PN_LCD_HSYNC,
	PN_LCD_OE,
	PN_LCD_PCLK,
	PN_LCD_R_0,
	PN_LCD_R_1,
	PN_LCD_R_2,
	PN_LCD_R_3,
	PN_LCD_R_4,
	PN_LCD_R_5,
	PN_LCD_R_6,
	PN_LCD_R_7,
	PN_LCD_VSYNC,
	PN_MDMGPIO0,
	PN_MDMGPIO1,
	PN_MDMGPIO2,
	PN_MDMGPIO3,
	PN_MDMGPIO4,
	PN_MDMGPIO5,
	PN_MDMGPIO6,
	PN_MDMGPIO7,
	PN_MDMGPIO8,
	PN_MPHI_DATA_0,
	PN_MPHI_DATA_1,
	PN_MPHI_DATA_2,
	PN_MPHI_DATA_3,
	PN_MPHI_DATA_4,
	PN_MPHI_DATA_5,
	PN_MPHI_DATA_6,
	PN_MPHI_DATA_7,
	PN_MPHI_DATA_8,
	PN_MPHI_DATA_9,
	PN_MPHI_DATA_10,
	PN_MPHI_DATA_11,
	PN_MPHI_DATA_12,
	PN_MPHI_DATA_13,
	PN_MPHI_DATA_14,
	PN_MPHI_DATA_15,
	PN_MPHI_HA0,
	PN_MPHI_HAT0,
	PN_MPHI_HAT1,
	PN_MPHI_HCE0_N,
	PN_MPHI_HCE1_N,
	PN_MPHI_HRD_N,
	PN_MPHI_HWR_N,
	PN_MPHI_RUN0,
	PN_MPHI_RUN1,
	PN_MTX_SCAN_CLK,
	PN_MTX_SCAN_DATA,
	PN_NAND_AD_0,
	PN_NAND_AD_1,
	PN_NAND_AD_2,
	PN_NAND_AD_3,
	PN_NAND_AD_4,
	PN_NAND_AD_5,
	PN_NAND_AD_6,
	PN_NAND_AD_7,
	PN_NAND_ALE,
	PN_NAND_CEN_0,
	PN_NAND_CEN_1,
	PN_NAND_CLE,
	PN_NAND_OEN,
	PN_NAND_RDY_0,
	PN_NAND_RDY_1,
	PN_NAND_WEN,
	PN_NAND_WP,
	PN_PC1,
	PN_PC2,
	PN_PMU_INT,
	PN_PMU_SCL,
	PN_PMU_SDA,
	PN_RFST2G_MTSLOTEN3G,
	PN_RGMII_0_RX_CTL,
	PN_RGMII_0_RXC,
	PN_RGMII_0_RXD_0,
	PN_RGMII_0_RXD_1,
	PN_RGMII_0_RXD_2,
	PN_RGMII_0_RXD_3,
	PN_RGMII_0_TX_CTL,
	PN_RGMII_0_TXC,
	PN_RGMII_0_TXD_0,
	PN_RGMII_0_TXD_1,
	PN_RGMII_0_TXD_2,
	PN_RGMII_0_TXD_3,
	PN_RGMII_1_RX_CTL,
	PN_RGMII_1_RXC,
	PN_RGMII_1_RXD_0,
	PN_RGMII_1_RXD_1,
	PN_RGMII_1_RXD_2,
	PN_RGMII_1_RXD_3,
	PN_RGMII_1_TX_CTL,
	PN_RGMII_1_TXC,
	PN_RGMII_1_TXD_0,
	PN_RGMII_1_TXD_1,
	PN_RGMII_1_TXD_2,
	PN_RGMII_1_TXD_3,
	PN_RGMII_GPIO_0,
	PN_RGMII_GPIO_1,
	PN_RGMII_GPIO_2,
	PN_RGMII_GPIO_3,
	PN_RTXDATA2G_TXDATA3G1,
	PN_RTXEN2G_TXDATA3G2,
	PN_RXDATA3G0,
	PN_RXDATA3G1,
	PN_RXDATA3G2,
	PN_SDIO1_CLK,
	PN_SDIO1_CMD,
	PN_SDIO1_DATA_0,
	PN_SDIO1_DATA_1,
	PN_SDIO1_DATA_2,
	PN_SDIO1_DATA_3,
	PN_SDIO4_CLK,
	PN_SDIO4_CMD,
	PN_SDIO4_DATA_0,
	PN_SDIO4_DATA_1,
	PN_SDIO4_DATA_2,
	PN_SDIO4_DATA_3,
	PN_SIM_CLK,
	PN_SIM_DATA,
	PN_SIM_DET,
	PN_SIM_RESETN,
	PN_SIM2_CLK,
	PN_SIM2_DATA,
	PN_SIM2_DET,
	PN_SIM2_RESETN,
	PN_SRI_C,
	PN_SRI_D,
	PN_SRI_E,
	PN_SSP_EXTCLK,
	PN_SSP0_CLK,
	PN_SSP0_FS,
	PN_SSP0_RXD,
	PN_SSP0_TXD,
	PN_SSP2_CLK,
	PN_SSP2_FS_0,
	PN_SSP2_FS_1,
	PN_SSP2_FS_2,
	PN_SSP2_FS_3,
	PN_SSP2_RXD_0,
	PN_SSP2_RXD_1,
	PN_SSP2_TXD_0,
	PN_SSP2_TXD_1,
	PN_SSP3_CLK,
	PN_SSP3_FS,
	PN_SSP3_RXD,
	PN_SSP3_TXD,
	PN_SSP4_CLK,
	PN_SSP4_FS,
	PN_SSP4_RXD,
	PN_SSP4_TXD,
	PN_SSP5_CLK,
	PN_SSP5_FS,
	PN_SSP5_RXD,
	PN_SSP5_TXD,
	PN_SSP6_CLK,
	PN_SSP6_FS,
	PN_SSP6_RXD,
	PN_SSP6_TXD,
	PN_STAT_1,
	PN_STAT_2,
	PN_SYSCLKEN,
	PN_TRACECLK,
	PN_TRACEDT00,
	PN_TRACEDT01,
	PN_TRACEDT02,
	PN_TRACEDT03,
	PN_TRACEDT04,
	PN_TRACEDT05,
	PN_TRACEDT06,
	PN_TRACEDT07,
	PN_TRACEDT08,
	PN_TRACEDT09,
	PN_TRACEDT10,
	PN_TRACEDT11,
	PN_TRACEDT12,
	PN_TRACEDT13,
	PN_TRACEDT14,
	PN_TRACEDT15,
	PN_TXDATA3G0,
	PN_TXPWRIND,
	PN_UARTB1_UCTS,
	PN_UARTB1_URTS,
	PN_UARTB1_URXD,
	PN_UARTB1_UTXD,
	PN_UARTB2_URXD,
	PN_UARTB2_UTXD,
	PN_UARTB3_UCTS,
	PN_UARTB3_URTS,
	PN_UARTB3_URXD,
	PN_UARTB3_UTXD,
	PN_UARTB4_UCTS,
	PN_UARTB4_URTS,
	PN_UARTB4_URXD,
	PN_UARTB4_UTXD,
	PN_VC_CAM1_SCL,
	PN_VC_CAM1_SDA,
	PN_VC_CAM2_SCL,
	PN_VC_CAM2_SDA,
	PN_VC_CAM3_SCL,
	PN_VC_CAM3_SDA,

	PN_MAX
};

/* define function name, order is not important */
enum PIN_FUNC {
	PF_RESERVED	=	0,
	PF_GPIO_000,
	PF_FIRST_GPIO =	PF_GPIO_000,
	PF_GPIO_001,
	PF_GPIO_002,
	PF_GPIO_003,
	PF_GPIO_004,
	PF_GPIO_005,
	PF_GPIO_006,
	PF_GPIO_007,
	PF_GPIO_008,
	PF_GPIO_009,
	PF_GPIO_010,
	PF_GPIO_011,
	PF_GPIO_012,
	PF_GPIO_013,
	PF_GPIO_014,
	PF_GPIO_015,
	PF_GPIO_016,
	PF_GPIO_017,
	PF_GPIO_018,
	PF_GPIO_019,
	PF_GPIO_020,
	PF_GPIO_021,
	PF_GPIO_022,
	PF_GPIO_023,
	PF_GPIO_024,
	PF_GPIO_025,
	PF_GPIO_026,
	PF_GPIO_027,
	PF_GPIO_028,
	PF_GPIO_029,
	PF_GPIO_030,
	PF_GPIO_031,
	PF_GPIO_032,
	PF_GPIO_033,
	PF_GPIO_034,
	PF_GPIO_035,
	PF_GPIO_036,
	PF_GPIO_037,
	PF_GPIO_038,
	PF_GPIO_039,
	PF_GPIO_040,
	PF_GPIO_041,
	PF_GPIO_042,
	PF_GPIO_043,
	PF_GPIO_044,
	PF_GPIO_045,
	PF_GPIO_046,
	PF_GPIO_047,
	PF_GPIO_048,
	PF_GPIO_049,
	PF_GPIO_050,
	PF_GPIO_051,
	PF_GPIO_052,
	PF_GPIO_053,
	PF_GPIO_054,
	PF_GPIO_055,
	PF_GPIO_056,
	PF_GPIO_057,
	PF_GPIO_058,
	PF_GPIO_059,
	PF_GPIO_060,
	PF_GPIO_061,
	PF_GPIO_062,
	PF_GPIO_063,
	PF_GPIO_064,
	PF_GPIO_065,
	PF_GPIO_066,
	PF_GPIO_067,
	PF_GPIO_068,
	PF_GPIO_069,
	PF_GPIO_070,
	PF_GPIO_071,
	PF_GPIO_072,
	PF_GPIO_073,
	PF_GPIO_074,
	PF_GPIO_075,
	PF_GPIO_076,
	PF_GPIO_077,
	PF_GPIO_078,
	PF_GPIO_079,
	PF_GPIO_080,
	PF_GPIO_081,
	PF_GPIO_082,
	PF_GPIO_083,
	PF_GPIO_084,
	PF_GPIO_085,
	PF_GPIO_086,
	PF_GPIO_087,
	PF_GPIO_088,
	PF_GPIO_089,
	PF_GPIO_090,
	PF_GPIO_091,
	PF_GPIO_092,
	PF_GPIO_093,
	PF_GPIO_094,
	PF_GPIO_095,
	PF_GPIO_096,
	PF_GPIO_097,
	PF_GPIO_098,
	PF_GPIO_099,
	PF_GPIO_100,
	PF_GPIO_101,
	PF_GPIO_102,
	PF_GPIO_103,
	PF_GPIO_104,
	PF_GPIO_105,
	PF_GPIO_106,
	PF_GPIO_107,
	PF_GPIO_108,
	PF_GPIO_109,
	PF_GPIO_110,
	PF_GPIO_111,
	PF_GPIO_112,
	PF_GPIO_113,
	PF_GPIO_114,
	PF_GPIO_115,
	PF_GPIO_116,
	PF_GPIO_117,
	PF_GPIO_118,
	PF_GPIO_119,
	PF_GPIO_120,
	PF_GPIO_121,
	PF_GPIO_122,
	PF_GPIO_123,
	PF_GPIO_124,
	PF_GPIO_125,
	PF_GPIO_126,
	PF_GPIO_127,
	PF_GPIO_128,
	PF_GPIO_129,
	PF_GPIO_130,
	PF_GPIO_131,
	PF_GPIO_132,
	PF_GPIO_133,
	PF_GPIO_134,
	PF_GPIO_135,
	PF_GPIO_136,
	PF_GPIO_137,
	PF_GPIO_138,
	PF_GPIO_139,
	PF_GPIO_140,
	PF_GPIO_141,
	PF_GPIO_142,
	PF_GPIO_143,
	PF_GPIO_144,
	PF_GPIO_145,
	PF_GPIO_146,
	PF_GPIO_147,
	PF_GPIO_148,
	PF_GPIO_149,
	PF_GPIO_150,
	PF_GPIO_151,
	PF_GPIO_152,
	PF_GPIO_153,
	PF_GPIO_154,
	PF_GPIO_155,
	PF_GPIO_156,
	PF_GPIO_157,
	PF_GPIO_158,
	PF_GPIO_159,
	PF_GPIO_160,
	PF_GPIO_161,
	PF_GPIO_162,
	PF_GPIO_163,
	PF_GPIO_164,
	PF_GPIO_165,
	PF_GPIO_166,
	PF_GPIO_167,
	PF_GPIO_168,
	PF_GPIO_169,
	PF_GPIO_170,
	PF_GPIO_171,
	PF_GPIO_172,
	PF_GPIO_173,
	PF_GPIO_174,
	PF_GPIO_175,
	PF_GPIO_176,
	PF_GPIO_177,
	PF_GPIO_178,
	PF_GPIO_179,
	PF_GPIO_180,
	PF_GPIO_181,
	PF_GPIO_182,
	PF_GPIO_183,
	PF_GPIO_184,
	PF_GPIO_185,
	PF_GPIO_186,
	PF_GPIO_187,
	PF_GPIO_188,
	PF_GPIO_189,
	PF_GPIO_190,
	PF_GPIO_191,
	PF_LAST_GPIO =	PF_GPIO_191,

	PF_ACDATA,
	PF_ACFLAG,
	PF_ACREADY,
	PF_ACWAKE,
	PF_ADC_AP_EN,
	PF_AFCPDM,
	PF_AP_ADC_DATA_O,
	PF_AP_DAC_DATA_I,
	PF_AP_IHF_DATA_I,
	PF_AP_LRCK_I,
	PF_AP_REF_2P4M_CLK,
	PF_AP_RSTN,
	PF_AP_SCLK_I,
	PF_AVEIN_DSYNC,
	PF_AVEIN_HSYNC,
	PF_AVEIN_VCLK,
	PF_AVEIN_VID0,
	PF_AVEIN_VID1,
	PF_AVEIN_VID10,
	PF_AVEIN_VID11,
	PF_AVEIN_VID12,
	PF_AVEIN_VID13,
	PF_AVEIN_VID14,
	PF_AVEIN_VID15,
	PF_AVEIN_VID16,
	PF_AVEIN_VID17,
	PF_AVEIN_VID18,
	PF_AVEIN_VID19,
	PF_AVEIN_VID2,
	PF_AVEIN_VID20,
	PF_AVEIN_VID21,
	PF_AVEIN_VID22,
	PF_AVEIN_VID23,
	PF_AVEIN_VID3,
	PF_AVEIN_VID4,
	PF_AVEIN_VID5,
	PF_AVEIN_VID6,
	PF_AVEIN_VID7,
	PF_AVEIN_VID8,
	PF_AVEIN_VID9,
	PF_AVEIN_VSYNC,
	PF_BAT_RM,
	PF_BSC1_SCL,
	PF_BSC1_SDA,
	PF_BSC2_SCL,
	PF_BSC2_SDA,
	PF_BSC3_SCL,
	PF_BSC3_SDA,
	PF_CADATA,
	PF_CAFLAG,
	PF_CAM1_CAM_CLK_CPI,
	PF_CAM1_CAM_DATA0_CPI,
	PF_CAM1_CAM_DATA1_CPI,
	PF_CAM1_CAM_DATA2_CPI,
	PF_CAM1_CAM_DATA3_CPI,
	PF_CAM1_CAM_DATA4_CPI,
	PF_CAM1_CAM_DATA5_CPI,
	PF_CAM1_CAM_DATA6_CPI,
	PF_CAM1_CAM_DATA7_CPI,
	PF_CAM1_CAM_DATA8_CPI,
	PF_CAM1_CAM_DATA9_CPI,
	PF_CAM1_CAM_HSYNC_CPI,
	PF_CAM1_CAM_VSYNC_CPI,
	PF_CAREADY,
	PF_CAWAKE,
	PF_CIR_RX,
	PF_CIR_TX,
	PF_CLASSGPWR,
	PF_CLK_CX8,
	PF_CLKMON,
	PF_CLKOUT_0,
	PF_CLKOUT_1,
	PF_CLKOUT_2,
	PF_CLKOUT_3,
	PF_CLKREQ_IN_0,
	PF_CLKREQ_IN_1,
	PF_CWS_SYS_REQ1,
	PF_CWS_SYS_REQ2,
	PF_CWS_SYS_REQ3,
	PF_DAC_SCL_EN,
	PF_DBI_B_CSX,
	PF_DBI_B_D_CX,
	PF_DBI_B_D0,
	PF_DBI_B_D1,
	PF_DBI_B_D10,
	PF_DBI_B_D11,
	PF_DBI_B_D12,
	PF_DBI_B_D13,
	PF_DBI_B_D14,
	PF_DBI_B_D15,
	PF_DBI_B_D16,
	PF_DBI_B_D17,
	PF_DBI_B_D2,
	PF_DBI_B_D3,
	PF_DBI_B_D4,
	PF_DBI_B_D5,
	PF_DBI_B_D6,
	PF_DBI_B_D7,
	PF_DBI_B_D8,
	PF_DBI_B_D9,
	PF_DBI_B_RDX,
	PF_DBI_B_RESX,
	PF_DBI_B_WRX,
	PF_DBI_C_CSX,
	PF_DBI_C_DIN,
	PF_DBI_C_DOUT,
	PF_DBI_C_RESX,
	PF_DBI_C_SCL,
	PF_DEBUG_BUS00,
	PF_DEBUG_BUS01,
	PF_DEBUG_BUS02,
	PF_DEBUG_BUS03,
	PF_DEBUG_BUS04,
	PF_DEBUG_BUS05,
	PF_DEBUG_BUS06,
	PF_DEBUG_BUS07,
	PF_DEBUG_BUS08,
	PF_DEBUG_BUS09,
	PF_DEBUG_BUS10,
	PF_DEBUG_BUS11,
	PF_DEBUG_BUS12,
	PF_DEBUG_BUS13,
	PF_DEBUG_BUS14,
	PF_DEBUG_BUS15,
	PF_DIGMIC1_CLK,
	PF_DIGMIC1_DQ,
	PF_DIGMIC2_CLK,
	PF_DIGMIC2_DQ,
	PF_EAV_BITCLK_0,
	PF_EAV_BITCLK_1,
	PF_EAV_DTE_LTS,
	PF_EAV_GPIO_LTS,
	PF_EAV_SD_0,
	PF_EAV_SD_1,
	PF_EAV_WS_0,
	PF_EAV_WS_1,
	PF_EP_AP_EN,
	PF_GPEN00,
	PF_GPEN01,
	PF_GPEN02,
	PF_GPEN03,
	PF_GPEN04,
	PF_GPEN05,
	PF_GPEN06,
	PF_GPEN07,
	PF_GPEN08,
	PF_GPEN09,
	PF_GPEN10,
	PF_GPEN11,
	PF_GPEN12,
	PF_GPEN13,
	PF_GPEN14,
	PF_GPEN15,
	PF_HDMI_SCL,
	PF_HDMI_SDA,
	PF_HS_AP_EN,
	PF_IC_DM,
	PF_IC_DP,
	PF_IHF_AP_EN,
	PF_IRD_OSC_0,
	PF_IRD_OSC_1,
	PF_IRD_OSC_10,
	PF_IRD_OSC_11,
	PF_IRD_OSC_2,
	PF_IRD_OSC_3,
	PF_IRD_OSC_4,
	PF_IRD_OSC_5,
	PF_IRD_OSC_6,
	PF_IRD_OSC_7,
	PF_IRD_OSC_8,
	PF_IRD_OSC_9,
	PF_KP_COL_IP_0,
	PF_KP_COL_IP_1,
	PF_KP_COL_IP_2,
	PF_KP_COL_IP_3,
	PF_KP_COL_IP_4,
	PF_KP_COL_IP_5,
	PF_KP_COL_IP_6,
	PF_KP_COL_IP_7,
	PF_KP_ROW_OP_0,
	PF_KP_ROW_OP_1,
	PF_KP_ROW_OP_2,
	PF_KP_ROW_OP_3,
	PF_KP_ROW_OP_4,
	PF_KP_ROW_OP_5,
	PF_KP_ROW_OP_6,
	PF_KP_ROW_OP_7,
	PF_LCD_B_0,
	PF_LCD_B_1,
	PF_LCD_B_2,
	PF_LCD_B_3,
	PF_LCD_B_4,
	PF_LCD_B_5,
	PF_LCD_B_6,
	PF_LCD_B_7,
	PF_LCD_G_0,
	PF_LCD_G_1,
	PF_LCD_G_2,
	PF_LCD_G_3,
	PF_LCD_G_4,
	PF_LCD_G_5,
	PF_LCD_G_6,
	PF_LCD_G_7,
	PF_LCD_HSYNC,
	PF_LCD_OE,
	PF_LCD_PCLK,
	PF_LCD_R_0,
	PF_LCD_R_1,
	PF_LCD_R_2,
	PF_LCD_R_3,
	PF_LCD_R_4,
	PF_LCD_R_5,
	PF_LCD_R_6,
	PF_LCD_R_7,
	PF_LCD_VSYNC,
	PF_MDC,
	PF_MDIO,
	PF_MDM_DSP_TRACE_CLK,
	PF_MDM_DSP_TRACE_DAT00,
	PF_MDM_DSP_TRACE_DAT01,
	PF_MDM_DSP_TRACE_DAT02,
	PF_MDM_DSP_TRACE_DAT03,
	PF_MDM_DSP_TRACE_DAT04,
	PF_MDM_DSP_TRACE_DAT05,
	PF_MDM_DSP_TRACE_DAT06,
	PF_MDM_DSP_TRACE_DAT07,
	PF_MDM_DSP_TRACE_DAT08,
	PF_MDM_DSP_TRACE_DAT09,
	PF_MDM_DSP_TRACE_DAT10,
	PF_MDM_DSP_TRACE_DAT11,
	PF_MDM_DSP_TRACE_DAT12,
	PF_MDM_DSP_TRACE_DAT13,
	PF_MDM_DSP_TRACE_DAT14,
	PF_MDM_DSP_TRACE_DAT15,
	PF_MPHI_DATA_0,
	PF_MPHI_DATA_1,
	PF_MPHI_DATA_10,
	PF_MPHI_DATA_11,
	PF_MPHI_DATA_12,
	PF_MPHI_DATA_13,
	PF_MPHI_DATA_14,
	PF_MPHI_DATA_15,
	PF_MPHI_DATA_2,
	PF_MPHI_DATA_3,
	PF_MPHI_DATA_4,
	PF_MPHI_DATA_5,
	PF_MPHI_DATA_6,
	PF_MPHI_DATA_7,
	PF_MPHI_DATA_8,
	PF_MPHI_DATA_9,
	PF_MPHI_HA0,
	PF_MPHI_HAT0,
	PF_MPHI_HAT1,
	PF_MPHI_HCE0_N,
	PF_MPHI_HCE1_N,
	PF_MPHI_HRD_N,
	PF_MPHI_HWR_N,
	PF_MPHI_RUN0,
	PF_MPHI_RUN1,
	PF_MSTR_CLK_0,
	PF_MSTR_CLK_1,
	PF_MTX_SCAN_CLK,
	PF_MTX_SCAN_DATA,
	PF_NAND_AD_0,
	PF_NAND_AD_1,
	PF_NAND_AD_2,
	PF_NAND_AD_3,
	PF_NAND_AD_4,
	PF_NAND_AD_5,
	PF_NAND_AD_6,
	PF_NAND_AD_7,
	PF_NAND_ALE,
	PF_NAND_CEN_0,
	PF_NAND_CEN_1,
	PF_NAND_CLE,
	PF_NAND_OEN,
	PF_NAND_RDY_0,
	PF_NAND_RDY_1,
	PF_NAND_WEN,
	PF_NAND_WP,
	PF_OSC1_OUT,
	PF_OSC2_OUT,
	PF_PC1,
	PF_PC2,
	PF_PC3,
	PF_PM_DEBUG0,
	PF_PM_DEBUG1,
	PF_PM_DEBUG2,
	PF_PM_DEBUG3,
	PF_PMU_INT,
	PF_PMU_SCL,
	PF_PMU_SDA,
	PF_PTI_CLK,
	PF_PTI_DAT0,
	PF_PTI_DAT1,
	PF_PTI_DAT2,
	PF_PTI_DAT3,
	PF_PWM_O_0,
	PF_PWM_O_1,
	PF_PWM_O_2,
	PF_PWM_O_3,
	PF_PWM_O_4,
	PF_PWM_O_5,
	PF_RFGPO_0,
	PF_RFGPO_1,
	PF_RFGPO_2,
	PF_RFGPO_3,
	PF_RFGPO_4,
	PF_RFGPO_5,
	PF_RFST2G_MTSLOTEN3G,
	PF_RGMII_0_RX_CTL,
	PF_RGMII_0_RXC,
	PF_RGMII_0_RXD0,
	PF_RGMII_0_RXD1,
	PF_RGMII_0_RXD2,
	PF_RGMII_0_RXD3,
	PF_RGMII_0_TX_CTL,
	PF_RGMII_0_TXC,
	PF_RGMII_0_TXD0,
	PF_RGMII_0_TXD1,
	PF_RGMII_0_TXD2,
	PF_RGMII_0_TXD3,
	PF_RGMII_1_RX_CTL,
	PF_RGMII_1_RXC,
	PF_RGMII_1_RXD0,
	PF_RGMII_1_RXD1,
	PF_RGMII_1_RXD2,
	PF_RGMII_1_RXD3,
	PF_RGMII_1_TX_CTL,
	PF_RGMII_1_TXC,
	PF_RGMII_1_TXD0,
	PF_RGMII_1_TXD1,
	PF_RGMII_1_TXD2,
	PF_RGMII_1_TXD3,
	PF_RGMII_GPIO_0,
	PF_RGMII_GPIO_1,
	PF_RGMII_GPIO_2,
	PF_RGMII_GPIO_3,
	PF_RTCK,
	PF_RTXDATA2G_TXDATA3G1,
	PF_RTXEN2G_TXDATA3G2,
	PF_RXDATA3G0,
	PF_RXDATA3G1,
	PF_RXDATA3G2,
	PF_SDIO1_CLK,
	PF_SDIO1_CMD,
	PF_SDIO1_DATA_0,
	PF_SDIO1_DATA_1,
	PF_SDIO1_DATA_2,
	PF_SDIO1_DATA_3,
	PF_SDIO2_CLK,
	PF_SDIO2_CMD,
	PF_SDIO2_DATA_0,
	PF_SDIO2_DATA_1,
	PF_SDIO2_DATA_2,
	PF_SDIO2_DATA_3,
	PF_SDIO2_DATA_4,
	PF_SDIO2_DATA_5,
	PF_SDIO2_DATA_6,
	PF_SDIO2_DATA_7,
	PF_SDIO2_RST_N,
	PF_SDIO3_CLK,
	PF_SDIO3_CMD,
	PF_SDIO3_DATA_0,
	PF_SDIO3_DATA_1,
	PF_SDIO3_DATA_2,
	PF_SDIO3_DATA_3,
	PF_SDIO3_DATA_4,
	PF_SDIO3_DATA_5,
	PF_SDIO3_DATA_6,
	PF_SDIO3_DATA_7,
	PF_SDIO3_RST_N,
	PF_SDIO4_CLK,
	PF_SDIO4_CMD,
	PF_SDIO4_DATA_0,
	PF_SDIO4_DATA_1,
	PF_SDIO4_DATA_2,
	PF_SDIO4_DATA_3,
	PF_SIM_CLK,
	PF_SIM_DATA,
	PF_SIM_DET,
	PF_SIM_LDO_EN,
	PF_SIM_RESETN,
	PF_SIM2_CLK,
	PF_SIM2_DATA,
	PF_SIM2_DET,
	PF_SIM2_LDO_EN,
	PF_SIM2_RESETN,
	PF_SPARE_00,
	PF_SPARE_01,
	PF_SPARE_02,
	PF_SPARE_03,
	PF_SPARE_04,
	PF_SPARE_05,
	PF_SPARE_06,
	PF_SPARE_07,
	PF_SPARE_08,
	PF_SPARE_09,
	PF_SPARE_10,
	PF_SPARE_11,
	PF_SPARE_14,
	PF_SPARE_15,
	PF_SPARE_16,
	PF_SPIS_CSB,
	PF_SPIS_MISO,
	PF_SPIS_MOSI,
	PF_SPIS_SCK,
	PF_SRI_C,
	PF_SRI_D,
	PF_SRI_E,
	PF_SSP_EXTCLK,
	PF_SSP0_CLK,
	PF_SSP0_FS,
	PF_SSP0_RXD,
	PF_SSP0_TXD,
	PF_SSP2_CLK,
	PF_SSP2_FS_0,
	PF_SSP2_FS_1,
	PF_SSP2_FS_2,
	PF_SSP2_FS_3,
	PF_SSP2_RXD_0,
	PF_SSP2_RXD_1,
	PF_SSP2_TXD_0,
	PF_SSP2_TXD_1,
	PF_SSP3_CLK,
	PF_SSP3_FS,
	PF_SSP3_RXD,
	PF_SSP3_TXD,
	PF_SSP4_CLK,
	PF_SSP4_FS,
	PF_SSP4_RXD,
	PF_SSP4_TXD,
	PF_SSP5_CLK,
	PF_SSP5_FS,
	PF_SSP5_RXD,
	PF_SSP5_TXD,
	PF_SSP6_CLK,
	PF_SSP6_FS,
	PF_SSP6_RXD,
	PF_SSP6_TXD,
	PF_STAT_1,
	PF_STAT_2,
	PF_SWDCLKTCK,
	PF_SWDIOTMS,
	PF_SYSCLKEN,
	PF_THERMAL_SHUTDOWN,
	PF_TRACECLK,
	PF_TRACEDT00,
	PF_TRACEDT01,
	PF_TRACEDT02,
	PF_TRACEDT03,
	PF_TRACEDT04,
	PF_TRACEDT05,
	PF_TRACEDT06,
	PF_TRACEDT07,
	PF_TRACEDT08,
	PF_TRACEDT09,
	PF_TRACEDT10,
	PF_TRACEDT11,
	PF_TRACEDT12,
	PF_TRACEDT13,
	PF_TRACEDT14,
	PF_TRACEDT15,
	PF_TXDATA3G0,
	PF_UARTB1_UCTS,
	PF_UARTB1_URTS,
	PF_UARTB1_URXD,
	PF_UARTB1_UTXD,
	PF_UARTB2_UCTS,
	PF_UARTB2_URTS,
	PF_UARTB2_URXD,
	PF_UARTB2_UTXD,
	PF_UARTB3_UCTS,
	PF_UARTB3_URTS,
	PF_UARTB3_URXD,
	PF_UARTB3_UTXD,
	PF_UARTB4_UCTS,
	PF_UARTB4_URTS,
	PF_UARTB4_URXD,
	PF_UARTB4_UTXD,
	PF_UARTB5_UCTS,
	PF_UARTB5_URTS,
	PF_UARTB5_URXD,
	PF_UARTB5_UTXD,
	PF_UARTB6_UCTS,
	PF_UARTB6_URTS,
	PF_UARTB6_URXD,
	PF_UARTB6_UTXD,
	PF_USB0PFT,
	PF_USB0PON,
	PF_USB1PFT,
	PF_USB1PON,
	PF_VC_CAM1_SCL,
	PF_VC_CAM1_SDA,
	PF_VC_CAM2_SCL,
	PF_VC_CAM2_SDA,
	PF_VC_CAM3_SCL,
	PF_VC_CAM3_SDA,
	PF_VC_CPG0,
	PF_VC_CPG1,
	PF_VC_GPCLK_0,
	PF_VC_GPCLK_1,
	PF_VC_GPCLK_2,
	PF_VC_GPIO_1,
	PF_VC_GPIO_2,
	PF_VC_GPIO_3,
	PF_VC_GPIO_4,
	PF_VC_GPIO_5,
	PF_VC_GPIO_6,
	PF_VC_GPIO_7,
	PF_VC_I2S_SCK,
	PF_VC_I2S_SDI,
	PF_VC_I2S_SDO,
	PF_VC_I2S_WSIO,
	PF_VC_PWM_0,
	PF_VC_PWM_1,
	PF_VC_TCK,
	PF_VC_TDI,
	PF_VC_TDO,
	PF_VC_TE0,
	PF_VC_TE1,
	PF_VC_TE2,
	PF_VC_TESTDEBUG_CLK,
	PF_VC_TMS,
	PF_VC_TRSTB,
	PF_VC_URXD,
	PF_VC_UTXD,
	PF_VIBRA_AP_EN,
	PF_WCDMA_CLK1,
	PF_WCDMA_CLK2,
	PF_WCDMA_CLK3,
	PF_WCDMA_DEBUG_0,
	PF_WCDMA_DEBUG_1,
	PF_WCDMA_DEBUG_2,
	PF_WCDMA_DEBUG_3,
	PF_WCDMA_DEBUG_4,
	PF_WCDMA_DEBUG_5,
	PF_WCDMA_DEBUG_6,
	PF_WCDMA_DEBUG_7,
	PF_WCDMA_SYNC,
	PF_WCDMA_UART_RXD,
	PF_WCDMA_UART_TXD,

	PF_MAX
};

/* each Pin has up to 4 functions */
#define	MAX_ALT_FUNC		4


#endif /* __CHIP_PINMUX_H__ */
