/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_BMDM_PWRMGR_H__
#define __BRCM_RDB_BMDM_PWRMGR_H__

#define BMDM_PWRMGR_TIMER_3G_EVENT_OFFSET                                 0x00000000
#define BMDM_PWRMGR_TIMER_3G_EVENT_TYPE                                   UInt32
#define BMDM_PWRMGR_TIMER_3G_EVENT_RESERVED_MASK                          0xFFFFFFF8
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_CONDITION_ACTIVE_SHIFT     0
#define    BMDM_PWRMGR_TIMER_3G_EVENT_TIMER_3G_CONDITION_ACTIVE_MASK      0x00000001

#define BMDM_PWRMGR_TIMER_2G_EVENT_OFFSET                                 0x00000004
#define BMDM_PWRMGR_TIMER_2G_EVENT_TYPE                                   UInt32
#define BMDM_PWRMGR_TIMER_2G_EVENT_RESERVED_MASK                          0xFFFFFFF8
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_CONDITION_ACTIVE_SHIFT     0
#define    BMDM_PWRMGR_TIMER_2G_EVENT_TIMER_2G_CONDITION_ACTIVE_MASK      0x00000001

#define BMDM_PWRMGR_CP_EVENT_OFFSET                                       0x00000008
#define BMDM_PWRMGR_CP_EVENT_TYPE                                         UInt32
#define BMDM_PWRMGR_CP_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    BMDM_PWRMGR_CP_EVENT_CP_POSEDGE_CONDITION_ENABLE_SHIFT         2
#define    BMDM_PWRMGR_CP_EVENT_CP_POSEDGE_CONDITION_ENABLE_MASK          0x00000004
#define    BMDM_PWRMGR_CP_EVENT_CP_NEGEDGE_CONDITION_ENABLE_SHIFT         1
#define    BMDM_PWRMGR_CP_EVENT_CP_NEGEDGE_CONDITION_ENABLE_MASK          0x00000002
#define    BMDM_PWRMGR_CP_EVENT_CP_CONDITION_ACTIVE_SHIFT                 0
#define    BMDM_PWRMGR_CP_EVENT_CP_CONDITION_ACTIVE_MASK                  0x00000001

#define BMDM_PWRMGR_WCDMA_EVENT_OFFSET                                    0x0000000C
#define BMDM_PWRMGR_WCDMA_EVENT_TYPE                                      UInt32
#define BMDM_PWRMGR_WCDMA_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_POSEDGE_CONDITION_ENABLE_SHIFT   2
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_POSEDGE_CONDITION_ENABLE_MASK    0x00000004
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_NEGEDGE_CONDITION_ENABLE_SHIFT   1
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_NEGEDGE_CONDITION_ENABLE_MASK    0x00000002
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_CONDITION_ACTIVE_SHIFT           0
#define    BMDM_PWRMGR_WCDMA_EVENT_WCDMA_CONDITION_ACTIVE_MASK            0x00000001

#define BMDM_PWRMGR_DSP_EVENT_OFFSET                                      0x00000010
#define BMDM_PWRMGR_DSP_EVENT_TYPE                                        UInt32
#define BMDM_PWRMGR_DSP_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    BMDM_PWRMGR_DSP_EVENT_DSP_POSEDGE_CONDITION_ENABLE_SHIFT       2
#define    BMDM_PWRMGR_DSP_EVENT_DSP_POSEDGE_CONDITION_ENABLE_MASK        0x00000004
#define    BMDM_PWRMGR_DSP_EVENT_DSP_NEGEDGE_CONDITION_ENABLE_SHIFT       1
#define    BMDM_PWRMGR_DSP_EVENT_DSP_NEGEDGE_CONDITION_ENABLE_MASK        0x00000002
#define    BMDM_PWRMGR_DSP_EVENT_DSP_CONDITION_ACTIVE_SHIFT               0
#define    BMDM_PWRMGR_DSP_EVENT_DSP_CONDITION_ACTIVE_MASK                0x00000001

#define BMDM_PWRMGR_PERIPH1_EVENT_OFFSET                                  0x00000014
#define BMDM_PWRMGR_PERIPH1_EVENT_TYPE                                    UInt32
#define BMDM_PWRMGR_PERIPH1_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_CONDITION_ACTIVE_SHIFT       0
#define    BMDM_PWRMGR_PERIPH1_EVENT_PERIPH1_CONDITION_ACTIVE_MASK        0x00000001

#define BMDM_PWRMGR_PERIPH2_EVENT_OFFSET                                  0x00000018
#define BMDM_PWRMGR_PERIPH2_EVENT_TYPE                                    UInt32
#define BMDM_PWRMGR_PERIPH2_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_CONDITION_ACTIVE_SHIFT       0
#define    BMDM_PWRMGR_PERIPH2_EVENT_PERIPH2_CONDITION_ACTIVE_MASK        0x00000001

#define BMDM_PWRMGR_SOFTWARE_0_EVENT_OFFSET                               0x0000001C
#define BMDM_PWRMGR_SOFTWARE_0_EVENT_TYPE                                 UInt32
#define BMDM_PWRMGR_SOFTWARE_0_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_MASK  0x00000001

#define BMDM_PWRMGR_SOFTWARE_1_EVENT_OFFSET                               0x00000020
#define BMDM_PWRMGR_SOFTWARE_1_EVENT_TYPE                                 UInt32
#define BMDM_PWRMGR_SOFTWARE_1_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_MASK  0x00000001

#define BMDM_PWRMGR_SOFTWARE_2_EVENT_OFFSET                               0x00000024
#define BMDM_PWRMGR_SOFTWARE_2_EVENT_TYPE                                 UInt32
#define BMDM_PWRMGR_SOFTWARE_2_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_MASK  0x00000001

#define BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_OFFSET                            0x00000028
#define BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_TYPE                              UInt32
#define BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_RESERVED_MASK                     0xFFFFFFF8
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_R4_INT_WAKEUP_EVENT_R4_INT_WAKEUP_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_OFFSET                           0x0000002C
#define BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_TYPE                             UInt32
#define BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_RESERVED_MASK                    0xFFFFFFF8
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_EVENT_DSP_INT_WAKEUP_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_OFFSET                         0x00000030
#define BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_TYPE                           UInt32
#define BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_RESERVED_MASK                  0xFFFFFFF8
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_EVENT_SPARE_INT_WAKEUP_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_HUB_WAKEUP_EVENT_OFFSET                               0x00000034
#define BMDM_PWRMGR_HUB_WAKEUP_EVENT_TYPE                                 UInt32
#define BMDM_PWRMGR_HUB_WAKEUP_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_HUB_WAKEUP_EVENT_HUB_WAKEUP_CONDITION_ACTIVE_MASK  0x00000001

#define BMDM_PWRMGR_EXT_WAKEUP_EVENT_OFFSET                               0x00000038
#define BMDM_PWRMGR_EXT_WAKEUP_EVENT_TYPE                                 UInt32
#define BMDM_PWRMGR_EXT_WAKEUP_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_EXT_WAKEUP_EVENT_EXT_WAKEUP_CONDITION_ACTIVE_MASK  0x00000001

#define BMDM_PWRMGR_EXT_SPARE_1_EVENT_OFFSET                              0x0000003C
#define BMDM_PWRMGR_EXT_SPARE_1_EVENT_TYPE                                UInt32
#define BMDM_PWRMGR_EXT_SPARE_1_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_1_EVENT_EXT_SPARE_1_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_EXT_SPARE_2_EVENT_OFFSET                              0x00000040
#define BMDM_PWRMGR_EXT_SPARE_2_EVENT_TYPE                                UInt32
#define BMDM_PWRMGR_EXT_SPARE_2_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_2_EVENT_EXT_SPARE_2_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_EXT_SPARE_3_EVENT_OFFSET                              0x00000044
#define BMDM_PWRMGR_EXT_SPARE_3_EVENT_TYPE                                UInt32
#define BMDM_PWRMGR_EXT_SPARE_3_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_3_EVENT_EXT_SPARE_3_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_EXT_SPARE_4_EVENT_OFFSET                              0x00000048
#define BMDM_PWRMGR_EXT_SPARE_4_EVENT_TYPE                                UInt32
#define BMDM_PWRMGR_EXT_SPARE_4_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_CONDITION_ACTIVE_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_4_EVENT_EXT_SPARE_4_CONDITION_ACTIVE_MASK 0x00000001

#define BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_OFFSET                      0x00000200
#define BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TYPE                        UInt32
#define BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_RESERVED_MASK               0xFE0F83E0
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_TIMER_3G_VI_BMODEM_POLICY_TIMER_3G_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_OFFSET                      0x00000204
#define BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TYPE                        UInt32
#define BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_RESERVED_MASK               0xFE0F83E0
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_TIMER_2G_VI_BMODEM_POLICY_TIMER_2G_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_CP_VI_BMODEM_POLICY_OFFSET                            0x00000208
#define BMDM_PWRMGR_CP_VI_BMODEM_POLICY_TYPE                              UInt32
#define BMDM_PWRMGR_CP_VI_BMODEM_POLICY_RESERVED_MASK                     0xFE0F83E0
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_AC_SHIFT           24
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_AC_MASK            0x01000000
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_ATL_SHIFT          23
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_ATL_MASK           0x00800000
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_POLICY_SHIFT       20
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_CP_PM_POLICY_MASK        0x00700000
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_AC_SHIFT          14
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_AC_MASK           0x00004000
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_ATL_SHIFT         13
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_ATL_MASK          0x00002000
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_POLICY_SHIFT      10
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_DSP_PM_POLICY_MASK       0x00001C00
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_AC_SHIFT        4
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_AC_MASK         0x00000010
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_ATL_SHIFT       3
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_ATL_MASK        0x00000008
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_POLICY_SHIFT    0
#define    BMDM_PWRMGR_CP_VI_BMODEM_POLICY_CP_PI_WCDMA_PM_POLICY_MASK     0x00000007

#define BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_OFFSET                         0x0000020C
#define BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_TYPE                           UInt32
#define BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_RESERVED_MASK                  0xFE0F83E0
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_AC_SHIFT     24
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_AC_MASK      0x01000000
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_ATL_SHIFT    23
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_ATL_MASK     0x00800000
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_CP_PM_POLICY_MASK  0x00700000
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_AC_SHIFT    14
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_AC_MASK     0x00004000
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_ATL_SHIFT   13
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_ATL_MASK    0x00002000
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_AC_SHIFT  4
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_AC_MASK   0x00000010
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_ATL_MASK  0x00000008
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_WCDMA_VI_BMODEM_POLICY_WCDMA_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_OFFSET                           0x00000210
#define BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_TYPE                             UInt32
#define BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_RESERVED_MASK                    0xFE0F83E0
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_AC_SHIFT         24
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_AC_MASK          0x01000000
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_ATL_SHIFT        23
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_ATL_MASK         0x00800000
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_POLICY_SHIFT     20
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_CP_PM_POLICY_MASK      0x00700000
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_AC_SHIFT        14
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_AC_MASK         0x00004000
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_ATL_SHIFT       13
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_ATL_MASK        0x00002000
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_POLICY_SHIFT    10
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_DSP_PM_POLICY_MASK     0x00001C00
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_AC_SHIFT      4
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_AC_MASK       0x00000010
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_ATL_SHIFT     3
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_ATL_MASK      0x00000008
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_POLICY_SHIFT  0
#define    BMDM_PWRMGR_DSP_VI_BMODEM_POLICY_DSP_PI_WCDMA_PM_POLICY_MASK   0x00000007

#define BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_OFFSET                       0x00000214
#define BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_TYPE                         UInt32
#define BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_RESERVED_MASK                0xFE0F83E0
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_AC_MASK  0x01000000
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_PERIPH1_VI_BMODEM_POLICY_PERIPH1_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_OFFSET                       0x00000218
#define BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_TYPE                         UInt32
#define BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_RESERVED_MASK                0xFE0F83E0
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_AC_MASK  0x01000000
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_PERIPH2_VI_BMODEM_POLICY_PERIPH2_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_OFFSET                    0x0000021C
#define BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_TYPE                      UInt32
#define BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_RESERVED_MASK             0xFE0F83E0
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_0_VI_BMODEM_POLICY_SOFTWARE_0_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_OFFSET                    0x00000220
#define BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_TYPE                      UInt32
#define BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_RESERVED_MASK             0xFE0F83E0
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_1_VI_BMODEM_POLICY_SOFTWARE_1_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_OFFSET                    0x00000224
#define BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_TYPE                      UInt32
#define BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_RESERVED_MASK             0xFE0F83E0
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_SOFTWARE_2_VI_BMODEM_POLICY_SOFTWARE_2_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_OFFSET                 0x00000228
#define BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_TYPE                   UInt32
#define BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_RESERVED_MASK          0xFE0F83E0
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_R4_INT_WAKEUP_VI_BMODEM_POLICY_R4_INT_WAKEUP_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_OFFSET                0x0000022C
#define BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_TYPE                  UInt32
#define BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_RESERVED_MASK         0xFE0F83E0
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_DSP_INT_WAKEUP_VI_BMODEM_POLICY_DSP_INT_WAKEUP_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_OFFSET              0x00000230
#define BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_TYPE                UInt32
#define BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_RESERVED_MASK       0xFE0F83E0
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_SPARE_INT_WAKEUP_VI_BMODEM_POLICY_SPARE_INT_WAKEUP_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_OFFSET                    0x00000234
#define BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_TYPE                      UInt32
#define BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_RESERVED_MASK             0xFE0F83E0
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_HUB_WAKEUP_VI_BMODEM_POLICY_HUB_WAKEUP_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_OFFSET                    0x00000238
#define BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_TYPE                      UInt32
#define BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_RESERVED_MASK             0xFE0F83E0
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_EXT_WAKEUP_VI_BMODEM_POLICY_EXT_WAKEUP_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_OFFSET                   0x0000023C
#define BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_TYPE                     UInt32
#define BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_RESERVED_MASK            0xFE0F83E0
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_1_VI_BMODEM_POLICY_EXT_SPARE_1_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_OFFSET                   0x00000240
#define BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_TYPE                     UInt32
#define BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_RESERVED_MASK            0xFE0F83E0
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_2_VI_BMODEM_POLICY_EXT_SPARE_2_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_OFFSET                   0x00000244
#define BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_TYPE                     UInt32
#define BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_RESERVED_MASK            0xFE0F83E0
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_3_VI_BMODEM_POLICY_EXT_SPARE_3_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_OFFSET                   0x00000248
#define BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_TYPE                     UInt32
#define BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_RESERVED_MASK            0xFE0F83E0
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_AC_SHIFT 24
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_AC_MASK 0x01000000
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_ATL_SHIFT 23
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_ATL_MASK 0x00800000
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_POLICY_SHIFT 20
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_CP_PM_POLICY_MASK 0x00700000
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_AC_SHIFT 14
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_AC_MASK 0x00004000
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_ATL_SHIFT 13
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_ATL_MASK 0x00002000
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_POLICY_SHIFT 10
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_DSP_PM_POLICY_MASK 0x00001C00
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_AC_SHIFT 4
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_AC_MASK 0x00000010
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_ATL_SHIFT 3
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_ATL_MASK 0x00000008
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_POLICY_SHIFT 0
#define    BMDM_PWRMGR_EXT_SPARE_4_VI_BMODEM_POLICY_EXT_SPARE_4_PI_WCDMA_PM_POLICY_MASK 0x00000007

#define BMDM_PWRMGR_VI_TO_VO0_MAP_OFFSET                                  0x00000400
#define BMDM_PWRMGR_VI_TO_VO0_MAP_TYPE                                    UInt32
#define BMDM_PWRMGR_VI_TO_VO0_MAP_RESERVED_MASK                           0xFFFFFFF8
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_CP_TO_VO0_MAP_SHIFT               2
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_CP_TO_VO0_MAP_MASK                0x00000004
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_DSP_TO_VO0_MAP_SHIFT              1
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_DSP_TO_VO0_MAP_MASK               0x00000002
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_WCDMA_TO_VO0_MAP_SHIFT            0
#define    BMDM_PWRMGR_VI_TO_VO0_MAP_VI_WCDMA_TO_VO0_MAP_MASK             0x00000001

#define BMDM_PWRMGR_VI_TO_VO1_MAP_OFFSET                                  0x00000404
#define BMDM_PWRMGR_VI_TO_VO1_MAP_TYPE                                    UInt32
#define BMDM_PWRMGR_VI_TO_VO1_MAP_RESERVED_MASK                           0xFFFFFFF8
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_CP_TO_VO1_MAP_SHIFT               2
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_CP_TO_VO1_MAP_MASK                0x00000004
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_DSP_TO_VO1_MAP_SHIFT              1
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_DSP_TO_VO1_MAP_MASK               0x00000002
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_WCDMA_TO_VO1_MAP_SHIFT            0
#define    BMDM_PWRMGR_VI_TO_VO1_MAP_VI_WCDMA_TO_VO1_MAP_MASK             0x00000001

#define BMDM_PWRMGR_VI_TO_VO2_MAP_OFFSET                                  0x00000408
#define BMDM_PWRMGR_VI_TO_VO2_MAP_TYPE                                    UInt32
#define BMDM_PWRMGR_VI_TO_VO2_MAP_RESERVED_MASK                           0xFFFFFFF8
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_CP_TO_VO2_MAP_SHIFT               2
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_CP_TO_VO2_MAP_MASK                0x00000004
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_DSP_TO_VO2_MAP_SHIFT              1
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_DSP_TO_VO2_MAP_MASK               0x00000002
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_WCDMA_TO_VO2_MAP_SHIFT            0
#define    BMDM_PWRMGR_VI_TO_VO2_MAP_VI_WCDMA_TO_VO2_MAP_MASK             0x00000001

#define BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_OFFSET                         0x0000040C
#define BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_TYPE                           UInt32
#define BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_RESERVED_MASK                  0x007FF8FF
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_SHIFT    24
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_MASK     0xFF000000
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_SHIFT         23
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_MASK          0x00800000
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_CP_RETENTION_CLAMP_DISABLE_SHIFT 10
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_CP_RETENTION_CLAMP_DISABLE_MASK 0x00000400
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_DSP_RETENTION_CLAMP_DISABLE_SHIFT 9
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_DSP_RETENTION_CLAMP_DISABLE_MASK 0x00000200
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_WCDMA_RETENTION_CLAMP_DISABLE_SHIFT 8
#define    BMDM_PWRMGR_PI_DEFAULT_POWER_STATE_PI_WCDMA_RETENTION_CLAMP_DISABLE_MASK 0x00000100

#define BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_OFFSET                      0x00000410
#define BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_TYPE                        UInt32
#define BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_RESERVED_MASK               0x001F0000
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_CLEAR_PI_COUNTERS_SHIFT  31
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_CLEAR_PI_COUNTERS_MASK   0x80000000
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_DEBUG_BUS_SELECT_SHIFT   28
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_DEBUG_BUS_SELECT_MASK    0x70000000
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_ATB_ID_SHIFT             21
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_ATB_ID_MASK              0x0FE00000
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_POWER_MANAGER_DEBUG_BUS_SHIFT 0
#define    BMDM_PWRMGR_DEBUG_AND_COUNTER_CONTROL_POWER_MANAGER_DEBUG_BUS_MASK 0x0000FFFF

#define BMDM_PWRMGR_PI_CP_ON_COUNTER_OFFSET                               0x00000414
#define BMDM_PWRMGR_PI_CP_ON_COUNTER_TYPE                                 UInt32
#define BMDM_PWRMGR_PI_CP_ON_COUNTER_RESERVED_MASK                        0x00000000
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_ENABLE_SHIFT     31
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_ENABLE_MASK      0x80000000
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_OVERFLOW_SHIFT   30
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_OVERFLOW_MASK    0x40000000
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_SHIFT            0
#define    BMDM_PWRMGR_PI_CP_ON_COUNTER_PI_CP_ON_COUNTER_MASK             0x3FFFFFFF

#define BMDM_PWRMGR_PI_DSP_ON_COUNTER_OFFSET                              0x00000418
#define BMDM_PWRMGR_PI_DSP_ON_COUNTER_TYPE                                UInt32
#define BMDM_PWRMGR_PI_DSP_ON_COUNTER_RESERVED_MASK                       0x00000000
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_ENABLE_SHIFT   31
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_ENABLE_MASK    0x80000000
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_OVERFLOW_SHIFT 30
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_OVERFLOW_MASK  0x40000000
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_SHIFT          0
#define    BMDM_PWRMGR_PI_DSP_ON_COUNTER_PI_DSP_ON_COUNTER_MASK           0x3FFFFFFF

#define BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_OFFSET                            0x0000041C
#define BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_TYPE                              UInt32
#define BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_RESERVED_MASK                     0x00000000
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_ENABLE_SHIFT 31
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_ENABLE_MASK 0x80000000
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_OVERFLOW_SHIFT 30
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_SHIFT      0
#define    BMDM_PWRMGR_PI_WCDMA_ON_COUNTER_PI_WCDMA_ON_COUNTER_MASK       0x3FFFFFFF

#define BMDM_PWRMGR_CLK_AFCPON_ENABLE_OFFSET                              0x00000480
#define BMDM_PWRMGR_CLK_AFCPON_ENABLE_TYPE                                UInt32
#define BMDM_PWRMGR_CLK_AFCPON_ENABLE_RESERVED_MASK                       0xFFFFFFFE
#define    BMDM_PWRMGR_CLK_AFCPON_ENABLE_CLK_AFCPON_ENABLE_SHIFT          0
#define    BMDM_PWRMGR_CLK_AFCPON_ENABLE_CLK_AFCPON_ENABLE_MASK           0x00000001

#define BMDM_PWRMGR_EARLY_DEEPSLEEP_OFFSET                                0x00000484
#define BMDM_PWRMGR_EARLY_DEEPSLEEP_TYPE                                  UInt32
#define BMDM_PWRMGR_EARLY_DEEPSLEEP_RESERVED_MASK                         0xFFFFFFFC
#define    BMDM_PWRMGR_EARLY_DEEPSLEEP_DSP_EARLY_DEEPSLEEP_ENABLE_SHIFT   1
#define    BMDM_PWRMGR_EARLY_DEEPSLEEP_DSP_EARLY_DEEPSLEEP_ENABLE_MASK    0x00000002
#define    BMDM_PWRMGR_EARLY_DEEPSLEEP_CP_EARLY_DEEPSLEEP_ENABLE_SHIFT    0
#define    BMDM_PWRMGR_EARLY_DEEPSLEEP_CP_EARLY_DEEPSLEEP_ENABLE_MASK     0x00000001

#define BMDM_PWRMGR_CP_MEM_CTRL_OFFSET                                    0x00000488
#define BMDM_PWRMGR_CP_MEM_CTRL_TYPE                                      UInt32
#define BMDM_PWRMGR_CP_MEM_CTRL_RESERVED_MASK                             0xEFF0E080
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_PDA_SHUTDOWN_MODE_SHIFT             28
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_PDA_SHUTDOWN_MODE_MASK              0x10000000
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_PDA_SHIFT                      19
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_PDA_MASK                       0x00080000
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_PDA_SHIFT                      18
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_PDA_MASK                       0x00040000
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_PDA_SHIFT                       17
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_PDA_MASK                        0x00020000
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_PDA_SHIFT                       16
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_PDA_MASK                        0x00010000
#define    BMDM_PWRMGR_CP_MEM_CTRL_AHB_PM_DISABLE_SHIFT                   12
#define    BMDM_PWRMGR_CP_MEM_CTRL_AHB_PM_DISABLE_MASK                    0x00001000
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_PM_DISABLE_SHIFT               11
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_PM_DISABLE_MASK                0x00000800
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_PM_DISABLE_SHIFT               10
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_PM_DISABLE_MASK                0x00000400
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_PM_DISABLE_SHIFT                9
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_PM_DISABLE_MASK                 0x00000200
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_PM_DISABLE_SHIFT                8
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_PM_DISABLE_MASK                 0x00000100
#define    BMDM_PWRMGR_CP_MEM_CTRL_RFBB_STBY_DISABLE_SHIFT                6
#define    BMDM_PWRMGR_CP_MEM_CTRL_RFBB_STBY_DISABLE_MASK                 0x00000040
#define    BMDM_PWRMGR_CP_MEM_CTRL_PERIPH_ROM_STBY_DISABLE_SHIFT          5
#define    BMDM_PWRMGR_CP_MEM_CTRL_PERIPH_ROM_STBY_DISABLE_MASK           0x00000020
#define    BMDM_PWRMGR_CP_MEM_CTRL_PERIPH_STBY_DISABLE_SHIFT              4
#define    BMDM_PWRMGR_CP_MEM_CTRL_PERIPH_STBY_DISABLE_MASK               0x00000010
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_STBY_DISABLE_SHIFT             3
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_BTCM_STBY_DISABLE_MASK              0x00000008
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_STBY_DISABLE_SHIFT             2
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_ATCM_STBY_DISABLE_MASK              0x00000004
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_STBY_DISABLE_SHIFT              1
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1I_STBY_DISABLE_MASK               0x00000002
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_STBY_DISABLE_SHIFT              0
#define    BMDM_PWRMGR_CP_MEM_CTRL_CP_L1D_STBY_DISABLE_MASK               0x00000001

#define BMDM_PWRMGR_DSP_MEM_CTRL_OFFSET                                   0x0000048C
#define BMDM_PWRMGR_DSP_MEM_CTRL_TYPE                                     UInt32
#define BMDM_PWRMGR_DSP_MEM_CTRL_RESERVED_MASK                            0xEFF0F0E0
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_PDA_SHUTDOWN_MODE_SHIFT           28
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_PDA_SHUTDOWN_MODE_MASK            0x10000000
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_PDA_SHIFT                     19
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_PDA_MASK                      0x00080000
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_PDA_SHIFT                  18
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_PDA_MASK                   0x00040000
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_PDA_SHIFT                  17
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_PDA_MASK                   0x00020000
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_PDA_SHIFT                     16
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_PDA_MASK                      0x00010000
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_PM_DISABLE_SHIFT              11
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_PM_DISABLE_MASK               0x00000800
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_PM_DISABLE_SHIFT           10
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_PM_DISABLE_MASK            0x00000400
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_PM_DISABLE_SHIFT           9
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_PM_DISABLE_MASK            0x00000200
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_PM_DISABLE_SHIFT              8
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_PM_DISABLE_MASK               0x00000100
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_STBY_RF_DISABLE_SHIFT             4
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_STBY_RF_DISABLE_MASK              0x00000010
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_STBY_DISABLE_SHIFT            3
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_ROM_STBY_DISABLE_MASK             0x00000008
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_STBY_DISABLE_SHIFT         2
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE1_STBY_DISABLE_MASK          0x00000004
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_STBY_DISABLE_SHIFT         1
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_CACHE0_STBY_DISABLE_MASK          0x00000002
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_STBY_DISABLE_SHIFT            0
#define    BMDM_PWRMGR_DSP_MEM_CTRL_DSP_MEM_STBY_DISABLE_MASK             0x00000001

#define BMDM_PWRMGR_WCDMA_MEM_CTRL_OFFSET                                 0x00000490
#define BMDM_PWRMGR_WCDMA_MEM_CTRL_TYPE                                   UInt32
#define BMDM_PWRMGR_WCDMA_MEM_CTRL_RESERVED_MASK                          0xEFFFFFF0
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PDA_SHUTDOWN_MODE_SHIFT       28
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PDA_SHUTDOWN_MODE_MASK        0x10000000
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PDA_SHIFT                     3
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PDA_MASK                      0x00000008
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PM_DISABLE_SHIFT              2
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_PM_DISABLE_MASK               0x00000004
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_RF_STBY_DISABLE_SHIFT         1
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_RF_STBY_DISABLE_MASK          0x00000002
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_STBY_DISABLE_SHIFT            0
#define    BMDM_PWRMGR_WCDMA_MEM_CTRL_WCDMA_STBY_DISABLE_MASK             0x00000001

#define BMDM_PWRMGR_AFCPDM_CTRL_OFFSET                                    0x00000494
#define BMDM_PWRMGR_AFCPDM_CTRL_TYPE                                      UInt32
#define BMDM_PWRMGR_AFCPDM_CTRL_RESERVED_MASK                             0xFFFFFFFC
#define    BMDM_PWRMGR_AFCPDM_CTRL_AFCPDM_CTRL_OVERRIDE_SHIFT             1
#define    BMDM_PWRMGR_AFCPDM_CTRL_AFCPDM_CTRL_OVERRIDE_MASK              0x00000002
#define    BMDM_PWRMGR_AFCPDM_CTRL_AFCPDM_ENABLE_SHIFT                    0
#define    BMDM_PWRMGR_AFCPDM_CTRL_AFCPDM_ENABLE_MASK                     0x00000001

#endif /* __BRCM_RDB_BMDM_PWRMGR_H__ */


