/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_CPH_CFIFO_H__
#define __BRCM_RDB_CPH_CFIFO_H__

#define CPH_CFIFO_CH1_PADDR_OFFSET                                        0x00000000
#define CPH_CFIFO_CH1_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH1_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH1_PADDR_CH1_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH1_PADDR_CH1_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH2_PADDR_OFFSET                                        0x00000040
#define CPH_CFIFO_CH2_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH2_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH2_PADDR_CH2_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH2_PADDR_CH2_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH3_PADDR_OFFSET                                        0x00000080
#define CPH_CFIFO_CH3_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH3_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH3_PADDR_CH3_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH3_PADDR_CH3_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH4_PADDR_OFFSET                                        0x000000C0
#define CPH_CFIFO_CH4_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH4_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH4_PADDR_CH4_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH4_PADDR_CH4_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH5_PADDR_OFFSET                                        0x00000100
#define CPH_CFIFO_CH5_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH5_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH5_PADDR_CH5_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH5_PADDR_CH5_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH6_PADDR_OFFSET                                        0x00000140
#define CPH_CFIFO_CH6_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH6_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH6_PADDR_CH6_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH6_PADDR_CH6_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH7_PADDR_OFFSET                                        0x00000180
#define CPH_CFIFO_CH7_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH7_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH7_PADDR_CH7_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH7_PADDR_CH7_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH8_PADDR_OFFSET                                        0x000001C0
#define CPH_CFIFO_CH8_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH8_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH8_PADDR_CH8_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH8_PADDR_CH8_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH9_PADDR_OFFSET                                        0x00000200
#define CPH_CFIFO_CH9_PADDR_TYPE                                          UInt32
#define CPH_CFIFO_CH9_PADDR_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CH9_PADDR_CH9_PADDR_SHIFT                            0
#define    CPH_CFIFO_CH9_PADDR_CH9_PADDR_MASK                             0xFFFFFFFF

#define CPH_CFIFO_CH10_PADDR_OFFSET                                       0x00000240
#define CPH_CFIFO_CH10_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH10_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH10_PADDR_CH10_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH10_PADDR_CH10_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH11_PADDR_OFFSET                                       0x00000280
#define CPH_CFIFO_CH11_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH11_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH11_PADDR_CH11_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH11_PADDR_CH11_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH12_PADDR_OFFSET                                       0x000002C0
#define CPH_CFIFO_CH12_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH12_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH12_PADDR_CH12_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH12_PADDR_CH12_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH13_PADDR_OFFSET                                       0x00000300
#define CPH_CFIFO_CH13_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH13_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH13_PADDR_CH13_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH13_PADDR_CH13_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH14_PADDR_OFFSET                                       0x00000340
#define CPH_CFIFO_CH14_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH14_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH14_PADDR_CH14_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH14_PADDR_CH14_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH15_PADDR_OFFSET                                       0x00000380
#define CPH_CFIFO_CH15_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH15_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH15_PADDR_CH15_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH15_PADDR_CH15_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CH16_PADDR_OFFSET                                       0x000003C0
#define CPH_CFIFO_CH16_PADDR_TYPE                                         UInt32
#define CPH_CFIFO_CH16_PADDR_RESERVED_MASK                                0x00000000
#define    CPH_CFIFO_CH16_PADDR_CH16_PADDR_SHIFT                          0
#define    CPH_CFIFO_CH16_PADDR_CH16_PADDR_MASK                           0xFFFFFFFF

#define CPH_CFIFO_CPH_CTL_1_OFFSET                                        0x00000400
#define CPH_CFIFO_CPH_CTL_1_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_1_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_1_CH2_RING_SIZE_SHIFT                        27
#define    CPH_CFIFO_CPH_CTL_1_CH2_RING_SIZE_MASK                         0xF8000000
#define    CPH_CFIFO_CPH_CTL_1_CH2_START_ADDR_SHIFT                       16
#define    CPH_CFIFO_CPH_CTL_1_CH2_START_ADDR_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_CTL_1_CH1_RING_SIZE_SHIFT                        11
#define    CPH_CFIFO_CPH_CTL_1_CH1_RING_SIZE_MASK                         0x0000F800
#define    CPH_CFIFO_CPH_CTL_1_CH1_START_ADDR_SHIFT                       0
#define    CPH_CFIFO_CPH_CTL_1_CH1_START_ADDR_MASK                        0x000007FF

#define CPH_CFIFO_CPH_CTL_2_OFFSET                                        0x00000404
#define CPH_CFIFO_CPH_CTL_2_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_2_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_2_CH4_RING_SIZE_SHIFT                        27
#define    CPH_CFIFO_CPH_CTL_2_CH4_RING_SIZE_MASK                         0xF8000000
#define    CPH_CFIFO_CPH_CTL_2_CH4_START_ADDR_SHIFT                       16
#define    CPH_CFIFO_CPH_CTL_2_CH4_START_ADDR_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_CTL_2_CH3_RING_SIZE_SHIFT                        11
#define    CPH_CFIFO_CPH_CTL_2_CH3_RING_SIZE_MASK                         0x0000F800
#define    CPH_CFIFO_CPH_CTL_2_CH3_START_ADDR_SHIFT                       0
#define    CPH_CFIFO_CPH_CTL_2_CH3_START_ADDR_MASK                        0x000007FF

#define CPH_CFIFO_CPH_CTL_3_OFFSET                                        0x00000408
#define CPH_CFIFO_CPH_CTL_3_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_3_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_3_CH6_RING_SIZE_SHIFT                        27
#define    CPH_CFIFO_CPH_CTL_3_CH6_RING_SIZE_MASK                         0xF8000000
#define    CPH_CFIFO_CPH_CTL_3_CH6_START_ADDR_SHIFT                       16
#define    CPH_CFIFO_CPH_CTL_3_CH6_START_ADDR_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_CTL_3_CH5_RING_SIZE_SHIFT                        11
#define    CPH_CFIFO_CPH_CTL_3_CH5_RING_SIZE_MASK                         0x0000F800
#define    CPH_CFIFO_CPH_CTL_3_CH5_START_ADDR_SHIFT                       0
#define    CPH_CFIFO_CPH_CTL_3_CH5_START_ADDR_MASK                        0x000007FF

#define CPH_CFIFO_CPH_CTL_4_OFFSET                                        0x0000040C
#define CPH_CFIFO_CPH_CTL_4_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_4_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_4_CH8_RING_SIZE_SHIFT                        27
#define    CPH_CFIFO_CPH_CTL_4_CH8_RING_SIZE_MASK                         0xF8000000
#define    CPH_CFIFO_CPH_CTL_4_CH8_START_ADDR_SHIFT                       16
#define    CPH_CFIFO_CPH_CTL_4_CH8_START_ADDR_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_CTL_4_CH7_RING_SIZE_SHIFT                        11
#define    CPH_CFIFO_CPH_CTL_4_CH7_RING_SIZE_MASK                         0x0000F800
#define    CPH_CFIFO_CPH_CTL_4_CH7_START_ADDR_SHIFT                       0
#define    CPH_CFIFO_CPH_CTL_4_CH7_START_ADDR_MASK                        0x000007FF

#define CPH_CFIFO_CPH_CTL_5_OFFSET                                        0x00000510
#define CPH_CFIFO_CPH_CTL_5_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_5_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_5_CH10_RING_SIZE_SHIFT                       27
#define    CPH_CFIFO_CPH_CTL_5_CH10_RING_SIZE_MASK                        0xF8000000
#define    CPH_CFIFO_CPH_CTL_5_CH10_START_ADDR_SHIFT                      16
#define    CPH_CFIFO_CPH_CTL_5_CH10_START_ADDR_MASK                       0x07FF0000
#define    CPH_CFIFO_CPH_CTL_5_CH9_RING_SIZE_SHIFT                        11
#define    CPH_CFIFO_CPH_CTL_5_CH9_RING_SIZE_MASK                         0x0000F800
#define    CPH_CFIFO_CPH_CTL_5_CH9_START_ADDR_SHIFT                       0
#define    CPH_CFIFO_CPH_CTL_5_CH9_START_ADDR_MASK                        0x000007FF

#define CPH_CFIFO_CPH_CTL_6_OFFSET                                        0x00000514
#define CPH_CFIFO_CPH_CTL_6_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_6_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_6_CH12_RING_SIZE_SHIFT                       27
#define    CPH_CFIFO_CPH_CTL_6_CH12_RING_SIZE_MASK                        0xF8000000
#define    CPH_CFIFO_CPH_CTL_6_CH12_START_ADDR_SHIFT                      16
#define    CPH_CFIFO_CPH_CTL_6_CH12_START_ADDR_MASK                       0x07FF0000
#define    CPH_CFIFO_CPH_CTL_6_CH11_RING_SIZE_SHIFT                       11
#define    CPH_CFIFO_CPH_CTL_6_CH11_RING_SIZE_MASK                        0x0000F800
#define    CPH_CFIFO_CPH_CTL_6_CH11_START_ADDR_SHIFT                      0
#define    CPH_CFIFO_CPH_CTL_6_CH11_START_ADDR_MASK                       0x000007FF

#define CPH_CFIFO_CPH_CTL_7_OFFSET                                        0x00000518
#define CPH_CFIFO_CPH_CTL_7_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_7_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_7_CH14_RING_SIZE_SHIFT                       27
#define    CPH_CFIFO_CPH_CTL_7_CH14_RING_SIZE_MASK                        0xF8000000
#define    CPH_CFIFO_CPH_CTL_7_CH14_START_ADDR_SHIFT                      16
#define    CPH_CFIFO_CPH_CTL_7_CH14_START_ADDR_MASK                       0x07FF0000
#define    CPH_CFIFO_CPH_CTL_7_CH13_RING_SIZE_SHIFT                       11
#define    CPH_CFIFO_CPH_CTL_7_CH13_RING_SIZE_MASK                        0x0000F800
#define    CPH_CFIFO_CPH_CTL_7_CH13_START_ADDR_SHIFT                      0
#define    CPH_CFIFO_CPH_CTL_7_CH13_START_ADDR_MASK                       0x000007FF

#define CPH_CFIFO_CPH_CTL_8_OFFSET                                        0x0000051C
#define CPH_CFIFO_CPH_CTL_8_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CTL_8_RESERVED_MASK                                 0x00000000
#define    CPH_CFIFO_CPH_CTL_8_CH16_RING_SIZE_SHIFT                       27
#define    CPH_CFIFO_CPH_CTL_8_CH16_RING_SIZE_MASK                        0xF8000000
#define    CPH_CFIFO_CPH_CTL_8_CH16_START_ADDR_SHIFT                      16
#define    CPH_CFIFO_CPH_CTL_8_CH16_START_ADDR_MASK                       0x07FF0000
#define    CPH_CFIFO_CPH_CTL_8_CH15_RING_SIZE_SHIFT                       11
#define    CPH_CFIFO_CPH_CTL_8_CH15_RING_SIZE_MASK                        0x0000F800
#define    CPH_CFIFO_CPH_CTL_8_CH15_START_ADDR_SHIFT                      0
#define    CPH_CFIFO_CPH_CTL_8_CH15_START_ADDR_MASK                       0x000007FF

#define CPH_CFIFO_CPH_CR_1_OFFSET                                         0x00000520
#define CPH_CFIFO_CPH_CR_1_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_1_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_1_CH1_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_1_CH1_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_1_CH1_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_1_CH1_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_1_CH1_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_1_CH1_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_1_CH1_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_1_CH1_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_1_CH1_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_1_CH1_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_1_CH1_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_1_CH1_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_1_CH1_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_1_CH1_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_1_OFFSET                                         0x00000524
#define CPH_CFIFO_CPH_SR_1_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_1_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_1_CH1_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_1_CH1_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_1_CH1_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_1_CH1_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_1_CH1_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_1_CH1_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_1_CH1_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_1_CH1_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_1_CH1_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_1_CH1_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_1_CH1_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_1_CH1_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_1_CH1_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_1_CH1_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_2_OFFSET                                         0x00000528
#define CPH_CFIFO_CPH_CR_2_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_2_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_2_CH2_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_2_CH2_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_2_CH2_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_2_CH2_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_2_CH2_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_2_CH2_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_2_CH2_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_2_CH2_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_2_CH2_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_2_CH2_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_2_CH2_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_2_CH2_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_2_CH2_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_2_CH2_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_2_OFFSET                                         0x0000052C
#define CPH_CFIFO_CPH_SR_2_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_2_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_2_CH2_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_2_CH2_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_2_CH2_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_2_CH2_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_2_CH2_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_2_CH2_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_2_CH2_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_2_CH2_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_2_CH2_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_2_CH2_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_2_CH2_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_2_CH2_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_2_CH2_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_2_CH2_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_3_OFFSET                                         0x00000530
#define CPH_CFIFO_CPH_CR_3_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_3_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_3_CH3_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_3_CH3_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_3_CH3_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_3_CH3_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_3_CH3_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_3_CH3_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_3_CH3_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_3_CH3_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_3_CH3_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_3_CH3_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_3_CH3_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_3_CH3_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_3_CH3_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_3_CH3_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_3_OFFSET                                         0x00000534
#define CPH_CFIFO_CPH_SR_3_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_3_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_3_CH3_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_3_CH3_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_3_CH3_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_3_CH3_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_3_CH3_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_3_CH3_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_3_CH3_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_3_CH3_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_3_CH3_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_3_CH3_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_3_CH3_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_3_CH3_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_3_CH3_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_3_CH3_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_4_OFFSET                                         0x00000538
#define CPH_CFIFO_CPH_CR_4_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_4_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_4_CH4_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_4_CH4_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_4_CH4_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_4_CH4_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_4_CH4_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_4_CH4_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_4_CH4_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_4_CH4_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_4_CH4_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_4_CH4_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_4_CH4_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_4_CH4_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_4_CH4_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_4_CH4_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_4_OFFSET                                         0x0000053C
#define CPH_CFIFO_CPH_SR_4_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_4_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_4_CH4_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_4_CH4_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_4_CH4_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_4_CH4_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_4_CH4_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_4_CH4_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_4_CH4_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_4_CH4_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_4_CH4_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_4_CH4_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_4_CH4_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_4_CH4_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_4_CH4_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_4_CH4_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_5_OFFSET                                         0x00000540
#define CPH_CFIFO_CPH_CR_5_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_5_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_5_CH5_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_5_CH5_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_5_CH5_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_5_CH5_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_5_CH5_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_5_CH5_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_5_CH5_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_5_CH5_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_5_CH5_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_5_CH5_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_5_CH5_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_5_CH5_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_5_CH5_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_5_CH5_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_5_OFFSET                                         0x00000544
#define CPH_CFIFO_CPH_SR_5_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_5_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_5_CH5_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_5_CH5_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_5_CH5_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_5_CH5_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_5_CH5_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_5_CH5_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_5_CH5_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_5_CH5_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_5_CH5_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_5_CH5_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_5_CH5_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_5_CH5_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_5_CH5_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_5_CH5_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_6_OFFSET                                         0x00000548
#define CPH_CFIFO_CPH_CR_6_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_6_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_6_CH6_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_6_CH6_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_6_CH6_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_6_CH6_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_6_CH6_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_6_CH6_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_6_CH6_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_6_CH6_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_6_CH6_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_6_CH6_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_6_CH6_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_6_CH6_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_6_CH6_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_6_CH6_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_6_OFFSET                                         0x0000054C
#define CPH_CFIFO_CPH_SR_6_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_6_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_6_CH6_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_6_CH6_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_6_CH6_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_6_CH6_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_6_CH6_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_6_CH6_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_6_CH6_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_6_CH6_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_6_CH6_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_6_CH6_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_6_CH6_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_6_CH6_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_6_CH6_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_6_CH6_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_7_OFFSET                                         0x00000550
#define CPH_CFIFO_CPH_CR_7_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_7_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_7_CH7_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_7_CH7_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_7_CH7_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_7_CH7_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_7_CH7_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_7_CH7_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_7_CH7_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_7_CH7_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_7_CH7_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_7_CH7_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_7_CH7_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_7_CH7_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_7_CH7_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_7_CH7_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_7_OFFSET                                         0x00000554
#define CPH_CFIFO_CPH_SR_7_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_7_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_7_CH7_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_7_CH7_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_7_CH7_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_7_CH7_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_7_CH7_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_7_CH7_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_7_CH7_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_7_CH7_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_7_CH7_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_7_CH7_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_7_CH7_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_7_CH7_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_7_CH7_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_7_CH7_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_8_OFFSET                                         0x00000558
#define CPH_CFIFO_CPH_CR_8_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_8_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_8_CH8_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_8_CH8_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_8_CH8_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_8_CH8_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_8_CH8_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_8_CH8_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_8_CH8_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_8_CH8_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_8_CH8_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_8_CH8_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_8_CH8_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_8_CH8_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_8_CH8_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_8_CH8_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_8_OFFSET                                         0x0000055C
#define CPH_CFIFO_CPH_SR_8_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_8_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_8_CH8_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_8_CH8_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_8_CH8_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_8_CH8_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_8_CH8_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_8_CH8_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_8_CH8_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_8_CH8_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_8_CH8_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_8_CH8_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_8_CH8_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_8_CH8_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_8_CH8_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_8_CH8_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_9_OFFSET                                         0x00000560
#define CPH_CFIFO_CPH_CR_9_TYPE                                           UInt32
#define CPH_CFIFO_CPH_CR_9_RESERVED_MASK                                  0xFF600000
#define    CPH_CFIFO_CPH_CR_9_CH9_IN_OUT_SHIFT                            23
#define    CPH_CFIFO_CPH_CR_9_CH9_IN_OUT_MASK                             0x00800000
#define    CPH_CFIFO_CPH_CR_9_CH9_CLR_FIFO_SHIFT                          20
#define    CPH_CFIFO_CPH_CR_9_CH9_CLR_FIFO_MASK                           0x00100000
#define    CPH_CFIFO_CPH_CR_9_CH9_CENTRAL_FIFO_ENABLE_SHIFT               19
#define    CPH_CFIFO_CPH_CR_9_CH9_CENTRAL_FIFO_ENABLE_MASK                0x00080000
#define    CPH_CFIFO_CPH_CR_9_CH9_ERR_INT_ENABLE_SHIFT                    18
#define    CPH_CFIFO_CPH_CR_9_CH9_ERR_INT_ENABLE_MASK                     0x00040000
#define    CPH_CFIFO_CPH_CR_9_CH9_INTR_EN_SHIFT                           17
#define    CPH_CFIFO_CPH_CR_9_CH9_INTR_EN_MASK                            0x00020000
#define    CPH_CFIFO_CPH_CR_9_CH9_THRES_SHIFT                             6
#define    CPH_CFIFO_CPH_CR_9_CH9_THRES_MASK                              0x0001FFC0
#define    CPH_CFIFO_CPH_CR_9_CH9_THRES2_SHIFT                            0
#define    CPH_CFIFO_CPH_CR_9_CH9_THRES2_MASK                             0x0000003F

#define CPH_CFIFO_CPH_SR_9_OFFSET                                         0x00000564
#define CPH_CFIFO_CPH_SR_9_TYPE                                           UInt32
#define CPH_CFIFO_CPH_SR_9_RESERVED_MASK                                  0x00007FFF
#define    CPH_CFIFO_CPH_SR_9_CH9_ALMOST_EMPTY_SHIFT                      31
#define    CPH_CFIFO_CPH_SR_9_CH9_ALMOST_EMPTY_MASK                       0x80000000
#define    CPH_CFIFO_CPH_SR_9_CH9_ALMOST_FULL_SHIFT                       30
#define    CPH_CFIFO_CPH_SR_9_CH9_ALMOST_FULL_MASK                        0x40000000
#define    CPH_CFIFO_CPH_SR_9_CH9_OVF_SHIFT                               29
#define    CPH_CFIFO_CPH_SR_9_CH9_OVF_MASK                                0x20000000
#define    CPH_CFIFO_CPH_SR_9_CH9_THR_MET_SHIFT                           28
#define    CPH_CFIFO_CPH_SR_9_CH9_THR_MET_MASK                            0x10000000
#define    CPH_CFIFO_CPH_SR_9_CH9_UDF_SHIFT                               27
#define    CPH_CFIFO_CPH_SR_9_CH9_UDF_MASK                                0x08000000
#define    CPH_CFIFO_CPH_SR_9_CH9_EMPTY_ENTRY_SHIFT                       16
#define    CPH_CFIFO_CPH_SR_9_CH9_EMPTY_ENTRY_MASK                        0x07FF0000
#define    CPH_CFIFO_CPH_SR_9_CH9_ABORT_SHIFT                             15
#define    CPH_CFIFO_CPH_SR_9_CH9_ABORT_MASK                              0x00008000

#define CPH_CFIFO_CPH_CR_10_OFFSET                                        0x00000568
#define CPH_CFIFO_CPH_CR_10_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_10_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_10_CH10_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_10_CH10_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_10_CH10_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_10_CH10_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_10_CH10_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_10_CH10_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_10_CH10_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_10_CH10_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_10_CH10_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_10_CH10_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_10_CH10_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_10_CH10_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_10_CH10_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_10_CH10_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_10_OFFSET                                        0x0000056C
#define CPH_CFIFO_CPH_SR_10_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_10_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_10_CH10_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_10_CH10_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_10_CH10_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_10_CH10_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_10_CH10_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_10_CH10_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_10_CH10_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_10_CH10_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_10_CH10_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_10_CH10_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_10_CH10_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_10_CH10_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_10_CH10_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_10_CH10_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_11_OFFSET                                        0x00000570
#define CPH_CFIFO_CPH_CR_11_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_11_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_11_CH11_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_11_CH11_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_11_CH11_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_11_CH11_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_11_CH11_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_11_CH11_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_11_CH11_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_11_CH11_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_11_CH11_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_11_CH11_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_11_CH11_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_11_CH11_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_11_CH11_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_11_CH11_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_11_OFFSET                                        0x00000574
#define CPH_CFIFO_CPH_SR_11_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_11_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_11_CH11_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_11_CH11_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_11_CH11_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_11_CH11_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_11_CH11_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_11_CH11_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_11_CH11_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_11_CH11_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_11_CH11_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_11_CH11_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_11_CH11_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_11_CH11_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_11_CH11_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_11_CH11_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_12_OFFSET                                        0x00000578
#define CPH_CFIFO_CPH_CR_12_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_12_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_12_CH12_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_12_CH12_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_12_CH12_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_12_CH12_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_12_CH12_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_12_CH12_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_12_CH12_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_12_CH12_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_12_CH12_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_12_CH12_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_12_CH12_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_12_CH12_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_12_CH12_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_12_CH12_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_12_OFFSET                                        0x0000057C
#define CPH_CFIFO_CPH_SR_12_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_12_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_12_CH12_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_12_CH12_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_12_CH12_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_12_CH12_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_12_CH12_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_12_CH12_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_12_CH12_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_12_CH12_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_12_CH12_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_12_CH12_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_12_CH12_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_12_CH12_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_12_CH12_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_12_CH12_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_13_OFFSET                                        0x00000580
#define CPH_CFIFO_CPH_CR_13_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_13_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_13_CH13_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_13_CH13_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_13_CH13_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_13_CH13_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_13_CH13_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_13_CH13_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_13_CH13_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_13_CH13_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_13_CH13_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_13_CH13_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_13_CH13_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_13_CH13_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_13_CH13_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_13_CH13_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_13_OFFSET                                        0x00000584
#define CPH_CFIFO_CPH_SR_13_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_13_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_13_CH13_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_13_CH13_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_13_CH13_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_13_CH13_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_13_CH13_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_13_CH13_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_13_CH13_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_13_CH13_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_13_CH13_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_13_CH13_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_13_CH13_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_13_CH13_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_13_CH13_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_13_CH13_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_14_OFFSET                                        0x00000588
#define CPH_CFIFO_CPH_CR_14_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_14_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_14_CH14_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_14_CH14_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_14_CH14_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_14_CH14_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_14_CH14_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_14_CH14_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_14_CH14_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_14_CH14_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_14_CH14_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_14_CH14_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_14_CH14_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_14_CH14_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_14_CH14_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_14_CH14_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_14_OFFSET                                        0x0000058C
#define CPH_CFIFO_CPH_SR_14_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_14_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_14_CH14_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_14_CH14_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_14_CH14_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_14_CH14_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_14_CH14_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_14_CH14_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_14_CH14_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_14_CH14_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_14_CH14_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_14_CH14_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_14_CH14_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_14_CH14_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_14_CH14_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_14_CH14_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_15_OFFSET                                        0x00000590
#define CPH_CFIFO_CPH_CR_15_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_15_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_15_CH15_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_15_CH15_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_15_CH15_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_15_CH15_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_15_CH15_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_15_CH15_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_15_CH15_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_15_CH15_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_15_CH15_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_15_CH15_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_15_CH15_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_15_CH15_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_15_CH15_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_15_CH15_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_15_OFFSET                                        0x00000594
#define CPH_CFIFO_CPH_SR_15_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_15_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_15_CH15_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_15_CH15_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_15_CH15_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_15_CH15_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_15_CH15_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_15_CH15_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_15_CH15_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_15_CH15_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_15_CH15_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_15_CH15_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_15_CH15_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_15_CH15_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_15_CH15_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_15_CH15_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_CR_16_OFFSET                                        0x00000598
#define CPH_CFIFO_CPH_CR_16_TYPE                                          UInt32
#define CPH_CFIFO_CPH_CR_16_RESERVED_MASK                                 0xFF600000
#define    CPH_CFIFO_CPH_CR_16_CH16_IN_OUT_SHIFT                          23
#define    CPH_CFIFO_CPH_CR_16_CH16_IN_OUT_MASK                           0x00800000
#define    CPH_CFIFO_CPH_CR_16_CH16_CLR_FIFO_SHIFT                        20
#define    CPH_CFIFO_CPH_CR_16_CH16_CLR_FIFO_MASK                         0x00100000
#define    CPH_CFIFO_CPH_CR_16_CH16_CENTRAL_FIFO_ENABLE_SHIFT             19
#define    CPH_CFIFO_CPH_CR_16_CH16_CENTRAL_FIFO_ENABLE_MASK              0x00080000
#define    CPH_CFIFO_CPH_CR_16_CH16_ERR_INT_ENABLE_SHIFT                  18
#define    CPH_CFIFO_CPH_CR_16_CH16_ERR_INT_ENABLE_MASK                   0x00040000
#define    CPH_CFIFO_CPH_CR_16_CH16_INTR_EN_SHIFT                         17
#define    CPH_CFIFO_CPH_CR_16_CH16_INTR_EN_MASK                          0x00020000
#define    CPH_CFIFO_CPH_CR_16_CH16_THRES_SHIFT                           6
#define    CPH_CFIFO_CPH_CR_16_CH16_THRES_MASK                            0x0001FFC0
#define    CPH_CFIFO_CPH_CR_16_CH16_THRES2_SHIFT                          0
#define    CPH_CFIFO_CPH_CR_16_CH16_THRES2_MASK                           0x0000003F

#define CPH_CFIFO_CPH_SR_16_OFFSET                                        0x0000059C
#define CPH_CFIFO_CPH_SR_16_TYPE                                          UInt32
#define CPH_CFIFO_CPH_SR_16_RESERVED_MASK                                 0x00007FFF
#define    CPH_CFIFO_CPH_SR_16_CH16_ALMOST_EMPTY_SHIFT                    31
#define    CPH_CFIFO_CPH_SR_16_CH16_ALMOST_EMPTY_MASK                     0x80000000
#define    CPH_CFIFO_CPH_SR_16_CH16_ALMOST_FULL_SHIFT                     30
#define    CPH_CFIFO_CPH_SR_16_CH16_ALMOST_FULL_MASK                      0x40000000
#define    CPH_CFIFO_CPH_SR_16_CH16_OVF_SHIFT                             29
#define    CPH_CFIFO_CPH_SR_16_CH16_OVF_MASK                              0x20000000
#define    CPH_CFIFO_CPH_SR_16_CH16_THR_MET_SHIFT                         28
#define    CPH_CFIFO_CPH_SR_16_CH16_THR_MET_MASK                          0x10000000
#define    CPH_CFIFO_CPH_SR_16_CH16_UDF_SHIFT                             27
#define    CPH_CFIFO_CPH_SR_16_CH16_UDF_MASK                              0x08000000
#define    CPH_CFIFO_CPH_SR_16_CH16_EMPTY_ENTRY_SHIFT                     16
#define    CPH_CFIFO_CPH_SR_16_CH16_EMPTY_ENTRY_MASK                      0x07FF0000
#define    CPH_CFIFO_CPH_SR_16_CH16_ABORT_SHIFT                           15
#define    CPH_CFIFO_CPH_SR_16_CH16_ABORT_MASK                            0x00008000

#define CPH_CFIFO_CPH_ARB_CTL_1_OFFSET                                    0x000005A0
#define CPH_CFIFO_CPH_ARB_CTL_1_TYPE                                      UInt32
#define CPH_CFIFO_CPH_ARB_CTL_1_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_CPH_ARB_CTL_1_Q2_MASK_SHIFT                          16
#define    CPH_CFIFO_CPH_ARB_CTL_1_Q2_MASK_MASK                           0xFFFF0000
#define    CPH_CFIFO_CPH_ARB_CTL_1_Q1_MASK_SHIFT                          0
#define    CPH_CFIFO_CPH_ARB_CTL_1_Q1_MASK_MASK                           0x0000FFFF

#define CPH_CFIFO_CPH_ARB_CTL_2_OFFSET                                    0x000005A4
#define CPH_CFIFO_CPH_ARB_CTL_2_TYPE                                      UInt32
#define CPH_CFIFO_CPH_ARB_CTL_2_RESERVED_MASK                             0xFFC00000
#define    CPH_CFIFO_CPH_ARB_CTL_2_CH_TIMER_DEFAULTS_SHIFT                16
#define    CPH_CFIFO_CPH_ARB_CTL_2_CH_TIMER_DEFAULTS_MASK                 0x003F0000
#define    CPH_CFIFO_CPH_ARB_CTL_2_Q3_MASK_SHIFT                          0
#define    CPH_CFIFO_CPH_ARB_CTL_2_Q3_MASK_MASK                           0x0000FFFF

#define CPH_CFIFO_CPH_ARB_CTL_3_OFFSET                                    0x000005A8
#define CPH_CFIFO_CPH_ARB_CTL_3_TYPE                                      UInt32
#define CPH_CFIFO_CPH_ARB_CTL_3_RESERVED_MASK                             0xC0000000
#define    CPH_CFIFO_CPH_ARB_CTL_3_ARB_PATTERN_SHIFT                      0
#define    CPH_CFIFO_CPH_ARB_CTL_3_ARB_PATTERN_MASK                       0x3FFFFFFF

#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH1_OFFSET                          0x000005B0
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH1_TYPE                            UInt32
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH1_RESERVED_MASK                   0xFF000000
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH1_CFIFO_TSTAMP_CH1_SHIFT       0
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH1_CFIFO_TSTAMP_CH1_MASK        0x00FFFFFF

#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH2_OFFSET                          0x000005B4
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH2_TYPE                            UInt32
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH2_RESERVED_MASK                   0xFF000000
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH2_CFIFO_TSTAMP_CH2_SHIFT       0
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH2_CFIFO_TSTAMP_CH2_MASK        0x00FFFFFF

#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH3_OFFSET                          0x000005B8
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH3_TYPE                            UInt32
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH3_RESERVED_MASK                   0xFF000000
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH3_CFIFO_TSTAMP_CH3_SHIFT       0
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH3_CFIFO_TSTAMP_CH3_MASK        0x00FFFFFF

#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_OFFSET                          0x000005BC
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_TYPE                            UInt32
#define CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_RESERVED_MASK                   0xE0000000
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_DBG_SEL_SHIFT                24
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_DBG_SEL_MASK                 0x1F000000
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_CFIFO_TSTAMP_CH4_SHIFT       0
#define    CPH_CFIFO_CPH_CFIFO_TIMESTAMP_CH4_CFIFO_TSTAMP_CH4_MASK        0x00FFFFFF

#define CPH_CFIFO_DSP_CH1_PADDR_OFFSET                                    0x00000000
#define CPH_CFIFO_DSP_CH1_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH1_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH1_PADDR_CH1_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH1_PADDR_CH1_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH2_PADDR_OFFSET                                    0x00000020
#define CPH_CFIFO_DSP_CH2_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH2_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH2_PADDR_CH2_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH2_PADDR_CH2_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH3_PADDR_OFFSET                                    0x00000040
#define CPH_CFIFO_DSP_CH3_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH3_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH3_PADDR_CH3_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH3_PADDR_CH3_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH4_PADDR_OFFSET                                    0x00000060
#define CPH_CFIFO_DSP_CH4_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH4_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH4_PADDR_CH4_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH4_PADDR_CH4_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH5_PADDR_OFFSET                                    0x00000080
#define CPH_CFIFO_DSP_CH5_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH5_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH5_PADDR_CH5_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH5_PADDR_CH5_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH6_PADDR_OFFSET                                    0x000000A0
#define CPH_CFIFO_DSP_CH6_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH6_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH6_PADDR_CH6_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH6_PADDR_CH6_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH7_PADDR_OFFSET                                    0x000000C0
#define CPH_CFIFO_DSP_CH7_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH7_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH7_PADDR_CH7_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH7_PADDR_CH7_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH8_PADDR_OFFSET                                    0x000000E0
#define CPH_CFIFO_DSP_CH8_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH8_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH8_PADDR_CH8_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH8_PADDR_CH8_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH9_PADDR_OFFSET                                    0x00000100
#define CPH_CFIFO_DSP_CH9_PADDR_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CH9_PADDR_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CH9_PADDR_CH9_PADDR_SHIFT                        0
#define    CPH_CFIFO_DSP_CH9_PADDR_CH9_PADDR_MASK                         0xFFFFFFFF

#define CPH_CFIFO_DSP_CH10_PADDR_OFFSET                                   0x00000120
#define CPH_CFIFO_DSP_CH10_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH10_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH10_PADDR_CH10_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH10_PADDR_CH10_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH11_PADDR_OFFSET                                   0x00000140
#define CPH_CFIFO_DSP_CH11_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH11_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH11_PADDR_CH11_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH11_PADDR_CH11_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH12_PADDR_OFFSET                                   0x00000160
#define CPH_CFIFO_DSP_CH12_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH12_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH12_PADDR_CH12_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH12_PADDR_CH12_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH13_PADDR_OFFSET                                   0x00000180
#define CPH_CFIFO_DSP_CH13_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH13_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH13_PADDR_CH13_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH13_PADDR_CH13_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH14_PADDR_OFFSET                                   0x000001A0
#define CPH_CFIFO_DSP_CH14_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH14_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH14_PADDR_CH14_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH14_PADDR_CH14_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH15_PADDR_OFFSET                                   0x000001C0
#define CPH_CFIFO_DSP_CH15_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH15_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH15_PADDR_CH15_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH15_PADDR_CH15_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CH16_PADDR_OFFSET                                   0x000001E0
#define CPH_CFIFO_DSP_CH16_PADDR_TYPE                                     UInt32
#define CPH_CFIFO_DSP_CH16_PADDR_RESERVED_MASK                            0x00000000
#define    CPH_CFIFO_DSP_CH16_PADDR_CH16_PADDR_SHIFT                      0
#define    CPH_CFIFO_DSP_CH16_PADDR_CH16_PADDR_MASK                       0xFFFFFFFF

#define CPH_CFIFO_DSP_CPH_CTL_1_OFFSET                                    0x00000200
#define CPH_CFIFO_DSP_CPH_CTL_1_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_1_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH2_RING_SIZE_SHIFT                    27
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH2_RING_SIZE_MASK                     0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH2_START_ADDR_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH2_START_ADDR_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH1_RING_SIZE_SHIFT                    11
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH1_RING_SIZE_MASK                     0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH1_START_ADDR_SHIFT                   0
#define    CPH_CFIFO_DSP_CPH_CTL_1_CH1_START_ADDR_MASK                    0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_2_OFFSET                                    0x00000202
#define CPH_CFIFO_DSP_CPH_CTL_2_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_2_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH4_RING_SIZE_SHIFT                    27
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH4_RING_SIZE_MASK                     0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH4_START_ADDR_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH4_START_ADDR_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH3_RING_SIZE_SHIFT                    11
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH3_RING_SIZE_MASK                     0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH3_START_ADDR_SHIFT                   0
#define    CPH_CFIFO_DSP_CPH_CTL_2_CH3_START_ADDR_MASK                    0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_3_OFFSET                                    0x00000204
#define CPH_CFIFO_DSP_CPH_CTL_3_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_3_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH6_RING_SIZE_SHIFT                    27
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH6_RING_SIZE_MASK                     0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH6_START_ADDR_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH6_START_ADDR_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH5_RING_SIZE_SHIFT                    11
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH5_RING_SIZE_MASK                     0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH5_START_ADDR_SHIFT                   0
#define    CPH_CFIFO_DSP_CPH_CTL_3_CH5_START_ADDR_MASK                    0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_4_OFFSET                                    0x00000206
#define CPH_CFIFO_DSP_CPH_CTL_4_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_4_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH8_RING_SIZE_SHIFT                    27
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH8_RING_SIZE_MASK                     0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH8_START_ADDR_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH8_START_ADDR_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH7_RING_SIZE_SHIFT                    11
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH7_RING_SIZE_MASK                     0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH7_START_ADDR_SHIFT                   0
#define    CPH_CFIFO_DSP_CPH_CTL_4_CH7_START_ADDR_MASK                    0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_5_OFFSET                                    0x00000288
#define CPH_CFIFO_DSP_CPH_CTL_5_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_5_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH10_RING_SIZE_SHIFT                   27
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH10_RING_SIZE_MASK                    0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH10_START_ADDR_SHIFT                  16
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH10_START_ADDR_MASK                   0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH9_RING_SIZE_SHIFT                    11
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH9_RING_SIZE_MASK                     0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH9_START_ADDR_SHIFT                   0
#define    CPH_CFIFO_DSP_CPH_CTL_5_CH9_START_ADDR_MASK                    0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_6_OFFSET                                    0x0000028A
#define CPH_CFIFO_DSP_CPH_CTL_6_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_6_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH12_RING_SIZE_SHIFT                   27
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH12_RING_SIZE_MASK                    0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH12_START_ADDR_SHIFT                  16
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH12_START_ADDR_MASK                   0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH11_RING_SIZE_SHIFT                   11
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH11_RING_SIZE_MASK                    0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH11_START_ADDR_SHIFT                  0
#define    CPH_CFIFO_DSP_CPH_CTL_6_CH11_START_ADDR_MASK                   0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_7_OFFSET                                    0x0000028C
#define CPH_CFIFO_DSP_CPH_CTL_7_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_7_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH14_RING_SIZE_SHIFT                   27
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH14_RING_SIZE_MASK                    0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH14_START_ADDR_SHIFT                  16
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH14_START_ADDR_MASK                   0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH13_RING_SIZE_SHIFT                   11
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH13_RING_SIZE_MASK                    0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH13_START_ADDR_SHIFT                  0
#define    CPH_CFIFO_DSP_CPH_CTL_7_CH13_START_ADDR_MASK                   0x000007FF

#define CPH_CFIFO_DSP_CPH_CTL_8_OFFSET                                    0x0000028E
#define CPH_CFIFO_DSP_CPH_CTL_8_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CTL_8_RESERVED_MASK                             0x00000000
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH16_RING_SIZE_SHIFT                   27
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH16_RING_SIZE_MASK                    0xF8000000
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH16_START_ADDR_SHIFT                  16
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH16_START_ADDR_MASK                   0x07FF0000
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH15_RING_SIZE_SHIFT                   11
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH15_RING_SIZE_MASK                    0x0000F800
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH15_START_ADDR_SHIFT                  0
#define    CPH_CFIFO_DSP_CPH_CTL_8_CH15_START_ADDR_MASK                   0x000007FF

#define CPH_CFIFO_DSP_CPH_CR_1_OFFSET                                     0x00000290
#define CPH_CFIFO_DSP_CPH_CR_1_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_1_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_1_CH1_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_1_OFFSET                                     0x00000292
#define CPH_CFIFO_DSP_CPH_SR_1_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_1_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_1_CH1_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_2_OFFSET                                     0x00000294
#define CPH_CFIFO_DSP_CPH_CR_2_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_2_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_2_CH2_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_2_OFFSET                                     0x00000296
#define CPH_CFIFO_DSP_CPH_SR_2_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_2_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_2_CH2_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_3_OFFSET                                     0x00000298
#define CPH_CFIFO_DSP_CPH_CR_3_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_3_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_3_CH3_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_3_OFFSET                                     0x0000029A
#define CPH_CFIFO_DSP_CPH_SR_3_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_3_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_3_CH3_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_4_OFFSET                                     0x0000029C
#define CPH_CFIFO_DSP_CPH_CR_4_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_4_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_4_CH4_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_4_OFFSET                                     0x0000029E
#define CPH_CFIFO_DSP_CPH_SR_4_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_4_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_4_CH4_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_5_OFFSET                                     0x000002A0
#define CPH_CFIFO_DSP_CPH_CR_5_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_5_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_5_CH5_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_5_OFFSET                                     0x000002A2
#define CPH_CFIFO_DSP_CPH_SR_5_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_5_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_5_CH5_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_6_OFFSET                                     0x000002A4
#define CPH_CFIFO_DSP_CPH_CR_6_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_6_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_6_CH6_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_6_OFFSET                                     0x000002A6
#define CPH_CFIFO_DSP_CPH_SR_6_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_6_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_6_CH6_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_7_OFFSET                                     0x000002A8
#define CPH_CFIFO_DSP_CPH_CR_7_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_7_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_7_CH7_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_7_OFFSET                                     0x000002AA
#define CPH_CFIFO_DSP_CPH_SR_7_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_7_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_7_CH7_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_8_OFFSET                                     0x000002AC
#define CPH_CFIFO_DSP_CPH_CR_8_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_8_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_8_CH8_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_8_OFFSET                                     0x000002AE
#define CPH_CFIFO_DSP_CPH_SR_8_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_8_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_8_CH8_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_9_OFFSET                                     0x000002B0
#define CPH_CFIFO_DSP_CPH_CR_9_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_CR_9_RESERVED_MASK                              0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_IN_OUT_SHIFT                        23
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_IN_OUT_MASK                         0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_CLR_FIFO_SHIFT                      20
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_CLR_FIFO_MASK                       0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_CENTRAL_FIFO_ENABLE_SHIFT           19
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_CENTRAL_FIFO_ENABLE_MASK            0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_ERR_INT_ENABLE_SHIFT                18
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_ERR_INT_ENABLE_MASK                 0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_INTR_EN_SHIFT                       17
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_INTR_EN_MASK                        0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_THRES_SHIFT                         6
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_THRES_MASK                          0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_THRES2_SHIFT                        0
#define    CPH_CFIFO_DSP_CPH_CR_9_CH9_THRES2_MASK                         0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_9_OFFSET                                     0x000002B2
#define CPH_CFIFO_DSP_CPH_SR_9_TYPE                                       UInt32
#define CPH_CFIFO_DSP_CPH_SR_9_RESERVED_MASK                              0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ALMOST_EMPTY_SHIFT                  31
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ALMOST_EMPTY_MASK                   0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ALMOST_FULL_SHIFT                   30
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ALMOST_FULL_MASK                    0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_OVF_SHIFT                           29
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_OVF_MASK                            0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_THR_MET_SHIFT                       28
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_THR_MET_MASK                        0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_UDF_SHIFT                           27
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_UDF_MASK                            0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_EMPTY_ENTRY_SHIFT                   16
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_EMPTY_ENTRY_MASK                    0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ABORT_SHIFT                         15
#define    CPH_CFIFO_DSP_CPH_SR_9_CH9_ABORT_MASK                          0x00008000

#define CPH_CFIFO_DSP_CPH_CR_10_OFFSET                                    0x000002B4
#define CPH_CFIFO_DSP_CPH_CR_10_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_10_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_10_CH10_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_10_OFFSET                                    0x000002B6
#define CPH_CFIFO_DSP_CPH_SR_10_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_10_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_10_CH10_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_11_OFFSET                                    0x000002B8
#define CPH_CFIFO_DSP_CPH_CR_11_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_11_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_11_CH11_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_11_OFFSET                                    0x000002BA
#define CPH_CFIFO_DSP_CPH_SR_11_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_11_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_11_CH11_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_12_OFFSET                                    0x000002BC
#define CPH_CFIFO_DSP_CPH_CR_12_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_12_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_12_CH12_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_12_OFFSET                                    0x000002BE
#define CPH_CFIFO_DSP_CPH_SR_12_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_12_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_12_CH12_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_13_OFFSET                                    0x000002C0
#define CPH_CFIFO_DSP_CPH_CR_13_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_13_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_13_CH13_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_13_OFFSET                                    0x000002C2
#define CPH_CFIFO_DSP_CPH_SR_13_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_13_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_13_CH13_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_14_OFFSET                                    0x000002C4
#define CPH_CFIFO_DSP_CPH_CR_14_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_14_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_14_CH14_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_14_OFFSET                                    0x000002C6
#define CPH_CFIFO_DSP_CPH_SR_14_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_14_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_14_CH14_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_15_OFFSET                                    0x000002C8
#define CPH_CFIFO_DSP_CPH_CR_15_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_15_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_15_CH15_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_15_OFFSET                                    0x000002CA
#define CPH_CFIFO_DSP_CPH_SR_15_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_15_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_15_CH15_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_CR_16_OFFSET                                    0x000002CC
#define CPH_CFIFO_DSP_CPH_CR_16_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_CR_16_RESERVED_MASK                             0xFF600000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_IN_OUT_SHIFT                      23
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_IN_OUT_MASK                       0x00800000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_CLR_FIFO_SHIFT                    20
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_CLR_FIFO_MASK                     0x00100000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_CENTRAL_FIFO_ENABLE_SHIFT         19
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_CENTRAL_FIFO_ENABLE_MASK          0x00080000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_ERR_INT_ENABLE_SHIFT              18
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_ERR_INT_ENABLE_MASK               0x00040000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_INTR_EN_SHIFT                     17
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_INTR_EN_MASK                      0x00020000
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_THRES_SHIFT                       6
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_THRES_MASK                        0x0001FFC0
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_THRES2_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_CR_16_CH16_THRES2_MASK                       0x0000003F

#define CPH_CFIFO_DSP_CPH_SR_16_OFFSET                                    0x000002CE
#define CPH_CFIFO_DSP_CPH_SR_16_TYPE                                      UInt32
#define CPH_CFIFO_DSP_CPH_SR_16_RESERVED_MASK                             0x00007FFF
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ALMOST_EMPTY_SHIFT                31
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ALMOST_EMPTY_MASK                 0x80000000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ALMOST_FULL_SHIFT                 30
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ALMOST_FULL_MASK                  0x40000000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_OVF_SHIFT                         29
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_OVF_MASK                          0x20000000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_THR_MET_SHIFT                     28
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_THR_MET_MASK                      0x10000000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_UDF_SHIFT                         27
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_UDF_MASK                          0x08000000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_EMPTY_ENTRY_SHIFT                 16
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_EMPTY_ENTRY_MASK                  0x07FF0000
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ABORT_SHIFT                       15
#define    CPH_CFIFO_DSP_CPH_SR_16_CH16_ABORT_MASK                        0x00008000

#define CPH_CFIFO_DSP_CPH_ARB_CTL_1_OFFSET                                0x000002D0
#define CPH_CFIFO_DSP_CPH_ARB_CTL_1_TYPE                                  UInt32
#define CPH_CFIFO_DSP_CPH_ARB_CTL_1_RESERVED_MASK                         0x00000000
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_1_Q2_MASK_SHIFT                      16
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_1_Q2_MASK_MASK                       0xFFFF0000
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_1_Q1_MASK_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_1_Q1_MASK_MASK                       0x0000FFFF

#define CPH_CFIFO_DSP_CPH_ARB_CTL_2_OFFSET                                0x000002D2
#define CPH_CFIFO_DSP_CPH_ARB_CTL_2_TYPE                                  UInt32
#define CPH_CFIFO_DSP_CPH_ARB_CTL_2_RESERVED_MASK                         0xFFC00000
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_2_CH_TIMER_DEFAULTS_SHIFT            16
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_2_CH_TIMER_DEFAULTS_MASK             0x003F0000
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_2_Q3_MASK_SHIFT                      0
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_2_Q3_MASK_MASK                       0x0000FFFF

#define CPH_CFIFO_DSP_CPH_ARB_CTL_3_OFFSET                                0x000002D4
#define CPH_CFIFO_DSP_CPH_ARB_CTL_3_TYPE                                  UInt32
#define CPH_CFIFO_DSP_CPH_ARB_CTL_3_RESERVED_MASK                         0xC0000000
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_3_ARB_PATTERN_SHIFT                  0
#define    CPH_CFIFO_DSP_CPH_ARB_CTL_3_ARB_PATTERN_MASK                   0x3FFFFFFF

#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH1_OFFSET                      0x000002D8
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH1_TYPE                        UInt32
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH1_RESERVED_MASK               0xFF000000
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH1_CFIFO_TSTAMP_CH1_SHIFT   0
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH1_CFIFO_TSTAMP_CH1_MASK    0x00FFFFFF

#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH2_OFFSET                      0x000002DA
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH2_TYPE                        UInt32
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH2_RESERVED_MASK               0xFF000000
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH2_CFIFO_TSTAMP_CH2_SHIFT   0
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH2_CFIFO_TSTAMP_CH2_MASK    0x00FFFFFF

#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH3_OFFSET                      0x000002DC
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH3_TYPE                        UInt32
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH3_RESERVED_MASK               0xFF000000
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH3_CFIFO_TSTAMP_CH3_SHIFT   0
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH3_CFIFO_TSTAMP_CH3_MASK    0x00FFFFFF

#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_OFFSET                      0x000002DE
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_TYPE                        UInt32
#define CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_RESERVED_MASK               0xE0000000
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_DBG_SEL_SHIFT            24
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_DBG_SEL_MASK             0x1F000000
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_CFIFO_TSTAMP_CH4_SHIFT   0
#define    CPH_CFIFO_DSP_CPH_CFIFO_TIMESTAMP_CH4_CFIFO_TSTAMP_CH4_MASK    0x00FFFFFF

#endif /* __BRCM_RDB_CPH_CFIFO_H__ */


