/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DDR40_PHY_ADDR_CTL_H__
#define __BRCM_RDB_DDR40_PHY_ADDR_CTL_H__

#define DDR40_PHY_ADDR_CTL_REVISION_OFFSET                                0x00000000
#define DDR40_PHY_ADDR_CTL_REVISION_TYPE                                  UInt32
#define DDR40_PHY_ADDR_CTL_REVISION_RESERVED_MASK                         0xFFFF0000
#define    DDR40_PHY_ADDR_CTL_REVISION_MAJOR_SHIFT                        8
#define    DDR40_PHY_ADDR_CTL_REVISION_MAJOR_MASK                         0x0000FF00
#define    DDR40_PHY_ADDR_CTL_REVISION_MINOR_SHIFT                        0
#define    DDR40_PHY_ADDR_CTL_REVISION_MINOR_MASK                         0x000000FF

#define DDR40_PHY_ADDR_CTL_CLK_PM_CTRL_OFFSET                             0x00000004
#define DDR40_PHY_ADDR_CTL_CLK_PM_CTRL_TYPE                               UInt32
#define DDR40_PHY_ADDR_CTL_CLK_PM_CTRL_RESERVED_MASK                      0xFFFFFFFE
#define    DDR40_PHY_ADDR_CTL_CLK_PM_CTRL_DIS_DDR_CLK_SHIFT               0
#define    DDR40_PHY_ADDR_CTL_CLK_PM_CTRL_DIS_DDR_CLK_MASK                0x00000001

#define DDR40_PHY_ADDR_CTL_PLL_STATUS_OFFSET                              0x00000010
#define DDR40_PHY_ADDR_CTL_PLL_STATUS_TYPE                                UInt32
#define DDR40_PHY_ADDR_CTL_PLL_STATUS_RESERVED_MASK                       0xF8000000
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_LOCK_LOST_SHIFT                  26
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_LOCK_LOST_MASK                   0x04000000
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_DDR_MHZ_SHIFT                    14
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_DDR_MHZ_MASK                     0x03FFC000
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_CLOCKING_4X_SHIFT                13
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_CLOCKING_4X_MASK                 0x00002000
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_STATUS_SHIFT                     1
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_STATUS_MASK                      0x00001FFE
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_LOCK_SHIFT                       0
#define    DDR40_PHY_ADDR_CTL_PLL_STATUS_LOCK_MASK                        0x00000001

#define DDR40_PHY_ADDR_CTL_PLL_CONFIG_OFFSET                              0x00000014
#define DDR40_PHY_ADDR_CTL_PLL_CONFIG_TYPE                                UInt32
#define DDR40_PHY_ADDR_CTL_PLL_CONFIG_RESERVED_MASK                       0xFFFFFF84
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_LP40_PLL_POST_RESET_SHIFT        6
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_LP40_PLL_POST_RESET_MASK         0x00000040
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_RESET_POST_DIV_SHIFT             5
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_RESET_POST_DIV_MASK              0x00000020
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_LDO_CTRL_SHIFT                   3
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_LDO_CTRL_MASK                    0x00000018
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_RESET_SHIFT                      1
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_RESET_MASK                       0x00000002
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_PWRDN_SHIFT                      0
#define    DDR40_PHY_ADDR_CTL_PLL_CONFIG_PWRDN_MASK                       0x00000001

#define DDR40_PHY_ADDR_CTL_PLL_CONTROL_OFFSET                             0x00000018
#define DDR40_PHY_ADDR_CTL_PLL_CONTROL_TYPE                               UInt32
#define DDR40_PHY_ADDR_CTL_PLL_CONTROL_RESERVED_MASK                      0x80000000
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KP_SHIFT                      27
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KP_MASK                       0x78000000
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KI_SHIFT                      24
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KI_MASK                       0x07000000
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KA_SHIFT                      21
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_I_KA_MASK                       0x00E00000
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_PLL_CONTROL_SHIFT               0
#define    DDR40_PHY_ADDR_CTL_PLL_CONTROL_PLL_CONTROL_MASK                0x001FFFFF

#define DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_OFFSET                            0x0000001C
#define DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_TYPE                              UInt32
#define DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_RESERVED_MASK                     0xFFFF0000
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_40LP_HI_SHIFT             15
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_40LP_HI_MASK              0x00008000
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_40LP_LO_SHIFT             14
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_40LP_LO_MASK              0x00004000
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_POST_DIV_SHIFT                 11
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_POST_DIV_MASK                  0x00003800
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_PDIV_SHIFT                     8
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_PDIV_MASK                      0x00000700
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_SHIFT                     0
#define    DDR40_PHY_ADDR_CTL_PLL_DIVIDERS_NDIV_MASK                      0x000000FF

#define DDR40_PHY_ADDR_CTL_AUX_CONTROL_OFFSET                             0x00000020
#define DDR40_PHY_ADDR_CTL_AUX_CONTROL_TYPE                               UInt32
#define DDR40_PHY_ADDR_CTL_AUX_CONTROL_RESERVED_MASK                      0xFFFFFC00
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_CS_SHIFT                     7
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_CS_MASK                      0x00000380
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_AD_SHIFT                     4
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_AD_MASK                      0x00000070
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_ODT_SHIFT                    1
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_IS_ODT_MASK                     0x0000000E
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_OVERRIDE_SHIFT                  0
#define    DDR40_PHY_ADDR_CTL_AUX_CONTROL_OVERRIDE_MASK                   0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_OFFSET                     0x00000030
#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_TYPE                       UInt32
#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_RESERVED_MASK              0x7FFEFEC0
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_BUSY_SHIFT              31
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_BUSY_MASK               0x80000000
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_OVR_EN_SHIFT            16
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_OVR_EN_MASK             0x00010000
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_BYTE_SEL_SHIFT          8
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_BYTE_SEL_MASK           0x00000100
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_OVR_STEP_SHIFT          0
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BYTE_CTL_OVR_STEP_MASK           0x0000003F

#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_OFFSET                      0x00000034
#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_TYPE                        UInt32
#define DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_RESERVED_MASK               0x7FFEFEC0
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_BUSY_SHIFT               31
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_BUSY_MASK                0x80000000
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_OVR_EN_SHIFT             16
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_OVR_EN_MASK              0x00010000
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_BYTE_SEL_SHIFT           8
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_BYTE_SEL_MASK            0x00000100
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_OVR_STEP_SHIFT           0
#define    DDR40_PHY_ADDR_CTL_VDL_OVRIDE_BIT_CTL_OVR_STEP_MASK            0x0000003F

#define DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_OFFSET                        0x00000038
#define DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_TYPE                          UInt32
#define DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_RESERVED_MASK                 0x7FFFFE88
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_IDLE_SHIFT                 31
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_IDLE_MASK                  0x80000000
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_RXENB_SHIFT                8
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_RXENB_MASK                 0x00000100
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_IDDQ_SHIFT             6
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_IDDQ_MASK              0x00000040
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_REB_SHIFT              5
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_REB_MASK               0x00000020
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_OEB_SHIFT              4
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CTL_OEB_MASK               0x00000010
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_IDDQ_SHIFT             2
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_IDDQ_MASK              0x00000004
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_REB_SHIFT              1
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_REB_MASK               0x00000002
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_OEB_SHIFT              0
#define    DDR40_PHY_ADDR_CTL_IDLE_PAD_CONTROL_CKE_OEB_MASK               0x00000001

#define DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_OFFSET                         0x0000003C
#define DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_TYPE                           UInt32
#define DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_RESERVED_MASK                  0xFC000000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_UPDATE_MODE_SHIFT           25
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_UPDATE_MODE_MASK            0x02000000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_PD_DONE_SHIFT               24
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_PD_DONE_MASK                0x01000000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ND_DONE_SHIFT               23
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ND_DONE_MASK                0x00800000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_SAMPLE_DONE_SHIFT           22
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_SAMPLE_DONE_MASK            0x00400000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_AUTO_SAMPLE_EN_SHIFT        21
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_AUTO_SAMPLE_EN_MASK         0x00200000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_SAMPLE_EN_SHIFT             20
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_SAMPLE_EN_MASK              0x00100000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_OVR_EN_SHIFT           19
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_OVR_EN_MASK            0x00080000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_OVR_EN_SHIFT             18
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_OVR_EN_MASK              0x00040000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_PD_COMP_SHIFT               15
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_PD_COMP_MASK                0x00038000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ND_COMP_SHIFT               12
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ND_COMP_MASK                0x00007000
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_PD_OVERRIDE_VAL_SHIFT  9
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_PD_OVERRIDE_VAL_MASK   0x00000E00
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_ND_OVERRIDE_VAL_SHIFT  6
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_ADDR_ND_OVERRIDE_VAL_MASK   0x000001C0
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_PD_OVERRIDE_VAL_SHIFT    3
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_PD_OVERRIDE_VAL_MASK     0x00000038
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_ND_OVERRIDE_VAL_SHIFT    0
#define    DDR40_PHY_ADDR_CTL_ZQ_PVT_COMP_CTL_DQ_ND_OVERRIDE_VAL_MASK     0x00000007

#define DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_OFFSET                           0x00000040
#define DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_TYPE                             UInt32
#define DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_RESERVED_MASK                    0xFFFFC000
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_AUTO_OEB_SHIFT                13
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_AUTO_OEB_MASK                 0x00002000
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A15_SHIFT                12
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A15_MASK                 0x00001000
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A14_SHIFT                11
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A14_MASK                 0x00000800
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A13_SHIFT                10
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_A13_MASK                 0x00000400
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_AUX_SHIFT                7
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_IDDQ_AUX_MASK                 0x00000380
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_HALF_STRENGTH_SHIFT           6
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_HALF_STRENGTH_MASK            0x00000040
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_GDDR_SYMMETRY_SHIFT           5
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_GDDR_SYMMETRY_MASK            0x00000020
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_VDDO_VOLTS_SHIFT              3
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_VDDO_VOLTS_MASK               0x00000018
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_RT60B_SHIFT                   2
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_RT60B_MASK                    0x00000004
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_RT120B_G_SHIFT                1
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_RT120B_G_MASK                 0x00000002
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_G_DDR_SHIFT                   0
#define    DDR40_PHY_ADDR_CTL_DRIVE_PAD_CTL_G_DDR_MASK                    0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_OFFSET                           0x00000048
#define DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_TYPE                             UInt32
#define DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_RESERVED_MASK                    0xE0000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_USE_STRAPS_SHIFT              28
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_USE_STRAPS_MASK               0x10000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_AUTO_INIT_SHIFT               27
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_AUTO_INIT_MASK                0x08000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SKIP_RST_SHIFT                26
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SKIP_RST_MASK                 0x04000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_EXIT_IN_SR_SHIFT              25
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_EXIT_IN_SR_MASK               0x02000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_RD_DLY_CAL_SHIFT              24
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_RD_DLY_CAL_MASK               0x01000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_BIT_REFRESH_SHIFT             23
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_BIT_REFRESH_MASK              0x00800000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SET_WR_DQ_SHIFT               22
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SET_WR_DQ_MASK                0x00400000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_DQ0_ONLY_SHIFT                21
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_DQ0_ONLY_MASK                 0x00200000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SET_MR_MPR_SHIFT              20
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_SET_MR_MPR_MASK               0x00100000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_BIT_CAL_SHIFT                 19
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_BIT_CAL_MASK                  0x00080000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_RD_EN_CAL_SHIFT               18
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_RD_EN_CAL_MASK                0x00040000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_BIT_OFFSET_SHIFT        12
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_BIT_OFFSET_MASK         0x0003F000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_DQS_CLOCKS_SHIFT        11
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_DQS_CLOCKS_MASK         0x00000800
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_DQS_PAIR_SHIFT          10
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_DQS_PAIR_MASK           0x00000400
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_STEPS_SHIFT             9
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_STEPS_MASK              0x00000200
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_AUTO_SHIFT              8
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_AUTO_MASK               0x00000100
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_FTM_SHIFT               7
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_FTM_MASK                0x00000080
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_PHYBIST_SHIFT           6
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_PHYBIST_MASK            0x00000040
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_BYTE_SHIFT              5
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_BYTE_MASK               0x00000020
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_CLOCKS_SHIFT            4
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_CLOCKS_MASK             0x00000010
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_TEST_SHIFT              3
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_TEST_MASK               0x00000008
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_ALWAYS_SHIFT            2
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_ALWAYS_MASK             0x00000004
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_ONCE_SHIFT              1
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_ONCE_MASK               0x00000002
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_FAST_SHIFT              0
#define    DDR40_PHY_ADDR_CTL_VDL_CALIBRATE_CALIB_FAST_MASK               0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_OFFSET                        0x0000004C
#define DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_TYPE                          UInt32
#define DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_RESERVED_MASK                 0xC0000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_AUTO_INIT_FAIL_SHIFT       29
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_AUTO_INIT_FAIL_MASK        0x20000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_AUTO_INIT_DONE_SHIFT       28
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_AUTO_INIT_DONE_MASK        0x10000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_RD_DATA_DLY_ERROR_SHIFT 27
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_RD_DATA_DLY_ERROR_MASK 0x08000000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_READ_EN_ERROR_SHIFT  23
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_READ_EN_ERROR_MASK   0x07800000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BYTE_ERROR_SHIFT     19
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BYTE_ERROR_MASK      0x00780000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BYTE_SEL_SHIFT       18
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BYTE_SEL_MASK        0x00040000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BIT_OFFSET_SHIFT     12
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_BIT_OFFSET_MASK      0x0003F000
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_TOTAL_SHIFT          2
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_TOTAL_MASK           0x00000FFC
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_LOCK_SHIFT           1
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_LOCK_MASK            0x00000002
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_IDLE_SHIFT           0
#define    DDR40_PHY_ADDR_CTL_VDL_CALIB_STATUS_CALIB_IDLE_MASK            0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_OFFSET                     0x00000050
#define DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_TYPE                       UInt32
#define DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_RESERVED_MASK              0xFC00C000
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_TOTAL_SHIFT   16
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_TOTAL_MASK    0x03FF0000
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQ_CALIB_TOTAL_SHIFT    4
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQ_CALIB_TOTAL_MASK     0x00003FF0
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_CLOCKS_SHIFT  3
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_CLOCKS_MASK   0x00000008
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_MODE_SHIFT    2
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_MODE_MASK     0x00000004
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_LOCK_SHIFT    1
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQS_CALIB_LOCK_MASK     0x00000002
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQ_CALIB_LOCK_SHIFT     0
#define    DDR40_PHY_ADDR_CTL_VDL_DQ_CALIB_STATUS_DQ_CALIB_LOCK_MASK      0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_OFFSET                0x00000054
#define DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_TYPE                  UInt32
#define DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_RESERVED_MASK         0xFFC0C008
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_BIT_OFFSET_SHIFT 16
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_BIT_OFFSET_MASK 0x003F0000
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_TOTAL_SHIFT 4
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_TOTAL_MASK 0x00003FF0
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_CLOCKS_SHIFT 2
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_CLOCKS_MASK 0x00000004
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_BYTE_SEL_SHIFT 1
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_BYTE_SEL_MASK 0x00000002
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_LOCK_SHIFT 0
#define    DDR40_PHY_ADDR_CTL_VDL_WR_CHAN_CALIB_STATUS_WR_CHAN_CALIB_LOCK_MASK 0x00000001

#define DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_OFFSET                  0x00000058
#define DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_TYPE                    UInt32
#define DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RESERVED_MASK           0xFFC0C008
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_BIT_OFFSET_SHIFT 16
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_BIT_OFFSET_MASK 0x003F0000
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_TOTAL_SHIFT 4
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_TOTAL_MASK 0x00003FF0
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_CLOCKS_SHIFT 2
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_CLOCKS_MASK 0x00000004
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_BYTE_SEL_SHIFT 1
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_BYTE_SEL_MASK 0x00000002
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_LOCK_SHIFT 0
#define    DDR40_PHY_ADDR_CTL_VDL_RD_EN_CALIB_STATUS_RD_EN_CALIB_LOCK_MASK 0x00000001

#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_OFFSET                     0x0000005C
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_TYPE                       UInt32
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_RESERVED_MASK              0xFFFFFFC0
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_LOW_VTT_SHIFT           5
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_LOW_VTT_MASK            0x00000020
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_HIGH_VTT_SHIFT          4
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_HIGH_VTT_MASK           0x00000010
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ERROR_RESET_SHIFT       3
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ERROR_RESET_MASK        0x00000008
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CTL_IDLE_SHIFT   2
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CTL_IDLE_MASK    0x00000004
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CS_IDLE_SHIFT    1
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CS_IDLE_MASK     0x00000002
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CKE_IDLE_SHIFT   0
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONTROL_ENABLE_CKE_IDLE_MASK    0x00000001

#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_OFFSET                      0x00000060
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_TYPE                        UInt32
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_RESERVED_MASK               0xFFF80000
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_SHIFT              3
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_MASK               0x0007FFF8
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_LOW_SHIFT          2
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_LOW_MASK           0x00000004
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_HIGH_SHIFT         1
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_ERROR_HIGH_MASK          0x00000002
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_READY_SHIFT              0
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_STATUS_READY_MASK               0x00000001

#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONNECTIONS_OFFSET                 0x00000064
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONNECTIONS_TYPE                   UInt32
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONNECTIONS_RESERVED_MASK          0xF8000000
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONNECTIONS_MASK_SHIFT          0
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_CONNECTIONS_MASK_MASK           0x07FFFFFF

#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_OVERRIDE_OFFSET                    0x00000068
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_OVERRIDE_TYPE                      UInt32
#define DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_OVERRIDE_RESERVED_MASK             0xF8000000
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_OVERRIDE_MASK_SHIFT             0
#define    DDR40_PHY_ADDR_CTL_VIRTUAL_VTT_OVERRIDE_MASK_MASK              0x07FFFFFF

#define DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_OFFSET                        0x0000006C
#define DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_TYPE                          UInt32
#define DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_RESERVED_MASK                 0xFFE00000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_CK1_GT_INT_SHIFT       20
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_CK1_GT_INT_MASK        0x00100000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_CK0_GT_INT_SHIFT       19
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_CK0_GT_INT_MASK        0x00080000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_GT_INT_SHIFT           18
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_GT_INT_MASK            0x00040000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_EXT_GT_INT_SHIFT           17
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_EXT_GT_INT_MASK            0x00020000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_TESTOUT_MUX_CTL_SHIFT  15
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_LDO_TESTOUT_MUX_CTL_MASK   0x00018000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_TEST_SHIFT                 14
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_TEST_MASK                  0x00004000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_PDN1_SHIFT                 13
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_PDN1_MASK                  0x00002000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_PDN0_SHIFT                 12
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_PDN0_MASK                  0x00001000
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_DAC1_SHIFT                 6
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_DAC1_MASK                  0x00000FC0
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_DAC0_SHIFT                 0
#define    DDR40_PHY_ADDR_CTL_VREF_DAC_CONTROL_DAC0_MASK                  0x0000003F

#define DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_OFFSET                           0x00000070
#define DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_TYPE                             UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_RESERVED_MASK                    0xFFFFC0E0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_ERROR_SEL_SHIFT         8
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_ERROR_SEL_MASK          0x00003F00
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_BENCH_MODE_SHIFT              4
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_BENCH_MODE_MASK               0x00000010
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_DAT_ERROR_SHIFT         3
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_DAT_ERROR_MASK          0x00000008
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_CTL_ERROR_SHIFT         2
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_FORCE_CTL_ERROR_MASK          0x00000004
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_INT_LOOPBACK_SHIFT            1
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_INT_LOOPBACK_MASK             0x00000002
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_ENABLE_SHIFT                  0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CNTRL_ENABLE_MASK                   0x00000001

#define DDR40_PHY_ADDR_CTL_PHYBIST_SEED_OFFSET                            0x00000074
#define DDR40_PHY_ADDR_CTL_PHYBIST_SEED_TYPE                              UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_SEED_RESERVED_MASK                     0x00000000
#define    DDR40_PHY_ADDR_CTL_PHYBIST_SEED_SEED_SHIFT                     0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_SEED_SEED_MASK                      0xFFFFFFFF

#define DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_OFFSET                          0x00000078
#define DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_TYPE                            UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_RESERVED_MASK                   0xFFFFFFF0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_DAT_PASS_SHIFT               3
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_DAT_PASS_MASK                0x00000008
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_CTL_PASS_SHIFT               2
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_CTL_PASS_MASK                0x00000004
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_DAT_DONE_SHIFT               1
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_DAT_DONE_MASK                0x00000002
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_CTL_DONE_SHIFT               0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_STATUS_CTL_DONE_MASK                0x00000001

#define DDR40_PHY_ADDR_CTL_PHYBIST_CTL_STATUS_OFFSET                      0x0000007C
#define DDR40_PHY_ADDR_CTL_PHYBIST_CTL_STATUS_TYPE                        UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_CTL_STATUS_RESERVED_MASK               0xF8000000
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CTL_STATUS_CTL_ERRORS_SHIFT         0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_CTL_STATUS_CTL_ERRORS_MASK          0x07FFFFFF

#define DDR40_PHY_ADDR_CTL_PHYBIST_DQ_STATUS_OFFSET                       0x00000080
#define DDR40_PHY_ADDR_CTL_PHYBIST_DQ_STATUS_TYPE                         UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_DQ_STATUS_RESERVED_MASK                0x00000000
#define    DDR40_PHY_ADDR_CTL_PHYBIST_DQ_STATUS_DAT_ERRORS_SHIFT          0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_DQ_STATUS_DAT_ERRORS_MASK           0xFFFFFFFF

#define DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_OFFSET                     0x00000084
#define DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_TYPE                       UInt32
#define DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_RESERVED_MASK              0xFFFFFF00
#define    DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_CK_ERRORS_SHIFT         4
#define    DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_CK_ERRORS_MASK          0x000000F0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_DM_ERRORS_SHIFT         0
#define    DDR40_PHY_ADDR_CTL_PHYBIST_MISC_STATUS_DM_ERRORS_MASK          0x0000000F

#define DDR40_PHY_ADDR_CTL_COMMAND_REG_OFFSET                             0x00000090
#define DDR40_PHY_ADDR_CTL_COMMAND_REG_TYPE                               UInt32
#define DDR40_PHY_ADDR_CTL_COMMAND_REG_RESERVED_MASK                      0xFE000000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_AUX_SHIFT                       22
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_AUX_MASK                        0x01C00000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_WE_SHIFT                        21
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_WE_MASK                         0x00200000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_CAS_SHIFT                       20
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_CAS_MASK                        0x00100000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_RAS_SHIFT                       19
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_RAS_MASK                        0x00080000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_BA_SHIFT                        16
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_BA_MASK                         0x00070000
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_AD_SHIFT                        0
#define    DDR40_PHY_ADDR_CTL_COMMAND_REG_AD_MASK                         0x0000FFFF

#define DDR40_PHY_ADDR_CTL_MODE_REG0_OFFSET                               0x00000094
#define DDR40_PHY_ADDR_CTL_MODE_REG0_TYPE                                 UInt32
#define DDR40_PHY_ADDR_CTL_MODE_REG0_RESERVED_MASK                        0xFFFE0000
#define    DDR40_PHY_ADDR_CTL_MODE_REG0_VALID_SHIFT                       16
#define    DDR40_PHY_ADDR_CTL_MODE_REG0_VALID_MASK                        0x00010000
#define    DDR40_PHY_ADDR_CTL_MODE_REG0_AD_SHIFT                          0
#define    DDR40_PHY_ADDR_CTL_MODE_REG0_AD_MASK                           0x0000FFFF

#define DDR40_PHY_ADDR_CTL_MODE_REG1_OFFSET                               0x00000098
#define DDR40_PHY_ADDR_CTL_MODE_REG1_TYPE                                 UInt32
#define DDR40_PHY_ADDR_CTL_MODE_REG1_RESERVED_MASK                        0xFFFE0000
#define    DDR40_PHY_ADDR_CTL_MODE_REG1_VALID_SHIFT                       16
#define    DDR40_PHY_ADDR_CTL_MODE_REG1_VALID_MASK                        0x00010000
#define    DDR40_PHY_ADDR_CTL_MODE_REG1_AD_SHIFT                          0
#define    DDR40_PHY_ADDR_CTL_MODE_REG1_AD_MASK                           0x0000FFFF

#define DDR40_PHY_ADDR_CTL_MODE_REG2_OFFSET                               0x0000009C
#define DDR40_PHY_ADDR_CTL_MODE_REG2_TYPE                                 UInt32
#define DDR40_PHY_ADDR_CTL_MODE_REG2_RESERVED_MASK                        0xFFFE0000
#define    DDR40_PHY_ADDR_CTL_MODE_REG2_VALID_SHIFT                       16
#define    DDR40_PHY_ADDR_CTL_MODE_REG2_VALID_MASK                        0x00010000
#define    DDR40_PHY_ADDR_CTL_MODE_REG2_AD_SHIFT                          0
#define    DDR40_PHY_ADDR_CTL_MODE_REG2_AD_MASK                           0x0000FFFF

#define DDR40_PHY_ADDR_CTL_MODE_REG3_OFFSET                               0x000000A0
#define DDR40_PHY_ADDR_CTL_MODE_REG3_TYPE                                 UInt32
#define DDR40_PHY_ADDR_CTL_MODE_REG3_RESERVED_MASK                        0xFFFE0000
#define    DDR40_PHY_ADDR_CTL_MODE_REG3_VALID_SHIFT                       16
#define    DDR40_PHY_ADDR_CTL_MODE_REG3_VALID_MASK                        0x00010000
#define    DDR40_PHY_ADDR_CTL_MODE_REG3_AD_SHIFT                          0
#define    DDR40_PHY_ADDR_CTL_MODE_REG3_AD_MASK                           0x0000FFFF

#define DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_OFFSET                         0x000000A4
#define DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_TYPE                           UInt32
#define DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_RESERVED_MASK                  0xFFF80000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_READY_SHIFT         18
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_READY_MASK          0x00040000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_EXIT_PIN_EN_SHIFT   17
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_EXIT_PIN_EN_MASK    0x00020000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_ACTIVE_SHIFT        16
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_ACTIVE_MASK         0x00010000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_ARMED_SHIFT                 15
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_ARMED_MASK                  0x00008000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_WARMSTART_SHIFT             14
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_WARMSTART_MASK              0x00004000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_LDO_VOLTS_SHIFT     12
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_LDO_VOLTS_MASK      0x00003000
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_SKIP_MRS_SHIFT      11
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_SKIP_MRS_MASK       0x00000800
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_RST_N_SHIFT         10
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_RST_N_MASK          0x00000400
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_CKE_SHIFT           9
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_PWRDOWN_CKE_MASK            0x00000200
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_LDO_VOLTS_SHIFT             7
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_LDO_VOLTS_MASK              0x00000180
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_SKIP_MRS_SHIFT              6
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_SKIP_MRS_MASK               0x00000040
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_RST_N_SHIFT                 5
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_RST_N_MASK                  0x00000020
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_CKE_SHIFT                   4
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_CKE_MASK                    0x00000010
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_SHIFT               0
#define    DDR40_PHY_ADDR_CTL_STANDBY_CONTROL_STANDBY_MASK                0x0000000F

#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL_OFFSET                           0x000000B0
#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL_TYPE                             UInt32
#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL_RESERVED_MASK                    0xF0000000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_MHZ_SHIFT                     16
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_MHZ_MASK                      0x0FFF0000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_AD_WIDTH_SHIFT                14
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_AD_WIDTH_MASK                 0x0000C000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_DUAL_RANK_SHIFT               13
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_DUAL_RANK_MASK                0x00002000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_BUS16_SHIFT                   12
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_BUS16_MASK                    0x00001000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_BUS8_SHIFT                    11
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_BUS8_MASK                     0x00000800
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_CHIP_WIDTH_SHIFT              10
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_CHIP_WIDTH_MASK               0x00000400
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_VDDQ_SHIFT                    8
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_VDDQ_MASK                     0x00000300
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_CHIP_SIZE_SHIFT               6
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_CHIP_SIZE_MASK                0x000000C0
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_JEDEC_TYPE_SHIFT              1
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_JEDEC_TYPE_MASK               0x0000003E
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_STRAPS_VALID_SHIFT            0
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL_STRAPS_VALID_MASK             0x00000001

#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_OFFSET                          0x000000B4
#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_TYPE                            UInt32
#define DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_RESERVED_MASK                   0xFFE00000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_DDR3_SHIFT                   20
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_DDR3_MASK                    0x00100000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_AL_SHIFT                     17
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_AL_MASK                      0x000E0000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_WR_SHIFT                     12
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_WR_MASK                      0x0001F000
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_CWL_SHIFT                    7
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_CWL_MASK                     0x00000F80
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_CL_SHIFT                     0
#define    DDR40_PHY_ADDR_CTL_STRAP_CONTROL2_CL_MASK                      0x0000007F

#define DDR40_PHY_ADDR_CTL_STRAP_STATUS_OFFSET                            0x000000B8
#define DDR40_PHY_ADDR_CTL_STRAP_STATUS_TYPE                              UInt32
#define DDR40_PHY_ADDR_CTL_STRAP_STATUS_RESERVED_MASK                     0xC0000000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_FROM_REG_SHIFT                 29
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_FROM_REG_MASK                  0x20000000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_FROM_MEMC_SHIFT                28
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_FROM_MEMC_MASK                 0x10000000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_MHZ_SHIFT                      16
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_MHZ_MASK                       0x0FFF0000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_AD_WIDTH_SHIFT                 14
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_AD_WIDTH_MASK                  0x0000C000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_DUAL_RANK_SHIFT                13
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_DUAL_RANK_MASK                 0x00002000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_BUS16_SHIFT                    12
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_BUS16_MASK                     0x00001000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_BUS8_SHIFT                     11
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_BUS8_MASK                      0x00000800
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_CHIP_WIDTH_SHIFT               10
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_CHIP_WIDTH_MASK                0x00000400
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_VDDQ_SHIFT                     8
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_VDDQ_MASK                      0x00000300
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_CHIP_SIZE_SHIFT                6
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_CHIP_SIZE_MASK                 0x000000C0
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_JEDEC_TYPE_SHIFT               1
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_JEDEC_TYPE_MASK                0x0000003E
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_STRAPS_VALID_SHIFT             0
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS_STRAPS_VALID_MASK              0x00000001

#define DDR40_PHY_ADDR_CTL_STRAP_STATUS2_OFFSET                           0x000000BC
#define DDR40_PHY_ADDR_CTL_STRAP_STATUS2_TYPE                             UInt32
#define DDR40_PHY_ADDR_CTL_STRAP_STATUS2_RESERVED_MASK                    0xFFE00000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_DDR3_SHIFT                    20
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_DDR3_MASK                     0x00100000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_AL_SHIFT                      17
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_AL_MASK                       0x000E0000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_WR_SHIFT                      12
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_WR_MASK                       0x0001F000
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_CWL_SHIFT                     7
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_CWL_MASK                      0x00000F80
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_CL_SHIFT                      0
#define    DDR40_PHY_ADDR_CTL_STRAP_STATUS2_CL_MASK                       0x0000007F

#define DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_OFFSET                     0x000000C0
#define DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_TYPE                       UInt32
#define DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_RESERVED_MASK              0xFFFFFFF0
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL1_BL1_SHIFT           3
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL1_BL1_MASK            0x00000008
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL1_BL0_SHIFT           2
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL1_BL0_MASK            0x00000004
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL0_BL1_SHIFT           1
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL0_BL1_MASK            0x00000002
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL0_BL0_SHIFT           0
#define    DDR40_PHY_ADDR_CTL_DEBUG_FREEZE_ENABLE_WL0_BL0_MASK            0x00000001

#endif /* __BRCM_RDB_DDR40_PHY_ADDR_CTL_H__ */


