/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_FSHOST_H__
#define __BRCM_RDB_FSHOST_H__

#define FSHOST_OTGCTL_OFFSET                                              0x00000000
#define FSHOST_OTGCTL_TYPE                                                UInt32
#define FSHOST_OTGCTL_RESERVED_MASK                                       0xFFF0F0FC
#define    FSHOST_OTGCTL_BSESVLD_SHIFT                                    19
#define    FSHOST_OTGCTL_BSESVLD_MASK                                     0x00080000
#define    FSHOST_OTGCTL_ASESVLD_SHIFT                                    18
#define    FSHOST_OTGCTL_ASESVLD_MASK                                     0x00040000
#define    FSHOST_OTGCTL_DBNCTIME_SHIFT                                   17
#define    FSHOST_OTGCTL_DBNCTIME_MASK                                    0x00020000
#define    FSHOST_OTGCTL_CONIDSTS_SHIFT                                   16
#define    FSHOST_OTGCTL_CONIDSTS_MASK                                    0x00010000
#define    FSHOST_OTGCTL_DEVHNPEN_SHIFT                                   11
#define    FSHOST_OTGCTL_DEVHNPEN_MASK                                    0x00000800
#define    FSHOST_OTGCTL_HSTSETHNPEN_SHIFT                                10
#define    FSHOST_OTGCTL_HSTSETHNPEN_MASK                                 0x00000400
#define    FSHOST_OTGCTL_HNPREQ_SHIFT                                     9
#define    FSHOST_OTGCTL_HNPREQ_MASK                                      0x00000200
#define    FSHOST_OTGCTL_HSTNEGSCS_SHIFT                                  8
#define    FSHOST_OTGCTL_HSTNEGSCS_MASK                                   0x00000100
#define    FSHOST_OTGCTL_SESREQ_SHIFT                                     1
#define    FSHOST_OTGCTL_SESREQ_MASK                                      0x00000002
#define    FSHOST_OTGCTL_SESREQSCS_SHIFT                                  0
#define    FSHOST_OTGCTL_SESREQSCS_MASK                                   0x00000001

#define FSHOST_OTGINT_OFFSET                                              0x00000004
#define FSHOST_OTGINT_TYPE                                                UInt32
#define FSHOST_OTGINT_RESERVED_MASK                                       0xFFF1FCFB
#define    FSHOST_OTGINT_DBNCEDONE_SHIFT                                  19
#define    FSHOST_OTGINT_DBNCEDONE_MASK                                   0x00080000
#define    FSHOST_OTGINT_ADEVTOUTCHG_SHIFT                                18
#define    FSHOST_OTGINT_ADEVTOUTCHG_MASK                                 0x00040000
#define    FSHOST_OTGINT_HSTNEGDET_SHIFT                                  17
#define    FSHOST_OTGINT_HSTNEGDET_MASK                                   0x00020000
#define    FSHOST_OTGINT_HSTNEGSUCSTSCHNG_SHIFT                           9
#define    FSHOST_OTGINT_HSTNEGSUCSTSCHNG_MASK                            0x00000200
#define    FSHOST_OTGINT_SESREQSUCSTSCHNG_SHIFT                           8
#define    FSHOST_OTGINT_SESREQSUCSTSCHNG_MASK                            0x00000100
#define    FSHOST_OTGINT_SESENDDET_SHIFT                                  2
#define    FSHOST_OTGINT_SESENDDET_MASK                                   0x00000004

#define FSHOST_AHBCFG_OFFSET                                              0x00000008
#define FSHOST_AHBCFG_TYPE                                                UInt32
#define FSHOST_AHBCFG_RESERVED_MASK                                       0xFFFFFE40
#define    FSHOST_AHBCFG_PTXFEMPLVL_SHIFT                                 8
#define    FSHOST_AHBCFG_PTXFEMPLVL_MASK                                  0x00000100
#define    FSHOST_AHBCFG_NPTXFEMPLVL_SHIFT                                7
#define    FSHOST_AHBCFG_NPTXFEMPLVL_MASK                                 0x00000080
#define    FSHOST_AHBCFG_DMAEN_SHIFT                                      5
#define    FSHOST_AHBCFG_DMAEN_MASK                                       0x00000020
#define    FSHOST_AHBCFG_HBSTLEN_SHIFT                                    1
#define    FSHOST_AHBCFG_HBSTLEN_MASK                                     0x0000001E
#define    FSHOST_AHBCFG_GLBLINTRMSK_SHIFT                                0
#define    FSHOST_AHBCFG_GLBLINTRMSK_MASK                                 0x00000001

#define FSHOST_CFG_OFFSET                                                 0x0000000C
#define FSHOST_CFG_TYPE                                                   UInt32
#define FSHOST_CFG_RESERVED_MASK                                          0x7FFF4000
#define    FSHOST_CFG_CORRUPTTXPACKET_SHIFT                               31
#define    FSHOST_CFG_CORRUPTTXPACKET_MASK                                0x80000000
#define    FSHOST_CFG_PHYLPWRCLKSEL_SHIFT                                 15
#define    FSHOST_CFG_PHYLPWRCLKSEL_MASK                                  0x00008000
#define    FSHOST_CFG_USBTRDTIM_SHIFT                                     10
#define    FSHOST_CFG_USBTRDTIM_MASK                                      0x00003C00
#define    FSHOST_CFG_HNPCAP_SHIFT                                        9
#define    FSHOST_CFG_HNPCAP_MASK                                         0x00000200
#define    FSHOST_CFG_SRPCAP_SHIFT                                        8
#define    FSHOST_CFG_SRPCAP_MASK                                         0x00000100
#define    FSHOST_CFG_RESVD_SHIFT                                         3
#define    FSHOST_CFG_RESVD_MASK                                          0x000000F8
#define    FSHOST_CFG_TOUTCAL_SHIFT                                       0
#define    FSHOST_CFG_TOUTCAL_MASK                                        0x00000007

#define FSHOST_RSTCTL_OFFSET                                              0x00000010
#define FSHOST_RSTCTL_TYPE                                                UInt32
#define FSHOST_RSTCTL_RESERVED_MASK                                       0x3FFFF800
#define    FSHOST_RSTCTL_AHBIDLE_SHIFT                                    31
#define    FSHOST_RSTCTL_AHBIDLE_MASK                                     0x80000000
#define    FSHOST_RSTCTL_DMAREQ_SHIFT                                     30
#define    FSHOST_RSTCTL_DMAREQ_MASK                                      0x40000000
#define    FSHOST_RSTCTL_TXFNUM_SHIFT                                     6
#define    FSHOST_RSTCTL_TXFNUM_MASK                                      0x000007C0
#define    FSHOST_RSTCTL_TXFFLSH_SHIFT                                    5
#define    FSHOST_RSTCTL_TXFFLSH_MASK                                     0x00000020
#define    FSHOST_RSTCTL_RXFFLSH_SHIFT                                    4
#define    FSHOST_RSTCTL_RXFFLSH_MASK                                     0x00000010
#define    FSHOST_RSTCTL_INTKNQFLSH_SHIFT                                 3
#define    FSHOST_RSTCTL_INTKNQFLSH_MASK                                  0x00000008
#define    FSHOST_RSTCTL_FRMCNTRRST_SHIFT                                 2
#define    FSHOST_RSTCTL_FRMCNTRRST_MASK                                  0x00000004
#define    FSHOST_RSTCTL_HSFTRST_SHIFT                                    1
#define    FSHOST_RSTCTL_HSFTRST_MASK                                     0x00000002
#define    FSHOST_RSTCTL_CSFTRST_SHIFT                                    0
#define    FSHOST_RSTCTL_CSFTRST_MASK                                     0x00000001

#define FSHOST_INTSTS_OFFSET                                              0x00000014
#define FSHOST_INTSTS_TYPE                                                UInt32
#define FSHOST_INTSTS_RESERVED_MASK                                       0x00010000
#define    FSHOST_INTSTS_WKUPINT_SHIFT                                    31
#define    FSHOST_INTSTS_WKUPINT_MASK                                     0x80000000
#define    FSHOST_INTSTS_SESSREQINT_SHIFT                                 30
#define    FSHOST_INTSTS_SESSREQINT_MASK                                  0x40000000
#define    FSHOST_INTSTS_DISCONNINT_SHIFT                                 29
#define    FSHOST_INTSTS_DISCONNINT_MASK                                  0x20000000
#define    FSHOST_INTSTS_CONIDSTSCHNG_SHIFT                               28
#define    FSHOST_INTSTS_CONIDSTSCHNG_MASK                                0x10000000
#define    FSHOST_INTSTS_LPM_INT_SHIFT                                    27
#define    FSHOST_INTSTS_LPM_INT_MASK                                     0x08000000
#define    FSHOST_INTSTS_PTXFEMP_SHIFT                                    26
#define    FSHOST_INTSTS_PTXFEMP_MASK                                     0x04000000
#define    FSHOST_INTSTS_HCHINT_SHIFT                                     25
#define    FSHOST_INTSTS_HCHINT_MASK                                      0x02000000
#define    FSHOST_INTSTS_PRTINT_SHIFT                                     24
#define    FSHOST_INTSTS_PRTINT_MASK                                      0x01000000
#define    FSHOST_INTSTS_RESETDET_SHIFT                                   23
#define    FSHOST_INTSTS_RESETDET_MASK                                    0x00800000
#define    FSHOST_INTSTS_FETSUSP_SHIFT                                    22
#define    FSHOST_INTSTS_FETSUSP_MASK                                     0x00400000
#define    FSHOST_INTSTS_INCOMPLP_SHIFT                                   21
#define    FSHOST_INTSTS_INCOMPLP_MASK                                    0x00200000
#define    FSHOST_INTSTS_INCOMPISOIN_SHIFT                                20
#define    FSHOST_INTSTS_INCOMPISOIN_MASK                                 0x00100000
#define    FSHOST_INTSTS_OEPINT_SHIFT                                     19
#define    FSHOST_INTSTS_OEPINT_MASK                                      0x00080000
#define    FSHOST_INTSTS_IEPINT_SHIFT                                     18
#define    FSHOST_INTSTS_IEPINT_MASK                                      0x00040000
#define    FSHOST_INTSTS_EPMIS_SHIFT                                      17
#define    FSHOST_INTSTS_EPMIS_MASK                                       0x00020000
#define    FSHOST_INTSTS_EOPF_SHIFT                                       15
#define    FSHOST_INTSTS_EOPF_MASK                                        0x00008000
#define    FSHOST_INTSTS_ISOOUTDROP_SHIFT                                 14
#define    FSHOST_INTSTS_ISOOUTDROP_MASK                                  0x00004000
#define    FSHOST_INTSTS_ENUMDONE_SHIFT                                   13
#define    FSHOST_INTSTS_ENUMDONE_MASK                                    0x00002000
#define    FSHOST_INTSTS_USBRST_SHIFT                                     12
#define    FSHOST_INTSTS_USBRST_MASK                                      0x00001000
#define    FSHOST_INTSTS_USBSUSP_SHIFT                                    11
#define    FSHOST_INTSTS_USBSUSP_MASK                                     0x00000800
#define    FSHOST_INTSTS_ERLYSUSP_SHIFT                                   10
#define    FSHOST_INTSTS_ERLYSUSP_MASK                                    0x00000400
#define    FSHOST_INTSTS_I2CINT_SHIFT                                     9
#define    FSHOST_INTSTS_I2CINT_MASK                                      0x00000200
#define    FSHOST_INTSTS_ULPICKINT_SHIFT                                  8
#define    FSHOST_INTSTS_ULPICKINT_MASK                                   0x00000100
#define    FSHOST_INTSTS_GOUTNAKEFF_SHIFT                                 7
#define    FSHOST_INTSTS_GOUTNAKEFF_MASK                                  0x00000080
#define    FSHOST_INTSTS_GINNAKEFF_SHIFT                                  6
#define    FSHOST_INTSTS_GINNAKEFF_MASK                                   0x00000040
#define    FSHOST_INTSTS_NPTXFEMP_SHIFT                                   5
#define    FSHOST_INTSTS_NPTXFEMP_MASK                                    0x00000020
#define    FSHOST_INTSTS_RXFLVL_SHIFT                                     4
#define    FSHOST_INTSTS_RXFLVL_MASK                                      0x00000010
#define    FSHOST_INTSTS_SOF_SHIFT                                        3
#define    FSHOST_INTSTS_SOF_MASK                                         0x00000008
#define    FSHOST_INTSTS_OTGINT_SHIFT                                     2
#define    FSHOST_INTSTS_OTGINT_MASK                                      0x00000004
#define    FSHOST_INTSTS_MODEMIS_SHIFT                                    1
#define    FSHOST_INTSTS_MODEMIS_MASK                                     0x00000002
#define    FSHOST_INTSTS_CURMOD_SHIFT                                     0
#define    FSHOST_INTSTS_CURMOD_MASK                                      0x00000001

#define FSHOST_INTMSK_OFFSET                                              0x00000018
#define FSHOST_INTMSK_TYPE                                                UInt32
#define FSHOST_INTMSK_RESERVED_MASK                                       0x08810001
#define    FSHOST_INTMSK_WKUPINTMSK_SHIFT                                 31
#define    FSHOST_INTMSK_WKUPINTMSK_MASK                                  0x80000000
#define    FSHOST_INTMSK_SESSREQINTMSK_SHIFT                              30
#define    FSHOST_INTMSK_SESSREQINTMSK_MASK                               0x40000000
#define    FSHOST_INTMSK_DISCONNINTMSK_SHIFT                              29
#define    FSHOST_INTMSK_DISCONNINTMSK_MASK                               0x20000000
#define    FSHOST_INTMSK_CONIDSTSCHNGMSK_SHIFT                            28
#define    FSHOST_INTMSK_CONIDSTSCHNGMSK_MASK                             0x10000000
#define    FSHOST_INTMSK_PTXFEMPMSK_SHIFT                                 26
#define    FSHOST_INTMSK_PTXFEMPMSK_MASK                                  0x04000000
#define    FSHOST_INTMSK_HCHINTMSK_SHIFT                                  25
#define    FSHOST_INTMSK_HCHINTMSK_MASK                                   0x02000000
#define    FSHOST_INTMSK_PRTINTMSK_SHIFT                                  24
#define    FSHOST_INTMSK_PRTINTMSK_MASK                                   0x01000000
#define    FSHOST_INTMSK_FETSUSPMSK_SHIFT                                 22
#define    FSHOST_INTMSK_FETSUSPMSK_MASK                                  0x00400000
#define    FSHOST_INTMSK_INCOMPLPMSK_SHIFT                                21
#define    FSHOST_INTMSK_INCOMPLPMSK_MASK                                 0x00200000
#define    FSHOST_INTMSK_INCOMPISOINMSK_SHIFT                             20
#define    FSHOST_INTMSK_INCOMPISOINMSK_MASK                              0x00100000
#define    FSHOST_INTMSK_OEPINTMSK_SHIFT                                  19
#define    FSHOST_INTMSK_OEPINTMSK_MASK                                   0x00080000
#define    FSHOST_INTMSK_INEPINTMSK_SHIFT                                 18
#define    FSHOST_INTMSK_INEPINTMSK_MASK                                  0x00040000
#define    FSHOST_INTMSK_EPMISMSK_SHIFT                                   17
#define    FSHOST_INTMSK_EPMISMSK_MASK                                    0x00020000
#define    FSHOST_INTMSK_EOPFMSK_SHIFT                                    15
#define    FSHOST_INTMSK_EOPFMSK_MASK                                     0x00008000
#define    FSHOST_INTMSK_ISOOUTDROPMSK_SHIFT                              14
#define    FSHOST_INTMSK_ISOOUTDROPMSK_MASK                               0x00004000
#define    FSHOST_INTMSK_ENUMDONEMSK_SHIFT                                13
#define    FSHOST_INTMSK_ENUMDONEMSK_MASK                                 0x00002000
#define    FSHOST_INTMSK_USBRSTMSK_SHIFT                                  12
#define    FSHOST_INTMSK_USBRSTMSK_MASK                                   0x00001000
#define    FSHOST_INTMSK_USBSUSPMSK_SHIFT                                 11
#define    FSHOST_INTMSK_USBSUSPMSK_MASK                                  0x00000800
#define    FSHOST_INTMSK_ERLYSUSPMSK_SHIFT                                10
#define    FSHOST_INTMSK_ERLYSUSPMSK_MASK                                 0x00000400
#define    FSHOST_INTMSK_I2CINT_SHIFT                                     9
#define    FSHOST_INTMSK_I2CINT_MASK                                      0x00000200
#define    FSHOST_INTMSK_ULPICKINTMSK_SHIFT                               8
#define    FSHOST_INTMSK_ULPICKINTMSK_MASK                                0x00000100
#define    FSHOST_INTMSK_GOUTNAKEFFMSK_SHIFT                              7
#define    FSHOST_INTMSK_GOUTNAKEFFMSK_MASK                               0x00000080
#define    FSHOST_INTMSK_GINNAKEFFMSK_SHIFT                               6
#define    FSHOST_INTMSK_GINNAKEFFMSK_MASK                                0x00000040
#define    FSHOST_INTMSK_NPTXFEMPMSK_SHIFT                                5
#define    FSHOST_INTMSK_NPTXFEMPMSK_MASK                                 0x00000020
#define    FSHOST_INTMSK_RXFLVLMSK_SHIFT                                  4
#define    FSHOST_INTMSK_RXFLVLMSK_MASK                                   0x00000010
#define    FSHOST_INTMSK_SOFMSK_SHIFT                                     3
#define    FSHOST_INTMSK_SOFMSK_MASK                                      0x00000008
#define    FSHOST_INTMSK_OTGINTMSK_SHIFT                                  2
#define    FSHOST_INTMSK_OTGINTMSK_MASK                                   0x00000004
#define    FSHOST_INTMSK_MODEMISMSK_SHIFT                                 1
#define    FSHOST_INTMSK_MODEMISMSK_MASK                                  0x00000002

#define FSHOST_RXSTSR_OFFSET                                              0x0000001C
#define FSHOST_RXSTSR_TYPE                                                UInt32
#define FSHOST_RXSTSR_RESERVED_MASK                                       0xFFE00000
#define    FSHOST_RXSTSR_PKTSTS_SHIFT                                     17
#define    FSHOST_RXSTSR_PKTSTS_MASK                                      0x001E0000
#define    FSHOST_RXSTSR_DPID_SHIFT                                       15
#define    FSHOST_RXSTSR_DPID_MASK                                        0x00018000
#define    FSHOST_RXSTSR_BCNT_SHIFT                                       4
#define    FSHOST_RXSTSR_BCNT_MASK                                        0x00007FF0
#define    FSHOST_RXSTSR_CHNUM_SHIFT                                      0
#define    FSHOST_RXSTSR_CHNUM_MASK                                       0x0000000F

#define FSHOST_RXSTSP_OFFSET                                              0x00000020
#define FSHOST_RXSTSP_TYPE                                                UInt32
#define FSHOST_RXSTSP_RESERVED_MASK                                       0xFE000000
#define    FSHOST_RXSTSP_FN_SHIFT                                         21
#define    FSHOST_RXSTSP_FN_MASK                                          0x01E00000
#define    FSHOST_RXSTSP_PKTSTS_SHIFT                                     17
#define    FSHOST_RXSTSP_PKTSTS_MASK                                      0x001E0000
#define    FSHOST_RXSTSP_DPID_SHIFT                                       15
#define    FSHOST_RXSTSP_DPID_MASK                                        0x00018000
#define    FSHOST_RXSTSP_BCNT_SHIFT                                       4
#define    FSHOST_RXSTSP_BCNT_MASK                                        0x00007FF0
#define    FSHOST_RXSTSP_EPNUM_SHIFT                                      0
#define    FSHOST_RXSTSP_EPNUM_MASK                                       0x0000000F

#define FSHOST_RXFSIZ_OFFSET                                              0x00000024
#define FSHOST_RXFSIZ_TYPE                                                UInt32
#define FSHOST_RXFSIZ_RESERVED_MASK                                       0xFFFF0000
#define    FSHOST_RXFSIZ_RXFDEP_SHIFT                                     0
#define    FSHOST_RXFSIZ_RXFDEP_MASK                                      0x0000FFFF

#define FSHOST_NPTXFSIZ_OFFSET                                            0x00000028
#define FSHOST_NPTXFSIZ_TYPE                                              UInt32
#define FSHOST_NPTXFSIZ_RESERVED_MASK                                     0x00000000
#define    FSHOST_NPTXFSIZ_NPTXFDEP_SHIFT                                 16
#define    FSHOST_NPTXFSIZ_NPTXFDEP_MASK                                  0xFFFF0000
#define    FSHOST_NPTXFSIZ_NPTXFSTADDR_SHIFT                              0
#define    FSHOST_NPTXFSIZ_NPTXFSTADDR_MASK                               0x0000FFFF

#define FSHOST_NPTXSTS_OFFSET                                             0x0000002C
#define FSHOST_NPTXSTS_TYPE                                               UInt32
#define FSHOST_NPTXSTS_RESERVED_MASK                                      0x80000000
#define    FSHOST_NPTXSTS_NPTXQTOP_SHIFT                                  24
#define    FSHOST_NPTXSTS_NPTXQTOP_MASK                                   0x7F000000
#define    FSHOST_NPTXSTS_NPTXQSPCAVAIL_SHIFT                             16
#define    FSHOST_NPTXSTS_NPTXQSPCAVAIL_MASK                              0x00FF0000
#define    FSHOST_NPTXSTS_NPTXFSPCAVAIL_SHIFT                             0
#define    FSHOST_NPTXSTS_NPTXFSPCAVAIL_MASK                              0x0000FFFF

#define FSHOST_I2CCTL_OFFSET                                              0x00000030
#define FSHOST_I2CCTL_TYPE                                                UInt32
#define FSHOST_I2CCTL_RESERVED_MASK                                       0x20000000
#define    FSHOST_I2CCTL_BSYDNE_SHIFT                                     31
#define    FSHOST_I2CCTL_BSYDNE_MASK                                      0x80000000
#define    FSHOST_I2CCTL_RW_SHIFT                                         30
#define    FSHOST_I2CCTL_RW_MASK                                          0x40000000
#define    FSHOST_I2CCTL_I2CDATSE0_SHIFT                                  28
#define    FSHOST_I2CCTL_I2CDATSE0_MASK                                   0x10000000
#define    FSHOST_I2CCTL_I2CDEVADR_SHIFT                                  26
#define    FSHOST_I2CCTL_I2CDEVADR_MASK                                   0x0C000000
#define    FSHOST_I2CCTL_I2CSUSPCTL_SHIFT                                 25
#define    FSHOST_I2CCTL_I2CSUSPCTL_MASK                                  0x02000000
#define    FSHOST_I2CCTL_ACK_SHIFT                                        24
#define    FSHOST_I2CCTL_ACK_MASK                                         0x01000000
#define    FSHOST_I2CCTL_I2CEN_SHIFT                                      23
#define    FSHOST_I2CCTL_I2CEN_MASK                                       0x00800000
#define    FSHOST_I2CCTL_ADDR_SHIFT                                       16
#define    FSHOST_I2CCTL_ADDR_MASK                                        0x007F0000
#define    FSHOST_I2CCTL_REGADDR_SHIFT                                    8
#define    FSHOST_I2CCTL_REGADDR_MASK                                     0x0000FF00
#define    FSHOST_I2CCTL_RWDATA_SHIFT                                     0
#define    FSHOST_I2CCTL_RWDATA_MASK                                      0x000000FF

#define FSHOST_PVNDCTL_OFFSET                                             0x00000034
#define FSHOST_PVNDCTL_TYPE                                               UInt32
#define FSHOST_PVNDCTL_RESERVED_MASK                                      0x71800000
#define    FSHOST_PVNDCTL_DISULPIDRVR_SHIFT                               31
#define    FSHOST_PVNDCTL_DISULPIDRVR_MASK                                0x80000000
#define    FSHOST_PVNDCTL_VSTSDONE_SHIFT                                  27
#define    FSHOST_PVNDCTL_VSTSDONE_MASK                                   0x08000000
#define    FSHOST_PVNDCTL_VSTSBSY_SHIFT                                   26
#define    FSHOST_PVNDCTL_VSTSBSY_MASK                                    0x04000000
#define    FSHOST_PVNDCTL_NEWREGREQ_SHIFT                                 25
#define    FSHOST_PVNDCTL_NEWREGREQ_MASK                                  0x02000000
#define    FSHOST_PVNDCTL_REGWR_SHIFT                                     22
#define    FSHOST_PVNDCTL_REGWR_MASK                                      0x00400000
#define    FSHOST_PVNDCTL_REGADDR_SHIFT                                   16
#define    FSHOST_PVNDCTL_REGADDR_MASK                                    0x003F0000
#define    FSHOST_PVNDCTL_VCTRL_SHIFT                                     8
#define    FSHOST_PVNDCTL_VCTRL_MASK                                      0x0000FF00
#define    FSHOST_PVNDCTL_REGDATA_SHIFT                                   0
#define    FSHOST_PVNDCTL_REGDATA_MASK                                    0x000000FF

#define FSHOST_UID_OFFSET                                                 0x0000003C
#define FSHOST_UID_TYPE                                                   UInt32
#define FSHOST_UID_RESERVED_MASK                                          0x00000000
#define    FSHOST_UID_USERID_SHIFT                                        0
#define    FSHOST_UID_USERID_MASK                                         0xFFFFFFFF

#define FSHOST_SNPSID_OFFSET                                              0x00000040
#define FSHOST_SNPSID_TYPE                                                UInt32
#define FSHOST_SNPSID_RESERVED_MASK                                       0x00000000
#define    FSHOST_SNPSID_SYNOPSYSID_SHIFT                                 0
#define    FSHOST_SNPSID_SYNOPSYSID_MASK                                  0xFFFFFFFF

#define FSHOST_HWCFG1_OFFSET                                              0x00000044
#define FSHOST_HWCFG1_TYPE                                                UInt32
#define FSHOST_HWCFG1_RESERVED_MASK                                       0x00000000
#define    FSHOST_HWCFG1_EPDIR_SHIFT                                      0
#define    FSHOST_HWCFG1_EPDIR_MASK                                       0xFFFFFFFF

#define FSHOST_HWCFG2_OFFSET                                              0x00000048
#define FSHOST_HWCFG2_TYPE                                                UInt32
#define FSHOST_HWCFG2_RESERVED_MASK                                       0xC0300000
#define    FSHOST_HWCFG2_TKNQDEPTH_SHIFT                                  26
#define    FSHOST_HWCFG2_TKNQDEPTH_MASK                                   0x3C000000
#define    FSHOST_HWCFG2_PTXQDEPTH_SHIFT                                  24
#define    FSHOST_HWCFG2_PTXQDEPTH_MASK                                   0x03000000
#define    FSHOST_HWCFG2_NPTXQDEPTH_SHIFT                                 22
#define    FSHOST_HWCFG2_NPTXQDEPTH_MASK                                  0x00C00000
#define    FSHOST_HWCFG2_DYNFIFOSIZING_SHIFT                              19
#define    FSHOST_HWCFG2_DYNFIFOSIZING_MASK                               0x00080000
#define    FSHOST_HWCFG2_PERIOSUPPORT_SHIFT                               18
#define    FSHOST_HWCFG2_PERIOSUPPORT_MASK                                0x00040000
#define    FSHOST_HWCFG2_NUMHSTCHNL_SHIFT                                 14
#define    FSHOST_HWCFG2_NUMHSTCHNL_MASK                                  0x0003C000
#define    FSHOST_HWCFG2_NUMDEVEPS_SHIFT                                  10
#define    FSHOST_HWCFG2_NUMDEVEPS_MASK                                   0x00003C00
#define    FSHOST_HWCFG2_FSPHYTYPE_SHIFT                                  8
#define    FSHOST_HWCFG2_FSPHYTYPE_MASK                                   0x00000300
#define    FSHOST_HWCFG2_HSPHYTYPE_SHIFT                                  6
#define    FSHOST_HWCFG2_HSPHYTYPE_MASK                                   0x000000C0
#define    FSHOST_HWCFG2_SINGPNT_SHIFT                                    5
#define    FSHOST_HWCFG2_SINGPNT_MASK                                     0x00000020
#define    FSHOST_HWCFG2_OTGARCH_SHIFT                                    3
#define    FSHOST_HWCFG2_OTGARCH_MASK                                     0x00000018
#define    FSHOST_HWCFG2_OTGMODE_SHIFT                                    0
#define    FSHOST_HWCFG2_OTGMODE_MASK                                     0x00000007

#define FSHOST_HWCFG3_OFFSET                                              0x0000004C
#define FSHOST_HWCFG3_TYPE                                                UInt32
#define FSHOST_HWCFG3_RESERVED_MASK                                       0x0000E000
#define    FSHOST_HWCFG3_DFIFODEPTH_SHIFT                                 16
#define    FSHOST_HWCFG3_DFIFODEPTH_MASK                                  0xFFFF0000
#define    FSHOST_HWCFG3_AHBPHYSYNC_SHIFT                                 12
#define    FSHOST_HWCFG3_AHBPHYSYNC_MASK                                  0x00001000
#define    FSHOST_HWCFG3_RSTTYPE_SHIFT                                    11
#define    FSHOST_HWCFG3_RSTTYPE_MASK                                     0x00000800
#define    FSHOST_HWCFG3_OPTFEATURE_SHIFT                                 10
#define    FSHOST_HWCFG3_OPTFEATURE_MASK                                  0x00000400
#define    FSHOST_HWCFG3_VENDORCONTROL_SHIFT                              9
#define    FSHOST_HWCFG3_VENDORCONTROL_MASK                               0x00000200
#define    FSHOST_HWCFG3_I2CEN_SHIFT                                      8
#define    FSHOST_HWCFG3_I2CEN_MASK                                       0x00000100
#define    FSHOST_HWCFG3_OTGEN_SHIFT                                      7
#define    FSHOST_HWCFG3_OTGEN_MASK                                       0x00000080
#define    FSHOST_HWCFG3_PKTSIZEWIDTH_SHIFT                               4
#define    FSHOST_HWCFG3_PKTSIZEWIDTH_MASK                                0x00000070
#define    FSHOST_HWCFG3_XFERSIZEWIDTH_SHIFT                              0
#define    FSHOST_HWCFG3_XFERSIZEWIDTH_MASK                               0x0000000F

#define FSHOST_HWCFG4_OFFSET                                              0x00000050
#define FSHOST_HWCFG4_TYPE                                                UInt32
#define FSHOST_HWCFG4_RESERVED_MASK                                       0x00003F80
#define    FSHOST_HWCFG4_SCATGAT_DMA_SHIFT                                31
#define    FSHOST_HWCFG4_SCATGAT_DMA_MASK                                 0x80000000
#define    FSHOST_HWCFG4_SCATGAT2_DMA_SHIFT                               30
#define    FSHOST_HWCFG4_SCATGAT2_DMA_MASK                                0x40000000
#define    FSHOST_HWCFG4_INEPS_SHIFT                                      26
#define    FSHOST_HWCFG4_INEPS_MASK                                       0x3C000000
#define    FSHOST_HWCFG4_DEDFIFOMODE_SHIFT                                25
#define    FSHOST_HWCFG4_DEDFIFOMODE_MASK                                 0x02000000
#define    FSHOST_HWCFG4_SESSENDFLTR_SHIFT                                24
#define    FSHOST_HWCFG4_SESSENDFLTR_MASK                                 0x01000000
#define    FSHOST_HWCFG4_BVALIDFLTR_SHIFT                                 23
#define    FSHOST_HWCFG4_BVALIDFLTR_MASK                                  0x00800000
#define    FSHOST_HWCFG4_AVALIDFLTR_SHIFT                                 22
#define    FSHOST_HWCFG4_AVALIDFLTR_MASK                                  0x00400000
#define    FSHOST_HWCFG4_VBUSVALIDFLTR_SHIFT                              21
#define    FSHOST_HWCFG4_VBUSVALIDFLTR_MASK                               0x00200000
#define    FSHOST_HWCFG4_IDDGFLTR_SHIFT                                   20
#define    FSHOST_HWCFG4_IDDGFLTR_MASK                                    0x00100000
#define    FSHOST_HWCFG4_NUMCTLEPS_SHIFT                                  16
#define    FSHOST_HWCFG4_NUMCTLEPS_MASK                                   0x000F0000
#define    FSHOST_HWCFG4_PHYDATAWIDTH_SHIFT                               14
#define    FSHOST_HWCFG4_PHYDATAWIDTH_MASK                                0x0000C000
#define    FSHOST_HWCFG4_ENABLE_HIBERNATION_SHIFT                         6
#define    FSHOST_HWCFG4_ENABLE_HIBERNATION_MASK                          0x00000040
#define    FSHOST_HWCFG4_AHBFREQ_SHIFT                                    5
#define    FSHOST_HWCFG4_AHBFREQ_MASK                                     0x00000020
#define    FSHOST_HWCFG4_ENABLEPWROPT_SHIFT                               4
#define    FSHOST_HWCFG4_ENABLEPWROPT_MASK                                0x00000010
#define    FSHOST_HWCFG4_NUMDEVPERIOEPS_SHIFT                             0
#define    FSHOST_HWCFG4_NUMDEVPERIOEPS_MASK                              0x0000000F

#define FSHOST_HPTXFSIZ_OFFSET                                            0x00000100
#define FSHOST_HPTXFSIZ_TYPE                                              UInt32
#define FSHOST_HPTXFSIZ_RESERVED_MASK                                     0x00000000
#define    FSHOST_HPTXFSIZ_PTXFSIZE_SHIFT                                 16
#define    FSHOST_HPTXFSIZ_PTXFSIZE_MASK                                  0xFFFF0000
#define    FSHOST_HPTXFSIZ_PTXFSTADDR_SHIFT                               0
#define    FSHOST_HPTXFSIZ_PTXFSTADDR_MASK                                0x0000FFFF

#define FSHOST_HCFG_OFFSET                                                0x00000400
#define FSHOST_HCFG_TYPE                                                  UInt32
#define FSHOST_HCFG_RESERVED_MASK                                         0xFFFF0078
#define    FSHOST_HCFG_RESVALID_SHIFT                                     8
#define    FSHOST_HCFG_RESVALID_MASK                                      0x0000FF00
#define    FSHOST_HCFG_ENA32KHZS_SHIFT                                    7
#define    FSHOST_HCFG_ENA32KHZS_MASK                                     0x00000080
#define    FSHOST_HCFG_FSLSSUPP_SHIFT                                     2
#define    FSHOST_HCFG_FSLSSUPP_MASK                                      0x00000004
#define    FSHOST_HCFG_FSLSPCLKSEL_SHIFT                                  0
#define    FSHOST_HCFG_FSLSPCLKSEL_MASK                                   0x00000003

#define FSHOST_HFIR_OFFSET                                                0x00000404
#define FSHOST_HFIR_TYPE                                                  UInt32
#define FSHOST_HFIR_RESERVED_MASK                                         0xFFFF0000
#define    FSHOST_HFIR_FRINT_SHIFT                                        0
#define    FSHOST_HFIR_FRINT_MASK                                         0x0000FFFF

#define FSHOST_HFNUM_OFFSET                                               0x00000408
#define FSHOST_HFNUM_TYPE                                                 UInt32
#define FSHOST_HFNUM_RESERVED_MASK                                        0x00000000
#define    FSHOST_HFNUM_FRREM_SHIFT                                       16
#define    FSHOST_HFNUM_FRREM_MASK                                        0xFFFF0000
#define    FSHOST_HFNUM_FRNUM_SHIFT                                       0
#define    FSHOST_HFNUM_FRNUM_MASK                                        0x0000FFFF

#define FSHOST_HPTXSTS_OFFSET                                             0x00000410
#define FSHOST_HPTXSTS_TYPE                                               UInt32
#define FSHOST_HPTXSTS_RESERVED_MASK                                      0x00000000
#define    FSHOST_HPTXSTS_PTXQTOP_SHIFT                                   24
#define    FSHOST_HPTXSTS_PTXQTOP_MASK                                    0xFF000000
#define    FSHOST_HPTXSTS_PTXQSPCAVAIL_SHIFT                              16
#define    FSHOST_HPTXSTS_PTXQSPCAVAIL_MASK                               0x00FF0000
#define    FSHOST_HPTXSTS_PTXFSPCAVAIL_SHIFT                              0
#define    FSHOST_HPTXSTS_PTXFSPCAVAIL_MASK                               0x0000FFFF

#define FSHOST_HAINT_OFFSET                                               0x00000414
#define FSHOST_HAINT_TYPE                                                 UInt32
#define FSHOST_HAINT_RESERVED_MASK                                        0xFFFF0000
#define    FSHOST_HAINT_HAINT_SHIFT                                       0
#define    FSHOST_HAINT_HAINT_MASK                                        0x0000FFFF

#define FSHOST_HAINTMSK_OFFSET                                            0x00000418
#define FSHOST_HAINTMSK_TYPE                                              UInt32
#define FSHOST_HAINTMSK_RESERVED_MASK                                     0xFFFF0000
#define    FSHOST_HAINTMSK_HAINTM_SHIFT                                   0
#define    FSHOST_HAINTMSK_HAINTM_MASK                                    0x0000FFFF

#define FSHOST_HFLBADDR_OFFSET                                            0x0000041C
#define FSHOST_HFLBADDR_TYPE                                              UInt32
#define FSHOST_HFLBADDR_RESERVED_MASK                                     0x00000000
#define    FSHOST_HFLBADDR_HFLBADDR_SHIFT                                 0
#define    FSHOST_HFLBADDR_HFLBADDR_MASK                                  0xFFFFFFFF

#define FSHOST_HPRT_OFFSET                                                0x00000440
#define FSHOST_HPRT_TYPE                                                  UInt32
#define FSHOST_HPRT_RESERVED_MASK                                         0xFFF80200
#define    FSHOST_HPRT_PRTSPD_SHIFT                                       17
#define    FSHOST_HPRT_PRTSPD_MASK                                        0x00060000
#define    FSHOST_HPRT_PRTTSTCTL_SHIFT                                    13
#define    FSHOST_HPRT_PRTTSTCTL_MASK                                     0x0001E000
#define    FSHOST_HPRT_PRTPWR_SHIFT                                       12
#define    FSHOST_HPRT_PRTPWR_MASK                                        0x00001000
#define    FSHOST_HPRT_PRTLNSTS_SHIFT                                     10
#define    FSHOST_HPRT_PRTLNSTS_MASK                                      0x00000C00
#define    FSHOST_HPRT_PRTRST_SHIFT                                       8
#define    FSHOST_HPRT_PRTRST_MASK                                        0x00000100
#define    FSHOST_HPRT_PRTSUSP_SHIFT                                      7
#define    FSHOST_HPRT_PRTSUSP_MASK                                       0x00000080
#define    FSHOST_HPRT_PRTRES_SHIFT                                       6
#define    FSHOST_HPRT_PRTRES_MASK                                        0x00000040
#define    FSHOST_HPRT_PRTOVRCURRCHNG_SHIFT                               5
#define    FSHOST_HPRT_PRTOVRCURRCHNG_MASK                                0x00000020
#define    FSHOST_HPRT_PRTOVRCURRACT_SHIFT                                4
#define    FSHOST_HPRT_PRTOVRCURRACT_MASK                                 0x00000010
#define    FSHOST_HPRT_PRTENCHNG_SHIFT                                    3
#define    FSHOST_HPRT_PRTENCHNG_MASK                                     0x00000008
#define    FSHOST_HPRT_PRTENA_SHIFT                                       2
#define    FSHOST_HPRT_PRTENA_MASK                                        0x00000004
#define    FSHOST_HPRT_PRTCONNDET_SHIFT                                   1
#define    FSHOST_HPRT_PRTCONNDET_MASK                                    0x00000002
#define    FSHOST_HPRT_PRTCONNSTS_SHIFT                                   0
#define    FSHOST_HPRT_PRTCONNSTS_MASK                                    0x00000001

#define FSHOST_HCCHAR0_OFFSET                                             0x00000500
#define FSHOST_HCCHAR0_TYPE                                               UInt32
#define FSHOST_HCCHAR0_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR0_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR0_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR0_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR0_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR0_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR0_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR0_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR0_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR0_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR0_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR0_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR0_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR0_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR0_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR0_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR0_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR0_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR0_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR0_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR0_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT0_OFFSET                                             0x00000504
#define FSHOST_HCSPLT0_TYPE                                               UInt32
#define FSHOST_HCSPLT0_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT0_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT0_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT0_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT0_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT0_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT0_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT0_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT0_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT0_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT0_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT0_OFFSET                                              0x00000508
#define FSHOST_HCINT0_TYPE                                                UInt32
#define FSHOST_HCINT0_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT0_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT0_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT0_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT0_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT0_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT0_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT0_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT0_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT0_NYET_SHIFT                                       6
#define    FSHOST_HCINT0_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT0_ACK_SHIFT                                        5
#define    FSHOST_HCINT0_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT0_NAK_SHIFT                                        4
#define    FSHOST_HCINT0_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT0_STALL_SHIFT                                      3
#define    FSHOST_HCINT0_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT0_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT0_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT0_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT0_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT0_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT0_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK0_OFFSET                                           0x0000050C
#define FSHOST_HCINTMSK0_TYPE                                             UInt32
#define FSHOST_HCINTMSK0_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK0_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK0_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK0_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK0_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK0_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK0_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK0_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK0_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK0_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK0_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK0_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK0_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK0_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK0_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK0_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK0_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK0_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK0_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK0_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK0_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK0_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK0_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ0_OFFSET                                             0x00000510
#define FSHOST_HCTSIZ0_TYPE                                               UInt32
#define FSHOST_HCTSIZ0_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ0_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ0_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ0_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ0_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ0_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ0_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ0_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ0_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA0_OFFSET                                              0x00000514
#define FSHOST_HCDMA0_TYPE                                                UInt32
#define FSHOST_HCDMA0_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA0_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA0_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR1_OFFSET                                             0x00000520
#define FSHOST_HCCHAR1_TYPE                                               UInt32
#define FSHOST_HCCHAR1_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR1_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR1_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR1_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR1_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR1_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR1_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR1_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR1_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR1_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR1_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR1_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR1_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR1_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR1_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR1_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR1_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR1_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR1_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR1_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR1_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT1_OFFSET                                             0x00000524
#define FSHOST_HCSPLT1_TYPE                                               UInt32
#define FSHOST_HCSPLT1_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT1_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT1_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT1_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT1_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT1_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT1_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT1_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT1_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT1_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT1_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT1_OFFSET                                              0x00000528
#define FSHOST_HCINT1_TYPE                                                UInt32
#define FSHOST_HCINT1_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT1_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT1_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT1_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT1_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT1_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT1_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT1_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT1_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT1_NYET_SHIFT                                       6
#define    FSHOST_HCINT1_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT1_ACK_SHIFT                                        5
#define    FSHOST_HCINT1_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT1_NAK_SHIFT                                        4
#define    FSHOST_HCINT1_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT1_STALL_SHIFT                                      3
#define    FSHOST_HCINT1_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT1_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT1_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT1_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT1_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT1_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT1_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK1_OFFSET                                           0x0000052C
#define FSHOST_HCINTMSK1_TYPE                                             UInt32
#define FSHOST_HCINTMSK1_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK1_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK1_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK1_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK1_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK1_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK1_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK1_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK1_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK1_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK1_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK1_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK1_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK1_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK1_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK1_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK1_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK1_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK1_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK1_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK1_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK1_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK1_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ1_OFFSET                                             0x00000530
#define FSHOST_HCTSIZ1_TYPE                                               UInt32
#define FSHOST_HCTSIZ1_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ1_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ1_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ1_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ1_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ1_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ1_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ1_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ1_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA1_OFFSET                                              0x00000534
#define FSHOST_HCDMA1_TYPE                                                UInt32
#define FSHOST_HCDMA1_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA1_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA1_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR2_OFFSET                                             0x00000540
#define FSHOST_HCCHAR2_TYPE                                               UInt32
#define FSHOST_HCCHAR2_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR2_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR2_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR2_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR2_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR2_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR2_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR2_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR2_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR2_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR2_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR2_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR2_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR2_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR2_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR2_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR2_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR2_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR2_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR2_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR2_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT2_OFFSET                                             0x00000544
#define FSHOST_HCSPLT2_TYPE                                               UInt32
#define FSHOST_HCSPLT2_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT2_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT2_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT2_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT2_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT2_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT2_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT2_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT2_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT2_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT2_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT2_OFFSET                                              0x00000548
#define FSHOST_HCINT2_TYPE                                                UInt32
#define FSHOST_HCINT2_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT2_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT2_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT2_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT2_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT2_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT2_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT2_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT2_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT2_NYET_SHIFT                                       6
#define    FSHOST_HCINT2_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT2_ACK_SHIFT                                        5
#define    FSHOST_HCINT2_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT2_NAK_SHIFT                                        4
#define    FSHOST_HCINT2_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT2_STALL_SHIFT                                      3
#define    FSHOST_HCINT2_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT2_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT2_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT2_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT2_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT2_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT2_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK2_OFFSET                                           0x0000054C
#define FSHOST_HCINTMSK2_TYPE                                             UInt32
#define FSHOST_HCINTMSK2_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK2_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK2_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK2_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK2_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK2_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK2_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK2_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK2_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK2_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK2_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK2_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK2_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK2_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK2_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK2_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK2_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK2_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK2_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK2_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK2_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK2_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK2_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ2_OFFSET                                             0x00000550
#define FSHOST_HCTSIZ2_TYPE                                               UInt32
#define FSHOST_HCTSIZ2_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ2_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ2_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ2_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ2_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ2_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ2_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ2_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ2_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA2_OFFSET                                              0x00000554
#define FSHOST_HCDMA2_TYPE                                                UInt32
#define FSHOST_HCDMA2_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA2_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA2_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR3_OFFSET                                             0x00000560
#define FSHOST_HCCHAR3_TYPE                                               UInt32
#define FSHOST_HCCHAR3_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR3_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR3_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR3_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR3_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR3_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR3_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR3_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR3_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR3_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR3_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR3_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR3_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR3_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR3_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR3_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR3_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR3_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR3_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR3_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR3_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT3_OFFSET                                             0x00000564
#define FSHOST_HCSPLT3_TYPE                                               UInt32
#define FSHOST_HCSPLT3_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT3_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT3_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT3_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT3_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT3_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT3_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT3_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT3_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT3_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT3_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT3_OFFSET                                              0x00000568
#define FSHOST_HCINT3_TYPE                                                UInt32
#define FSHOST_HCINT3_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT3_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT3_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT3_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT3_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT3_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT3_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT3_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT3_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT3_NYET_SHIFT                                       6
#define    FSHOST_HCINT3_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT3_ACK_SHIFT                                        5
#define    FSHOST_HCINT3_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT3_NAK_SHIFT                                        4
#define    FSHOST_HCINT3_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT3_STALL_SHIFT                                      3
#define    FSHOST_HCINT3_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT3_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT3_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT3_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT3_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT3_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT3_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK3_OFFSET                                           0x0000056C
#define FSHOST_HCINTMSK3_TYPE                                             UInt32
#define FSHOST_HCINTMSK3_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK3_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK3_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK3_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK3_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK3_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK3_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK3_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK3_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK3_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK3_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK3_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK3_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK3_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK3_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK3_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK3_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK3_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK3_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK3_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK3_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK3_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK3_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ3_OFFSET                                             0x00000570
#define FSHOST_HCTSIZ3_TYPE                                               UInt32
#define FSHOST_HCTSIZ3_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ3_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ3_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ3_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ3_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ3_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ3_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ3_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ3_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA3_OFFSET                                              0x00000574
#define FSHOST_HCDMA3_TYPE                                                UInt32
#define FSHOST_HCDMA3_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA3_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA3_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR4_OFFSET                                             0x00000580
#define FSHOST_HCCHAR4_TYPE                                               UInt32
#define FSHOST_HCCHAR4_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR4_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR4_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR4_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR4_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR4_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR4_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR4_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR4_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR4_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR4_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR4_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR4_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR4_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR4_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR4_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR4_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR4_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR4_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR4_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR4_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT4_OFFSET                                             0x00000584
#define FSHOST_HCSPLT4_TYPE                                               UInt32
#define FSHOST_HCSPLT4_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT4_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT4_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT4_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT4_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT4_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT4_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT4_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT4_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT4_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT4_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT4_OFFSET                                              0x00000588
#define FSHOST_HCINT4_TYPE                                                UInt32
#define FSHOST_HCINT4_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT4_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT4_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT4_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT4_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT4_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT4_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT4_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT4_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT4_NYET_SHIFT                                       6
#define    FSHOST_HCINT4_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT4_ACK_SHIFT                                        5
#define    FSHOST_HCINT4_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT4_NAK_SHIFT                                        4
#define    FSHOST_HCINT4_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT4_STALL_SHIFT                                      3
#define    FSHOST_HCINT4_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT4_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT4_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT4_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT4_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT4_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT4_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK4_OFFSET                                           0x0000058C
#define FSHOST_HCINTMSK4_TYPE                                             UInt32
#define FSHOST_HCINTMSK4_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK4_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK4_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK4_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK4_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK4_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK4_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK4_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK4_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK4_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK4_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK4_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK4_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK4_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK4_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK4_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK4_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK4_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK4_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK4_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK4_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK4_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK4_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ4_OFFSET                                             0x00000590
#define FSHOST_HCTSIZ4_TYPE                                               UInt32
#define FSHOST_HCTSIZ4_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ4_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ4_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ4_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ4_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ4_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ4_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ4_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ4_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA4_OFFSET                                              0x00000594
#define FSHOST_HCDMA4_TYPE                                                UInt32
#define FSHOST_HCDMA4_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA4_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA4_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR5_OFFSET                                             0x000005A0
#define FSHOST_HCCHAR5_TYPE                                               UInt32
#define FSHOST_HCCHAR5_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR5_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR5_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR5_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR5_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR5_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR5_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR5_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR5_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR5_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR5_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR5_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR5_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR5_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR5_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR5_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR5_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR5_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR5_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR5_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR5_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT5_OFFSET                                             0x000005A4
#define FSHOST_HCSPLT5_TYPE                                               UInt32
#define FSHOST_HCSPLT5_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT5_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT5_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT5_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT5_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT5_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT5_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT5_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT5_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT5_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT5_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT5_OFFSET                                              0x000005A8
#define FSHOST_HCINT5_TYPE                                                UInt32
#define FSHOST_HCINT5_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT5_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT5_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT5_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT5_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT5_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT5_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT5_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT5_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT5_NYET_SHIFT                                       6
#define    FSHOST_HCINT5_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT5_ACK_SHIFT                                        5
#define    FSHOST_HCINT5_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT5_NAK_SHIFT                                        4
#define    FSHOST_HCINT5_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT5_STALL_SHIFT                                      3
#define    FSHOST_HCINT5_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT5_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT5_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT5_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT5_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT5_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT5_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK5_OFFSET                                           0x000005AC
#define FSHOST_HCINTMSK5_TYPE                                             UInt32
#define FSHOST_HCINTMSK5_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK5_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK5_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK5_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK5_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK5_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK5_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK5_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK5_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK5_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK5_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK5_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK5_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK5_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK5_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK5_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK5_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK5_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK5_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK5_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK5_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK5_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK5_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ5_OFFSET                                             0x000005B0
#define FSHOST_HCTSIZ5_TYPE                                               UInt32
#define FSHOST_HCTSIZ5_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ5_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ5_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ5_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ5_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ5_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ5_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ5_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ5_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA5_OFFSET                                              0x000005B4
#define FSHOST_HCDMA5_TYPE                                                UInt32
#define FSHOST_HCDMA5_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA5_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA5_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR6_OFFSET                                             0x000005C0
#define FSHOST_HCCHAR6_TYPE                                               UInt32
#define FSHOST_HCCHAR6_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR6_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR6_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR6_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR6_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR6_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR6_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR6_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR6_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR6_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR6_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR6_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR6_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR6_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR6_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR6_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR6_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR6_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR6_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR6_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR6_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT6_OFFSET                                             0x000005C4
#define FSHOST_HCSPLT6_TYPE                                               UInt32
#define FSHOST_HCSPLT6_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT6_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT6_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT6_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT6_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT6_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT6_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT6_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT6_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT6_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT6_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT6_OFFSET                                              0x000005C8
#define FSHOST_HCINT6_TYPE                                                UInt32
#define FSHOST_HCINT6_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT6_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT6_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT6_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT6_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT6_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT6_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT6_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT6_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT6_NYET_SHIFT                                       6
#define    FSHOST_HCINT6_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT6_ACK_SHIFT                                        5
#define    FSHOST_HCINT6_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT6_NAK_SHIFT                                        4
#define    FSHOST_HCINT6_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT6_STALL_SHIFT                                      3
#define    FSHOST_HCINT6_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT6_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT6_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT6_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT6_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT6_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT6_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK6_OFFSET                                           0x000005CC
#define FSHOST_HCINTMSK6_TYPE                                             UInt32
#define FSHOST_HCINTMSK6_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK6_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK6_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK6_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK6_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK6_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK6_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK6_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK6_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK6_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK6_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK6_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK6_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK6_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK6_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK6_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK6_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK6_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK6_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK6_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK6_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK6_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK6_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ6_OFFSET                                             0x000005D0
#define FSHOST_HCTSIZ6_TYPE                                               UInt32
#define FSHOST_HCTSIZ6_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ6_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ6_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ6_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ6_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ6_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ6_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ6_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ6_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA6_OFFSET                                              0x000005D4
#define FSHOST_HCDMA6_TYPE                                                UInt32
#define FSHOST_HCDMA6_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA6_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA6_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR7_OFFSET                                             0x000005E0
#define FSHOST_HCCHAR7_TYPE                                               UInt32
#define FSHOST_HCCHAR7_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR7_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR7_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR7_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR7_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR7_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR7_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR7_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR7_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR7_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR7_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR7_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR7_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR7_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR7_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR7_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR7_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR7_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR7_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR7_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR7_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT7_OFFSET                                             0x000005E4
#define FSHOST_HCSPLT7_TYPE                                               UInt32
#define FSHOST_HCSPLT7_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT7_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT7_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT7_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT7_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT7_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT7_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT7_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT7_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT7_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT7_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT7_OFFSET                                              0x000005E8
#define FSHOST_HCINT7_TYPE                                                UInt32
#define FSHOST_HCINT7_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT7_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT7_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT7_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT7_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT7_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT7_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT7_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT7_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT7_NYET_SHIFT                                       6
#define    FSHOST_HCINT7_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT7_ACK_SHIFT                                        5
#define    FSHOST_HCINT7_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT7_NAK_SHIFT                                        4
#define    FSHOST_HCINT7_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT7_STALL_SHIFT                                      3
#define    FSHOST_HCINT7_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT7_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT7_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT7_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT7_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT7_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT7_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK7_OFFSET                                           0x000005EC
#define FSHOST_HCINTMSK7_TYPE                                             UInt32
#define FSHOST_HCINTMSK7_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK7_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK7_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK7_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK7_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK7_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK7_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK7_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK7_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK7_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK7_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK7_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK7_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK7_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK7_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK7_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK7_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK7_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK7_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK7_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK7_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK7_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK7_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ7_OFFSET                                             0x000005F0
#define FSHOST_HCTSIZ7_TYPE                                               UInt32
#define FSHOST_HCTSIZ7_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ7_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ7_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ7_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ7_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ7_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ7_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ7_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ7_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA7_OFFSET                                              0x000005F4
#define FSHOST_HCDMA7_TYPE                                                UInt32
#define FSHOST_HCDMA7_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA7_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA7_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR8_OFFSET                                             0x00000600
#define FSHOST_HCCHAR8_TYPE                                               UInt32
#define FSHOST_HCCHAR8_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR8_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR8_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR8_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR8_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR8_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR8_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR8_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR8_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR8_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR8_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR8_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR8_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR8_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR8_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR8_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR8_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR8_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR8_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR8_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR8_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT8_OFFSET                                             0x00000604
#define FSHOST_HCSPLT8_TYPE                                               UInt32
#define FSHOST_HCSPLT8_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT8_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT8_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT8_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT8_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT8_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT8_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT8_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT8_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT8_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT8_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT8_OFFSET                                              0x00000608
#define FSHOST_HCINT8_TYPE                                                UInt32
#define FSHOST_HCINT8_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT8_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT8_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT8_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT8_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT8_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT8_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT8_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT8_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT8_NYET_SHIFT                                       6
#define    FSHOST_HCINT8_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT8_ACK_SHIFT                                        5
#define    FSHOST_HCINT8_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT8_NAK_SHIFT                                        4
#define    FSHOST_HCINT8_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT8_STALL_SHIFT                                      3
#define    FSHOST_HCINT8_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT8_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT8_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT8_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT8_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT8_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT8_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK8_OFFSET                                           0x0000060C
#define FSHOST_HCINTMSK8_TYPE                                             UInt32
#define FSHOST_HCINTMSK8_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK8_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK8_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK8_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK8_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK8_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK8_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK8_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK8_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK8_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK8_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK8_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK8_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK8_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK8_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK8_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK8_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK8_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK8_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK8_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK8_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK8_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK8_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ8_OFFSET                                             0x00000610
#define FSHOST_HCTSIZ8_TYPE                                               UInt32
#define FSHOST_HCTSIZ8_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ8_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ8_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ8_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ8_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ8_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ8_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ8_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ8_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA8_OFFSET                                              0x00000614
#define FSHOST_HCDMA8_TYPE                                                UInt32
#define FSHOST_HCDMA8_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA8_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA8_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR9_OFFSET                                             0x00000620
#define FSHOST_HCCHAR9_TYPE                                               UInt32
#define FSHOST_HCCHAR9_RESERVED_MASK                                      0x00010000
#define    FSHOST_HCCHAR9_CHENA_SHIFT                                     31
#define    FSHOST_HCCHAR9_CHENA_MASK                                      0x80000000
#define    FSHOST_HCCHAR9_CHDIS_SHIFT                                     30
#define    FSHOST_HCCHAR9_CHDIS_MASK                                      0x40000000
#define    FSHOST_HCCHAR9_ODDFRM_SHIFT                                    29
#define    FSHOST_HCCHAR9_ODDFRM_MASK                                     0x20000000
#define    FSHOST_HCCHAR9_DEVADDR_SHIFT                                   22
#define    FSHOST_HCCHAR9_DEVADDR_MASK                                    0x1FC00000
#define    FSHOST_HCCHAR9_MCEC_SHIFT                                      20
#define    FSHOST_HCCHAR9_MCEC_MASK                                       0x00300000
#define    FSHOST_HCCHAR9_EPTYPE_SHIFT                                    18
#define    FSHOST_HCCHAR9_EPTYPE_MASK                                     0x000C0000
#define    FSHOST_HCCHAR9_LSPDDEV_SHIFT                                   17
#define    FSHOST_HCCHAR9_LSPDDEV_MASK                                    0x00020000
#define    FSHOST_HCCHAR9_EPDIR_SHIFT                                     15
#define    FSHOST_HCCHAR9_EPDIR_MASK                                      0x00008000
#define    FSHOST_HCCHAR9_EPNUM_SHIFT                                     11
#define    FSHOST_HCCHAR9_EPNUM_MASK                                      0x00007800
#define    FSHOST_HCCHAR9_MPS_SHIFT                                       0
#define    FSHOST_HCCHAR9_MPS_MASK                                        0x000007FF

#define FSHOST_HCSPLT9_OFFSET                                             0x00000624
#define FSHOST_HCSPLT9_TYPE                                               UInt32
#define FSHOST_HCSPLT9_RESERVED_MASK                                      0x7FFE0000
#define    FSHOST_HCSPLT9_SPLTENA_SHIFT                                   31
#define    FSHOST_HCSPLT9_SPLTENA_MASK                                    0x80000000
#define    FSHOST_HCSPLT9_COMPSPLT_SHIFT                                  16
#define    FSHOST_HCSPLT9_COMPSPLT_MASK                                   0x00010000
#define    FSHOST_HCSPLT9_XACTPOS_SHIFT                                   14
#define    FSHOST_HCSPLT9_XACTPOS_MASK                                    0x0000C000
#define    FSHOST_HCSPLT9_HUBADDR_SHIFT                                   7
#define    FSHOST_HCSPLT9_HUBADDR_MASK                                    0x00003F80
#define    FSHOST_HCSPLT9_PRTADDR_SHIFT                                   0
#define    FSHOST_HCSPLT9_PRTADDR_MASK                                    0x0000007F

#define FSHOST_HCINT9_OFFSET                                              0x00000628
#define FSHOST_HCINT9_TYPE                                                UInt32
#define FSHOST_HCINT9_RESERVED_MASK                                       0xFFFFF800
#define    FSHOST_HCINT9_DATATGLERR_SHIFT                                 10
#define    FSHOST_HCINT9_DATATGLERR_MASK                                  0x00000400
#define    FSHOST_HCINT9_FRMOVRUN_SHIFT                                   9
#define    FSHOST_HCINT9_FRMOVRUN_MASK                                    0x00000200
#define    FSHOST_HCINT9_BBLERR_SHIFT                                     8
#define    FSHOST_HCINT9_BBLERR_MASK                                      0x00000100
#define    FSHOST_HCINT9_XACTERR_SHIFT                                    7
#define    FSHOST_HCINT9_XACTERR_MASK                                     0x00000080
#define    FSHOST_HCINT9_NYET_SHIFT                                       6
#define    FSHOST_HCINT9_NYET_MASK                                        0x00000040
#define    FSHOST_HCINT9_ACK_SHIFT                                        5
#define    FSHOST_HCINT9_ACK_MASK                                         0x00000020
#define    FSHOST_HCINT9_NAK_SHIFT                                        4
#define    FSHOST_HCINT9_NAK_MASK                                         0x00000010
#define    FSHOST_HCINT9_STALL_SHIFT                                      3
#define    FSHOST_HCINT9_STALL_MASK                                       0x00000008
#define    FSHOST_HCINT9_AHBERR_SHIFT                                     2
#define    FSHOST_HCINT9_AHBERR_MASK                                      0x00000004
#define    FSHOST_HCINT9_CHHLTD_SHIFT                                     1
#define    FSHOST_HCINT9_CHHLTD_MASK                                      0x00000002
#define    FSHOST_HCINT9_XFERCOMPL_SHIFT                                  0
#define    FSHOST_HCINT9_XFERCOMPL_MASK                                   0x00000001

#define FSHOST_HCINTMSK9_OFFSET                                           0x0000062C
#define FSHOST_HCINTMSK9_TYPE                                             UInt32
#define FSHOST_HCINTMSK9_RESERVED_MASK                                    0xFFFFF800
#define    FSHOST_HCINTMSK9_DATATGLERRMSK_SHIFT                           10
#define    FSHOST_HCINTMSK9_DATATGLERRMSK_MASK                            0x00000400
#define    FSHOST_HCINTMSK9_FRMOVRUNMSK_SHIFT                             9
#define    FSHOST_HCINTMSK9_FRMOVRUNMSK_MASK                              0x00000200
#define    FSHOST_HCINTMSK9_BBLERRMSK_SHIFT                               8
#define    FSHOST_HCINTMSK9_BBLERRMSK_MASK                                0x00000100
#define    FSHOST_HCINTMSK9_XACTERRMSK_SHIFT                              7
#define    FSHOST_HCINTMSK9_XACTERRMSK_MASK                               0x00000080
#define    FSHOST_HCINTMSK9_NYETMSK_SHIFT                                 6
#define    FSHOST_HCINTMSK9_NYETMSK_MASK                                  0x00000040
#define    FSHOST_HCINTMSK9_ACKMSK_SHIFT                                  5
#define    FSHOST_HCINTMSK9_ACKMSK_MASK                                   0x00000020
#define    FSHOST_HCINTMSK9_NAKMSK_SHIFT                                  4
#define    FSHOST_HCINTMSK9_NAKMSK_MASK                                   0x00000010
#define    FSHOST_HCINTMSK9_STALLMSK_SHIFT                                3
#define    FSHOST_HCINTMSK9_STALLMSK_MASK                                 0x00000008
#define    FSHOST_HCINTMSK9_AHBERRMSK_SHIFT                               2
#define    FSHOST_HCINTMSK9_AHBERRMSK_MASK                                0x00000004
#define    FSHOST_HCINTMSK9_CHHLTDMSK_SHIFT                               1
#define    FSHOST_HCINTMSK9_CHHLTDMSK_MASK                                0x00000002
#define    FSHOST_HCINTMSK9_XFERCOMPLMSK_SHIFT                            0
#define    FSHOST_HCINTMSK9_XFERCOMPLMSK_MASK                             0x00000001

#define FSHOST_HCTSIZ9_OFFSET                                             0x00000630
#define FSHOST_HCTSIZ9_TYPE                                               UInt32
#define FSHOST_HCTSIZ9_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCTSIZ9_DOPNG_SHIFT                                     31
#define    FSHOST_HCTSIZ9_DOPNG_MASK                                      0x80000000
#define    FSHOST_HCTSIZ9_PID_SHIFT                                       29
#define    FSHOST_HCTSIZ9_PID_MASK                                        0x60000000
#define    FSHOST_HCTSIZ9_PKTCNT_SHIFT                                    19
#define    FSHOST_HCTSIZ9_PKTCNT_MASK                                     0x1FF80000
#define    FSHOST_HCTSIZ9_XFERSIZE_SHIFT                                  0
#define    FSHOST_HCTSIZ9_XFERSIZE_MASK                                   0x0007FFFF

#define FSHOST_HCDMA9_OFFSET                                              0x00000634
#define FSHOST_HCDMA9_TYPE                                                UInt32
#define FSHOST_HCDMA9_RESERVED_MASK                                       0x00000000
#define    FSHOST_HCDMA9_DMAADDR_SHIFT                                    0
#define    FSHOST_HCDMA9_DMAADDR_MASK                                     0xFFFFFFFF

#define FSHOST_HCCHAR10_OFFSET                                            0x00000640
#define FSHOST_HCCHAR10_TYPE                                              UInt32
#define FSHOST_HCCHAR10_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR10_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR10_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR10_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR10_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR10_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR10_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR10_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR10_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR10_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR10_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR10_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR10_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR10_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR10_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR10_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR10_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR10_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR10_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR10_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR10_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT10_OFFSET                                            0x00000644
#define FSHOST_HCSPLT10_TYPE                                              UInt32
#define FSHOST_HCSPLT10_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT10_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT10_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT10_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT10_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT10_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT10_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT10_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT10_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT10_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT10_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT10_OFFSET                                             0x00000648
#define FSHOST_HCINT10_TYPE                                               UInt32
#define FSHOST_HCINT10_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT10_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT10_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT10_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT10_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT10_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT10_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT10_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT10_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT10_NYET_SHIFT                                      6
#define    FSHOST_HCINT10_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT10_ACK_SHIFT                                       5
#define    FSHOST_HCINT10_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT10_NAK_SHIFT                                       4
#define    FSHOST_HCINT10_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT10_STALL_SHIFT                                     3
#define    FSHOST_HCINT10_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT10_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT10_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT10_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT10_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT10_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT10_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK10_OFFSET                                          0x0000064C
#define FSHOST_HCINTMSK10_TYPE                                            UInt32
#define FSHOST_HCINTMSK10_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK10_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK10_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK10_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK10_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK10_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK10_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK10_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK10_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK10_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK10_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK10_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK10_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK10_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK10_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK10_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK10_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK10_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK10_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK10_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK10_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK10_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK10_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ10_OFFSET                                            0x00000650
#define FSHOST_HCTSIZ10_TYPE                                              UInt32
#define FSHOST_HCTSIZ10_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ10_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ10_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ10_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ10_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ10_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ10_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ10_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ10_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA10_OFFSET                                             0x00000654
#define FSHOST_HCDMA10_TYPE                                               UInt32
#define FSHOST_HCDMA10_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA10_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA10_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_HCCHAR11_OFFSET                                            0x00000660
#define FSHOST_HCCHAR11_TYPE                                              UInt32
#define FSHOST_HCCHAR11_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR11_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR11_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR11_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR11_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR11_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR11_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR11_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR11_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR11_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR11_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR11_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR11_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR11_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR11_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR11_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR11_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR11_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR11_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR11_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR11_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT11_OFFSET                                            0x00000664
#define FSHOST_HCSPLT11_TYPE                                              UInt32
#define FSHOST_HCSPLT11_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT11_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT11_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT11_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT11_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT11_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT11_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT11_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT11_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT11_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT11_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT11_OFFSET                                             0x00000668
#define FSHOST_HCINT11_TYPE                                               UInt32
#define FSHOST_HCINT11_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT11_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT11_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT11_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT11_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT11_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT11_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT11_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT11_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT11_NYET_SHIFT                                      6
#define    FSHOST_HCINT11_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT11_ACK_SHIFT                                       5
#define    FSHOST_HCINT11_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT11_NAK_SHIFT                                       4
#define    FSHOST_HCINT11_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT11_STALL_SHIFT                                     3
#define    FSHOST_HCINT11_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT11_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT11_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT11_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT11_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT11_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT11_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK11_OFFSET                                          0x0000066C
#define FSHOST_HCINTMSK11_TYPE                                            UInt32
#define FSHOST_HCINTMSK11_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK11_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK11_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK11_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK11_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK11_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK11_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK11_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK11_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK11_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK11_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK11_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK11_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK11_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK11_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK11_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK11_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK11_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK11_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK11_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK11_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK11_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK11_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ11_OFFSET                                            0x00000670
#define FSHOST_HCTSIZ11_TYPE                                              UInt32
#define FSHOST_HCTSIZ11_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ11_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ11_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ11_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ11_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ11_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ11_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ11_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ11_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA11_OFFSET                                             0x00000674
#define FSHOST_HCDMA11_TYPE                                               UInt32
#define FSHOST_HCDMA11_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA11_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA11_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_HCCHAR12_OFFSET                                            0x00000680
#define FSHOST_HCCHAR12_TYPE                                              UInt32
#define FSHOST_HCCHAR12_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR12_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR12_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR12_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR12_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR12_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR12_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR12_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR12_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR12_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR12_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR12_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR12_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR12_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR12_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR12_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR12_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR12_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR12_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR12_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR12_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT12_OFFSET                                            0x00000684
#define FSHOST_HCSPLT12_TYPE                                              UInt32
#define FSHOST_HCSPLT12_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT12_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT12_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT12_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT12_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT12_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT12_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT12_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT12_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT12_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT12_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT12_OFFSET                                             0x00000688
#define FSHOST_HCINT12_TYPE                                               UInt32
#define FSHOST_HCINT12_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT12_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT12_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT12_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT12_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT12_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT12_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT12_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT12_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT12_NYET_SHIFT                                      6
#define    FSHOST_HCINT12_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT12_ACK_SHIFT                                       5
#define    FSHOST_HCINT12_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT12_NAK_SHIFT                                       4
#define    FSHOST_HCINT12_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT12_STALL_SHIFT                                     3
#define    FSHOST_HCINT12_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT12_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT12_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT12_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT12_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT12_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT12_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK12_OFFSET                                          0x0000068C
#define FSHOST_HCINTMSK12_TYPE                                            UInt32
#define FSHOST_HCINTMSK12_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK12_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK12_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK12_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK12_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK12_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK12_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK12_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK12_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK12_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK12_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK12_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK12_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK12_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK12_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK12_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK12_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK12_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK12_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK12_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK12_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK12_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK12_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ12_OFFSET                                            0x00000690
#define FSHOST_HCTSIZ12_TYPE                                              UInt32
#define FSHOST_HCTSIZ12_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ12_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ12_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ12_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ12_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ12_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ12_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ12_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ12_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA12_OFFSET                                             0x00000694
#define FSHOST_HCDMA12_TYPE                                               UInt32
#define FSHOST_HCDMA12_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA12_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA12_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_HCCHAR13_OFFSET                                            0x000006A0
#define FSHOST_HCCHAR13_TYPE                                              UInt32
#define FSHOST_HCCHAR13_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR13_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR13_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR13_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR13_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR13_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR13_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR13_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR13_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR13_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR13_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR13_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR13_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR13_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR13_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR13_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR13_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR13_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR13_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR13_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR13_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT13_OFFSET                                            0x000006A4
#define FSHOST_HCSPLT13_TYPE                                              UInt32
#define FSHOST_HCSPLT13_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT13_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT13_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT13_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT13_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT13_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT13_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT13_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT13_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT13_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT13_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT13_OFFSET                                             0x000006A8
#define FSHOST_HCINT13_TYPE                                               UInt32
#define FSHOST_HCINT13_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT13_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT13_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT13_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT13_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT13_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT13_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT13_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT13_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT13_NYET_SHIFT                                      6
#define    FSHOST_HCINT13_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT13_ACK_SHIFT                                       5
#define    FSHOST_HCINT13_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT13_NAK_SHIFT                                       4
#define    FSHOST_HCINT13_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT13_STALL_SHIFT                                     3
#define    FSHOST_HCINT13_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT13_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT13_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT13_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT13_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT13_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT13_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK13_OFFSET                                          0x000006AC
#define FSHOST_HCINTMSK13_TYPE                                            UInt32
#define FSHOST_HCINTMSK13_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK13_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK13_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK13_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK13_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK13_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK13_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK13_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK13_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK13_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK13_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK13_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK13_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK13_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK13_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK13_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK13_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK13_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK13_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK13_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK13_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK13_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK13_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ13_OFFSET                                            0x000006B0
#define FSHOST_HCTSIZ13_TYPE                                              UInt32
#define FSHOST_HCTSIZ13_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ13_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ13_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ13_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ13_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ13_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ13_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ13_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ13_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA13_OFFSET                                             0x000006B4
#define FSHOST_HCDMA13_TYPE                                               UInt32
#define FSHOST_HCDMA13_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA13_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA13_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_HCCHAR14_OFFSET                                            0x000006C0
#define FSHOST_HCCHAR14_TYPE                                              UInt32
#define FSHOST_HCCHAR14_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR14_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR14_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR14_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR14_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR14_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR14_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR14_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR14_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR14_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR14_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR14_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR14_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR14_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR14_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR14_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR14_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR14_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR14_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR14_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR14_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT14_OFFSET                                            0x000006C4
#define FSHOST_HCSPLT14_TYPE                                              UInt32
#define FSHOST_HCSPLT14_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT14_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT14_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT14_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT14_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT14_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT14_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT14_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT14_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT14_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT14_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT14_OFFSET                                             0x000006C8
#define FSHOST_HCINT14_TYPE                                               UInt32
#define FSHOST_HCINT14_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT14_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT14_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT14_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT14_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT14_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT14_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT14_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT14_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT14_NYET_SHIFT                                      6
#define    FSHOST_HCINT14_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT14_ACK_SHIFT                                       5
#define    FSHOST_HCINT14_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT14_NAK_SHIFT                                       4
#define    FSHOST_HCINT14_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT14_STALL_SHIFT                                     3
#define    FSHOST_HCINT14_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT14_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT14_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT14_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT14_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT14_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT14_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK14_OFFSET                                          0x000006CC
#define FSHOST_HCINTMSK14_TYPE                                            UInt32
#define FSHOST_HCINTMSK14_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK14_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK14_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK14_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK14_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK14_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK14_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK14_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK14_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK14_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK14_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK14_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK14_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK14_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK14_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK14_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK14_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK14_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK14_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK14_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK14_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK14_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK14_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ14_OFFSET                                            0x000006D0
#define FSHOST_HCTSIZ14_TYPE                                              UInt32
#define FSHOST_HCTSIZ14_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ14_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ14_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ14_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ14_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ14_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ14_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ14_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ14_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA14_OFFSET                                             0x000006D4
#define FSHOST_HCDMA14_TYPE                                               UInt32
#define FSHOST_HCDMA14_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA14_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA14_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_HCCHAR15_OFFSET                                            0x000006E0
#define FSHOST_HCCHAR15_TYPE                                              UInt32
#define FSHOST_HCCHAR15_RESERVED_MASK                                     0x00010000
#define    FSHOST_HCCHAR15_CHENA_SHIFT                                    31
#define    FSHOST_HCCHAR15_CHENA_MASK                                     0x80000000
#define    FSHOST_HCCHAR15_CHDIS_SHIFT                                    30
#define    FSHOST_HCCHAR15_CHDIS_MASK                                     0x40000000
#define    FSHOST_HCCHAR15_ODDFRM_SHIFT                                   29
#define    FSHOST_HCCHAR15_ODDFRM_MASK                                    0x20000000
#define    FSHOST_HCCHAR15_DEVADDR_SHIFT                                  22
#define    FSHOST_HCCHAR15_DEVADDR_MASK                                   0x1FC00000
#define    FSHOST_HCCHAR15_MCEC_SHIFT                                     20
#define    FSHOST_HCCHAR15_MCEC_MASK                                      0x00300000
#define    FSHOST_HCCHAR15_EPTYPE_SHIFT                                   18
#define    FSHOST_HCCHAR15_EPTYPE_MASK                                    0x000C0000
#define    FSHOST_HCCHAR15_LSPDDEV_SHIFT                                  17
#define    FSHOST_HCCHAR15_LSPDDEV_MASK                                   0x00020000
#define    FSHOST_HCCHAR15_EPDIR_SHIFT                                    15
#define    FSHOST_HCCHAR15_EPDIR_MASK                                     0x00008000
#define    FSHOST_HCCHAR15_EPNUM_SHIFT                                    11
#define    FSHOST_HCCHAR15_EPNUM_MASK                                     0x00007800
#define    FSHOST_HCCHAR15_MPS_SHIFT                                      0
#define    FSHOST_HCCHAR15_MPS_MASK                                       0x000007FF

#define FSHOST_HCSPLT15_OFFSET                                            0x000006E4
#define FSHOST_HCSPLT15_TYPE                                              UInt32
#define FSHOST_HCSPLT15_RESERVED_MASK                                     0x7FFE0000
#define    FSHOST_HCSPLT15_SPLTENA_SHIFT                                  31
#define    FSHOST_HCSPLT15_SPLTENA_MASK                                   0x80000000
#define    FSHOST_HCSPLT15_COMPSPLT_SHIFT                                 16
#define    FSHOST_HCSPLT15_COMPSPLT_MASK                                  0x00010000
#define    FSHOST_HCSPLT15_XACTPOS_SHIFT                                  14
#define    FSHOST_HCSPLT15_XACTPOS_MASK                                   0x0000C000
#define    FSHOST_HCSPLT15_HUBADDR_SHIFT                                  7
#define    FSHOST_HCSPLT15_HUBADDR_MASK                                   0x00003F80
#define    FSHOST_HCSPLT15_PRTADDR_SHIFT                                  0
#define    FSHOST_HCSPLT15_PRTADDR_MASK                                   0x0000007F

#define FSHOST_HCINT15_OFFSET                                             0x000006E8
#define FSHOST_HCINT15_TYPE                                               UInt32
#define FSHOST_HCINT15_RESERVED_MASK                                      0xFFFFF800
#define    FSHOST_HCINT15_DATATGLERR_SHIFT                                10
#define    FSHOST_HCINT15_DATATGLERR_MASK                                 0x00000400
#define    FSHOST_HCINT15_FRMOVRUN_SHIFT                                  9
#define    FSHOST_HCINT15_FRMOVRUN_MASK                                   0x00000200
#define    FSHOST_HCINT15_BBLERR_SHIFT                                    8
#define    FSHOST_HCINT15_BBLERR_MASK                                     0x00000100
#define    FSHOST_HCINT15_XACTERR_SHIFT                                   7
#define    FSHOST_HCINT15_XACTERR_MASK                                    0x00000080
#define    FSHOST_HCINT15_NYET_SHIFT                                      6
#define    FSHOST_HCINT15_NYET_MASK                                       0x00000040
#define    FSHOST_HCINT15_ACK_SHIFT                                       5
#define    FSHOST_HCINT15_ACK_MASK                                        0x00000020
#define    FSHOST_HCINT15_NAK_SHIFT                                       4
#define    FSHOST_HCINT15_NAK_MASK                                        0x00000010
#define    FSHOST_HCINT15_STALL_SHIFT                                     3
#define    FSHOST_HCINT15_STALL_MASK                                      0x00000008
#define    FSHOST_HCINT15_AHBERR_SHIFT                                    2
#define    FSHOST_HCINT15_AHBERR_MASK                                     0x00000004
#define    FSHOST_HCINT15_CHHLTD_SHIFT                                    1
#define    FSHOST_HCINT15_CHHLTD_MASK                                     0x00000002
#define    FSHOST_HCINT15_XFERCOMPL_SHIFT                                 0
#define    FSHOST_HCINT15_XFERCOMPL_MASK                                  0x00000001

#define FSHOST_HCINTMSK15_OFFSET                                          0x000006EC
#define FSHOST_HCINTMSK15_TYPE                                            UInt32
#define FSHOST_HCINTMSK15_RESERVED_MASK                                   0xFFFFF800
#define    FSHOST_HCINTMSK15_DATATGLERRMSK_SHIFT                          10
#define    FSHOST_HCINTMSK15_DATATGLERRMSK_MASK                           0x00000400
#define    FSHOST_HCINTMSK15_FRMOVRUNMSK_SHIFT                            9
#define    FSHOST_HCINTMSK15_FRMOVRUNMSK_MASK                             0x00000200
#define    FSHOST_HCINTMSK15_BBLERRMSK_SHIFT                              8
#define    FSHOST_HCINTMSK15_BBLERRMSK_MASK                               0x00000100
#define    FSHOST_HCINTMSK15_XACTERRMSK_SHIFT                             7
#define    FSHOST_HCINTMSK15_XACTERRMSK_MASK                              0x00000080
#define    FSHOST_HCINTMSK15_NYETMSK_SHIFT                                6
#define    FSHOST_HCINTMSK15_NYETMSK_MASK                                 0x00000040
#define    FSHOST_HCINTMSK15_ACKMSK_SHIFT                                 5
#define    FSHOST_HCINTMSK15_ACKMSK_MASK                                  0x00000020
#define    FSHOST_HCINTMSK15_NAKMSK_SHIFT                                 4
#define    FSHOST_HCINTMSK15_NAKMSK_MASK                                  0x00000010
#define    FSHOST_HCINTMSK15_STALLMSK_SHIFT                               3
#define    FSHOST_HCINTMSK15_STALLMSK_MASK                                0x00000008
#define    FSHOST_HCINTMSK15_AHBERRMSK_SHIFT                              2
#define    FSHOST_HCINTMSK15_AHBERRMSK_MASK                               0x00000004
#define    FSHOST_HCINTMSK15_CHHLTDMSK_SHIFT                              1
#define    FSHOST_HCINTMSK15_CHHLTDMSK_MASK                               0x00000002
#define    FSHOST_HCINTMSK15_XFERCOMPLMSK_SHIFT                           0
#define    FSHOST_HCINTMSK15_XFERCOMPLMSK_MASK                            0x00000001

#define FSHOST_HCTSIZ15_OFFSET                                            0x000006F0
#define FSHOST_HCTSIZ15_TYPE                                              UInt32
#define FSHOST_HCTSIZ15_RESERVED_MASK                                     0x00000000
#define    FSHOST_HCTSIZ15_DOPNG_SHIFT                                    31
#define    FSHOST_HCTSIZ15_DOPNG_MASK                                     0x80000000
#define    FSHOST_HCTSIZ15_PID_SHIFT                                      29
#define    FSHOST_HCTSIZ15_PID_MASK                                       0x60000000
#define    FSHOST_HCTSIZ15_PKTCNT_SHIFT                                   19
#define    FSHOST_HCTSIZ15_PKTCNT_MASK                                    0x1FF80000
#define    FSHOST_HCTSIZ15_XFERSIZE_SHIFT                                 0
#define    FSHOST_HCTSIZ15_XFERSIZE_MASK                                  0x0007FFFF

#define FSHOST_HCDMA15_OFFSET                                             0x000006F4
#define FSHOST_HCDMA15_TYPE                                               UInt32
#define FSHOST_HCDMA15_RESERVED_MASK                                      0x00000000
#define    FSHOST_HCDMA15_DMAADDR_SHIFT                                   0
#define    FSHOST_HCDMA15_DMAADDR_MASK                                    0xFFFFFFFF

#define FSHOST_PCGCR_OFFSET                                               0x00000E00
#define FSHOST_PCGCR_TYPE                                                 UInt32
#define FSHOST_PCGCR_RESERVED_MASK                                        0xFFFFFE10
#define    FSHOST_PCGCR_RESETAFTERSUSP_SHIFT                              8
#define    FSHOST_PCGCR_RESETAFTERSUSP_MASK                               0x00000100
#define    FSHOST_PCGCR_L1_SUSPENDED_SHIFT                                7
#define    FSHOST_PCGCR_L1_SUSPENDED_MASK                                 0x00000080
#define    FSHOST_PCGCR_PHYSLEEP_SHIFT                                    6
#define    FSHOST_PCGCR_PHYSLEEP_MASK                                     0x00000040
#define    FSHOST_PCGCR_ENBL_L1GATING_SHIFT                               5
#define    FSHOST_PCGCR_ENBL_L1GATING_MASK                                0x00000020
#define    FSHOST_PCGCR_RSTPDWNMODULE_SHIFT                               3
#define    FSHOST_PCGCR_RSTPDWNMODULE_MASK                                0x00000008
#define    FSHOST_PCGCR_PWRCLMP_SHIFT                                     2
#define    FSHOST_PCGCR_PWRCLMP_MASK                                      0x00000004
#define    FSHOST_PCGCR_GATEHCLK_SHIFT                                    1
#define    FSHOST_PCGCR_GATEHCLK_MASK                                     0x00000002
#define    FSHOST_PCGCR_STOPPCLK_SHIFT                                    0
#define    FSHOST_PCGCR_STOPPCLK_MASK                                     0x00000001

#endif /* __BRCM_RDB_FSHOST_H__ */


