/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_IROOT_CLK_MGR_REG_H__
#define __BRCM_RDB_IROOT_CLK_MGR_REG_H__

#define IROOT_CLK_MGR_REG_WR_ACCESS_OFFSET                                0x00000000
#define IROOT_CLK_MGR_REG_WR_ACCESS_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                         0x7F0000FE
#define    IROOT_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_WR_ACCESS_PASSWORD_SHIFT                     8
#define    IROOT_CLK_MGR_REG_WR_ACCESS_PASSWORD_MASK                      0x00FFFF00
#define    IROOT_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                   0
#define    IROOT_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                    0x00000001

#define IROOT_CLK_MGR_REG_REF_312M_CLKGATE_OFFSET                         0x00000200
#define IROOT_CLK_MGR_REG_REF_312M_CLKGATE_TYPE                           UInt32
#define IROOT_CLK_MGR_REG_REF_312M_CLKGATE_RESERVED_MASK                  0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_STPRSTS_SHIFT      16
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_STPRSTS_MASK       0x00010000
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HYST_EN_SHIFT      9
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HYST_EN_MASK       0x00000200
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HYST_VAL_SHIFT     8
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HYST_VAL_MASK      0x00000100
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_CLK_EN_SHIFT       0
#define    IROOT_CLK_MGR_REG_REF_312M_CLKGATE_REF_312M_CLK_EN_MASK        0x00000001

#define IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_OFFSET                         0x00000204
#define IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_TYPE                           UInt32
#define IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_RESERVED_MASK                  0x7FEAC0FC
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_STPRSTS_SHIFT 20
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_STPRSTS_MASK 0x00100000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_STPRSTS_SHIFT 18
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_STPRSTS_MASK 0x00040000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_STPRSTS_SHIFT      16
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_STPRSTS_MASK       0x00010000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_HYST_EN_SHIFT 13
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_HYST_EN_MASK 0x00002000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_HYST_VAL_SHIFT 12
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ESWVDD_HYST_VAL_MASK 0x00001000
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_HYST_EN_SHIFT 11
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_HYST_EN_MASK 0x00000800
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_HYST_VAL_SHIFT 10
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_ARMVDD_HYST_VAL_MASK 0x00000400
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HYST_EN_SHIFT      9
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HYST_EN_MASK       0x00000200
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HYST_VAL_SHIFT     8
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HYST_VAL_MASK      0x00000100
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_CLK_EN_SHIFT       0
#define    IROOT_CLK_MGR_REG_VAR_312M_CLKGATE_VAR_312M_CLK_EN_MASK        0x00000001

#define IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_OFFSET                          0x00000214
#define IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_RESERVED_MASK                   0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_STPRSTS_SHIFT        16
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_STPRSTS_MASK         0x00010000
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HYST_EN_SHIFT        9
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HYST_EN_MASK         0x00000200
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HYST_VAL_SHIFT       8
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HYST_VAL_MASK        0x00000100
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_CLK_EN_SHIFT         0
#define    IROOT_CLK_MGR_REG_FRAC_1M_CLKGATE_FRAC_1M_CLK_EN_MASK          0x00000001

#define IROOT_CLK_MGR_REG_DIG_CLKGATE_OFFSET                              0x00000218
#define IROOT_CLK_MGR_REG_DIG_CLKGATE_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_DIG_CLKGATE_RESERVED_MASK                       0x7FAAFFC3
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH3_STPRSTS_SHIFT        22
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH3_STPRSTS_MASK         0x00400000
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_STPRSTS_SHIFT        20
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_STPRSTS_MASK         0x00100000
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_STPRSTS_SHIFT        18
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_STPRSTS_MASK         0x00040000
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH0_STPRSTS_SHIFT        16
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH0_STPRSTS_MASK         0x00010000
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_HW_SW_GATING_SEL_SHIFT 5
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_HW_SW_GATING_SEL_MASK 0x00000020
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_CLK_EN_SHIFT         4
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH2_CLK_EN_MASK          0x00000010
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_HW_SW_GATING_SEL_SHIFT 3
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_HW_SW_GATING_SEL_MASK 0x00000008
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_CLK_EN_SHIFT         2
#define    IROOT_CLK_MGR_REG_DIG_CLKGATE_DIGITAL_CH1_CLK_EN_MASK          0x00000004

#define IROOT_CLK_MGR_REG_REF_48M_CLKGATE_OFFSET                          0x0000021C
#define IROOT_CLK_MGR_REG_REF_48M_CLKGATE_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_REF_48M_CLKGATE_RESERVED_MASK                   0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_STPRSTS_SHIFT        16
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_STPRSTS_MASK         0x00010000
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HYST_EN_SHIFT        9
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HYST_EN_MASK         0x00000200
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HYST_VAL_SHIFT       8
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HYST_VAL_MASK        0x00000100
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_CLK_EN_SHIFT         0
#define    IROOT_CLK_MGR_REG_REF_48M_CLKGATE_REF_96M_CLK_EN_MASK          0x00000001

#define IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_OFFSET                          0x00000220
#define IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_RESERVED_MASK                   0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_STPRSTS_SHIFT        16
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_STPRSTS_MASK         0x00010000
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HYST_EN_SHIFT        9
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HYST_EN_MASK         0x00000200
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HYST_VAL_SHIFT       8
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HYST_VAL_MASK        0x00000100
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_CLK_EN_SHIFT         0
#define    IROOT_CLK_MGR_REG_VAR_48M_CLKGATE_VAR_96M_CLK_EN_MASK          0x00000001

#define IROOT_CLK_MGR_REG_DIG_AUTOGATE_OFFSET                             0x00000224
#define IROOT_CLK_MGR_REG_DIG_AUTOGATE_TYPE                               UInt32
#define IROOT_CLK_MGR_REG_DIG_AUTOGATE_RESERVED_MASK                      0x7FFF8888
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_SYS_CLK_REQ_B_ENABLE_SHIFT 14
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_SYS_CLK_REQ_B_ENABLE_MASK 0x00004000
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_SYS_CLK_REQ_A_ENABLE_SHIFT 13
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_SYS_CLK_REQ_A_ENABLE_MASK 0x00002000
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_CLK_REQ_ENABLE_SHIFT 12
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH3_CLK_REQ_ENABLE_MASK 0x00001000
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_SYS_CLK_REQ_B_ENABLE_SHIFT 10
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_SYS_CLK_REQ_B_ENABLE_MASK 0x00000400
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_SYS_CLK_REQ_A_ENABLE_SHIFT 9
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_SYS_CLK_REQ_A_ENABLE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_CLK_REQ_ENABLE_SHIFT 8
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH2_CLK_REQ_ENABLE_MASK 0x00000100
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_SYS_CLK_REQ_B_ENABLE_SHIFT 6
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_SYS_CLK_REQ_B_ENABLE_MASK 0x00000040
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_SYS_CLK_REQ_A_ENABLE_SHIFT 5
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_SYS_CLK_REQ_A_ENABLE_MASK 0x00000020
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_CLK_REQ_ENABLE_SHIFT 4
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH1_CLK_REQ_ENABLE_MASK 0x00000010
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_SYS_CLK_REQ_B_ENABLE_SHIFT 2
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_SYS_CLK_REQ_B_ENABLE_MASK 0x00000004
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_SYS_CLK_REQ_A_ENABLE_SHIFT 1
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_SYS_CLK_REQ_A_ENABLE_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_CLK_REQ_ENABLE_SHIFT 0
#define    IROOT_CLK_MGR_REG_DIG_AUTOGATE_DIGITAL_CH0_CLK_REQ_ENABLE_MASK 0x00000001

#define IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_OFFSET                   0x00000228
#define IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_TYPE                     UInt32
#define IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_RESERVED_MASK            0x7FEAC0FF
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_STPRSTS_SHIFT 20
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_STPRSTS_MASK 0x00100000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_STPRSTS_SHIFT 18
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_STPRSTS_MASK 0x00040000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_HYST_EN_SHIFT 13
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_HYST_EN_MASK 0x00002000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_HYST_VAL_SHIFT 12
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ARMVDD_HYST_VAL_MASK 0x00001000
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_HYST_EN_SHIFT 11
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_HYST_EN_MASK 0x00000800
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_HYST_VAL_SHIFT 10
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_ESWVDD_HYST_VAL_MASK 0x00000400
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_CRYSTAL_VARVDD_CLKGATE_CRYSTAL_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_OFFSET                   0x0000022C
#define IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_TYPE                     UInt32
#define IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_RESERVED_MASK            0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_FRAC_1M_VARVDD_CLKGATE_FRAC_1M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_OFFSET                  0x00000230
#define IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_TYPE                    UInt32
#define IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_RESERVED_MASK           0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_REF_312M_VARVDD_CLKGATE_REF_312M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_OFFSET                   0x00000234
#define IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_TYPE                     UInt32
#define IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_RESERVED_MASK            0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_REF_96M_VARVDD_CLKGATE_REF_96M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_OFFSET                  0x00000238
#define IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_TYPE                    UInt32
#define IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_RESERVED_MASK           0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_REF_CX40_VARVDD_CLKGATE_REF_CX40_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_OFFSET                  0x0000023C
#define IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_TYPE                    UInt32
#define IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_RESERVED_MASK           0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_VAR_312M_VARVDD_CLKGATE_VAR_312M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_OFFSET                  0x00000240
#define IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_TYPE                    UInt32
#define IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_RESERVED_MASK           0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_VAR_500M_VARVDD_CLKGATE_VAR_500M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_OFFSET                   0x00000244
#define IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_TYPE                     UInt32
#define IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_RESERVED_MASK            0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_VAR_96M_VARVDD_CLKGATE_VAR_96M_VARVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_OFFSET                   0x00000248
#define IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_TYPE                     UInt32
#define IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_RESERVED_MASK            0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HYST_VAL_MASK 0x00000100
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_CLK_EN_SHIFT 0
#define    IROOT_CLK_MGR_REG_VAR_PTI_VARVDD_CLKGATE_VAR_PTI_VARVDD_CLK_EN_MASK 0x00000001

#define IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_OFFSET                  0x0000024C
#define IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_TYPE                    UInt32
#define IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_RESERVED_MASK           0x7FFEFCFC
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_PRIV_ACCESS_MODE_MASK 0x80000000
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_STPRSTS_MASK 0x00010000
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HYST_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HYST_VAL_MASK 0x00000100
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_CLK_EN_SHIFT 0
#define    IROOT_CLK_MGR_REG_VAR_TPIU_VARVDD_CLKGATE_VAR_TPIU_VARVDD_CLK_EN_MASK 0x00000001

#define IROOT_CLK_MGR_REG_REF_26M_CLKGATE_OFFSET                          0x00000250
#define IROOT_CLK_MGR_REG_REF_26M_CLKGATE_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_REF_26M_CLKGATE_RESERVED_MASK                   0x7FFAF0FC
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_STPRSTS_SHIFT 18
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_STPRSTS_MASK  0x00040000
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_STPRSTS_SHIFT        16
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_STPRSTS_MASK         0x00010000
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_HYST_EN_SHIFT 11
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_HYST_EN_MASK  0x00000800
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_HYST_VAL_SHIFT 10
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_VARVDD_HYST_VAL_MASK 0x00000400
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HYST_EN_SHIFT        9
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HYST_EN_MASK         0x00000200
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HYST_VAL_SHIFT       8
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HYST_VAL_MASK        0x00000100
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HW_SW_GATING_SEL_SHIFT 1
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_HW_SW_GATING_SEL_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_CLK_EN_SHIFT         0
#define    IROOT_CLK_MGR_REG_REF_26M_CLKGATE_REF_26M_CLK_EN_MASK          0x00000001

#define IROOT_CLK_MGR_REG_REF_24M_CLKGATE_OFFSET                          0x00000254
#define IROOT_CLK_MGR_REG_REF_24M_CLKGATE_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_REF_24M_CLKGATE_RESERVED_MASK                   0x7FFEFCFF
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_STPRSTS_SHIFT 16
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_STPRSTS_MASK  0x00010000
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_HYST_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_HYST_EN_MASK  0x00000200
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_HYST_VAL_SHIFT 8
#define    IROOT_CLK_MGR_REG_REF_24M_CLKGATE_REF_24M_ESWVDD_HYST_VAL_MASK 0x00000100

#define IROOT_CLK_MGR_REG_VAR_312M_DIV_OFFSET                             0x00000A00
#define IROOT_CLK_MGR_REG_VAR_312M_DIV_TYPE                               UInt32
#define IROOT_CLK_MGR_REG_VAR_312M_DIV_RESERVED_MASK                      0x7FFFFFFC
#define    IROOT_CLK_MGR_REG_VAR_312M_DIV_PRIV_ACCESS_MODE_SHIFT          31
#define    IROOT_CLK_MGR_REG_VAR_312M_DIV_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IROOT_CLK_MGR_REG_VAR_312M_DIV_VAR_312M_PLL_SELECT_SHIFT       0
#define    IROOT_CLK_MGR_REG_VAR_312M_DIV_VAR_312M_PLL_SELECT_MASK        0x00000003
#define       IROOT_CLK_MGR_REG_VAR_312M_DIV_VAR_312M_PLL_SELECT_CMD_PLL0_CLK 0x00000000
#define       IROOT_CLK_MGR_REG_VAR_312M_DIV_VAR_312M_PLL_SELECT_CMD_PLL1_CLK 0x00000001

#define IROOT_CLK_MGR_REG_DIG_PRE_DIV_OFFSET                              0x00000A10
#define IROOT_CLK_MGR_REG_DIG_PRE_DIV_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_DIG_PRE_DIV_RESERVED_MASK                       0x7FFFFFC0
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_DIV_SHIFT            2
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_DIV_MASK             0x0000003C
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_PLL_SELECT_SHIFT     0
#define    IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_PLL_SELECT_MASK      0x00000003
#define       IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_PLL_SELECT_CMD_PLL0_CLK 0x00000001
#define       IROOT_CLK_MGR_REG_DIG_PRE_DIV_DIGITAL_PRE_PLL_SELECT_CMD_PLL1_CLK 0x00000002

#define IROOT_CLK_MGR_REG_DIG0_DIV_OFFSET                                 0x00000A14
#define IROOT_CLK_MGR_REG_DIG0_DIV_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_DIG0_DIV_RESERVED_MASK                          0x7FFFFFF0
#define    IROOT_CLK_MGR_REG_DIG0_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_DIG0_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_DIG0_DIV_DIGITAL_CH0_DIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_DIG0_DIV_DIGITAL_CH0_DIV_MASK                0x0000000F

#define IROOT_CLK_MGR_REG_DIG1_DIV_OFFSET                                 0x00000A18
#define IROOT_CLK_MGR_REG_DIG1_DIV_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_DIG1_DIV_RESERVED_MASK                          0x7FFFFFF0
#define    IROOT_CLK_MGR_REG_DIG1_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_DIG1_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_DIG1_DIV_DIGITAL_CH1_DIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_DIG1_DIV_DIGITAL_CH1_DIV_MASK                0x0000000F

#define IROOT_CLK_MGR_REG_DIG2_DIV_OFFSET                                 0x00000A1C
#define IROOT_CLK_MGR_REG_DIG2_DIV_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_DIG2_DIV_RESERVED_MASK                          0x7FFFFFF0
#define    IROOT_CLK_MGR_REG_DIG2_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_DIG2_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_DIG2_DIV_DIGITAL_CH2_DIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_DIG2_DIV_DIGITAL_CH2_DIV_MASK                0x0000000F

#define IROOT_CLK_MGR_REG_DIG3_DIV_OFFSET                                 0x00000A20
#define IROOT_CLK_MGR_REG_DIG3_DIV_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_DIG3_DIV_RESERVED_MASK                          0x7FFFFFF0
#define    IROOT_CLK_MGR_REG_DIG3_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_DIG3_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_DIG3_DIV_DIGITAL_CH3_DIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_DIG3_DIV_DIGITAL_CH3_DIV_MASK                0x0000000F

#define IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_OFFSET                           0x00000A24
#define IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_TYPE                             UInt32
#define IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_RESERVED_MASK                    0x7FFFFFF8
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_PRIV_ACCESS_MODE_SHIFT        31
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_TPIU_CLK_MODE_SHIFT           1
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_TPIU_CLK_MODE_MASK            0x00000006
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_PTI_CLK_MODE_SHIFT            0
#define    IROOT_CLK_MGR_REG_VAR8PH_DIVMODE_PTI_CLK_MODE_MASK             0x00000001

#define IROOT_CLK_MGR_REG_VAR_48M_DIV_OFFSET                              0x00000A28
#define IROOT_CLK_MGR_REG_VAR_48M_DIV_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_VAR_48M_DIV_RESERVED_MASK                       0x7FFFFFFC
#define    IROOT_CLK_MGR_REG_VAR_48M_DIV_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_VAR_48M_DIV_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_VAR_48M_DIV_VAR_96M_PLL_SELECT_SHIFT         0
#define    IROOT_CLK_MGR_REG_VAR_48M_DIV_VAR_96M_PLL_SELECT_MASK          0x00000003
#define       IROOT_CLK_MGR_REG_VAR_48M_DIV_VAR_96M_PLL_SELECT_CMD_PLL0_96M_CLK 0x00000000
#define       IROOT_CLK_MGR_REG_VAR_48M_DIV_VAR_96M_PLL_SELECT_CMD_PLL1_96M_CLK 0x00000001

#define IROOT_CLK_MGR_REG_TPIU_DIV_OFFSET                                 0x00000A2C
#define IROOT_CLK_MGR_REG_TPIU_DIV_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_TPIU_DIV_RESERVED_MASK                          0x7FFFFCFC
#define    IROOT_CLK_MGR_REG_TPIU_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_TPIU_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_DIV_SHIFT           8
#define    IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_DIV_MASK            0x00000300
#define    IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_PLL_SELECT_SHIFT    0
#define    IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_PLL_SELECT_MASK     0x00000003
#define       IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_PLL_SELECT_CMD_PLL1_CLK 0x00000000
#define       IROOT_CLK_MGR_REG_TPIU_DIV_VAR_TPIU_VARVDD_PLL_SELECT_CMD_VAR_TPIU_CLK 0x00000001

#define IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_OFFSET                           0x00000A40
#define IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_TYPE                             UInt32
#define IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_RESERVED_MASK                    0x7FFFFFFA
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_PRIV_ACCESS_MODE_SHIFT        31
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_VAR_96M_TRIGGER_SHIFT         2
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_VAR_96M_TRIGGER_MASK          0x00000004
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_VAR_312M_TRIGGER_SHIFT        0
#define    IROOT_CLK_MGR_REG_REFCLK_SEG_TRG_VAR_312M_TRIGGER_MASK         0x00000001

#define IROOT_CLK_MGR_REG_DIG_TRG_OFFSET                                  0x00000A44
#define IROOT_CLK_MGR_REG_DIG_TRG_TYPE                                    UInt32
#define IROOT_CLK_MGR_REG_DIG_TRG_RESERVED_MASK                           0x7FFFFFE0
#define    IROOT_CLK_MGR_REG_DIG_TRG_PRIV_ACCESS_MODE_SHIFT               31
#define    IROOT_CLK_MGR_REG_DIG_TRG_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH3_TRIGGER_SHIFT            4
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH3_TRIGGER_MASK             0x00000010
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH2_TRIGGER_SHIFT            3
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH2_TRIGGER_MASK             0x00000008
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH1_TRIGGER_SHIFT            2
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH1_TRIGGER_MASK             0x00000004
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH0_TRIGGER_SHIFT            1
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_CH0_TRIGGER_MASK             0x00000002
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_PRE_TRIGGER_SHIFT            0
#define    IROOT_CLK_MGR_REG_DIG_TRG_DIGITAL_PRE_TRIGGER_MASK             0x00000001

#define IROOT_CLK_MGR_REG_TPIU_TRG_OFFSET                                 0x00000A48
#define IROOT_CLK_MGR_REG_TPIU_TRG_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_TPIU_TRG_RESERVED_MASK                          0x7FFFFFFE
#define    IROOT_CLK_MGR_REG_TPIU_TRG_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_TPIU_TRG_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_TPIU_TRG_VAR_TPIU_VARVDD_TRIGGER_SHIFT       0
#define    IROOT_CLK_MGR_REG_TPIU_TRG_VAR_TPIU_VARVDD_TRIGGER_MASK        0x00000001

#define IROOT_CLK_MGR_REG_PLL0A_OFFSET                                    0x00000C00
#define IROOT_CLK_MGR_REG_PLL0A_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL0A_RESERVED_MASK                             0x68FC0000
#define    IROOT_CLK_MGR_REG_PLL0A_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL0A_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_SHIFT                        28
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_MASK                         0x10000000
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_PDIV_SW_OVRRIDE_SHIFT             24
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_PDIV_SW_OVRRIDE_MASK              0x07000000
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_NDIV_INT_SW_OVRRIDE_SHIFT         8
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_NDIV_INT_SW_OVRRIDE_MASK          0x0003FF00
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_RAW_SHIFT                    7
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_RAW_MASK                     0x00000080
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_LATCH_SHIFT                  6
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_LOCK_LATCH_MASK                   0x00000040
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_FLOCK_SHIFT                       5
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_FLOCK_MASK                        0x00000020
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_IDLE_PWRDWN_SW_OVRRIDE_SHIFT      4
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_IDLE_PWRDWN_SW_OVRRIDE_MASK       0x00000010
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_PWRDWN_SHIFT                      3
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_PWRDWN_MASK                       0x00000008
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SW_OVRRIDE_EN_SHIFT               2
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SW_OVRRIDE_EN_MASK                0x00000004
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SOFT_POST_RESETB_SHIFT            1
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SOFT_POST_RESETB_MASK             0x00000002
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SOFT_RESETB_SHIFT                 0
#define    IROOT_CLK_MGR_REG_PLL0A_PLL0_SOFT_RESETB_MASK                  0x00000001

#define IROOT_CLK_MGR_REG_PLL0B_OFFSET                                    0x00000C04
#define IROOT_CLK_MGR_REG_PLL0B_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL0B_RESERVED_MASK                             0x7FF00000
#define    IROOT_CLK_MGR_REG_PLL0B_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL0B_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL0B_PLL0_NDIV_FRAC_SW_OVRRIDE_SHIFT        0
#define    IROOT_CLK_MGR_REG_PLL0B_PLL0_NDIV_FRAC_SW_OVRRIDE_MASK         0x000FFFFF

#define IROOT_CLK_MGR_REG_PLL0C_OFFSET                                    0x00000C08
#define IROOT_CLK_MGR_REG_PLL0C_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL0C_RESERVED_MASK                             0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL0C_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL0C_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_MDEL_SHIFT                        12
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_MDEL_MASK                         0x00007000
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_LOAD_EN_SHIFT                     11
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_LOAD_EN_MASK                      0x00000800
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_HOLD_SHIFT                        10
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_HOLD_MASK                         0x00000400
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_ENB_CLKOUT_SW_OVRRIDE_SHIFT       9
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_ENB_CLKOUT_SW_OVRRIDE_MASK        0x00000200
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_BYPCLK_EN_SHIFT                   8
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_BYPCLK_EN_MASK                    0x00000100
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_MDIV_SW_OVRRIDE_SHIFT             0
#define    IROOT_CLK_MGR_REG_PLL0C_PLL0_MDIV_SW_OVRRIDE_MASK              0x000000FF

#define IROOT_CLK_MGR_REG_PLL0CTRL0_OFFSET                                0x00000C0C
#define IROOT_CLK_MGR_REG_PLL0CTRL0_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0CTRL0_RESERVED_MASK                         0x7F000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_8PHASE_EN_SHIFT               23
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_8PHASE_EN_MASK                0x00800000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KP_SHIFT                      19
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KP_MASK                       0x00780000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KI_SHIFT                      16
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KI_MASK                       0x00070000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KA_SHIFT                      13
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_KA_MASK                       0x0000E000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_FB_PHASE_EN_SHIFT             12
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_FB_PHASE_EN_MASK              0x00001000
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_FB_OFFSET_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL0CTRL0_PLL0_FB_OFFSET_MASK                0x00000FFF

#define IROOT_CLK_MGR_REG_PLL0CTRL1_OFFSET                                0x00000C10
#define IROOT_CLK_MGR_REG_PLL0CTRL1_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0CTRL1_RESERVED_MASK                         0x7FFE0000
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PLL0_SSC_MODE_SHIFT                16
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PLL0_SSC_MODE_MASK                 0x00010000
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PLL0_SSC_STEP_SHIFT                0
#define    IROOT_CLK_MGR_REG_PLL0CTRL1_PLL0_SSC_STEP_MASK                 0x0000FFFF

#define IROOT_CLK_MGR_REG_PLL0CTRL2_OFFSET                                0x00000C14
#define IROOT_CLK_MGR_REG_PLL0CTRL2_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0CTRL2_RESERVED_MASK                         0x7C000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL2_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0CTRL2_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL2_PLL0_SSC_LIMIT_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL0CTRL2_PLL0_SSC_LIMIT_MASK                0x03FFFFFF

#define IROOT_CLK_MGR_REG_PLL0CTRL3_OFFSET                                0x00000C18
#define IROOT_CLK_MGR_REG_PLL0CTRL3_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0CTRL3_RESERVED_MASK                         0x70000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL3_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0CTRL3_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL3_PLL0_PLL_CONFIG_CTRL_SHIFT         0
#define    IROOT_CLK_MGR_REG_PLL0CTRL3_PLL0_PLL_CONFIG_CTRL_MASK          0x0FFFFFFF

#define IROOT_CLK_MGR_REG_PLL0CTRL4_OFFSET                                0x00000C1C
#define IROOT_CLK_MGR_REG_PLL0CTRL4_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0CTRL4_RESERVED_MASK                         0x7FFFF000
#define    IROOT_CLK_MGR_REG_PLL0CTRL4_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0CTRL4_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0CTRL4_PLL0_STAT_OUT_SHIFT                0
#define    IROOT_CLK_MGR_REG_PLL0CTRL4_PLL0_STAT_OUT_MASK                 0x00000FFF

#define IROOT_CLK_MGR_REG_PLL0_48M_OFFSET                                 0x00000C20
#define IROOT_CLK_MGR_REG_PLL0_48M_TYPE                                   UInt32
#define IROOT_CLK_MGR_REG_PLL0_48M_RESERVED_MASK                          0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL0_48M_PRIV_ACCESS_MODE_SHIFT              31
#define    IROOT_CLK_MGR_REG_PLL0_48M_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_MDEL_SHIFT                 12
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_MDEL_MASK                  0x00007000
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_LOAD_EN_SHIFT              11
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_LOAD_EN_MASK               0x00000800
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_HOLD_SHIFT                 10
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_HOLD_MASK                  0x00000400
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_ENB_CLKOUT_SW_OVRRIDE_SHIFT 9
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_ENB_CLKOUT_SW_OVRRIDE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_BYPCLK_EN_SHIFT            8
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_BYPCLK_EN_MASK             0x00000100
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_MDIV_SHIFT                 0
#define    IROOT_CLK_MGR_REG_PLL0_48M_PLL0_48M_MDIV_MASK                  0x000000FF

#define IROOT_CLK_MGR_REG_PLL0_624M_OFFSET                                0x00000C24
#define IROOT_CLK_MGR_REG_PLL0_624M_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL0_624M_RESERVED_MASK                         0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL0_624M_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL0_624M_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_MDEL_SHIFT               12
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_MDEL_MASK                0x00007000
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_LOAD_EN_SHIFT            11
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_LOAD_EN_MASK             0x00000800
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_HOLD_SHIFT               10
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_HOLD_MASK                0x00000400
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_ENB_CLKOUT_SW_OVRRIDE_SHIFT 9
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_ENB_CLKOUT_SW_OVRRIDE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_BYPCLK_EN_SHIFT          8
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_BYPCLK_EN_MASK           0x00000100
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_MDIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL0_624M_PLL0_624M_MDIV_MASK                0x000000FF

#define IROOT_CLK_MGR_REG_PLL0_DIFF26M_OFFSET                             0x00000C28
#define IROOT_CLK_MGR_REG_PLL0_DIFF26M_TYPE                               UInt32
#define IROOT_CLK_MGR_REG_PLL0_DIFF26M_RESERVED_MASK                      0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PRIV_ACCESS_MODE_SHIFT          31
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_MDEL_SHIFT        12
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_MDEL_MASK         0x00007000
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_LOAD_EN_SHIFT     11
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_LOAD_EN_MASK      0x00000800
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_HOLD_SHIFT        10
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_HOLD_MASK         0x00000400
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_ENB_CLKOUT_SW_OVRRIDE_SHIFT 9
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_ENB_CLKOUT_SW_OVRRIDE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_BYPCLK_EN_SHIFT   8
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_BYPCLK_EN_MASK    0x00000100
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_MDIV_SHIFT        0
#define    IROOT_CLK_MGR_REG_PLL0_DIFF26M_PLL0_26M_DIFF_MDIV_MASK         0x000000FF

#define IROOT_CLK_MGR_REG_PLL0_SE26M_OFFSET                               0x00000C2C
#define IROOT_CLK_MGR_REG_PLL0_SE26M_TYPE                                 UInt32
#define IROOT_CLK_MGR_REG_PLL0_SE26M_RESERVED_MASK                        0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PRIV_ACCESS_MODE_SHIFT            31
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_MDEL_SHIFT               12
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_MDEL_MASK                0x00007000
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_LOAD_EN_SHIFT            11
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_LOAD_EN_MASK             0x00000800
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_HOLD_SHIFT               10
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_HOLD_MASK                0x00000400
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_ENB_CLKOUT_SW_OVRRIDE_SHIFT 9
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_ENB_CLKOUT_SW_OVRRIDE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_BYPCLK_EN_SHIFT          8
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_BYPCLK_EN_MASK           0x00000100
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_MDIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL0_SE26M_PLL0_26M_MDIV_MASK                0x000000FF

#define IROOT_CLK_MGR_REG_PLL1A_OFFSET                                    0x00000C30
#define IROOT_CLK_MGR_REG_PLL1A_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL1A_RESERVED_MASK                             0x68FC0000
#define    IROOT_CLK_MGR_REG_PLL1A_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL1A_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_SHIFT                        28
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_MASK                         0x10000000
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_PDIV_SW_OVRRIDE_SHIFT             24
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_PDIV_SW_OVRRIDE_MASK              0x07000000
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_NDIV_INT_SW_OVRRIDE_SHIFT         8
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_NDIV_INT_SW_OVRRIDE_MASK          0x0003FF00
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_RAW_SHIFT                    7
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_RAW_MASK                     0x00000080
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_LATCH_SHIFT                  6
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_LOCK_LATCH_MASK                   0x00000040
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_FLOCK_SHIFT                       5
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_FLOCK_MASK                        0x00000020
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_IDLE_PWRDWN_SW_OVRRIDE_SHIFT      4
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_IDLE_PWRDWN_SW_OVRRIDE_MASK       0x00000010
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_PWRDWN_SHIFT                      3
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_PWRDWN_MASK                       0x00000008
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SW_OVRRIDE_EN_SHIFT               2
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SW_OVRRIDE_EN_MASK                0x00000004
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SOFT_POST_RESETB_SHIFT            1
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SOFT_POST_RESETB_MASK             0x00000002
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SOFT_RESETB_SHIFT                 0
#define    IROOT_CLK_MGR_REG_PLL1A_PLL1_SOFT_RESETB_MASK                  0x00000001

#define IROOT_CLK_MGR_REG_PLL1B_OFFSET                                    0x00000C34
#define IROOT_CLK_MGR_REG_PLL1B_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL1B_RESERVED_MASK                             0x7FF00000
#define    IROOT_CLK_MGR_REG_PLL1B_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL1B_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL1B_PLL1_NDIV_FRAC_SW_OVRRIDE_SHIFT        0
#define    IROOT_CLK_MGR_REG_PLL1B_PLL1_NDIV_FRAC_SW_OVRRIDE_MASK         0x000FFFFF

#define IROOT_CLK_MGR_REG_PLL1C_OFFSET                                    0x00000C38
#define IROOT_CLK_MGR_REG_PLL1C_TYPE                                      UInt32
#define IROOT_CLK_MGR_REG_PLL1C_RESERVED_MASK                             0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL1C_PRIV_ACCESS_MODE_SHIFT                 31
#define    IROOT_CLK_MGR_REG_PLL1C_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_MDEL_SHIFT                        12
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_MDEL_MASK                         0x00007000
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_LOAD_EN_SHIFT                     11
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_LOAD_EN_MASK                      0x00000800
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_HOLD_SHIFT                        10
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_HOLD_MASK                         0x00000400
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_ENB_CLKOUT_SW_OVRRIDE_SHIFT       9
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_ENB_CLKOUT_SW_OVRRIDE_MASK        0x00000200
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_BYPCLK_EN_SHIFT                   8
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_BYPCLK_EN_MASK                    0x00000100
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_MDIV_SW_OVRRIDE_SHIFT             0
#define    IROOT_CLK_MGR_REG_PLL1C_PLL1_MDIV_SW_OVRRIDE_MASK              0x000000FF

#define IROOT_CLK_MGR_REG_PLL1CTRL0_OFFSET                                0x00000C3C
#define IROOT_CLK_MGR_REG_PLL1CTRL0_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1CTRL0_RESERVED_MASK                         0x7F000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_8PHASE_EN_SHIFT               23
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_8PHASE_EN_MASK                0x00800000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KP_SHIFT                      19
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KP_MASK                       0x00780000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KI_SHIFT                      16
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KI_MASK                       0x00070000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KA_SHIFT                      13
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_KA_MASK                       0x0000E000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_FB_PHASE_EN_SHIFT             12
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_FB_PHASE_EN_MASK              0x00001000
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_FB_OFFSET_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL1CTRL0_PLL1_FB_OFFSET_MASK                0x00000FFF

#define IROOT_CLK_MGR_REG_PLL1CTRL1_OFFSET                                0x00000C40
#define IROOT_CLK_MGR_REG_PLL1CTRL1_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1CTRL1_RESERVED_MASK                         0x7FFE0000
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PLL1_SSC_MODE_SHIFT                16
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PLL1_SSC_MODE_MASK                 0x00010000
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PLL1_SSC_STEP_SHIFT                0
#define    IROOT_CLK_MGR_REG_PLL1CTRL1_PLL1_SSC_STEP_MASK                 0x0000FFFF

#define IROOT_CLK_MGR_REG_PLL1CTRL2_OFFSET                                0x00000C44
#define IROOT_CLK_MGR_REG_PLL1CTRL2_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1CTRL2_RESERVED_MASK                         0x7C000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL2_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1CTRL2_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL2_PLL1_SSC_LIMIT_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL1CTRL2_PLL1_SSC_LIMIT_MASK                0x03FFFFFF

#define IROOT_CLK_MGR_REG_PLL1CTRL3_OFFSET                                0x00000C48
#define IROOT_CLK_MGR_REG_PLL1CTRL3_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1CTRL3_RESERVED_MASK                         0x70000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL3_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1CTRL3_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL3_PLL1_PLL_CONFIG_CTRL_SHIFT         0
#define    IROOT_CLK_MGR_REG_PLL1CTRL3_PLL1_PLL_CONFIG_CTRL_MASK          0x0FFFFFFF

#define IROOT_CLK_MGR_REG_PLL1CTRL4_OFFSET                                0x00000C4C
#define IROOT_CLK_MGR_REG_PLL1CTRL4_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1CTRL4_RESERVED_MASK                         0x7FFFF000
#define    IROOT_CLK_MGR_REG_PLL1CTRL4_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1CTRL4_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1CTRL4_PLL1_STAT_OUT_SHIFT                0
#define    IROOT_CLK_MGR_REG_PLL1CTRL4_PLL1_STAT_OUT_MASK                 0x00000FFF

#define IROOT_CLK_MGR_REG_PLL1_208M_OFFSET                                0x00000C50
#define IROOT_CLK_MGR_REG_PLL1_208M_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL1_208M_RESERVED_MASK                         0x7FFF8000
#define    IROOT_CLK_MGR_REG_PLL1_208M_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL1_208M_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_MDEL_SHIFT               12
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_MDEL_MASK                0x00007000
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_LOAD_EN_SHIFT            11
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_LOAD_EN_MASK             0x00000800
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_HOLD_SHIFT               10
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_HOLD_MASK                0x00000400
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_ENB_CLKOUT_SW_OVRRIDE_SHIFT 9
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_ENB_CLKOUT_SW_OVRRIDE_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_BYPCLK_EN_SHIFT          8
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_BYPCLK_EN_MASK           0x00000100
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_MDIV_SHIFT               0
#define    IROOT_CLK_MGR_REG_PLL1_208M_PLL1_208M_MDIV_MASK                0x000000FF

#define IROOT_CLK_MGR_REG_PLL1_OFFSET_OFFSET                              0x00000C54
#define IROOT_CLK_MGR_REG_PLL1_OFFSET_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_PLL1_OFFSET_RESERVED_MASK                       0x4FF00000
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_OFFSET_SW_CTL_SHIFT         29
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_OFFSET_SW_CTL_MASK          0x20000000
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_OFFSET_MODE_SHIFT           28
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_OFFSET_MODE_MASK            0x10000000
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_NDIV_FRAC_OFFSET_SHIFT      0
#define    IROOT_CLK_MGR_REG_PLL1_OFFSET_PLL1_NDIV_FRAC_OFFSET_MASK       0x000FFFFF

#define IROOT_CLK_MGR_REG_CRYSTALCTL_OFFSET                               0x00000C60
#define IROOT_CLK_MGR_REG_CRYSTALCTL_TYPE                                 UInt32
#define IROOT_CLK_MGR_REG_CRYSTALCTL_RESERVED_MASK                        0x70000000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_PRIV_ACCESS_MODE_SHIFT            31
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_IDLE_PWRDWN_SW_OVRRIDE_SHIFT 27
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_IDLE_PWRDWN_SW_OVRRIDE_MASK 0x08000000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_XTALCKBAREN_SHIFT         23
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_XTALCKBAREN_MASK          0x07800000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_XTALCKEN_SHIFT            19
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_XTALCKEN_MASK             0x00780000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_EXTCKSEL_SHIFT            17
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_EXTCKSEL_MASK             0x00060000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_CKDIVSEL_SHIFT            15
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_CKDIVSEL_MASK             0x00018000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_VDIV_SEL_SHIFT            14
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_VDIV_SEL_MASK             0x00004000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_SEL_TEST_SHIFT            13
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_SEL_TEST_MASK             0x00002000
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_D2C_SHIFT            10
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_D2C_MASK             0x00001C00
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_SHIFT                7
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_MASK                 0x00000380
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_HIGHPASS_SHIFT            6
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_HIGHPASS_MASK             0x00000040
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_CORE_SHIFT           2
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_BIAS_CORE_MASK            0x0000003C
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_OSC_BYPASS_SHIFT          1
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_OSC_BYPASS_MASK           0x00000002
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_PWRDWN_SHIFT              0
#define    IROOT_CLK_MGR_REG_CRYSTALCTL_CRYSTAL_PWRDWN_MASK               0x00000001

#define IROOT_CLK_MGR_REG_CRYSTALSTS_OFFSET                               0x00000C64
#define IROOT_CLK_MGR_REG_CRYSTALSTS_TYPE                                 UInt32
#define IROOT_CLK_MGR_REG_CRYSTALSTS_RESERVED_MASK                        0x7FFFFFF8
#define    IROOT_CLK_MGR_REG_CRYSTALSTS_PRIV_ACCESS_MODE_SHIFT            31
#define    IROOT_CLK_MGR_REG_CRYSTALSTS_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IROOT_CLK_MGR_REG_CRYSTALSTS_CRYSTAL_TYPE_SHIFT                0
#define    IROOT_CLK_MGR_REG_CRYSTALSTS_CRYSTAL_TYPE_MASK                 0x00000007

#define IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_OFFSET                          0x00000C68
#define IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_TYPE                            UInt32
#define IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_RESERVED_MASK                   0x7FFFFF00
#define    IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_PRIV_ACCESS_MODE_SHIFT       31
#define    IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_CRYSTAL_CLK_STARTUP_TC_SHIFT 0
#define    IROOT_CLK_MGR_REG_CRYSTAL_STRTDLY_CRYSTAL_CLK_STARTUP_TC_MASK  0x000000FF

#define IROOT_CLK_MGR_REG_FRAC_1M_DIV_OFFSET                              0x00000E00
#define IROOT_CLK_MGR_REG_FRAC_1M_DIV_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_FRAC_1M_DIV_RESERVED_MASK                       0x7F800000
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_FRAC_1M_DIV_OVERRIDE_SHIFT       22
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_FRAC_1M_DIV_OVERRIDE_MASK        0x00400000
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_FRAC_1M_DIV_SHIFT                0
#define    IROOT_CLK_MGR_REG_FRAC_1M_DIV_FRAC_1M_DIV_MASK                 0x003FFFFF

#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_OFFSET                              0x00000E04
#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_TYPE                                UInt32
#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_RESERVED_MASK                       0x7FFFFFFE
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_PRIV_ACCESS_MODE_SHIFT           31
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_FRAC_1M_TRIGGER_SHIFT            0
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_FRAC_1M_TRIGGER_MASK             0x00000001

#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_OFFSET                     0x00000E08
#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_TYPE                       UInt32
#define IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_RESERVED_MASK              0x7FFFFFFE
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_PRIV_ACCESS_MODE_SHIFT  31
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_PRIV_ACCESS_MODE_MASK   0x80000000
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_FRAC_1M_TRIGGER_OVERRIDE_SHIFT 0
#define    IROOT_CLK_MGR_REG_FRAC_1M_TRG_OVERRIDE_FRAC_1M_TRIGGER_OVERRIDE_MASK 0x00000001

#define IROOT_CLK_MGR_REG_CLKMON_OFFSET                                   0x00000E0C
#define IROOT_CLK_MGR_REG_CLKMON_TYPE                                     UInt32
#define IROOT_CLK_MGR_REG_CLKMON_RESERVED_MASK                            0x7FFF0C00
#define    IROOT_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT                31
#define    IROOT_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IROOT_CLK_MGR_REG_CLKMON_DEBUG_BUS_SEL_SHIFT                   12
#define    IROOT_CLK_MGR_REG_CLKMON_DEBUG_BUS_SEL_MASK                    0x0000F000
#define    IROOT_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                      8
#define    IROOT_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                       0x00000300
#define    IROOT_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                      0
#define    IROOT_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                       0x000000FF

#define IROOT_CLK_MGR_REG_PLL_DEBUG_OFFSET                                0x00000E10
#define IROOT_CLK_MGR_REG_PLL_DEBUG_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_PLL_DEBUG_RESERVED_MASK                         0x7FFFFFF0
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL1_LOCK_LOST_SHIFT               3
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL1_LOCK_LOST_MASK                0x00000008
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL1_LOCK_IGNORE_SHIFT             2
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL1_LOCK_IGNORE_MASK              0x00000004
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL0_LOCK_LOST_SHIFT               1
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL0_LOCK_LOST_MASK                0x00000002
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL0_LOCK_IGNORE_SHIFT             0
#define    IROOT_CLK_MGR_REG_PLL_DEBUG_PLL0_LOCK_IGNORE_MASK              0x00000001

#define IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_OFFSET                    0x00000E14
#define IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_TYPE                      UInt32
#define IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_RESERVED_MASK             0x7FFFFC00
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_PRIV_ACCESS_MODE_SHIFT 31
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_PRIV_ACCESS_MODE_MASK  0x80000000
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_TPIU_VARVDD_SW_EN_SHIFT 9
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_TPIU_VARVDD_SW_EN_MASK 0x00000200
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_PTI_VARVDD_SW_EN_SHIFT 8
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_PTI_VARVDD_SW_EN_MASK 0x00000100
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_500M_VARVDD_SW_EN_SHIFT 7
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_500M_VARVDD_SW_EN_MASK 0x00000080
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_CX40_VARVDD_SW_EN_SHIFT 6
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_CX40_VARVDD_SW_EN_MASK 0x00000040
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_CRYSTAL_VARVDD_SW_EN_SHIFT 5
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_CRYSTAL_VARVDD_SW_EN_MASK 0x00000020
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_96M_VARVDD_SW_EN_SHIFT 4
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_96M_VARVDD_SW_EN_MASK 0x00000010
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_312M_VARVDD_SW_EN_SHIFT 3
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_REF_312M_VARVDD_SW_EN_MASK 0x00000008
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_96M_VARVDD_SW_EN_SHIFT 2
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_96M_VARVDD_SW_EN_MASK 0x00000004
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_312M_VARVDD_SW_EN_SHIFT 1
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_VAR_312M_VARVDD_SW_EN_MASK 0x00000002
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_FRAC_1M_VARVDD_SW_EN_SHIFT 0
#define    IROOT_CLK_MGR_REG_VARVDD_CLKEN_OVERRIDE_FRAC_1M_VARVDD_SW_EN_MASK 0x00000001

#define IROOT_CLK_MGR_REG_POWER_CONTROL_OFFSET                            0x00000E18
#define IROOT_CLK_MGR_REG_POWER_CONTROL_TYPE                              UInt32
#define IROOT_CLK_MGR_REG_POWER_CONTROL_RESERVED_MASK                     0x7FFFFFFE
#define    IROOT_CLK_MGR_REG_POWER_CONTROL_PRIV_ACCESS_MODE_SHIFT         31
#define    IROOT_CLK_MGR_REG_POWER_CONTROL_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IROOT_CLK_MGR_REG_POWER_CONTROL_CRYSTAL_PLL_SEPERATE_PWRDWN_SHIFT 0
#define    IROOT_CLK_MGR_REG_POWER_CONTROL_CRYSTAL_PLL_SEPERATE_PWRDWN_MASK 0x00000001

#define IROOT_CLK_MGR_REG_ACTIVITY_MON1_OFFSET                            0x00000E40
#define IROOT_CLK_MGR_REG_ACTIVITY_MON1_TYPE                              UInt32
#define IROOT_CLK_MGR_REG_ACTIVITY_MON1_RESERVED_MASK                     0x70000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_SHIFT         31
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_24M_ESWVDD_ACTVSTS_SHIFT   27
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_24M_ESWVDD_ACTVSTS_MASK    0x08000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_ARMVDD_ACTVSTS_SHIFT   26
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_ARMVDD_ACTVSTS_MASK    0x04000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_ESWVDD_ACTVSTS_SHIFT   25
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_ESWVDD_ACTVSTS_MASK    0x02000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_26M_VARVDD_ACTVSTS_SHIFT   24
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_26M_VARVDD_ACTVSTS_MASK    0x01000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_26M_ACTVSTS_SHIFT          23
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_26M_ACTVSTS_MASK           0x00800000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ESWVDD_ACTVSTS_SHIFT  22
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ESWVDD_ACTVSTS_MASK   0x00400000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ARMVDD_ACTVSTS_SHIFT  21
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ARMVDD_ACTVSTS_MASK   0x00200000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_32K_VARVDD_ACTVSTS_SHIFT   20
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_32K_VARVDD_ACTVSTS_MASK    0x00100000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_PTI_VARVDD_ACTVSTS_SHIFT   19
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_PTI_VARVDD_ACTVSTS_MASK    0x00080000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_500M_VARVDD_ACTVSTS_SHIFT  18
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_500M_VARVDD_ACTVSTS_MASK   0x00040000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_CX40_VARVDD_ACTVSTS_SHIFT  17
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_CX40_VARVDD_ACTVSTS_MASK   0x00020000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_VARVDD_ACTVSTS_SHIFT   16
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_CRYSTAL_VARVDD_ACTVSTS_MASK    0x00010000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_PM_FAST_ACTVSTS_SHIFT          15
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_PM_FAST_ACTVSTS_MASK           0x00008000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_96M_VARVDD_ACTVSTS_SHIFT   14
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_96M_VARVDD_ACTVSTS_MASK    0x00004000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_96M_ACTVSTS_SHIFT          13
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_96M_ACTVSTS_MASK           0x00002000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_FRAC_1M_VARVDD_ACTVSTS_SHIFT   12
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_FRAC_1M_VARVDD_ACTVSTS_MASK    0x00001000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_FRAC_1M_ACTVSTS_SHIFT          11
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_FRAC_1M_ACTVSTS_MASK           0x00000800
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_312M_VARVDD_ACTVSTS_SHIFT  10
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_312M_VARVDD_ACTVSTS_MASK   0x00000400
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_312M_ACTVSTS_SHIFT         9
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_REF_312M_ACTVSTS_MASK          0x00000200
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_TPIU_VARVDD_ACTVSTS_SHIFT  8
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_TPIU_VARVDD_ACTVSTS_MASK   0x00000100
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_96M_VARVDD_ACTVSTS_SHIFT   7
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_96M_VARVDD_ACTVSTS_MASK    0x00000080
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_96M_ACTVSTS_SHIFT          6
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_96M_ACTVSTS_MASK           0x00000040
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH3_ACTVSTS_SHIFT      5
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH3_ACTVSTS_MASK       0x00000020
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH2_ACTVSTS_SHIFT      4
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH2_ACTVSTS_MASK       0x00000010
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH1_ACTVSTS_SHIFT      3
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH1_ACTVSTS_MASK       0x00000008
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH0_ACTVSTS_SHIFT      2
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_DIGITAL_CH0_ACTVSTS_MASK       0x00000004
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_VARVDD_ACTVSTS_SHIFT  1
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_VARVDD_ACTVSTS_MASK   0x00000002
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ACTVSTS_SHIFT         0
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON1_VAR_312M_ACTVSTS_MASK          0x00000001

#define IROOT_CLK_MGR_REG_ACTIVITY_MON2_OFFSET                            0x00000E44
#define IROOT_CLK_MGR_REG_ACTIVITY_MON2_TYPE                              UInt32
#define IROOT_CLK_MGR_REG_ACTIVITY_MON2_RESERVED_MASK                     0x70000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_SHIFT         31
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN27_ACTVSTS_SHIFT       27
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN27_ACTVSTS_MASK        0x08000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN26_ACTVSTS_SHIFT       26
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN26_ACTVSTS_MASK        0x04000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN25_ACTVSTS_SHIFT       25
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN25_ACTVSTS_MASK        0x02000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN24_ACTVSTS_SHIFT       24
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN24_ACTVSTS_MASK        0x01000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN23_ACTVSTS_SHIFT       23
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN23_ACTVSTS_MASK        0x00800000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN22_ACTVSTS_SHIFT       22
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN22_ACTVSTS_MASK        0x00400000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN21_ACTVSTS_SHIFT       21
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN21_ACTVSTS_MASK        0x00200000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN20_ACTVSTS_SHIFT       20
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN20_ACTVSTS_MASK        0x00100000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN19_ACTVSTS_SHIFT       19
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN19_ACTVSTS_MASK        0x00080000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN18_ACTVSTS_SHIFT       18
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN18_ACTVSTS_MASK        0x00040000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN17_ACTVSTS_SHIFT       17
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN17_ACTVSTS_MASK        0x00020000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN16_ACTVSTS_SHIFT       16
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN16_ACTVSTS_MASK        0x00010000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN11_ACTVSTS_SHIFT       15
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN11_ACTVSTS_MASK        0x00008000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN8_ACTVSTS_SHIFT        14
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN8_ACTVSTS_MASK         0x00004000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN7_ACTVSTS_SHIFT        13
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN7_ACTVSTS_MASK         0x00002000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN6_ACTVSTS_SHIFT        12
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN6_ACTVSTS_MASK         0x00001000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN5_ACTVSTS_SHIFT        11
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN5_ACTVSTS_MASK         0x00000800
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN4_ACTVSTS_SHIFT        10
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN4_ACTVSTS_MASK         0x00000400
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN3_ACTVSTS_SHIFT        9
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN3_ACTVSTS_MASK         0x00000200
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN1_ACTVSTS_SHIFT        8
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN1_ACTVSTS_MASK         0x00000100
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN9_ACTVSTS_SHIFT        7
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN9_ACTVSTS_MASK         0x00000080
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN10_ACTVSTS_SHIFT       6
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN10_ACTVSTS_MASK        0x00000040
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN2_ACTVSTS_SHIFT        5
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN2_ACTVSTS_MASK         0x00000020
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN0_ACTVSTS_SHIFT        4
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN0_ACTVSTS_MASK         0x00000010
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN15_ACTVSTS_SHIFT       3
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN15_ACTVSTS_MASK        0x00000008
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN14_ACTVSTS_SHIFT       2
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN14_ACTVSTS_MASK        0x00000004
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN13_ACTVSTS_SHIFT       1
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN13_ACTVSTS_MASK        0x00000002
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN12_ACTVSTS_SHIFT       0
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN12_ACTVSTS_MASK        0x00000001

#define IROOT_CLK_MGR_REG_ACTIVITY_MON3_OFFSET                            0x00000E48
#define IROOT_CLK_MGR_REG_ACTIVITY_MON3_TYPE                              UInt32
#define IROOT_CLK_MGR_REG_ACTIVITY_MON3_RESERVED_MASK                     0x7FF00000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_SHIFT         31
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN47_ACTVSTS_SHIFT       19
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN47_ACTVSTS_MASK        0x00080000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN46_ACTVSTS_SHIFT       18
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN46_ACTVSTS_MASK        0x00040000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN45_ACTVSTS_SHIFT       17
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN45_ACTVSTS_MASK        0x00020000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN44_ACTVSTS_SHIFT       16
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN44_ACTVSTS_MASK        0x00010000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN43_ACTVSTS_SHIFT       15
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN43_ACTVSTS_MASK        0x00008000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN42_ACTVSTS_SHIFT       14
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN42_ACTVSTS_MASK        0x00004000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN41_ACTVSTS_SHIFT       13
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN41_ACTVSTS_MASK        0x00002000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN40_ACTVSTS_SHIFT       12
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN40_ACTVSTS_MASK        0x00001000
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN39_ACTVSTS_SHIFT       11
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN39_ACTVSTS_MASK        0x00000800
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN38_ACTVSTS_SHIFT       10
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN38_ACTVSTS_MASK        0x00000400
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN37_ACTVSTS_SHIFT       9
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN37_ACTVSTS_MASK        0x00000200
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN36_ACTVSTS_SHIFT       8
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN36_ACTVSTS_MASK        0x00000100
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN35_ACTVSTS_SHIFT       7
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN35_ACTVSTS_MASK        0x00000080
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN34_ACTVSTS_SHIFT       6
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN34_ACTVSTS_MASK        0x00000040
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN33_ACTVSTS_SHIFT       5
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN33_ACTVSTS_MASK        0x00000020
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN32_ACTVSTS_SHIFT       4
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN32_ACTVSTS_MASK        0x00000010
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN31_ACTVSTS_SHIFT       3
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN31_ACTVSTS_MASK        0x00000008
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN30_ACTVSTS_SHIFT       2
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN30_ACTVSTS_MASK        0x00000004
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN29_ACTVSTS_SHIFT       1
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN29_ACTVSTS_MASK        0x00000002
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN28_ACTVSTS_SHIFT       0
#define    IROOT_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN28_ACTVSTS_MASK        0x00000001

#define IROOT_CLK_MGR_REG_GSDR_CRTL_OFFSET                                0x00000E4C
#define IROOT_CLK_MGR_REG_GSDR_CRTL_TYPE                                  UInt32
#define IROOT_CLK_MGR_REG_GSDR_CRTL_RESERVED_MASK                         0x7FFFFEEC
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_PRIV_ACCESS_MODE_SHIFT             31
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_IS_IDLE_DEBUG_SHIFT                8
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_IS_IDLE_DEBUG_MASK                 0x00000100
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_PM_REQ_STATUS_SHIFT                4
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_PM_REQ_STATUS_MASK                 0x00000010
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_SLEEP_DEBUG_TRIGGER_SHIFT          0
#define    IROOT_CLK_MGR_REG_GSDR_CRTL_SLEEP_DEBUG_TRIGGER_MASK           0x00000003

#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_OFFSET                           0x00000E50
#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_TYPE                             UInt32
#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_RESERVED_MASK                    0x7F000000
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_PRIV_ACCESS_MODE_SHIFT        31
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_IS_IDLE_STATUS_0_SHIFT        0
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG1_IS_IDLE_STATUS_0_MASK         0x00FFFFFF

#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_OFFSET                           0x00000E54
#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_TYPE                             UInt32
#define IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_RESERVED_MASK                    0x7F000000
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_PRIV_ACCESS_MODE_SHIFT        31
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_IS_IDLE_STATUS_1_SHIFT        0
#define    IROOT_CLK_MGR_REG_IS_IDLE_DEBUG2_IS_IDLE_STATUS_1_MASK         0x00FFFFFF

#endif /* __BRCM_RDB_IROOT_CLK_MGR_REG_H__ */


