/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_KONATZCFG_H__
#define __BRCM_RDB_KONATZCFG_H__

#define KONATZCFG_A9_TZCFG_LOCK_OFFSET                                    0x00000000
#define KONATZCFG_A9_TZCFG_LOCK_TYPE                                      UInt32
#define KONATZCFG_A9_TZCFG_LOCK_RESERVED_MASK                             0xFFFFFFFC
#define    KONATZCFG_A9_TZCFG_LOCK_A9_APB11_TZPROT_LOCK_SHIFT             1
#define    KONATZCFG_A9_TZCFG_LOCK_A9_APB11_TZPROT_LOCK_MASK              0x00000002
#define    KONATZCFG_A9_TZCFG_LOCK_A9_APB0_TZPROT_LOCK_SHIFT              0
#define    KONATZCFG_A9_TZCFG_LOCK_A9_APB0_TZPROT_LOCK_MASK               0x00000001

#define KONATZCFG_A9_APB0_TZPROT_OFFSET                                   0x00000004
#define KONATZCFG_A9_APB0_TZPROT_TYPE                                     UInt32
#define KONATZCFG_A9_APB0_TZPROT_RESERVED_MASK                            0xFFFFFF00
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_16_TZPROT_SHIFT             7
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_16_TZPROT_MASK              0x00000080
#define    KONATZCFG_A9_APB0_TZPROT_ARM_FUNNEL_TZPROT_SHIFT               6
#define    KONATZCFG_A9_APB0_TZPROT_ARM_FUNNEL_TZPROT_MASK                0x00000040
#define    KONATZCFG_A9_APB0_TZPROT_GIC_TRACE_TZPROT_SHIFT                5
#define    KONATZCFG_A9_APB0_TZPROT_GIC_TRACE_TZPROT_MASK                 0x00000020
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_4_TZPROT_SHIFT              4
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_4_TZPROT_MASK               0x00000010
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_1_TZPROT_SHIFT              3
#define    KONATZCFG_A9_APB0_TZPROT_AXI_TRACE_1_TZPROT_MASK               0x00000008
#define    KONATZCFG_A9_APB0_TZPROT_SECURE_TRAP_8_TZPROT_SHIFT            2
#define    KONATZCFG_A9_APB0_TZPROT_SECURE_TRAP_8_TZPROT_MASK             0x00000004
#define    KONATZCFG_A9_APB0_TZPROT_SECURE_TRAP_1_TZPROT_SHIFT            1
#define    KONATZCFG_A9_APB0_TZPROT_SECURE_TRAP_1_TZPROT_MASK             0x00000002
#define    KONATZCFG_A9_APB0_TZPROT_A9_CLKRST_TZPROT_SHIFT                0
#define    KONATZCFG_A9_APB0_TZPROT_A9_CLKRST_TZPROT_MASK                 0x00000001

#define KONATZCFG_A9_APB11_TZPROT_OFFSET                                  0x00000008
#define KONATZCFG_A9_APB11_TZPROT_TYPE                                    UInt32
#define KONATZCFG_A9_APB11_TZPROT_RESERVED_MASK                           0xFFFF0000
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_3_TZPROT_SHIFT               15
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_3_TZPROT_MASK                0x00008000
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_2_TZPROT_SHIFT               14
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_2_TZPROT_MASK                0x00004000
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_1_TZPROT_SHIFT               13
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_1_TZPROT_MASK                0x00002000
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_0_TZPROT_SHIFT               12
#define    KONATZCFG_A9_APB11_TZPROT_ARM_CTI_0_TZPROT_MASK                0x00001000
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_3_TZPROT_SHIFT                11
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_3_TZPROT_MASK                 0x00000800
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_2_TZPROT_SHIFT                10
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_2_TZPROT_MASK                 0x00000400
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_1_TZPROT_SHIFT                9
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_1_TZPROT_MASK                 0x00000200
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_0_TZPROT_SHIFT                8
#define    KONATZCFG_A9_APB11_TZPROT_A9_PTM_0_TZPROT_MASK                 0x00000100
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_3_TZPROT_SHIFT                7
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_3_TZPROT_MASK                 0x00000080
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_3_TZPROT_SHIFT                6
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_3_TZPROT_MASK                 0x00000040
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_2_TZPROT_SHIFT                5
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_2_TZPROT_MASK                 0x00000020
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_2_TZPROT_SHIFT                4
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_2_TZPROT_MASK                 0x00000010
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_1_TZPROT_SHIFT                3
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_1_TZPROT_MASK                 0x00000008
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_1_TZPROT_SHIFT                2
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_1_TZPROT_MASK                 0x00000004
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_0_TZPROT_SHIFT                1
#define    KONATZCFG_A9_APB11_TZPROT_A9_PMU_0_TZPROT_MASK                 0x00000002
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_0_TZPROT_SHIFT                0
#define    KONATZCFG_A9_APB11_TZPROT_A9_CPU_0_TZPROT_MASK                 0x00000001

#define KONATZCFG_KONA_SLV_TZCFG_LOCK_OFFSET                              0x00000100
#define KONATZCFG_KONA_SLV_TZCFG_LOCK_TYPE                                UInt32
#define KONATZCFG_KONA_SLV_TZCFG_LOCK_RESERVED_MASK                       0xFFFFFFF0
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB3_TZPROT_LOCK_SHIFT  3
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB3_TZPROT_LOCK_MASK   0x00000008
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB2_TZPROT_LOCK_SHIFT  2
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB2_TZPROT_LOCK_MASK   0x00000004
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB1_TZPROT_LOCK_SHIFT  1
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_APB1_TZPROT_LOCK_MASK   0x00000002
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_AHB1_TZPROT_LOCK_SHIFT  0
#define    KONATZCFG_KONA_SLV_TZCFG_LOCK_KONA_SLV_AHB1_TZPROT_LOCK_MASK   0x00000001

#define KONATZCFG_KONA_SLV_AHB1_TZPROT_OFFSET                             0x00000104
#define KONATZCFG_KONA_SLV_AHB1_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_SLV_AHB1_TZPROT_RESERVED_MASK                      0xFFFFFFF0
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MPHI_TZPROT_SHIFT               3
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MPHI_TZPROT_MASK                0x00000008
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_CRC_TZPROT_SHIFT                2
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_CRC_TZPROT_MASK                 0x00000004
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MG_TZPROT_SHIFT                 1
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MG_TZPROT_MASK                  0x00000002
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MSPRO_HG_TZPROT_SHIFT           0
#define    KONATZCFG_KONA_SLV_AHB1_TZPROT_MSPRO_HG_TZPROT_MASK            0x00000001

#define KONATZCFG_KONA_SLV_APB1_TZPROT_OFFSET                             0x00000108
#define KONATZCFG_KONA_SLV_APB1_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_SLV_APB1_TZPROT_RESERVED_MASK                      0xFFFF9980
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_DMAC_MUXING_TZPROT_SHIFT        14
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_DMAC_MUXING_TZPROT_MASK         0x00004000
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_PERIPH_TIMER_TZPROT_SHIFT       13
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_PERIPH_TIMER_TZPROT_MASK        0x00002000
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_I2S_TZPROT_SHIFT                10
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_I2S_TZPROT_MASK                 0x00000400
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_IRDA_TZPROT_SHIFT               9
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_IRDA_TZPROT_MASK                0x00000200
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_2_TZPROT_SHIFT              6
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_2_TZPROT_MASK               0x00000040
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_1_TZPROT_SHIFT              5
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_1_TZPROT_MASK               0x00000020
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_0_TZPROT_SHIFT              4
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_SSP_0_TZPROT_MASK               0x00000010
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB4_TZPROT_SHIFT             3
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB4_TZPROT_MASK              0x00000008
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB3_TZPROT_SHIFT             2
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB3_TZPROT_MASK              0x00000004
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB2_TZPROT_SHIFT             1
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB2_TZPROT_MASK              0x00000002
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB_TZPROT_SHIFT              0
#define    KONATZCFG_KONA_SLV_APB1_TZPROT_UARTB_TZPROT_MASK               0x00000001

#define KONATZCFG_KONA_SLV_APB2_TZPROT_OFFSET                             0x0000010C
#define KONATZCFG_KONA_SLV_APB2_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_SLV_APB2_TZPROT_RESERVED_MASK                      0xFFFFF109
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BBL_REGS_TZPROT_SHIFT           11
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BBL_REGS_TZPROT_MASK            0x00000800
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PWM_X6_TZPROT_SHIFT             10
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PWM_X6_TZPROT_MASK              0x00000400
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_ADC_TZPROT_SHIFT                9
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_ADC_TZPROT_MASK                 0x00000200
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BSC2_TZPROT_SHIFT               7
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BSC2_TZPROT_MASK                0x00000080
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BSC1_TZPROT_SHIFT               6
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_BSC1_TZPROT_MASK                0x00000040
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_DALLAS_1_WIRE_TZPROT_SHIFT      5
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_DALLAS_1_WIRE_TZPROT_MASK       0x00000020
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_HDMI_KEYGEN_TZPROT_SHIFT        4
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_HDMI_KEYGEN_TZPROT_MASK         0x00000010
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PERIPH_INT_STEER_TZPROT_SHIFT   2
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PERIPH_INT_STEER_TZPROT_MASK    0x00000004
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PERIPH_CLK_RST_TZPROT_SHIFT     1
#define    KONATZCFG_KONA_SLV_APB2_TZPROT_PERIPH_CLK_RST_TZPROT_MASK      0x00000002

#define KONATZCFG_KONA_SLV_APB3_TZPROT_OFFSET                             0x00000110
#define KONATZCFG_KONA_SLV_APB3_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_SLV_APB3_TZPROT_RESERVED_MASK                      0xFFFFFFFF

#define KONATZCFG_KONA_PERIPH_MASTER_TZCFG_LOCK_OFFSET                    0x00000200
#define KONATZCFG_KONA_PERIPH_MASTER_TZCFG_LOCK_TYPE                      UInt32
#define KONATZCFG_KONA_PERIPH_MASTER_TZCFG_LOCK_RESERVED_MASK             0xFFFFFFFE
#define    KONATZCFG_KONA_PERIPH_MASTER_TZCFG_LOCK_KONA_PERIPH_AHB2_TZPROT_LOCK_SHIFT 0
#define    KONATZCFG_KONA_PERIPH_MASTER_TZCFG_LOCK_KONA_PERIPH_AHB2_TZPROT_LOCK_MASK 0x00000001

#define KONATZCFG_KONA_PERIPH_AHB2_TZPROT_OFFSET                          0x00000204
#define KONATZCFG_KONA_PERIPH_AHB2_TZPROT_TYPE                            UInt32
#define KONATZCFG_KONA_PERIPH_AHB2_TZPROT_RESERVED_MASK                   0xFFFFF000
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO4_TZPROT_SHIFT           11
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO4_TZPROT_MASK            0x00000800
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO3_TZPROT_SHIFT           10
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO3_TZPROT_MASK            0x00000400
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO2_TZPROT_SHIFT           9
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO2_TZPROT_MASK            0x00000200
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO1_TZPROT_SHIFT           8
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_SDIO1_TZPROT_MASK            0x00000100
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_FSHOST_CTRL_TZPROT_SHIFT     7
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_FSHOST_CTRL_TZPROT_MASK      0x00000080
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_FSHOST_TZPROT_SHIFT          6
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_FSHOST_TZPROT_MASK           0x00000040
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ULPI_OHCI_TZPROT_SHIFT       5
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ULPI_OHCI_TZPROT_MASK        0x00000020
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ULPI_EHCI_TZPROT_SHIFT       4
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ULPI_EHCI_TZPROT_MASK        0x00000010
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_USB_OTG_CS2_TZPROT_SHIFT     3
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_USB_OTG_CS2_TZPROT_MASK      0x00000008
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_USB_OTG_CS1_TZPROT_SHIFT     2
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_USB_OTG_CS1_TZPROT_MASK      0x00000004
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_UNMG_NAND_TZPROT_SHIFT       1
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_UNMG_NAND_TZPROT_MASK        0x00000002
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ATA66_TZPROT_SHIFT           0
#define    KONATZCFG_KONA_PERIPH_AHB2_TZPROT_ATA66_TZPROT_MASK            0x00000001

#define KONATZCFG_FABRIC_TZCFG_LOCK_OFFSET                                0x00000300
#define KONATZCFG_FABRIC_TZCFG_LOCK_TYPE                                  UInt32
#define KONATZCFG_FABRIC_TZCFG_LOCK_RESERVED_MASK                         0xFFFFFFFC
#define    KONATZCFG_FABRIC_TZCFG_LOCK_FABRIC_APB4_TZPROT_LOCK_SHIFT      1
#define    KONATZCFG_FABRIC_TZCFG_LOCK_FABRIC_APB4_TZPROT_LOCK_MASK       0x00000002
#define    KONATZCFG_FABRIC_TZCFG_LOCK_FABRIC_APB8_TZPROT_LOCK_SHIFT      0
#define    KONATZCFG_FABRIC_TZCFG_LOCK_FABRIC_APB8_TZPROT_LOCK_MASK       0x00000001

#define KONATZCFG_FABRIC_APB4_TZPROT_OFFSET                               0x00000304
#define KONATZCFG_FABRIC_APB4_TZPROT_TYPE                                 UInt32
#define KONATZCFG_FABRIC_APB4_TZPROT_RESERVED_MASK                        0xFFFFFF01
#define    KONATZCFG_FABRIC_APB4_TZPROT_SECURE_TRAP_3_TZPROT_SHIFT        7
#define    KONATZCFG_FABRIC_APB4_TZPROT_SECURE_TRAP_3_TZPROT_MASK         0x00000080
#define    KONATZCFG_FABRIC_APB4_TZPROT_SECURE_TRAP_2_TZPROT_SHIFT        6
#define    KONATZCFG_FABRIC_APB4_TZPROT_SECURE_TRAP_2_TZPROT_MASK         0x00000040
#define    KONATZCFG_FABRIC_APB4_TZPROT_MASTER_SWITCH_TZPROT_SHIFT        5
#define    KONATZCFG_FABRIC_APB4_TZPROT_MASTER_SWITCH_TZPROT_MASK         0x00000020
#define    KONATZCFG_FABRIC_APB4_TZPROT_SYSTEM_SWITCH_TZPROT_SHIFT        4
#define    KONATZCFG_FABRIC_APB4_TZPROT_SYSTEM_SWITCH_TZPROT_MASK         0x00000010
#define    KONATZCFG_FABRIC_APB4_TZPROT_DMAC_OPEN_TZPROT_SHIFT            3
#define    KONATZCFG_FABRIC_APB4_TZPROT_DMAC_OPEN_TZPROT_MASK             0x00000008
#define    KONATZCFG_FABRIC_APB4_TZPROT_DMAC_SEC_TZPROT_SHIFT             2
#define    KONATZCFG_FABRIC_APB4_TZPROT_DMAC_SEC_TZPROT_MASK              0x00000004
#define    KONATZCFG_FABRIC_APB4_TZPROT_FABRIC_CLK_RST_TZPROT_SHIFT       1
#define    KONATZCFG_FABRIC_APB4_TZPROT_FABRIC_CLK_RST_TZPROT_MASK        0x00000002

#define KONATZCFG_FABRIC_APB8_TZPROT_OFFSET                               0x00000308
#define KONATZCFG_FABRIC_APB8_TZPROT_TYPE                                 UInt32
#define KONATZCFG_FABRIC_APB8_TZPROT_RESERVED_MASK                        0xFFFF0412
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_CTI_TZPROT_SHIFT           15
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_CTI_TZPROT_MASK            0x00008000
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_FUNNEL1_TZPROT_SHIFT       14
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_FUNNEL1_TZPROT_MASK        0x00004000
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_FUNNEL0_TZPROT_SHIFT       13
#define    KONATZCFG_FABRIC_APB8_TZPROT_FABRIC_FUNNEL0_TZPROT_MASK        0x00002000
#define    KONATZCFG_FABRIC_APB8_TZPROT_APB2ATB_TZPROT_SHIFT              12
#define    KONATZCFG_FABRIC_APB8_TZPROT_APB2ATB_TZPROT_MASK               0x00001000
#define    KONATZCFG_FABRIC_APB8_TZPROT_ARM_ITM_TZPROT_SHIFT              11
#define    KONATZCFG_FABRIC_APB8_TZPROT_ARM_ITM_TZPROT_MASK               0x00000800
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_9_TZPROT_SHIFT          9
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_9_TZPROT_MASK           0x00000200
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_8_TZPROT_SHIFT          8
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_8_TZPROT_MASK           0x00000100
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_7_TZPROT_SHIFT          7
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_7_TZPROT_MASK           0x00000080
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_6_TZPROT_SHIFT          6
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_6_TZPROT_MASK           0x00000040
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_5_TZPROT_SHIFT          5
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_5_TZPROT_MASK           0x00000020
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_3_TZPROT_SHIFT          3
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_3_TZPROT_MASK           0x00000008
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_2_TZPROT_SHIFT          2
#define    KONATZCFG_FABRIC_APB8_TZPROT_AXI_TRACE_2_TZPROT_MASK           0x00000004
#define    KONATZCFG_FABRIC_APB8_TZPROT_GLOBAL_PERF_CTR_TZPROT_SHIFT      0
#define    KONATZCFG_FABRIC_APB8_TZPROT_GLOBAL_PERF_CTR_TZPROT_MASK       0x00000001

#define KONATZCFG_KONA_HUB_TZCFG_LOCK_OFFSET                              0x00000400
#define KONATZCFG_KONA_HUB_TZCFG_LOCK_TYPE                                UInt32
#define KONATZCFG_KONA_HUB_TZCFG_LOCK_RESERVED_MASK                       0xFFFFFFC0
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_ESUB_TZPROT_LOCK_SHIFT  5
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_ESUB_TZPROT_LOCK_MASK   0x00000020
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB5_TZPROT_LOCK_SHIFT  4
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB5_TZPROT_LOCK_MASK   0x00000010
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB6_TZPROT_LOCK_SHIFT  3
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB6_TZPROT_LOCK_MASK   0x00000008
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB9_TZPROT_LOCK_SHIFT  2
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB9_TZPROT_LOCK_MASK   0x00000004
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB10_TZPROT_LOCK_SHIFT 1
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB10_TZPROT_LOCK_MASK  0x00000002
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB14_TZPROT_LOCK_SHIFT 0
#define    KONATZCFG_KONA_HUB_TZCFG_LOCK_KONA_HUB_APB14_TZPROT_LOCK_MASK  0x00000001

#define KONATZCFG_KONA_HUB_APB5_TZPROT_OFFSET                             0x00000404
#define KONATZCFG_KONA_HUB_APB5_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_APB5_TZPROT_RESERVED_MASK                      0xFFFF2000
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_VAR_SPM_TZPROT_SHIFT            15
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_VAR_SPM_TZPROT_MASK             0x00008000
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_HSI_TZPROT_SHIFT                14
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_HSI_TZPROT_MASK                 0x00004000
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_6_TZPROT_SHIFT      12
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_6_TZPROT_MASK       0x00001000
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_5_TZPROT_SHIFT      11
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_5_TZPROT_MASK       0x00000800
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_4_TZPROT_SHIFT      10
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_4_TZPROT_MASK       0x00000400
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_7_TZPROT_SHIFT      9
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SECURE_TRAP_7_TZPROT_MASK       0x00000200
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_TEMP_MON_TZPROT_SHIFT           8
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_TEMP_MON_TZPROT_MASK            0x00000100
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_BT_SLIM2_CS2_TZPROT_SHIFT       7
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_BT_SLIM2_CS2_TZPROT_MASK        0x00000080
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_BT_SLIM2_CS1_TZPROT_SHIFT       6
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_BT_SLIM2_CS1_TZPROT_MASK        0x00000040
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_IPC_OPEN_TZPROT_SHIFT           5
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_IPC_OPEN_TZPROT_MASK            0x00000020
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_IPC_SECURE_TZPROT_SHIFT         4
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_IPC_SECURE_TZPROT_MASK          0x00000010
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_NOR_TZPROT_SHIFT                3
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_NOR_TZPROT_MASK                 0x00000008
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SRAM_MPU_TZPROT_SHIFT           2
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_SRAM_MPU_TZPROT_MASK            0x00000004
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_KONA_HUB_SWITCH_TZPROT_SHIFT    1
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_KONA_HUB_SWITCH_TZPROT_MASK     0x00000002
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_KONA_HUB_CCU_TZPROT_SHIFT       0
#define    KONATZCFG_KONA_HUB_APB5_TZPROT_KONA_HUB_CCU_TZPROT_MASK        0x00000001

#define KONATZCFG_KONA_HUB_APB6_TZPROT_OFFSET                             0x00000408
#define KONATZCFG_KONA_HUB_APB6_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_APB6_TZPROT_RESERVED_MASK                      0xFFFF0000
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_FIX_SPM_TZPROT_SHIFT            15
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_FIX_SPM_TZPROT_MASK             0x00008000
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_ACI_TZPROT_SHIFT                14
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_ACI_TZPROT_MASK                 0x00004000
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_PM_BSC_TZPROT_SHIFT             13
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_PM_BSC_TZPROT_MASK              0x00002000
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SEC_WDG_TZPROT_SHIFT            12
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SEC_WDG_TZPROT_MASK             0x00001000
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_FMON_TZPROT_SHIFT               11
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_FMON_TZPROT_MASK                0x00000800
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_MM_EMI_OPN_TZPROT_SHIFT         10
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_MM_EMI_OPN_TZPROT_MASK          0x00000400
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_MM_EMI_SEC_TZPROT_SHIFT         9
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_MM_EMI_SEC_TZPROT_MASK          0x00000200
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SYS_EMI_OPN_TZPROT_SHIFT        8
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SYS_EMI_OPN_TZPROT_MASK         0x00000100
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SYS_EMI_SEC_TZPROT_SHIFT        7
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SYS_EMI_SEC_TZPROT_MASK         0x00000080
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_HUB_TIMERS_TZPROT_SHIFT         6
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_HUB_TIMERS_TZPROT_MASK          0x00000040
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SIM_TZPROT_SHIFT                5
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_SIM_TZPROT_MASK                 0x00000020
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_CHIPREG_TZPROT_SHIFT            4
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_CHIPREG_TZPROT_MASK             0x00000010
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_GPIO2_TZPROT_SHIFT              3
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_GPIO2_TZPROT_MASK               0x00000008
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_KONAHUB_CLKRST_TZPROT_SHIFT     2
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_KONAHUB_CLKRST_TZPROT_MASK      0x00000004
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_ROOT_CLKRST_TZPROT_SHIFT        1
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_ROOT_CLKRST_TZPROT_MASK         0x00000002
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_KONA_HUB_TZCFG_TZPROT_SHIFT     0
#define    KONATZCFG_KONA_HUB_APB6_TZPROT_KONA_HUB_TZCFG_TZPROT_MASK      0x00000001

#define KONATZCFG_KONA_HUB_APB9_TZPROT_OFFSET                             0x0000040C
#define KONATZCFG_KONA_HUB_APB9_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_APB9_TZPROT_RESERVED_MASK                      0xFFFF0000
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_TPIU_TZPROT_SHIFT               15
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_TPIU_TZPROT_MASK                0x00008000
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ETB2AXI_TZPROT_SHIFT            14
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ETB2AXI_TZPROT_MASK             0x00004000
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ETB_TZPROT_SHIFT                13
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ETB_TZPROT_MASK                 0x00002000
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB2PTI_TZPROT_SHIFT            12
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB2PTI_TZPROT_MASK             0x00001000
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_APB2OCP_TZPROT_SHIFT            11
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_APB2OCP_TZPROT_MASK             0x00000800
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_FINAL_FUNNEL_TZPROT_SHIFT       10
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_FINAL_FUNNEL_TZPROT_MASK        0x00000400
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_FUNNEL_TZPROT_SHIFT         9
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_FUNNEL_TZPROT_MASK          0x00000200
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_CTI_TZPROT_SHIFT            8
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_CTI_TZPROT_MASK             0x00000100
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB2OCP_TZPROT_SHIFT            7
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB2OCP_TZPROT_MASK             0x00000080
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB_FILTER_TZPROT_SHIFT         6
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_ATB_FILTER_TZPROT_MASK          0x00000040
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_OCP2ATB_TZPROT_SHIFT        5
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_HUB_OCP2ATB_TZPROT_MASK         0x00000020
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_VC_ITM_TZPROT_SHIFT             4
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_VC_ITM_TZPROT_MASK              0x00000010
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_13_TZPROT_SHIFT       3
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_13_TZPROT_MASK        0x00000008
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_12_TZPROT_SHIFT       2
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_12_TZPROT_MASK        0x00000004
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_11_TZPROT_SHIFT       1
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_11_TZPROT_MASK        0x00000002
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_10_TZPROT_SHIFT       0
#define    KONATZCFG_KONA_HUB_APB9_TZPROT_AXI_TRACE_10_TZPROT_MASK        0x00000001

#define KONATZCFG_KONA_HUB_APB10_TZPROT_OFFSET                            0x00000410
#define KONATZCFG_KONA_HUB_APB10_TZPROT_TYPE                              UInt32
#define KONATZCFG_KONA_HUB_APB10_TZPROT_RESERVED_MASK                     0xFFFF0000
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS4_TZPROT_SHIFT          15
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS4_TZPROT_MASK           0x00008000
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS3_TZPROT_SHIFT          14
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS3_TZPROT_MASK           0x00004000
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS2_TZPROT_SHIFT          13
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS2_TZPROT_MASK           0x00002000
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS1_TZPROT_SHIFT          12
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_CAPH_CS1_TZPROT_MASK           0x00001000
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_SSP_3_TZPROT_SHIFT             11
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_SSP_3_TZPROT_MASK              0x00000800
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_BT_SLIM_CS2_TZPROT_SHIFT       10
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_BT_SLIM_CS2_TZPROT_MASK        0x00000400
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_BT_SLIM_CS1_TZPROT_SHIFT       9
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_BT_SLIM_CS1_TZPROT_MASK        0x00000200
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_SSP_4_TZPROT_SHIFT             8
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_SSP_4_TZPROT_MASK              0x00000100
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_7_TZPROT_SHIFT           7
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_7_TZPROT_MASK            0x00000080
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_6_TZPROT_SHIFT           6
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_6_TZPROT_MASK            0x00000040
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_5_TZPROT_SHIFT           5
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_5_TZPROT_MASK            0x00000020
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_4_TZPROT_SHIFT           4
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_4_TZPROT_MASK            0x00000010
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_3_TZPROT_SHIFT           3
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_3_TZPROT_MASK            0x00000008
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_2_TZPROT_SHIFT           2
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_2_TZPROT_MASK            0x00000004
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_1_TZPROT_SHIFT           1
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_1_TZPROT_MASK            0x00000002
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_0_TZPROT_SHIFT           0
#define    KONATZCFG_KONA_HUB_APB10_TZPROT_AUDIO_0_TZPROT_MASK            0x00000001

#define KONATZCFG_KONA_HUB_APB14_TZPROT_OFFSET                            0x00000414
#define KONATZCFG_KONA_HUB_APB14_TZPROT_TYPE                              UInt32
#define KONATZCFG_KONA_HUB_APB14_TZPROT_RESERVED_MASK                     0xFFFF9FE0
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_CTI_TZPROT_SHIFT          14
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_CTI_TZPROT_MASK           0x00004000
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_AXI_TRACE_21_TZPROT_SHIFT      13
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_AXI_TRACE_21_TZPROT_MASK       0x00002000
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_PWRWDOG_TZPROT_SHIFT      4
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_PWRWDOG_TZPROT_MASK       0x00000010
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_IPC_TZPROT_SHIFT          3
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_IPC_TZPROT_MASK           0x00000008
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_VPM_INTR_TZPROT_SHIFT          2
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_VPM_INTR_TZPROT_MASK           0x00000004
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_SWITCH_TZPROT_SHIFT       1
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_SWITCH_TZPROT_MASK        0x00000002
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_CCU_TZPROT_SHIFT          0
#define    KONATZCFG_KONA_HUB_APB14_TZPROT_ESUB_CCU_TZPROT_MASK           0x00000001

#define KONATZCFG_KONA_HUB_ESUB_TZPROT_OFFSET                             0x00000418
#define KONATZCFG_KONA_HUB_ESUB_TZPROT_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_ESUB_TZPROT_RESERVED_MASK                      0xFFFFFFFE
#define    KONATZCFG_KONA_HUB_ESUB_TZPROT_ESUB_TZPROT_SHIFT               0
#define    KONATZCFG_KONA_HUB_ESUB_TZPROT_ESUB_TZPROT_MASK                0x00000001

#define KONATZCFG_MM_TZCFG_LOCK_OFFSET                                    0x00000500
#define KONATZCFG_MM_TZCFG_LOCK_TYPE                                      UInt32
#define KONATZCFG_MM_TZCFG_LOCK_RESERVED_MASK                             0xFFFFFFFE
#define    KONATZCFG_MM_TZCFG_LOCK_MM_TZPROT_LOCK_SHIFT                   0
#define    KONATZCFG_MM_TZCFG_LOCK_MM_TZPROT_LOCK_MASK                    0x00000001

#define KONATZCFG_MM_TZPROT_OFFSET                                        0x00000504
#define KONATZCFG_MM_TZPROT_TYPE                                          UInt32
#define KONATZCFG_MM_TZPROT_RESERVED_MASK                                 0xFFFF00E0
#define    KONATZCFG_MM_TZPROT_MM_FUNNEL_TZPROT_SHIFT                     15
#define    KONATZCFG_MM_TZPROT_MM_FUNNEL_TZPROT_MASK                      0x00008000
#define    KONATZCFG_MM_TZPROT_AXI_TRACE_17_TZPROT_SHIFT                  14
#define    KONATZCFG_MM_TZPROT_AXI_TRACE_17_TZPROT_MASK                   0x00004000
#define    KONATZCFG_MM_TZPROT_AXI_TRACE_14_TZPROT_SHIFT                  13
#define    KONATZCFG_MM_TZPROT_AXI_TRACE_14_TZPROT_MASK                   0x00002000
#define    KONATZCFG_MM_TZPROT_MM_CTI_TZPROT_SHIFT                        12
#define    KONATZCFG_MM_TZPROT_MM_CTI_TZPROT_MASK                         0x00001000
#define    KONATZCFG_MM_TZPROT_V3D_2D_TZPROT_SHIFT                        11
#define    KONATZCFG_MM_TZPROT_V3D_2D_TZPROT_MASK                         0x00000800
#define    KONATZCFG_MM_TZPROT_DMAC_TZPROT_SHIFT                          10
#define    KONATZCFG_MM_TZPROT_DMAC_TZPROT_MASK                           0x00000400
#define    KONATZCFG_MM_TZPROT_CSI_1_TZPROT_SHIFT                         9
#define    KONATZCFG_MM_TZPROT_CSI_1_TZPROT_MASK                          0x00000200
#define    KONATZCFG_MM_TZPROT_CSI_0_TZPROT_SHIFT                         8
#define    KONATZCFG_MM_TZPROT_CSI_0_TZPROT_MASK                          0x00000100
#define    KONATZCFG_MM_TZPROT_MM_CFG_TZPROT_SHIFT                        4
#define    KONATZCFG_MM_TZPROT_MM_CFG_TZPROT_MASK                         0x00000010
#define    KONATZCFG_MM_TZPROT_LOSSI_SPI_TZPROT_SHIFT                     3
#define    KONATZCFG_MM_TZPROT_LOSSI_SPI_TZPROT_MASK                      0x00000008
#define    KONATZCFG_MM_TZPROT_TECTL_TZPROT_SHIFT                         2
#define    KONATZCFG_MM_TZPROT_TECTL_TZPROT_MASK                          0x00000004
#define    KONATZCFG_MM_TZPROT_MM_SW_TZPROT_SHIFT                         1
#define    KONATZCFG_MM_TZPROT_MM_SW_TZPROT_MASK                          0x00000002
#define    KONATZCFG_MM_TZPROT_MM_CCU_TZPROT_SHIFT                        0
#define    KONATZCFG_MM_TZPROT_MM_CCU_TZPROT_MASK                         0x00000001

#define KONATZCFG_MODEM_TZCFG_LOCK_OFFSET                                 0x00000600
#define KONATZCFG_MODEM_TZCFG_LOCK_TYPE                                   UInt32
#define KONATZCFG_MODEM_TZCFG_LOCK_RESERVED_MASK                          0xFFFFFFFC
#define    KONATZCFG_MODEM_TZCFG_LOCK_MODEM_TZPROT_LOCK_SHIFT             1
#define    KONATZCFG_MODEM_TZCFG_LOCK_MODEM_TZPROT_LOCK_MASK              0x00000002
#define    KONATZCFG_MODEM_TZCFG_LOCK_MODEM_AHB_TZPROT_LOCK_SHIFT         0
#define    KONATZCFG_MODEM_TZCFG_LOCK_MODEM_AHB_TZPROT_LOCK_MASK          0x00000001

#define KONATZCFG_MODEM_TZPROT_OFFSET                                     0x00000604
#define KONATZCFG_MODEM_TZPROT_TYPE                                       UInt32
#define KONATZCFG_MODEM_TZPROT_RESERVED_MASK                              0xFFFF27F2
#define    KONATZCFG_MODEM_TZPROT_MODEM_FUNNEL_TZPROT_SHIFT               15
#define    KONATZCFG_MODEM_TZPROT_MODEM_FUNNEL_TZPROT_MASK                0x00008000
#define    KONATZCFG_MODEM_TZPROT_AXI_TRACE_19_TZPROT_SHIFT               14
#define    KONATZCFG_MODEM_TZPROT_AXI_TRACE_19_TZPROT_MASK                0x00004000
#define    KONATZCFG_MODEM_TZPROT_AXI_TRACE_15_TZPROT_SHIFT               12
#define    KONATZCFG_MODEM_TZPROT_AXI_TRACE_15_TZPROT_MASK                0x00001000
#define    KONATZCFG_MODEM_TZPROT_OCP2ATB_TZPROT_SHIFT                    11
#define    KONATZCFG_MODEM_TZPROT_OCP2ATB_TZPROT_MASK                     0x00000800
#define    KONATZCFG_MODEM_TZPROT_ADDRESS_REMAP_TZPROT_SHIFT              3
#define    KONATZCFG_MODEM_TZPROT_ADDRESS_REMAP_TZPROT_MASK               0x00000008
#define    KONATZCFG_MODEM_TZPROT_PMU_SHIM_TZPROT_SHIFT                   2
#define    KONATZCFG_MODEM_TZPROT_PMU_SHIM_TZPROT_MASK                    0x00000004
#define    KONATZCFG_MODEM_TZPROT_MODEM_CCU_TZPROT_SHIFT                  0
#define    KONATZCFG_MODEM_TZPROT_MODEM_CCU_TZPROT_MASK                   0x00000001

#define KONATZCFG_MODEM_AHB_TZPROT_OFFSET                                 0x00000608
#define KONATZCFG_MODEM_AHB_TZPROT_TYPE                                   UInt32
#define KONATZCFG_MODEM_AHB_TZPROT_RESERVED_MASK                          0xFFFF0000
#define    KONATZCFG_MODEM_AHB_TZPROT_MODEM_AXIAHB_TZPROT_SHIFT           0
#define    KONATZCFG_MODEM_AHB_TZPROT_MODEM_AXIAHB_TZPROT_MASK            0x0000FFFF

#define KONATZCFG_KONA_HUB_SECSTAT_OFFSET                                 0x00000700
#define KONATZCFG_KONA_HUB_SECSTAT_TYPE                                   UInt32
#define KONATZCFG_KONA_HUB_SECSTAT_RESERVED_MASK                          0xFFFFCEFC
#define    KONATZCFG_KONA_HUB_SECSTAT_DISABLE_MODEM_SHIFT                 13
#define    KONATZCFG_KONA_HUB_SECSTAT_DISABLE_MODEM_MASK                  0x00002000
#define    KONATZCFG_KONA_HUB_SECSTAT_DISABLE_BROM_SHIFT                  12
#define    KONATZCFG_KONA_HUB_SECSTAT_DISABLE_BROM_MASK                   0x00001000
#define    KONATZCFG_KONA_HUB_SECSTAT_LVTAP_ACCESS_EN_SHIFT               8
#define    KONATZCFG_KONA_HUB_SECSTAT_LVTAP_ACCESS_EN_MASK                0x00000100
#define    KONATZCFG_KONA_HUB_SECSTAT_STRAP_SWDEV_BOOT_SHIFT              1
#define    KONATZCFG_KONA_HUB_SECSTAT_STRAP_SWDEV_BOOT_MASK               0x00000002
#define    KONATZCFG_KONA_HUB_SECSTAT_STRAP_TMACT_SHIFT                   0
#define    KONATZCFG_KONA_HUB_SECSTAT_STRAP_TMACT_MASK                    0x00000001

#define KONATZCFG_KONA_HUB_HSM_CTRL_OFFSET                                0x00000704
#define KONATZCFG_KONA_HUB_HSM_CTRL_TYPE                                  UInt32
#define KONATZCFG_KONA_HUB_HSM_CTRL_RESERVED_MASK                         0xFFFFFFFC
#define    KONATZCFG_KONA_HUB_HSM_CTRL_HSM_TZPROT_LOCK_SHIFT              1
#define    KONATZCFG_KONA_HUB_HSM_CTRL_HSM_TZPROT_LOCK_MASK               0x00000002
#define    KONATZCFG_KONA_HUB_HSM_CTRL_HSM_MODE_SHIFT                     0
#define    KONATZCFG_KONA_HUB_HSM_CTRL_HSM_MODE_MASK                      0x00000001

#define KONATZCFG_KONA_HUB_HSM_TZPROT_OFFSET                              0x0000070C
#define KONATZCFG_KONA_HUB_HSM_TZPROT_TYPE                                UInt32
#define KONATZCFG_KONA_HUB_HSM_TZPROT_RESERVED_MASK                       0x00000000
#define    KONATZCFG_KONA_HUB_HSM_TZPROT_HSM_TZPROT_SHIFT                 0
#define    KONATZCFG_KONA_HUB_HSM_TZPROT_HSM_TZPROT_MASK                  0xFFFFFFFF

#define KONATZCFG_KONA_HUB_DEV_STAT_OFFSET                                0x00000710
#define KONATZCFG_KONA_HUB_DEV_STAT_TYPE                                  UInt32
#define KONATZCFG_KONA_HUB_DEV_STAT_RESERVED_MASK                         0xFFFFFEF8
#define    KONATZCFG_KONA_HUB_DEV_STAT_EMU_MODE_SHIFT                     8
#define    KONATZCFG_KONA_HUB_DEV_STAT_EMU_MODE_MASK                      0x00000100
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_HSM_HW_DIS_SHIFT               2
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_HSM_HW_DIS_MASK                0x00000004
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_EMU_SHIFT                      1
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_EMU_MASK                       0x00000002
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_PROD_SHIFT                     0
#define    KONATZCFG_KONA_HUB_DEV_STAT_OTP_PROD_MASK                      0x00000001

#define KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_OFFSET                        0x00000714
#define KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_TYPE                          UInt32
#define KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVED_MASK                 0xFF000000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_23_OTP_DIS_SHIFT 23
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_23_OTP_DIS_MASK 0x00800000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_22_OTP_DIS_SHIFT 22
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_22_OTP_DIS_MASK 0x00400000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_21_OTP_DIS_SHIFT 21
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_21_OTP_DIS_MASK 0x00200000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_20_OTP_DIS_SHIFT 20
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_RESERVE_SECDBG_20_OTP_DIS_MASK 0x00100000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_VPU_DEC_EN_OTP_DIS_SHIFT 19
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_VPU_DEC_EN_OTP_DIS_MASK 0x00080000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_JTAG_NONSEC_EN_OTP_DIS_SHIFT 18
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_JTAG_NONSEC_EN_OTP_DIS_MASK 0x00040000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_ESW_JTAG_EN_OTP_DIS_SHIFT  17
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_ESW_JTAG_EN_OTP_DIS_MASK   0x00020000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_DSP_JTAG_EN_OTP_DIS_SHIFT  16
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_DSP_JTAG_EN_OTP_DIS_MASK   0x00010000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_CCU_DBG_REG_ACC_EN_OTP_DIS_SHIFT 15
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_CCU_DBG_REG_ACC_EN_OTP_DIS_MASK 0x00008000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SCANOUTEN_OTP_DIS_SHIFT    14
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SCANOUTEN_OTP_DIS_MASK     0x00004000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSTMEN_OTP_DIS_SHIFT       13
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSTMEN_OTP_DIS_MASK        0x00002000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSPNIDEN_OTP_DIS_SHIFT     12
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSPNIDEN_OTP_DIS_MASK      0x00001000
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSPIDEN_OTP_DIS_SHIFT      11
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MSPIDEN_OTP_DIS_MASK       0x00000800
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MNIDEN_OTP_DIS_SHIFT       10
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MNIDEN_OTP_DIS_MASK        0x00000400
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MDBGEN_OTP_DIS_SHIFT       9
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_MDBGEN_OTP_DIS_MASK        0x00000200
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_STMEN_OTP_DIS_SHIFT        8
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_STMEN_OTP_DIS_MASK         0x00000100
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_JTAG_SEC_EN_OTP_DIS_SHIFT 7
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_VC_JTAG_SEC_EN_OTP_DIS_MASK 0x00000080
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_M3DAPEN_OTP_DIS_SHIFT      6
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_M3DAPEN_OTP_DIS_MASK       0x00000040
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_M3NIEN_OTP_DIS_SHIFT       5
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_M3NIEN_OTP_DIS_MASK        0x00000020
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SPNIDEN_OTP_DIS_SHIFT      4
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SPNIDEN_OTP_DIS_MASK       0x00000010
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SPIDEN_OTP_DIS_SHIFT       3
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_SPIDEN_OTP_DIS_MASK        0x00000008
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_NIDEN_OTP_DIS_SHIFT        2
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_NIDEN_OTP_DIS_MASK         0x00000004
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_A9DBGEN_OTP_DIS_SHIFT      1
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_A9DBGEN_OTP_DIS_MASK       0x00000002
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_DAPAXISECEN_OTP_DIS_SHIFT  0
#define    KONATZCFG_KONA_HUB_OTP_SECURE_DEBUG_DAPAXISECEN_OTP_DIS_MASK   0x00000001

#define KONATZCFG_KONA_HUB_SECDEBUG_OFFSET                                0x00000718
#define KONATZCFG_KONA_HUB_SECDEBUG_TYPE                                  UInt32
#define KONATZCFG_KONA_HUB_SECDEBUG_RESERVED_MASK                         0xFF000000
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_23_SHIFT            23
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_23_MASK             0x00800000
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_22_SHIFT            22
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_22_MASK             0x00400000
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_21_SHIFT            21
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_21_MASK             0x00200000
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_20_SHIFT            20
#define    KONATZCFG_KONA_HUB_SECDEBUG_RESERVE_SECDBG_20_MASK             0x00100000
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_VPU_DEC_EN_SHIFT                19
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_VPU_DEC_EN_MASK                 0x00080000
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_JTAG_NONSEC_EN_SHIFT            18
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_JTAG_NONSEC_EN_MASK             0x00040000
#define    KONATZCFG_KONA_HUB_SECDEBUG_ESW_JTAG_EN_SHIFT                  17
#define    KONATZCFG_KONA_HUB_SECDEBUG_ESW_JTAG_EN_MASK                   0x00020000
#define    KONATZCFG_KONA_HUB_SECDEBUG_DSP_JTAG_EN_SHIFT                  16
#define    KONATZCFG_KONA_HUB_SECDEBUG_DSP_JTAG_EN_MASK                   0x00010000
#define    KONATZCFG_KONA_HUB_SECDEBUG_CCU_DBG_REG_ACC_EN_SHIFT           15
#define    KONATZCFG_KONA_HUB_SECDEBUG_CCU_DBG_REG_ACC_EN_MASK            0x00008000
#define    KONATZCFG_KONA_HUB_SECDEBUG_SCANOUTEN_SHIFT                    14
#define    KONATZCFG_KONA_HUB_SECDEBUG_SCANOUTEN_MASK                     0x00004000
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSTMEN_SHIFT                       13
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSTMEN_MASK                        0x00002000
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSPNIDEN_SHIFT                     12
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSPNIDEN_MASK                      0x00001000
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSPIDEN_SHIFT                      11
#define    KONATZCFG_KONA_HUB_SECDEBUG_MSPIDEN_MASK                       0x00000800
#define    KONATZCFG_KONA_HUB_SECDEBUG_MNIDEN_SHIFT                       10
#define    KONATZCFG_KONA_HUB_SECDEBUG_MNIDEN_MASK                        0x00000400
#define    KONATZCFG_KONA_HUB_SECDEBUG_MDBGEN_SHIFT                       9
#define    KONATZCFG_KONA_HUB_SECDEBUG_MDBGEN_MASK                        0x00000200
#define    KONATZCFG_KONA_HUB_SECDEBUG_STMEN_SHIFT                        8
#define    KONATZCFG_KONA_HUB_SECDEBUG_STMEN_MASK                         0x00000100
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_JTAG_SEC_EN_SHIFT               7
#define    KONATZCFG_KONA_HUB_SECDEBUG_VC_JTAG_SEC_EN_MASK                0x00000080
#define    KONATZCFG_KONA_HUB_SECDEBUG_M3DAPEN_SHIFT                      6
#define    KONATZCFG_KONA_HUB_SECDEBUG_M3DAPEN_MASK                       0x00000040
#define    KONATZCFG_KONA_HUB_SECDEBUG_M3NIEN_SHIFT                       5
#define    KONATZCFG_KONA_HUB_SECDEBUG_M3NIEN_MASK                        0x00000020
#define    KONATZCFG_KONA_HUB_SECDEBUG_SPNIDEN_SHIFT                      4
#define    KONATZCFG_KONA_HUB_SECDEBUG_SPNIDEN_MASK                       0x00000010
#define    KONATZCFG_KONA_HUB_SECDEBUG_SPIDEN_SHIFT                       3
#define    KONATZCFG_KONA_HUB_SECDEBUG_SPIDEN_MASK                        0x00000008
#define    KONATZCFG_KONA_HUB_SECDEBUG_NIDEN_SHIFT                        2
#define    KONATZCFG_KONA_HUB_SECDEBUG_NIDEN_MASK                         0x00000004
#define    KONATZCFG_KONA_HUB_SECDEBUG_A9DBGEN_SHIFT                      1
#define    KONATZCFG_KONA_HUB_SECDEBUG_A9DBGEN_MASK                       0x00000002
#define    KONATZCFG_KONA_HUB_SECDEBUG_DAPAXISECEN_SHIFT                  0
#define    KONATZCFG_KONA_HUB_SECDEBUG_DAPAXISECEN_MASK                   0x00000001

#define KONATZCFG_KONA_HUB_SECDEBUGLOCK_OFFSET                            0x0000071C
#define KONATZCFG_KONA_HUB_SECDEBUGLOCK_TYPE                              UInt32
#define KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVED_MASK                     0xFF000000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_23_LOCK_SHIFT   23
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_23_LOCK_MASK    0x00800000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_22_LOCK_SHIFT   22
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_22_LOCK_MASK    0x00400000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_21_LOCK_SHIFT   21
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_21_LOCK_MASK    0x00200000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_20_LOCK_SHIFT   20
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_RESERVE_SECDBG_20_LOCK_MASK    0x00100000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_VPU_DEC_EN_LOCK_SHIFT       19
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_VPU_DEC_EN_LOCK_MASK        0x00080000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_JTAG_NONSEC_EN_LOCK_SHIFT   18
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_JTAG_NONSEC_EN_LOCK_MASK    0x00040000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_ESW_JTAG_EN_LOCK_SHIFT         17
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_ESW_JTAG_EN_LOCK_MASK          0x00020000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_DSP_JTAG_EN_LOCK_SHIFT         16
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_DSP_JTAG_EN_LOCK_MASK          0x00010000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_CCU_DBG_REG_ACC_EN_LOCK_SHIFT  15
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_CCU_DBG_REG_ACC_EN_LOCK_MASK   0x00008000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SCANOUTEN_LOCK_SHIFT           14
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SCANOUTEN_LOCK_MASK            0x00004000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSTMEN_LOCK_SHIFT              13
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSTMEN_LOCK_MASK               0x00002000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSPNIDEN_LOCK_SHIFT            12
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSPNIDEN_LOCK_MASK             0x00001000
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSPIDEN_LOCK_SHIFT             11
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MSPIDEN_LOCK_MASK              0x00000800
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MNIDEN_LOCK_SHIFT              10
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MNIDEN_LOCK_MASK               0x00000400
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MDBGEN_LOCK_SHIFT              9
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_MDBGEN_LOCK_MASK               0x00000200
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_STMEN_LOCK_SHIFT               8
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_STMEN_LOCK_MASK                0x00000100
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_JTAG_SEC_EN_LOCK_SHIFT      7
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_VC_JTAG_SEC_EN_LOCK_MASK       0x00000080
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_M3DAPEN_LOCK_SHIFT             6
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_M3DAPEN_LOCK_MASK              0x00000040
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_M3NIEN_LOCK_SHIFT              5
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_M3NIEN_LOCK_MASK               0x00000020
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SPNIDEN_LOCK_SHIFT             4
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SPNIDEN_LOCK_MASK              0x00000010
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SPIDEN_LOCK_SHIFT              3
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_SPIDEN_LOCK_MASK               0x00000008
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_NIDEN_LOCK_SHIFT               2
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_NIDEN_LOCK_MASK                0x00000004
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_A9DBGEN_LOCK_SHIFT             1
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_A9DBGEN_LOCK_MASK              0x00000002
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_DAPAXISECEN_LOCK_SHIFT         0
#define    KONATZCFG_KONA_HUB_SECDEBUGLOCK_DAPAXISECEN_LOCK_MASK          0x00000001

#define KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_OFFSET                       0x00000720
#define KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_TYPE                         UInt32
#define KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_RESERVED_MASK                0x00000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_31_SHIFT   31
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_31_MASK    0x80000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_30_SHIFT   30
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_30_MASK    0x40000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_29_SHIFT   29
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_29_MASK    0x20000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_28_SHIFT   28
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_28_MASK    0x10000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_27_SHIFT   27
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_27_MASK    0x08000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_26_SHIFT   26
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_26_MASK    0x04000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_25_SHIFT   25
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_25_MASK    0x02000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_24_SHIFT   24
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_24_MASK    0x01000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_23_SHIFT   23
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_23_MASK    0x00800000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_22_SHIFT   22
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_22_MASK    0x00400000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_21_SHIFT   21
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_21_MASK    0x00200000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_20_SHIFT   20
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_20_MASK    0x00100000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_19_SHIFT   19
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_19_MASK    0x00080000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_18_SHIFT   18
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_18_MASK    0x00040000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_17_SHIFT   17
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_17_MASK    0x00020000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_16_SHIFT   16
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_16_MASK    0x00010000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_15_SHIFT   15
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_15_MASK    0x00008000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_14_SHIFT   14
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_14_MASK    0x00004000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_13_SHIFT   13
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_13_MASK    0x00002000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_12_SHIFT   12
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_12_MASK    0x00001000
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_11_SHIFT   11
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_11_MASK    0x00000800
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_10_SHIFT   10
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_10_MASK    0x00000400
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_9_SHIFT    9
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_9_MASK     0x00000200
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_8_SHIFT    8
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_8_MASK     0x00000100
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_7_SHIFT    7
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_7_MASK     0x00000080
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_6_SHIFT    6
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_6_MASK     0x00000040
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_5_SHIFT    5
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_5_MASK     0x00000020
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_4_SHIFT    4
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_4_MASK     0x00000010
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_3_SHIFT    3
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_3_MASK     0x00000008
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_2_SHIFT    2
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_2_MASK     0x00000004
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_1_SHIFT    1
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_1_MASK     0x00000002
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_0_SHIFT    0
#define    KONATZCFG_KONA_HUB_OTP_RGN_RD_ACCESS_DIS_OTP_RGN_RD_0_MASK     0x00000001

#define KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_OFFSET                       0x00000724
#define KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_TYPE                         UInt32
#define KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_RESERVED_MASK                0x00000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_31_SHIFT   31
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_31_MASK    0x80000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_30_SHIFT   30
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_30_MASK    0x40000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_29_SHIFT   29
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_29_MASK    0x20000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_28_SHIFT   28
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_28_MASK    0x10000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_27_SHIFT   27
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_27_MASK    0x08000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_26_SHIFT   26
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_26_MASK    0x04000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_25_SHIFT   25
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_25_MASK    0x02000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_24_SHIFT   24
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_24_MASK    0x01000000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_23_SHIFT   23
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_23_MASK    0x00800000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_22_SHIFT   22
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_22_MASK    0x00400000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_21_SHIFT   21
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_21_MASK    0x00200000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_20_SHIFT   20
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_20_MASK    0x00100000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_19_SHIFT   19
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_19_MASK    0x00080000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_18_SHIFT   18
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_18_MASK    0x00040000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_17_SHIFT   17
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_17_MASK    0x00020000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_16_SHIFT   16
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_16_MASK    0x00010000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_15_SHIFT   15
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_15_MASK    0x00008000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_14_SHIFT   14
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_14_MASK    0x00004000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_13_SHIFT   13
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_13_MASK    0x00002000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_12_SHIFT   12
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_12_MASK    0x00001000
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_11_SHIFT   11
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_11_MASK    0x00000800
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_10_SHIFT   10
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_10_MASK    0x00000400
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_9_SHIFT    9
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_9_MASK     0x00000200
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_8_SHIFT    8
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_8_MASK     0x00000100
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_7_SHIFT    7
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_7_MASK     0x00000080
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_6_SHIFT    6
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_6_MASK     0x00000040
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_5_SHIFT    5
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_5_MASK     0x00000020
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_4_SHIFT    4
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_4_MASK     0x00000010
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_3_SHIFT    3
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_3_MASK     0x00000008
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_2_SHIFT    2
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_2_MASK     0x00000004
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_1_SHIFT    1
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_1_MASK     0x00000002
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_0_SHIFT    0
#define    KONATZCFG_KONA_HUB_OTP_RGN_WR_ACCESS_DIS_OTP_RGN_WR_0_MASK     0x00000001

#define KONATZCFG_KONA_HUB_MAILBOX0_OFFSET                                0x00000728
#define KONATZCFG_KONA_HUB_MAILBOX0_TYPE                                  UInt32
#define KONATZCFG_KONA_HUB_MAILBOX0_RESERVED_MASK                         0x00000000
#define    KONATZCFG_KONA_HUB_MAILBOX0_MAILBOX0_SHIFT                     0
#define    KONATZCFG_KONA_HUB_MAILBOX0_MAILBOX0_MASK                      0xFFFFFFFF

#define KONATZCFG_KONA_HUB_MAILBOX1_OFFSET                                0x0000072C
#define KONATZCFG_KONA_HUB_MAILBOX1_TYPE                                  UInt32
#define KONATZCFG_KONA_HUB_MAILBOX1_RESERVED_MASK                         0x00000000
#define    KONATZCFG_KONA_HUB_MAILBOX1_MAILBOX1_SHIFT                     0
#define    KONATZCFG_KONA_HUB_MAILBOX1_MAILBOX1_MASK                      0xFFFFFFFF

#define KONATZCFG_KONA_HUB_SEC_GP_REG0_OFFSET                             0x00000730
#define KONATZCFG_KONA_HUB_SEC_GP_REG0_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_SEC_GP_REG0_RESERVED_MASK                      0x00000000
#define    KONATZCFG_KONA_HUB_SEC_GP_REG0_SEC_GP_REG0_SHIFT               0
#define    KONATZCFG_KONA_HUB_SEC_GP_REG0_SEC_GP_REG0_MASK                0xFFFFFFFF

#define KONATZCFG_KONA_HUB_SEC_GP_REG1_OFFSET                             0x00000734
#define KONATZCFG_KONA_HUB_SEC_GP_REG1_TYPE                               UInt32
#define KONATZCFG_KONA_HUB_SEC_GP_REG1_RESERVED_MASK                      0x00000000
#define    KONATZCFG_KONA_HUB_SEC_GP_REG1_SEC_GP_REG1_SHIFT               0
#define    KONATZCFG_KONA_HUB_SEC_GP_REG1_SEC_GP_REG1_MASK                0xFFFFFFFF

#define KONATZCFG_BROM_HIDE_RGN0_CTRL_OFFSET                              0x00000738
#define KONATZCFG_BROM_HIDE_RGN0_CTRL_TYPE                                UInt32
#define KONATZCFG_BROM_HIDE_RGN0_CTRL_RESERVED_MASK                       0xFFFFFFFE
#define    KONATZCFG_BROM_HIDE_RGN0_CTRL_BROM_HIDE_RGN0_EN_SHIFT          0
#define    KONATZCFG_BROM_HIDE_RGN0_CTRL_BROM_HIDE_RGN0_EN_MASK           0x00000001

#define KONATZCFG_BROM_HIDE_RGN0_START_OFFSET                             0x0000073C
#define KONATZCFG_BROM_HIDE_RGN0_START_TYPE                               UInt32
#define KONATZCFG_BROM_HIDE_RGN0_START_RESERVED_MASK                      0xFE000000
#define    KONATZCFG_BROM_HIDE_RGN0_START_BROM_HIDE_RGN0_START_SHIFT      0
#define    KONATZCFG_BROM_HIDE_RGN0_START_BROM_HIDE_RGN0_START_MASK       0x01FFFFFF

#define KONATZCFG_BROM_HIDE_RGN0_END_OFFSET                               0x00000740
#define KONATZCFG_BROM_HIDE_RGN0_END_TYPE                                 UInt32
#define KONATZCFG_BROM_HIDE_RGN0_END_RESERVED_MASK                        0xFE000000
#define    KONATZCFG_BROM_HIDE_RGN0_END_BROM_HIDE_RGN0_END_SHIFT          0
#define    KONATZCFG_BROM_HIDE_RGN0_END_BROM_HIDE_RGN0_END_MASK           0x01FFFFFF

#define KONATZCFG_BROM_HIDE_RGN1_CTRL_OFFSET                              0x00000744
#define KONATZCFG_BROM_HIDE_RGN1_CTRL_TYPE                                UInt32
#define KONATZCFG_BROM_HIDE_RGN1_CTRL_RESERVED_MASK                       0xFFFFFFFE
#define    KONATZCFG_BROM_HIDE_RGN1_CTRL_BROM_HIDE_RGN1_EN_SHIFT          0
#define    KONATZCFG_BROM_HIDE_RGN1_CTRL_BROM_HIDE_RGN1_EN_MASK           0x00000001

#define KONATZCFG_BROM_HIDE_RGN1_START_OFFSET                             0x00000748
#define KONATZCFG_BROM_HIDE_RGN1_START_TYPE                               UInt32
#define KONATZCFG_BROM_HIDE_RGN1_START_RESERVED_MASK                      0xFE000000
#define    KONATZCFG_BROM_HIDE_RGN1_START_BROM_HIDE_RGN1_START_SHIFT      0
#define    KONATZCFG_BROM_HIDE_RGN1_START_BROM_HIDE_RGN1_START_MASK       0x01FFFFFF

#define KONATZCFG_BROM_HIDE_RGN1_END_OFFSET                               0x0000074C
#define KONATZCFG_BROM_HIDE_RGN1_END_TYPE                                 UInt32
#define KONATZCFG_BROM_HIDE_RGN1_END_RESERVED_MASK                        0xFE000000
#define    KONATZCFG_BROM_HIDE_RGN1_END_BROM_HIDE_RGN1_END_SHIFT          0
#define    KONATZCFG_BROM_HIDE_RGN1_END_BROM_HIDE_RGN1_END_MASK           0x01FFFFFF

#define KONATZCFG_PMU_INTR_EN0_OFFSET                                     0x00000800
#define KONATZCFG_PMU_INTR_EN0_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN0_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN0_PMU_INTR_EN_0_31_SHIFT                  0
#define    KONATZCFG_PMU_INTR_EN0_PMU_INTR_EN_0_31_MASK                   0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN1_OFFSET                                     0x00000804
#define KONATZCFG_PMU_INTR_EN1_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN1_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN1_PMU_INTR_EN_32_63_SHIFT                 0
#define    KONATZCFG_PMU_INTR_EN1_PMU_INTR_EN_32_63_MASK                  0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN2_OFFSET                                     0x00000808
#define KONATZCFG_PMU_INTR_EN2_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN2_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN2_PMU_INTR_EN_64_95_SHIFT                 0
#define    KONATZCFG_PMU_INTR_EN2_PMU_INTR_EN_64_95_MASK                  0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN3_OFFSET                                     0x0000080C
#define KONATZCFG_PMU_INTR_EN3_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN3_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN3_PMU_INTR_EN_96_127_SHIFT                0
#define    KONATZCFG_PMU_INTR_EN3_PMU_INTR_EN_96_127_MASK                 0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN4_OFFSET                                     0x00000810
#define KONATZCFG_PMU_INTR_EN4_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN4_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN4_PMU_INTR_EN_128_159_SHIFT               0
#define    KONATZCFG_PMU_INTR_EN4_PMU_INTR_EN_128_159_MASK                0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN5_OFFSET                                     0x00000814
#define KONATZCFG_PMU_INTR_EN5_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN5_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN5_PMU_INTR_EN_160_191_SHIFT               0
#define    KONATZCFG_PMU_INTR_EN5_PMU_INTR_EN_160_191_MASK                0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN6_OFFSET                                     0x00000818
#define KONATZCFG_PMU_INTR_EN6_TYPE                                       UInt32
#define KONATZCFG_PMU_INTR_EN6_RESERVED_MASK                              0x00000000
#define    KONATZCFG_PMU_INTR_EN6_PMU_INTR_EN_192_223_SHIFT               0
#define    KONATZCFG_PMU_INTR_EN6_PMU_INTR_EN_192_223_MASK                0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN0_CLR_OFFSET                                 0x00000820
#define KONATZCFG_PMU_INTR_EN0_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN0_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN0_CLR_PMU_INTR_EN_0_31_SHIFT              0
#define    KONATZCFG_PMU_INTR_EN0_CLR_PMU_INTR_EN_0_31_MASK               0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN1_CLR_OFFSET                                 0x00000824
#define KONATZCFG_PMU_INTR_EN1_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN1_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN1_CLR_PMU_INTR_EN_32_63_SHIFT             0
#define    KONATZCFG_PMU_INTR_EN1_CLR_PMU_INTR_EN_32_63_MASK              0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN2_CLR_OFFSET                                 0x00000828
#define KONATZCFG_PMU_INTR_EN2_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN2_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN2_CLR_PMU_INTR_EN_64_95_SHIFT             0
#define    KONATZCFG_PMU_INTR_EN2_CLR_PMU_INTR_EN_64_95_MASK              0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN3_CLR_OFFSET                                 0x0000082C
#define KONATZCFG_PMU_INTR_EN3_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN3_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN3_CLR_PMU_INTR_EN_96_127_SHIFT            0
#define    KONATZCFG_PMU_INTR_EN3_CLR_PMU_INTR_EN_96_127_MASK             0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN4_CLR_OFFSET                                 0x00000830
#define KONATZCFG_PMU_INTR_EN4_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN4_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN4_CLR_PMU_INTR_EN_128_159_SHIFT           0
#define    KONATZCFG_PMU_INTR_EN4_CLR_PMU_INTR_EN_128_159_MASK            0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN5_CLR_OFFSET                                 0x00000834
#define KONATZCFG_PMU_INTR_EN5_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN5_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN5_CLR_PMU_INTR_EN_160_191_SHIFT           0
#define    KONATZCFG_PMU_INTR_EN5_CLR_PMU_INTR_EN_160_191_MASK            0xFFFFFFFF

#define KONATZCFG_PMU_INTR_EN6_CLR_OFFSET                                 0x00000838
#define KONATZCFG_PMU_INTR_EN6_CLR_TYPE                                   UInt32
#define KONATZCFG_PMU_INTR_EN6_CLR_RESERVED_MASK                          0x00000000
#define    KONATZCFG_PMU_INTR_EN6_CLR_PMU_INTR_EN_192_223_SHIFT           0
#define    KONATZCFG_PMU_INTR_EN6_CLR_PMU_INTR_EN_192_223_MASK            0xFFFFFFFF

#endif /* __BRCM_RDB_KONATZCFG_H__ */


