/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_QOS_REGISTERS_H__
#define __BRCM_RDB_QOS_REGISTERS_H__

#define QOS_REGISTERS_QOS_GLOBAL_CONTROL_OFFSET                           0x00000000
#define QOS_REGISTERS_QOS_GLOBAL_CONTROL_TYPE                             UInt8
#define QOS_REGISTERS_QOS_GLOBAL_CONTROL_RESERVED_MASK                    0x00000033
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_AGGREGATION_MOD_SHIFT         7
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_AGGREGATION_MOD_MASK          0x00000080
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_PORT_BASE_QOS_EN_SHIFT        6
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_PORT_BASE_QOS_EN_MASK         0x00000040
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_QOS_LAYER_SEL_SHIFT           2
#define    QOS_REGISTERS_QOS_GLOBAL_CONTROL_QOS_LAYER_SEL_MASK            0x0000000C

#define QOS_REGISTERS_RESERVE_300_OFFSET                                  0x00000008
#define QOS_REGISTERS_RESERVE_300_TYPE                                    UInt8
#define QOS_REGISTERS_RESERVE_300_RESERVED_MASK                           0x000000FF

#define QOS_REGISTERS_RESERVE_301_OFFSET                                  0x00000010
#define QOS_REGISTERS_RESERVE_301_TYPE                                    UInt8
#define QOS_REGISTERS_RESERVE_301_RESERVED_MASK                           0x000000FF

#define QOS_REGISTERS_QOS_1P_ENABLE_REGISTER_OFFSET                       0x00000020
#define QOS_REGISTERS_QOS_1P_ENABLE_REGISTER_TYPE                         UInt16
#define QOS_REGISTERS_QOS_1P_ENABLE_REGISTER_RESERVED_MASK                0x0000FE00
#define    QOS_REGISTERS_QOS_1P_ENABLE_REGISTER_QOS_EN_802_1P_SHIFT       0
#define    QOS_REGISTERS_QOS_1P_ENABLE_REGISTER_QOS_EN_802_1P_MASK        0x000001FF

#define QOS_REGISTERS_QOS_DIFFSERV_ENABLE_OFFSET                          0x00000030
#define QOS_REGISTERS_QOS_DIFFSERV_ENABLE_TYPE                            UInt16
#define QOS_REGISTERS_QOS_DIFFSERV_ENABLE_RESERVED_MASK                   0x0000FE00
#define    QOS_REGISTERS_QOS_DIFFSERV_ENABLE_QOS_EN_DIFFSERV_SHIFT        0
#define    QOS_REGISTERS_QOS_DIFFSERV_ENABLE_QOS_EN_DIFFSERV_MASK         0x000001FF

#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_OFFSET                          0x00000080
#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_TYPE                            UInt32
#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_RESERVED_MASK                   0xFF000000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT0_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_OFFSET                          0x000000A0
#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_TYPE                            UInt32
#define QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_RESERVED_MASK                   0xFF000000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_PORT1_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_OFFSET                       0x00000140
#define QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_TYPE                         UInt32
#define QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_RESERVED_MASK                0xFF000000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_PCP_TO_TC_MAP_IMP_PORT_IEEE_802_1P_1Q_TAG_000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_OFFSET                      0x00000180
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_TYPE                        UInt64
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_RESERVED_MASK               0xFFFF000000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001111_PRIORITY_MAP_SHIFT 45
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001111_PRIORITY_MAP_MASK 0xE00000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001110_PRIORITY_MAP_SHIFT 42
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001110_PRIORITY_MAP_MASK 0x1C0000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001101_PRIORITY_MAP_SHIFT 39
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001101_PRIORITY_MAP_MASK 0x38000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001100_PRIORITY_MAP_SHIFT 36
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001100_PRIORITY_MAP_MASK 0x7000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001011_PRIORITY_MAP_SHIFT 33
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001011_PRIORITY_MAP_MASK 0xE00000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001010_PRIORITY_MAP_SHIFT 30
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001010_PRIORITY_MAP_MASK 0x1C0000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001001_PRIORITY_MAP_SHIFT 27
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001001_PRIORITY_MAP_MASK 0x38000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001000_PRIORITY_MAP_SHIFT 24
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_001000_PRIORITY_MAP_MASK 0x07000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_0_DIFFSERV_DSCP_000000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_OFFSET                      0x000001B0
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_TYPE                        UInt64
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_RESERVED_MASK               0xFFFF000000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011111_PRIORITY_MAP_SHIFT 45
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011111_PRIORITY_MAP_MASK 0xE00000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011110_PRIORITY_MAP_SHIFT 42
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011110_PRIORITY_MAP_MASK 0x1C0000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011101_PRIORITY_MAP_SHIFT 39
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011101_PRIORITY_MAP_MASK 0x38000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011100_PRIORITY_MAP_SHIFT 36
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011100_PRIORITY_MAP_MASK 0x7000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011011_PRIORITY_MAP_SHIFT 33
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011011_PRIORITY_MAP_MASK 0xE00000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011010_PRIORITY_MAP_SHIFT 30
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011010_PRIORITY_MAP_MASK 0x1C0000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011001_PRIORITY_MAP_SHIFT 27
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011001_PRIORITY_MAP_MASK 0x38000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011000_PRIORITY_MAP_SHIFT 24
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_011000_PRIORITY_MAP_MASK 0x07000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_000100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_000100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_1_DIFFSERV_DSCP_010000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_OFFSET                      0x000001E0
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_TYPE                        UInt64
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_RESERVED_MASK               0xFFFF000000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101111_PRIORITY_MAP_SHIFT 45
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101111_PRIORITY_MAP_MASK 0xE00000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101110_PRIORITY_MAP_SHIFT 42
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101110_PRIORITY_MAP_MASK 0x1C0000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101101_PRIORITY_MAP_SHIFT 39
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101101_PRIORITY_MAP_MASK 0x38000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101100_PRIORITY_MAP_SHIFT 36
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101100_PRIORITY_MAP_MASK 0x7000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101011_PRIORITY_MAP_SHIFT 33
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101011_PRIORITY_MAP_MASK 0xE00000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101010_PRIORITY_MAP_SHIFT 30
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101010_PRIORITY_MAP_MASK 0x1C0000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101001_PRIORITY_MAP_SHIFT 27
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101001_PRIORITY_MAP_MASK 0x38000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101000_PRIORITY_MAP_SHIFT 24
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_101000_PRIORITY_MAP_MASK 0x07000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_2_DIFFSERV_DSCP_100000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_OFFSET                      0x00000210
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_TYPE                        UInt64
#define QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_RESERVED_MASK               0xFFFF000000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111111_PRIORITY_MAP_SHIFT 45
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111111_PRIORITY_MAP_MASK 0xE00000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111110_PRIORITY_MAP_SHIFT 42
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111110_PRIORITY_MAP_MASK 0x1C0000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111101_PRIORITY_MAP_SHIFT 39
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111101_PRIORITY_MAP_MASK 0x38000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111100_PRIORITY_MAP_SHIFT 36
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111100_PRIORITY_MAP_MASK 0x7000000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111011_PRIORITY_MAP_SHIFT 33
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111011_PRIORITY_MAP_MASK 0xE00000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111010_PRIORITY_MAP_SHIFT 30
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111010_PRIORITY_MAP_MASK 0x1C0000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111001_PRIORITY_MAP_SHIFT 27
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111001_PRIORITY_MAP_MASK 0x38000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111000_PRIORITY_MAP_SHIFT 24
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_111000_PRIORITY_MAP_MASK 0x07000000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110111_PRIORITY_MAP_SHIFT 21
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110111_PRIORITY_MAP_MASK 0x00E00000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110110_PRIORITY_MAP_SHIFT 18
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110110_PRIORITY_MAP_MASK 0x001C0000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110101_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110101_PRIORITY_MAP_MASK 0x00038000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110100_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110100_PRIORITY_MAP_MASK 0x00007000
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110011_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110011_PRIORITY_MAP_MASK 0x00000E00
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110010_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110010_PRIORITY_MAP_MASK 0x000001C0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110001_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110001_PRIORITY_MAP_MASK 0x00000038
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110000_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_DIFFSERV_PRIORITY_MAP_3_DIFFSERV_DSCP_110000_PRIORITY_MAP_MASK 0x00000007

#define QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_OFFSET                       0x00000310
#define QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_TYPE                         UInt16
#define QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_RESERVED_MASK                0x00000000
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_111_TO_QID_SHIFT      14
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_111_TO_QID_MASK       0x0000C000
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_110_TO_QID_SHIFT      12
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_110_TO_QID_MASK       0x00003000
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_101_TO_QID_SHIFT      10
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_101_TO_QID_MASK       0x00000C00
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_100_TO_QID_SHIFT      8
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_100_TO_QID_MASK       0x00000300
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_011_TO_QID_SHIFT      6
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_011_TO_QID_MASK       0x000000C0
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_010_TO_QID_SHIFT      4
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_010_TO_QID_MASK       0x00000030
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_001_TO_QID_SHIFT      2
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_001_TO_QID_MASK       0x0000000C
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_000_TO_QID_SHIFT      0
#define    QOS_REGISTERS_TC_TO_COS_MAP_REGISTER_PRI_000_TO_QID_MASK       0x00000003

#define QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_OFFSET                      0x00000320
#define QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_TYPE                        UInt32
#define QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_RESERVED_MASK               0xFF924924
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_CLASS_B_EAV_SHIFT        21
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_CLASS_B_EAV_MASK         0x00600000
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_CLASS_A_EAV_SHIFT        18
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_CLASS_A_EAV_MASK         0x000C0000
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_EXCEPTION_PROCESSING_TO_CPU_PRIORITY_MAP_SHIFT 15
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_EXCEPTION_PROCESSING_TO_CPU_PRIORITY_MAP_MASK 0x00018000
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_PROTOCOL_SNOOPING_TO_CPU_PRIORITY_MAP_SHIFT 12
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_PROTOCOL_SNOOPING_TO_CPU_PRIORITY_MAP_MASK 0x00003000
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_PROTOCOL_TERMINATION_TO_CPU_PRIORITY_MAP_SHIFT 9
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_PROTOCOL_TERMINATION_TO_CPU_PRIORITY_MAP_MASK 0x00000600
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_SWITCHING_FLOODING_TO_CPU_PRIORITY_MAP_SHIFT 6
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_SWITCHING_FLOODING_TO_CPU_PRIORITY_MAP_MASK 0x000000C0
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_SA_LEARNING_TO_CPU_PRIORITY_MAP_SHIFT 3
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_SA_LEARNING_TO_CPU_PRIORITY_MAP_MASK 0x00000018
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_MIRROR_TO_CPU_PRIORITY_MAP_SHIFT 0
#define    QOS_REGISTERS_CPU_TO_COS_MAP_REGISTER_MIRROR_TO_CPU_PRIORITY_MAP_MASK 0x00000003

#define QOS_REGISTERS_QOS_TX_CONTROL_REGISTER_OFFSET                      0x00000400
#define QOS_REGISTERS_QOS_TX_CONTROL_REGISTER_TYPE                        UInt8
#define QOS_REGISTERS_QOS_TX_CONTROL_REGISTER_RESERVED_MASK               0x000000FC
#define    QOS_REGISTERS_QOS_TX_CONTROL_REGISTER_QOS_PRIORITY_CTRL_SHIFT  0
#define    QOS_REGISTERS_QOS_TX_CONTROL_REGISTER_QOS_PRIORITY_CTRL_MASK   0x00000003

#define QOS_REGISTERS_QUEUE_0_WEIGHT_REGISTER_OFFSET                      0x00000408
#define QOS_REGISTERS_QUEUE_0_WEIGHT_REGISTER_TYPE                        UInt8
#define QOS_REGISTERS_QUEUE_0_WEIGHT_REGISTER_RESERVED_MASK               0x00000000
#define    QOS_REGISTERS_QUEUE_0_WEIGHT_REGISTER_SERVICE_WEIGHT_SHIFT     0
#define    QOS_REGISTERS_QUEUE_0_WEIGHT_REGISTER_SERVICE_WEIGHT_MASK      0x000000FF

#define QOS_REGISTERS_QUEUE_1_WEIGHT_REGISTER_OFFSET                      0x00000410
#define QOS_REGISTERS_QUEUE_1_WEIGHT_REGISTER_TYPE                        UInt8
#define QOS_REGISTERS_QUEUE_1_WEIGHT_REGISTER_RESERVED_MASK               0x00000000
#define    QOS_REGISTERS_QUEUE_1_WEIGHT_REGISTER_SERVICE_WEIGHT_SHIFT     0
#define    QOS_REGISTERS_QUEUE_1_WEIGHT_REGISTER_SERVICE_WEIGHT_MASK      0x000000FF

#define QOS_REGISTERS_QUEUE_2_WEIGHT_REGISTER_OFFSET                      0x00000418
#define QOS_REGISTERS_QUEUE_2_WEIGHT_REGISTER_TYPE                        UInt8
#define QOS_REGISTERS_QUEUE_2_WEIGHT_REGISTER_RESERVED_MASK               0x00000000
#define    QOS_REGISTERS_QUEUE_2_WEIGHT_REGISTER_SERVICE_WEIGHT_SHIFT     0
#define    QOS_REGISTERS_QUEUE_2_WEIGHT_REGISTER_SERVICE_WEIGHT_MASK      0x000000FF

#define QOS_REGISTERS_QUEUE_3_WEIGHT_REGISTER_OFFSET                      0x00000420
#define QOS_REGISTERS_QUEUE_3_WEIGHT_REGISTER_TYPE                        UInt8
#define QOS_REGISTERS_QUEUE_3_WEIGHT_REGISTER_RESERVED_MASK               0x00000000
#define    QOS_REGISTERS_QUEUE_3_WEIGHT_REGISTER_SERVICE_WEIGHT_SHIFT     0
#define    QOS_REGISTERS_QUEUE_3_WEIGHT_REGISTER_SERVICE_WEIGHT_MASK      0x000000FF

#define QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_OFFSET                      0x00000428
#define QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_TYPE                        UInt16
#define QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_RESERVED_MASK               0x0000FE00
#define    QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_C4_STRICT_PRIORITY_SHIFT 8
#define    QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_C4_STRICT_PRIORITY_MASK  0x00000100
#define    QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_C4_WEIGHT_SHIFT          0
#define    QOS_REGISTERS_SERVICE_WEIGHT_REGISTER_C4_WEIGHT_MASK           0x000000FF

#endif /* __BRCM_RDB_QOS_REGISTERS_H__ */


