/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_SLIMBUS_H__
#define __BRCM_RDB_SLIMBUS_H__

#define SLIMBUS_SLIM_CON_OFFSET                                           0x00000000
#define SLIMBUS_SLIM_CON_TYPE                                             UInt32
#define SLIMBUS_SLIM_CON_RESERVED_MASK                                    0xFFFFFE40
#define    SLIMBUS_SLIM_CON_NACK_AM_SHIFT                                 8
#define    SLIMBUS_SLIM_CON_NACK_AM_MASK                                  0x00000100
#define    SLIMBUS_SLIM_CON_UPC_SHIFT                                     7
#define    SLIMBUS_SLIM_CON_UPC_MASK                                      0x00000080
#define    SLIMBUS_SLIM_CON_CR_SHIFT                                      5
#define    SLIMBUS_SLIM_CON_CR_MASK                                       0x00000020
#define    SLIMBUS_SLIM_CON_NACK_SHIFT                                    4
#define    SLIMBUS_SLIM_CON_NACK_MASK                                     0x00000010
#define    SLIMBUS_SLIM_CON_DT_SHIFT                                      3
#define    SLIMBUS_SLIM_CON_DT_MASK                                       0x00000008
#define    SLIMBUS_SLIM_CON_IE_SHIFT                                      2
#define    SLIMBUS_SLIM_CON_IE_MASK                                       0x00000004
#define    SLIMBUS_SLIM_CON_FE_SHIFT                                      1
#define    SLIMBUS_SLIM_CON_FE_MASK                                       0x00000002
#define    SLIMBUS_SLIM_CON_PF_SHIFT                                      0
#define    SLIMBUS_SLIM_CON_PF_MASK                                       0x00000001

#define SLIMBUS_SLIM_STAT_OFFSET                                          0x00000004
#define SLIMBUS_SLIM_STAT_TYPE                                            UInt32
#define SLIMBUS_SLIM_STAT_RESERVED_MASK                                   0xF000F900
#define    SLIMBUS_SLIM_STAT_CHY3_INT_SHIFT                               27
#define    SLIMBUS_SLIM_STAT_CHY3_INT_MASK                                0x08000000
#define    SLIMBUS_SLIM_STAT_CHY2_INT_SHIFT                               26
#define    SLIMBUS_SLIM_STAT_CHY2_INT_MASK                                0x04000000
#define    SLIMBUS_SLIM_STAT_CHZ5_INT_SHIFT                               25
#define    SLIMBUS_SLIM_STAT_CHZ5_INT_MASK                                0x02000000
#define    SLIMBUS_SLIM_STAT_CHZ4_INT_SHIFT                               24
#define    SLIMBUS_SLIM_STAT_CHZ4_INT_MASK                                0x01000000
#define    SLIMBUS_SLIM_STAT_CHZ3_INT_SHIFT                               23
#define    SLIMBUS_SLIM_STAT_CHZ3_INT_MASK                                0x00800000
#define    SLIMBUS_SLIM_STAT_CHZ2_INT_SHIFT                               22
#define    SLIMBUS_SLIM_STAT_CHZ2_INT_MASK                                0x00400000
#define    SLIMBUS_SLIM_STAT_CHZ1_INT_SHIFT                               21
#define    SLIMBUS_SLIM_STAT_CHZ1_INT_MASK                                0x00200000
#define    SLIMBUS_SLIM_STAT_CHZ0_INT_SHIFT                               20
#define    SLIMBUS_SLIM_STAT_CHZ0_INT_MASK                                0x00100000
#define    SLIMBUS_SLIM_STAT_CHY1_INT_SHIFT                               19
#define    SLIMBUS_SLIM_STAT_CHY1_INT_MASK                                0x00080000
#define    SLIMBUS_SLIM_STAT_CHY0_INT_SHIFT                               18
#define    SLIMBUS_SLIM_STAT_CHY0_INT_MASK                                0x00040000
#define    SLIMBUS_SLIM_STAT_CHX1_INT_SHIFT                               17
#define    SLIMBUS_SLIM_STAT_CHX1_INT_MASK                                0x00020000
#define    SLIMBUS_SLIM_STAT_CHX0_INT_SHIFT                               16
#define    SLIMBUS_SLIM_STAT_CHX0_INT_MASK                                0x00010000
#define    SLIMBUS_SLIM_STAT_SMC_INT_SHIFT                                10
#define    SLIMBUS_SLIM_STAT_SMC_INT_MASK                                 0x00000400
#define    SLIMBUS_SLIM_STAT_SLIM_INT_SHIFT                               9
#define    SLIMBUS_SLIM_STAT_SLIM_INT_MASK                                0x00000200
#define    SLIMBUS_SLIM_STAT_RX_DATA_RB_SHIFT                             7
#define    SLIMBUS_SLIM_STAT_RX_DATA_RB_MASK                              0x00000080
#define    SLIMBUS_SLIM_STAT_CBS_SHIFT                                    4
#define    SLIMBUS_SLIM_STAT_CBS_MASK                                     0x00000070
#define    SLIMBUS_SLIM_STAT_AF_SHIFT                                     3
#define    SLIMBUS_SLIM_STAT_AF_MASK                                      0x00000008
#define    SLIMBUS_SLIM_STAT_FBS_SHIFT                                    0
#define    SLIMBUS_SLIM_STAT_FBS_MASK                                     0x00000007

#define SLIMBUS_SLIM_FS_OFFSET                                            0x00000008
#define SLIMBUS_SLIM_FS_TYPE                                              UInt32
#define SLIMBUS_SLIM_FS_RESERVED_MASK                                     0xF0000000
#define    SLIMBUS_SLIM_FS_FES_SHIFT                                      27
#define    SLIMBUS_SLIM_FS_FES_MASK                                       0x08000000
#define    SLIMBUS_SLIM_FS_MS_SHIFT                                       22
#define    SLIMBUS_SLIM_FS_MS_MASK                                        0x07C00000
#define    SLIMBUS_SLIM_FS_GS_SHIFT                                       18
#define    SLIMBUS_SLIM_FS_GS_MASK                                        0x003C0000
#define    SLIMBUS_SLIM_FS_FS_SHIFT                                       14
#define    SLIMBUS_SLIM_FS_FS_MASK                                        0x0003C000
#define    SLIMBUS_SLIM_FS_FE_SHIFT                                       13
#define    SLIMBUS_SLIM_FS_FE_MASK                                        0x00002000
#define    SLIMBUS_SLIM_FS_M_SHIFT                                        8
#define    SLIMBUS_SLIM_FS_M_MASK                                         0x00001F00
#define    SLIMBUS_SLIM_FS_G_SHIFT                                        4
#define    SLIMBUS_SLIM_FS_G_MASK                                         0x000000F0
#define    SLIMBUS_SLIM_FS_F_SHIFT                                        0
#define    SLIMBUS_SLIM_FS_F_MASK                                         0x0000000F

#define SLIMBUS_SLIM_EA0_OFFSET                                           0x00000010
#define SLIMBUS_SLIM_EA0_TYPE                                             UInt32
#define SLIMBUS_SLIM_EA0_RESERVED_MASK                                    0x0000FC00
#define    SLIMBUS_SLIM_EA0_PC_SHIFT                                      16
#define    SLIMBUS_SLIM_EA0_PC_MASK                                       0xFFFF0000
#define    SLIMBUS_SLIM_EA0_CQ188182_SHIFT                                9
#define    SLIMBUS_SLIM_EA0_CQ188182_MASK                                 0x00000200
#define    SLIMBUS_SLIM_EA0_CQ187773_SHIFT                                8
#define    SLIMBUS_SLIM_EA0_CQ187773_MASK                                 0x00000100
#define    SLIMBUS_SLIM_EA0_IV_SHIFT                                      0
#define    SLIMBUS_SLIM_EA0_IV_MASK                                       0x000000FF

#define SLIMBUS_SLIM_EA1_OFFSET                                           0x00000014
#define SLIMBUS_SLIM_EA1_TYPE                                             UInt32
#define SLIMBUS_SLIM_EA1_RESERVED_MASK                                    0x7FFF0000
#define    SLIMBUS_SLIM_EA1_EAV_SHIFT                                     31
#define    SLIMBUS_SLIM_EA1_EAV_MASK                                      0x80000000
#define    SLIMBUS_SLIM_EA1_MI_SHIFT                                      0
#define    SLIMBUS_SLIM_EA1_MI_MASK                                       0x0000FFFF

#define SLIMBUS_SLIM_SMC_RX_FIFO_OFFSET                                   0x00000018
#define SLIMBUS_SLIM_SMC_RX_FIFO_TYPE                                     UInt32
#define SLIMBUS_SLIM_SMC_RX_FIFO_RESERVED_MASK                            0x00000000
#define    SLIMBUS_SLIM_SMC_RX_FIFO_DATA_SHIFT                            0
#define    SLIMBUS_SLIM_SMC_RX_FIFO_DATA_MASK                             0xFFFFFFFF

#define SLIMBUS_SLIM_SMC_TX_FIFO_OFFSET                                   0x0000001C
#define SLIMBUS_SLIM_SMC_TX_FIFO_TYPE                                     UInt32
#define SLIMBUS_SLIM_SMC_TX_FIFO_RESERVED_MASK                            0x00000000
#define    SLIMBUS_SLIM_SMC_TX_FIFO_DATA_SHIFT                            0
#define    SLIMBUS_SLIM_SMC_TX_FIFO_DATA_MASK                             0xFFFFFFFF

#define SLIMBUS_SLIM_SMC_CON_OFFSET                                       0x00000020
#define SLIMBUS_SLIM_SMC_CON_TYPE                                         UInt32
#define SLIMBUS_SLIM_SMC_CON_RESERVED_MASK                                0xFFFFFFFA
#define    SLIMBUS_SLIM_SMC_CON_DISABLE_SRC_MSGS_SHIFT                    2
#define    SLIMBUS_SLIM_SMC_CON_DISABLE_SRC_MSGS_MASK                     0x00000004
#define    SLIMBUS_SLIM_SMC_CON_CTRL_ENB_SHIFT                            0
#define    SLIMBUS_SLIM_SMC_CON_CTRL_ENB_MASK                             0x00000001

#define SLIMBUS_SLIM_SMC_FLUSH_OFFSET                                     0x00000024
#define SLIMBUS_SLIM_SMC_FLUSH_TYPE                                       UInt32
#define SLIMBUS_SLIM_SMC_FLUSH_RESERVED_MASK                              0xFFFFFFFC
#define    SLIMBUS_SLIM_SMC_FLUSH_SMC_FLUASH_RX_SHIFT                     1
#define    SLIMBUS_SLIM_SMC_FLUSH_SMC_FLUASH_RX_MASK                      0x00000002
#define    SLIMBUS_SLIM_SMC_FLUSH_SMC_FLUSH_TX_SHIFT                      0
#define    SLIMBUS_SLIM_SMC_FLUSH_SMC_FLUSH_TX_MASK                       0x00000001

#define SLIMBUS_SLIM_SMC_TX_RESP_OFFSET                                   0x00000030
#define SLIMBUS_SLIM_SMC_TX_RESP_TYPE                                     UInt32
#define SLIMBUS_SLIM_SMC_TX_RESP_RESERVED_MASK                            0xFFFFFFF0
#define    SLIMBUS_SLIM_SMC_TX_RESP_MR_SHIFT                              0
#define    SLIMBUS_SLIM_SMC_TX_RESP_MR_MASK                               0x0000000F

#define SLIMBUS_SLIM_SMC_TX_SETUP_OFFSET                                  0x00000034
#define SLIMBUS_SLIM_SMC_TX_SETUP_TYPE                                    UInt32
#define SLIMBUS_SLIM_SMC_TX_SETUP_RESERVED_MASK                           0xFFFE0000
#define    SLIMBUS_SLIM_SMC_TX_SETUP_MSG_VALID_SHIFT                      16
#define    SLIMBUS_SLIM_SMC_TX_SETUP_MSG_VALID_MASK                       0x00010000
#define    SLIMBUS_SLIM_SMC_TX_SETUP_SLOT_RETRY_BACKOFF_SHIFT             12
#define    SLIMBUS_SLIM_SMC_TX_SETUP_SLOT_RETRY_BACKOFF_MASK              0x0000F000
#define    SLIMBUS_SLIM_SMC_TX_SETUP_FRAME_RETRY_BACKOFF_SHIFT            9
#define    SLIMBUS_SLIM_SMC_TX_SETUP_FRAME_RETRY_BACKOFF_MASK             0x00000E00
#define    SLIMBUS_SLIM_SMC_TX_SETUP_RETRY_COUNT_SHIFT                    6
#define    SLIMBUS_SLIM_SMC_TX_SETUP_RETRY_COUNT_MASK                     0x000001C0
#define    SLIMBUS_SLIM_SMC_TX_SETUP_MSG_LEN_SHIFT                        0
#define    SLIMBUS_SLIM_SMC_TX_SETUP_MSG_LEN_MASK                         0x0000003F

#define SLIMBUS_SLIM_SMC_TX_MSG_NUM_OFFSET                                0x00000038
#define SLIMBUS_SLIM_SMC_TX_MSG_NUM_TYPE                                  UInt32
#define SLIMBUS_SLIM_SMC_TX_MSG_NUM_RESERVED_MASK                         0x00000000
#define    SLIMBUS_SLIM_SMC_TX_MSG_NUM_MSG_NUM_SHIFT                      0
#define    SLIMBUS_SLIM_SMC_TX_MSG_NUM_MSG_NUM_MASK                       0xFFFFFFFF

#define SLIMBUS_SLIM_SMC_RX_FIFO_CNT_OFFSET                               0x00000040
#define SLIMBUS_SLIM_SMC_RX_FIFO_CNT_TYPE                                 UInt32
#define SLIMBUS_SLIM_SMC_RX_FIFO_CNT_RESERVED_MASK                        0xFFFFFFC0
#define    SLIMBUS_SLIM_SMC_RX_FIFO_CNT_RX_FIFO_CNT_SHIFT                 0
#define    SLIMBUS_SLIM_SMC_RX_FIFO_CNT_RX_FIFO_CNT_MASK                  0x0000003F

#define SLIMBUS_SLIM_SMC_INTP_STATUS_OFFSET                               0x00000050
#define SLIMBUS_SLIM_SMC_INTP_STATUS_TYPE                                 UInt32
#define SLIMBUS_SLIM_SMC_INTP_STATUS_RESERVED_MASK                        0xFFE1FFF1
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_FAIL_SHIFT                20
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_FAIL_MASK                 0x00100000
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_DONE_SHIFT                19
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_DONE_MASK                 0x00080000
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_FIFO_EMPTY_SHIFT          18
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_FIFO_EMPTY_MASK           0x00040000
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_COL_SHIFT                 17
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_TX_COL_MASK                  0x00020000
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_SYNC_LOST_SHIFT       3
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_SYNC_LOST_MASK        0x00000008
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_SYNC_ACHIEVED_SHIFT   2
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_SYNC_ACHIEVED_MASK    0x00000004
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_AVAIL_SHIFT           1
#define    SLIMBUS_SLIM_SMC_INTP_STATUS_INTP_RX_MSG_AVAIL_MASK            0x00000002

#define SLIMBUS_SLIM_SMC_INTP_ENB_OFFSET                                  0x00000054
#define SLIMBUS_SLIM_SMC_INTP_ENB_TYPE                                    UInt32
#define SLIMBUS_SLIM_SMC_INTP_ENB_RESERVED_MASK                           0xFFE1FFF1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_FAIL_ENB_SHIFT               20
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_FAIL_ENB_MASK                0x00100000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_DONE_ENB_SHIFT               19
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_DONE_ENB_MASK                0x00080000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_FIFO_EMPTY_ENB_SHIFT         18
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_FIFO_EMPTY_ENB_MASK          0x00040000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_COL_ENB_SHIFT                17
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_TX_COL_ENB_MASK                 0x00020000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_SYNC_LOST_ENB_SHIFT      3
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_SYNC_LOST_ENB_MASK       0x00000008
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_SYNC_ACHIEVED_ENB_SHIFT  2
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_SYNC_ACHIEVED_ENB_MASK   0x00000004
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_AVAIL_ENB_SHIFT          1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_INTP_RX_MSG_AVAIL_ENB_MASK           0x00000002

#define SLIMBUS_SLIM_SMC_INTP_ENB_CLR_OFFSET                              0x00000058
#define SLIMBUS_SLIM_SMC_INTP_ENB_CLR_TYPE                                UInt32
#define SLIMBUS_SLIM_SMC_INTP_ENB_CLR_RESERVED_MASK                       0xFFE1FFF1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_FAIL_ENB_SHIFT           20
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_FAIL_ENB_MASK            0x00100000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_DONE_ENB_SHIFT           19
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_DONE_ENB_MASK            0x00080000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_FIFO_EMPTY_ENB_SHIFT     18
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_FIFO_EMPTY_ENB_MASK      0x00040000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_COL_ENB_SHIFT            17
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_TX_COL_ENB_MASK             0x00020000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_SYNC_LOST_ENB_SHIFT  3
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_SYNC_LOST_ENB_MASK   0x00000008
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_SYNC_ACHIEVED_ENB_SHIFT 2
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_SYNC_ACHIEVED_ENB_MASK 0x00000004
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_AVAIL_ENB_SHIFT      1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_CLR_INTP_RX_MSG_AVAIL_ENB_MASK       0x00000002

#define SLIMBUS_SLIM_SMC_INTP_ENB_SET_OFFSET                              0x0000005C
#define SLIMBUS_SLIM_SMC_INTP_ENB_SET_TYPE                                UInt32
#define SLIMBUS_SLIM_SMC_INTP_ENB_SET_RESERVED_MASK                       0xFFE1FFF1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_FAIL_ENB_SHIFT           20
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_FAIL_ENB_MASK            0x00100000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_DONE_ENB_SHIFT           19
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_DONE_ENB_MASK            0x00080000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_FIFO_EMPTY_SHIFT         18
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_FIFO_EMPTY_MASK          0x00040000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_COL_ENB_SHIFT            17
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_TX_COL_ENB_MASK             0x00020000
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_SYNC_LOST_ENB_SHIFT  3
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_SYNC_LOST_ENB_MASK   0x00000008
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_SYNC_ACHIEVED_ENB_SHIFT 2
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_SYNC_ACHIEVED_ENB_MASK 0x00000004
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_AVAIL_ENB_SHIFT      1
#define    SLIMBUS_SLIM_SMC_INTP_ENB_SET_INTP_RX_MSG_AVAIL_ENB_MASK       0x00000002

#define SLIMBUS_SLIM_DEBUG_STATUS_OFFSET                                  0x00000060
#define SLIMBUS_SLIM_DEBUG_STATUS_TYPE                                    UInt32
#define SLIMBUS_SLIM_DEBUG_STATUS_RESERVED_MASK                           0x00000000
#define    SLIMBUS_SLIM_DEBUG_STATUS_DEBUG_STATUS_SHIFT                   0
#define    SLIMBUS_SLIM_DEBUG_STATUS_DEBUG_STATUS_MASK                    0xFFFFFFFF

#define SLIMBUS_SLIM_DEBUG_CFG_OFFSET                                     0x00000064
#define SLIMBUS_SLIM_DEBUG_CFG_TYPE                                       UInt32
#define SLIMBUS_SLIM_DEBUG_CFG_RESERVED_MASK                              0xFFFF0000
#define    SLIMBUS_SLIM_DEBUG_CFG_FPGA_ARIP_SEL_SHIFT                     15
#define    SLIMBUS_SLIM_DEBUG_CFG_FPGA_ARIP_SEL_MASK                      0x00008000
#define    SLIMBUS_SLIM_DEBUG_CFG_DEBUG_SEL_SHIFT                         0
#define    SLIMBUS_SLIM_DEBUG_CFG_DEBUG_SEL_MASK                          0x00007FFF

#define SLIMBUS_SLIM_ID_OFFSET                                            0x00000068
#define SLIMBUS_SLIM_ID_TYPE                                              UInt32
#define SLIMBUS_SLIM_ID_RESERVED_MASK                                     0x00000000
#define    SLIMBUS_SLIM_ID_ASIC_VERSION_SHIFT                             24
#define    SLIMBUS_SLIM_ID_ASIC_VERSION_MASK                              0xFF000000
#define    SLIMBUS_SLIM_ID_FPGA_VERSION_SHIFT                             16
#define    SLIMBUS_SLIM_ID_FPGA_VERSION_MASK                              0x00FF0000
#define    SLIMBUS_SLIM_ID_ID_SHIFT                                       0
#define    SLIMBUS_SLIM_ID_ID_MASK                                        0x0000FFFF

#define SLIMBUS_SLIM_CON_MANAGER_OFFSET                                   0x00000070
#define SLIMBUS_SLIM_CON_MANAGER_TYPE                                     UInt32
#define SLIMBUS_SLIM_CON_MANAGER_RESERVED_MASK                            0xFFFFFE00
#define    SLIMBUS_SLIM_CON_MANAGER_LOGICALADDRESSVALID_SHIFT             8
#define    SLIMBUS_SLIM_CON_MANAGER_LOGICALADDRESSVALID_MASK              0x00000100
#define    SLIMBUS_SLIM_CON_MANAGER_LOGICALADDRESS_SHIFT                  0
#define    SLIMBUS_SLIM_CON_MANAGER_LOGICALADDRESS_MASK                   0x000000FF

#define SLIMBUS_SLIM_CON_INTERFACE_OFFSET                                 0x00000074
#define SLIMBUS_SLIM_CON_INTERFACE_TYPE                                   UInt32
#define SLIMBUS_SLIM_CON_INTERFACE_RESERVED_MASK                          0xFFFFFE00
#define    SLIMBUS_SLIM_CON_INTERFACE_LOGICALADDRESSVALID_SHIFT           8
#define    SLIMBUS_SLIM_CON_INTERFACE_LOGICALADDRESSVALID_MASK            0x00000100
#define    SLIMBUS_SLIM_CON_INTERFACE_LOGICALADDRESS_SHIFT                0
#define    SLIMBUS_SLIM_CON_INTERFACE_LOGICALADDRESS_MASK                 0x000000FF

#define SLIMBUS_SLIM_CON_FRAMER_OFFSET                                    0x00000078
#define SLIMBUS_SLIM_CON_FRAMER_TYPE                                      UInt32
#define SLIMBUS_SLIM_CON_FRAMER_RESERVED_MASK                             0xFFFFFE00
#define    SLIMBUS_SLIM_CON_FRAMER_LOGICALADDRESSVALID_SHIFT              8
#define    SLIMBUS_SLIM_CON_FRAMER_LOGICALADDRESSVALID_MASK               0x00000100
#define    SLIMBUS_SLIM_CON_FRAMER_LOGICALADDRESS_SHIFT                   0
#define    SLIMBUS_SLIM_CON_FRAMER_LOGICALADDRESS_MASK                    0x000000FF

#define SLIMBUS_SLIM_INTP_STATUS_OFFSET                                   0x00000080
#define SLIMBUS_SLIM_INTP_STATUS_TYPE                                     UInt32
#define SLIMBUS_SLIM_INTP_STATUS_RESERVED_MASK                            0xFFFF8C07
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_GC_TX_COL_SHIFT                  14
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_GC_TX_COL_MASK                   0x00004000
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_FI_TX_COL_SHIFT                  13
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_FI_TX_COL_MASK                   0x00002000
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_FS_TX_COL_SHIFT                  12
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_FS_TX_COL_MASK                   0x00001000
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_RBS_SHIFT                        9
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_RBS_MASK                         0x00000200
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SOS_SHIFT                        8
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SOS_MASK                         0x00000100
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SBS_SHIFT                        7
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SBS_MASK                         0x00000080
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_SMS_SHIFT                   6
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_SMS_MASK                    0x00000040
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_SFS_SHIFT                   5
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_SFS_MASK                    0x00000020
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_FS_SHIFT                    4
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_FS_MASK                     0x00000010
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_RST_SHIFT                   3
#define    SLIMBUS_SLIM_INTP_STATUS_INTP_SEEK_RST_MASK                    0x00000008

#define SLIMBUS_SLIM_INTP_ENB_OFFSET                                      0x00000084
#define SLIMBUS_SLIM_INTP_ENB_TYPE                                        UInt32
#define SLIMBUS_SLIM_INTP_ENB_RESERVED_MASK                               0xFFFF8C07
#define    SLIMBUS_SLIM_INTP_ENB_INTP_GC_TX_COL_ENB_SHIFT                 14
#define    SLIMBUS_SLIM_INTP_ENB_INTP_GC_TX_COL_ENB_MASK                  0x00004000
#define    SLIMBUS_SLIM_INTP_ENB_INTP_FI_TX_COL_ENB_SHIFT                 13
#define    SLIMBUS_SLIM_INTP_ENB_INTP_FI_TX_COL_ENB_MASK                  0x00002000
#define    SLIMBUS_SLIM_INTP_ENB_INTP_FS_TX_COL_ENB_SHIFT                 12
#define    SLIMBUS_SLIM_INTP_ENB_INTP_FS_TX_COL_ENB_MASK                  0x00001000
#define    SLIMBUS_SLIM_INTP_ENB_INTP_RBS_ENB_SHIFT                       9
#define    SLIMBUS_SLIM_INTP_ENB_INTP_RBS_ENB_MASK                        0x00000200
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SOS_ENB_SHIFT                       8
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SOS_ENB_MASK                        0x00000100
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SBS_ENB_SHIFT                       7
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SBS_ENB_MASK                        0x00000080
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_SMS_ENB_SHIFT                  6
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_SMS_ENB_MASK                   0x00000040
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_SFS_ENB_SHIFT                  5
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_SFS_ENB_MASK                   0x00000020
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_FS_ENB_SHIFT                   4
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_FS_ENB_MASK                    0x00000010
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_RST_ENB_SHIFT                  3
#define    SLIMBUS_SLIM_INTP_ENB_INTP_SEEK_RST_ENB_MASK                   0x00000008

#define SLIMBUS_SLIM_INTP_ENB_CLR_OFFSET                                  0x00000088
#define SLIMBUS_SLIM_INTP_ENB_CLR_TYPE                                    UInt32
#define SLIMBUS_SLIM_INTP_ENB_CLR_RESERVED_MASK                           0xFFFF8C07
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_GC_TX_COL_ENB_CLR_SHIFT         14
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_GC_TX_COL_ENB_CLR_MASK          0x00004000
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_FI_TX_COL_ENB_CLR_SHIFT         13
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_FI_TX_COL_ENB_CLR_MASK          0x00002000
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_FS_TX_COL_ENB_CLR_SHIFT         12
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_FS_TX_COL_ENB_CLR_MASK          0x00001000
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_RBS_ENB_CLR_SHIFT               9
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_RBS_ENB_CLR_MASK                0x00000200
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SOS_ENB_CLR_SHIFT               8
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SOS_ENB_CLR_MASK                0x00000100
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SBS_ENB_CLR_SHIFT               7
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SBS_ENB_CLR_MASK                0x00000080
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_SMS_ENB_CLR_SHIFT          6
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_SMS_ENB_CLR_MASK           0x00000040
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_SFS_ENB_CLR_SHIFT          5
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_SFS_ENB_CLR_MASK           0x00000020
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_FS_ENB_CLR_SHIFT           4
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_FS_ENB_CLR_MASK            0x00000010
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_RST_ENB_CLR_SHIFT          3
#define    SLIMBUS_SLIM_INTP_ENB_CLR_INTP_SEEK_RST_ENB_CLR_MASK           0x00000008

#define SLIMBUS_SLIM_INTP_ENB_SET_OFFSET                                  0x0000008C
#define SLIMBUS_SLIM_INTP_ENB_SET_TYPE                                    UInt32
#define SLIMBUS_SLIM_INTP_ENB_SET_RESERVED_MASK                           0xFFFF8C07
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_GC_TX_COL_ENB_SET_SHIFT         14
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_GC_TX_COL_ENB_SET_MASK          0x00004000
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_FI_TX_COL_ENB_SET_SHIFT         13
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_FI_TX_COL_ENB_SET_MASK          0x00002000
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_FS_TX_COL_ENB_SET_SHIFT         12
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_FS_TX_COL_ENB_SET_MASK          0x00001000
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_RBS_ENB_SET_SHIFT               9
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_RBS_ENB_SET_MASK                0x00000200
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SOS_ENB_SET_SHIFT               8
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SOS_ENB_SET_MASK                0x00000100
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SBS_ENB_SET_SHIFT               7
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SBS_ENB_SET_MASK                0x00000080
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_SMS_ENB_SET_SHIFT          6
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_SMS_ENB_SET_MASK           0x00000040
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_SFS_ENB_SET_SHIFT          5
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_SFS_ENB_SET_MASK           0x00000020
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_FS_ENB_SET_SHIFT           4
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_FS_ENB_SET_MASK            0x00000010
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_RST_ENB_SET_SHIFT          3
#define    SLIMBUS_SLIM_INTP_ENB_SET_INTP_SEEK_RST_ENB_SET_MASK           0x00000008

#define SLIMBUS_SLIM_CLK_CFG_OFFSET                                       0x00000090
#define SLIMBUS_SLIM_CLK_CFG_TYPE                                         UInt32
#define SLIMBUS_SLIM_CLK_CFG_RESERVED_MASK                                0xFFFFF3EA
#define    SLIMBUS_SLIM_CLK_CFG_DCCY2_CLK_EN_SHIFT                        11
#define    SLIMBUS_SLIM_CLK_CFG_DCCY2_CLK_EN_MASK                         0x00000800
#define    SLIMBUS_SLIM_CLK_CFG_SB_IN_CLK_EN_SHIFT                        10
#define    SLIMBUS_SLIM_CLK_CFG_SB_IN_CLK_EN_MASK                         0x00000400
#define    SLIMBUS_SLIM_CLK_CFG_DCCZ_CLK_EN_SHIFT                         4
#define    SLIMBUS_SLIM_CLK_CFG_DCCZ_CLK_EN_MASK                          0x00000010
#define    SLIMBUS_SLIM_CLK_CFG_DCCY1_CLK_EN_SHIFT                        2
#define    SLIMBUS_SLIM_CLK_CFG_DCCY1_CLK_EN_MASK                         0x00000004
#define    SLIMBUS_SLIM_CLK_CFG_DCCX_CLK_EN_SHIFT                         0
#define    SLIMBUS_SLIM_CLK_CFG_DCCX_CLK_EN_MASK                          0x00000001

#define SLIMBUS_SLIM_CLK_GATE_ON_OFFSET                                   0x00000094
#define SLIMBUS_SLIM_CLK_GATE_ON_TYPE                                     UInt32
#define SLIMBUS_SLIM_CLK_GATE_ON_RESERVED_MASK                            0xFFFFF3EA
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCY2_CLK_ON_SHIFT                    11
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCY2_CLK_ON_MASK                     0x00000800
#define    SLIMBUS_SLIM_CLK_GATE_ON_SB_IN_CLK_ON_SHIFT                    10
#define    SLIMBUS_SLIM_CLK_GATE_ON_SB_IN_CLK_ON_MASK                     0x00000400
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCZ_CLK_ON_SHIFT                     4
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCZ_CLK_ON_MASK                      0x00000010
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCY1_CLK_ON_SHIFT                    2
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCY1_CLK_ON_MASK                     0x00000004
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCX_CLK_EN_SHIFT                     0
#define    SLIMBUS_SLIM_CLK_GATE_ON_DCCX_CLK_EN_MASK                      0x00000001

#define SLIMBUS_SLIM_CLK_GATE_OFF_OFFSET                                  0x00000098
#define SLIMBUS_SLIM_CLK_GATE_OFF_TYPE                                    UInt32
#define SLIMBUS_SLIM_CLK_GATE_OFF_RESERVED_MASK                           0xFFFFF3EA
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCY2_CLK_OFF_SHIFT                  11
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCY2_CLK_OFF_MASK                   0x00000800
#define    SLIMBUS_SLIM_CLK_GATE_OFF_SB_IN_CLK_OFF_SHIFT                  10
#define    SLIMBUS_SLIM_CLK_GATE_OFF_SB_IN_CLK_OFF_MASK                   0x00000400
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCZ_CLK_OFF_SHIFT                   4
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCZ_CLK_OFF_MASK                    0x00000010
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCY1_CLK_OFF_SHIFT                  2
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCY1_CLK_OFF_MASK                   0x00000004
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCX_CLK_OFF_SHIFT                   0
#define    SLIMBUS_SLIM_CLK_GATE_OFF_DCCX_CLK_OFF_MASK                    0x00000001

#define SLIMBUS_SLIM_LEVEL_RESET_OFFSET                                   0x0000009C
#define SLIMBUS_SLIM_LEVEL_RESET_TYPE                                     UInt32
#define SLIMBUS_SLIM_LEVEL_RESET_RESERVED_MASK                            0xFFFFE3EA
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCY2_SHIFT                   12
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCY2_MASK                    0x00001000
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_SB_PLL_SHIFT                  11
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_SB_PLL_MASK                   0x00000800
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_SB_IN_SHIFT                   10
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_SB_IN_MASK                    0x00000400
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCZ_SHIFT                    4
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCZ_MASK                     0x00000010
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCY1_SHIFT                   2
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCY1_MASK                    0x00000004
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCX_SHIFT                    0
#define    SLIMBUS_SLIM_LEVEL_RESET_SFT_RST_DCCX_MASK                     0x00000001

#define SLIMBUS_SLIM_TM_CFG_OFFSET                                        0x000000A0
#define SLIMBUS_SLIM_TM_CFG_TYPE                                          UInt32
#define SLIMBUS_SLIM_TM_CFG_RESERVED_MASK                                 0xFFFFF800
#define    SLIMBUS_SLIM_TM_CFG_TM_INPUT_EN_SHIFT                          10
#define    SLIMBUS_SLIM_TM_CFG_TM_INPUT_EN_MASK                           0x00000400
#define    SLIMBUS_SLIM_TM_CFG_DATA_PATTERN_CNT_SHIFT                     4
#define    SLIMBUS_SLIM_TM_CFG_DATA_PATTERN_CNT_MASK                      0x000003F0
#define    SLIMBUS_SLIM_TM_CFG_LOOP_SHIFT                                 3
#define    SLIMBUS_SLIM_TM_CFG_LOOP_MASK                                  0x00000008
#define    SLIMBUS_SLIM_TM_CFG_SB_IN_DATA_EN_SHIFT                        2
#define    SLIMBUS_SLIM_TM_CFG_SB_IN_DATA_EN_MASK                         0x00000004
#define    SLIMBUS_SLIM_TM_CFG_SB_PLL_DATA_EN_SHIFT                       1
#define    SLIMBUS_SLIM_TM_CFG_SB_PLL_DATA_EN_MASK                        0x00000002
#define    SLIMBUS_SLIM_TM_CFG_SB_PLL_CLK_EN_SHIFT                        0
#define    SLIMBUS_SLIM_TM_CFG_SB_PLL_CLK_EN_MASK                         0x00000001

#define SLIMBUS_SLIM_TM_DATA_OFFSET                                       0x000000A4
#define SLIMBUS_SLIM_TM_DATA_TYPE                                         UInt32
#define SLIMBUS_SLIM_TM_DATA_RESERVED_MASK                                0x00000000
#define    SLIMBUS_SLIM_TM_DATA_DATA_PATTERN_SHIFT                        0
#define    SLIMBUS_SLIM_TM_DATA_DATA_PATTERN_MASK                         0xFFFFFFFF

#define SLIMBUS_SLIM_SMC_REQ_INFO_OFFSET                                  0x000000A8
#define SLIMBUS_SLIM_SMC_REQ_INFO_TYPE                                    UInt32
#define SLIMBUS_SLIM_SMC_REQ_INFO_RESERVED_MASK                           0xFFFC0000
#define    SLIMBUS_SLIM_SMC_REQ_INFO_MANAGER_DECODE_ENABLE_SHIFT          17
#define    SLIMBUS_SLIM_SMC_REQ_INFO_MANAGER_DECODE_ENABLE_MASK           0x00020000
#define    SLIMBUS_SLIM_SMC_REQ_INFO_HARDWARE_DECODE_ENABLE_SHIFT         16
#define    SLIMBUS_SLIM_SMC_REQ_INFO_HARDWARE_DECODE_ENABLE_MASK          0x00010000
#define    SLIMBUS_SLIM_SMC_REQ_INFO_ELEMENT_CODE_SHIFT                   0
#define    SLIMBUS_SLIM_SMC_REQ_INFO_ELEMENT_CODE_MASK                    0x0000FFFF

#define SLIMBUS_SLIM_SMC_RX_REQ_INFO_OFFSET                               0x000000AC
#define SLIMBUS_SLIM_SMC_RX_REQ_INFO_TYPE                                 UInt32
#define SLIMBUS_SLIM_SMC_RX_REQ_INFO_RESERVED_MASK                        0xFFFFFE00
#define    SLIMBUS_SLIM_SMC_RX_REQ_INFO_VALID_SHIFT                       8
#define    SLIMBUS_SLIM_SMC_RX_REQ_INFO_VALID_MASK                        0x00000100
#define    SLIMBUS_SLIM_SMC_RX_REQ_INFO_TID_SHIFT                         0
#define    SLIMBUS_SLIM_SMC_RX_REQ_INFO_TID_MASK                          0x000000FF

#define SLIMBUS_SLIM_SYNC_ERR_EN_OFFSET                                   0x000000B0
#define SLIMBUS_SLIM_SYNC_ERR_EN_TYPE                                     UInt32
#define SLIMBUS_SLIM_SYNC_ERR_EN_RESERVED_MASK                            0xFFFFFF80
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SYNC_ERR_VALID_SHIFT                  6
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SYNC_ERR_VALID_MASK                   0x00000040
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SMS_SFSL_SHIFT                        5
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SMS_SFSL_MASK                         0x00000020
#define    SLIMBUS_SLIM_SYNC_ERR_EN_O_SFSL_SHIFT                          4
#define    SLIMBUS_SLIM_SYNC_ERR_EN_O_SFSL_MASK                           0x00000010
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SFS_NDLA_SHIFT                        3
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SFS_NDLA_MASK                         0x00000008
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SSFS_FSL_SHIFT                        2
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SSFS_FSL_MASK                         0x00000004
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SMS_FSL_SHIFT                         1
#define    SLIMBUS_SLIM_SYNC_ERR_EN_SMS_FSL_MASK                          0x00000002
#define    SLIMBUS_SLIM_SYNC_ERR_EN_O_FSL_SHIFT                           0
#define    SLIMBUS_SLIM_SYNC_ERR_EN_O_FSL_MASK                            0x00000001

#define SLIMBUS_CHX0_PA0_OFFSET                                           0x00000200
#define SLIMBUS_CHX0_PA0_TYPE                                             UInt32
#define SLIMBUS_CHX0_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHX0_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHX0_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHX0_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHX0_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHX0_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHX0_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHX0_PA1_OFFSET                                           0x00000204
#define SLIMBUS_CHX0_PA1_TYPE                                             UInt32
#define SLIMBUS_CHX0_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHX0_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHX0_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHX0_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHX0_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHX0_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHX0_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHX0_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHX0_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHX0_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHX0_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHX0_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHX0_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHX0_STAT_OFFSET                                          0x00000208
#define SLIMBUS_CHX0_STAT_TYPE                                            UInt32
#define SLIMBUS_CHX0_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHX0_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHX0_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHX0_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHX0_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHX0_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHX0_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHX0_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHX0_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHX0_CON_OFFSET                                           0x0000020C
#define SLIMBUS_CHX0_CON_TYPE                                             UInt32
#define SLIMBUS_CHX0_CON_RESERVED_MASK                                    0xFFF00000
#define    SLIMBUS_CHX0_CON_R_SHIFT                                       19
#define    SLIMBUS_CHX0_CON_R_MASK                                        0x00080000
#define    SLIMBUS_CHX0_CON_T_SHIFT                                       18
#define    SLIMBUS_CHX0_CON_T_MASK                                        0x00040000
#define    SLIMBUS_CHX0_CON_LE_SHIFT                                      17
#define    SLIMBUS_CHX0_CON_LE_MASK                                       0x00020000
#define    SLIMBUS_CHX0_CON_HD_SHIFT                                      16
#define    SLIMBUS_CHX0_CON_HD_MASK                                       0x00010000
#define    SLIMBUS_CHX0_CON_PNV_SHIFT                                     15
#define    SLIMBUS_CHX0_CON_PNV_MASK                                      0x00008000
#define    SLIMBUS_CHX0_CON_PN_SHIFT                                      9
#define    SLIMBUS_CHX0_CON_PN_MASK                                       0x00007E00
#define    SLIMBUS_CHX0_CON_LAV_SHIFT                                     8
#define    SLIMBUS_CHX0_CON_LAV_MASK                                      0x00000100
#define    SLIMBUS_CHX0_CON_LA_SHIFT                                      0
#define    SLIMBUS_CHX0_CON_LA_MASK                                       0x000000FF

#define SLIMBUS_CHX0_FIFO_LEVEL_OFFSET                                    0x00000210
#define SLIMBUS_CHX0_FIFO_LEVEL_TYPE                                      UInt32
#define SLIMBUS_CHX0_FIFO_LEVEL_RESERVED_MASK                             0xFFFFF000
#define    SLIMBUS_CHX0_FIFO_LEVEL_FL_SHIFT                               0
#define    SLIMBUS_CHX0_FIFO_LEVEL_FL_MASK                                0x00000FFF

#define SLIMBUS_CHX0_AE_LEVEL_OFFSET                                      0x00000214
#define SLIMBUS_CHX0_AE_LEVEL_TYPE                                        UInt32
#define SLIMBUS_CHX0_AE_LEVEL_RESERVED_MASK                               0xFFFFF800
#define    SLIMBUS_CHX0_AE_LEVEL_AEL_SHIFT                                0
#define    SLIMBUS_CHX0_AE_LEVEL_AEL_MASK                                 0x000007FF

#define SLIMBUS_CHX0_AF_LEVEL_OFFSET                                      0x00000218
#define SLIMBUS_CHX0_AF_LEVEL_TYPE                                        UInt32
#define SLIMBUS_CHX0_AF_LEVEL_RESERVED_MASK                               0xFFFFF800
#define    SLIMBUS_CHX0_AF_LEVEL_AFL_SHIFT                                0
#define    SLIMBUS_CHX0_AF_LEVEL_AFL_MASK                                 0x000007FF

#define SLIMBUS_CHX0_INT_STS_OFFSET                                       0x0000021C
#define SLIMBUS_CHX0_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHX0_INT_STS_RESERVED_MASK                                0xFFFFFF80
#define    SLIMBUS_CHX0_INT_STS_AF_SHIFT                                  6
#define    SLIMBUS_CHX0_INT_STS_AF_MASK                                   0x00000040
#define    SLIMBUS_CHX0_INT_STS_F_SHIFT                                   5
#define    SLIMBUS_CHX0_INT_STS_F_MASK                                    0x00000020
#define    SLIMBUS_CHX0_INT_STS_AE_SHIFT                                  4
#define    SLIMBUS_CHX0_INT_STS_AE_MASK                                   0x00000010
#define    SLIMBUS_CHX0_INT_STS_E_SHIFT                                   3
#define    SLIMBUS_CHX0_INT_STS_E_MASK                                    0x00000008
#define    SLIMBUS_CHX0_INT_STS_TXCOL_SHIFT                               2
#define    SLIMBUS_CHX0_INT_STS_TXCOL_MASK                                0x00000004
#define    SLIMBUS_CHX0_INT_STS_CUF_SHIFT                                 1
#define    SLIMBUS_CHX0_INT_STS_CUF_MASK                                  0x00000002
#define    SLIMBUS_CHX0_INT_STS_COF_SHIFT                                 0
#define    SLIMBUS_CHX0_INT_STS_COF_MASK                                  0x00000001

#define SLIMBUS_CHX0_INT_EN_OFFSET                                        0x00000220
#define SLIMBUS_CHX0_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHX0_INT_EN_RESERVED_MASK                                 0xFFFFFF80
#define    SLIMBUS_CHX0_INT_EN_AF_SHIFT                                   6
#define    SLIMBUS_CHX0_INT_EN_AF_MASK                                    0x00000040
#define    SLIMBUS_CHX0_INT_EN_F_SHIFT                                    5
#define    SLIMBUS_CHX0_INT_EN_F_MASK                                     0x00000020
#define    SLIMBUS_CHX0_INT_EN_AE_SHIFT                                   4
#define    SLIMBUS_CHX0_INT_EN_AE_MASK                                    0x00000010
#define    SLIMBUS_CHX0_INT_EN_E_SHIFT                                    3
#define    SLIMBUS_CHX0_INT_EN_E_MASK                                     0x00000008
#define    SLIMBUS_CHX0_INT_EN_TXCOL_SHIFT                                2
#define    SLIMBUS_CHX0_INT_EN_TXCOL_MASK                                 0x00000004
#define    SLIMBUS_CHX0_INT_EN_CUF_SHIFT                                  1
#define    SLIMBUS_CHX0_INT_EN_CUF_MASK                                   0x00000002
#define    SLIMBUS_CHX0_INT_EN_COF_SHIFT                                  0
#define    SLIMBUS_CHX0_INT_EN_COF_MASK                                   0x00000001

#define SLIMBUS_CHX0_PUSH_OFFSET                                          0x00000224
#define SLIMBUS_CHX0_PUSH_TYPE                                            UInt32
#define SLIMBUS_CHX0_PUSH_RESERVED_MASK                                   0x00000000
#define    SLIMBUS_CHX0_PUSH_DATA_SHIFT                                   0
#define    SLIMBUS_CHX0_PUSH_DATA_MASK                                    0xFFFFFFFF

#define SLIMBUS_CHX0_POP_OFFSET                                           0x00000228
#define SLIMBUS_CHX0_POP_TYPE                                             UInt32
#define SLIMBUS_CHX0_POP_RESERVED_MASK                                    0x00000000
#define    SLIMBUS_CHX0_POP_DATA_SHIFT                                    0
#define    SLIMBUS_CHX0_POP_DATA_MASK                                     0xFFFFFFFF

#define SLIMBUS_CHX0_CACHE_LEVELS_OFFSET                                  0x0000022C
#define SLIMBUS_CHX0_CACHE_LEVELS_TYPE                                    UInt32
#define SLIMBUS_CHX0_CACHE_LEVELS_RESERVED_MASK                           0xFFC0FFE0
#define    SLIMBUS_CHX0_CACHE_LEVELS_CACHE_HO_LEVEL_SHIFT                 16
#define    SLIMBUS_CHX0_CACHE_LEVELS_CACHE_HO_LEVEL_MASK                  0x003F0000
#define    SLIMBUS_CHX0_CACHE_LEVELS_CACHE_HI_LEVEL_SHIFT                 0
#define    SLIMBUS_CHX0_CACHE_LEVELS_CACHE_HI_LEVEL_MASK                  0x0000001F

#define SLIMBUS_CHX0_DMA_LENGTH_OFFSET                                    0x00000230
#define SLIMBUS_CHX0_DMA_LENGTH_TYPE                                      UInt32
#define SLIMBUS_CHX0_DMA_LENGTH_RESERVED_MASK                             0xFFFFF800
#define    SLIMBUS_CHX0_DMA_LENGTH_L_SHIFT                                0
#define    SLIMBUS_CHX0_DMA_LENGTH_L_MASK                                 0x000007FF

#define SLIMBUS_CHX1_PA0_OFFSET                                           0x00000300
#define SLIMBUS_CHX1_PA0_TYPE                                             UInt32
#define SLIMBUS_CHX1_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHX1_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHX1_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHX1_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHX1_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHX1_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHX1_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHX1_PA1_OFFSET                                           0x00000304
#define SLIMBUS_CHX1_PA1_TYPE                                             UInt32
#define SLIMBUS_CHX1_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHX1_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHX1_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHX1_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHX1_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHX1_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHX1_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHX1_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHX1_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHX1_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHX1_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHX1_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHX1_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHX1_STAT_OFFSET                                          0x00000308
#define SLIMBUS_CHX1_STAT_TYPE                                            UInt32
#define SLIMBUS_CHX1_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHX1_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHX1_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHX1_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHX1_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHX1_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHX1_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHX1_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHX1_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHX1_CON_OFFSET                                           0x0000030C
#define SLIMBUS_CHX1_CON_TYPE                                             UInt32
#define SLIMBUS_CHX1_CON_RESERVED_MASK                                    0xFFF00000
#define    SLIMBUS_CHX1_CON_R_SHIFT                                       19
#define    SLIMBUS_CHX1_CON_R_MASK                                        0x00080000
#define    SLIMBUS_CHX1_CON_T_SHIFT                                       18
#define    SLIMBUS_CHX1_CON_T_MASK                                        0x00040000
#define    SLIMBUS_CHX1_CON_LE_SHIFT                                      17
#define    SLIMBUS_CHX1_CON_LE_MASK                                       0x00020000
#define    SLIMBUS_CHX1_CON_HD_SHIFT                                      16
#define    SLIMBUS_CHX1_CON_HD_MASK                                       0x00010000
#define    SLIMBUS_CHX1_CON_PNV_SHIFT                                     15
#define    SLIMBUS_CHX1_CON_PNV_MASK                                      0x00008000
#define    SLIMBUS_CHX1_CON_PN_SHIFT                                      9
#define    SLIMBUS_CHX1_CON_PN_MASK                                       0x00007E00
#define    SLIMBUS_CHX1_CON_LAV_SHIFT                                     8
#define    SLIMBUS_CHX1_CON_LAV_MASK                                      0x00000100
#define    SLIMBUS_CHX1_CON_LA_SHIFT                                      0
#define    SLIMBUS_CHX1_CON_LA_MASK                                       0x000000FF

#define SLIMBUS_CHX1_FIFO_LEVEL_OFFSET                                    0x00000310
#define SLIMBUS_CHX1_FIFO_LEVEL_TYPE                                      UInt32
#define SLIMBUS_CHX1_FIFO_LEVEL_RESERVED_MASK                             0xFFFFF000
#define    SLIMBUS_CHX1_FIFO_LEVEL_FL_SHIFT                               0
#define    SLIMBUS_CHX1_FIFO_LEVEL_FL_MASK                                0x00000FFF

#define SLIMBUS_CHX1_AE_LEVEL_OFFSET                                      0x00000314
#define SLIMBUS_CHX1_AE_LEVEL_TYPE                                        UInt32
#define SLIMBUS_CHX1_AE_LEVEL_RESERVED_MASK                               0xFFFFF800
#define    SLIMBUS_CHX1_AE_LEVEL_AEL_SHIFT                                0
#define    SLIMBUS_CHX1_AE_LEVEL_AEL_MASK                                 0x000007FF

#define SLIMBUS_CHX1_AF_LEVEL_OFFSET                                      0x00000318
#define SLIMBUS_CHX1_AF_LEVEL_TYPE                                        UInt32
#define SLIMBUS_CHX1_AF_LEVEL_RESERVED_MASK                               0xFFFFF800
#define    SLIMBUS_CHX1_AF_LEVEL_AFL_SHIFT                                0
#define    SLIMBUS_CHX1_AF_LEVEL_AFL_MASK                                 0x000007FF

#define SLIMBUS_CHX1_INT_STS_OFFSET                                       0x0000031C
#define SLIMBUS_CHX1_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHX1_INT_STS_RESERVED_MASK                                0xFFFFFF80
#define    SLIMBUS_CHX1_INT_STS_AF_SHIFT                                  6
#define    SLIMBUS_CHX1_INT_STS_AF_MASK                                   0x00000040
#define    SLIMBUS_CHX1_INT_STS_F_SHIFT                                   5
#define    SLIMBUS_CHX1_INT_STS_F_MASK                                    0x00000020
#define    SLIMBUS_CHX1_INT_STS_AE_SHIFT                                  4
#define    SLIMBUS_CHX1_INT_STS_AE_MASK                                   0x00000010
#define    SLIMBUS_CHX1_INT_STS_E_SHIFT                                   3
#define    SLIMBUS_CHX1_INT_STS_E_MASK                                    0x00000008
#define    SLIMBUS_CHX1_INT_STS_TXCOL_SHIFT                               2
#define    SLIMBUS_CHX1_INT_STS_TXCOL_MASK                                0x00000004
#define    SLIMBUS_CHX1_INT_STS_CUF_SHIFT                                 1
#define    SLIMBUS_CHX1_INT_STS_CUF_MASK                                  0x00000002
#define    SLIMBUS_CHX1_INT_STS_COF_SHIFT                                 0
#define    SLIMBUS_CHX1_INT_STS_COF_MASK                                  0x00000001

#define SLIMBUS_CHX1_INT_EN_OFFSET                                        0x00000320
#define SLIMBUS_CHX1_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHX1_INT_EN_RESERVED_MASK                                 0xFFFFFF80
#define    SLIMBUS_CHX1_INT_EN_AF_SHIFT                                   6
#define    SLIMBUS_CHX1_INT_EN_AF_MASK                                    0x00000040
#define    SLIMBUS_CHX1_INT_EN_F_SHIFT                                    5
#define    SLIMBUS_CHX1_INT_EN_F_MASK                                     0x00000020
#define    SLIMBUS_CHX1_INT_EN_AE_SHIFT                                   4
#define    SLIMBUS_CHX1_INT_EN_AE_MASK                                    0x00000010
#define    SLIMBUS_CHX1_INT_EN_E_SHIFT                                    3
#define    SLIMBUS_CHX1_INT_EN_E_MASK                                     0x00000008
#define    SLIMBUS_CHX1_INT_EN_TXCOL_SHIFT                                2
#define    SLIMBUS_CHX1_INT_EN_TXCOL_MASK                                 0x00000004
#define    SLIMBUS_CHX1_INT_EN_CUF_SHIFT                                  1
#define    SLIMBUS_CHX1_INT_EN_CUF_MASK                                   0x00000002
#define    SLIMBUS_CHX1_INT_EN_COF_SHIFT                                  0
#define    SLIMBUS_CHX1_INT_EN_COF_MASK                                   0x00000001

#define SLIMBUS_CHX1_PUSH_OFFSET                                          0x00000324
#define SLIMBUS_CHX1_PUSH_TYPE                                            UInt32
#define SLIMBUS_CHX1_PUSH_RESERVED_MASK                                   0x00000000
#define    SLIMBUS_CHX1_PUSH_DATA_SHIFT                                   0
#define    SLIMBUS_CHX1_PUSH_DATA_MASK                                    0xFFFFFFFF

#define SLIMBUS_CHX1_POP_OFFSET                                           0x00000328
#define SLIMBUS_CHX1_POP_TYPE                                             UInt32
#define SLIMBUS_CHX1_POP_RESERVED_MASK                                    0x00000000
#define    SLIMBUS_CHX1_POP_DATA_SHIFT                                    0
#define    SLIMBUS_CHX1_POP_DATA_MASK                                     0xFFFFFFFF

#define SLIMBUS_CHX1_CACHE_LEVELS_OFFSET                                  0x0000032C
#define SLIMBUS_CHX1_CACHE_LEVELS_TYPE                                    UInt32
#define SLIMBUS_CHX1_CACHE_LEVELS_RESERVED_MASK                           0xFFC0FFE0
#define    SLIMBUS_CHX1_CACHE_LEVELS_CACHE_HO_LEVEL_SHIFT                 16
#define    SLIMBUS_CHX1_CACHE_LEVELS_CACHE_HO_LEVEL_MASK                  0x003F0000
#define    SLIMBUS_CHX1_CACHE_LEVELS_CACHE_HI_LEVEL_SHIFT                 0
#define    SLIMBUS_CHX1_CACHE_LEVELS_CACHE_HI_LEVEL_MASK                  0x0000001F

#define SLIMBUS_CHX1_DMA_LENGTH_OFFSET                                    0x00000330
#define SLIMBUS_CHX1_DMA_LENGTH_TYPE                                      UInt32
#define SLIMBUS_CHX1_DMA_LENGTH_RESERVED_MASK                             0xFFFFF800
#define    SLIMBUS_CHX1_DMA_LENGTH_L_SHIFT                                0
#define    SLIMBUS_CHX1_DMA_LENGTH_L_MASK                                 0x000007FF

#define SLIMBUS_CHY0_PA0_OFFSET                                           0x00000400
#define SLIMBUS_CHY0_PA0_TYPE                                             UInt32
#define SLIMBUS_CHY0_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHY0_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHY0_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHY0_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHY0_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHY0_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHY0_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHY0_PA1_OFFSET                                           0x00000404
#define SLIMBUS_CHY0_PA1_TYPE                                             UInt32
#define SLIMBUS_CHY0_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHY0_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHY0_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHY0_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHY0_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHY0_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHY0_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHY0_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHY0_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHY0_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHY0_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHY0_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHY0_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHY0_STAT_OFFSET                                          0x00000408
#define SLIMBUS_CHY0_STAT_TYPE                                            UInt32
#define SLIMBUS_CHY0_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHY0_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHY0_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHY0_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHY0_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHY0_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHY0_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHY0_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHY0_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHY0_CON_OFFSET                                           0x0000040C
#define SLIMBUS_CHY0_CON_TYPE                                             UInt32
#define SLIMBUS_CHY0_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHY0_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHY0_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHY0_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHY0_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHY0_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHY0_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHY0_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHY0_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHY0_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHY0_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHY0_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHY0_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHY0_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHY0_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHY0_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHY0_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHY0_INT_STS_OFFSET                                       0x00000410
#define SLIMBUS_CHY0_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHY0_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHY0_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHY0_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHY0_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHY0_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHY0_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHY0_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHY0_INT_EN_OFFSET                                        0x00000414
#define SLIMBUS_CHY0_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHY0_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHY0_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHY0_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHY0_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHY0_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHY0_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHY0_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHY0_WLINE_OFFSET                                         0x00000420
#define SLIMBUS_CHY0_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHY0_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHY0_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHY0_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHY0_AUD_OFFSET                                           0x00000480
#define SLIMBUS_CHY0_AUD_TYPE                                             UInt32
#define SLIMBUS_CHY0_AUD_RESERVED_MASK                                    0xFFF8F820
#define    SLIMBUS_CHY0_AUD_COPY_SHIFT                                    18
#define    SLIMBUS_CHY0_AUD_COPY_MASK                                     0x00040000
#define    SLIMBUS_CHY0_AUD_BURST_SHIFT                                   17
#define    SLIMBUS_CHY0_AUD_BURST_MASK                                    0x00020000
#define    SLIMBUS_CHY0_AUD_SINGLE_SHIFT                                  16
#define    SLIMBUS_CHY0_AUD_SINGLE_MASK                                   0x00010000
#define    SLIMBUS_CHY0_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHY0_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHY0_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHY0_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHY0_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHY0_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHY0_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHY0_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHY0_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHY0_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHY0_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHY0_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHY0_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHY0_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHY0_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHY0_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHY1_PA0_OFFSET                                           0x00000500
#define SLIMBUS_CHY1_PA0_TYPE                                             UInt32
#define SLIMBUS_CHY1_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHY1_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHY1_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHY1_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHY1_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHY1_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHY1_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHY1_PA1_OFFSET                                           0x00000504
#define SLIMBUS_CHY1_PA1_TYPE                                             UInt32
#define SLIMBUS_CHY1_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHY1_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHY1_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHY1_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHY1_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHY1_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHY1_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHY1_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHY1_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHY1_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHY1_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHY1_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHY1_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHY1_STAT_OFFSET                                          0x00000508
#define SLIMBUS_CHY1_STAT_TYPE                                            UInt32
#define SLIMBUS_CHY1_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHY1_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHY1_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHY1_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHY1_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHY1_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHY1_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHY1_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHY1_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHY1_CON_OFFSET                                           0x0000050C
#define SLIMBUS_CHY1_CON_TYPE                                             UInt32
#define SLIMBUS_CHY1_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHY1_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHY1_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHY1_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHY1_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHY1_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHY1_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHY1_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHY1_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHY1_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHY1_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHY1_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHY1_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHY1_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHY1_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHY1_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHY1_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHY1_INT_STS_OFFSET                                       0x00000510
#define SLIMBUS_CHY1_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHY1_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHY1_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHY1_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHY1_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHY1_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHY1_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHY1_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHY1_INT_EN_OFFSET                                        0x00000514
#define SLIMBUS_CHY1_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHY1_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHY1_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHY1_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHY1_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHY1_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHY1_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHY1_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHY1_WLINE_OFFSET                                         0x00000520
#define SLIMBUS_CHY1_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHY1_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHY1_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHY1_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHY1_AUD_OFFSET                                           0x00000580
#define SLIMBUS_CHY1_AUD_TYPE                                             UInt32
#define SLIMBUS_CHY1_AUD_RESERVED_MASK                                    0xFFF8F820
#define    SLIMBUS_CHY1_AUD_COPY_SHIFT                                    18
#define    SLIMBUS_CHY1_AUD_COPY_MASK                                     0x00040000
#define    SLIMBUS_CHY1_AUD_BURST_SHIFT                                   17
#define    SLIMBUS_CHY1_AUD_BURST_MASK                                    0x00020000
#define    SLIMBUS_CHY1_AUD_SINGLE_SHIFT                                  16
#define    SLIMBUS_CHY1_AUD_SINGLE_MASK                                   0x00010000
#define    SLIMBUS_CHY1_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHY1_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHY1_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHY1_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHY1_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHY1_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHY1_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHY1_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHY1_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHY1_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHY1_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHY1_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHY1_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHY1_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHY1_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHY1_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHZ0_PA0_OFFSET                                           0x00000600
#define SLIMBUS_CHZ0_PA0_TYPE                                             UInt32
#define SLIMBUS_CHZ0_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHZ0_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHZ0_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHZ0_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHZ0_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHZ0_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHZ0_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHZ0_PA1_OFFSET                                           0x00000604
#define SLIMBUS_CHZ0_PA1_TYPE                                             UInt32
#define SLIMBUS_CHZ0_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHZ0_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHZ0_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHZ0_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHZ0_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHZ0_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHZ0_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHZ0_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHZ0_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHZ0_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHZ0_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHZ0_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHZ0_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHZ0_STAT_OFFSET                                          0x00000608
#define SLIMBUS_CHZ0_STAT_TYPE                                            UInt32
#define SLIMBUS_CHZ0_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHZ0_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHZ0_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHZ0_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHZ0_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHZ0_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHZ0_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHZ0_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHZ0_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHZ0_CON_OFFSET                                           0x0000060C
#define SLIMBUS_CHZ0_CON_TYPE                                             UInt32
#define SLIMBUS_CHZ0_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHZ0_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHZ0_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHZ0_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHZ0_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHZ0_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHZ0_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHZ0_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHZ0_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHZ0_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHZ0_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHZ0_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHZ0_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHZ0_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHZ0_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHZ0_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHZ0_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHZ0_INT_STS_OFFSET                                       0x00000610
#define SLIMBUS_CHZ0_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHZ0_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHZ0_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHZ0_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHZ0_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHZ0_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHZ0_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHZ0_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHZ0_INT_EN_OFFSET                                        0x00000614
#define SLIMBUS_CHZ0_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHZ0_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHZ0_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHZ0_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHZ0_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHZ0_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHZ0_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHZ0_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHZ0_WLINE_OFFSET                                         0x00000620
#define SLIMBUS_CHZ0_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHZ0_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHZ0_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHZ0_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHZ0_AUD_OFFSET                                           0x00000680
#define SLIMBUS_CHZ0_AUD_TYPE                                             UInt32
#define SLIMBUS_CHZ0_AUD_RESERVED_MASK                                    0xC8C0F820
#define    SLIMBUS_CHZ0_AUD_ENB_MULTI_SLOT_SHIFT                          29
#define    SLIMBUS_CHZ0_AUD_ENB_MULTI_SLOT_MASK                           0x20000000
#define    SLIMBUS_CHZ0_AUD_THREE_IN_ONE_SHIFT                            28
#define    SLIMBUS_CHZ0_AUD_THREE_IN_ONE_MASK                             0x10000000
#define    SLIMBUS_CHZ0_AUD_ENB_3RD_SLOT_SHIFT                            26
#define    SLIMBUS_CHZ0_AUD_ENB_3RD_SLOT_MASK                             0x04000000
#define    SLIMBUS_CHZ0_AUD_ENB_2ND_SLOT_SHIFT                            25
#define    SLIMBUS_CHZ0_AUD_ENB_2ND_SLOT_MASK                             0x02000000
#define    SLIMBUS_CHZ0_AUD_ENB_1ST_SLOT_SHIFT                            24
#define    SLIMBUS_CHZ0_AUD_ENB_1ST_SLOT_MASK                             0x01000000
#define    SLIMBUS_CHZ0_AUD_ON_3RD_SLOT_SHIFT                             20
#define    SLIMBUS_CHZ0_AUD_ON_3RD_SLOT_MASK                              0x00300000
#define    SLIMBUS_CHZ0_AUD_ON_2ND_SLOT_SHIFT                             18
#define    SLIMBUS_CHZ0_AUD_ON_2ND_SLOT_MASK                              0x000C0000
#define    SLIMBUS_CHZ0_AUD_ON_1ST_SLOT_SHIFT                             16
#define    SLIMBUS_CHZ0_AUD_ON_1ST_SLOT_MASK                              0x00030000
#define    SLIMBUS_CHZ0_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHZ0_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHZ0_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHZ0_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHZ0_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHZ0_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHZ0_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHZ0_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHZ0_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHZ0_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHZ0_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHZ0_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHZ0_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHZ0_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHZ0_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHZ0_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHZ1_PA0_OFFSET                                           0x00000700
#define SLIMBUS_CHZ1_PA0_TYPE                                             UInt32
#define SLIMBUS_CHZ1_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHZ1_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHZ1_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHZ1_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHZ1_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHZ1_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHZ1_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHZ1_PA1_OFFSET                                           0x00000704
#define SLIMBUS_CHZ1_PA1_TYPE                                             UInt32
#define SLIMBUS_CHZ1_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHZ1_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHZ1_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHZ1_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHZ1_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHZ1_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHZ1_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHZ1_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHZ1_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHZ1_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHZ1_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHZ1_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHZ1_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHZ1_STAT_OFFSET                                          0x00000708
#define SLIMBUS_CHZ1_STAT_TYPE                                            UInt32
#define SLIMBUS_CHZ1_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHZ1_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHZ1_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHZ1_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHZ1_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHZ1_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHZ1_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHZ1_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHZ1_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHZ1_CON_OFFSET                                           0x0000070C
#define SLIMBUS_CHZ1_CON_TYPE                                             UInt32
#define SLIMBUS_CHZ1_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHZ1_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHZ1_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHZ1_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHZ1_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHZ1_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHZ1_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHZ1_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHZ1_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHZ1_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHZ1_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHZ1_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHZ1_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHZ1_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHZ1_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHZ1_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHZ1_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHZ1_INT_STS_OFFSET                                       0x00000710
#define SLIMBUS_CHZ1_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHZ1_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHZ1_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHZ1_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHZ1_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHZ1_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHZ1_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHZ1_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHZ1_INT_EN_OFFSET                                        0x00000714
#define SLIMBUS_CHZ1_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHZ1_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHZ1_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHZ1_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHZ1_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHZ1_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHZ1_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHZ1_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHZ1_WLINE_OFFSET                                         0x00000720
#define SLIMBUS_CHZ1_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHZ1_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHZ1_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHZ1_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHZ1_AUD_OFFSET                                           0x00000780
#define SLIMBUS_CHZ1_AUD_TYPE                                             UInt32
#define SLIMBUS_CHZ1_AUD_RESERVED_MASK                                    0xC8C0F820
#define    SLIMBUS_CHZ1_AUD_ENB_MULTI_SLOT_SHIFT                          29
#define    SLIMBUS_CHZ1_AUD_ENB_MULTI_SLOT_MASK                           0x20000000
#define    SLIMBUS_CHZ1_AUD_THREE_IN_ONE_SHIFT                            28
#define    SLIMBUS_CHZ1_AUD_THREE_IN_ONE_MASK                             0x10000000
#define    SLIMBUS_CHZ1_AUD_ENB_3RD_SLOT_SHIFT                            26
#define    SLIMBUS_CHZ1_AUD_ENB_3RD_SLOT_MASK                             0x04000000
#define    SLIMBUS_CHZ1_AUD_ENB_2ND_SLOT_SHIFT                            25
#define    SLIMBUS_CHZ1_AUD_ENB_2ND_SLOT_MASK                             0x02000000
#define    SLIMBUS_CHZ1_AUD_ENB_1ST_SLOT_SHIFT                            24
#define    SLIMBUS_CHZ1_AUD_ENB_1ST_SLOT_MASK                             0x01000000
#define    SLIMBUS_CHZ1_AUD_ON_3RD_SLOT_SHIFT                             20
#define    SLIMBUS_CHZ1_AUD_ON_3RD_SLOT_MASK                              0x00300000
#define    SLIMBUS_CHZ1_AUD_ON_2ND_SLOT_SHIFT                             18
#define    SLIMBUS_CHZ1_AUD_ON_2ND_SLOT_MASK                              0x000C0000
#define    SLIMBUS_CHZ1_AUD_ON_1ST_SLOT_SHIFT                             16
#define    SLIMBUS_CHZ1_AUD_ON_1ST_SLOT_MASK                              0x00030000
#define    SLIMBUS_CHZ1_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHZ1_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHZ1_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHZ1_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHZ1_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHZ1_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHZ1_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHZ1_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHZ1_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHZ1_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHZ1_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHZ1_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHZ1_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHZ1_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHZ1_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHZ1_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHZ3_PA0_OFFSET                                           0x00000900
#define SLIMBUS_CHZ3_PA0_TYPE                                             UInt32
#define SLIMBUS_CHZ3_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHZ3_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHZ3_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHZ3_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHZ3_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHZ3_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHZ3_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHZ3_PA1_OFFSET                                           0x00000904
#define SLIMBUS_CHZ3_PA1_TYPE                                             UInt32
#define SLIMBUS_CHZ3_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHZ3_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHZ3_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHZ3_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHZ3_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHZ3_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHZ3_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHZ3_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHZ3_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHZ3_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHZ3_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHZ3_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHZ3_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHZ3_STAT_OFFSET                                          0x00000908
#define SLIMBUS_CHZ3_STAT_TYPE                                            UInt32
#define SLIMBUS_CHZ3_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHZ3_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHZ3_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHZ3_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHZ3_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHZ3_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHZ3_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHZ3_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHZ3_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHZ3_CON_OFFSET                                           0x0000090C
#define SLIMBUS_CHZ3_CON_TYPE                                             UInt32
#define SLIMBUS_CHZ3_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHZ3_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHZ3_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHZ3_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHZ3_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHZ3_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHZ3_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHZ3_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHZ3_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHZ3_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHZ3_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHZ3_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHZ3_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHZ3_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHZ3_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHZ3_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHZ3_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHZ3_INT_STS_OFFSET                                       0x00000910
#define SLIMBUS_CHZ3_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHZ3_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHZ3_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHZ3_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHZ3_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHZ3_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHZ3_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHZ3_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHZ3_INT_EN_OFFSET                                        0x00000914
#define SLIMBUS_CHZ3_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHZ3_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHZ3_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHZ3_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHZ3_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHZ3_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHZ3_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHZ3_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHZ3_WLINE_OFFSET                                         0x00000920
#define SLIMBUS_CHZ3_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHZ3_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHZ3_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHZ3_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHZ3_AUD_OFFSET                                           0x00000980
#define SLIMBUS_CHZ3_AUD_TYPE                                             UInt32
#define SLIMBUS_CHZ3_AUD_RESERVED_MASK                                    0xC8C0F820
#define    SLIMBUS_CHZ3_AUD_ENB_MULTI_SLOT_SHIFT                          29
#define    SLIMBUS_CHZ3_AUD_ENB_MULTI_SLOT_MASK                           0x20000000
#define    SLIMBUS_CHZ3_AUD_THREE_IN_ONE_SHIFT                            28
#define    SLIMBUS_CHZ3_AUD_THREE_IN_ONE_MASK                             0x10000000
#define    SLIMBUS_CHZ3_AUD_ENB_3RD_SLOT_SHIFT                            26
#define    SLIMBUS_CHZ3_AUD_ENB_3RD_SLOT_MASK                             0x04000000
#define    SLIMBUS_CHZ3_AUD_ENB_2ND_SLOT_SHIFT                            25
#define    SLIMBUS_CHZ3_AUD_ENB_2ND_SLOT_MASK                             0x02000000
#define    SLIMBUS_CHZ3_AUD_ENB_1ST_SLOT_SHIFT                            24
#define    SLIMBUS_CHZ3_AUD_ENB_1ST_SLOT_MASK                             0x01000000
#define    SLIMBUS_CHZ3_AUD_ON_3RD_SLOT_SHIFT                             20
#define    SLIMBUS_CHZ3_AUD_ON_3RD_SLOT_MASK                              0x00300000
#define    SLIMBUS_CHZ3_AUD_ON_2ND_SLOT_SHIFT                             18
#define    SLIMBUS_CHZ3_AUD_ON_2ND_SLOT_MASK                              0x000C0000
#define    SLIMBUS_CHZ3_AUD_ON_1ST_SLOT_SHIFT                             16
#define    SLIMBUS_CHZ3_AUD_ON_1ST_SLOT_MASK                              0x00030000
#define    SLIMBUS_CHZ3_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHZ3_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHZ3_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHZ3_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHZ3_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHZ3_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHZ3_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHZ3_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHZ3_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHZ3_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHZ3_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHZ3_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHZ3_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHZ3_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHZ3_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHZ3_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHZ4_PA0_OFFSET                                           0x00000A00
#define SLIMBUS_CHZ4_PA0_TYPE                                             UInt32
#define SLIMBUS_CHZ4_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHZ4_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHZ4_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHZ4_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHZ4_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHZ4_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHZ4_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHZ4_PA1_OFFSET                                           0x00000A04
#define SLIMBUS_CHZ4_PA1_TYPE                                             UInt32
#define SLIMBUS_CHZ4_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHZ4_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHZ4_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHZ4_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHZ4_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHZ4_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHZ4_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHZ4_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHZ4_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHZ4_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHZ4_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHZ4_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHZ4_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHZ4_STAT_OFFSET                                          0x00000A08
#define SLIMBUS_CHZ4_STAT_TYPE                                            UInt32
#define SLIMBUS_CHZ4_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHZ4_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHZ4_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHZ4_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHZ4_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHZ4_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHZ4_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHZ4_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHZ4_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHZ4_CON_OFFSET                                           0x00000A0C
#define SLIMBUS_CHZ4_CON_TYPE                                             UInt32
#define SLIMBUS_CHZ4_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHZ4_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHZ4_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHZ4_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHZ4_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHZ4_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHZ4_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHZ4_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHZ4_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHZ4_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHZ4_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHZ4_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHZ4_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHZ4_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHZ4_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHZ4_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHZ4_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHZ4_INT_STS_OFFSET                                       0x00000A10
#define SLIMBUS_CHZ4_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHZ4_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHZ4_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHZ4_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHZ4_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHZ4_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHZ4_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHZ4_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHZ4_INT_EN_OFFSET                                        0x00000A14
#define SLIMBUS_CHZ4_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHZ4_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHZ4_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHZ4_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHZ4_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHZ4_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHZ4_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHZ4_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHZ4_WLINE_OFFSET                                         0x00000A20
#define SLIMBUS_CHZ4_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHZ4_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHZ4_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHZ4_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHZ4_AUD_OFFSET                                           0x00000A80
#define SLIMBUS_CHZ4_AUD_TYPE                                             UInt32
#define SLIMBUS_CHZ4_AUD_RESERVED_MASK                                    0xC8C0F820
#define    SLIMBUS_CHZ4_AUD_ENB_MULTI_SLOT_SHIFT                          29
#define    SLIMBUS_CHZ4_AUD_ENB_MULTI_SLOT_MASK                           0x20000000
#define    SLIMBUS_CHZ4_AUD_THREE_IN_ONE_SHIFT                            28
#define    SLIMBUS_CHZ4_AUD_THREE_IN_ONE_MASK                             0x10000000
#define    SLIMBUS_CHZ4_AUD_ENB_3RD_SLOT_SHIFT                            26
#define    SLIMBUS_CHZ4_AUD_ENB_3RD_SLOT_MASK                             0x04000000
#define    SLIMBUS_CHZ4_AUD_ENB_2ND_SLOT_SHIFT                            25
#define    SLIMBUS_CHZ4_AUD_ENB_2ND_SLOT_MASK                             0x02000000
#define    SLIMBUS_CHZ4_AUD_ENB_1ST_SLOT_SHIFT                            24
#define    SLIMBUS_CHZ4_AUD_ENB_1ST_SLOT_MASK                             0x01000000
#define    SLIMBUS_CHZ4_AUD_ON_3RD_SLOT_SHIFT                             20
#define    SLIMBUS_CHZ4_AUD_ON_3RD_SLOT_MASK                              0x00300000
#define    SLIMBUS_CHZ4_AUD_ON_2ND_SLOT_SHIFT                             18
#define    SLIMBUS_CHZ4_AUD_ON_2ND_SLOT_MASK                              0x000C0000
#define    SLIMBUS_CHZ4_AUD_ON_1ST_SLOT_SHIFT                             16
#define    SLIMBUS_CHZ4_AUD_ON_1ST_SLOT_MASK                              0x00030000
#define    SLIMBUS_CHZ4_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHZ4_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHZ4_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHZ4_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHZ4_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHZ4_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHZ4_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHZ4_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHZ4_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHZ4_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHZ4_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHZ4_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHZ4_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHZ4_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHZ4_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHZ4_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHY2_PA0_OFFSET                                           0x00001000
#define SLIMBUS_CHY2_PA0_TYPE                                             UInt32
#define SLIMBUS_CHY2_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHY2_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHY2_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHY2_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHY2_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHY2_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHY2_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHY2_PA1_OFFSET                                           0x00001004
#define SLIMBUS_CHY2_PA1_TYPE                                             UInt32
#define SLIMBUS_CHY2_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHY2_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHY2_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHY2_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHY2_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHY2_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHY2_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHY2_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHY2_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHY2_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHY2_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHY2_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHY2_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHY2_STAT_OFFSET                                          0x00001008
#define SLIMBUS_CHY2_STAT_TYPE                                            UInt32
#define SLIMBUS_CHY2_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHY2_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHY2_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHY2_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHY2_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHY2_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHY2_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHY2_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHY2_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHY2_CON_OFFSET                                           0x0000100C
#define SLIMBUS_CHY2_CON_TYPE                                             UInt32
#define SLIMBUS_CHY2_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHY2_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHY2_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHY2_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHY2_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHY2_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHY2_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHY2_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHY2_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHY2_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHY2_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHY2_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHY2_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHY2_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHY2_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHY2_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHY2_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHY2_INT_STS_OFFSET                                       0x00001010
#define SLIMBUS_CHY2_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHY2_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHY2_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHY2_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHY2_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHY2_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHY2_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHY2_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHY2_INT_EN_OFFSET                                        0x00001014
#define SLIMBUS_CHY2_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHY2_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHY2_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHY2_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHY2_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHY2_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHY2_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHY2_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHY2_WLINE_OFFSET                                         0x00001020
#define SLIMBUS_CHY2_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHY2_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHY2_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHY2_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHY2_AUD_OFFSET                                           0x00001080
#define SLIMBUS_CHY2_AUD_TYPE                                             UInt32
#define SLIMBUS_CHY2_AUD_RESERVED_MASK                                    0xFFF8F820
#define    SLIMBUS_CHY2_AUD_COPY_SHIFT                                    18
#define    SLIMBUS_CHY2_AUD_COPY_MASK                                     0x00040000
#define    SLIMBUS_CHY2_AUD_BURST_SHIFT                                   17
#define    SLIMBUS_CHY2_AUD_BURST_MASK                                    0x00020000
#define    SLIMBUS_CHY2_AUD_SINGLE_SHIFT                                  16
#define    SLIMBUS_CHY2_AUD_SINGLE_MASK                                   0x00010000
#define    SLIMBUS_CHY2_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHY2_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHY2_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHY2_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHY2_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHY2_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHY2_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHY2_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHY2_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHY2_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHY2_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHY2_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHY2_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHY2_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHY2_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHY2_AUD_LPCM_MASK                                     0x00000001

#define SLIMBUS_CHY3_PA0_OFFSET                                           0x00001100
#define SLIMBUS_CHY3_PA0_TYPE                                             UInt32
#define SLIMBUS_CHY3_PA0_RESERVED_MASK                                    0xFF0000E0
#define    SLIMBUS_CHY3_PA0_TP_SHIFT                                      20
#define    SLIMBUS_CHY3_PA0_TP_MASK                                       0x00F00000
#define    SLIMBUS_CHY3_PA0_SD_SHIFT                                      8
#define    SLIMBUS_CHY3_PA0_SD_MASK                                       0x000FFF00
#define    SLIMBUS_CHY3_PA0_SL_SHIFT                                      0
#define    SLIMBUS_CHY3_PA0_SL_MASK                                       0x0000001F

#define SLIMBUS_CHY3_PA1_OFFSET                                           0x00001104
#define SLIMBUS_CHY3_PA1_TYPE                                             UInt32
#define SLIMBUS_CHY3_PA1_RESERVED_MASK                                    0xFF0000C0
#define    SLIMBUS_CHY3_PA1_FL_SHIFT                                      23
#define    SLIMBUS_CHY3_PA1_FL_MASK                                       0x00800000
#define    SLIMBUS_CHY3_PA1_PR_SHIFT                                      16
#define    SLIMBUS_CHY3_PA1_PR_MASK                                       0x007F0000
#define    SLIMBUS_CHY3_PA1_AF_SHIFT                                      12
#define    SLIMBUS_CHY3_PA1_AF_MASK                                       0x0000F000
#define    SLIMBUS_CHY3_PA1_DT_SHIFT                                      8
#define    SLIMBUS_CHY3_PA1_DT_MASK                                       0x00000F00
#define    SLIMBUS_CHY3_PA1_CL_SHIFT                                      5
#define    SLIMBUS_CHY3_PA1_CL_MASK                                       0x00000020
#define    SLIMBUS_CHY3_PA1_DL_SHIFT                                      0
#define    SLIMBUS_CHY3_PA1_DL_MASK                                       0x0000001F

#define SLIMBUS_CHY3_STAT_OFFSET                                          0x00001108
#define SLIMBUS_CHY3_STAT_TYPE                                            UInt32
#define SLIMBUS_CHY3_STAT_RESERVED_MASK                                   0x7F00FF3F
#define    SLIMBUS_CHY3_STAT_PA_SHIFT                                     31
#define    SLIMBUS_CHY3_STAT_PA_MASK                                      0x80000000
#define    SLIMBUS_CHY3_STAT_CN_SHIFT                                     16
#define    SLIMBUS_CHY3_STAT_CN_MASK                                      0x00FF0000
#define    SLIMBUS_CHY3_STAT_CEN_SHIFT                                    7
#define    SLIMBUS_CHY3_STAT_CEN_MASK                                     0x00000080
#define    SLIMBUS_CHY3_STAT_SNS_SHIFT                                    6
#define    SLIMBUS_CHY3_STAT_SNS_MASK                                     0x00000040

#define SLIMBUS_CHY3_CON_OFFSET                                           0x0000110C
#define SLIMBUS_CHY3_CON_TYPE                                             UInt32
#define SLIMBUS_CHY3_CON_RESERVED_MASK                                    0x0000FF00
#define    SLIMBUS_CHY3_CON_LAV_SHIFT                                     31
#define    SLIMBUS_CHY3_CON_LAV_MASK                                      0x80000000
#define    SLIMBUS_CHY3_CON_PNV_SHIFT                                     30
#define    SLIMBUS_CHY3_CON_PNV_MASK                                      0x40000000
#define    SLIMBUS_CHY3_CON_PN_SHIFT                                      24
#define    SLIMBUS_CHY3_CON_PN_MASK                                       0x3F000000
#define    SLIMBUS_CHY3_CON_LA_SHIFT                                      16
#define    SLIMBUS_CHY3_CON_LA_MASK                                       0x00FF0000
#define    SLIMBUS_CHY3_CON_SNK_PULL_PRE_SHIFT                            6
#define    SLIMBUS_CHY3_CON_SNK_PULL_PRE_MASK                             0x000000C0
#define    SLIMBUS_CHY3_CON_SNK_PUSH_PRE_SHIFT                            4
#define    SLIMBUS_CHY3_CON_SNK_PUSH_PRE_MASK                             0x00000030
#define    SLIMBUS_CHY3_CON_SRC_PULL_PRE_SHIFT                            2
#define    SLIMBUS_CHY3_CON_SRC_PULL_PRE_MASK                             0x0000000C
#define    SLIMBUS_CHY3_CON_SRC_PUSH_PRE_SHIFT                            0
#define    SLIMBUS_CHY3_CON_SRC_PUSH_PRE_MASK                             0x00000003

#define SLIMBUS_CHY3_INT_STS_OFFSET                                       0x00001110
#define SLIMBUS_CHY3_INT_STS_TYPE                                         UInt32
#define SLIMBUS_CHY3_INT_STS_RESERVED_MASK                                0xFFFFFFF8
#define    SLIMBUS_CHY3_INT_STS_TX_COL_STS_SHIFT                          2
#define    SLIMBUS_CHY3_INT_STS_TX_COL_STS_MASK                           0x00000004
#define    SLIMBUS_CHY3_INT_STS_CUF_STS_SHIFT                             1
#define    SLIMBUS_CHY3_INT_STS_CUF_STS_MASK                              0x00000002
#define    SLIMBUS_CHY3_INT_STS_COF_STS_SHIFT                             0
#define    SLIMBUS_CHY3_INT_STS_COF_STS_MASK                              0x00000001

#define SLIMBUS_CHY3_INT_EN_OFFSET                                        0x00001114
#define SLIMBUS_CHY3_INT_EN_TYPE                                          UInt32
#define SLIMBUS_CHY3_INT_EN_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMBUS_CHY3_INT_EN_TX_COL_EN_SHIFT                            2
#define    SLIMBUS_CHY3_INT_EN_TX_COL_EN_MASK                             0x00000004
#define    SLIMBUS_CHY3_INT_EN_CUF_EN_SHIFT                               1
#define    SLIMBUS_CHY3_INT_EN_CUF_EN_MASK                                0x00000002
#define    SLIMBUS_CHY3_INT_EN_COF_EN_SHIFT                               0
#define    SLIMBUS_CHY3_INT_EN_COF_EN_MASK                                0x00000001

#define SLIMBUS_CHY3_WLINE_OFFSET                                         0x00001120
#define SLIMBUS_CHY3_WLINE_TYPE                                           UInt32
#define SLIMBUS_CHY3_WLINE_RESERVED_MASK                                  0xFFFFFFF8
#define    SLIMBUS_CHY3_WLINE_WLINE_SHIFT                                 0
#define    SLIMBUS_CHY3_WLINE_WLINE_MASK                                  0x00000007

#define SLIMBUS_CHY3_AUD_OFFSET                                           0x00001180
#define SLIMBUS_CHY3_AUD_TYPE                                             UInt32
#define SLIMBUS_CHY3_AUD_RESERVED_MASK                                    0xFFF8F820
#define    SLIMBUS_CHY3_AUD_COPY_SHIFT                                    18
#define    SLIMBUS_CHY3_AUD_COPY_MASK                                     0x00040000
#define    SLIMBUS_CHY3_AUD_BURST_SHIFT                                   17
#define    SLIMBUS_CHY3_AUD_BURST_MASK                                    0x00020000
#define    SLIMBUS_CHY3_AUD_SINGLE_SHIFT                                  16
#define    SLIMBUS_CHY3_AUD_SINGLE_MASK                                   0x00010000
#define    SLIMBUS_CHY3_AUD_SS_SHIFT                                      8
#define    SLIMBUS_CHY3_AUD_SS_MASK                                       0x00000700
#define    SLIMBUS_CHY3_AUD_SRCVLD_SHIFT                                  7
#define    SLIMBUS_CHY3_AUD_SRCVLD_MASK                                   0x00000080
#define    SLIMBUS_CHY3_AUD_SNKVLD_SHIFT                                  6
#define    SLIMBUS_CHY3_AUD_SNKVLD_MASK                                   0x00000040
#define    SLIMBUS_CHY3_AUD_CENHOLD_SHIFT                                 4
#define    SLIMBUS_CHY3_AUD_CENHOLD_MASK                                  0x00000010
#define    SLIMBUS_CHY3_AUD_DRE_SHIFT                                     3
#define    SLIMBUS_CHY3_AUD_DRE_MASK                                      0x00000008
#define    SLIMBUS_CHY3_AUD_CLRFP_SHIFT                                   2
#define    SLIMBUS_CHY3_AUD_CLRFP_MASK                                    0x00000004
#define    SLIMBUS_CHY3_AUD_RBDD_SHIFT                                    1
#define    SLIMBUS_CHY3_AUD_RBDD_MASK                                     0x00000002
#define    SLIMBUS_CHY3_AUD_LPCM_SHIFT                                    0
#define    SLIMBUS_CHY3_AUD_LPCM_MASK                                     0x00000001

#endif /* __BRCM_RDB_SLIMBUS_H__ */


