/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_SLIMWRAP_H__
#define __BRCM_RDB_SLIMWRAP_H__

#define SLIMWRAP_MONOTX0_BANK0_ADDR_OFFSET                                0x00000000
#define SLIMWRAP_MONOTX0_BANK0_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONOTX0_BANK0_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_SHIFT                2
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_VLD_SHIFT            0
#define    SLIMWRAP_MONOTX0_BANK0_ADDR_MONOTX0_ADDR0_VLD_MASK             0x00000001

#define SLIMWRAP_MONOTX0_BANK1_ADDR_OFFSET                                0x00000004
#define SLIMWRAP_MONOTX0_BANK1_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONOTX0_BANK1_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_SHIFT                2
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_VLD_SHIFT            0
#define    SLIMWRAP_MONOTX0_BANK1_ADDR_MONOTX0_ADDR1_VLD_MASK             0x00000001

#define SLIMWRAP_MONOTX0_XFER_CFG_OFFSET                                  0x00000008
#define SLIMWRAP_MONOTX0_XFER_CFG_TYPE                                    UInt32
#define SLIMWRAP_MONOTX0_XFER_CFG_RESERVED_MASK                           0x0CE00000
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_FIFO_THRES_SHIFT             28
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_FIFO_THRES_MASK              0xF0000000
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_AUD_PACKED_SHIFT             25
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_AUD_PACKED_MASK              0x02000000
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_SAMPLECLK_EN_SHIFT           24
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_SAMPLECLK_EN_MASK            0x01000000
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_SAMPLECLK_CTRL_SHIFT         16
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_SAMPLECLK_CTRL_MASK          0x001F0000
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_FIFO_FILL_LEVEL_SHIFT        10
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_FIFO_FILL_LEVEL_MASK         0x0000FC00
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_ACTIVE_BANK_SHIFT            9
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_ACTIVE_BANK_MASK             0x00000200
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_INTR_EN_SHIFT                8
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_INTR_EN_MASK                 0x00000100
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_NUM_TRANSFERS_SHIFT          0
#define    SLIMWRAP_MONOTX0_XFER_CFG_MONOTX0_NUM_TRANSFERS_MASK           0x000000FF

#define SLIMWRAP_MONOTX1_BANK0_ADDR_OFFSET                                0x00000010
#define SLIMWRAP_MONOTX1_BANK0_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONOTX1_BANK0_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_SHIFT                2
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_VLD_SHIFT            0
#define    SLIMWRAP_MONOTX1_BANK0_ADDR_MONOTX1_ADDR0_VLD_MASK             0x00000001

#define SLIMWRAP_MONOTX1_BANK1_ADDR_OFFSET                                0x00000014
#define SLIMWRAP_MONOTX1_BANK1_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONOTX1_BANK1_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_SHIFT                2
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_VLD_SHIFT            0
#define    SLIMWRAP_MONOTX1_BANK1_ADDR_MONOTX1_ADDR1_VLD_MASK             0x00000001

#define SLIMWRAP_MONOTX1_XFER_CFG_OFFSET                                  0x00000018
#define SLIMWRAP_MONOTX1_XFER_CFG_TYPE                                    UInt32
#define SLIMWRAP_MONOTX1_XFER_CFG_RESERVED_MASK                           0x0CE00000
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_FIFO_THRES_SHIFT             28
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_FIFO_THRES_MASK              0xF0000000
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_AUD_PACKED_SHIFT             25
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_AUD_PACKED_MASK              0x02000000
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_SAMPLECLK_EN_SHIFT           24
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_SAMPLECLK_EN_MASK            0x01000000
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_SAMPLECLK_CTRL_SHIFT         16
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_SAMPLECLK_CTRL_MASK          0x001F0000
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_FIFO_FILL_LEVEL_SHIFT        10
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_FIFO_FILL_LEVEL_MASK         0x0000FC00
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_ACTIVE_BANK_SHIFT            9
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_ACTIVE_BANK_MASK             0x00000200
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_INTR_EN_SHIFT                8
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_INTR_EN_MASK                 0x00000100
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_NUM_TRANSFERS_SHIFT          0
#define    SLIMWRAP_MONOTX1_XFER_CFG_MONOTX1_NUM_TRANSFERS_MASK           0x000000FF

#define SLIMWRAP_MONORX0_BANK0_ADDR_OFFSET                                0x00000020
#define SLIMWRAP_MONORX0_BANK0_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONORX0_BANK0_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_SHIFT                2
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_VLD_SHIFT            0
#define    SLIMWRAP_MONORX0_BANK0_ADDR_MONORX0_ADDR0_VLD_MASK             0x00000001

#define SLIMWRAP_MONORX0_BANK1_ADDR_OFFSET                                0x00000024
#define SLIMWRAP_MONORX0_BANK1_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONORX0_BANK1_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_SHIFT                2
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_VLD_SHIFT            0
#define    SLIMWRAP_MONORX0_BANK1_ADDR_MONORX0_ADDR1_VLD_MASK             0x00000001

#define SLIMWRAP_MONORX0_XFER_CFG_OFFSET                                  0x00000028
#define SLIMWRAP_MONORX0_XFER_CFG_TYPE                                    UInt32
#define SLIMWRAP_MONORX0_XFER_CFG_RESERVED_MASK                           0x0CE00000
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_FIFO_THRES_SHIFT             28
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_FIFO_THRES_MASK              0xF0000000
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_AUD_PACKED_SHIFT             25
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_AUD_PACKED_MASK              0x02000000
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_SAMPLECLK_EN_SHIFT           24
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_SAMPLECLK_EN_MASK            0x01000000
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_SAMPLECLK_CTRL_SHIFT         16
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_SAMPLECLK_CTRL_MASK          0x001F0000
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_FIFO_FILL_LEVEL_SHIFT        10
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_FIFO_FILL_LEVEL_MASK         0x0000FC00
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_ACTIVE_BANK_SHIFT            9
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_ACTIVE_BANK_MASK             0x00000200
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_INTR_EN_SHIFT                8
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_INTR_EN_MASK                 0x00000100
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_NUM_TRANSFERS_SHIFT          0
#define    SLIMWRAP_MONORX0_XFER_CFG_MONORX0_NUM_TRANSFERS_MASK           0x000000FF

#define SLIMWRAP_MONORX1_BANK0_ADDR_OFFSET                                0x00000030
#define SLIMWRAP_MONORX1_BANK0_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONORX1_BANK0_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_SHIFT                2
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_VLD_SHIFT            0
#define    SLIMWRAP_MONORX1_BANK0_ADDR_MONORX1_ADDR0_VLD_MASK             0x00000001

#define SLIMWRAP_MONORX1_BANK1_ADDR_OFFSET                                0x00000034
#define SLIMWRAP_MONORX1_BANK1_ADDR_TYPE                                  UInt32
#define SLIMWRAP_MONORX1_BANK1_ADDR_RESERVED_MASK                         0x00000000
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_SHIFT                2
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_MASK                 0xFFFFFFFC
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_CLR_VLD_SHIFT        1
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_CLR_VLD_MASK         0x00000002
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_VLD_SHIFT            0
#define    SLIMWRAP_MONORX1_BANK1_ADDR_MONORX1_ADDR1_VLD_MASK             0x00000001

#define SLIMWRAP_MONORX1_XFER_CFG_OFFSET                                  0x00000038
#define SLIMWRAP_MONORX1_XFER_CFG_TYPE                                    UInt32
#define SLIMWRAP_MONORX1_XFER_CFG_RESERVED_MASK                           0x0CE00000
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_FIFO_THRES_SHIFT             28
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_FIFO_THRES_MASK              0xF0000000
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_AUD_PACKED_SHIFT             25
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_AUD_PACKED_MASK              0x02000000
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_SAMPLECLK_EN_SHIFT           24
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_SAMPLECLK_EN_MASK            0x01000000
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_SAMPLECLK_CTRL_SHIFT         16
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_SAMPLECLK_CTRL_MASK          0x001F0000
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_FIFO_FILL_LEVEL_SHIFT        10
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_FIFO_FILL_LEVEL_MASK         0x0000FC00
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_ACTIVE_BANK_SHIFT            9
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_ACTIVE_BANK_MASK             0x00000200
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_INTR_EN_SHIFT                8
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_INTR_EN_MASK                 0x00000100
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_NUM_TRANSFERS_SHIFT          0
#define    SLIMWRAP_MONORX1_XFER_CFG_MONORX1_NUM_TRANSFERS_MASK           0x000000FF

#define SLIMWRAP_STRO0_BANK0_ADDR_OFFSET                                  0x00000040
#define SLIMWRAP_STRO0_BANK0_ADDR_TYPE                                    UInt32
#define SLIMWRAP_STRO0_BANK0_ADDR_RESERVED_MASK                           0x00000000
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_SHIFT                    2
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_MASK                     0xFFFFFFFC
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_CLR_VLD_SHIFT            1
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_CLR_VLD_MASK             0x00000002
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_VLD_SHIFT                0
#define    SLIMWRAP_STRO0_BANK0_ADDR_STRO0_ADDR0_VLD_MASK                 0x00000001

#define SLIMWRAP_STRO0_BANK1_ADDR_OFFSET                                  0x00000044
#define SLIMWRAP_STRO0_BANK1_ADDR_TYPE                                    UInt32
#define SLIMWRAP_STRO0_BANK1_ADDR_RESERVED_MASK                           0x00000000
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_SHIFT                    2
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_MASK                     0xFFFFFFFC
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_CLR_VLD_SHIFT            1
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_CLR_VLD_MASK             0x00000002
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_VLD_SHIFT                0
#define    SLIMWRAP_STRO0_BANK1_ADDR_STRO0_ADDR1_VLD_MASK                 0x00000001

#define SLIMWRAP_STRO0_XFER_CFG_OFFSET                                    0x00000048
#define SLIMWRAP_STRO0_XFER_CFG_TYPE                                      UInt32
#define SLIMWRAP_STRO0_XFER_CFG_RESERVED_MASK                             0x0CE00000
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_FIFO_THRES_SHIFT                 28
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_FIFO_THRES_MASK                  0xF0000000
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_AUD_PACKED_SHIFT                 25
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_AUD_PACKED_MASK                  0x02000000
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_SAMPLECLK_EN_SHIFT               24
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_SAMPLECLK_EN_MASK                0x01000000
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_SAMPLECLK_CTRL_SHIFT             16
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_SAMPLECLK_CTRL_MASK              0x001F0000
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_FIFO_FILL_LEVEL_SHIFT            10
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_FIFO_FILL_LEVEL_MASK             0x0000FC00
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_ACTIVE_BANK_SHIFT                9
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_ACTIVE_BANK_MASK                 0x00000200
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_INTR_EN_SHIFT                    8
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_INTR_EN_MASK                     0x00000100
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_NUM_TRANSFERS_SHIFT              0
#define    SLIMWRAP_STRO0_XFER_CFG_STRO0_NUM_TRANSFERS_MASK               0x000000FF

#define SLIMWRAP_STRO1_BANK0_ADDR_OFFSET                                  0x00000050
#define SLIMWRAP_STRO1_BANK0_ADDR_TYPE                                    UInt32
#define SLIMWRAP_STRO1_BANK0_ADDR_RESERVED_MASK                           0x00000000
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_SHIFT                    2
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_MASK                     0xFFFFFFFC
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_CLR_VLD_SHIFT            1
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_CLR_VLD_MASK             0x00000002
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_VLD_SHIFT                0
#define    SLIMWRAP_STRO1_BANK0_ADDR_STRO1_ADDR0_VLD_MASK                 0x00000001

#define SLIMWRAP_STRO1_BANK1_ADDR_OFFSET                                  0x00000054
#define SLIMWRAP_STRO1_BANK1_ADDR_TYPE                                    UInt32
#define SLIMWRAP_STRO1_BANK1_ADDR_RESERVED_MASK                           0x00000000
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_SHIFT                    2
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_MASK                     0xFFFFFFFC
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_CLR_VLD_SHIFT            1
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_CLR_VLD_MASK             0x00000002
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_VLD_SHIFT                0
#define    SLIMWRAP_STRO1_BANK1_ADDR_STRO1_ADDR1_VLD_MASK                 0x00000001

#define SLIMWRAP_STRO1_XFER_CFG_OFFSET                                    0x00000058
#define SLIMWRAP_STRO1_XFER_CFG_TYPE                                      UInt32
#define SLIMWRAP_STRO1_XFER_CFG_RESERVED_MASK                             0x0CE00000
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_FIFO_THRES_SHIFT                 28
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_FIFO_THRES_MASK                  0xF0000000
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_AUD_PACKED_SHIFT                 25
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_AUD_PACKED_MASK                  0x02000000
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_SAMPLECLK_EN_SHIFT               24
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_SAMPLECLK_EN_MASK                0x01000000
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_SAMPLECLK_CTRL_SHIFT             16
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_SAMPLECLK_CTRL_MASK              0x001F0000
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_FIFO_FILL_LEVEL_SHIFT            10
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_FIFO_FILL_LEVEL_MASK             0x0000FC00
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_ACTIVE_BANK_SHIFT                9
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_ACTIVE_BANK_MASK                 0x00000200
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_INTR_EN_SHIFT                    8
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_INTR_EN_MASK                     0x00000100
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_NUM_TRANSFERS_SHIFT              0
#define    SLIMWRAP_STRO1_XFER_CFG_STRO1_NUM_TRANSFERS_MASK               0x000000FF

#define SLIMWRAP_SAMPLECLK_CFG_OFFSET                                     0x00000060
#define SLIMWRAP_SAMPLECLK_CFG_TYPE                                       UInt32
#define SLIMWRAP_SAMPLECLK_CFG_RESERVED_MASK                              0xFF000000
#define    SLIMWRAP_SAMPLECLK_CFG_DIV_X_SHIFT                             16
#define    SLIMWRAP_SAMPLECLK_CFG_DIV_X_MASK                              0x00FF0000
#define    SLIMWRAP_SAMPLECLK_CFG_RATIO_N_SHIFT                           8
#define    SLIMWRAP_SAMPLECLK_CFG_RATIO_N_MASK                            0x0000FF00
#define    SLIMWRAP_SAMPLECLK_CFG_RATIO_M_SHIFT                           0
#define    SLIMWRAP_SAMPLECLK_CFG_RATIO_M_MASK                            0x000000FF

#define SLIMWRAP_UPI_SIZE_OFFSET                                          0x00000064
#define SLIMWRAP_UPI_SIZE_TYPE                                            UInt32
#define SLIMWRAP_UPI_SIZE_RESERVED_MASK                                   0xFFFFFFF8
#define    SLIMWRAP_UPI_SIZE_PTU_SIZE_SHIFT                               0
#define    SLIMWRAP_UPI_SIZE_PTU_SIZE_MASK                                0x00000007

#define SLIMWRAP_SLIM_RESET_OFFSET                                        0x00000070
#define SLIMWRAP_SLIM_RESET_TYPE                                          UInt32
#define SLIMWRAP_SLIM_RESET_RESERVED_MASK                                 0xFFFFFFF8
#define    SLIMWRAP_SLIM_RESET_PULSE_RESET_SHIFT                          2
#define    SLIMWRAP_SLIM_RESET_PULSE_RESET_MASK                           0x00000004
#define    SLIMWRAP_SLIM_RESET_LEVEL_RESET_SHIFT                          1
#define    SLIMWRAP_SLIM_RESET_LEVEL_RESET_MASK                           0x00000002
#define    SLIMWRAP_SLIM_RESET_SOFT_RESET_SHIFT                           0
#define    SLIMWRAP_SLIM_RESET_SOFT_RESET_MASK                            0x00000001

#define SLIMWRAP_APB_CTRL_OFFSET                                          0x00000080
#define SLIMWRAP_APB_CTRL_TYPE                                            UInt32
#define SLIMWRAP_APB_CTRL_RESERVED_MASK                                   0xFFFFFFFE
#define    SLIMWRAP_APB_CTRL_PREADY_TIMEOUT_ENABLE_SHIFT                  0
#define    SLIMWRAP_APB_CTRL_PREADY_TIMEOUT_ENABLE_MASK                   0x00000001

#define SLIMWRAP_APB_FIFO_MODE_OFFSET                                     0x00000084
#define SLIMWRAP_APB_FIFO_MODE_TYPE                                       UInt32
#define SLIMWRAP_APB_FIFO_MODE_RESERVED_MASK                              0xFFFFFFC0
#define    SLIMWRAP_APB_FIFO_MODE_STRO1_FIFO_APB_SHIFT                    5
#define    SLIMWRAP_APB_FIFO_MODE_STRO1_FIFO_APB_MASK                     0x00000020
#define    SLIMWRAP_APB_FIFO_MODE_STRO0_FIFO_APB_SHIFT                    4
#define    SLIMWRAP_APB_FIFO_MODE_STRO0_FIFO_APB_MASK                     0x00000010
#define    SLIMWRAP_APB_FIFO_MODE_MONORX1_FIFO_APB_SHIFT                  3
#define    SLIMWRAP_APB_FIFO_MODE_MONORX1_FIFO_APB_MASK                   0x00000008
#define    SLIMWRAP_APB_FIFO_MODE_MONORX0_FIFO_APB_SHIFT                  2
#define    SLIMWRAP_APB_FIFO_MODE_MONORX0_FIFO_APB_MASK                   0x00000004
#define    SLIMWRAP_APB_FIFO_MODE_MONOTX1_FIFO_APB_SHIFT                  1
#define    SLIMWRAP_APB_FIFO_MODE_MONOTX1_FIFO_APB_MASK                   0x00000002
#define    SLIMWRAP_APB_FIFO_MODE_MONOTX0_FIFO_APB_SHIFT                  0
#define    SLIMWRAP_APB_FIFO_MODE_MONOTX0_FIFO_APB_MASK                   0x00000001

#define SLIMWRAP_FIFO_UNDER_INTR_STAT_OFFSET                              0x00000090
#define SLIMWRAP_FIFO_UNDER_INTR_STAT_TYPE                                UInt32
#define SLIMWRAP_FIFO_UNDER_INTR_STAT_RESERVED_MASK                       0xFFFFFFC0
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_STRO1_FIFO_UD_INTR_SHIFT         5
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_STRO1_FIFO_UD_INTR_MASK          0x00000020
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_STRO0_FIFO_UD_INTR_SHIFT         4
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_STRO0_FIFO_UD_INTR_MASK          0x00000010
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONORX1_FIFO_UD_INTR_SHIFT       3
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONORX1_FIFO_UD_INTR_MASK        0x00000008
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONORX0_FIFO_UD_INTR_SHIFT       2
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONORX0_FIFO_UD_INTR_MASK        0x00000004
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONOTX1_FIFO_UD_INTR_SHIFT       1
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONOTX1_FIFO_UD_INTR_MASK        0x00000002
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONOTX0_FIFO_UD_INTR_SHIFT       0
#define    SLIMWRAP_FIFO_UNDER_INTR_STAT_MONOTX0_FIFO_UD_INTR_MASK        0x00000001

#define SLIMWRAP_FIFO_UNDER_INTR_MASK_OFFSET                              0x00000094
#define SLIMWRAP_FIFO_UNDER_INTR_MASK_TYPE                                UInt32
#define SLIMWRAP_FIFO_UNDER_INTR_MASK_RESERVED_MASK                       0xFFFFFFC0
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_STRO1_FIFO_UD_MSK_SHIFT          5
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_STRO1_FIFO_UD_MSK_MASK           0x00000020
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_STRO0_FIFO_UD_MSK_SHIFT          4
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_STRO0_FIFO_UD_MSK_MASK           0x00000010
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONORX1_FIFO_UD_MSK_SHIFT        3
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONORX1_FIFO_UD_MSK_MASK         0x00000008
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONORX0_FIFO_UD_MSK_SHIFT        2
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONORX0_FIFO_UD_MSK_MASK         0x00000004
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONOTX1_FIFO_UD_MSK_SHIFT        1
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONOTX1_FIFO_UD_MSK_MASK         0x00000002
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONOTX0_FIFO_UD_MSK_SHIFT        0
#define    SLIMWRAP_FIFO_UNDER_INTR_MASK_MONOTX0_FIFO_UD_MSK_MASK         0x00000001

#define SLIMWRAP_FIFO_OVER_INTR_STAT_OFFSET                               0x000000A0
#define SLIMWRAP_FIFO_OVER_INTR_STAT_TYPE                                 UInt32
#define SLIMWRAP_FIFO_OVER_INTR_STAT_RESERVED_MASK                        0xFFFFFFC0
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_STRO1_FIFO_OV_INTR_SHIFT          5
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_STRO1_FIFO_OV_INTR_MASK           0x00000020
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_STRO0_FIFO_OV_INTR_SHIFT          4
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_STRO0_FIFO_OV_INTR_MASK           0x00000010
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONORX1_FIFO_OV_INTR_SHIFT        3
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONORX1_FIFO_OV_INTR_MASK         0x00000008
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONORX0_FIFO_OV_INTR_SHIFT        2
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONORX0_FIFO_OV_INTR_MASK         0x00000004
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONOTX1_FIFO_OV_INTR_SHIFT        1
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONOTX1_FIFO_OV_INTR_MASK         0x00000002
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONOTX0_FIFO_OV_INTR_SHIFT        0
#define    SLIMWRAP_FIFO_OVER_INTR_STAT_MONOTX0_FIFO_OV_INTR_MASK         0x00000001

#define SLIMWRAP_FIFO_OVER_INTR_MASK_OFFSET                               0x000000A4
#define SLIMWRAP_FIFO_OVER_INTR_MASK_TYPE                                 UInt32
#define SLIMWRAP_FIFO_OVER_INTR_MASK_RESERVED_MASK                        0xFFFFFFC0
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_STRO1_FIFO_OV_MSK_SHIFT           5
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_STRO1_FIFO_OV_MSK_MASK            0x00000020
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_STRO0_FIFO_OV_MSK_SHIFT           4
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_STRO0_FIFO_OV_MSK_MASK            0x00000010
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONORX1_FIFO_OV_MSK_SHIFT         3
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONORX1_FIFO_OV_MSK_MASK          0x00000008
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONORX0_FIFO_OV_MSK_SHIFT         2
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONORX0_FIFO_OV_MSK_MASK          0x00000004
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONOTX1_FIFO_OV_MSK_SHIFT         1
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONOTX1_FIFO_OV_MSK_MASK          0x00000002
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONOTX0_FIFO_OV_MSK_SHIFT         0
#define    SLIMWRAP_FIFO_OVER_INTR_MASK_MONOTX0_FIFO_OV_MSK_MASK          0x00000001

#define SLIMWRAP_FIFO_TH_INTR_STAT_OFFSET                                 0x000000B0
#define SLIMWRAP_FIFO_TH_INTR_STAT_TYPE                                   UInt32
#define SLIMWRAP_FIFO_TH_INTR_STAT_RESERVED_MASK                          0xFFFFFFC0
#define    SLIMWRAP_FIFO_TH_INTR_STAT_STRO1_FIFO_TH_INTR_SHIFT            5
#define    SLIMWRAP_FIFO_TH_INTR_STAT_STRO1_FIFO_TH_INTR_MASK             0x00000020
#define    SLIMWRAP_FIFO_TH_INTR_STAT_STRO0_FIFO_TH_INTR_SHIFT            4
#define    SLIMWRAP_FIFO_TH_INTR_STAT_STRO0_FIFO_TH_INTR_MASK             0x00000010
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONORX1_FIFO_TH_INTR_SHIFT          3
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONORX1_FIFO_TH_INTR_MASK           0x00000008
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONORX0_FIFO_TH_INTR_SHIFT          2
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONORX0_FIFO_TH_INTR_MASK           0x00000004
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONOTX1_FIFO_TH_INTR_SHIFT          1
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONOTX1_FIFO_TH_INTR_MASK           0x00000002
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONOTX0_FIFO_TH_INTR_SHIFT          0
#define    SLIMWRAP_FIFO_TH_INTR_STAT_MONOTX0_FIFO_TH_INTR_MASK           0x00000001

#define SLIMWRAP_FIFO_TH_INTR_MASK_OFFSET                                 0x000000B4
#define SLIMWRAP_FIFO_TH_INTR_MASK_TYPE                                   UInt32
#define SLIMWRAP_FIFO_TH_INTR_MASK_RESERVED_MASK                          0xFFFFFFC0
#define    SLIMWRAP_FIFO_TH_INTR_MASK_STRO1_FIFO_TH_MSK_SHIFT             5
#define    SLIMWRAP_FIFO_TH_INTR_MASK_STRO1_FIFO_TH_MSK_MASK              0x00000020
#define    SLIMWRAP_FIFO_TH_INTR_MASK_STRO0_FIFO_TH_MSK_SHIFT             4
#define    SLIMWRAP_FIFO_TH_INTR_MASK_STRO0_FIFO_TH_MSK_MASK              0x00000010
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONORX1_FIFO_TH_MSK_SHIFT           3
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONORX1_FIFO_TH_MSK_MASK            0x00000008
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONORX0_FIFO_TH_MSK_SHIFT           2
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONORX0_FIFO_TH_MSK_MASK            0x00000004
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONOTX1_FIFO_TH_MSK_SHIFT           1
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONOTX1_FIFO_TH_MSK_MASK            0x00000002
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONOTX0_FIFO_TH_MSK_SHIFT           0
#define    SLIMWRAP_FIFO_TH_INTR_MASK_MONOTX0_FIFO_TH_MSK_MASK            0x00000001

#define SLIMWRAP_FIFO_AP_INTR_STAT_OFFSET                                 0x000000C0
#define SLIMWRAP_FIFO_AP_INTR_STAT_TYPE                                   UInt32
#define SLIMWRAP_FIFO_AP_INTR_STAT_RESERVED_MASK                          0xFFFFFFC0
#define    SLIMWRAP_FIFO_AP_INTR_STAT_STRO1_FIFO_AP_INTR_SHIFT            5
#define    SLIMWRAP_FIFO_AP_INTR_STAT_STRO1_FIFO_AP_INTR_MASK             0x00000020
#define    SLIMWRAP_FIFO_AP_INTR_STAT_STRO0_FIFO_AP_INTR_SHIFT            4
#define    SLIMWRAP_FIFO_AP_INTR_STAT_STRO0_FIFO_AP_INTR_MASK             0x00000010
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONORX1_FIFO_AP_INTR_SHIFT          3
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONORX1_FIFO_AP_INTR_MASK           0x00000008
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONORX0_FIFO_AP_INTR_SHIFT          2
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONORX0_FIFO_AP_INTR_MASK           0x00000004
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONOTX1_FIFO_AP_INTR_SHIFT          1
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONOTX1_FIFO_AP_INTR_MASK           0x00000002
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONOTX0_FIFO_AP_INTR_SHIFT          0
#define    SLIMWRAP_FIFO_AP_INTR_STAT_MONOTX0_FIFO_AP_INTR_MASK           0x00000001

#define SLIMWRAP_FIFO_AP_INTR_MASK_OFFSET                                 0x000000C4
#define SLIMWRAP_FIFO_AP_INTR_MASK_TYPE                                   UInt32
#define SLIMWRAP_FIFO_AP_INTR_MASK_RESERVED_MASK                          0xFFFFFFC0
#define    SLIMWRAP_FIFO_AP_INTR_MASK_STRO1_FIFO_AP_MSK_SHIFT             5
#define    SLIMWRAP_FIFO_AP_INTR_MASK_STRO1_FIFO_AP_MSK_MASK              0x00000020
#define    SLIMWRAP_FIFO_AP_INTR_MASK_STRO0_FIFO_AP_MSK_SHIFT             4
#define    SLIMWRAP_FIFO_AP_INTR_MASK_STRO0_FIFO_AP_MSK_MASK              0x00000010
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONORX1_FIFO_AP_MSK_SHIFT           3
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONORX1_FIFO_AP_MSK_MASK            0x00000008
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONORX0_FIFO_AP_MSK_SHIFT           2
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONORX0_FIFO_AP_MSK_MASK            0x00000004
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONOTX1_FIFO_AP_MSK_SHIFT           1
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONOTX1_FIFO_AP_MSK_MASK            0x00000002
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONOTX0_FIFO_AP_MSK_SHIFT           0
#define    SLIMWRAP_FIFO_AP_INTR_MASK_MONOTX0_FIFO_AP_MSK_MASK            0x00000001

#define SLIMWRAP_SMC_DATA_VALID_INTR_OFFSET                               0x000000D0
#define SLIMWRAP_SMC_DATA_VALID_INTR_TYPE                                 UInt32
#define SLIMWRAP_SMC_DATA_VALID_INTR_RESERVED_MASK                        0xFFFFFFF8
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_CLR_SHIFT          2
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_CLR_MASK           0x00000004
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_MSK_SHIFT          1
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_MSK_MASK           0x00000002
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_INTR_SHIFT         0
#define    SLIMWRAP_SMC_DATA_VALID_INTR_SMC_DATA_VALID_INTR_MASK          0x00000001

#define SLIMWRAP_MONOTX0_FIFO_DATA_OFFSET                                 0x00000100
#define SLIMWRAP_MONOTX0_FIFO_DATA_TYPE                                   UInt32
#define SLIMWRAP_MONOTX0_FIFO_DATA_RESERVED_MASK                          0x00000000
#define    SLIMWRAP_MONOTX0_FIFO_DATA_MONOTX0_FIFO_DATA_SHIFT             0
#define    SLIMWRAP_MONOTX0_FIFO_DATA_MONOTX0_FIFO_DATA_MASK              0xFFFFFFFF

#define SLIMWRAP_MONOTX1_FIFO_DATA_OFFSET                                 0x00000104
#define SLIMWRAP_MONOTX1_FIFO_DATA_TYPE                                   UInt32
#define SLIMWRAP_MONOTX1_FIFO_DATA_RESERVED_MASK                          0x00000000
#define    SLIMWRAP_MONOTX1_FIFO_DATA_MONOTX1_FIFO_DATA_SHIFT             0
#define    SLIMWRAP_MONOTX1_FIFO_DATA_MONOTX1_FIFO_DATA_MASK              0xFFFFFFFF

#define SLIMWRAP_MONORX0_FIFO_DATA_OFFSET                                 0x00000108
#define SLIMWRAP_MONORX0_FIFO_DATA_TYPE                                   UInt32
#define SLIMWRAP_MONORX0_FIFO_DATA_RESERVED_MASK                          0x00000000
#define    SLIMWRAP_MONORX0_FIFO_DATA_MONORX0_FIFO_DATA_SHIFT             0
#define    SLIMWRAP_MONORX0_FIFO_DATA_MONORX0_FIFO_DATA_MASK              0xFFFFFFFF

#define SLIMWRAP_MONORX1_FIFO_DATA_OFFSET                                 0x0000010C
#define SLIMWRAP_MONORX1_FIFO_DATA_TYPE                                   UInt32
#define SLIMWRAP_MONORX1_FIFO_DATA_RESERVED_MASK                          0x00000000
#define    SLIMWRAP_MONORX1_FIFO_DATA_MONORX1_FIFO_DATA_SHIFT             0
#define    SLIMWRAP_MONORX1_FIFO_DATA_MONORX1_FIFO_DATA_MASK              0xFFFFFFFF

#define SLIMWRAP_STRO0_FIFO_DATA_OFFSET                                   0x00000110
#define SLIMWRAP_STRO0_FIFO_DATA_TYPE                                     UInt32
#define SLIMWRAP_STRO0_FIFO_DATA_RESERVED_MASK                            0x00000000
#define    SLIMWRAP_STRO0_FIFO_DATA_STRO0_FIFO_DATA_SHIFT                 0
#define    SLIMWRAP_STRO0_FIFO_DATA_STRO0_FIFO_DATA_MASK                  0xFFFFFFFF

#define SLIMWRAP_STRO1_FIFO_DATA_OFFSET                                   0x00000114
#define SLIMWRAP_STRO1_FIFO_DATA_TYPE                                     UInt32
#define SLIMWRAP_STRO1_FIFO_DATA_RESERVED_MASK                            0x00000000
#define    SLIMWRAP_STRO1_FIFO_DATA_STRO1_FIFO_DATA_SHIFT                 0
#define    SLIMWRAP_STRO1_FIFO_DATA_STRO1_FIFO_DATA_MASK                  0xFFFFFFFF

#define SLIMWRAP_DEBUG_SELECT_OFFSET                                      0x00000118
#define SLIMWRAP_DEBUG_SELECT_TYPE                                        UInt32
#define SLIMWRAP_DEBUG_SELECT_RESERVED_MASK                               0xFFFFFF00
#define    SLIMWRAP_DEBUG_SELECT_DBG_SEL_SHIFT                            0
#define    SLIMWRAP_DEBUG_SELECT_DBG_SEL_MASK                             0x000000FF

#endif /* __BRCM_RDB_SLIMWRAP_H__ */


