/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_WCDMA_UART_H__
#define __BRCM_RDB_WCDMA_UART_H__

#define WCDMA_UART_MEM_WCDMAUART0_OFFSET                                  0x00000000
#define WCDMA_UART_MEM_WCDMAUART0_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART0_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART0_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART0_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART1_OFFSET                                  0x00000004
#define WCDMA_UART_MEM_WCDMAUART1_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART1_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART1_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART1_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART2_OFFSET                                  0x00000008
#define WCDMA_UART_MEM_WCDMAUART2_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART2_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART2_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART2_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART3_OFFSET                                  0x0000000C
#define WCDMA_UART_MEM_WCDMAUART3_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART3_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART3_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART3_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART4_OFFSET                                  0x00000010
#define WCDMA_UART_MEM_WCDMAUART4_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART4_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART4_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART4_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART5_OFFSET                                  0x00000014
#define WCDMA_UART_MEM_WCDMAUART5_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART5_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART5_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART5_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART6_OFFSET                                  0x00000018
#define WCDMA_UART_MEM_WCDMAUART6_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART6_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART6_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART6_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART7_OFFSET                                  0x0000001C
#define WCDMA_UART_MEM_WCDMAUART7_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART7_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART7_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART7_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART8_OFFSET                                  0x00000020
#define WCDMA_UART_MEM_WCDMAUART8_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART8_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART8_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART8_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART9_OFFSET                                  0x00000024
#define WCDMA_UART_MEM_WCDMAUART9_TYPE                                    UInt32
#define WCDMA_UART_MEM_WCDMAUART9_RESERVED_MASK                           0x00000000
#define    WCDMA_UART_MEM_WCDMAUART9_MEMWORD_SHIFT                        0
#define    WCDMA_UART_MEM_WCDMAUART9_MEMWORD_MASK                         0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART10_OFFSET                                 0x00000028
#define WCDMA_UART_MEM_WCDMAUART10_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART10_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART10_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART10_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART11_OFFSET                                 0x0000002C
#define WCDMA_UART_MEM_WCDMAUART11_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART11_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART11_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART11_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART12_OFFSET                                 0x00000030
#define WCDMA_UART_MEM_WCDMAUART12_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART12_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART12_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART12_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART13_OFFSET                                 0x00000034
#define WCDMA_UART_MEM_WCDMAUART13_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART13_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART13_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART13_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART14_OFFSET                                 0x00000038
#define WCDMA_UART_MEM_WCDMAUART14_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART14_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART14_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART14_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART15_OFFSET                                 0x0000003C
#define WCDMA_UART_MEM_WCDMAUART15_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART15_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART15_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART15_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART16_OFFSET                                 0x00000040
#define WCDMA_UART_MEM_WCDMAUART16_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART16_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART16_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART16_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART17_OFFSET                                 0x00000044
#define WCDMA_UART_MEM_WCDMAUART17_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART17_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART17_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART17_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART18_OFFSET                                 0x00000048
#define WCDMA_UART_MEM_WCDMAUART18_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART18_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART18_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART18_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART19_OFFSET                                 0x0000004C
#define WCDMA_UART_MEM_WCDMAUART19_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART19_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART19_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART19_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART20_OFFSET                                 0x00000050
#define WCDMA_UART_MEM_WCDMAUART20_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART20_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART20_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART20_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART21_OFFSET                                 0x00000054
#define WCDMA_UART_MEM_WCDMAUART21_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART21_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART21_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART21_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART22_OFFSET                                 0x00000058
#define WCDMA_UART_MEM_WCDMAUART22_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART22_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART22_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART22_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART23_OFFSET                                 0x0000005C
#define WCDMA_UART_MEM_WCDMAUART23_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART23_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART23_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART23_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART24_OFFSET                                 0x00000060
#define WCDMA_UART_MEM_WCDMAUART24_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART24_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART24_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART24_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART25_OFFSET                                 0x00000064
#define WCDMA_UART_MEM_WCDMAUART25_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART25_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART25_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART25_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART26_OFFSET                                 0x00000068
#define WCDMA_UART_MEM_WCDMAUART26_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART26_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART26_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART26_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART27_OFFSET                                 0x0000006C
#define WCDMA_UART_MEM_WCDMAUART27_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART27_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART27_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART27_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART28_OFFSET                                 0x00000070
#define WCDMA_UART_MEM_WCDMAUART28_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART28_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART28_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART28_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART29_OFFSET                                 0x00000074
#define WCDMA_UART_MEM_WCDMAUART29_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART29_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART29_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART29_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART30_OFFSET                                 0x00000078
#define WCDMA_UART_MEM_WCDMAUART30_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART30_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART30_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART30_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART31_OFFSET                                 0x0000007C
#define WCDMA_UART_MEM_WCDMAUART31_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART31_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART31_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART31_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART32_OFFSET                                 0x00000080
#define WCDMA_UART_MEM_WCDMAUART32_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART32_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART32_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART32_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART33_OFFSET                                 0x00000084
#define WCDMA_UART_MEM_WCDMAUART33_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART33_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART33_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART33_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART34_OFFSET                                 0x00000088
#define WCDMA_UART_MEM_WCDMAUART34_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART34_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART34_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART34_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART35_OFFSET                                 0x0000008C
#define WCDMA_UART_MEM_WCDMAUART35_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART35_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART35_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART35_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART36_OFFSET                                 0x00000090
#define WCDMA_UART_MEM_WCDMAUART36_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART36_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART36_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART36_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART37_OFFSET                                 0x00000094
#define WCDMA_UART_MEM_WCDMAUART37_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART37_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART37_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART37_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART38_OFFSET                                 0x00000098
#define WCDMA_UART_MEM_WCDMAUART38_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART38_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART38_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART38_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART39_OFFSET                                 0x0000009C
#define WCDMA_UART_MEM_WCDMAUART39_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART39_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART39_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART39_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART40_OFFSET                                 0x000000A0
#define WCDMA_UART_MEM_WCDMAUART40_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART40_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART40_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART40_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART41_OFFSET                                 0x000000A4
#define WCDMA_UART_MEM_WCDMAUART41_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART41_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART41_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART41_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART42_OFFSET                                 0x000000A8
#define WCDMA_UART_MEM_WCDMAUART42_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART42_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART42_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART42_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART43_OFFSET                                 0x000000AC
#define WCDMA_UART_MEM_WCDMAUART43_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART43_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART43_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART43_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART44_OFFSET                                 0x000000B0
#define WCDMA_UART_MEM_WCDMAUART44_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART44_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART44_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART44_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART45_OFFSET                                 0x000000B4
#define WCDMA_UART_MEM_WCDMAUART45_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART45_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART45_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART45_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART46_OFFSET                                 0x000000B8
#define WCDMA_UART_MEM_WCDMAUART46_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART46_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART46_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART46_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART47_OFFSET                                 0x000000BC
#define WCDMA_UART_MEM_WCDMAUART47_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART47_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART47_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART47_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART48_OFFSET                                 0x000000C0
#define WCDMA_UART_MEM_WCDMAUART48_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART48_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART48_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART48_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART49_OFFSET                                 0x000000C4
#define WCDMA_UART_MEM_WCDMAUART49_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART49_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART49_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART49_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART50_OFFSET                                 0x000000C8
#define WCDMA_UART_MEM_WCDMAUART50_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART50_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART50_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART50_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART51_OFFSET                                 0x000000CC
#define WCDMA_UART_MEM_WCDMAUART51_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART51_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART51_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART51_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART52_OFFSET                                 0x000000D0
#define WCDMA_UART_MEM_WCDMAUART52_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART52_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART52_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART52_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART53_OFFSET                                 0x000000D4
#define WCDMA_UART_MEM_WCDMAUART53_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART53_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART53_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART53_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART54_OFFSET                                 0x000000D8
#define WCDMA_UART_MEM_WCDMAUART54_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART54_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART54_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART54_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART55_OFFSET                                 0x000000DC
#define WCDMA_UART_MEM_WCDMAUART55_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART55_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART55_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART55_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART56_OFFSET                                 0x000000E0
#define WCDMA_UART_MEM_WCDMAUART56_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART56_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART56_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART56_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART57_OFFSET                                 0x000000E4
#define WCDMA_UART_MEM_WCDMAUART57_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART57_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART57_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART57_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART58_OFFSET                                 0x000000E8
#define WCDMA_UART_MEM_WCDMAUART58_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART58_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART58_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART58_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART59_OFFSET                                 0x000000EC
#define WCDMA_UART_MEM_WCDMAUART59_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART59_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART59_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART59_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART60_OFFSET                                 0x000000F0
#define WCDMA_UART_MEM_WCDMAUART60_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART60_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART60_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART60_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART61_OFFSET                                 0x000000F4
#define WCDMA_UART_MEM_WCDMAUART61_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART61_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART61_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART61_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART62_OFFSET                                 0x000000F8
#define WCDMA_UART_MEM_WCDMAUART62_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART62_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART62_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART62_MEMWORD_MASK                        0xFFFFFFFF

#define WCDMA_UART_MEM_WCDMAUART63_OFFSET                                 0x000000FC
#define WCDMA_UART_MEM_WCDMAUART63_TYPE                                   UInt32
#define WCDMA_UART_MEM_WCDMAUART63_RESERVED_MASK                          0x00000000
#define    WCDMA_UART_MEM_WCDMAUART63_MEMWORD_SHIFT                       0
#define    WCDMA_UART_MEM_WCDMAUART63_MEMWORD_MASK                        0xFFFFFFFF

#endif /* __BRCM_RDB_WCDMA_UART_H__ */


