/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_AHINTC_H__
#define __BRCM_RDB_AHINTC_H__

#define AHINTC_DSP_AHINTC_CONTROL_OFFSET                                  0x00000000
#define AHINTC_DSP_AHINTC_CONTROL_TYPE                                    UInt32
#define AHINTC_DSP_AHINTC_CONTROL_RESERVED_MASK                           0x7FFFFFFF
#define    AHINTC_DSP_AHINTC_CONTROL_AHINTC_SOFT_RESET_SHIFT              31
#define    AHINTC_DSP_AHINTC_CONTROL_AHINTC_SOFT_RESET_MASK               0x80000000

#define AHINTC_DSP_LEVELDETECT_0_OFFSET                                   0x00000020
#define AHINTC_DSP_LEVELDETECT_0_TYPE                                     UInt32
#define AHINTC_DSP_LEVELDETECT_0_RESERVED_MASK                            0x00000000
#define    AHINTC_DSP_LEVELDETECT_0_LEVEL_CFIFO_CH16_1_SHIFT              16
#define    AHINTC_DSP_LEVELDETECT_0_LEVEL_CFIFO_CH16_1_MASK               0xFFFF0000
#define    AHINTC_DSP_LEVELDETECT_0_LEVEL_AADMAC_CH16_1_SHIFT             0
#define    AHINTC_DSP_LEVELDETECT_0_LEVEL_AADMAC_CH16_1_MASK              0x0000FFFF

#define AHINTC_DSP_LEVELDETECT_1_OFFSET                                   0x00000022
#define AHINTC_DSP_LEVELDETECT_1_TYPE                                     UInt32
#define AHINTC_DSP_LEVELDETECT_1_RESERVED_MASK                            0x10480000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_MIXER1_OUTFIFO_SHIFT            31
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_MIXER1_OUTFIFO_MASK             0x80000000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_MIXER2_OUTFIFO1_2_SHIFT         29
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_MIXER2_OUTFIFO1_2_MASK          0x60000000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_PASSTHROUGH_CH1_2_SHIFT         26
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_PASSTHROUGH_CH1_2_MASK          0x0C000000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAPSUP_CH5_SHIFT                25
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAPSUP_CH5_MASK                 0x02000000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_CH5_OUT_SHIFT                   24
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_CH5_OUT_MASK                    0x01000000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SIDETONE_SHIFT                  23
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SIDETONE_MASK                   0x00800000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SSPI_4_SHIFT                    21
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SSPI_4_MASK                     0x00200000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SSPI_3_SHIFT                    20
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SSPI_3_MASK                     0x00100000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SLIMBUS_SHIFT                   18
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_SLIMBUS_MASK                    0x00040000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_ASW_SHIFT                       17
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_ASW_MASK                        0x00020000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_ADC_VOICE_LR_SHIFT        15
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_ADC_VOICE_LR_MASK         0x00018000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_ADC_NOISE_LR_SHIFT        13
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_ADC_NOISE_LR_MASK         0x00006000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_EAN_SHIFT                 12
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_EAN_MASK                  0x00001000
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_VB_SHIFT                  11
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_VB_MASK                   0x00000800
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_IHF_SHIFT                 10
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_IHF_MASK                  0x00000400
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_HS_SHIFT                  9
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_HS_MASK                   0x00000200
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_EP_SHIFT                  8
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_AUDIO_EP_MASK                   0x00000100
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAP_OUTCH4_1_SHIFT              4
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAP_OUTCH4_1_MASK               0x000000F0
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAP_INCH4_1_SHIFT               0
#define    AHINTC_DSP_LEVELDETECT_1_LEVEL_TAP_INCH4_1_MASK                0x0000000F

#define AHINTC_DSP_STATUS_ARM_STD_0_OFFSET                                0x00000040
#define AHINTC_DSP_STATUS_ARM_STD_0_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_ARM_STD_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_STATUS_ARM_STD_0_STATUS_A_S_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_STATUS_ARM_STD_0_STATUS_A_S_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_STATUS_ARM_STD_0_STATUS_A_S_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_STATUS_ARM_STD_0_STATUS_A_S_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_STATUS_ARM_STD_1_OFFSET                                0x00000042
#define AHINTC_DSP_STATUS_ARM_STD_1_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_ARM_STD_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SIDETONE_SHIFT          23
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SSPI_4_SHIFT            21
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SSPI_3_SHIFT            20
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_ASW_SHIFT               17
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_ASW_MASK                0x00020000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_STATUS_ARM_STD_1_STATUS_A_S_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_STATUS_ARM_ERR_0_OFFSET                                0x00000050
#define AHINTC_DSP_STATUS_ARM_ERR_0_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_ARM_ERR_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_STATUS_ARM_ERR_0_STATUS_A_E_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_STATUS_ARM_ERR_0_STATUS_A_E_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_STATUS_ARM_ERR_0_STATUS_A_E_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_STATUS_ARM_ERR_0_STATUS_A_E_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_STATUS_ARM_ERR_1_OFFSET                                0x00000052
#define AHINTC_DSP_STATUS_ARM_ERR_1_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_ARM_ERR_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SIDETONE_SHIFT          23
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_4_SHIFT            21
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_3_SHIFT            20
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_ASW_SHIFT               17
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_ASW_MASK                0x00020000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_STATUS_ARM_ERR_1_STATUS_A_E_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_STATUS_DSP_STD_0_OFFSET                                0x00000060
#define AHINTC_DSP_STATUS_DSP_STD_0_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_DSP_STD_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_STATUS_DSP_STD_0_STATUS_D_S_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_STATUS_DSP_STD_0_STATUS_D_S_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_STATUS_DSP_STD_0_STATUS_D_S_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_STATUS_DSP_STD_0_STATUS_D_S_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_STATUS_DSP_STD_1_OFFSET                                0x00000062
#define AHINTC_DSP_STATUS_DSP_STD_1_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_DSP_STD_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SIDETONE_SHIFT          23
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SSPI_4_SHIFT            21
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SSPI_3_SHIFT            20
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_ASW_SHIFT               17
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_ASW_MASK                0x00020000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_STATUS_DSP_STD_1_STATUS_D_S_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_STATUS_DSP_ERR_0_OFFSET                                0x00000070
#define AHINTC_DSP_STATUS_DSP_ERR_0_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_DSP_ERR_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_STATUS_DSP_ERR_0_STATUS_D_E_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_STATUS_DSP_ERR_0_STATUS_D_E_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_STATUS_DSP_ERR_0_STATUS_D_E_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_STATUS_DSP_ERR_0_STATUS_D_E_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_STATUS_DSP_ERR_1_OFFSET                                0x00000072
#define AHINTC_DSP_STATUS_DSP_ERR_1_TYPE                                  UInt32
#define AHINTC_DSP_STATUS_DSP_ERR_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SIDETONE_SHIFT          23
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_4_SHIFT            21
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_3_SHIFT            20
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_ASW_SHIFT               17
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_ASW_MASK                0x00020000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_STATUS_DSP_ERR_1_STATUS_D_E_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_CLEAR_ARM_STD_0_OFFSET                                 0x00000080
#define AHINTC_DSP_CLEAR_ARM_STD_0_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_ARM_STD_0_RESERVED_MASK                          0x00000000
#define    AHINTC_DSP_CLEAR_ARM_STD_0_CLEAR_A_S_CFIFO_CH16_1_SHIFT        16
#define    AHINTC_DSP_CLEAR_ARM_STD_0_CLEAR_A_S_CFIFO_CH16_1_MASK         0xFFFF0000
#define    AHINTC_DSP_CLEAR_ARM_STD_0_CLEAR_A_S_AADMAC_CH16_1_SHIFT       0
#define    AHINTC_DSP_CLEAR_ARM_STD_0_CLEAR_A_S_AADMAC_CH16_1_MASK        0x0000FFFF

#define AHINTC_DSP_CLEAR_ARM_STD_1_OFFSET                                 0x00000082
#define AHINTC_DSP_CLEAR_ARM_STD_1_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_ARM_STD_1_RESERVED_MASK                          0x10480000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER1_OUTFIFO_SHIFT      31
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER1_OUTFIFO_MASK       0x80000000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER2_OUTFIFO1_2_SHIFT   29
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER2_OUTFIFO1_2_MASK    0x60000000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_PASSTHROUGH_CH1_2_SHIFT   26
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_PASSTHROUGH_CH1_2_MASK    0x0C000000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAPSUP_CH5_SHIFT          25
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAPSUP_CH5_MASK           0x02000000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_CH5_OUT_SHIFT             24
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_CH5_OUT_MASK              0x01000000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SIDETONE_SHIFT            23
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SIDETONE_MASK             0x00800000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_4_SHIFT              21
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_4_MASK               0x00200000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_3_SHIFT              20
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_3_MASK               0x00100000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SLIMBUS_SHIFT             18
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_SLIMBUS_MASK              0x00040000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_ASW_SHIFT                 17
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_ASW_MASK                  0x00020000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_VOICE_LR_SHIFT  15
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_VOICE_LR_MASK   0x00018000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_NOISE_LR_SHIFT  13
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_NOISE_LR_MASK   0x00006000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EAN_SHIFT           12
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EAN_MASK            0x00001000
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_VB_SHIFT            11
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_VB_MASK             0x00000800
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_IHF_SHIFT           10
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_IHF_MASK            0x00000400
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_HS_SHIFT            9
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_HS_MASK             0x00000200
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EP_SHIFT            8
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EP_MASK             0x00000100
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_OUTCH4_1_SHIFT        4
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_OUTCH4_1_MASK         0x000000F0
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_INCH4_1_SHIFT         0
#define    AHINTC_DSP_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_INCH4_1_MASK          0x0000000F

#define AHINTC_DSP_CLEAR_ARM_ERR_0_OFFSET                                 0x00000090
#define AHINTC_DSP_CLEAR_ARM_ERR_0_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_ARM_ERR_0_RESERVED_MASK                          0x00000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_0_CLEAR_A_E_CFIFO_CH16_1_SHIFT        16
#define    AHINTC_DSP_CLEAR_ARM_ERR_0_CLEAR_A_E_CFIFO_CH16_1_MASK         0xFFFF0000
#define    AHINTC_DSP_CLEAR_ARM_ERR_0_CLEAR_A_E_AADMAC_CH16_1_SHIFT       0
#define    AHINTC_DSP_CLEAR_ARM_ERR_0_CLEAR_A_E_AADMAC_CH16_1_MASK        0x0000FFFF

#define AHINTC_DSP_CLEAR_ARM_ERR_1_OFFSET                                 0x00000092
#define AHINTC_DSP_CLEAR_ARM_ERR_1_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_ARM_ERR_1_RESERVED_MASK                          0x10480000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER1_OUTFIFO_SHIFT      31
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER1_OUTFIFO_MASK       0x80000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER2_OUTFIFO1_2_SHIFT   29
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER2_OUTFIFO1_2_MASK    0x60000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_PASSTHROUGH_CH1_2_SHIFT   26
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_PASSTHROUGH_CH1_2_MASK    0x0C000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAPSUP_CH5_SHIFT          25
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAPSUP_CH5_MASK           0x02000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_CH5_OUT_SHIFT             24
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_CH5_OUT_MASK              0x01000000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SIDETONE_SHIFT            23
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SIDETONE_MASK             0x00800000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_4_SHIFT              21
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_4_MASK               0x00200000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_3_SHIFT              20
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_3_MASK               0x00100000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SLIMBUS_SHIFT             18
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_SLIMBUS_MASK              0x00040000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_ASW_SHIFT                 17
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_ASW_MASK                  0x00020000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_VOICE_LR_SHIFT  15
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_VOICE_LR_MASK   0x00018000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_NOISE_LR_SHIFT  13
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_NOISE_LR_MASK   0x00006000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EAN_SHIFT           12
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EAN_MASK            0x00001000
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_VB_SHIFT            11
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_VB_MASK             0x00000800
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_IHF_SHIFT           10
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_IHF_MASK            0x00000400
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_HS_SHIFT            9
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_HS_MASK             0x00000200
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EP_SHIFT            8
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EP_MASK             0x00000100
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_OUTCH4_1_SHIFT        4
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_OUTCH4_1_MASK         0x000000F0
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_INCH4_1_SHIFT         0
#define    AHINTC_DSP_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_INCH4_1_MASK          0x0000000F

#define AHINTC_DSP_CLEAR_DSP_STD_0_OFFSET                                 0x000000A0
#define AHINTC_DSP_CLEAR_DSP_STD_0_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_DSP_STD_0_RESERVED_MASK                          0x00000000
#define    AHINTC_DSP_CLEAR_DSP_STD_0_CLEAR_D_S_CFIFO_CH16_1_SHIFT        16
#define    AHINTC_DSP_CLEAR_DSP_STD_0_CLEAR_D_S_CFIFO_CH16_1_MASK         0xFFFF0000
#define    AHINTC_DSP_CLEAR_DSP_STD_0_CLEAR_D_S_AADMAC_CH16_1_SHIFT       0
#define    AHINTC_DSP_CLEAR_DSP_STD_0_CLEAR_D_S_AADMAC_CH16_1_MASK        0x0000FFFF

#define AHINTC_DSP_CLEAR_DSP_STD_1_OFFSET                                 0x000000A2
#define AHINTC_DSP_CLEAR_DSP_STD_1_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_DSP_STD_1_RESERVED_MASK                          0x10480000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER1_OUTFIFO_SHIFT      31
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER1_OUTFIFO_MASK       0x80000000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER2_OUTFIFO1_2_SHIFT   29
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER2_OUTFIFO1_2_MASK    0x60000000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_PASSTHROUGH_CH1_2_SHIFT   26
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_PASSTHROUGH_CH1_2_MASK    0x0C000000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAPSUP_CH5_SHIFT          25
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAPSUP_CH5_MASK           0x02000000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_CH5_OUT_SHIFT             24
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_CH5_OUT_MASK              0x01000000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SIDETONE_SHIFT            23
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SIDETONE_MASK             0x00800000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_4_SHIFT              21
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_4_MASK               0x00200000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_3_SHIFT              20
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_3_MASK               0x00100000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SLIMBUS_SHIFT             18
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_SLIMBUS_MASK              0x00040000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_ASW_SHIFT                 17
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_ASW_MASK                  0x00020000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_VOICE_LR_SHIFT  15
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_VOICE_LR_MASK   0x00018000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_NOISE_LR_SHIFT  13
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_NOISE_LR_MASK   0x00006000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EAN_SHIFT           12
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EAN_MASK            0x00001000
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_VB_SHIFT            11
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_VB_MASK             0x00000800
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_IHF_SHIFT           10
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_IHF_MASK            0x00000400
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_HS_SHIFT            9
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_HS_MASK             0x00000200
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EP_SHIFT            8
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EP_MASK             0x00000100
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_OUTCH4_1_SHIFT        4
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_OUTCH4_1_MASK         0x000000F0
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_INCH4_1_SHIFT         0
#define    AHINTC_DSP_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_INCH4_1_MASK          0x0000000F

#define AHINTC_DSP_CLEAR_DSP_ERR_0_OFFSET                                 0x000000B0
#define AHINTC_DSP_CLEAR_DSP_ERR_0_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_DSP_ERR_0_RESERVED_MASK                          0x00000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_0_CLEAR_D_E_CFIFO_CH16_1_SHIFT        16
#define    AHINTC_DSP_CLEAR_DSP_ERR_0_CLEAR_D_E_CFIFO_CH16_1_MASK         0xFFFF0000
#define    AHINTC_DSP_CLEAR_DSP_ERR_0_CLEAR_D_E_AADMAC_CH16_1_SHIFT       0
#define    AHINTC_DSP_CLEAR_DSP_ERR_0_CLEAR_D_E_AADMAC_CH16_1_MASK        0x0000FFFF

#define AHINTC_DSP_CLEAR_DSP_ERR_1_OFFSET                                 0x000000B2
#define AHINTC_DSP_CLEAR_DSP_ERR_1_TYPE                                   UInt32
#define AHINTC_DSP_CLEAR_DSP_ERR_1_RESERVED_MASK                          0x10480000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER1_OUTFIFO_SHIFT      31
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER1_OUTFIFO_MASK       0x80000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER2_OUTFIFO1_2_SHIFT   29
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER2_OUTFIFO1_2_MASK    0x60000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_PASSTHROUGH_CH1_2_SHIFT   26
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_PASSTHROUGH_CH1_2_MASK    0x0C000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAPSUP_CH5_SHIFT          25
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAPSUP_CH5_MASK           0x02000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_CH5_OUT_SHIFT             24
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_CH5_OUT_MASK              0x01000000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SIDETONE_SHIFT            23
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SIDETONE_MASK             0x00800000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_4_SHIFT              21
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_4_MASK               0x00200000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_3_SHIFT              20
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_3_MASK               0x00100000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SLIMBUS_SHIFT             18
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_SLIMBUS_MASK              0x00040000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_ASW_SHIFT                 17
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_ASW_MASK                  0x00020000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_VOICE_LR_SHIFT  15
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_VOICE_LR_MASK   0x00018000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_NOISE_LR_SHIFT  13
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_NOISE_LR_MASK   0x00006000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EAN_SHIFT           12
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EAN_MASK            0x00001000
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_VB_SHIFT            11
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_VB_MASK             0x00000800
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_IHF_SHIFT           10
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_IHF_MASK            0x00000400
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_HS_SHIFT            9
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_HS_MASK             0x00000200
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EP_SHIFT            8
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EP_MASK             0x00000100
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_OUTCH4_1_SHIFT        4
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_OUTCH4_1_MASK         0x000000F0
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_INCH4_1_SHIFT         0
#define    AHINTC_DSP_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_INCH4_1_MASK          0x0000000F

#define AHINTC_DSP_ENABLE_ARM_STD_0_OFFSET                                0x000000C0
#define AHINTC_DSP_ENABLE_ARM_STD_0_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_ARM_STD_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_ENABLE_ARM_STD_0_ENABLE_A_S_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_ENABLE_ARM_STD_0_ENABLE_A_S_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_ENABLE_ARM_STD_0_ENABLE_A_S_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_ENABLE_ARM_STD_0_ENABLE_A_S_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_ENABLE_ARM_STD_1_OFFSET                                0x000000C2
#define AHINTC_DSP_ENABLE_ARM_STD_1_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_ARM_STD_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SIDETONE_SHIFT          23
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_4_SHIFT            21
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_3_SHIFT            20
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_ASW_SHIFT               17
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_ASW_MASK                0x00020000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_ENABLE_ARM_ERR_0_OFFSET                                0x000000D0
#define AHINTC_DSP_ENABLE_ARM_ERR_0_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_ARM_ERR_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_0_ENABLE_A_E_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_ENABLE_ARM_ERR_0_ENABLE_A_E_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_ENABLE_ARM_ERR_0_ENABLE_A_E_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_ENABLE_ARM_ERR_0_ENABLE_A_E_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_ENABLE_ARM_ERR_1_OFFSET                                0x000000D2
#define AHINTC_DSP_ENABLE_ARM_ERR_1_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_ARM_ERR_1_RESERVED_MASK                         0x104C0100
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SIDETONE_SHIFT          23
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_4_SHIFT            21
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_3_SHIFT            20
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_ASW_SHIFT               17
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_ASW_MASK                0x00020000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_ENABLE_DSP_STD_0_OFFSET                                0x000000E0
#define AHINTC_DSP_ENABLE_DSP_STD_0_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_DSP_STD_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_ENABLE_DSP_STD_0_ENABLE_D_S_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_ENABLE_DSP_STD_0_ENABLE_D_S_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_ENABLE_DSP_STD_0_ENABLE_D_S_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_ENABLE_DSP_STD_0_ENABLE_D_S_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_ENABLE_DSP_STD_1_OFFSET                                0x000000E2
#define AHINTC_DSP_ENABLE_DSP_STD_1_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_DSP_STD_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SIDETONE_SHIFT          23
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_4_SHIFT            21
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_3_SHIFT            20
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_ASW_SHIFT               17
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_ASW_MASK                0x00020000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_DSP_ENABLE_DSP_ERR_0_OFFSET                                0x000000F0
#define AHINTC_DSP_ENABLE_DSP_ERR_0_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_DSP_ERR_0_RESERVED_MASK                         0x00000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_0_ENABLE_D_E_CFIFO_CH16_1_SHIFT      16
#define    AHINTC_DSP_ENABLE_DSP_ERR_0_ENABLE_D_E_CFIFO_CH16_1_MASK       0xFFFF0000
#define    AHINTC_DSP_ENABLE_DSP_ERR_0_ENABLE_D_E_AADMAC_CH16_1_SHIFT     0
#define    AHINTC_DSP_ENABLE_DSP_ERR_0_ENABLE_D_E_AADMAC_CH16_1_MASK      0x0000FFFF

#define AHINTC_DSP_ENABLE_DSP_ERR_1_OFFSET                                0x000000F2
#define AHINTC_DSP_ENABLE_DSP_ERR_1_TYPE                                  UInt32
#define AHINTC_DSP_ENABLE_DSP_ERR_1_RESERVED_MASK                         0x10480000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER1_OUTFIFO_SHIFT    31
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER1_OUTFIFO_MASK     0x80000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER2_OUTFIFO1_2_SHIFT 29
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER2_OUTFIFO1_2_MASK  0x60000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_PASSTHROUGH_CH1_2_SHIFT 26
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_PASSTHROUGH_CH1_2_MASK  0x0C000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAPSUP_CH5_SHIFT        25
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAPSUP_CH5_MASK         0x02000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_CH5_OUT_SHIFT           24
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_CH5_OUT_MASK            0x01000000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SIDETONE_SHIFT          23
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SIDETONE_MASK           0x00800000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_4_SHIFT            21
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_4_MASK             0x00200000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_3_SHIFT            20
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_3_MASK             0x00100000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SLIMBUS_SHIFT           18
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_SLIMBUS_MASK            0x00040000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_ASW_SHIFT               17
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_ASW_MASK                0x00020000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_VOICE_LR_SHIFT 15
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_VOICE_LR_MASK 0x00018000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_NOISE_LR_SHIFT 13
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_NOISE_LR_MASK 0x00006000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EAN_SHIFT         12
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EAN_MASK          0x00001000
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_VB_SHIFT          11
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_VB_MASK           0x00000800
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_IHF_SHIFT         10
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_IHF_MASK          0x00000400
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_HS_SHIFT          9
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_HS_MASK           0x00000200
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EP_SHIFT          8
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EP_MASK           0x00000100
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_OUTCH4_1_SHIFT      4
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_OUTCH4_1_MASK       0x000000F0
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_INCH4_1_SHIFT       0
#define    AHINTC_DSP_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_INCH4_1_MASK        0x0000000F

#define AHINTC_AHINTC_CONTROL_OFFSET                                      0x00000000
#define AHINTC_AHINTC_CONTROL_TYPE                                        UInt32
#define AHINTC_AHINTC_CONTROL_RESERVED_MASK                               0x7FFFFFFF
#define    AHINTC_AHINTC_CONTROL_AHINTC_SOFT_RESET_SHIFT                  31
#define    AHINTC_AHINTC_CONTROL_AHINTC_SOFT_RESET_MASK                   0x80000000

#define AHINTC_LEVELDETECT_0_OFFSET                                       0x00000040
#define AHINTC_LEVELDETECT_0_TYPE                                         UInt32
#define AHINTC_LEVELDETECT_0_RESERVED_MASK                                0x00000000
#define    AHINTC_LEVELDETECT_0_LEVEL_CFIFO_CH16_1_SHIFT                  16
#define    AHINTC_LEVELDETECT_0_LEVEL_CFIFO_CH16_1_MASK                   0xFFFF0000
#define    AHINTC_LEVELDETECT_0_LEVEL_AADMAC_CH16_1_SHIFT                 0
#define    AHINTC_LEVELDETECT_0_LEVEL_AADMAC_CH16_1_MASK                  0x0000FFFF

#define AHINTC_LEVELDETECT_1_OFFSET                                       0x00000044
#define AHINTC_LEVELDETECT_1_TYPE                                         UInt32
#define AHINTC_LEVELDETECT_1_RESERVED_MASK                                0x10480000
#define    AHINTC_LEVELDETECT_1_LEVEL_MIXER1_OUTFIFO_SHIFT                31
#define    AHINTC_LEVELDETECT_1_LEVEL_MIXER1_OUTFIFO_MASK                 0x80000000
#define    AHINTC_LEVELDETECT_1_LEVEL_MIXER2_OUTFIFO1_2_SHIFT             29
#define    AHINTC_LEVELDETECT_1_LEVEL_MIXER2_OUTFIFO1_2_MASK              0x60000000
#define    AHINTC_LEVELDETECT_1_LEVEL_PASSTHROUGH_CH1_2_SHIFT             26
#define    AHINTC_LEVELDETECT_1_LEVEL_PASSTHROUGH_CH1_2_MASK              0x0C000000
#define    AHINTC_LEVELDETECT_1_LEVEL_TAPSUP_CH5_SHIFT                    25
#define    AHINTC_LEVELDETECT_1_LEVEL_TAPSUP_CH5_MASK                     0x02000000
#define    AHINTC_LEVELDETECT_1_LEVEL_CH5_OUT_SHIFT                       24
#define    AHINTC_LEVELDETECT_1_LEVEL_CH5_OUT_MASK                        0x01000000
#define    AHINTC_LEVELDETECT_1_LEVEL_SIDETONE_SHIFT                      23
#define    AHINTC_LEVELDETECT_1_LEVEL_SIDETONE_MASK                       0x00800000
#define    AHINTC_LEVELDETECT_1_LEVEL_SSPI_4_SHIFT                        21
#define    AHINTC_LEVELDETECT_1_LEVEL_SSPI_4_MASK                         0x00200000
#define    AHINTC_LEVELDETECT_1_LEVEL_SSPI_3_SHIFT                        20
#define    AHINTC_LEVELDETECT_1_LEVEL_SSPI_3_MASK                         0x00100000
#define    AHINTC_LEVELDETECT_1_LEVEL_SLIMBUS_SHIFT                       18
#define    AHINTC_LEVELDETECT_1_LEVEL_SLIMBUS_MASK                        0x00040000
#define    AHINTC_LEVELDETECT_1_LEVEL_ASW_SHIFT                           17
#define    AHINTC_LEVELDETECT_1_LEVEL_ASW_MASK                            0x00020000
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_ADC_VOICE_LR_SHIFT            15
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_ADC_VOICE_LR_MASK             0x00018000
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_ADC_NOISE_LR_SHIFT            13
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_ADC_NOISE_LR_MASK             0x00006000
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_EAN_SHIFT                     12
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_EAN_MASK                      0x00001000
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_VB_SHIFT                      11
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_VB_MASK                       0x00000800
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_IHF_SHIFT                     10
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_IHF_MASK                      0x00000400
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_HS_SHIFT                      9
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_HS_MASK                       0x00000200
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_EP_SHIFT                      8
#define    AHINTC_LEVELDETECT_1_LEVEL_AUDIO_EP_MASK                       0x00000100
#define    AHINTC_LEVELDETECT_1_LEVEL_TAP_OUTCH4_1_SHIFT                  4
#define    AHINTC_LEVELDETECT_1_LEVEL_TAP_OUTCH4_1_MASK                   0x000000F0
#define    AHINTC_LEVELDETECT_1_LEVEL_TAP_INCH4_1_SHIFT                   0
#define    AHINTC_LEVELDETECT_1_LEVEL_TAP_INCH4_1_MASK                    0x0000000F

#define AHINTC_STATUS_ARM_STD_0_OFFSET                                    0x00000080
#define AHINTC_STATUS_ARM_STD_0_TYPE                                      UInt32
#define AHINTC_STATUS_ARM_STD_0_RESERVED_MASK                             0x00000000
#define    AHINTC_STATUS_ARM_STD_0_STATUS_A_S_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_STATUS_ARM_STD_0_STATUS_A_S_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_STATUS_ARM_STD_0_STATUS_A_S_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_STATUS_ARM_STD_0_STATUS_A_S_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_STATUS_ARM_STD_1_OFFSET                                    0x00000084
#define AHINTC_STATUS_ARM_STD_1_TYPE                                      UInt32
#define AHINTC_STATUS_ARM_STD_1_RESERVED_MASK                             0x10480000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAPSUP_CH5_SHIFT            25
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_CH5_OUT_SHIFT               24
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_CH5_OUT_MASK                0x01000000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SIDETONE_SHIFT              23
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SIDETONE_MASK               0x00800000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SSPI_4_SHIFT                21
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SSPI_4_MASK                 0x00200000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SSPI_3_SHIFT                20
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SSPI_3_MASK                 0x00100000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SLIMBUS_SHIFT               18
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_SLIMBUS_MASK                0x00040000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_ASW_SHIFT                   17
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_ASW_MASK                    0x00020000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EAN_SHIFT             12
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_VB_SHIFT              11
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_VB_MASK               0x00000800
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_IHF_SHIFT             10
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_HS_SHIFT              9
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_HS_MASK               0x00000200
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EP_SHIFT              8
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_AUDIO_EP_MASK               0x00000100
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAP_INCH4_1_SHIFT           0
#define    AHINTC_STATUS_ARM_STD_1_STATUS_A_S_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_STATUS_ARM_ERR_0_OFFSET                                    0x000000A0
#define AHINTC_STATUS_ARM_ERR_0_TYPE                                      UInt32
#define AHINTC_STATUS_ARM_ERR_0_RESERVED_MASK                             0x00000000
#define    AHINTC_STATUS_ARM_ERR_0_STATUS_A_E_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_STATUS_ARM_ERR_0_STATUS_A_E_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_STATUS_ARM_ERR_0_STATUS_A_E_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_STATUS_ARM_ERR_0_STATUS_A_E_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_STATUS_ARM_ERR_1_OFFSET                                    0x000000A4
#define AHINTC_STATUS_ARM_ERR_1_TYPE                                      UInt32
#define AHINTC_STATUS_ARM_ERR_1_RESERVED_MASK                             0x10480000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAPSUP_CH5_SHIFT            25
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_CH5_OUT_SHIFT               24
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_CH5_OUT_MASK                0x01000000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SIDETONE_SHIFT              23
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SIDETONE_MASK               0x00800000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_4_SHIFT                21
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_4_MASK                 0x00200000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_3_SHIFT                20
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SSPI_3_MASK                 0x00100000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SLIMBUS_SHIFT               18
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_SLIMBUS_MASK                0x00040000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_ASW_SHIFT                   17
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_ASW_MASK                    0x00020000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EAN_SHIFT             12
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_VB_SHIFT              11
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_VB_MASK               0x00000800
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_IHF_SHIFT             10
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_HS_SHIFT              9
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_HS_MASK               0x00000200
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EP_SHIFT              8
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_AUDIO_EP_MASK               0x00000100
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAP_INCH4_1_SHIFT           0
#define    AHINTC_STATUS_ARM_ERR_1_STATUS_A_E_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_STATUS_DSP_STD_0_OFFSET                                    0x000000C0
#define AHINTC_STATUS_DSP_STD_0_TYPE                                      UInt32
#define AHINTC_STATUS_DSP_STD_0_RESERVED_MASK                             0x00000000
#define    AHINTC_STATUS_DSP_STD_0_STATUS_D_S_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_STATUS_DSP_STD_0_STATUS_D_S_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_STATUS_DSP_STD_0_STATUS_D_S_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_STATUS_DSP_STD_0_STATUS_D_S_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_STATUS_DSP_STD_1_OFFSET                                    0x000000C4
#define AHINTC_STATUS_DSP_STD_1_TYPE                                      UInt32
#define AHINTC_STATUS_DSP_STD_1_RESERVED_MASK                             0x10480000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAPSUP_CH5_SHIFT            25
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_CH5_OUT_SHIFT               24
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_CH5_OUT_MASK                0x01000000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SIDETONE_SHIFT              23
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SIDETONE_MASK               0x00800000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SSPI_4_SHIFT                21
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SSPI_4_MASK                 0x00200000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SSPI_3_SHIFT                20
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SSPI_3_MASK                 0x00100000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SLIMBUS_SHIFT               18
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_SLIMBUS_MASK                0x00040000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_ASW_SHIFT                   17
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_ASW_MASK                    0x00020000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EAN_SHIFT             12
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_VB_SHIFT              11
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_VB_MASK               0x00000800
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_IHF_SHIFT             10
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_HS_SHIFT              9
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_HS_MASK               0x00000200
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EP_SHIFT              8
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_AUDIO_EP_MASK               0x00000100
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAP_INCH4_1_SHIFT           0
#define    AHINTC_STATUS_DSP_STD_1_STATUS_D_S_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_STATUS_DSP_ERR_0_OFFSET                                    0x000000E0
#define AHINTC_STATUS_DSP_ERR_0_TYPE                                      UInt32
#define AHINTC_STATUS_DSP_ERR_0_RESERVED_MASK                             0x00000000
#define    AHINTC_STATUS_DSP_ERR_0_STATUS_D_E_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_STATUS_DSP_ERR_0_STATUS_D_E_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_STATUS_DSP_ERR_0_STATUS_D_E_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_STATUS_DSP_ERR_0_STATUS_D_E_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_STATUS_DSP_ERR_1_OFFSET                                    0x000000E4
#define AHINTC_STATUS_DSP_ERR_1_TYPE                                      UInt32
#define AHINTC_STATUS_DSP_ERR_1_RESERVED_MASK                             0x10480000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAPSUP_CH5_SHIFT            25
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_CH5_OUT_SHIFT               24
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_CH5_OUT_MASK                0x01000000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SIDETONE_SHIFT              23
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SIDETONE_MASK               0x00800000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_4_SHIFT                21
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_4_MASK                 0x00200000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_3_SHIFT                20
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SSPI_3_MASK                 0x00100000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SLIMBUS_SHIFT               18
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_SLIMBUS_MASK                0x00040000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_ASW_SHIFT                   17
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_ASW_MASK                    0x00020000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EAN_SHIFT             12
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_VB_SHIFT              11
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_VB_MASK               0x00000800
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_IHF_SHIFT             10
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_HS_SHIFT              9
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_HS_MASK               0x00000200
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EP_SHIFT              8
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_AUDIO_EP_MASK               0x00000100
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAP_INCH4_1_SHIFT           0
#define    AHINTC_STATUS_DSP_ERR_1_STATUS_D_E_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_CLEAR_ARM_STD_0_OFFSET                                     0x00000100
#define AHINTC_CLEAR_ARM_STD_0_TYPE                                       UInt32
#define AHINTC_CLEAR_ARM_STD_0_RESERVED_MASK                              0x00000000
#define    AHINTC_CLEAR_ARM_STD_0_CLEAR_A_S_CFIFO_CH16_1_SHIFT            16
#define    AHINTC_CLEAR_ARM_STD_0_CLEAR_A_S_CFIFO_CH16_1_MASK             0xFFFF0000
#define    AHINTC_CLEAR_ARM_STD_0_CLEAR_A_S_AADMAC_CH16_1_SHIFT           0
#define    AHINTC_CLEAR_ARM_STD_0_CLEAR_A_S_AADMAC_CH16_1_MASK            0x0000FFFF

#define AHINTC_CLEAR_ARM_STD_1_OFFSET                                     0x00000104
#define AHINTC_CLEAR_ARM_STD_1_TYPE                                       UInt32
#define AHINTC_CLEAR_ARM_STD_1_RESERVED_MASK                              0x10480000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER1_OUTFIFO_SHIFT          31
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER1_OUTFIFO_MASK           0x80000000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER2_OUTFIFO1_2_SHIFT       29
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_MIXER2_OUTFIFO1_2_MASK        0x60000000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_PASSTHROUGH_CH1_2_SHIFT       26
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_PASSTHROUGH_CH1_2_MASK        0x0C000000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAPSUP_CH5_SHIFT              25
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAPSUP_CH5_MASK               0x02000000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_CH5_OUT_SHIFT                 24
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_CH5_OUT_MASK                  0x01000000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SIDETONE_SHIFT                23
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SIDETONE_MASK                 0x00800000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_4_SHIFT                  21
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_4_MASK                   0x00200000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_3_SHIFT                  20
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SSPI_3_MASK                   0x00100000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SLIMBUS_SHIFT                 18
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_SLIMBUS_MASK                  0x00040000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_ASW_SHIFT                     17
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_ASW_MASK                      0x00020000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_VOICE_LR_SHIFT      15
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_VOICE_LR_MASK       0x00018000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_NOISE_LR_SHIFT      13
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_ADC_NOISE_LR_MASK       0x00006000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EAN_SHIFT               12
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EAN_MASK                0x00001000
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_VB_SHIFT                11
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_VB_MASK                 0x00000800
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_IHF_SHIFT               10
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_IHF_MASK                0x00000400
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_HS_SHIFT                9
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_HS_MASK                 0x00000200
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EP_SHIFT                8
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_AUDIO_EP_MASK                 0x00000100
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_OUTCH4_1_SHIFT            4
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_OUTCH4_1_MASK             0x000000F0
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_INCH4_1_SHIFT             0
#define    AHINTC_CLEAR_ARM_STD_1_CLEAR_A_S_TAP_INCH4_1_MASK              0x0000000F

#define AHINTC_CLEAR_ARM_ERR_0_OFFSET                                     0x00000120
#define AHINTC_CLEAR_ARM_ERR_0_TYPE                                       UInt32
#define AHINTC_CLEAR_ARM_ERR_0_RESERVED_MASK                              0x00000000
#define    AHINTC_CLEAR_ARM_ERR_0_CLEAR_A_E_CFIFO_CH16_1_SHIFT            16
#define    AHINTC_CLEAR_ARM_ERR_0_CLEAR_A_E_CFIFO_CH16_1_MASK             0xFFFF0000
#define    AHINTC_CLEAR_ARM_ERR_0_CLEAR_A_E_AADMAC_CH16_1_SHIFT           0
#define    AHINTC_CLEAR_ARM_ERR_0_CLEAR_A_E_AADMAC_CH16_1_MASK            0x0000FFFF

#define AHINTC_CLEAR_ARM_ERR_1_OFFSET                                     0x00000124
#define AHINTC_CLEAR_ARM_ERR_1_TYPE                                       UInt32
#define AHINTC_CLEAR_ARM_ERR_1_RESERVED_MASK                              0x10480000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER1_OUTFIFO_SHIFT          31
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER1_OUTFIFO_MASK           0x80000000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER2_OUTFIFO1_2_SHIFT       29
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_MIXER2_OUTFIFO1_2_MASK        0x60000000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_PASSTHROUGH_CH1_2_SHIFT       26
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_PASSTHROUGH_CH1_2_MASK        0x0C000000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAPSUP_CH5_SHIFT              25
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAPSUP_CH5_MASK               0x02000000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_CH5_OUT_SHIFT                 24
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_CH5_OUT_MASK                  0x01000000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SIDETONE_SHIFT                23
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SIDETONE_MASK                 0x00800000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_4_SHIFT                  21
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_4_MASK                   0x00200000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_3_SHIFT                  20
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SSPI_3_MASK                   0x00100000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SLIMBUS_SHIFT                 18
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_SLIMBUS_MASK                  0x00040000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_ASW_SHIFT                     17
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_ASW_MASK                      0x00020000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_VOICE_LR_SHIFT      15
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_VOICE_LR_MASK       0x00018000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_NOISE_LR_SHIFT      13
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_ADC_NOISE_LR_MASK       0x00006000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EAN_SHIFT               12
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EAN_MASK                0x00001000
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_VB_SHIFT                11
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_VB_MASK                 0x00000800
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_IHF_SHIFT               10
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_IHF_MASK                0x00000400
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_HS_SHIFT                9
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_HS_MASK                 0x00000200
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EP_SHIFT                8
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_AUDIO_EP_MASK                 0x00000100
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_OUTCH4_1_SHIFT            4
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_OUTCH4_1_MASK             0x000000F0
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_INCH4_1_SHIFT             0
#define    AHINTC_CLEAR_ARM_ERR_1_CLEAR_A_E_TAP_INCH4_1_MASK              0x0000000F

#define AHINTC_CLEAR_DSP_STD_0_OFFSET                                     0x00000140
#define AHINTC_CLEAR_DSP_STD_0_TYPE                                       UInt32
#define AHINTC_CLEAR_DSP_STD_0_RESERVED_MASK                              0x00000000
#define    AHINTC_CLEAR_DSP_STD_0_CLEAR_D_S_CFIFO_CH16_1_SHIFT            16
#define    AHINTC_CLEAR_DSP_STD_0_CLEAR_D_S_CFIFO_CH16_1_MASK             0xFFFF0000
#define    AHINTC_CLEAR_DSP_STD_0_CLEAR_D_S_AADMAC_CH16_1_SHIFT           0
#define    AHINTC_CLEAR_DSP_STD_0_CLEAR_D_S_AADMAC_CH16_1_MASK            0x0000FFFF

#define AHINTC_CLEAR_DSP_STD_1_OFFSET                                     0x00000144
#define AHINTC_CLEAR_DSP_STD_1_TYPE                                       UInt32
#define AHINTC_CLEAR_DSP_STD_1_RESERVED_MASK                              0x10480000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER1_OUTFIFO_SHIFT          31
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER1_OUTFIFO_MASK           0x80000000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER2_OUTFIFO1_2_SHIFT       29
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_MIXER2_OUTFIFO1_2_MASK        0x60000000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_PASSTHROUGH_CH1_2_SHIFT       26
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_PASSTHROUGH_CH1_2_MASK        0x0C000000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAPSUP_CH5_SHIFT              25
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAPSUP_CH5_MASK               0x02000000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_CH5_OUT_SHIFT                 24
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_CH5_OUT_MASK                  0x01000000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SIDETONE_SHIFT                23
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SIDETONE_MASK                 0x00800000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_4_SHIFT                  21
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_4_MASK                   0x00200000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_3_SHIFT                  20
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SSPI_3_MASK                   0x00100000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SLIMBUS_SHIFT                 18
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_SLIMBUS_MASK                  0x00040000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_ASW_SHIFT                     17
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_ASW_MASK                      0x00020000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_VOICE_LR_SHIFT      15
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_VOICE_LR_MASK       0x00018000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_NOISE_LR_SHIFT      13
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_ADC_NOISE_LR_MASK       0x00006000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EAN_SHIFT               12
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EAN_MASK                0x00001000
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_VB_SHIFT                11
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_VB_MASK                 0x00000800
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_IHF_SHIFT               10
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_IHF_MASK                0x00000400
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_HS_SHIFT                9
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_HS_MASK                 0x00000200
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EP_SHIFT                8
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_AUDIO_EP_MASK                 0x00000100
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_OUTCH4_1_SHIFT            4
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_OUTCH4_1_MASK             0x000000F0
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_INCH4_1_SHIFT             0
#define    AHINTC_CLEAR_DSP_STD_1_CLEAR_D_S_TAP_INCH4_1_MASK              0x0000000F

#define AHINTC_CLEAR_DSP_ERR_0_OFFSET                                     0x00000160
#define AHINTC_CLEAR_DSP_ERR_0_TYPE                                       UInt32
#define AHINTC_CLEAR_DSP_ERR_0_RESERVED_MASK                              0x00000000
#define    AHINTC_CLEAR_DSP_ERR_0_CLEAR_D_E_CFIFO_CH16_1_SHIFT            16
#define    AHINTC_CLEAR_DSP_ERR_0_CLEAR_D_E_CFIFO_CH16_1_MASK             0xFFFF0000
#define    AHINTC_CLEAR_DSP_ERR_0_CLEAR_D_E_AADMAC_CH16_1_SHIFT           0
#define    AHINTC_CLEAR_DSP_ERR_0_CLEAR_D_E_AADMAC_CH16_1_MASK            0x0000FFFF

#define AHINTC_CLEAR_DSP_ERR_1_OFFSET                                     0x00000164
#define AHINTC_CLEAR_DSP_ERR_1_TYPE                                       UInt32
#define AHINTC_CLEAR_DSP_ERR_1_RESERVED_MASK                              0x10480000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER1_OUTFIFO_SHIFT          31
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER1_OUTFIFO_MASK           0x80000000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER2_OUTFIFO1_2_SHIFT       29
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_MIXER2_OUTFIFO1_2_MASK        0x60000000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_PASSTHROUGH_CH1_2_SHIFT       26
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_PASSTHROUGH_CH1_2_MASK        0x0C000000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAPSUP_CH5_SHIFT              25
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAPSUP_CH5_MASK               0x02000000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_CH5_OUT_SHIFT                 24
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_CH5_OUT_MASK                  0x01000000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SIDETONE_SHIFT                23
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SIDETONE_MASK                 0x00800000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_4_SHIFT                  21
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_4_MASK                   0x00200000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_3_SHIFT                  20
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SSPI_3_MASK                   0x00100000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SLIMBUS_SHIFT                 18
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_SLIMBUS_MASK                  0x00040000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_ASW_SHIFT                     17
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_ASW_MASK                      0x00020000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_VOICE_LR_SHIFT      15
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_VOICE_LR_MASK       0x00018000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_NOISE_LR_SHIFT      13
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_ADC_NOISE_LR_MASK       0x00006000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EAN_SHIFT               12
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EAN_MASK                0x00001000
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_VB_SHIFT                11
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_VB_MASK                 0x00000800
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_IHF_SHIFT               10
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_IHF_MASK                0x00000400
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_HS_SHIFT                9
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_HS_MASK                 0x00000200
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EP_SHIFT                8
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_AUDIO_EP_MASK                 0x00000100
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_OUTCH4_1_SHIFT            4
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_OUTCH4_1_MASK             0x000000F0
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_INCH4_1_SHIFT             0
#define    AHINTC_CLEAR_DSP_ERR_1_CLEAR_D_E_TAP_INCH4_1_MASK              0x0000000F

#define AHINTC_ENABLE_ARM_STD_0_OFFSET                                    0x00000180
#define AHINTC_ENABLE_ARM_STD_0_TYPE                                      UInt32
#define AHINTC_ENABLE_ARM_STD_0_RESERVED_MASK                             0x00000000
#define    AHINTC_ENABLE_ARM_STD_0_ENABLE_A_S_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_ENABLE_ARM_STD_0_ENABLE_A_S_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_ENABLE_ARM_STD_0_ENABLE_A_S_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_ENABLE_ARM_STD_0_ENABLE_A_S_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_ENABLE_ARM_STD_1_OFFSET                                    0x00000184
#define AHINTC_ENABLE_ARM_STD_1_TYPE                                      UInt32
#define AHINTC_ENABLE_ARM_STD_1_RESERVED_MASK                             0x10480000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAPSUP_CH5_SHIFT            25
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_CH5_OUT_SHIFT               24
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_CH5_OUT_MASK                0x01000000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SIDETONE_SHIFT              23
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SIDETONE_MASK               0x00800000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_4_SHIFT                21
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_4_MASK                 0x00200000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_3_SHIFT                20
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SSPI_3_MASK                 0x00100000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SLIMBUS_SHIFT               18
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_SLIMBUS_MASK                0x00040000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_ASW_SHIFT                   17
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_ASW_MASK                    0x00020000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EAN_SHIFT             12
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_VB_SHIFT              11
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_VB_MASK               0x00000800
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_IHF_SHIFT             10
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_HS_SHIFT              9
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_HS_MASK               0x00000200
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EP_SHIFT              8
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_AUDIO_EP_MASK               0x00000100
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_INCH4_1_SHIFT           0
#define    AHINTC_ENABLE_ARM_STD_1_ENABLE_A_S_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_ENABLE_ARM_ERR_0_OFFSET                                    0x000001A0
#define AHINTC_ENABLE_ARM_ERR_0_TYPE                                      UInt32
#define AHINTC_ENABLE_ARM_ERR_0_RESERVED_MASK                             0x00000000
#define    AHINTC_ENABLE_ARM_ERR_0_ENABLE_A_E_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_ENABLE_ARM_ERR_0_ENABLE_A_E_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_ENABLE_ARM_ERR_0_ENABLE_A_E_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_ENABLE_ARM_ERR_0_ENABLE_A_E_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_ENABLE_ARM_ERR_1_OFFSET                                    0x000001A4
#define AHINTC_ENABLE_ARM_ERR_1_TYPE                                      UInt32
#define AHINTC_ENABLE_ARM_ERR_1_RESERVED_MASK                             0x104C0100
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAPSUP_CH5_SHIFT            25
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_CH5_OUT_SHIFT               24
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_CH5_OUT_MASK                0x01000000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SIDETONE_SHIFT              23
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SIDETONE_MASK               0x00800000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_4_SHIFT                21
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_4_MASK                 0x00200000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_3_SHIFT                20
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_SSPI_3_MASK                 0x00100000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_ASW_SHIFT                   17
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_ASW_MASK                    0x00020000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_EAN_SHIFT             12
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_VB_SHIFT              11
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_VB_MASK               0x00000800
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_IHF_SHIFT             10
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_HS_SHIFT              9
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_AUDIO_HS_MASK               0x00000200
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_INCH4_1_SHIFT           0
#define    AHINTC_ENABLE_ARM_ERR_1_ENABLE_A_E_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_ENABLE_DSP_STD_0_OFFSET                                    0x000001C0
#define AHINTC_ENABLE_DSP_STD_0_TYPE                                      UInt32
#define AHINTC_ENABLE_DSP_STD_0_RESERVED_MASK                             0x00000000
#define    AHINTC_ENABLE_DSP_STD_0_ENABLE_D_S_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_ENABLE_DSP_STD_0_ENABLE_D_S_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_ENABLE_DSP_STD_0_ENABLE_D_S_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_ENABLE_DSP_STD_0_ENABLE_D_S_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_ENABLE_DSP_STD_1_OFFSET                                    0x000001C4
#define AHINTC_ENABLE_DSP_STD_1_TYPE                                      UInt32
#define AHINTC_ENABLE_DSP_STD_1_RESERVED_MASK                             0x10480000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAPSUP_CH5_SHIFT            25
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_CH5_OUT_SHIFT               24
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_CH5_OUT_MASK                0x01000000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SIDETONE_SHIFT              23
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SIDETONE_MASK               0x00800000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_4_SHIFT                21
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_4_MASK                 0x00200000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_3_SHIFT                20
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SSPI_3_MASK                 0x00100000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SLIMBUS_SHIFT               18
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_SLIMBUS_MASK                0x00040000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_ASW_SHIFT                   17
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_ASW_MASK                    0x00020000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EAN_SHIFT             12
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_VB_SHIFT              11
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_VB_MASK               0x00000800
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_IHF_SHIFT             10
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_HS_SHIFT              9
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_HS_MASK               0x00000200
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EP_SHIFT              8
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_AUDIO_EP_MASK               0x00000100
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_INCH4_1_SHIFT           0
#define    AHINTC_ENABLE_DSP_STD_1_ENABLE_D_S_TAP_INCH4_1_MASK            0x0000000F

#define AHINTC_ENABLE_DSP_ERR_0_OFFSET                                    0x000001E0
#define AHINTC_ENABLE_DSP_ERR_0_TYPE                                      UInt32
#define AHINTC_ENABLE_DSP_ERR_0_RESERVED_MASK                             0x00000000
#define    AHINTC_ENABLE_DSP_ERR_0_ENABLE_D_E_CFIFO_CH16_1_SHIFT          16
#define    AHINTC_ENABLE_DSP_ERR_0_ENABLE_D_E_CFIFO_CH16_1_MASK           0xFFFF0000
#define    AHINTC_ENABLE_DSP_ERR_0_ENABLE_D_E_AADMAC_CH16_1_SHIFT         0
#define    AHINTC_ENABLE_DSP_ERR_0_ENABLE_D_E_AADMAC_CH16_1_MASK          0x0000FFFF

#define AHINTC_ENABLE_DSP_ERR_1_OFFSET                                    0x000001E4
#define AHINTC_ENABLE_DSP_ERR_1_TYPE                                      UInt32
#define AHINTC_ENABLE_DSP_ERR_1_RESERVED_MASK                             0x10480000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER1_OUTFIFO_SHIFT        31
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER1_OUTFIFO_MASK         0x80000000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER2_OUTFIFO1_2_SHIFT     29
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_MIXER2_OUTFIFO1_2_MASK      0x60000000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_PASSTHROUGH_CH1_2_SHIFT     26
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_PASSTHROUGH_CH1_2_MASK      0x0C000000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAPSUP_CH5_SHIFT            25
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAPSUP_CH5_MASK             0x02000000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_CH5_OUT_SHIFT               24
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_CH5_OUT_MASK                0x01000000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SIDETONE_SHIFT              23
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SIDETONE_MASK               0x00800000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_4_SHIFT                21
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_4_MASK                 0x00200000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_3_SHIFT                20
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SSPI_3_MASK                 0x00100000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SLIMBUS_SHIFT               18
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_SLIMBUS_MASK                0x00040000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_ASW_SHIFT                   17
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_ASW_MASK                    0x00020000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_VOICE_LR_SHIFT    15
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_VOICE_LR_MASK     0x00018000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_NOISE_LR_SHIFT    13
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_ADC_NOISE_LR_MASK     0x00006000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EAN_SHIFT             12
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EAN_MASK              0x00001000
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_VB_SHIFT              11
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_VB_MASK               0x00000800
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_IHF_SHIFT             10
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_IHF_MASK              0x00000400
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_HS_SHIFT              9
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_HS_MASK               0x00000200
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EP_SHIFT              8
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_AUDIO_EP_MASK               0x00000100
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_OUTCH4_1_SHIFT          4
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_OUTCH4_1_MASK           0x000000F0
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_INCH4_1_SHIFT           0
#define    AHINTC_ENABLE_DSP_ERR_1_ENABLE_D_E_TAP_INCH4_1_MASK            0x0000000F

#endif /* __BRCM_RDB_AHINTC_H__ */


