/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_BB_TX_FILTERS_AND_2091_IF_H__
#define __BRCM_RDB_BB_TX_FILTERS_AND_2091_IF_H__

#define BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_OFFSET                         0x00000000
#define BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_TYPE                           UInt32
#define BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_RESERVED_MASK                  0xFFFFE000
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCQ_RAMP_EN_SHIFT           12
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCQ_RAMP_EN_MASK            0x00001000
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCQ_OVR_SHIFT               11
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCQ_OVR_MASK                0x00000800
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCI_RAMP_EN_SHIFT           10
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCI_RAMP_EN_MASK            0x00000400
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCI_OVR_SHIFT               9
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DCI_OVR_MASK                0x00000200
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_PHASE_RAMP_EN_SHIFT         8
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_PHASE_RAMP_EN_MASK          0x00000100
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_PHASE_OVR_SHIFT             7
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_PHASE_OVR_MASK              0x00000080
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_GAIN_RAMP_EN_SHIFT          6
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_GAIN_RAMP_EN_MASK           0x00000040
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_GAIN_OVR_SHIFT              5
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_GAIN_OVR_MASK               0x00000020
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DGS_RAMP_EN_SHIFT           4
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DGS_RAMP_EN_MASK            0x00000010
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DGS_OVR_SHIFT               3
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_DGS_OVR_MASK                0x00000008
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_CORDIC_ANGLE_OVR_SHIFT      2
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_CORDIC_ANGLE_OVR_MASK       0x00000004
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_RMS_SCALE_OVR_SHIFT         1
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_RMS_SCALE_OVR_MASK          0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_RAMP_EN_SHIFT               0
#define    BB_TX_FILTERS_AND_2091_IF_RAMPCTRL_RAMP_EN_MASK                0x00000001

#define BB_TX_FILTERS_AND_2091_IF_GAINMODE_OFFSET                         0x00000004
#define BB_TX_FILTERS_AND_2091_IF_GAINMODE_TYPE                           UInt32
#define BB_TX_FILTERS_AND_2091_IF_GAINMODE_RESERVED_MASK                  0xFFFFC000
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_GAIN_LATCH_CTRL_SHIFT       7
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_GAIN_LATCH_CTRL_MASK        0x00003F80
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_CORDIC_DUAL_MODE_SHIFT      6
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_CORDIC_DUAL_MODE_MASK       0x00000040
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DCQ_DUAL_MODE_SHIFT         5
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DCQ_DUAL_MODE_MASK          0x00000020
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DCI_DUAL_MODE_SHIFT         4
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DCI_DUAL_MODE_MASK          0x00000010
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_PHASE_DUAL_MODE_SHIFT       3
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_PHASE_DUAL_MODE_MASK        0x00000008
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_GAIN_DUAL_MODE_SHIFT        2
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_GAIN_DUAL_MODE_MASK         0x00000004
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DGS_DUAL_MODE_SHIFT         1
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_DGS_DUAL_MODE_MASK          0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_RMS_DUAL_MODE_SHIFT         0
#define    BB_TX_FILTERS_AND_2091_IF_GAINMODE_RMS_DUAL_MODE_MASK          0x00000001

#define BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_OFFSET                    0x00000008
#define BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_RESERVED_MASK             0xFC000000
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_NUM_STEPS_SHIFT 22
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_NUM_STEPS_MASK 0x03C00000
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_RAMPCTRL_DGS_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_OFFSET                    0x0000000C
#define BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_RESERVED_MASK             0xFFC00000
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_DGS1_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_DGS1_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_DGS1_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_RAMPCTRL_DGS1_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_OFFSET                   0x00000010
#define BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_RESERVED_MASK            0xFC000000
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_NUM_STEPS_SHIFT 22
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_NUM_STEPS_MASK 0x03C00000
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_RAMPCTRL_GAIN_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_OFFSET                   0x00000014
#define BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_RESERVED_MASK            0xFFC00000
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_GAIN1_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_GAIN1_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_GAIN1_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_RAMPCTRL_GAIN1_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_OFFSET                  0x00000018
#define BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_TYPE                    UInt32
#define BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_RESERVED_MASK           0xFC000000
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_NUM_STEPS_SHIFT 22
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_NUM_STEPS_MASK 0x03C00000
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_RAMPCTRL_PHASE_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_OFFSET                  0x0000001C
#define BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_TYPE                    UInt32
#define BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_RESERVED_MASK           0xFFC00000
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_PHASE1_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_PHASE1_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_PHASE1_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_RAMPCTRL_PHASE1_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_OFFSET                    0x00000020
#define BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_RESERVED_MASK             0xFC000000
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_NUM_STEPS_SHIFT 22
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_NUM_STEPS_MASK 0x03C00000
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_RAMPCTRL_DCI_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_OFFSET                    0x00000024
#define BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_RESERVED_MASK             0xFFC00000
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_DCI1_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_DCI1_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_DCI1_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_RAMPCTRL_DCI1_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_OFFSET                    0x00000028
#define BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_RESERVED_MASK             0xFC000000
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_NUM_STEPS_SHIFT 22
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_NUM_STEPS_MASK 0x03C00000
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_RAMPCTRL_DCQ_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_OFFSET                    0x0000002C
#define BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_RESERVED_MASK             0xFFC00000
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_DCQ1_RAMP_INIT_DELAY_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_DCQ1_RAMP_INIT_DELAY_MASK 0x003FFF00
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_DCQ1_RAMP_DWELL_TIME_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_RAMPCTRL_DCQ1_RAMP_DWELL_TIME_MASK 0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME0_OFFSET                     0x00000030
#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME0_TYPE                       UInt32
#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME0_RESERVED_MASK              0xFFFFC000
#define    BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME0_TXSLOTTIME0_SHIFT       0
#define    BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME0_TXSLOTTIME0_MASK        0x00003FFF

#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME1_OFFSET                     0x00000034
#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME1_TYPE                       UInt32
#define BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME1_RESERVED_MASK              0xFFFFC000
#define    BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME1_TXSLOTTIME1_SHIFT       0
#define    BB_TX_FILTERS_AND_2091_IF_TX_SLOTTIME1_TXSLOTTIME1_MASK        0x00003FFF

#define BB_TX_FILTERS_AND_2091_IF_RAMPSTART_OFFSET                        0x00000038
#define BB_TX_FILTERS_AND_2091_IF_RAMPSTART_TYPE                          UInt32
#define BB_TX_FILTERS_AND_2091_IF_RAMPSTART_RESERVED_MASK                 0xFFFFF000
#define    BB_TX_FILTERS_AND_2091_IF_RAMPSTART_RAMP_TRIG_GN_PH_DCIQ_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RAMPSTART_RAMP_TRIG_GN_PH_DCIQ_MASK  0x00000FFF

#define BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_OFFSET                      0x0000003C
#define BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_TYPE                        UInt32
#define BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_RESERVED_MASK               0xFFFF8006
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_CORDIC_CLK_EN_RB_1_SHIFT 14
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_CORDIC_CLK_EN_RB_1_MASK  0x00004000
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_RRC_CLK_EN_RB_1_SHIFT    13
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_RRC_CLK_EN_RB_1_MASK     0x00002000
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_DGS_EN_RB_1_SHIFT 12
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_DGS_EN_RB_1_MASK 0x00001000
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_IQ_EN_RB_1_SHIFT 11
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_IQ_EN_RB_1_MASK  0x00000800
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_LOFT_EN_RB_1_SHIFT 10
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_LOFT_EN_RB_1_MASK 0x00000400
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_CORDIC_EN_RB_1_SHIFT 9
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_CORDIC_EN_RB_1_MASK 0x00000200
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_GAIN_EN_RB_1_SHIFT 8
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_GAIN_EN_RB_1_MASK 0x00000100
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_COMPENSATION_EN_RB_1_SHIFT 7
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_COMPENSATION_EN_RB_1_MASK 0x00000080
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_EN_RB_1_SHIFT    6
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_PWRCTRL_EN_RB_1_MASK     0x00000040
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_DDR_IF_EN_SHIFT          5
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_DDR_IF_EN_MASK           0x00000020
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_BBRF_EN_SHIFT            4
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_BBRF_EN_MASK             0x00000010
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_RX_ONLY_MODE_SHIFT       3
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_RX_ONLY_MODE_MASK        0x00000008
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_EXT_RF_MODE_SHIFT        0
#define    BB_TX_FILTERS_AND_2091_IF_CLKGATECTRL_EXT_RF_MODE_MASK         0x00000001

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_OFFSET                   0x00000040
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_RRC_COEFF_01_RH_0012_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_RRC_COEFF_01_RH_0012_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_RRC_COEFF_00_RH_002D_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_01_00_RRC_COEFF_00_RH_002D_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_OFFSET                   0x00000044
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_RRC_COEFF_03_RH_0027_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_RRC_COEFF_03_RH_0027_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_RRC_COEFF_02_RH_FFB5_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_03_02_RRC_COEFF_02_RH_FFB5_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_OFFSET                   0x00000048
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_RRC_COEFF_05_RH_FF62_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_RRC_COEFF_05_RH_FF62_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_RRC_COEFF_04_RH_003D_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_05_04_RRC_COEFF_04_RH_003D_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_OFFSET                   0x0000004C
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_RRC_COEFF_07_RH_0153_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_RRC_COEFF_07_RH_0153_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_RRC_COEFF_06_RH_0044_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_07_06_RRC_COEFF_06_RH_0044_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_OFFSET                   0x00000050
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_RRC_COEFF_09_RH_FDD2_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_RRC_COEFF_09_RH_FDD2_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_RRC_COEFF_08_RH_FE5E_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_09_08_RRC_COEFF_08_RH_FE5E_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_OFFSET                   0x00000054
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_RRC_COEFF_11_RH_0304_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_RRC_COEFF_11_RH_0304_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_RRC_COEFF_10_RH_0492_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_11_10_RRC_COEFF_10_RH_0492_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_OFFSET                   0x00000058
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_RRC_COEFF_13_RH_FC60_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_RRC_COEFF_13_RH_FC60_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_RRC_COEFF_12_RH_F4D8_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_13_12_RRC_COEFF_12_RH_F4D8_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_OFFSET                   0x0000005C
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_TYPE                     UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_RESERVED_MASK            0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_RRC_COEFF_15_RH_43D9_SHIFT 16
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_RRC_COEFF_15_RH_43D9_MASK 0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_RRC_COEFF_14_RH_27E2_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_COEF_15_14_RRC_COEFF_14_RH_27E2_MASK 0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE0_OFFSET                       0x00000060
#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE0_TYPE                         UInt32
#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE0_RESERVED_MASK                0xFF000000
#define    BB_TX_FILTERS_AND_2091_IF_RMS_SCALE0_RMS_SCALE0_SHIFT          0
#define    BB_TX_FILTERS_AND_2091_IF_RMS_SCALE0_RMS_SCALE0_MASK           0x00FFFFFF

#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE1_OFFSET                       0x00000064
#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE1_TYPE                         UInt32
#define BB_TX_FILTERS_AND_2091_IF_RMS_SCALE1_RESERVED_MASK                0xFF000000
#define    BB_TX_FILTERS_AND_2091_IF_RMS_SCALE1_RMS_SCALE1_SHIFT          0
#define    BB_TX_FILTERS_AND_2091_IF_RMS_SCALE1_RMS_SCALE1_MASK           0x00FFFFFF

#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE0_OFFSET                    0x00000068
#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE0_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE0_RESERVED_MASK             0xFFFFF000
#define    BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE0_CORDIC_ANGLE0_SHIFT    0
#define    BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE0_CORDIC_ANGLE0_MASK     0x00000FFF

#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE1_OFFSET                    0x0000006C
#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE1_TYPE                      UInt32
#define BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE1_RESERVED_MASK             0xFFFFF000
#define    BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE1_CORDIC_ANGLE1_SHIFT    0
#define    BB_TX_FILTERS_AND_2091_IF_CORDIC_ANGLE1_CORDIC_ANGLE1_MASK     0x00000FFF

#define BB_TX_FILTERS_AND_2091_IF_DGS0_OFFSET                             0x00000070
#define BB_TX_FILTERS_AND_2091_IF_DGS0_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DGS0_RESERVED_MASK                      0xFFFFF800
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_DGS0_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DGS0_DGS0_MASK                       0x000007FF

#define BB_TX_FILTERS_AND_2091_IF_DGS1_OFFSET                             0x00000074
#define BB_TX_FILTERS_AND_2091_IF_DGS1_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DGS1_RESERVED_MASK                      0xFFFFF800
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_DGS1_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DGS1_DGS1_MASK                       0x000007FF

#define BB_TX_FILTERS_AND_2091_IF_GAIN0_OFFSET                            0x00000078
#define BB_TX_FILTERS_AND_2091_IF_GAIN0_TYPE                              UInt32
#define BB_TX_FILTERS_AND_2091_IF_GAIN0_RESERVED_MASK                     0xFFFFFF00
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_GAIN0_SHIFT                    0
#define    BB_TX_FILTERS_AND_2091_IF_GAIN0_GAIN0_MASK                     0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_GAIN1_OFFSET                            0x0000007C
#define BB_TX_FILTERS_AND_2091_IF_GAIN1_TYPE                              UInt32
#define BB_TX_FILTERS_AND_2091_IF_GAIN1_RESERVED_MASK                     0xFFFFFF00
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_GAIN1_SHIFT                    0
#define    BB_TX_FILTERS_AND_2091_IF_GAIN1_GAIN1_MASK                     0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_PHASE0_OFFSET                           0x00000080
#define BB_TX_FILTERS_AND_2091_IF_PHASE0_TYPE                             UInt32
#define BB_TX_FILTERS_AND_2091_IF_PHASE0_RESERVED_MASK                    0xFFFFFF00
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_PHASE0_SHIFT                  0
#define    BB_TX_FILTERS_AND_2091_IF_PHASE0_PHASE0_MASK                   0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_PHASE1_OFFSET                           0x00000084
#define BB_TX_FILTERS_AND_2091_IF_PHASE1_TYPE                             UInt32
#define BB_TX_FILTERS_AND_2091_IF_PHASE1_RESERVED_MASK                    0xFFFFFF00
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_PHASE1_SHIFT                  0
#define    BB_TX_FILTERS_AND_2091_IF_PHASE1_PHASE1_MASK                   0x000000FF

#define BB_TX_FILTERS_AND_2091_IF_DCI0_OFFSET                             0x00000088
#define BB_TX_FILTERS_AND_2091_IF_DCI0_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCI0_RESERVED_MASK                      0xFFFFFE00
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_DCI0_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DCI0_DCI0_MASK                       0x000001FF

#define BB_TX_FILTERS_AND_2091_IF_DCI1_OFFSET                             0x0000008C
#define BB_TX_FILTERS_AND_2091_IF_DCI1_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCI1_RESERVED_MASK                      0xFFFFFE00
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_DCI1_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DCI1_DCI1_MASK                       0x000001FF

#define BB_TX_FILTERS_AND_2091_IF_DCQ0_OFFSET                             0x00000090
#define BB_TX_FILTERS_AND_2091_IF_DCQ0_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCQ0_RESERVED_MASK                      0xFFFFFE00
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_DCQ0_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DCQ0_DCQ0_MASK                       0x000001FF

#define BB_TX_FILTERS_AND_2091_IF_DCQ1_OFFSET                             0x00000094
#define BB_TX_FILTERS_AND_2091_IF_DCQ1_TYPE                               UInt32
#define BB_TX_FILTERS_AND_2091_IF_DCQ1_RESERVED_MASK                      0xFFFFFE00
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_DCQ1_SHIFT                      0
#define    BB_TX_FILTERS_AND_2091_IF_DCQ1_DCQ1_MASK                       0x000001FF

#define BB_TX_FILTERS_AND_2091_IF_TESTCTRL_OFFSET                         0x00000098
#define BB_TX_FILTERS_AND_2091_IF_TESTCTRL_TYPE                           UInt32
#define BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RESERVED_MASK                  0x7FC00000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_SOFT_RSTN_R1_SHIFT          31
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_SOFT_RSTN_R1_MASK           0x80000000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RX_DDR_POWER_SAVE_MODE_SHIFT 21
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RX_DDR_POWER_SAVE_MODE_MASK 0x00200000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_ADJUST_FILT_COEFF_SELECT_SHIFT 20
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_ADJUST_FILT_COEFF_SELECT_MASK 0x00100000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RRC_BYPASS_SHIFT            19
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RRC_BYPASS_MASK             0x00080000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_IQLOFT_GAIN_COMP_BYPASS_SHIFT 18
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_IQLOFT_GAIN_COMP_BYPASS_MASK 0x00040000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_PHASE_COMP_ITER_SELECT_SHIFT 17
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_PHASE_COMP_ITER_SELECT_MASK 0x00020000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RRC_OP_PHASE_SWITCH_SHIFT   16
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_RRC_OP_PHASE_SWITCH_MASK    0x00010000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_DECIMATE_X32_TO_X4_SHIFT    15
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_DECIMATE_X32_TO_X4_MASK     0x00008000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_IQ_SWAP_SHIFT               14
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_IQ_SWAP_MASK                0x00004000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_PHASE_COMP_BYPASS_SHIFT     13
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_PHASE_COMP_BYPASS_MASK      0x00002000
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_VALID_SEL_SHIFT             9
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_VALID_SEL_MASK              0x00001E00
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_GAIN_TRIG_SEL_RB_01_SHIFT   7
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_GAIN_TRIG_SEL_RB_01_MASK    0x00000180
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_INT_SLOT_SEL1_R1_SHIFT      6
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_INT_SLOT_SEL1_R1_MASK       0x00000040
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_INT_SLOT_SEL0_R1_SHIFT      5
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_INT_SLOT_SEL0_R1_MASK       0x00000020
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_TEST_MUX_SEL_SHIFT          0
#define    BB_TX_FILTERS_AND_2091_IF_TESTCTRL_TEST_MUX_SEL_MASK           0x0000001F

#define BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_OFFSET                        0x0000009C
#define BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_TYPE                          UInt32
#define BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RESERVED_MASK                 0xFFFFC000
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_CURRENT_DATA_PTR1_RH_2_SHIFT 10
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_CURRENT_DATA_PTR1_RH_2_MASK 0x00003C00
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_CURRENT_DATA_PTR0_RH_2_SHIFT 6
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_CURRENT_DATA_PTR0_RH_2_MASK 0x000003C0
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RET_IN_PROG_SHIFT          5
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RET_IN_PROG_MASK           0x00000020
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADV_IN_PROG_SHIFT          4
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADV_IN_PROG_MASK           0x00000010
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RET_PENDING_SHIFT          3
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RET_PENDING_MASK           0x00000008
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADV_PENDING_SHIFT          2
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADV_PENDING_MASK           0x00000004
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RETARD_SHIFT               1
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_RETARD_MASK                0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADVANCE_SHIFT              0
#define    BB_TX_FILTERS_AND_2091_IF_TIMINGADJ_ADVANCE_MASK               0x00000001

#define BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_OFFSET                      0x000000A0
#define BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_TYPE                        UInt32
#define BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_RESERVED_MASK               0xFFFFFEF0
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_FLUSH_IN_PROG_SHIFT      8
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_FLUSH_IN_PROG_MASK       0x00000100
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_FLUSH_SHIFT              3
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_FLUSH_MASK               0x00000008
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_REALIGN_AND_INIT_SHIFT   2
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_REALIGN_AND_INIT_MASK    0x00000004
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_REALIGN_PHASE_SHIFT      1
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_REALIGN_PHASE_MASK       0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_INIT_PHASE_SHIFT         0
#define    BB_TX_FILTERS_AND_2091_IF_RESTARTCTRL_INIT_PHASE_MASK          0x00000001

#define BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_OFFSET                        0x000000A4
#define BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_TYPE                          UInt32
#define BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_RESERVED_MASK                 0xFFFFC000
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_CX2_EDGE_DELAY_SHIFT       10
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_CX2_EDGE_DELAY_MASK        0x00003C00
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_CURR_RRC_PHASE_RB_01010_SHIFT 5
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_CURR_RRC_PHASE_RB_01010_MASK 0x000003E0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_INIT_RRC_PHASE_RB_00101_SHIFT 0
#define    BB_TX_FILTERS_AND_2091_IF_RRC_PHASE_INIT_RRC_PHASE_RB_00101_MASK 0x0000001F

#define BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_OFFSET                     0x000000A8
#define BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_TYPE                       UInt32
#define BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_RESERVED_MASK              0xFFFFFF00
#define    BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_HIGH_THRESH_RH_8_SHIFT  4
#define    BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_HIGH_THRESH_RH_8_MASK   0x000000F0
#define    BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_LOW_THRESH_RH_7_SHIFT   0
#define    BB_TX_FILTERS_AND_2091_IF_ADJDETTHRESH_LOW_THRESH_RH_7_MASK    0x0000000F

#define BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_OFFSET                     0x000000AC
#define BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_TYPE                       UInt32
#define BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_RESERVED_MASK              0xFFFFE000
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_TONE_ENABLE_SHIFT       12
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_TONE_ENABLE_MASK        0x00001000
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_TONE_FREQ_SHIFT         0
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEFREQ_TONE_FREQ_MASK          0x00000FFF

#define BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_OFFSET                      0x000000B0
#define BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_TYPE                        UInt32
#define BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_RESERVED_MASK               0x00000000
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_CORDIC_Y_SHIFT           16
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_CORDIC_Y_MASK            0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_CORDIC_X_SHIFT           0
#define    BB_TX_FILTERS_AND_2091_IF_TESTTONEAMP_CORDIC_X_MASK            0x0000FFFF

#define BB_TX_FILTERS_AND_2091_IF_IF_DELAY_OFFSET                         0x000000B4
#define BB_TX_FILTERS_AND_2091_IF_IF_DELAY_TYPE                           UInt32
#define BB_TX_FILTERS_AND_2091_IF_IF_DELAY_RESERVED_MASK                  0xFE000000
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_MUX_SEL_RB_10111_SHIFT  20
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_MUX_SEL_RB_10111_MASK   0x01F00000
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_PHASE_SEL1_SHIFT        10
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_PHASE_SEL1_MASK         0x000FFC00
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_PHASE_SEL0_SHIFT        0
#define    BB_TX_FILTERS_AND_2091_IF_IF_DELAY_CLK_PHASE_SEL0_MASK         0x000003FF

#define BB_TX_FILTERS_AND_2091_IF_IF_MODE_OFFSET                          0x000000B8
#define BB_TX_FILTERS_AND_2091_IF_IF_MODE_TYPE                            UInt32
#define BB_TX_FILTERS_AND_2091_IF_IF_MODE_RESERVED_MASK                   0xFFFFFFFC
#define    BB_TX_FILTERS_AND_2091_IF_IF_MODE_RX_3GEN_SHIFT                1
#define    BB_TX_FILTERS_AND_2091_IF_IF_MODE_RX_3GEN_MASK                 0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_IF_MODE_TX_3GEN_SHIFT                0
#define    BB_TX_FILTERS_AND_2091_IF_IF_MODE_TX_3GEN_MASK                 0x00000001

#define BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_OFFSET                        0x000000BC
#define BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_TYPE                          UInt32
#define BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_RESERVED_MASK                 0xFFFFFFFC
#define    BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_AUTO_ADJ_SLOT_TIMERS_SHIFT 1
#define    BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_AUTO_ADJ_SLOT_TIMERS_MASK  0x00000002
#define    BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_TIMER_ENABLE_R1_SHIFT      0
#define    BB_TX_FILTERS_AND_2091_IF_TIMERCTRL_TIMER_ENABLE_R1_MASK       0x00000001

#define BB_TX_FILTERS_AND_2091_IF_ECO_APB_OFFSET                          0x00000100
#define BB_TX_FILTERS_AND_2091_IF_ECO_APB_TYPE                            UInt32
#define BB_TX_FILTERS_AND_2091_IF_ECO_APB_RESERVED_MASK                   0xFFFF0000
#define    BB_TX_FILTERS_AND_2091_IF_ECO_APB_BB_RF_ECO_APB_SHIFT          0
#define    BB_TX_FILTERS_AND_2091_IF_ECO_APB_BB_RF_ECO_APB_MASK           0x0000FFFF

#endif /* __BRCM_RDB_BB_TX_FILTERS_AND_2091_IF_H__ */


