/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DPHY_CSR_H__
#define __BRCM_RDB_DPHY_CSR_H__

#define DPHY_CSR_DQ_REV_ID_OFFSET                                         0x00000000
#define DPHY_CSR_DQ_REV_ID_TYPE                                           UInt32
#define DPHY_CSR_DQ_REV_ID_RESERVED_MASK                                  0xFFFF0000
#define    DPHY_CSR_DQ_REV_ID_MAJOR_SHIFT                                 8
#define    DPHY_CSR_DQ_REV_ID_MAJOR_MASK                                  0x0000FF00
#define    DPHY_CSR_DQ_REV_ID_MINOR_SHIFT                                 0
#define    DPHY_CSR_DQ_REV_ID_MINOR_MASK                                  0x000000FF

#define DPHY_CSR_GLOBAL_DQ_DLL_RESET_OFFSET                               0x00000004
#define DPHY_CSR_GLOBAL_DQ_DLL_RESET_TYPE                                 UInt32
#define DPHY_CSR_GLOBAL_DQ_DLL_RESET_RESERVED_MASK                        0xFFFFFFFE
#define    DPHY_CSR_GLOBAL_DQ_DLL_RESET_DLL_RESET_SHIFT                   0
#define    DPHY_CSR_GLOBAL_DQ_DLL_RESET_DLL_RESET_MASK                    0x00000001

#define DPHY_CSR_GLOBAL_DQ_DLL_RECALIBRATE_OFFSET                         0x00000008
#define DPHY_CSR_GLOBAL_DQ_DLL_RECALIBRATE_TYPE                           UInt32
#define DPHY_CSR_GLOBAL_DQ_DLL_RECALIBRATE_RESERVED_MASK                  0xFFFFFFFE
#define    DPHY_CSR_GLOBAL_DQ_DLL_RECALIBRATE_DLL_RECALIBRATE_SHIFT       0
#define    DPHY_CSR_GLOBAL_DQ_DLL_RECALIBRATE_DLL_RECALIBRATE_MASK        0x00000001

#define DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_OFFSET                               0x0000000C
#define DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_TYPE                                 UInt32
#define DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_RESERVED_MASK                        0xFFFFFEFC
#define    DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_DLL_RECALIBRATION_ENABLE_SHIFT    8
#define    DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_DLL_RECALIBRATION_ENABLE_MASK     0x00000100
#define    DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_DLL_PHASE_SEL_SHIFT               0
#define    DPHY_CSR_GLOBAL_DQ_DLL_CNTRL_DLL_PHASE_SEL_MASK                0x00000003

#define DPHY_CSR_GLOBAL_DQ_DLL_PHASE_LOAD_VALUE_OFFSET                    0x00000010
#define DPHY_CSR_GLOBAL_DQ_DLL_PHASE_LOAD_VALUE_TYPE                      UInt32
#define DPHY_CSR_GLOBAL_DQ_DLL_PHASE_LOAD_VALUE_RESERVED_MASK             0xFFFFFFC0
#define    DPHY_CSR_GLOBAL_DQ_DLL_PHASE_LOAD_VALUE_DLL_RELOAD_PHASE_SHIFT 0
#define    DPHY_CSR_GLOBAL_DQ_DLL_PHASE_LOAD_VALUE_DLL_RELOAD_PHASE_MASK  0x0000003F

#define DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_OFFSET                0x00000014
#define DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_TYPE                  UInt32
#define DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_RESERVED_MASK         0xFFFFFF00
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE3_WRITE_MASTER_DLL_BYPASS_SHIFT 7
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE3_WRITE_MASTER_DLL_BYPASS_MASK 0x00000080
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE3_READ_MASTER_DLL_BYPASS_SHIFT 6
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE3_READ_MASTER_DLL_BYPASS_MASK 0x00000040
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE2_WRITE_MASTER_DLL_BYPASS_SHIFT 5
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE2_WRITE_MASTER_DLL_BYPASS_MASK 0x00000020
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE2_READ_MASTER_DLL_BYPASS_SHIFT 4
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE2_READ_MASTER_DLL_BYPASS_MASK 0x00000010
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE1_WRITE_MASTER_DLL_BYPASS_SHIFT 3
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE1_WRITE_MASTER_DLL_BYPASS_MASK 0x00000008
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE1_READ_MASTER_DLL_BYPASS_SHIFT 2
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE1_READ_MASTER_DLL_BYPASS_MASK 0x00000004
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE0_WRITE_MASTER_DLL_BYPASS_SHIFT 1
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE0_WRITE_MASTER_DLL_BYPASS_MASK 0x00000002
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE0_READ_MASTER_DLL_BYPASS_SHIFT 0
#define    DPHY_CSR_GLOBAL_DQ_MASTER_DLL_BYPASS_ENABLE_BYTE0_READ_MASTER_DLL_BYPASS_MASK 0x00000001

#define DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_OFFSET                     0x00000018
#define DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_TYPE                       UInt32
#define DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_RESERVED_MASK              0xFFFF0000
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_WRITE_MASTER_DLL_LOCK_P_SHIFT 15
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_WRITE_MASTER_DLL_LOCK_P_MASK 0x00008000
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_WRITE_MASTER_DLL_LOCK_N_SHIFT 14
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_WRITE_MASTER_DLL_LOCK_N_MASK 0x00004000
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_READ_MASTER_DLL_LOCK_P_SHIFT 13
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_READ_MASTER_DLL_LOCK_P_MASK 0x00002000
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_READ_MASTER_DLL_LOCK_N_SHIFT 12
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE3_READ_MASTER_DLL_LOCK_N_MASK 0x00001000
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_WRITE_MASTER_DLL_LOCK_P_SHIFT 11
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_WRITE_MASTER_DLL_LOCK_P_MASK 0x00000800
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_WRITE_MASTER_DLL_LOCK_N_SHIFT 10
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_WRITE_MASTER_DLL_LOCK_N_MASK 0x00000400
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_READ_MASTER_DLL_LOCK_P_SHIFT 9
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_READ_MASTER_DLL_LOCK_P_MASK 0x00000200
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_READ_MASTER_DLL_LOCK_N_SHIFT 8
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE2_READ_MASTER_DLL_LOCK_N_MASK 0x00000100
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_WRITE_MASTER_DLL_LOCK_P_SHIFT 7
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_WRITE_MASTER_DLL_LOCK_P_MASK 0x00000080
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_WRITE_MASTER_DLL_LOCK_N_SHIFT 6
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_WRITE_MASTER_DLL_LOCK_N_MASK 0x00000040
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_READ_MASTER_DLL_LOCK_P_SHIFT 5
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_READ_MASTER_DLL_LOCK_P_MASK 0x00000020
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_READ_MASTER_DLL_LOCK_N_SHIFT 4
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE1_READ_MASTER_DLL_LOCK_N_MASK 0x00000010
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_WRITE_MASTER_DLL_LOCK_P_SHIFT 3
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_WRITE_MASTER_DLL_LOCK_P_MASK 0x00000008
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_WRITE_MASTER_DLL_LOCK_N_SHIFT 2
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_WRITE_MASTER_DLL_LOCK_N_MASK 0x00000004
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_READ_MASTER_DLL_LOCK_P_SHIFT 1
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_READ_MASTER_DLL_LOCK_P_MASK 0x00000002
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_READ_MASTER_DLL_LOCK_N_SHIFT 0
#define    DPHY_CSR_GLOBAL_MASTER_DLL_LOCK_STATUS_BYTE0_READ_MASTER_DLL_LOCK_N_MASK 0x00000001

#define DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_OFFSET                            0x0000001C
#define DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_TYPE                              UInt32
#define DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_RESERVED_MASK                     0xFF808080
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_WRITE_OFFSET_SHIFT 16
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_WRITE_OFFSET_MASK  0x007F0000
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_READ_OFFSET_P_SHIFT 8
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_READ_OFFSET_P_MASK 0x00007F00
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_READ_OFFSET_N_SHIFT 0
#define    DPHY_CSR_BYTE0_SLAVE_DLL_OFFSET_BYTE0_SLAVE_READ_OFFSET_N_MASK 0x0000007F

#define DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_OFFSET                            0x00000020
#define DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_TYPE                              UInt32
#define DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_RESERVED_MASK                     0xFF808080
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_WRITE_OFFSET_SHIFT 16
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_WRITE_OFFSET_MASK  0x007F0000
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_READ_OFFSET_P_SHIFT 8
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_READ_OFFSET_P_MASK 0x00007F00
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_READ_OFFSET_N_SHIFT 0
#define    DPHY_CSR_BYTE1_SLAVE_DLL_OFFSET_BYTE1_SLAVE_READ_OFFSET_N_MASK 0x0000007F

#define DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_OFFSET                            0x00000024
#define DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_TYPE                              UInt32
#define DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_RESERVED_MASK                     0xFF808080
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_WRITE_OFFSET_SHIFT 16
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_WRITE_OFFSET_MASK  0x007F0000
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_READ_OFFSET_P_SHIFT 8
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_READ_OFFSET_P_MASK 0x00007F00
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_READ_OFFSET_N_SHIFT 0
#define    DPHY_CSR_BYTE2_SLAVE_DLL_OFFSET_BYTE2_SLAVE_READ_OFFSET_N_MASK 0x0000007F

#define DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_OFFSET                            0x00000028
#define DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_TYPE                              UInt32
#define DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_RESERVED_MASK                     0xFF808080
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_WRITE_OFFSET_SHIFT 16
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_WRITE_OFFSET_MASK  0x007F0000
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_READ_OFFSET_P_SHIFT 8
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_READ_OFFSET_P_MASK 0x00007F00
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_READ_OFFSET_N_SHIFT 0
#define    DPHY_CSR_BYTE3_SLAVE_DLL_OFFSET_BYTE3_SLAVE_READ_OFFSET_N_MASK 0x0000007F

#define DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_OFFSET                           0x0000002C
#define DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_TYPE                             UInt32
#define DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_RESERVED_MASK                    0xC0C0C0C0
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_WRITE_PHASE_P_SHIFT 24
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_WRITE_PHASE_P_MASK 0x3F000000
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_WRITE_PHASE_N_SHIFT 16
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_WRITE_PHASE_N_MASK 0x003F0000
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_READ_PHASE_P_SHIFT 8
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_READ_PHASE_P_MASK 0x00003F00
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_READ_PHASE_N_SHIFT 0
#define    DPHY_CSR_BYTE0_MASTER_DLL_OUTPUT_BYTE0_MASTER_READ_PHASE_N_MASK 0x0000003F

#define DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_OFFSET                           0x00000030
#define DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_TYPE                             UInt32
#define DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_RESERVED_MASK                    0xC0C0C0C0
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_WRITE_PHASE_P_SHIFT 24
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_WRITE_PHASE_P_MASK 0x3F000000
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_WRITE_PHASE_N_SHIFT 16
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_WRITE_PHASE_N_MASK 0x003F0000
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_READ_PHASE_P_SHIFT 8
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_READ_PHASE_P_MASK 0x00003F00
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_READ_PHASE_N_SHIFT 0
#define    DPHY_CSR_BYTE1_MASTER_DLL_OUTPUT_BYTE1_MASTER_READ_PHASE_N_MASK 0x0000003F

#define DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_OFFSET                           0x00000034
#define DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_TYPE                             UInt32
#define DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_RESERVED_MASK                    0xC0C0C0C0
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_WRITE_PHASE_P_SHIFT 24
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_WRITE_PHASE_P_MASK 0x3F000000
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_WRITE_PHASE_N_SHIFT 16
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_WRITE_PHASE_N_MASK 0x003F0000
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_READ_PHASE_P_SHIFT 8
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_READ_PHASE_P_MASK 0x00003F00
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_READ_PHASE_N_SHIFT 0
#define    DPHY_CSR_BYTE2_MASTER_DLL_OUTPUT_BYTE2_MASTER_READ_PHASE_N_MASK 0x0000003F

#define DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_OFFSET                           0x00000038
#define DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_TYPE                             UInt32
#define DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_RESERVED_MASK                    0xC0C0C0C0
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_WRITE_PHASE_P_SHIFT 24
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_WRITE_PHASE_P_MASK 0x3F000000
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_WRITE_PHASE_N_SHIFT 16
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_WRITE_PHASE_N_MASK 0x003F0000
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_READ_PHASE_P_SHIFT 8
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_READ_PHASE_P_MASK 0x00003F00
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_READ_PHASE_N_SHIFT 0
#define    DPHY_CSR_BYTE3_MASTER_DLL_OUTPUT_BYTE3_MASTER_READ_PHASE_N_MASK 0x0000003F

#define DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_OFFSET                          0x0000003C
#define DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_TYPE                            UInt32
#define DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_RESERVED_MASK                   0x00000000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_3_SHIFT         30
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_3_MASK          0xC0000000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_3_SHIFT         28
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_3_MASK          0x30000000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_3_SHIFT  26
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_3_MASK   0x0C000000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_3_SHIFT  24
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_3_MASK   0x03000000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_2_SHIFT         22
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_2_MASK          0x00C00000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_2_SHIFT         20
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_2_MASK          0x00300000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_2_SHIFT  18
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_2_MASK   0x000C0000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_2_SHIFT  16
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_2_MASK   0x00030000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_1_SHIFT         14
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_1_MASK          0x0000C000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_1_SHIFT         12
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_1_MASK          0x00003000
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_1_SHIFT  10
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_1_MASK   0x00000C00
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_1_SHIFT  8
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_1_MASK   0x00000300
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_0_SHIFT         6
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_TDQSCK_0_MASK          0x000000C0
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_0_SHIFT         4
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_TDQSCK_0_MASK          0x00000030
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_0_SHIFT  2
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM1_GATE_EDGE_SEL_0_MASK   0x0000000C
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_0_SHIFT  0
#define    DPHY_CSR_NORM_READ_DQS_GATE_CNTRL_DRAM0_GATE_EDGE_SEL_0_MASK   0x00000003

#define DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_OFFSET                          0x00000040
#define DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_TYPE                            UInt32
#define DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_RESERVED_MASK                   0xFFFFFFE4
#define    DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_TDQSCK_SHIFT                 3
#define    DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_TDQSCK_MASK                  0x00000018
#define    DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_GATE_EDGE_SEL_SHIFT          0
#define    DPHY_CSR_BOOT_READ_DQS_GATE_CNTRL_GATE_EDGE_SEL_MASK           0x00000003

#define DPHY_CSR_PHY_FIFO_PNTRS_OFFSET                                    0x00000044
#define DPHY_CSR_PHY_FIFO_PNTRS_TYPE                                      UInt32
#define DPHY_CSR_PHY_FIFO_PNTRS_RESERVED_MASK                             0xCCCCCCCC
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE3_RD_PNTR_SHIFT                    28
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE3_RD_PNTR_MASK                     0x30000000
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE2_RD_PNTR_SHIFT                    24
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE2_RD_PNTR_MASK                     0x03000000
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE1_RD_PNTR_SHIFT                    20
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE1_RD_PNTR_MASK                     0x00300000
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE0_RD_PNTR_SHIFT                    16
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE0_RD_PNTR_MASK                     0x00030000
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE3_WR_PNTR_SHIFT                    12
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE3_WR_PNTR_MASK                     0x00003000
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE2_WR_PNTR_SHIFT                    8
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE2_WR_PNTR_MASK                     0x00000300
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE1_WR_PNTR_SHIFT                    4
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE1_WR_PNTR_MASK                     0x00000030
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE0_WR_PNTR_SHIFT                    0
#define    DPHY_CSR_PHY_FIFO_PNTRS_BYTE0_WR_PNTR_MASK                     0x00000003

#define DPHY_CSR_DQ_PHY_MISC_CNTRL_OFFSET                                 0x00000048
#define DPHY_CSR_DQ_PHY_MISC_CNTRL_TYPE                                   UInt32
#define DPHY_CSR_DQ_PHY_MISC_CNTRL_RESERVED_MASK                          0xFFFFFFF8
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_SRC_SYNC_DQS_READ_EN_SHIFT          2
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_SRC_SYNC_DQS_READ_EN_MASK           0x00000004
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_DQ_DQS_OEB_OVERRIDE_SHIFT           1
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_DQ_DQS_OEB_OVERRIDE_MASK            0x00000002
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_RDQS_GATE_OVERRIDE_SHIFT            0
#define    DPHY_CSR_DQ_PHY_MISC_CNTRL_RDQS_GATE_OVERRIDE_MASK             0x00000001

#define DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_OFFSET                             0x0000004C
#define DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_TYPE                               UInt32
#define DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_RESERVED_MASK                      0xFFFFF888
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_DQS_DRV_SHIFT                   8
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_DQS_DRV_MASK                    0x00000700
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_DQ_DM_DRV_SHIFT                 4
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_DQ_DM_DRV_MASK                  0x00000070
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_SLEW_SHIFT                      0
#define    DPHY_CSR_DQ_PAD_DRV_SLEW_CNTRL_SLEW_MASK                       0x00000007

#define DPHY_CSR_DQ_PAD_MISC_CNTRL_OFFSET                                 0x00000050
#define DPHY_CSR_DQ_PAD_MISC_CNTRL_TYPE                                   UInt32
#define DPHY_CSR_DQ_PAD_MISC_CNTRL_RESERVED_MASK                          0xFFFFFFC0
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_RT_EN_SHIFT                         5
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_RT_EN_MASK                          0x00000020
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_RT60_SHIFT                          4
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_RT60_MASK                           0x00000010
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_LPWR_RX_SHIFT                       3
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_LPWR_RX_MASK                        0x00000008
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_HCURR_SEL_SHIFT                     2
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_HCURR_SEL_MASK                      0x00000004
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_PDN_DQS_SHIFT                       1
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_PDN_DQS_MASK                        0x00000002
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_PDN_DQ_SHIFT                        0
#define    DPHY_CSR_DQ_PAD_MISC_CNTRL_PDN_DQ_MASK                         0x00000001

#define DPHY_CSR_DQ_PVT_COMP_CNTRL_OFFSET                                 0x00000054
#define DPHY_CSR_DQ_PVT_COMP_CNTRL_TYPE                                   UInt32
#define DPHY_CSR_DQ_PVT_COMP_CNTRL_RESERVED_MASK                          0xFFFFFFCE
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_OFFSET_OP_SHIFT            5
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_OFFSET_OP_MASK             0x00000020
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_OFFSET_EN_SHIFT            4
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_OFFSET_EN_MASK             0x00000010
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_EN_SHIFT                   0
#define    DPHY_CSR_DQ_PVT_COMP_CNTRL_PVT_COMP_EN_MASK                    0x00000001

#define DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_OFFSET                        0x00000058
#define DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_TYPE                          UInt32
#define DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_RESERVED_MASK                 0xFFFFF08E
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_VAL_SHIFT     8
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_VAL_MASK      0x00000F00
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_MODE_SHIFT    4
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_MODE_MASK     0x00000070
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_EN_SHIFT      0
#define    DPHY_CSR_DQ_PVT_COMP_OVERRIDE_CNTRL_PVT_OVERRIDE_EN_MASK       0x00000001

#define DPHY_CSR_DQ_PVT_COMP_STATUS_OFFSET                                0x0000005C
#define DPHY_CSR_DQ_PVT_COMP_STATUS_TYPE                                  UInt32
#define DPHY_CSR_DQ_PVT_COMP_STATUS_RESERVED_MASK                         0xFFFFFFFC
#define    DPHY_CSR_DQ_PVT_COMP_STATUS_PVT_COMP_DONE_SHIFT                1
#define    DPHY_CSR_DQ_PVT_COMP_STATUS_PVT_COMP_DONE_MASK                 0x00000002
#define    DPHY_CSR_DQ_PVT_COMP_STATUS_PVT_COMP_ACK_SHIFT                 0
#define    DPHY_CSR_DQ_PVT_COMP_STATUS_PVT_COMP_ACK_MASK                  0x00000001

#define DPHY_CSR_DQ_PVT_COMP_DEBUG_OFFSET                                 0x00000060
#define DPHY_CSR_DQ_PVT_COMP_DEBUG_TYPE                                   UInt32
#define DPHY_CSR_DQ_PVT_COMP_DEBUG_RESERVED_MASK                          0xFFF088C0
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NCOMP_ENB_SHIFT                 19
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NCOMP_ENB_MASK                  0x00080000
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PCOMP_ENB_SHIFT                 18
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PCOMP_ENB_MASK                  0x00040000
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NDONE_SHIFT                     17
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NDONE_MASK                      0x00020000
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PDONE_SHIFT                     16
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PDONE_MASK                      0x00010000
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NCOMP_CODE_SHIFT                12
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_NCOMP_CODE_MASK                 0x00007000
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PCOMP_CODE_SHIFT                8
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_PCOMP_CODE_MASK                 0x00000700
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_COMP_ERR_SHIFT                  0
#define    DPHY_CSR_DQ_PVT_COMP_DEBUG_PVT_COMP_ERR_MASK                   0x0000003F

#define DPHY_CSR_DQ_PHY_READ_CNTRL_OFFSET                                 0x00000064
#define DPHY_CSR_DQ_PHY_READ_CNTRL_TYPE                                   UInt32
#define DPHY_CSR_DQ_PHY_READ_CNTRL_RESERVED_MASK                          0xFF8C0C0E
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_DQS2CLK_BYP_RESYNC_SHIFT            22
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_DQS2CLK_BYP_RESYNC_MASK             0x00400000
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_DQS2CLK_RESYNC_EDGE_SEL_SHIFT       21
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_DQS2CLK_RESYNC_EDGE_SEL_MASK        0x00200000
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_EN_CLK2DQS_PH_DETECT_SHIFT          20
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_EN_CLK2DQS_PH_DETECT_MASK           0x00100000
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_CLK2DQS_DQS_PH_SHIFT                12
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_CLK2DQS_DQS_PH_MASK                 0x0003F000
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_CLK2DQS_CLK_PH_SHIFT                4
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_CLK2DQS_CLK_PH_MASK                 0x000003F0
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_EN_READ_RECOVERY_SHIFT              0
#define    DPHY_CSR_DQ_PHY_READ_CNTRL_EN_READ_RECOVERY_MASK               0x00000001

#define DPHY_CSR_DQ_PHY_READ_STATUS_OFFSET                                0x00000068
#define DPHY_CSR_DQ_PHY_READ_STATUS_TYPE                                  UInt32
#define DPHY_CSR_DQ_PHY_READ_STATUS_RESERVED_MASK                         0x00000000
#define    DPHY_CSR_DQ_PHY_READ_STATUS_PENDING_DQS_CNTR_SHIFT             24
#define    DPHY_CSR_DQ_PHY_READ_STATUS_PENDING_DQS_CNTR_MASK              0xFF000000
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE3_SHIFT  20
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE3_MASK   0x00F00000
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE2_SHIFT  16
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE2_MASK   0x000F0000
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE1_SHIFT  12
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE1_MASK   0x0000F000
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE0_SHIFT  8
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_SAMPLE_RESULT_BYTE0_MASK   0x00000F00
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_DQS_EDGE_COUNT_SHIFT       4
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_DQS_EDGE_COUNT_MASK        0x000000F0
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE3_SHIFT  3
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE3_MASK   0x00000008
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE2_SHIFT  2
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE2_MASK   0x00000004
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE1_SHIFT  1
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE1_MASK   0x00000002
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE0_SHIFT  0
#define    DPHY_CSR_DQ_PHY_READ_STATUS_CLK2DQS_PH_DETECT_OUT_BYTE0_MASK   0x00000001

#define DPHY_CSR_DQ_SPR0_RW_OFFSET                                        0x0000006C
#define DPHY_CSR_DQ_SPR0_RW_TYPE                                          UInt32
#define DPHY_CSR_DQ_SPR0_RW_RESERVED_MASK                                 0x00000000
#define    DPHY_CSR_DQ_SPR0_RW_SPR0_RW_SHIFT                              0
#define    DPHY_CSR_DQ_SPR0_RW_SPR0_RW_MASK                               0xFFFFFFFF

#define DPHY_CSR_DQ_SPR1_RW_OFFSET                                        0x00000070
#define DPHY_CSR_DQ_SPR1_RW_TYPE                                          UInt32
#define DPHY_CSR_DQ_SPR1_RW_RESERVED_MASK                                 0x00000000
#define    DPHY_CSR_DQ_SPR1_RW_SPR1_RW_SHIFT                              0
#define    DPHY_CSR_DQ_SPR1_RW_SPR1_RW_MASK                               0xFFFFFFFF

#define DPHY_CSR_DQ_SPR_RO_OFFSET                                         0x00000074
#define DPHY_CSR_DQ_SPR_RO_TYPE                                           UInt32
#define DPHY_CSR_DQ_SPR_RO_RESERVED_MASK                                  0x00000000
#define    DPHY_CSR_DQ_SPR_RO_SPR_RO_SHIFT                                0
#define    DPHY_CSR_DQ_SPR_RO_SPR_RO_MASK                                 0xFFFFFFFF

#endif /* __BRCM_RDB_DPHY_CSR_H__ */


