/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_MMSW_H__
#define __BRCM_RDB_MMSW_H__

#define MMSW_ARARB0_OFFSET                                                0x00000408
#define MMSW_ARARB0_TYPE                                                  UInt32
#define MMSW_ARARB0_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB0_AR_ARB0_SHIFT                                      0
#define    MMSW_ARARB0_AR_ARB0_MASK                                       0xFFFFFFFF

#define MMSW_AWARB0_OFFSET                                                0x0000040C
#define MMSW_AWARB0_TYPE                                                  UInt32
#define MMSW_AWARB0_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB0_AW_ARB0_SHIFT                                      0
#define    MMSW_AWARB0_AW_ARB0_MASK                                       0xFFFFFFFF

#define MMSW_ARARB1_OFFSET                                                0x00000418
#define MMSW_ARARB1_TYPE                                                  UInt32
#define MMSW_ARARB1_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB1_AR_ARB1_SHIFT                                      0
#define    MMSW_ARARB1_AR_ARB1_MASK                                       0xFFFFFFFF

#define MMSW_AWARB1_OFFSET                                                0x0000041C
#define MMSW_AWARB1_TYPE                                                  UInt32
#define MMSW_AWARB1_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB1_AW_ARB1_SHIFT                                      0
#define    MMSW_AWARB1_AW_ARB1_MASK                                       0xFFFFFFFF

#define MMSW_ARARB2_OFFSET                                                0x00000428
#define MMSW_ARARB2_TYPE                                                  UInt32
#define MMSW_ARARB2_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB2_AR_ARB2_SHIFT                                      0
#define    MMSW_ARARB2_AR_ARB2_MASK                                       0xFFFFFFFF

#define MMSW_AWARB2_OFFSET                                                0x0000042C
#define MMSW_AWARB2_TYPE                                                  UInt32
#define MMSW_AWARB2_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB2_AW_ARB2_SHIFT                                      0
#define    MMSW_AWARB2_AW_ARB2_MASK                                       0xFFFFFFFF

#define MMSW_ARARB3_OFFSET                                                0x00000438
#define MMSW_ARARB3_TYPE                                                  UInt32
#define MMSW_ARARB3_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB3_AR_ARB3_SHIFT                                      0
#define    MMSW_ARARB3_AR_ARB3_MASK                                       0xFFFFFFFF

#define MMSW_AWARB3_OFFSET                                                0x0000043C
#define MMSW_AWARB3_TYPE                                                  UInt32
#define MMSW_AWARB3_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB3_AW_ARB3_SHIFT                                      0
#define    MMSW_AWARB3_AW_ARB3_MASK                                       0xFFFFFFFF

#define MMSW_ARARB4_OFFSET                                                0x00000448
#define MMSW_ARARB4_TYPE                                                  UInt32
#define MMSW_ARARB4_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB4_AR_ARB4_SHIFT                                      0
#define    MMSW_ARARB4_AR_ARB4_MASK                                       0xFFFFFFFF

#define MMSW_AWARB4_OFFSET                                                0x0000044C
#define MMSW_AWARB4_TYPE                                                  UInt32
#define MMSW_AWARB4_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB4_AW_ARB4_SHIFT                                      0
#define    MMSW_AWARB4_AW_ARB4_MASK                                       0xFFFFFFFF

#define MMSW_ARARB5_OFFSET                                                0x00000458
#define MMSW_ARARB5_TYPE                                                  UInt32
#define MMSW_ARARB5_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB5_AR_ARB5_SHIFT                                      0
#define    MMSW_ARARB5_AR_ARB5_MASK                                       0xFFFFFFFF

#define MMSW_AWARB5_OFFSET                                                0x0000045C
#define MMSW_AWARB5_TYPE                                                  UInt32
#define MMSW_AWARB5_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB5_AW_ARB5_SHIFT                                      0
#define    MMSW_AWARB5_AW_ARB5_MASK                                       0xFFFFFFFF

#define MMSW_ARARB6_OFFSET                                                0x00000468
#define MMSW_ARARB6_TYPE                                                  UInt32
#define MMSW_ARARB6_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB6_AR_ARB6_SHIFT                                      0
#define    MMSW_ARARB6_AR_ARB6_MASK                                       0xFFFFFFFF

#define MMSW_AWARB6_OFFSET                                                0x0000046C
#define MMSW_AWARB6_TYPE                                                  UInt32
#define MMSW_AWARB6_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB6_AW_ARB6_SHIFT                                      0
#define    MMSW_AWARB6_AW_ARB6_MASK                                       0xFFFFFFFF

#define MMSW_ARARB7_OFFSET                                                0x00000478
#define MMSW_ARARB7_TYPE                                                  UInt32
#define MMSW_ARARB7_RESERVED_MASK                                         0x00000000
#define    MMSW_ARARB7_AR_ARB7_SHIFT                                      0
#define    MMSW_ARARB7_AR_ARB7_MASK                                       0xFFFFFFFF

#define MMSW_AWARB7_OFFSET                                                0x0000047C
#define MMSW_AWARB7_TYPE                                                  UInt32
#define MMSW_AWARB7_RESERVED_MASK                                         0x00000000
#define    MMSW_AWARB7_AW_ARB7_SHIFT                                      0
#define    MMSW_AWARB7_AW_ARB7_MASK                                       0xFFFFFFFF

#define MMSW_CONFIG0_OFFSET                                               0x00000FC0
#define MMSW_CONFIG0_TYPE                                                 UInt32
#define MMSW_CONFIG0_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_CONFIG0_SI_PORTS_SHIFT                                    0
#define    MMSW_CONFIG0_SI_PORTS_MASK                                     0x000000FF

#define MMSW_CONFIG1_OFFSET                                               0x00000FC4
#define MMSW_CONFIG1_TYPE                                                 UInt32
#define MMSW_CONFIG1_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_CONFIG1_MI_PORTS_SHIFT                                    0
#define    MMSW_CONFIG1_MI_PORTS_MASK                                     0x000000FF

#define MMSW_PERID0_OFFSET                                                0x00000FE0
#define MMSW_PERID0_TYPE                                                  UInt32
#define MMSW_PERID0_RESERVED_MASK                                         0xFFFFFF00
#define    MMSW_PERID0_PID0_SHIFT                                         0
#define    MMSW_PERID0_PID0_MASK                                          0x000000FF

#define MMSW_PERID1_OFFSET                                                0x00000FE4
#define MMSW_PERID1_TYPE                                                  UInt32
#define MMSW_PERID1_RESERVED_MASK                                         0xFFFFFF00
#define    MMSW_PERID1_PID1_SHIFT                                         0
#define    MMSW_PERID1_PID1_MASK                                          0x000000FF

#define MMSW_PERID2_OFFSET                                                0x00000FE8
#define MMSW_PERID2_TYPE                                                  UInt32
#define MMSW_PERID2_RESERVED_MASK                                         0xFFFFFF00
#define    MMSW_PERID2_PID2_SHIFT                                         0
#define    MMSW_PERID2_PID2_MASK                                          0x000000FF

#define MMSW_PERID3_OFFSET                                                0x00000FEC
#define MMSW_PERID3_TYPE                                                  UInt32
#define MMSW_PERID3_RESERVED_MASK                                         0xFFFFFF00
#define    MMSW_PERID3_PID3_SHIFT                                         0
#define    MMSW_PERID3_PID3_MASK                                          0x000000FF

#define MMSW_COMPID0_OFFSET                                               0x00000FF0
#define MMSW_COMPID0_TYPE                                                 UInt32
#define MMSW_COMPID0_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_COMPID0_CID0_SHIFT                                        0
#define    MMSW_COMPID0_CID0_MASK                                         0x000000FF

#define MMSW_COMPID1_OFFSET                                               0x00000FF4
#define MMSW_COMPID1_TYPE                                                 UInt32
#define MMSW_COMPID1_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_COMPID1_CID1_SHIFT                                        0
#define    MMSW_COMPID1_CID1_MASK                                         0x000000FF

#define MMSW_COMPID2_OFFSET                                               0x00000FF8
#define MMSW_COMPID2_TYPE                                                 UInt32
#define MMSW_COMPID2_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_COMPID2_CID2_SHIFT                                        0
#define    MMSW_COMPID2_CID2_MASK                                         0x000000FF

#define MMSW_COMPID3_OFFSET                                               0x00000FFC
#define MMSW_COMPID3_TYPE                                                 UInt32
#define MMSW_COMPID3_RESERVED_MASK                                        0xFFFFFF00
#define    MMSW_COMPID3_CID3_SHIFT                                        0
#define    MMSW_COMPID3_CID3_MASK                                         0x000000FF

#endif /* __BRCM_RDB_MMSW_H__ */


