/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_AUDIOH_H__
#define __BRCM_RDB_AUDIOH_H__

#define AUDIOH_DSP_DAC_CTL_OFFSET                                         0x00000000
#define AUDIOH_DSP_DAC_CTL_TYPE                                           UInt32
#define AUDIOH_DSP_DAC_CTL_RESERVED_MASK                                  0xFEE080C0
#define    AUDIOH_DSP_DAC_CTL_AUDTX_CLK_PHASE_SHIFT                       24
#define    AUDIOH_DSP_DAC_CTL_AUDTX_CLK_PHASE_MASK                        0x01000000
#define    AUDIOH_DSP_DAC_CTL_VOUT_SDM_MUTE_SHIFT                         20
#define    AUDIOH_DSP_DAC_CTL_VOUT_SDM_MUTE_MASK                          0x00100000
#define    AUDIOH_DSP_DAC_CTL_IHF_SDM_MUTE_L_SHIFT                        19
#define    AUDIOH_DSP_DAC_CTL_IHF_SDM_MUTE_L_MASK                         0x00080000
#define    AUDIOH_DSP_DAC_CTL_IHF_SDM_MUTE_R_SHIFT                        18
#define    AUDIOH_DSP_DAC_CTL_IHF_SDM_MUTE_R_MASK                         0x00040000
#define    AUDIOH_DSP_DAC_CTL_STEREO_SDM_MUTE_L_SHIFT                     17
#define    AUDIOH_DSP_DAC_CTL_STEREO_SDM_MUTE_L_MASK                      0x00020000
#define    AUDIOH_DSP_DAC_CTL_STEREO_SDM_MUTE_R_SHIFT                     16
#define    AUDIOH_DSP_DAC_CTL_STEREO_SDM_MUTE_R_MASK                      0x00010000
#define    AUDIOH_DSP_DAC_CTL_VOUT_SIDETONE_EN_SHIFT                      14
#define    AUDIOH_DSP_DAC_CTL_VOUT_SIDETONE_EN_MASK                       0x00004000
#define    AUDIOH_DSP_DAC_CTL_IHF_SIDETONE_EN_SHIFT                       13
#define    AUDIOH_DSP_DAC_CTL_IHF_SIDETONE_EN_MASK                        0x00002000
#define    AUDIOH_DSP_DAC_CTL_STEREO_SIDETONE_EN_SHIFT                    12
#define    AUDIOH_DSP_DAC_CTL_STEREO_SIDETONE_EN_MASK                     0x00001000
#define    AUDIOH_DSP_DAC_CTL_VIBRA_MUTE_SHIFT                            11
#define    AUDIOH_DSP_DAC_CTL_VIBRA_MUTE_MASK                             0x00000800
#define       AUDIOH_DSP_DAC_CTL_VIBRA_MUTE_CMD_VIBRA_MUTE_DISABLE        0x00000000
#define       AUDIOH_DSP_DAC_CTL_VIBRA_MUTE_CMD_VIBRA_MUTE_ENABLE         0x00000001
#define    AUDIOH_DSP_DAC_CTL_VOUT_MUTE_SHIFT                             10
#define    AUDIOH_DSP_DAC_CTL_VOUT_MUTE_MASK                              0x00000400
#define       AUDIOH_DSP_DAC_CTL_VOUT_MUTE_CMD_VOUT_MUTE_DISABLE          0x00000000
#define       AUDIOH_DSP_DAC_CTL_VOUT_MUTE_CMD_VOUT_MUTE_ENABLE           0x00000001
#define    AUDIOH_DSP_DAC_CTL_IHF_MUTE_SHIFT                              9
#define    AUDIOH_DSP_DAC_CTL_IHF_MUTE_MASK                               0x00000200
#define       AUDIOH_DSP_DAC_CTL_IHF_MUTE_CMD_IHF_MUTE_DISABLE            0x00000000
#define       AUDIOH_DSP_DAC_CTL_IHF_MUTE_CMD_IHF_MUTE_ENABLE             0x00000001
#define    AUDIOH_DSP_DAC_CTL_STEREO_MUTE_SHIFT                           8
#define    AUDIOH_DSP_DAC_CTL_STEREO_MUTE_MASK                            0x00000100
#define       AUDIOH_DSP_DAC_CTL_STEREO_MUTE_CMD_STEREO_MUTE_DISABLE      0x00000000
#define       AUDIOH_DSP_DAC_CTL_STEREO_MUTE_CMD_STEREO_MUTE_ENABLE       0x00000001
#define    AUDIOH_DSP_DAC_CTL_VIBRA_ENABLE_SHIFT                          5
#define    AUDIOH_DSP_DAC_CTL_VIBRA_ENABLE_MASK                           0x00000020
#define       AUDIOH_DSP_DAC_CTL_VIBRA_ENABLE_CMD_START_VIBRA             0x00000001
#define       AUDIOH_DSP_DAC_CTL_VIBRA_ENABLE_CMD_STOP_VIBRA              0x00000000
#define    AUDIOH_DSP_DAC_CTL_VOUT_ENABLE_SHIFT                           4
#define    AUDIOH_DSP_DAC_CTL_VOUT_ENABLE_MASK                            0x00000010
#define       AUDIOH_DSP_DAC_CTL_VOUT_ENABLE_CMD_START_VOUT               0x00000001
#define       AUDIOH_DSP_DAC_CTL_VOUT_ENABLE_CMD_STOP_VOUT                0x00000000
#define    AUDIOH_DSP_DAC_CTL_IHF_L_ENABLE_SHIFT                          3
#define    AUDIOH_DSP_DAC_CTL_IHF_L_ENABLE_MASK                           0x00000008
#define       AUDIOH_DSP_DAC_CTL_IHF_L_ENABLE_CMD_START_IHF_L             0x00000001
#define       AUDIOH_DSP_DAC_CTL_IHF_L_ENABLE_CMD_STOP_IHF_L              0x00000000
#define    AUDIOH_DSP_DAC_CTL_IHF_R_ENABLE_SHIFT                          2
#define    AUDIOH_DSP_DAC_CTL_IHF_R_ENABLE_MASK                           0x00000004
#define       AUDIOH_DSP_DAC_CTL_IHF_R_ENABLE_CMD_START_IHF_R             0x00000001
#define       AUDIOH_DSP_DAC_CTL_IHF_R_ENABLE_CMD_STOP_IHF_R              0x00000000
#define    AUDIOH_DSP_DAC_CTL_STEREO_L_ENABLE_SHIFT                       1
#define    AUDIOH_DSP_DAC_CTL_STEREO_L_ENABLE_MASK                        0x00000002
#define       AUDIOH_DSP_DAC_CTL_STEREO_L_ENABLE_CMD_START_STEREO_L       0x00000001
#define       AUDIOH_DSP_DAC_CTL_STEREO_L_ENABLE_CMD_STOP_STEREO_L        0x00000000
#define    AUDIOH_DSP_DAC_CTL_STEREO_R_ENABLE_SHIFT                       0
#define    AUDIOH_DSP_DAC_CTL_STEREO_R_ENABLE_MASK                        0x00000001
#define       AUDIOH_DSP_DAC_CTL_STEREO_R_ENABLE_CMD_START_STEREO_R       0x00000001
#define       AUDIOH_DSP_DAC_CTL_STEREO_R_ENABLE_CMD_STOP_STEREO_R        0x00000000

#define AUDIOH_DSP_ADC_CTL_OFFSET                                         0x00000002
#define AUDIOH_DSP_ADC_CTL_TYPE                                           UInt32
#define AUDIOH_DSP_ADC_CTL_RESERVED_MASK                                  0xEEE00820
#define    AUDIOH_DSP_ADC_CTL_AMIC_CLK_PHASE_SHIFT                        28
#define    AUDIOH_DSP_ADC_CTL_AMIC_CLK_PHASE_MASK                         0x10000000
#define    AUDIOH_DSP_ADC_CTL_DMIC_SWAP_SHIFT                             24
#define    AUDIOH_DSP_ADC_CTL_DMIC_SWAP_MASK                              0x01000000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_OFF2_SHIFT                         20
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_OFF2_MASK                          0x00100000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_SW_OVERRIDE2_SHIFT                 19
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_SW_OVERRIDE2_MASK                  0x00080000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_OFF1_SHIFT                         18
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_OFF1_MASK                          0x00040000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_SW_OVERRIDE1_SHIFT                 17
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_SW_OVERRIDE1_MASK                  0x00020000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_PHASE2_SHIFT                       16
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_PHASE2_MASK                        0x00010000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_DELAY2_SHIFT                       13
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_DELAY2_MASK                        0x0000E000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_PHASE1_SHIFT                       12
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_PHASE1_MASK                        0x00001000
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_DELAY1_SHIFT                       8
#define    AUDIOH_DSP_ADC_CTL_DMIC_CLK_DELAY1_MASK                        0x00000700
#define    AUDIOH_DSP_ADC_CTL_SIDETONE_EN_SHIFT                           7
#define    AUDIOH_DSP_ADC_CTL_SIDETONE_EN_MASK                            0x00000080
#define       AUDIOH_DSP_ADC_CTL_SIDETONE_EN_CMD_SIDETONE_EN_DISABLE      0x00000000
#define       AUDIOH_DSP_ADC_CTL_SIDETONE_EN_CMD_SIDETONE_EN_ENABLE       0x00000001
#define    AUDIOH_DSP_ADC_CTL_EANC_EN_SHIFT                               6
#define    AUDIOH_DSP_ADC_CTL_EANC_EN_MASK                                0x00000040
#define       AUDIOH_DSP_ADC_CTL_EANC_EN_CMD_EANC_EN_DISABLE              0x00000000
#define       AUDIOH_DSP_ADC_CTL_EANC_EN_CMD_EANC_EN_ENABLE               0x00000001
#define    AUDIOH_DSP_ADC_CTL_AMIC_EN_SHIFT                               4
#define    AUDIOH_DSP_ADC_CTL_AMIC_EN_MASK                                0x00000010
#define       AUDIOH_DSP_ADC_CTL_AMIC_EN_CMD_AMIC_EN_DISABLE              0x00000000
#define       AUDIOH_DSP_ADC_CTL_AMIC_EN_CMD_AMIC_EN_ENABLE               0x00000001
#define    AUDIOH_DSP_ADC_CTL_DMIC4_EN_SHIFT                              3
#define    AUDIOH_DSP_ADC_CTL_DMIC4_EN_MASK                               0x00000008
#define       AUDIOH_DSP_ADC_CTL_DMIC4_EN_CMD_DMIC4_EN_DISABLE            0x00000000
#define       AUDIOH_DSP_ADC_CTL_DMIC4_EN_CMD_DMIC4_EN_ENABLE             0x00000001
#define    AUDIOH_DSP_ADC_CTL_DMIC3_EN_SHIFT                              2
#define    AUDIOH_DSP_ADC_CTL_DMIC3_EN_MASK                               0x00000004
#define       AUDIOH_DSP_ADC_CTL_DMIC3_EN_CMD_DMIC3_EN_DISABLE            0x00000000
#define       AUDIOH_DSP_ADC_CTL_DMIC3_EN_CMD_DMIC3_EN_ENABLE             0x00000001
#define    AUDIOH_DSP_ADC_CTL_DMIC2_EN_SHIFT                              1
#define    AUDIOH_DSP_ADC_CTL_DMIC2_EN_MASK                               0x00000002
#define       AUDIOH_DSP_ADC_CTL_DMIC2_EN_CMD_DMIC2_EN_DISABLE            0x00000000
#define       AUDIOH_DSP_ADC_CTL_DMIC2_EN_CMD_DMIC2_EN_ENABLE             0x00000001
#define    AUDIOH_DSP_ADC_CTL_DMIC1_EN_SHIFT                              0
#define    AUDIOH_DSP_ADC_CTL_DMIC1_EN_MASK                               0x00000001
#define       AUDIOH_DSP_ADC_CTL_DMIC1_EN_CMD_DMIC1_EN_DISABLE            0x00000000
#define       AUDIOH_DSP_ADC_CTL_DMIC1_EN_CMD_DMIC1_EN_ENABLE             0x00000001

#define AUDIOH_DSP_DMA_CTL_OFFSET                                         0x00000004
#define AUDIOH_DSP_DMA_CTL_TYPE                                           UInt32
#define AUDIOH_DSP_DMA_CTL_RESERVED_MASK                                  0xFFFFFC80
#define    AUDIOH_DSP_DMA_CTL_NVINL_DMA_EN_SHIFT                          9
#define    AUDIOH_DSP_DMA_CTL_NVINL_DMA_EN_MASK                           0x00000200
#define       AUDIOH_DSP_DMA_CTL_NVINL_DMA_EN_CMD_NVINL_DMA_EN_DISABLE    0x00000000
#define       AUDIOH_DSP_DMA_CTL_NVINL_DMA_EN_CMD_NVINL_DMA_EN_ENABLE     0x00000001
#define    AUDIOH_DSP_DMA_CTL_VINL_DMA_EN_SHIFT                           8
#define    AUDIOH_DSP_DMA_CTL_VINL_DMA_EN_MASK                            0x00000100
#define       AUDIOH_DSP_DMA_CTL_VINL_DMA_EN_CMD_VINL_DMA_EN_DISABLE      0x00000000
#define       AUDIOH_DSP_DMA_CTL_VINL_DMA_EN_CMD_VINL_DMA_EN_ENABLE       0x00000001
#define    AUDIOH_DSP_DMA_CTL_EANC_DMA_EN_SHIFT                           6
#define    AUDIOH_DSP_DMA_CTL_EANC_DMA_EN_MASK                            0x00000040
#define       AUDIOH_DSP_DMA_CTL_EANC_DMA_EN_CMD_EANC_DMA_EN_DISABLE      0x00000000
#define       AUDIOH_DSP_DMA_CTL_EANC_DMA_EN_CMD_EANC_DMA_EN_ENABLE       0x00000001
#define    AUDIOH_DSP_DMA_CTL_NVINR_DMA_EN_SHIFT                          5
#define    AUDIOH_DSP_DMA_CTL_NVINR_DMA_EN_MASK                           0x00000020
#define       AUDIOH_DSP_DMA_CTL_NVINR_DMA_EN_CMD_NVINR_DMA_EN_DISABLE    0x00000000
#define       AUDIOH_DSP_DMA_CTL_NVINR_DMA_EN_CMD_NVINR_DMA_EN_ENABLE     0x00000001
#define    AUDIOH_DSP_DMA_CTL_VINR_DMA_EN_SHIFT                           4
#define    AUDIOH_DSP_DMA_CTL_VINR_DMA_EN_MASK                            0x00000010
#define       AUDIOH_DSP_DMA_CTL_VINR_DMA_EN_CMD_VINR_DMA_EN_DISABLE      0x00000000
#define       AUDIOH_DSP_DMA_CTL_VINR_DMA_EN_CMD_VINR_DMA_EN_ENABLE       0x00000001
#define    AUDIOH_DSP_DMA_CTL_VIBRA_DMA_EN_SHIFT                          3
#define    AUDIOH_DSP_DMA_CTL_VIBRA_DMA_EN_MASK                           0x00000008
#define       AUDIOH_DSP_DMA_CTL_VIBRA_DMA_EN_CMD_VIBRA_DMA_EN_DISABLE    0x00000000
#define       AUDIOH_DSP_DMA_CTL_VIBRA_DMA_EN_CMD_VIBRA_DMA_EN_ENABLE     0x00000001
#define    AUDIOH_DSP_DMA_CTL_VOUT_DMA_EN_SHIFT                           2
#define    AUDIOH_DSP_DMA_CTL_VOUT_DMA_EN_MASK                            0x00000004
#define       AUDIOH_DSP_DMA_CTL_VOUT_DMA_EN_CMD_VOUT_DMA_EN_DISABLE      0x00000000
#define       AUDIOH_DSP_DMA_CTL_VOUT_DMA_EN_CMD_VOUT_DMA_EN_ENABLE       0x00000001
#define    AUDIOH_DSP_DMA_CTL_IHF_DMA_EN_SHIFT                            1
#define    AUDIOH_DSP_DMA_CTL_IHF_DMA_EN_MASK                             0x00000002
#define       AUDIOH_DSP_DMA_CTL_IHF_DMA_EN_CMD_IHF_DMA_EN_DISABLE        0x00000000
#define       AUDIOH_DSP_DMA_CTL_IHF_DMA_EN_CMD_IHF_DMA_EN_ENABLE         0x00000001
#define    AUDIOH_DSP_DMA_CTL_STEREO_DMA_EN_SHIFT                         0
#define    AUDIOH_DSP_DMA_CTL_STEREO_DMA_EN_MASK                          0x00000001
#define       AUDIOH_DSP_DMA_CTL_STEREO_DMA_EN_CMD_STEREO_DMA_EN_DISABLE  0x00000000
#define       AUDIOH_DSP_DMA_CTL_STEREO_DMA_EN_CMD_STEREO_DMA_EN_ENABLE   0x00000001

#define AUDIOH_DSP_AUDIO_INT_STATUS_OFFSET                                0x00000006
#define AUDIOH_DSP_AUDIO_INT_STATUS_TYPE                                  UInt32
#define AUDIOH_DSP_AUDIO_INT_STATUS_RESERVED_MASK                         0xFFF08080
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVIN_FIFOL_ERR_SHIFT               19
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVIN_FIFOL_ERR_MASK                0x00080000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIN_FIFOL_ERR_SHIFT                18
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIN_FIFOL_ERR_MASK                 0x00040000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVINL_INT_SHIFT                    17
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVINL_INT_MASK                     0x00020000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VINL_INT_SHIFT                     16
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VINL_INT_MASK                      0x00010000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_EANC_FIFO_ERR_SHIFT                14
#define    AUDIOH_DSP_AUDIO_INT_STATUS_EANC_FIFO_ERR_MASK                 0x00004000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVIN_FIFOR_ERR_SHIFT               13
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVIN_FIFOR_ERR_MASK                0x00002000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIN_FIFOR_ERR_SHIFT                12
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIN_FIFOR_ERR_MASK                 0x00001000
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIBRA_FIFO_ERR_SHIFT               11
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIBRA_FIFO_ERR_MASK                0x00000800
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VOUT_FIFO_ERR_SHIFT                10
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VOUT_FIFO_ERR_MASK                 0x00000400
#define    AUDIOH_DSP_AUDIO_INT_STATUS_IHF_FIFO_ERR_SHIFT                 9
#define    AUDIOH_DSP_AUDIO_INT_STATUS_IHF_FIFO_ERR_MASK                  0x00000200
#define    AUDIOH_DSP_AUDIO_INT_STATUS_STEREO_FIFO_ERR_SHIFT              8
#define    AUDIOH_DSP_AUDIO_INT_STATUS_STEREO_FIFO_ERR_MASK               0x00000100
#define    AUDIOH_DSP_AUDIO_INT_STATUS_EANC_INT_SHIFT                     6
#define    AUDIOH_DSP_AUDIO_INT_STATUS_EANC_INT_MASK                      0x00000040
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVINR_INT_SHIFT                    5
#define    AUDIOH_DSP_AUDIO_INT_STATUS_NVINR_INT_MASK                     0x00000020
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VINR_INT_SHIFT                     4
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VINR_INT_MASK                      0x00000010
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIBRA_INT_SHIFT                    3
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VIBRA_INT_MASK                     0x00000008
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VOUT_INT_SHIFT                     2
#define    AUDIOH_DSP_AUDIO_INT_STATUS_VOUT_INT_MASK                      0x00000004
#define    AUDIOH_DSP_AUDIO_INT_STATUS_IHF_INT_SHIFT                      1
#define    AUDIOH_DSP_AUDIO_INT_STATUS_IHF_INT_MASK                       0x00000002
#define    AUDIOH_DSP_AUDIO_INT_STATUS_STEREO_INT_SHIFT                   0
#define    AUDIOH_DSP_AUDIO_INT_STATUS_STEREO_INT_MASK                    0x00000001

#define AUDIOH_DSP_AUDIO_INTC_OFFSET                                      0x00000008
#define AUDIOH_DSP_AUDIO_INTC_TYPE                                        UInt32
#define AUDIOH_DSP_AUDIO_INTC_RESERVED_MASK                               0xFFF08080
#define    AUDIOH_DSP_AUDIO_INTC_NVIN_FIFOL_ERRINT_EN_SHIFT               19
#define    AUDIOH_DSP_AUDIO_INTC_NVIN_FIFOL_ERRINT_EN_MASK                0x00080000
#define    AUDIOH_DSP_AUDIO_INTC_VIN_FIFOL_ERRINT_EN_SHIFT                18
#define    AUDIOH_DSP_AUDIO_INTC_VIN_FIFOL_ERRINT_EN_MASK                 0x00040000
#define    AUDIOH_DSP_AUDIO_INTC_NVINL_INTEN_SHIFT                        17
#define    AUDIOH_DSP_AUDIO_INTC_NVINL_INTEN_MASK                         0x00020000
#define       AUDIOH_DSP_AUDIO_INTC_NVINL_INTEN_CMD_NVINL_INT_DISABLE     0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_NVINL_INTEN_CMD_NVINL_INT_ENABLE      0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_VINL_INTEN_SHIFT                         16
#define    AUDIOH_DSP_AUDIO_INTC_VINL_INTEN_MASK                          0x00010000
#define       AUDIOH_DSP_AUDIO_INTC_VINL_INTEN_CMD_VINL_INT_DISABLE       0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_VINL_INTEN_CMD_VINL_INT_ENABLE        0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_EANC_FIFO_ERRINT_EN_SHIFT                14
#define    AUDIOH_DSP_AUDIO_INTC_EANC_FIFO_ERRINT_EN_MASK                 0x00004000
#define    AUDIOH_DSP_AUDIO_INTC_NVIN_FIFOR_ERRINT_EN_SHIFT               13
#define    AUDIOH_DSP_AUDIO_INTC_NVIN_FIFOR_ERRINT_EN_MASK                0x00002000
#define    AUDIOH_DSP_AUDIO_INTC_VIN_FIFOR_ERRINT_EN_SHIFT                12
#define    AUDIOH_DSP_AUDIO_INTC_VIN_FIFOR_ERRINT_EN_MASK                 0x00001000
#define    AUDIOH_DSP_AUDIO_INTC_VIBRA_FIFO_ERRINT_EN_SHIFT               11
#define    AUDIOH_DSP_AUDIO_INTC_VIBRA_FIFO_ERRINT_EN_MASK                0x00000800
#define    AUDIOH_DSP_AUDIO_INTC_VOUT_FIFO_ERRINT_EN_SHIFT                10
#define    AUDIOH_DSP_AUDIO_INTC_VOUT_FIFO_ERRINT_EN_MASK                 0x00000400
#define    AUDIOH_DSP_AUDIO_INTC_IHF_FIFO_ERRINT_EN_SHIFT                 9
#define    AUDIOH_DSP_AUDIO_INTC_IHF_FIFO_ERRINT_EN_MASK                  0x00000200
#define    AUDIOH_DSP_AUDIO_INTC_STEREO_FIFO_ERRINT_EN_SHIFT              8
#define    AUDIOH_DSP_AUDIO_INTC_STEREO_FIFO_ERRINT_EN_MASK               0x00000100
#define    AUDIOH_DSP_AUDIO_INTC_EANC_INTEN_SHIFT                         6
#define    AUDIOH_DSP_AUDIO_INTC_EANC_INTEN_MASK                          0x00000040
#define       AUDIOH_DSP_AUDIO_INTC_EANC_INTEN_CMD_EANC_INT_DISABLE       0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_EANC_INTEN_CMD_EANC_INT_ENABLE        0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_NVINR_INTEN_SHIFT                        5
#define    AUDIOH_DSP_AUDIO_INTC_NVINR_INTEN_MASK                         0x00000020
#define       AUDIOH_DSP_AUDIO_INTC_NVINR_INTEN_CMD_NVINR_INT_DISABLE     0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_NVINR_INTEN_CMD_NVINR_INT_ENABLE      0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_VINR_INTEN_SHIFT                         4
#define    AUDIOH_DSP_AUDIO_INTC_VINR_INTEN_MASK                          0x00000010
#define       AUDIOH_DSP_AUDIO_INTC_VINR_INTEN_CMD_VINR_INT_DISABLE       0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_VINR_INTEN_CMD_VINR_INT_ENABLE        0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_VIBRA_INTEN_SHIFT                        3
#define    AUDIOH_DSP_AUDIO_INTC_VIBRA_INTEN_MASK                         0x00000008
#define       AUDIOH_DSP_AUDIO_INTC_VIBRA_INTEN_CMD_VIBRA_INT_DISABLE     0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_VIBRA_INTEN_CMD_VIBRA_INT_ENABLE      0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_VOUT_INTEN_SHIFT                         2
#define    AUDIOH_DSP_AUDIO_INTC_VOUT_INTEN_MASK                          0x00000004
#define       AUDIOH_DSP_AUDIO_INTC_VOUT_INTEN_CMD_VOUT_INT_DISABLE       0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_VOUT_INTEN_CMD_VOUT_INT_ENABLE        0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_IHF_INTEN_SHIFT                          1
#define    AUDIOH_DSP_AUDIO_INTC_IHF_INTEN_MASK                           0x00000002
#define       AUDIOH_DSP_AUDIO_INTC_IHF_INTEN_CMD_IHF_INT_DISABLE         0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_IHF_INTEN_CMD_IHF_INT_ENABLE          0x00000001
#define    AUDIOH_DSP_AUDIO_INTC_STEREO_INTEN_SHIFT                       0
#define    AUDIOH_DSP_AUDIO_INTC_STEREO_INTEN_MASK                        0x00000001
#define       AUDIOH_DSP_AUDIO_INTC_STEREO_INTEN_CMD_STEREO_INT_DISABLE   0x00000000
#define       AUDIOH_DSP_AUDIO_INTC_STEREO_INTEN_CMD_STEREO_INT_ENABLE    0x00000001

#define AUDIOH_DSP_AUDIO_API_OFFSET                                       0x0000000A
#define AUDIOH_DSP_AUDIO_API_TYPE                                         UInt32
#define AUDIOH_DSP_AUDIO_API_RESERVED_MASK                                0xFFFFF8E0
#define    AUDIOH_DSP_AUDIO_API_VOUT_API_ATT_SHIFT                        10
#define    AUDIOH_DSP_AUDIO_API_VOUT_API_ATT_MASK                         0x00000400
#define    AUDIOH_DSP_AUDIO_API_IHF_API_ATT_SHIFT                         9
#define    AUDIOH_DSP_AUDIO_API_IHF_API_ATT_MASK                          0x00000200
#define    AUDIOH_DSP_AUDIO_API_STEREO_API_ATT_SHIFT                      8
#define    AUDIOH_DSP_AUDIO_API_STEREO_API_ATT_MASK                       0x00000100
#define    AUDIOH_DSP_AUDIO_API_VIN_API_EN_SHIFT                          4
#define    AUDIOH_DSP_AUDIO_API_VIN_API_EN_MASK                           0x00000010
#define    AUDIOH_DSP_AUDIO_API_VIBRA_API_EN_SHIFT                        3
#define    AUDIOH_DSP_AUDIO_API_VIBRA_API_EN_MASK                         0x00000008
#define    AUDIOH_DSP_AUDIO_API_VOUT_API_EN_SHIFT                         2
#define    AUDIOH_DSP_AUDIO_API_VOUT_API_EN_MASK                          0x00000004
#define    AUDIOH_DSP_AUDIO_API_IHF_API_EN_SHIFT                          1
#define    AUDIOH_DSP_AUDIO_API_IHF_API_EN_MASK                           0x00000002
#define    AUDIOH_DSP_AUDIO_API_STEREO_API_EN_SHIFT                       0
#define    AUDIOH_DSP_AUDIO_API_STEREO_API_EN_MASK                        0x00000001

#define AUDIOH_DSP_STEREO_FIFO_CTRL_OFFSET                                0x00000010
#define AUDIOH_DSP_STEREO_FIFO_CTRL_TYPE                                  UInt32
#define AUDIOH_DSP_STEREO_FIFO_CTRL_RESERVED_MASK                         0xFFFF8000
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_MONO_SHIFT             14
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_MONO_MASK              0x00004000
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_24BIT_SHIFT            13
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_24BIT_MASK             0x00002000
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_PACK_SHIFT             12
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_PACK_MASK              0x00001000
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_THRES2_SHIFT           8
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_THRES2_MASK            0x00000F00
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_CLEAR_SHIFT            7
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_CLEAR_MASK             0x00000080
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_THRES_SHIFT            0
#define    AUDIOH_DSP_STEREO_FIFO_CTRL_STEREO_FIFO_THRES_MASK             0x0000007F

#define AUDIOH_DSP_IHF_FIFO_CTRL_OFFSET                                   0x00000012
#define AUDIOH_DSP_IHF_FIFO_CTRL_TYPE                                     UInt32
#define AUDIOH_DSP_IHF_FIFO_CTRL_RESERVED_MASK                            0xFFFF8000
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_MONO_SHIFT                   14
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_MONO_MASK                    0x00004000
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_24BIT_SHIFT                  13
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_24BIT_MASK                   0x00002000
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_PACK_SHIFT                   12
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_PACK_MASK                    0x00001000
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_THRES2_SHIFT                 8
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_THRES2_MASK                  0x00000F00
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_CLEAR_SHIFT                  7
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_CLEAR_MASK                   0x00000080
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_THRES_SHIFT                  0
#define    AUDIOH_DSP_IHF_FIFO_CTRL_IHF_FIFO_THRES_MASK                   0x0000007F

#define AUDIOH_DSP_VOUT_FIFO_CTRL_OFFSET                                  0x00000014
#define AUDIOH_DSP_VOUT_FIFO_CTRL_TYPE                                    UInt32
#define AUDIOH_DSP_VOUT_FIFO_CTRL_RESERVED_MASK                           0xFFFFC000
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_24BIT_SHIFT                13
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_24BIT_MASK                 0x00002000
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_PACK_SHIFT                 12
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_PACK_MASK                  0x00001000
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_THRES2_SHIFT               8
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_THRES2_MASK                0x00000F00
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_CLEAR_SHIFT                7
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_CLEAR_MASK                 0x00000080
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_THRES_SHIFT                0
#define    AUDIOH_DSP_VOUT_FIFO_CTRL_VOUT_FIFO_THRES_MASK                 0x0000007F

#define AUDIOH_DSP_VIBRA_FIFO_CTRL_OFFSET                                 0x00000016
#define AUDIOH_DSP_VIBRA_FIFO_CTRL_TYPE                                   UInt32
#define AUDIOH_DSP_VIBRA_FIFO_CTRL_RESERVED_MASK                          0xFFFE8000
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_SHIFT             16
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_MASK              0x00010000
#define       AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_CMD_VIBRA_FIFO_BYPASS_DISABLE 0x00000000
#define       AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_CMD_VIBRA_FIFO_BYPASS_ENABLE 0x00000001
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_API_ATTENUATE_ENABLE_SHIFT    14
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_API_ATTENUATE_ENABLE_MASK     0x00004000
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_24BIT_SHIFT              13
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_24BIT_MASK               0x00002000
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_PACK_SHIFT               12
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_PACK_MASK                0x00001000
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES2_SHIFT             8
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES2_MASK              0x00000F00
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_CLEAR_SHIFT              7
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_CLEAR_MASK               0x00000080
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES_SHIFT              0
#define    AUDIOH_DSP_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES_MASK               0x0000007F

#define AUDIOH_DSP_EANC_FIFO_CTRL_OFFSET                                  0x00000018
#define AUDIOH_DSP_EANC_FIFO_CTRL_TYPE                                    UInt32
#define AUDIOH_DSP_EANC_FIFO_CTRL_RESERVED_MASK                           0xFFFFC000
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_24BIT_SHIFT                13
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_24BIT_MASK                 0x00002000
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_PACK_SHIFT                 12
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_PACK_MASK                  0x00001000
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_THRES2_SHIFT               8
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_THRES2_MASK                0x00000F00
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_CLEAR_SHIFT                7
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_CLEAR_MASK                 0x00000080
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_THRES_SHIFT                0
#define    AUDIOH_DSP_EANC_FIFO_CTRL_EANC_FIFO_THRES_MASK                 0x0000007F

#define AUDIOH_DSP_VIN_FIFO_CTRL_OFFSET                                   0x0000001A
#define AUDIOH_DSP_VIN_FIFO_CTRL_TYPE                                     UInt32
#define AUDIOH_DSP_VIN_FIFO_CTRL_RESERVED_MASK                            0xFFFE8000
#define    AUDIOH_DSP_VIN_FIFO_CTRL_SIDETONE_SEL_SHIFT                    16
#define    AUDIOH_DSP_VIN_FIFO_CTRL_SIDETONE_SEL_MASK                     0x00010000
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_MONO_SHIFT                   14
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_MONO_MASK                    0x00004000
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_24BIT_SHIFT                  13
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_24BIT_MASK                   0x00002000
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_PACK_SHIFT                   12
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_PACK_MASK                    0x00001000
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_THRES2_SHIFT                 8
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_THRES2_MASK                  0x00000F00
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_CLEAR_SHIFT                  7
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_CLEAR_MASK                   0x00000080
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_THRES_SHIFT                  0
#define    AUDIOH_DSP_VIN_FIFO_CTRL_VIN_FIFO_THRES_MASK                   0x0000007F

#define AUDIOH_DSP_NVIN_FIFO_CTRL_OFFSET                                  0x0000001C
#define AUDIOH_DSP_NVIN_FIFO_CTRL_TYPE                                    UInt32
#define AUDIOH_DSP_NVIN_FIFO_CTRL_RESERVED_MASK                           0xFFFC8000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_SIDETONE_SEL_R_SHIFT                 17
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_SIDETONE_SEL_R_MASK                  0x00020000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_SIDETONE_SEL_L_SHIFT                 16
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_SIDETONE_SEL_L_MASK                  0x00010000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_MONO_SHIFT                 14
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_MONO_MASK                  0x00004000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_24BIT_SHIFT                13
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_24BIT_MASK                 0x00002000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_PACK_SHIFT                 12
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_PACK_MASK                  0x00001000
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_THRES2_SHIFT               8
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_THRES2_MASK                0x00000F00
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_CLEAR_SHIFT                7
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_CLEAR_MASK                 0x00000080
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_THRES_SHIFT                0
#define    AUDIOH_DSP_NVIN_FIFO_CTRL_NVIN_FIFO_THRES_MASK                 0x0000007F

#define AUDIOH_DSP_STEREO_FIFO_STATUS_OFFSET                              0x0000001E
#define AUDIOH_DSP_STEREO_FIFO_STATUS_TYPE                                UInt32
#define AUDIOH_DSP_STEREO_FIFO_STATUS_RESERVED_MASK                       0xFFFFE000
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_FULL_SHIFT      12
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_FULL_MASK       0x00001000
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_EMPTY_SHIFT     11
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_EMPTY_MASK      0x00000800
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_OVF_SHIFT            10
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_OVF_MASK             0x00000400
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_UDF_SHIFT            9
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_UDF_MASK             0x00000200
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_THRESMET_SHIFT       8
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_THRESMET_MASK        0x00000100
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_ENTRY_SHIFT          0
#define    AUDIOH_DSP_STEREO_FIFO_STATUS_STEREO_FIFO_ENTRY_MASK           0x000000FF

#define AUDIOH_DSP_IHF_FIFO_STATUS_OFFSET                                 0x00000020
#define AUDIOH_DSP_IHF_FIFO_STATUS_TYPE                                   UInt32
#define AUDIOH_DSP_IHF_FIFO_STATUS_RESERVED_MASK                          0xFFFFE000
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_NEAR_FULL_SHIFT            12
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_NEAR_FULL_MASK             0x00001000
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_NEAR_EMPTY_SHIFT           11
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_NEAR_EMPTY_MASK            0x00000800
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_OVF_SHIFT                  10
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_OVF_MASK                   0x00000400
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_UDF_SHIFT                  9
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_UDF_MASK                   0x00000200
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_THRESMET_SHIFT             8
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_THRESMET_MASK              0x00000100
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_ENTRY_SHIFT                0
#define    AUDIOH_DSP_IHF_FIFO_STATUS_IHF_FIFO_ENTRY_MASK                 0x000000FF

#define AUDIOH_DSP_VOUT_FIFO_STATUS_OFFSET                                0x00000022
#define AUDIOH_DSP_VOUT_FIFO_STATUS_TYPE                                  UInt32
#define AUDIOH_DSP_VOUT_FIFO_STATUS_RESERVED_MASK                         0xFFFFE000
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_FULL_SHIFT          12
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_FULL_MASK           0x00001000
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_EMPTY_SHIFT         11
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_EMPTY_MASK          0x00000800
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_OVF_SHIFT                10
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_OVF_MASK                 0x00000400
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_UDF_SHIFT                9
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_UDF_MASK                 0x00000200
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_THRESMET_SHIFT           8
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_THRESMET_MASK            0x00000100
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_ENTRY_SHIFT              0
#define    AUDIOH_DSP_VOUT_FIFO_STATUS_VOUT_FIFO_ENTRY_MASK               0x000000FF

#define AUDIOH_DSP_VIBRA_FIFO_STATUS_OFFSET                               0x00000024
#define AUDIOH_DSP_VIBRA_FIFO_STATUS_TYPE                                 UInt32
#define AUDIOH_DSP_VIBRA_FIFO_STATUS_RESERVED_MASK                        0xFFFFE000
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_FULL_SHIFT        12
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_FULL_MASK         0x00001000
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_EMPTY_SHIFT       11
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_EMPTY_MASK        0x00000800
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_OVF_SHIFT              10
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_OVF_MASK               0x00000400
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_UDF_SHIFT              9
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_UDF_MASK               0x00000200
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_THRESMET_SHIFT         8
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_THRESMET_MASK          0x00000100
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_ENTRY_SHIFT            0
#define    AUDIOH_DSP_VIBRA_FIFO_STATUS_VIBRA_FIFO_ENTRY_MASK             0x000000FF

#define AUDIOH_DSP_EANC_FIFO_STATUS_OFFSET                                0x00000026
#define AUDIOH_DSP_EANC_FIFO_STATUS_TYPE                                  UInt32
#define AUDIOH_DSP_EANC_FIFO_STATUS_RESERVED_MASK                         0xFFFFE000
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_NEAR_FULL_SHIFT          12
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_NEAR_FULL_MASK           0x00001000
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_NEAR_EMPTY_SHIFT         11
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_NEAR_EMPTY_MASK          0x00000800
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_OVF_SHIFT                10
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_OVF_MASK                 0x00000400
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_UDF_SHIFT                9
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_UDF_MASK                 0x00000200
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_THRESMET_SHIFT           8
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_THRESMET_MASK            0x00000100
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_ENTRY_SHIFT              0
#define    AUDIOH_DSP_EANC_FIFO_STATUS_EANC_FIFO_ENTRY_MASK               0x000000FF

#define AUDIOH_DSP_VIN_FIFOR_STATUS_OFFSET                                0x00000028
#define AUDIOH_DSP_VIN_FIFOR_STATUS_TYPE                                  UInt32
#define AUDIOH_DSP_VIN_FIFOR_STATUS_RESERVED_MASK                         0xFFFFE000
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_FULL_SHIFT          12
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_FULL_MASK           0x00001000
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_EMPTY_SHIFT         11
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_EMPTY_MASK          0x00000800
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_OVF_SHIFT                10
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_OVF_MASK                 0x00000400
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_UDF_SHIFT                9
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_UDF_MASK                 0x00000200
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_THRESMET_SHIFT           8
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_THRESMET_MASK            0x00000100
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_ENTRY_SHIFT              0
#define    AUDIOH_DSP_VIN_FIFOR_STATUS_VIN_FIFOR_ENTRY_MASK               0x000000FF

#define AUDIOH_DSP_NVIN_FIFOR_STATUS_OFFSET                               0x0000002A
#define AUDIOH_DSP_NVIN_FIFOR_STATUS_TYPE                                 UInt32
#define AUDIOH_DSP_NVIN_FIFOR_STATUS_RESERVED_MASK                        0xFFFFE000
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_FULL_SHIFT        12
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_FULL_MASK         0x00001000
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_EMPTY_SHIFT       11
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_EMPTY_MASK        0x00000800
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_OVF_SHIFT              10
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_OVF_MASK               0x00000400
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_UDF_SHIFT              9
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_UDF_MASK               0x00000200
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_THRESMET_SHIFT         8
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_THRESMET_MASK          0x00000100
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_ENTRY_SHIFT            0
#define    AUDIOH_DSP_NVIN_FIFOR_STATUS_NVIN_FIFOR_ENTRY_MASK             0x000000FF

#define AUDIOH_DSP_VIN_FIFOL_STATUS_OFFSET                                0x0000002C
#define AUDIOH_DSP_VIN_FIFOL_STATUS_TYPE                                  UInt32
#define AUDIOH_DSP_VIN_FIFOL_STATUS_RESERVED_MASK                         0xFFFFE000
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_FULL_SHIFT          12
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_FULL_MASK           0x00001000
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_EMPTY_SHIFT         11
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_EMPTY_MASK          0x00000800
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_OVF_SHIFT                10
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_OVF_MASK                 0x00000400
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_UDF_SHIFT                9
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_UDF_MASK                 0x00000200
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_THRESMET_SHIFT           8
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_THRESMET_MASK            0x00000100
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_ENTRY_SHIFT              0
#define    AUDIOH_DSP_VIN_FIFOL_STATUS_VIN_FIFOL_ENTRY_MASK               0x000000FF

#define AUDIOH_DSP_NVIN_FIFOL_STATUS_OFFSET                               0x0000002E
#define AUDIOH_DSP_NVIN_FIFOL_STATUS_TYPE                                 UInt32
#define AUDIOH_DSP_NVIN_FIFOL_STATUS_RESERVED_MASK                        0xFFFFE000
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_FULL_SHIFT        12
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_FULL_MASK         0x00001000
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_EMPTY_SHIFT       11
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_EMPTY_MASK        0x00000800
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_OVF_SHIFT              10
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_OVF_MASK               0x00000400
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_UDF_SHIFT              9
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_UDF_MASK               0x00000200
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_THRESMET_SHIFT         8
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_THRESMET_MASK          0x00000100
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_ENTRY_SHIFT            0
#define    AUDIOH_DSP_NVIN_FIFOL_STATUS_NVIN_FIFOL_ENTRY_MASK             0x000000FF

#define AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_OFFSET                             0x00000030
#define AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_TYPE                               UInt32
#define AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_RESERVED_MASK                      0xFFFFFEFE
#define    AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_FIFO_GLOBAL_CLEAR_SHIFT         8
#define    AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_FIFO_GLOBAL_CLEAR_MASK          0x00000100
#define    AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_GLOABAL_EN_SHIFT                0
#define    AUDIOH_DSP_ADCPATH_GLOBAL_CTRL_GLOABAL_EN_MASK                 0x00000001

#define AUDIOH_DSP_VIN_FILTER_CTRL_OFFSET                                 0x0000003A
#define AUDIOH_DSP_VIN_FILTER_CTRL_TYPE                                   UInt32
#define AUDIOH_DSP_VIN_FILTER_CTRL_RESERVED_MASK                          0x80008000
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC2_CIC_BIT_SEL_SHIFT             29
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC2_CIC_BIT_SEL_MASK              0x60000000
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC2_CIC_FINE_SCL_SHIFT            16
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC2_CIC_FINE_SCL_MASK             0x1FFF0000
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC1_CIC_BIT_SEL_SHIFT             13
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC1_CIC_BIT_SEL_MASK              0x00006000
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC1_CIC_FINE_SCL_SHIFT            0
#define    AUDIOH_DSP_VIN_FILTER_CTRL_DMIC1_CIC_FINE_SCL_MASK             0x00001FFF

#define AUDIOH_DSP_NVIN_FILTER_CTRL_OFFSET                                0x0000003C
#define AUDIOH_DSP_NVIN_FILTER_CTRL_TYPE                                  UInt32
#define AUDIOH_DSP_NVIN_FILTER_CTRL_RESERVED_MASK                         0x80008000
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC4_CIC_BIT_SEL_SHIFT            29
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC4_CIC_BIT_SEL_MASK             0x60000000
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC4_CIC_FINE_SCL_SHIFT           16
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC4_CIC_FINE_SCL_MASK            0x1FFF0000
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC3_CIC_BIT_SEL_SHIFT            13
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC3_CIC_BIT_SEL_MASK             0x00006000
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC3_CIC_FINE_SCL_SHIFT           0
#define    AUDIOH_DSP_NVIN_FILTER_CTRL_DMIC3_CIC_FINE_SCL_MASK            0x00001FFF

#define AUDIOH_DSP_LOOPBACK_CTRL_OFFSET                                   0x0000003E
#define AUDIOH_DSP_LOOPBACK_CTRL_TYPE                                     UInt32
#define AUDIOH_DSP_LOOPBACK_CTRL_RESERVED_MASK                            0xFFFC0208
#define    AUDIOH_DSP_LOOPBACK_CTRL_ENABLE_DIG_TX_CLK_SHIFT               17
#define    AUDIOH_DSP_LOOPBACK_CTRL_ENABLE_DIG_TX_CLK_MASK                0x00020000
#define    AUDIOH_DSP_LOOPBACK_CTRL_DISABLE_ANA_TX_CLK_SHIFT              16
#define    AUDIOH_DSP_LOOPBACK_CTRL_DISABLE_ANA_TX_CLK_MASK               0x00010000
#define    AUDIOH_DSP_LOOPBACK_CTRL_DISABLE_ANA_RX_CLK_SHIFT              15
#define    AUDIOH_DSP_LOOPBACK_CTRL_DISABLE_ANA_RX_CLK_MASK               0x00008000
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_SEL_SHIFT            12
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_SEL_MASK             0x00007000
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_9LEVEL_SHIFT         11
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_9LEVEL_MASK          0x00000800
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_EN_SHIFT             10
#define    AUDIOH_DSP_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_EN_MASK              0x00000400
#define    AUDIOH_DSP_LOOPBACK_CTRL_VOUT_LOOPBACK_SHIFT                   8
#define    AUDIOH_DSP_LOOPBACK_CTRL_VOUT_LOOPBACK_MASK                    0x00000100
#define    AUDIOH_DSP_LOOPBACK_CTRL_IHF_LOOPBACK_R_SHIFT                  7
#define    AUDIOH_DSP_LOOPBACK_CTRL_IHF_LOOPBACK_R_MASK                   0x00000080
#define    AUDIOH_DSP_LOOPBACK_CTRL_IHF_LOOPBACK_L_SHIFT                  6
#define    AUDIOH_DSP_LOOPBACK_CTRL_IHF_LOOPBACK_L_MASK                   0x00000040
#define    AUDIOH_DSP_LOOPBACK_CTRL_STEREO_LOOPBACK_R_SHIFT               5
#define    AUDIOH_DSP_LOOPBACK_CTRL_STEREO_LOOPBACK_R_MASK                0x00000020
#define    AUDIOH_DSP_LOOPBACK_CTRL_STEREO_LOOPBACK_L_SHIFT               4
#define    AUDIOH_DSP_LOOPBACK_CTRL_STEREO_LOOPBACK_L_MASK                0x00000010
#define    AUDIOH_DSP_LOOPBACK_CTRL_ADC_LOOPBACK_SAMPLE_SHIFT             1
#define    AUDIOH_DSP_LOOPBACK_CTRL_ADC_LOOPBACK_SAMPLE_MASK              0x00000006
#define    AUDIOH_DSP_LOOPBACK_CTRL_LOOPBACK_EN_SHIFT                     0
#define    AUDIOH_DSP_LOOPBACK_CTRL_LOOPBACK_EN_MASK                      0x00000001

#define AUDIOH_DSP_VIBRA_SDM_CTRL_OFFSET                                  0x00000040
#define AUDIOH_DSP_VIBRA_SDM_CTRL_TYPE                                    UInt32
#define AUDIOH_DSP_VIBRA_SDM_CTRL_RESERVED_MASK                           0xFFFFFFC0
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_SAMPLE_EDGE_SHIFT                5
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_SAMPLE_EDGE_MASK                 0x00000020
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_FLTS_SHIFT                       4
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_FLTS_MASK                        0x00000010
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_POP_SUP_SHIFT                    2
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_POP_SUP_MASK                     0x0000000C
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_BYPASS_SHIFT                     1
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_BYPASS_MASK                      0x00000002
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_PWDDIG_SHIFT                     0
#define    AUDIOH_DSP_VIBRA_SDM_CTRL_SDM_PWDDIG_MASK                      0x00000001

#define AUDIOH_DSP_VOUT_SDM_COEF_OFFSET                                   0x00000050
#define AUDIOH_DSP_VOUT_SDM_COEF_TYPE                                     UInt32
#define AUDIOH_DSP_VOUT_SDM_COEF_RESERVED_MASK                            0x00000000
#define    AUDIOH_DSP_VOUT_SDM_COEF_VOUT_SDM_COEF1_SHIFT                  16
#define    AUDIOH_DSP_VOUT_SDM_COEF_VOUT_SDM_COEF1_MASK                   0xFFFF0000
#define    AUDIOH_DSP_VOUT_SDM_COEF_VOUT_SDM_COEF0_SHIFT                  0
#define    AUDIOH_DSP_VOUT_SDM_COEF_VOUT_SDM_COEF0_MASK                   0x0000FFFF

#define AUDIOH_DSP_STEREO_SDM_COEF_L_OFFSET                               0x00000052
#define AUDIOH_DSP_STEREO_SDM_COEF_L_TYPE                                 UInt32
#define AUDIOH_DSP_STEREO_SDM_COEF_L_RESERVED_MASK                        0x00000000
#define    AUDIOH_DSP_STEREO_SDM_COEF_L_STEREO_SDM_COEF1_L_SHIFT          16
#define    AUDIOH_DSP_STEREO_SDM_COEF_L_STEREO_SDM_COEF1_L_MASK           0xFFFF0000
#define    AUDIOH_DSP_STEREO_SDM_COEF_L_STEREO_SDM_COEF0_L_SHIFT          0
#define    AUDIOH_DSP_STEREO_SDM_COEF_L_STEREO_SDM_COEF0_L_MASK           0x0000FFFF

#define AUDIOH_DSP_STEREO_SDM_COEF_R_OFFSET                               0x00000054
#define AUDIOH_DSP_STEREO_SDM_COEF_R_TYPE                                 UInt32
#define AUDIOH_DSP_STEREO_SDM_COEF_R_RESERVED_MASK                        0x00000000
#define    AUDIOH_DSP_STEREO_SDM_COEF_R_STEREO_SDM_COEF1_R_SHIFT          16
#define    AUDIOH_DSP_STEREO_SDM_COEF_R_STEREO_SDM_COEF1_R_MASK           0xFFFF0000
#define    AUDIOH_DSP_STEREO_SDM_COEF_R_STEREO_SDM_COEF0_R_SHIFT          0
#define    AUDIOH_DSP_STEREO_SDM_COEF_R_STEREO_SDM_COEF0_R_MASK           0x0000FFFF

#define AUDIOH_DSP_IHF_SDM_COEF_L_OFFSET                                  0x00000056
#define AUDIOH_DSP_IHF_SDM_COEF_L_TYPE                                    UInt32
#define AUDIOH_DSP_IHF_SDM_COEF_L_RESERVED_MASK                           0x00000000
#define    AUDIOH_DSP_IHF_SDM_COEF_L_IHF_SDM_COEF1_L_SHIFT                16
#define    AUDIOH_DSP_IHF_SDM_COEF_L_IHF_SDM_COEF1_L_MASK                 0xFFFF0000
#define    AUDIOH_DSP_IHF_SDM_COEF_L_IHF_SDM_COEF0_L_SHIFT                0
#define    AUDIOH_DSP_IHF_SDM_COEF_L_IHF_SDM_COEF0_L_MASK                 0x0000FFFF

#define AUDIOH_DSP_IHF_SDM_COEF_R_OFFSET                                  0x00000058
#define AUDIOH_DSP_IHF_SDM_COEF_R_TYPE                                    UInt32
#define AUDIOH_DSP_IHF_SDM_COEF_R_RESERVED_MASK                           0x00000000
#define    AUDIOH_DSP_IHF_SDM_COEF_R_IHF_SDM_COEF1_R_SHIFT                16
#define    AUDIOH_DSP_IHF_SDM_COEF_R_IHF_SDM_COEF1_R_MASK                 0xFFFF0000
#define    AUDIOH_DSP_IHF_SDM_COEF_R_IHF_SDM_COEF0_R_SHIFT                0
#define    AUDIOH_DSP_IHF_SDM_COEF_R_IHF_SDM_COEF0_R_MASK                 0x0000FFFF

#define AUDIOH_DSP_SDM_DITHER_CTL_OFFSET                                  0x0000005A
#define AUDIOH_DSP_SDM_DITHER_CTL_TYPE                                    UInt32
#define AUDIOH_DSP_SDM_DITHER_CTL_RESERVED_MASK                           0xFE000000
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DRSUPPLY_DELAY_SHIFT          20
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DRSUPPLY_DELAY_MASK           0x01F00000
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_STRENGTH_SHIFT           18
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_STRENGTH_MASK            0x000C0000
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_NOISE_GAIN_SHIFT         17
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_NOISE_GAIN_MASK          0x00020000
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_EN_SHIFT                 16
#define    AUDIOH_DSP_SDM_DITHER_CTL_VOUT_DITHER_EN_MASK                  0x00010000
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_R_SHIFT          14
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_R_MASK           0x0000C000
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_R_SHIFT        13
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_R_MASK         0x00002000
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_EN_R_SHIFT                12
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_EN_R_MASK                 0x00001000
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_L_SHIFT          10
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_L_MASK           0x00000C00
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_L_SHIFT        9
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_L_MASK         0x00000200
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_EN_L_SHIFT                8
#define    AUDIOH_DSP_SDM_DITHER_CTL_IHF_DITHER_EN_L_MASK                 0x00000100
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_R_SHIFT       6
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_R_MASK        0x000000C0
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_R_SHIFT     5
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_R_MASK      0x00000020
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_EN_R_SHIFT             4
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_EN_R_MASK              0x00000010
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_L_SHIFT       2
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_L_MASK        0x0000000C
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_L_SHIFT     1
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_L_MASK      0x00000002
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_EN_L_SHIFT             0
#define    AUDIOH_DSP_SDM_DITHER_CTL_STEREO_DITHER_EN_L_MASK              0x00000001

#define AUDIOH_DSP_STEREO_DITHER_POLY_L_OFFSET                            0x0000005C
#define AUDIOH_DSP_STEREO_DITHER_POLY_L_TYPE                              UInt32
#define AUDIOH_DSP_STEREO_DITHER_POLY_L_RESERVED_MASK                     0x00000000
#define    AUDIOH_DSP_STEREO_DITHER_POLY_L_STEREO_DITHER_SET_L_SHIFT      31
#define    AUDIOH_DSP_STEREO_DITHER_POLY_L_STEREO_DITHER_SET_L_MASK       0x80000000
#define    AUDIOH_DSP_STEREO_DITHER_POLY_L_STEREO_DITHER_POLY_L_SHIFT     0
#define    AUDIOH_DSP_STEREO_DITHER_POLY_L_STEREO_DITHER_POLY_L_MASK      0x7FFFFFFF

#define AUDIOH_DSP_STEREO_DITHER_SEED_L_OFFSET                            0x0000005E
#define AUDIOH_DSP_STEREO_DITHER_SEED_L_TYPE                              UInt32
#define AUDIOH_DSP_STEREO_DITHER_SEED_L_RESERVED_MASK                     0x80000000
#define    AUDIOH_DSP_STEREO_DITHER_SEED_L_STEREO_DITHER_SEED_L_SHIFT     0
#define    AUDIOH_DSP_STEREO_DITHER_SEED_L_STEREO_DITHER_SEED_L_MASK      0x7FFFFFFF

#define AUDIOH_DSP_STEREO_DITHER_POLY_R_OFFSET                            0x00000060
#define AUDIOH_DSP_STEREO_DITHER_POLY_R_TYPE                              UInt32
#define AUDIOH_DSP_STEREO_DITHER_POLY_R_RESERVED_MASK                     0x00000000
#define    AUDIOH_DSP_STEREO_DITHER_POLY_R_STEREO_DITHER_SET_R_SHIFT      31
#define    AUDIOH_DSP_STEREO_DITHER_POLY_R_STEREO_DITHER_SET_R_MASK       0x80000000
#define    AUDIOH_DSP_STEREO_DITHER_POLY_R_STEREO_DITHER_POLY_R_SHIFT     0
#define    AUDIOH_DSP_STEREO_DITHER_POLY_R_STEREO_DITHER_POLY_R_MASK      0x7FFFFFFF

#define AUDIOH_DSP_STEREO_DITHER_SEED_R_OFFSET                            0x00000062
#define AUDIOH_DSP_STEREO_DITHER_SEED_R_TYPE                              UInt32
#define AUDIOH_DSP_STEREO_DITHER_SEED_R_RESERVED_MASK                     0x80000000
#define    AUDIOH_DSP_STEREO_DITHER_SEED_R_STEREO_DITHER_SEED_R_SHIFT     0
#define    AUDIOH_DSP_STEREO_DITHER_SEED_R_STEREO_DITHER_SEED_R_MASK      0x7FFFFFFF

#define AUDIOH_DSP_IHF_DITHER_POLY_L_OFFSET                               0x00000064
#define AUDIOH_DSP_IHF_DITHER_POLY_L_TYPE                                 UInt32
#define AUDIOH_DSP_IHF_DITHER_POLY_L_RESERVED_MASK                        0x00000000
#define    AUDIOH_DSP_IHF_DITHER_POLY_L_IHF_DITHER_SET_L_SHIFT            31
#define    AUDIOH_DSP_IHF_DITHER_POLY_L_IHF_DITHER_SET_L_MASK             0x80000000
#define    AUDIOH_DSP_IHF_DITHER_POLY_L_IHF_DITHER_POLY_L_SHIFT           0
#define    AUDIOH_DSP_IHF_DITHER_POLY_L_IHF_DITHER_POLY_L_MASK            0x7FFFFFFF

#define AUDIOH_DSP_IHF_DITHER_SEED_L_OFFSET                               0x00000066
#define AUDIOH_DSP_IHF_DITHER_SEED_L_TYPE                                 UInt32
#define AUDIOH_DSP_IHF_DITHER_SEED_L_RESERVED_MASK                        0x80000000
#define    AUDIOH_DSP_IHF_DITHER_SEED_L_IHF_DITHER_SEED_L_SHIFT           0
#define    AUDIOH_DSP_IHF_DITHER_SEED_L_IHF_DITHER_SEED_L_MASK            0x7FFFFFFF

#define AUDIOH_DSP_IHF_DITHER_POLY_R_OFFSET                               0x00000068
#define AUDIOH_DSP_IHF_DITHER_POLY_R_TYPE                                 UInt32
#define AUDIOH_DSP_IHF_DITHER_POLY_R_RESERVED_MASK                        0x00000000
#define    AUDIOH_DSP_IHF_DITHER_POLY_R_IHF_DITHER_SET_R_SHIFT            31
#define    AUDIOH_DSP_IHF_DITHER_POLY_R_IHF_DITHER_SET_R_MASK             0x80000000
#define    AUDIOH_DSP_IHF_DITHER_POLY_R_IHF_DITHER_POLY_R_SHIFT           0
#define    AUDIOH_DSP_IHF_DITHER_POLY_R_IHF_DITHER_POLY_R_MASK            0x7FFFFFFF

#define AUDIOH_DSP_IHF_DITHER_SEED_R_OFFSET                               0x0000006A
#define AUDIOH_DSP_IHF_DITHER_SEED_R_TYPE                                 UInt32
#define AUDIOH_DSP_IHF_DITHER_SEED_R_RESERVED_MASK                        0x80000000
#define    AUDIOH_DSP_IHF_DITHER_SEED_R_IHF_DITHER_SEED_R_SHIFT           0
#define    AUDIOH_DSP_IHF_DITHER_SEED_R_IHF_DITHER_SEED_R_MASK            0x7FFFFFFF

#define AUDIOH_DSP_VOUT_DITHER_POLY_OFFSET                                0x00000078
#define AUDIOH_DSP_VOUT_DITHER_POLY_TYPE                                  UInt32
#define AUDIOH_DSP_VOUT_DITHER_POLY_RESERVED_MASK                         0x00000000
#define    AUDIOH_DSP_VOUT_DITHER_POLY_VOUT_DITHER_SET_SHIFT              31
#define    AUDIOH_DSP_VOUT_DITHER_POLY_VOUT_DITHER_SET_MASK               0x80000000
#define    AUDIOH_DSP_VOUT_DITHER_POLY_VOUT_DITHER_POLY_SHIFT             0
#define    AUDIOH_DSP_VOUT_DITHER_POLY_VOUT_DITHER_POLY_MASK              0x7FFFFFFF

#define AUDIOH_DSP_VOUT_DITHER_SEED_OFFSET                                0x0000007A
#define AUDIOH_DSP_VOUT_DITHER_SEED_TYPE                                  UInt32
#define AUDIOH_DSP_VOUT_DITHER_SEED_RESERVED_MASK                         0x80000000
#define    AUDIOH_DSP_VOUT_DITHER_SEED_VOUT_DITHER_SEED_SHIFT             0
#define    AUDIOH_DSP_VOUT_DITHER_SEED_VOUT_DITHER_SEED_MASK              0x7FFFFFFF

#define AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_OFFSET                           0x0000007C
#define AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_TYPE                             UInt32
#define AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_RESERVED_MASK                    0xFFFF008C
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_LAG_SHIFT               8
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_LAG_MASK                0x0000FF00
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_DELAY_SHIFT             4
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_DELAY_MASK              0x00000070
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_INDICATOR_SHIFT         1
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_INDICATOR_MASK          0x00000002
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_POLARITY_SHIFT          0
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_CTRL_HS_DS_POLARITY_MASK           0x00000001

#define AUDIOH_DSP_HS_DRIVER_SUPPLY_TH_OFFSET                             0x0000007E
#define AUDIOH_DSP_HS_DRIVER_SUPPLY_TH_TYPE                               UInt32
#define AUDIOH_DSP_HS_DRIVER_SUPPLY_TH_RESERVED_MASK                      0xFF000000
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_TH_HS_DS_THRES_SHIFT               0
#define    AUDIOH_DSP_HS_DRIVER_SUPPLY_TH_HS_DS_THRES_MASK                0x00FFFFFF

#define AUDIOH_DSP_AUDIOTX_ISO_OFFSET                                     0x00000080
#define AUDIOH_DSP_AUDIOTX_ISO_TYPE                                       UInt32
#define AUDIOH_DSP_AUDIOTX_ISO_RESERVED_MASK                              0xFFFFFFFC
#define    AUDIOH_DSP_AUDIOTX_ISO_AUDIOTX_ISO_IN_SHIFT                    1
#define    AUDIOH_DSP_AUDIOTX_ISO_AUDIOTX_ISO_IN_MASK                     0x00000002
#define    AUDIOH_DSP_AUDIOTX_ISO_AUDIOTX_ISO_OUT_SHIFT                   0
#define    AUDIOH_DSP_AUDIOTX_ISO_AUDIOTX_ISO_OUT_MASK                    0x00000001

#define AUDIOH_DSP_EP_DAC_CTRL_OFFSET                                     0x00000082
#define AUDIOH_DSP_EP_DAC_CTRL_TYPE                                       UInt32
#define AUDIOH_DSP_EP_DAC_CTRL_RESERVED_MASK                              0x00000000
#define    AUDIOH_DSP_EP_DAC_CTRL_AUDIOTX_EP_CTRL_SHIFT                   0
#define    AUDIOH_DSP_EP_DAC_CTRL_AUDIOTX_EP_CTRL_MASK                    0xFFFFFFFF

#define AUDIOH_DSP_EP_PWR_OFFSET                                          0x00000084
#define AUDIOH_DSP_EP_PWR_TYPE                                            UInt32
#define AUDIOH_DSP_EP_PWR_RESERVED_MASK                                   0xFFFFFFEA
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_RESET_SHIFT                       4
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_RESET_MASK                        0x00000010
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_IHF_REF_PD_SHIFT                  2
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_IHF_REF_PD_MASK                   0x00000004
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_DAC_PD_SHIFT                      0
#define    AUDIOH_DSP_EP_PWR_AUDIOTX_EP_DAC_PD_MASK                       0x00000001

#define AUDIOH_DSP_EP_DRV_OFFSET                                          0x00000086
#define AUDIOH_DSP_EP_DRV_TYPE                                            UInt32
#define AUDIOH_DSP_EP_DRV_RESERVED_MASK                                   0xFFFF7E00
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_SPAREBIT_SHIFT                15
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_SPAREBIT_MASK                 0x00008000
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_CM_CTRL_SHIFT                 4
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_CM_CTRL_MASK                  0x000001F0
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_IQDBLDIS_SHIFT                2
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_IQDBLDIS_MASK                 0x0000000C
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_MUTE_SHIFT                    1
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_MUTE_MASK                     0x00000002
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_PD_SHIFT                      0
#define    AUDIOH_DSP_EP_DRV_AUDIOTX_EP_DRV_PD_MASK                       0x00000001

#define AUDIOH_DSP_AUDIOTX_SR_OFFSET                                      0x00000088
#define AUDIOH_DSP_AUDIOTX_SR_TYPE                                        UInt32
#define AUDIOH_DSP_AUDIOTX_SR_RESERVED_MASK                               0xFFFFFC00
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_SLOPTECTRL_SHIFT              8
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_SLOPTECTRL_MASK               0x00000300
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_SPARE_BIT_SHIFT               7
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_SPARE_BIT_MASK                0x00000080
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_END_PWRUP_SHIFT               6
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_END_PWRUP_MASK                0x00000040
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP2_5M_SHIFT             5
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP2_5M_MASK              0x00000020
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP1_45M_SHIFT            4
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP1_45M_MASK             0x00000010
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_END_PWRDOWN_SHIFT             3
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_END_PWRDOWN_MASK              0x00000008
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PD_ENABLE_SHIFT               2
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PD_ENABLE_MASK                0x00000004
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PU_ENABLE_SHIFT               1
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PU_ENABLE_MASK                0x00000002
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PUP_ED_DRV_TRIG_SHIFT         0
#define    AUDIOH_DSP_AUDIOTX_SR_AUDIOTX_SR_PUP_ED_DRV_TRIG_MASK          0x00000001

#define AUDIOH_DSP_HS_DAC_CTRL_OFFSET                                     0x0000008A
#define AUDIOH_DSP_HS_DAC_CTRL_TYPE                                       UInt32
#define AUDIOH_DSP_HS_DAC_CTRL_RESERVED_MASK                              0x00000000
#define    AUDIOH_DSP_HS_DAC_CTRL_AUDIOTX_HS_CTRL_SHIFT                   0
#define    AUDIOH_DSP_HS_DAC_CTRL_AUDIOTX_HS_CTRL_MASK                    0xFFFFFFFF

#define AUDIOH_DSP_HS_PWR_OFFSET                                          0x0000008C
#define AUDIOH_DSP_HS_PWR_TYPE                                            UInt32
#define AUDIOH_DSP_HS_PWR_RESERVED_MASK                                   0xFFFFFFE8
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_RESET_SHIFT                       4
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_RESET_MASK                        0x00000010
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_REF_PD_SHIFT                      2
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_REF_PD_MASK                       0x00000004
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_DACR_PD_SHIFT                     1
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_DACR_PD_MASK                      0x00000002
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_DACL_PD_SHIFT                     0
#define    AUDIOH_DSP_HS_PWR_AUDIOTX_HS_DACL_PD_MASK                      0x00000001

#define AUDIOH_DSP_IHF_DAC_CTRL_OFFSET                                    0x0000008E
#define AUDIOH_DSP_IHF_DAC_CTRL_TYPE                                      UInt32
#define AUDIOH_DSP_IHF_DAC_CTRL_RESERVED_MASK                             0x00000000
#define    AUDIOH_DSP_IHF_DAC_CTRL_AUDIOTX_IHF_CTRL_SHIFT                 0
#define    AUDIOH_DSP_IHF_DAC_CTRL_AUDIOTX_IHF_CTRL_MASK                  0xFFFFFFFF

#define AUDIOH_DSP_IHF_PWR_OFFSET                                         0x00000090
#define AUDIOH_DSP_IHF_PWR_TYPE                                           UInt32
#define AUDIOH_DSP_IHF_PWR_RESERVED_MASK                                  0xFFFFFFEC
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_RESET_SHIFT                     4
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_RESET_MASK                      0x00000010
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_DACR_PD_SHIFT                   1
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_DACR_PD_MASK                    0x00000002
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_DACL_PD_SHIFT                   0
#define    AUDIOH_DSP_IHF_PWR_AUDIOTX_IHF_DACL_PD_MASK                    0x00000001

#define AUDIOH_DSP_DAC_CTRL_OFFSET                                        0x00000092
#define AUDIOH_DSP_DAC_CTRL_TYPE                                          UInt32
#define AUDIOH_DSP_DAC_CTRL_RESERVED_MASK                                 0xC00000C0
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_I_CLK_PD_SHIFT                     29
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_I_CLK_PD_MASK                      0x20000000
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_I_CLK_INV_SHIFT                    28
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_I_CLK_INV_MASK                     0x10000000
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_SPARE_BIT_SHIFT                    8
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_SPARE_BIT_MASK                     0x0FFFFF00
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_EP_DRV_STO_SHIFT                   4
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_EP_DRV_STO_MASK                    0x00000030
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_BB_STI_SHIFT                       2
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_BB_STI_MASK                        0x0000000C
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_TEST_EN_SHIFT                      0
#define    AUDIOH_DSP_DAC_CTRL_AUDIOTX_TEST_EN_MASK                       0x00000003

#define AUDIOH_DSP_VIBRA_CTRL_OFFSET                                      0x000000A0
#define AUDIOH_DSP_VIBRA_CTRL_TYPE                                        UInt32
#define AUDIOH_DSP_VIBRA_CTRL_RESERVED_MASK                               0x00FC8CC2
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_SPARE_BIT_SHIFT                24
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_SPARE_BIT_MASK                 0xFF000000
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_STIN_SHIFT                     16
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_STIN_MASK                      0x00030000
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_STOUT_SHIFT                    13
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_STOUT_MASK                     0x00006000
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_EN_SELFTEST_SHIFT              12
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_EN_SELFTEST_MASK               0x00001000
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_ISO_IN_SHIFT                   9
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_ISO_IN_MASK                    0x00000200
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_ISO_OUT_SHIFT                  8
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_ISO_OUT_MASK                   0x00000100
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_RATE_CTL_SHIFT                 4
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_RATE_CTL_MASK                  0x00000030
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_BYPASS_CM_SHIFT                3
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_BYPASS_CM_MASK                 0x00000008
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_HZ_SHIFT                       2
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_HZ_MASK                        0x00000004
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_PD_SHIFT                       0
#define    AUDIOH_DSP_VIBRA_CTRL_ANA_VIBRA_PD_MASK                        0x00000001

#define AUDIOH_DSP_MIN_PHASE_OFFSET                                       0x000000A2
#define AUDIOH_DSP_MIN_PHASE_TYPE                                         UInt32
#define AUDIOH_DSP_MIN_PHASE_RESERVED_MASK                                0xFFFFFF00
#define    AUDIOH_DSP_MIN_PHASE_DMIC4_MIN_PHASE_SHIFT                     7
#define    AUDIOH_DSP_MIN_PHASE_DMIC4_MIN_PHASE_MASK                      0x00000080
#define    AUDIOH_DSP_MIN_PHASE_DMIC3_MIN_PHASE_SHIFT                     6
#define    AUDIOH_DSP_MIN_PHASE_DMIC3_MIN_PHASE_MASK                      0x00000040
#define    AUDIOH_DSP_MIN_PHASE_DMIC2_MIN_PHASE_SHIFT                     5
#define    AUDIOH_DSP_MIN_PHASE_DMIC2_MIN_PHASE_MASK                      0x00000020
#define    AUDIOH_DSP_MIN_PHASE_DMIC1_MIN_PHASE_SHIFT                     4
#define    AUDIOH_DSP_MIN_PHASE_DMIC1_MIN_PHASE_MASK                      0x00000010
#define    AUDIOH_DSP_MIN_PHASE_VB_MIN_PHASE_SHIFT                        3
#define    AUDIOH_DSP_MIN_PHASE_VB_MIN_PHASE_MASK                         0x00000008
#define    AUDIOH_DSP_MIN_PHASE_IHF_MIN_PHASE_SHIFT                       2
#define    AUDIOH_DSP_MIN_PHASE_IHF_MIN_PHASE_MASK                        0x00000004
#define    AUDIOH_DSP_MIN_PHASE_HS_MIN_PHASE_SHIFT                        1
#define    AUDIOH_DSP_MIN_PHASE_HS_MIN_PHASE_MASK                         0x00000002
#define    AUDIOH_DSP_MIN_PHASE_EP_MIN_PHASE_SHIFT                        0
#define    AUDIOH_DSP_MIN_PHASE_EP_MIN_PHASE_MASK                         0x00000001

#define AUDIOH_DSP_AUDIORX_VRX1_OFFSET                                    0x00000100
#define AUDIOH_DSP_AUDIORX_VRX1_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_VRX1_RESERVED_MASK                             0xF3C0E000
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_LDO_DIG_PWRDN_SHIFT            27
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_LDO_DIG_PWRDN_MASK             0x08000000
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_LDO_TSTEN_SHIFT                26
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_LDO_TSTEN_MASK                 0x04000000
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_GAINCTRL_SHIFT             16
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_GAINCTRL_MASK              0x003F0000
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_RCM_SHIFT                  8
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_RCM_MASK                   0x00001F00
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_CMHZB_SHIFT                7
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_CMHZB_MASK                 0x00000080
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_SEL_MIC1B_MIC2_SHIFT       6
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_SEL_MIC1B_MIC2_MASK        0x00000040
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_ADCRST_SHIFT               5
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_ADCRST_MASK                0x00000020
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_DITHERDIS_SHIFT            4
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_DITHERDIS_MASK             0x00000010
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_SCRAMDIS_SHIFT             3
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_SCRAMDIS_MASK              0x00000008
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_APMCLK_PWRDN_SHIFT             2
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_APMCLK_PWRDN_MASK              0x00000004
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_CMBUF_PWRDN_SHIFT          1
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_CMBUF_PWRDN_MASK           0x00000002
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_PWRDN_SHIFT                0
#define    AUDIOH_DSP_AUDIORX_VRX1_AUDIORX_VRX_PWRDN_MASK                 0x00000001

#define AUDIOH_DSP_AUDIORX_VRX2_OFFSET                                    0x00000102
#define AUDIOH_DSP_AUDIORX_VRX2_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_VRX2_RESERVED_MASK                             0xFE7888CC
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VMIC_CTRL_SHIFT                23
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VMIC_CTRL_MASK                 0x01800000
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCFB1CTRL_SHIFT          16
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCFB1CTRL_MASK           0x00070000
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCR2CTRL_SHIFT            12
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCR2CTRL_MASK             0x00007000
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCFF2CTRL_SHIFT          8
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCFF2CTRL_MASK           0x00000700
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCMOCTRL_SHIFT           4
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_ADCCMOCTRL_MASK            0x00000030
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_GMCMICTRL_SHIFT            0
#define    AUDIOH_DSP_AUDIORX_VRX2_AUDIORX_VRX_GMCMICTRL_MASK             0x00000003

#define AUDIOH_DSP_AUDIORX_VREF_OFFSET                                    0x00000104
#define AUDIOH_DSP_AUDIORX_VREF_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_VREF_RESERVED_MASK                             0xFFFFFFF8
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_POWERCYCLE_SHIFT          2
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_POWERCYCLE_MASK           0x00000004
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_FASTSETTLE_SHIFT          1
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_FASTSETTLE_MASK           0x00000002
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_PWRUP_SHIFT               0
#define    AUDIOH_DSP_AUDIORX_VREF_AUDIORX_VREF_PWRUP_MASK                0x00000001

#define AUDIOH_DSP_AUDIORX_VMIC_OFFSET                                    0x00000106
#define AUDIOH_DSP_AUDIORX_VMIC_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_VMIC_RESERVED_MASK                             0x0000FFC8
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_SPARE_SHIFT                    16
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_SPARE_MASK                     0xFFFF0000
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_VAUXMIC_CTRL_SHIFT             4
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_VAUXMIC_CTRL_MASK              0x00000030
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_PWRDN_SHIFT                2
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_PWRDN_MASK                 0x00000004
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_EN_SHIFT                   1
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_EN_MASK                    0x00000002
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_BIAS_GND_SHIFT             0
#define    AUDIOH_DSP_AUDIORX_VMIC_AUDIORX_MIC_BIAS_GND_MASK              0x00000001

#define AUDIOH_DSP_AUDIORX_BIAS_OFFSET                                    0x00000108
#define AUDIOH_DSP_AUDIORX_BIAS_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_BIAS_RESERVED_MASK                             0xC0000008
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIAS_CTRL_SHIFT                4
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIAS_CTRL_MASK                 0x3FFFFFF0
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIASCORE_CTRL_SHIFT            1
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIASCORE_CTRL_MASK             0x00000006
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIAS_PWRUP_SHIFT               0
#define    AUDIOH_DSP_AUDIORX_BIAS_AUDIORX_BIAS_PWRUP_MASK                0x00000001

#define AUDIOH_DSP_AUDIORX_CTRL_OFFSET                                    0x0000010A
#define AUDIOH_DSP_AUDIORX_CTRL_TYPE                                      UInt32
#define AUDIOH_DSP_AUDIORX_CTRL_RESERVED_MASK                             0xFFFFFFFC
#define    AUDIOH_DSP_AUDIORX_CTRL_AUDIORX_ISO_OUT_SHIFT                  1
#define    AUDIOH_DSP_AUDIORX_CTRL_AUDIORX_ISO_OUT_MASK                   0x00000002
#define    AUDIOH_DSP_AUDIORX_CTRL_AUDIORX_ISO_IN_SHIFT                   0
#define    AUDIOH_DSP_AUDIORX_CTRL_AUDIORX_ISO_IN_MASK                    0x00000001

#define AUDIOH_DSP_EANC_CTL_OFFSET                                        0x00000180
#define AUDIOH_DSP_EANC_CTL_TYPE                                          UInt32
#define AUDIOH_DSP_EANC_CTL_RESERVED_MASK                                 0xFFFF8CE0
#define    AUDIOH_DSP_EANC_CTL_VOUT_EANC_ENABLE_SHIFT                     14
#define    AUDIOH_DSP_EANC_CTL_VOUT_EANC_ENABLE_MASK                      0x00004000
#define    AUDIOH_DSP_EANC_CTL_IHF_EANC_ENABLE_SHIFT                      13
#define    AUDIOH_DSP_EANC_CTL_IHF_EANC_ENABLE_MASK                       0x00002000
#define    AUDIOH_DSP_EANC_CTL_STEREO_EANC_ENABLE_SHIFT                   12
#define    AUDIOH_DSP_EANC_CTL_STEREO_EANC_ENABLE_MASK                    0x00001000
#define    AUDIOH_DSP_EANC_CTL_EANC_MIC_SEL_SHIFT                         8
#define    AUDIOH_DSP_EANC_CTL_EANC_MIC_SEL_MASK                          0x00000300
#define    AUDIOH_DSP_EANC_CTL_EANC_MODE96K_SHIFT                         4
#define    AUDIOH_DSP_EANC_CTL_EANC_MODE96K_MASK                          0x00000010
#define    AUDIOH_DSP_EANC_CTL_EANC_AIIR_CO_SETDONE_SHIFT                 3
#define    AUDIOH_DSP_EANC_CTL_EANC_AIIR_CO_SETDONE_MASK                  0x00000008
#define    AUDIOH_DSP_EANC_CTL_EANC_AIIR_CO_SET_SHIFT                     2
#define    AUDIOH_DSP_EANC_CTL_EANC_AIIR_CO_SET_MASK                      0x00000004
#define    AUDIOH_DSP_EANC_CTL_EANC_AFIR_CO_SETDONE_SHIFT                 1
#define    AUDIOH_DSP_EANC_CTL_EANC_AFIR_CO_SETDONE_MASK                  0x00000002
#define    AUDIOH_DSP_EANC_CTL_EANC_AFIR_CO_SET_SHIFT                     0
#define    AUDIOH_DSP_EANC_CTL_EANC_AFIR_CO_SET_MASK                      0x00000001

#define AUDIOH_DSP_EANC_TAPS_OFFSET                                       0x00000182
#define AUDIOH_DSP_EANC_TAPS_TYPE                                         UInt32
#define AUDIOH_DSP_EANC_TAPS_RESERVED_MASK                                0xFFFF8888
#define    AUDIOH_DSP_EANC_TAPS_EANC_DACCIC_TAPS_SHIFT                    12
#define    AUDIOH_DSP_EANC_TAPS_EANC_DACCIC_TAPS_MASK                     0x00007000
#define    AUDIOH_DSP_EANC_TAPS_EANC_ADCCIC_TAPS_SHIFT                    8
#define    AUDIOH_DSP_EANC_TAPS_EANC_ADCCIC_TAPS_MASK                     0x00000700
#define    AUDIOH_DSP_EANC_TAPS_EANC_DIIR_TAPS_SHIFT                      4
#define    AUDIOH_DSP_EANC_TAPS_EANC_DIIR_TAPS_MASK                       0x00000070
#define    AUDIOH_DSP_EANC_TAPS_EANC_UIIR_TAPS_SHIFT                      0
#define    AUDIOH_DSP_EANC_TAPS_EANC_UIIR_TAPS_MASK                       0x00000007

#define AUDIOH_DSP_EANC_SHIFT_CTRL_OFFSET                                 0x00000184
#define AUDIOH_DSP_EANC_SHIFT_CTRL_TYPE                                   UInt32
#define AUDIOH_DSP_EANC_SHIFT_CTRL_RESERVED_MASK                          0x0000F0C0
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_WRAP_A_SHIFT                   16
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_WRAP_A_MASK                    0xFFFF0000
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AFIR_INSHIFT_SHIFT             8
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AFIR_INSHIFT_MASK              0x00000F00
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AFIR_OUTSHIFT_SHIFT            4
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AFIR_OUTSHIFT_MASK             0x00000030
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AIIR_OUTSHIFT_SHIFT            0
#define    AUDIOH_DSP_EANC_SHIFT_CTRL_EANC_AIIR_OUTSHIFT_MASK             0x0000000F

#define AUDIOH_DSP_EANC_CIC_GAIN_OFFSET                                   0x00000186
#define AUDIOH_DSP_EANC_CIC_GAIN_TYPE                                     UInt32
#define AUDIOH_DSP_EANC_CIC_GAIN_RESERVED_MASK                            0x80008000
#define    AUDIOH_DSP_EANC_CIC_GAIN_EANC_DCIC_GAIN_SHIFT                  16
#define    AUDIOH_DSP_EANC_CIC_GAIN_EANC_DCIC_GAIN_MASK                   0x7FFF0000
#define    AUDIOH_DSP_EANC_CIC_GAIN_EANC_UCIC_GAIN_SHIFT                  0
#define    AUDIOH_DSP_EANC_CIC_GAIN_EANC_UCIC_GAIN_MASK                   0x00007FFF

#define AUDIOH_DSP_EANC_DIIR_SHIFT_H_OFFSET                               0x00000188
#define AUDIOH_DSP_EANC_DIIR_SHIFT_H_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_DIIR_SHIFT_H_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_DIIR_SHIFT_H_EANC_DIIR_SHIFT_H_SHIFT           0
#define    AUDIOH_DSP_EANC_DIIR_SHIFT_H_EANC_DIIR_SHIFT_H_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_DIIR_SHIFT_L_OFFSET                               0x0000018A
#define AUDIOH_DSP_EANC_DIIR_SHIFT_L_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_DIIR_SHIFT_L_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_DIIR_SHIFT_L_EANC_DIIR_SHIFT_L_SHIFT           0
#define    AUDIOH_DSP_EANC_DIIR_SHIFT_L_EANC_DIIR_SHIFT_L_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_AIIR_SHIFT_H_OFFSET                               0x0000018C
#define AUDIOH_DSP_EANC_AIIR_SHIFT_H_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_AIIR_SHIFT_H_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_AIIR_SHIFT_H_EANC_AIIR_SHIFT_H_SHIFT           0
#define    AUDIOH_DSP_EANC_AIIR_SHIFT_H_EANC_AIIR_SHIFT_H_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_AIIR_SHIFT_L_OFFSET                               0x0000018E
#define AUDIOH_DSP_EANC_AIIR_SHIFT_L_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_AIIR_SHIFT_L_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_AIIR_SHIFT_L_EANC_AIIR_SHIFT_L_SHIFT           0
#define    AUDIOH_DSP_EANC_AIIR_SHIFT_L_EANC_AIIR_SHIFT_L_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_UIIR_SHIFT_H_OFFSET                               0x00000190
#define AUDIOH_DSP_EANC_UIIR_SHIFT_H_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_UIIR_SHIFT_H_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_UIIR_SHIFT_H_EANC_UIIR_SHIFT_H_SHIFT           0
#define    AUDIOH_DSP_EANC_UIIR_SHIFT_H_EANC_UIIR_SHIFT_H_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_UIIR_SHIFT_L_OFFSET                               0x00000192
#define AUDIOH_DSP_EANC_UIIR_SHIFT_L_TYPE                                 UInt32
#define AUDIOH_DSP_EANC_UIIR_SHIFT_L_RESERVED_MASK                        0xFF000000
#define    AUDIOH_DSP_EANC_UIIR_SHIFT_L_EANC_UIIR_SHIFT_L_SHIFT           0
#define    AUDIOH_DSP_EANC_UIIR_SHIFT_L_EANC_UIIR_SHIFT_L_MASK            0x00FFFFFF

#define AUDIOH_DSP_EANC_AIIR_DDELAY_ENABLE_OFFSET                         0x00000196
#define AUDIOH_DSP_EANC_AIIR_DDELAY_ENABLE_TYPE                           UInt32
#define AUDIOH_DSP_EANC_AIIR_DDELAY_ENABLE_RESERVED_MASK                  0xFFFFFFFE
#define    AUDIOH_DSP_EANC_AIIR_DDELAY_ENABLE_EANC_AIIR_DDELAY_ENABLE_SHIFT 0
#define    AUDIOH_DSP_EANC_AIIR_DDELAY_ENABLE_EANC_AIIR_DDELAY_ENABLE_MASK 0x00000001

#define AUDIOH_DSP_EANC_FIRX2_SCALE_OFFSET                                0x00000198
#define AUDIOH_DSP_EANC_FIRX2_SCALE_TYPE                                  UInt32
#define AUDIOH_DSP_EANC_FIRX2_SCALE_RESERVED_MASK                         0xFF000000
#define    AUDIOH_DSP_EANC_FIRX2_SCALE_EANC_FIRX2_SCALE_SHIFT             0
#define    AUDIOH_DSP_EANC_FIRX2_SCALE_EANC_FIRX2_SCALE_MASK              0x00FFFFFF

#define AUDIOH_DSP_EANC_CO_AIIR_OFFSET                                    0x00000200
#define AUDIOH_DSP_EANC_CO_AIIR_TYPE                                      UInt32
#define AUDIOH_DSP_EANC_CO_AIIR_RESERVED_MASK                             0xFF000000
#define    AUDIOH_DSP_EANC_CO_AIIR_EANC_CO_AIIR_SHIFT                     0
#define    AUDIOH_DSP_EANC_CO_AIIR_EANC_CO_AIIR_MASK                      0x00FFFFFF

#define AUDIOH_DSP_EANC_CO_AFIR_OFFSET                                    0x00000240
#define AUDIOH_DSP_EANC_CO_AFIR_TYPE                                      UInt32
#define AUDIOH_DSP_EANC_CO_AFIR_RESERVED_MASK                             0x00000000
#define    AUDIOH_DSP_EANC_CO_AFIR_EANC_CO_AFIR_SHIFT                     0
#define    AUDIOH_DSP_EANC_CO_AFIR_EANC_CO_AFIR_MASK                      0xFFFFFFFF

#define AUDIOH_DSP_EANC_CO_DIIR_OFFSET                                    0x00000280
#define AUDIOH_DSP_EANC_CO_DIIR_TYPE                                      UInt32
#define AUDIOH_DSP_EANC_CO_DIIR_RESERVED_MASK                             0xFF000000
#define    AUDIOH_DSP_EANC_CO_DIIR_EANC_CO_DIIR_SHIFT                     0
#define    AUDIOH_DSP_EANC_CO_DIIR_EANC_CO_DIIR_MASK                      0x00FFFFFF

#define AUDIOH_DSP_EANC_CO_UIIR_OFFSET                                    0x000002C0
#define AUDIOH_DSP_EANC_CO_UIIR_TYPE                                      UInt32
#define AUDIOH_DSP_EANC_CO_UIIR_RESERVED_MASK                             0xFF000000
#define    AUDIOH_DSP_EANC_CO_UIIR_EANC_CO_UIIR_SHIFT                     0
#define    AUDIOH_DSP_EANC_CO_UIIR_EANC_CO_UIIR_MASK                      0x00FFFFFF

#define AUDIOH_DSP_STEREO_FIFO_DATA_OFFSET                                0x00002400
#define AUDIOH_DSP_STEREO_FIFO_DATA_TYPE                                  UInt32
#define AUDIOH_DSP_STEREO_FIFO_DATA_RESERVED_MASK                         0x00000000
#define    AUDIOH_DSP_STEREO_FIFO_DATA_STEREO_DATA_SHIFT                  0
#define    AUDIOH_DSP_STEREO_FIFO_DATA_STEREO_DATA_MASK                   0xFFFFFFFF

#define AUDIOH_DSP_IHF_FIFO_DATA_OFFSET                                   0x00002800
#define AUDIOH_DSP_IHF_FIFO_DATA_TYPE                                     UInt32
#define AUDIOH_DSP_IHF_FIFO_DATA_RESERVED_MASK                            0x00000000
#define    AUDIOH_DSP_IHF_FIFO_DATA_IHF_DATA_SHIFT                        0
#define    AUDIOH_DSP_IHF_FIFO_DATA_IHF_DATA_MASK                         0xFFFFFFFF

#define AUDIOH_DSP_VOUT_FIFO_DATA_OFFSET                                  0x00002C00
#define AUDIOH_DSP_VOUT_FIFO_DATA_TYPE                                    UInt32
#define AUDIOH_DSP_VOUT_FIFO_DATA_RESERVED_MASK                           0x00000000
#define    AUDIOH_DSP_VOUT_FIFO_DATA_VOUT_DATA_SHIFT                      0
#define    AUDIOH_DSP_VOUT_FIFO_DATA_VOUT_DATA_MASK                       0xFFFFFFFF

#define AUDIOH_DSP_VIBRA_FIFO_DATA_OFFSET                                 0x00003000
#define AUDIOH_DSP_VIBRA_FIFO_DATA_TYPE                                   UInt32
#define AUDIOH_DSP_VIBRA_FIFO_DATA_RESERVED_MASK                          0x00000000
#define    AUDIOH_DSP_VIBRA_FIFO_DATA_VIBRA_DATA_SHIFT                    0
#define    AUDIOH_DSP_VIBRA_FIFO_DATA_VIBRA_DATA_MASK                     0xFFFFFFFF

#define AUDIOH_DSP_VIN_FIFOR_DATA0_OFFSET                                 0x00003400
#define AUDIOH_DSP_VIN_FIFOR_DATA0_TYPE                                   UInt32
#define AUDIOH_DSP_VIN_FIFOR_DATA0_RESERVED_MASK                          0x00000000
#define    AUDIOH_DSP_VIN_FIFOR_DATA0_VIN_DATAR_SHIFT                     0
#define    AUDIOH_DSP_VIN_FIFOR_DATA0_VIN_DATAR_MASK                      0xFFFFFFFF

#define AUDIOH_DSP_VIN_FIFOL_DATA0_OFFSET                                 0x00003600
#define AUDIOH_DSP_VIN_FIFOL_DATA0_TYPE                                   UInt32
#define AUDIOH_DSP_VIN_FIFOL_DATA0_RESERVED_MASK                          0x00000000
#define    AUDIOH_DSP_VIN_FIFOL_DATA0_VIN_DATAL_SHIFT                     0
#define    AUDIOH_DSP_VIN_FIFOL_DATA0_VIN_DATAL_MASK                      0xFFFFFFFF

#define AUDIOH_DSP_NVIN_FIFOR_DATA0_OFFSET                                0x00003800
#define AUDIOH_DSP_NVIN_FIFOR_DATA0_TYPE                                  UInt32
#define AUDIOH_DSP_NVIN_FIFOR_DATA0_RESERVED_MASK                         0x00000000
#define    AUDIOH_DSP_NVIN_FIFOR_DATA0_NVIN_DATAR_SHIFT                   0
#define    AUDIOH_DSP_NVIN_FIFOR_DATA0_NVIN_DATAR_MASK                    0xFFFFFFFF

#define AUDIOH_DSP_NVIN_FIFOL_DATA0_OFFSET                                0x00003A00
#define AUDIOH_DSP_NVIN_FIFOL_DATA0_TYPE                                  UInt32
#define AUDIOH_DSP_NVIN_FIFOL_DATA0_RESERVED_MASK                         0x00000000
#define    AUDIOH_DSP_NVIN_FIFOL_DATA0_NVIN_DATAL_SHIFT                   0
#define    AUDIOH_DSP_NVIN_FIFOL_DATA0_NVIN_DATAL_MASK                    0xFFFFFFFF

#define AUDIOH_DSP_EANC_FIFO_DATA_OFFSET                                  0x00003C00
#define AUDIOH_DSP_EANC_FIFO_DATA_TYPE                                    UInt32
#define AUDIOH_DSP_EANC_FIFO_DATA_RESERVED_MASK                           0x00000000
#define    AUDIOH_DSP_EANC_FIFO_DATA_EANC_DATA_SHIFT                      0
#define    AUDIOH_DSP_EANC_FIFO_DATA_EANC_DATA_MASK                       0xFFFFFFFF

#define AUDIOH_DAC_CTL_OFFSET                                             0x00000000
#define AUDIOH_DAC_CTL_TYPE                                               UInt32
#define AUDIOH_DAC_CTL_RESERVED_MASK                                      0xFEE080C0
#define    AUDIOH_DAC_CTL_AUDTX_CLK_PHASE_SHIFT                           24
#define    AUDIOH_DAC_CTL_AUDTX_CLK_PHASE_MASK                            0x01000000
#define    AUDIOH_DAC_CTL_VOUT_SDM_MUTE_SHIFT                             20
#define    AUDIOH_DAC_CTL_VOUT_SDM_MUTE_MASK                              0x00100000
#define    AUDIOH_DAC_CTL_IHF_SDM_MUTE_L_SHIFT                            19
#define    AUDIOH_DAC_CTL_IHF_SDM_MUTE_L_MASK                             0x00080000
#define    AUDIOH_DAC_CTL_IHF_SDM_MUTE_R_SHIFT                            18
#define    AUDIOH_DAC_CTL_IHF_SDM_MUTE_R_MASK                             0x00040000
#define    AUDIOH_DAC_CTL_STEREO_SDM_MUTE_L_SHIFT                         17
#define    AUDIOH_DAC_CTL_STEREO_SDM_MUTE_L_MASK                          0x00020000
#define    AUDIOH_DAC_CTL_STEREO_SDM_MUTE_R_SHIFT                         16
#define    AUDIOH_DAC_CTL_STEREO_SDM_MUTE_R_MASK                          0x00010000
#define    AUDIOH_DAC_CTL_VOUT_SIDETONE_EN_SHIFT                          14
#define    AUDIOH_DAC_CTL_VOUT_SIDETONE_EN_MASK                           0x00004000
#define    AUDIOH_DAC_CTL_IHF_SIDETONE_EN_SHIFT                           13
#define    AUDIOH_DAC_CTL_IHF_SIDETONE_EN_MASK                            0x00002000
#define    AUDIOH_DAC_CTL_STEREO_SIDETONE_EN_SHIFT                        12
#define    AUDIOH_DAC_CTL_STEREO_SIDETONE_EN_MASK                         0x00001000
#define    AUDIOH_DAC_CTL_VIBRA_MUTE_SHIFT                                11
#define    AUDIOH_DAC_CTL_VIBRA_MUTE_MASK                                 0x00000800
#define       AUDIOH_DAC_CTL_VIBRA_MUTE_CMD_VIBRA_MUTE_DISABLE            0x00000000
#define       AUDIOH_DAC_CTL_VIBRA_MUTE_CMD_VIBRA_MUTE_ENABLE             0x00000001
#define    AUDIOH_DAC_CTL_VOUT_MUTE_SHIFT                                 10
#define    AUDIOH_DAC_CTL_VOUT_MUTE_MASK                                  0x00000400
#define       AUDIOH_DAC_CTL_VOUT_MUTE_CMD_VOUT_MUTE_DISABLE              0x00000000
#define       AUDIOH_DAC_CTL_VOUT_MUTE_CMD_VOUT_MUTE_ENABLE               0x00000001
#define    AUDIOH_DAC_CTL_IHF_MUTE_SHIFT                                  9
#define    AUDIOH_DAC_CTL_IHF_MUTE_MASK                                   0x00000200
#define       AUDIOH_DAC_CTL_IHF_MUTE_CMD_IHF_MUTE_DISABLE                0x00000000
#define       AUDIOH_DAC_CTL_IHF_MUTE_CMD_IHF_MUTE_ENABLE                 0x00000001
#define    AUDIOH_DAC_CTL_STEREO_MUTE_SHIFT                               8
#define    AUDIOH_DAC_CTL_STEREO_MUTE_MASK                                0x00000100
#define       AUDIOH_DAC_CTL_STEREO_MUTE_CMD_STEREO_MUTE_DISABLE          0x00000000
#define       AUDIOH_DAC_CTL_STEREO_MUTE_CMD_STEREO_MUTE_ENABLE           0x00000001
#define    AUDIOH_DAC_CTL_VIBRA_ENABLE_SHIFT                              5
#define    AUDIOH_DAC_CTL_VIBRA_ENABLE_MASK                               0x00000020
#define       AUDIOH_DAC_CTL_VIBRA_ENABLE_CMD_START_VIBRA                 0x00000001
#define       AUDIOH_DAC_CTL_VIBRA_ENABLE_CMD_STOP_VIBRA                  0x00000000
#define    AUDIOH_DAC_CTL_VOUT_ENABLE_SHIFT                               4
#define    AUDIOH_DAC_CTL_VOUT_ENABLE_MASK                                0x00000010
#define       AUDIOH_DAC_CTL_VOUT_ENABLE_CMD_START_VOUT                   0x00000001
#define       AUDIOH_DAC_CTL_VOUT_ENABLE_CMD_STOP_VOUT                    0x00000000
#define    AUDIOH_DAC_CTL_IHF_L_ENABLE_SHIFT                              3
#define    AUDIOH_DAC_CTL_IHF_L_ENABLE_MASK                               0x00000008
#define       AUDIOH_DAC_CTL_IHF_L_ENABLE_CMD_START_IHF_L                 0x00000001
#define       AUDIOH_DAC_CTL_IHF_L_ENABLE_CMD_STOP_IHF_L                  0x00000000
#define    AUDIOH_DAC_CTL_IHF_R_ENABLE_SHIFT                              2
#define    AUDIOH_DAC_CTL_IHF_R_ENABLE_MASK                               0x00000004
#define       AUDIOH_DAC_CTL_IHF_R_ENABLE_CMD_START_IHF_R                 0x00000001
#define       AUDIOH_DAC_CTL_IHF_R_ENABLE_CMD_STOP_IHF_R                  0x00000000
#define    AUDIOH_DAC_CTL_STEREO_L_ENABLE_SHIFT                           1
#define    AUDIOH_DAC_CTL_STEREO_L_ENABLE_MASK                            0x00000002
#define       AUDIOH_DAC_CTL_STEREO_L_ENABLE_CMD_START_STEREO_L           0x00000001
#define       AUDIOH_DAC_CTL_STEREO_L_ENABLE_CMD_STOP_STEREO_L            0x00000000
#define    AUDIOH_DAC_CTL_STEREO_R_ENABLE_SHIFT                           0
#define    AUDIOH_DAC_CTL_STEREO_R_ENABLE_MASK                            0x00000001
#define       AUDIOH_DAC_CTL_STEREO_R_ENABLE_CMD_START_STEREO_R           0x00000001
#define       AUDIOH_DAC_CTL_STEREO_R_ENABLE_CMD_STOP_STEREO_R            0x00000000

#define AUDIOH_ADC_CTL_OFFSET                                             0x00000004
#define AUDIOH_ADC_CTL_TYPE                                               UInt32
#define AUDIOH_ADC_CTL_RESERVED_MASK                                      0xEEE00820
#define    AUDIOH_ADC_CTL_AMIC_CLK_PHASE_SHIFT                            28
#define    AUDIOH_ADC_CTL_AMIC_CLK_PHASE_MASK                             0x10000000
#define    AUDIOH_ADC_CTL_DMIC_SWAP_SHIFT                                 24
#define    AUDIOH_ADC_CTL_DMIC_SWAP_MASK                                  0x01000000
#define    AUDIOH_ADC_CTL_DMIC_CLK_OFF2_SHIFT                             20
#define    AUDIOH_ADC_CTL_DMIC_CLK_OFF2_MASK                              0x00100000
#define    AUDIOH_ADC_CTL_DMIC_CLK_SW_OVERRIDE2_SHIFT                     19
#define    AUDIOH_ADC_CTL_DMIC_CLK_SW_OVERRIDE2_MASK                      0x00080000
#define    AUDIOH_ADC_CTL_DMIC_CLK_OFF1_SHIFT                             18
#define    AUDIOH_ADC_CTL_DMIC_CLK_OFF1_MASK                              0x00040000
#define    AUDIOH_ADC_CTL_DMIC_CLK_SW_OVERRIDE1_SHIFT                     17
#define    AUDIOH_ADC_CTL_DMIC_CLK_SW_OVERRIDE1_MASK                      0x00020000
#define    AUDIOH_ADC_CTL_DMIC_CLK_PHASE2_SHIFT                           16
#define    AUDIOH_ADC_CTL_DMIC_CLK_PHASE2_MASK                            0x00010000
#define    AUDIOH_ADC_CTL_DMIC_CLK_DELAY2_SHIFT                           13
#define    AUDIOH_ADC_CTL_DMIC_CLK_DELAY2_MASK                            0x0000E000
#define    AUDIOH_ADC_CTL_DMIC_CLK_PHASE1_SHIFT                           12
#define    AUDIOH_ADC_CTL_DMIC_CLK_PHASE1_MASK                            0x00001000
#define    AUDIOH_ADC_CTL_DMIC_CLK_DELAY1_SHIFT                           8
#define    AUDIOH_ADC_CTL_DMIC_CLK_DELAY1_MASK                            0x00000700
#define    AUDIOH_ADC_CTL_SIDETONE_EN_SHIFT                               7
#define    AUDIOH_ADC_CTL_SIDETONE_EN_MASK                                0x00000080
#define       AUDIOH_ADC_CTL_SIDETONE_EN_CMD_SIDETONE_EN_DISABLE          0x00000000
#define       AUDIOH_ADC_CTL_SIDETONE_EN_CMD_SIDETONE_EN_ENABLE           0x00000001
#define    AUDIOH_ADC_CTL_EANC_EN_SHIFT                                   6
#define    AUDIOH_ADC_CTL_EANC_EN_MASK                                    0x00000040
#define       AUDIOH_ADC_CTL_EANC_EN_CMD_EANC_EN_DISABLE                  0x00000000
#define       AUDIOH_ADC_CTL_EANC_EN_CMD_EANC_EN_ENABLE                   0x00000001
#define    AUDIOH_ADC_CTL_AMIC_EN_SHIFT                                   4
#define    AUDIOH_ADC_CTL_AMIC_EN_MASK                                    0x00000010
#define       AUDIOH_ADC_CTL_AMIC_EN_CMD_AMIC_EN_DISABLE                  0x00000000
#define       AUDIOH_ADC_CTL_AMIC_EN_CMD_AMIC_EN_ENABLE                   0x00000001
#define    AUDIOH_ADC_CTL_DMIC4_EN_SHIFT                                  3
#define    AUDIOH_ADC_CTL_DMIC4_EN_MASK                                   0x00000008
#define       AUDIOH_ADC_CTL_DMIC4_EN_CMD_DMIC4_EN_DISABLE                0x00000000
#define       AUDIOH_ADC_CTL_DMIC4_EN_CMD_DMIC4_EN_ENABLE                 0x00000001
#define    AUDIOH_ADC_CTL_DMIC3_EN_SHIFT                                  2
#define    AUDIOH_ADC_CTL_DMIC3_EN_MASK                                   0x00000004
#define       AUDIOH_ADC_CTL_DMIC3_EN_CMD_DMIC3_EN_DISABLE                0x00000000
#define       AUDIOH_ADC_CTL_DMIC3_EN_CMD_DMIC3_EN_ENABLE                 0x00000001
#define    AUDIOH_ADC_CTL_DMIC2_EN_SHIFT                                  1
#define    AUDIOH_ADC_CTL_DMIC2_EN_MASK                                   0x00000002
#define       AUDIOH_ADC_CTL_DMIC2_EN_CMD_DMIC2_EN_DISABLE                0x00000000
#define       AUDIOH_ADC_CTL_DMIC2_EN_CMD_DMIC2_EN_ENABLE                 0x00000001
#define    AUDIOH_ADC_CTL_DMIC1_EN_SHIFT                                  0
#define    AUDIOH_ADC_CTL_DMIC1_EN_MASK                                   0x00000001
#define       AUDIOH_ADC_CTL_DMIC1_EN_CMD_DMIC1_EN_DISABLE                0x00000000
#define       AUDIOH_ADC_CTL_DMIC1_EN_CMD_DMIC1_EN_ENABLE                 0x00000001

#define AUDIOH_DMA_CTL_OFFSET                                             0x00000008
#define AUDIOH_DMA_CTL_TYPE                                               UInt32
#define AUDIOH_DMA_CTL_RESERVED_MASK                                      0xFFFFFC80
#define    AUDIOH_DMA_CTL_NVINL_DMA_EN_SHIFT                              9
#define    AUDIOH_DMA_CTL_NVINL_DMA_EN_MASK                               0x00000200
#define       AUDIOH_DMA_CTL_NVINL_DMA_EN_CMD_NVINL_DMA_EN_DISABLE        0x00000000
#define       AUDIOH_DMA_CTL_NVINL_DMA_EN_CMD_NVINL_DMA_EN_ENABLE         0x00000001
#define    AUDIOH_DMA_CTL_VINL_DMA_EN_SHIFT                               8
#define    AUDIOH_DMA_CTL_VINL_DMA_EN_MASK                                0x00000100
#define       AUDIOH_DMA_CTL_VINL_DMA_EN_CMD_VINL_DMA_EN_DISABLE          0x00000000
#define       AUDIOH_DMA_CTL_VINL_DMA_EN_CMD_VINL_DMA_EN_ENABLE           0x00000001
#define    AUDIOH_DMA_CTL_EANC_DMA_EN_SHIFT                               6
#define    AUDIOH_DMA_CTL_EANC_DMA_EN_MASK                                0x00000040
#define       AUDIOH_DMA_CTL_EANC_DMA_EN_CMD_EANC_DMA_EN_DISABLE          0x00000000
#define       AUDIOH_DMA_CTL_EANC_DMA_EN_CMD_EANC_DMA_EN_ENABLE           0x00000001
#define    AUDIOH_DMA_CTL_NVINR_DMA_EN_SHIFT                              5
#define    AUDIOH_DMA_CTL_NVINR_DMA_EN_MASK                               0x00000020
#define       AUDIOH_DMA_CTL_NVINR_DMA_EN_CMD_NVINR_DMA_EN_DISABLE        0x00000000
#define       AUDIOH_DMA_CTL_NVINR_DMA_EN_CMD_NVINR_DMA_EN_ENABLE         0x00000001
#define    AUDIOH_DMA_CTL_VINR_DMA_EN_SHIFT                               4
#define    AUDIOH_DMA_CTL_VINR_DMA_EN_MASK                                0x00000010
#define       AUDIOH_DMA_CTL_VINR_DMA_EN_CMD_VINR_DMA_EN_DISABLE          0x00000000
#define       AUDIOH_DMA_CTL_VINR_DMA_EN_CMD_VINR_DMA_EN_ENABLE           0x00000001
#define    AUDIOH_DMA_CTL_VIBRA_DMA_EN_SHIFT                              3
#define    AUDIOH_DMA_CTL_VIBRA_DMA_EN_MASK                               0x00000008
#define       AUDIOH_DMA_CTL_VIBRA_DMA_EN_CMD_VIBRA_DMA_EN_DISABLE        0x00000000
#define       AUDIOH_DMA_CTL_VIBRA_DMA_EN_CMD_VIBRA_DMA_EN_ENABLE         0x00000001
#define    AUDIOH_DMA_CTL_VOUT_DMA_EN_SHIFT                               2
#define    AUDIOH_DMA_CTL_VOUT_DMA_EN_MASK                                0x00000004
#define       AUDIOH_DMA_CTL_VOUT_DMA_EN_CMD_VOUT_DMA_EN_DISABLE          0x00000000
#define       AUDIOH_DMA_CTL_VOUT_DMA_EN_CMD_VOUT_DMA_EN_ENABLE           0x00000001
#define    AUDIOH_DMA_CTL_IHF_DMA_EN_SHIFT                                1
#define    AUDIOH_DMA_CTL_IHF_DMA_EN_MASK                                 0x00000002
#define       AUDIOH_DMA_CTL_IHF_DMA_EN_CMD_IHF_DMA_EN_DISABLE            0x00000000
#define       AUDIOH_DMA_CTL_IHF_DMA_EN_CMD_IHF_DMA_EN_ENABLE             0x00000001
#define    AUDIOH_DMA_CTL_STEREO_DMA_EN_SHIFT                             0
#define    AUDIOH_DMA_CTL_STEREO_DMA_EN_MASK                              0x00000001
#define       AUDIOH_DMA_CTL_STEREO_DMA_EN_CMD_STEREO_DMA_EN_DISABLE      0x00000000
#define       AUDIOH_DMA_CTL_STEREO_DMA_EN_CMD_STEREO_DMA_EN_ENABLE       0x00000001

#define AUDIOH_AUDIO_INT_STATUS_OFFSET                                    0x0000000C
#define AUDIOH_AUDIO_INT_STATUS_TYPE                                      UInt32
#define AUDIOH_AUDIO_INT_STATUS_RESERVED_MASK                             0xFFF08080
#define    AUDIOH_AUDIO_INT_STATUS_NVIN_FIFOL_ERR_SHIFT                   19
#define    AUDIOH_AUDIO_INT_STATUS_NVIN_FIFOL_ERR_MASK                    0x00080000
#define    AUDIOH_AUDIO_INT_STATUS_VIN_FIFOL_ERR_SHIFT                    18
#define    AUDIOH_AUDIO_INT_STATUS_VIN_FIFOL_ERR_MASK                     0x00040000
#define    AUDIOH_AUDIO_INT_STATUS_NVINL_INT_SHIFT                        17
#define    AUDIOH_AUDIO_INT_STATUS_NVINL_INT_MASK                         0x00020000
#define    AUDIOH_AUDIO_INT_STATUS_VINL_INT_SHIFT                         16
#define    AUDIOH_AUDIO_INT_STATUS_VINL_INT_MASK                          0x00010000
#define    AUDIOH_AUDIO_INT_STATUS_EANC_FIFO_ERR_SHIFT                    14
#define    AUDIOH_AUDIO_INT_STATUS_EANC_FIFO_ERR_MASK                     0x00004000
#define    AUDIOH_AUDIO_INT_STATUS_NVIN_FIFOR_ERR_SHIFT                   13
#define    AUDIOH_AUDIO_INT_STATUS_NVIN_FIFOR_ERR_MASK                    0x00002000
#define    AUDIOH_AUDIO_INT_STATUS_VIN_FIFOR_ERR_SHIFT                    12
#define    AUDIOH_AUDIO_INT_STATUS_VIN_FIFOR_ERR_MASK                     0x00001000
#define    AUDIOH_AUDIO_INT_STATUS_VIBRA_FIFO_ERR_SHIFT                   11
#define    AUDIOH_AUDIO_INT_STATUS_VIBRA_FIFO_ERR_MASK                    0x00000800
#define    AUDIOH_AUDIO_INT_STATUS_VOUT_FIFO_ERR_SHIFT                    10
#define    AUDIOH_AUDIO_INT_STATUS_VOUT_FIFO_ERR_MASK                     0x00000400
#define    AUDIOH_AUDIO_INT_STATUS_IHF_FIFO_ERR_SHIFT                     9
#define    AUDIOH_AUDIO_INT_STATUS_IHF_FIFO_ERR_MASK                      0x00000200
#define    AUDIOH_AUDIO_INT_STATUS_STEREO_FIFO_ERR_SHIFT                  8
#define    AUDIOH_AUDIO_INT_STATUS_STEREO_FIFO_ERR_MASK                   0x00000100
#define    AUDIOH_AUDIO_INT_STATUS_EANC_INT_SHIFT                         6
#define    AUDIOH_AUDIO_INT_STATUS_EANC_INT_MASK                          0x00000040
#define    AUDIOH_AUDIO_INT_STATUS_NVINR_INT_SHIFT                        5
#define    AUDIOH_AUDIO_INT_STATUS_NVINR_INT_MASK                         0x00000020
#define    AUDIOH_AUDIO_INT_STATUS_VINR_INT_SHIFT                         4
#define    AUDIOH_AUDIO_INT_STATUS_VINR_INT_MASK                          0x00000010
#define    AUDIOH_AUDIO_INT_STATUS_VIBRA_INT_SHIFT                        3
#define    AUDIOH_AUDIO_INT_STATUS_VIBRA_INT_MASK                         0x00000008
#define    AUDIOH_AUDIO_INT_STATUS_VOUT_INT_SHIFT                         2
#define    AUDIOH_AUDIO_INT_STATUS_VOUT_INT_MASK                          0x00000004
#define    AUDIOH_AUDIO_INT_STATUS_IHF_INT_SHIFT                          1
#define    AUDIOH_AUDIO_INT_STATUS_IHF_INT_MASK                           0x00000002
#define    AUDIOH_AUDIO_INT_STATUS_STEREO_INT_SHIFT                       0
#define    AUDIOH_AUDIO_INT_STATUS_STEREO_INT_MASK                        0x00000001

#define AUDIOH_AUDIO_INTC_OFFSET                                          0x00000010
#define AUDIOH_AUDIO_INTC_TYPE                                            UInt32
#define AUDIOH_AUDIO_INTC_RESERVED_MASK                                   0xFFF08080
#define    AUDIOH_AUDIO_INTC_NVIN_FIFOL_ERRINT_EN_SHIFT                   19
#define    AUDIOH_AUDIO_INTC_NVIN_FIFOL_ERRINT_EN_MASK                    0x00080000
#define    AUDIOH_AUDIO_INTC_VIN_FIFOL_ERRINT_EN_SHIFT                    18
#define    AUDIOH_AUDIO_INTC_VIN_FIFOL_ERRINT_EN_MASK                     0x00040000
#define    AUDIOH_AUDIO_INTC_NVINL_INTEN_SHIFT                            17
#define    AUDIOH_AUDIO_INTC_NVINL_INTEN_MASK                             0x00020000
#define       AUDIOH_AUDIO_INTC_NVINL_INTEN_CMD_NVINL_INT_DISABLE         0x00000000
#define       AUDIOH_AUDIO_INTC_NVINL_INTEN_CMD_NVINL_INT_ENABLE          0x00000001
#define    AUDIOH_AUDIO_INTC_VINL_INTEN_SHIFT                             16
#define    AUDIOH_AUDIO_INTC_VINL_INTEN_MASK                              0x00010000
#define       AUDIOH_AUDIO_INTC_VINL_INTEN_CMD_VINL_INT_DISABLE           0x00000000
#define       AUDIOH_AUDIO_INTC_VINL_INTEN_CMD_VINL_INT_ENABLE            0x00000001
#define    AUDIOH_AUDIO_INTC_EANC_FIFO_ERRINT_EN_SHIFT                    14
#define    AUDIOH_AUDIO_INTC_EANC_FIFO_ERRINT_EN_MASK                     0x00004000
#define    AUDIOH_AUDIO_INTC_NVIN_FIFOR_ERRINT_EN_SHIFT                   13
#define    AUDIOH_AUDIO_INTC_NVIN_FIFOR_ERRINT_EN_MASK                    0x00002000
#define    AUDIOH_AUDIO_INTC_VIN_FIFOR_ERRINT_EN_SHIFT                    12
#define    AUDIOH_AUDIO_INTC_VIN_FIFOR_ERRINT_EN_MASK                     0x00001000
#define    AUDIOH_AUDIO_INTC_VIBRA_FIFO_ERRINT_EN_SHIFT                   11
#define    AUDIOH_AUDIO_INTC_VIBRA_FIFO_ERRINT_EN_MASK                    0x00000800
#define    AUDIOH_AUDIO_INTC_VOUT_FIFO_ERRINT_EN_SHIFT                    10
#define    AUDIOH_AUDIO_INTC_VOUT_FIFO_ERRINT_EN_MASK                     0x00000400
#define    AUDIOH_AUDIO_INTC_IHF_FIFO_ERRINT_EN_SHIFT                     9
#define    AUDIOH_AUDIO_INTC_IHF_FIFO_ERRINT_EN_MASK                      0x00000200
#define    AUDIOH_AUDIO_INTC_STEREO_FIFO_ERRINT_EN_SHIFT                  8
#define    AUDIOH_AUDIO_INTC_STEREO_FIFO_ERRINT_EN_MASK                   0x00000100
#define    AUDIOH_AUDIO_INTC_EANC_INTEN_SHIFT                             6
#define    AUDIOH_AUDIO_INTC_EANC_INTEN_MASK                              0x00000040
#define       AUDIOH_AUDIO_INTC_EANC_INTEN_CMD_EANC_INT_DISABLE           0x00000000
#define       AUDIOH_AUDIO_INTC_EANC_INTEN_CMD_EANC_INT_ENABLE            0x00000001
#define    AUDIOH_AUDIO_INTC_NVINR_INTEN_SHIFT                            5
#define    AUDIOH_AUDIO_INTC_NVINR_INTEN_MASK                             0x00000020
#define       AUDIOH_AUDIO_INTC_NVINR_INTEN_CMD_NVINR_INT_DISABLE         0x00000000
#define       AUDIOH_AUDIO_INTC_NVINR_INTEN_CMD_NVINR_INT_ENABLE          0x00000001
#define    AUDIOH_AUDIO_INTC_VINR_INTEN_SHIFT                             4
#define    AUDIOH_AUDIO_INTC_VINR_INTEN_MASK                              0x00000010
#define       AUDIOH_AUDIO_INTC_VINR_INTEN_CMD_VINR_INT_DISABLE           0x00000000
#define       AUDIOH_AUDIO_INTC_VINR_INTEN_CMD_VINR_INT_ENABLE            0x00000001
#define    AUDIOH_AUDIO_INTC_VIBRA_INTEN_SHIFT                            3
#define    AUDIOH_AUDIO_INTC_VIBRA_INTEN_MASK                             0x00000008
#define       AUDIOH_AUDIO_INTC_VIBRA_INTEN_CMD_VIBRA_INT_DISABLE         0x00000000
#define       AUDIOH_AUDIO_INTC_VIBRA_INTEN_CMD_VIBRA_INT_ENABLE          0x00000001
#define    AUDIOH_AUDIO_INTC_VOUT_INTEN_SHIFT                             2
#define    AUDIOH_AUDIO_INTC_VOUT_INTEN_MASK                              0x00000004
#define       AUDIOH_AUDIO_INTC_VOUT_INTEN_CMD_VOUT_INT_DISABLE           0x00000000
#define       AUDIOH_AUDIO_INTC_VOUT_INTEN_CMD_VOUT_INT_ENABLE            0x00000001
#define    AUDIOH_AUDIO_INTC_IHF_INTEN_SHIFT                              1
#define    AUDIOH_AUDIO_INTC_IHF_INTEN_MASK                               0x00000002
#define       AUDIOH_AUDIO_INTC_IHF_INTEN_CMD_IHF_INT_DISABLE             0x00000000
#define       AUDIOH_AUDIO_INTC_IHF_INTEN_CMD_IHF_INT_ENABLE              0x00000001
#define    AUDIOH_AUDIO_INTC_STEREO_INTEN_SHIFT                           0
#define    AUDIOH_AUDIO_INTC_STEREO_INTEN_MASK                            0x00000001
#define       AUDIOH_AUDIO_INTC_STEREO_INTEN_CMD_STEREO_INT_DISABLE       0x00000000
#define       AUDIOH_AUDIO_INTC_STEREO_INTEN_CMD_STEREO_INT_ENABLE        0x00000001

#define AUDIOH_AUDIO_API_OFFSET                                           0x00000014
#define AUDIOH_AUDIO_API_TYPE                                             UInt32
#define AUDIOH_AUDIO_API_RESERVED_MASK                                    0xFFFFF8E0
#define    AUDIOH_AUDIO_API_VOUT_API_ATT_SHIFT                            10
#define    AUDIOH_AUDIO_API_VOUT_API_ATT_MASK                             0x00000400
#define    AUDIOH_AUDIO_API_IHF_API_ATT_SHIFT                             9
#define    AUDIOH_AUDIO_API_IHF_API_ATT_MASK                              0x00000200
#define    AUDIOH_AUDIO_API_STEREO_API_ATT_SHIFT                          8
#define    AUDIOH_AUDIO_API_STEREO_API_ATT_MASK                           0x00000100
#define    AUDIOH_AUDIO_API_VIN_API_EN_SHIFT                              4
#define    AUDIOH_AUDIO_API_VIN_API_EN_MASK                               0x00000010
#define    AUDIOH_AUDIO_API_VIBRA_API_EN_SHIFT                            3
#define    AUDIOH_AUDIO_API_VIBRA_API_EN_MASK                             0x00000008
#define    AUDIOH_AUDIO_API_VOUT_API_EN_SHIFT                             2
#define    AUDIOH_AUDIO_API_VOUT_API_EN_MASK                              0x00000004
#define    AUDIOH_AUDIO_API_IHF_API_EN_SHIFT                              1
#define    AUDIOH_AUDIO_API_IHF_API_EN_MASK                               0x00000002
#define    AUDIOH_AUDIO_API_STEREO_API_EN_SHIFT                           0
#define    AUDIOH_AUDIO_API_STEREO_API_EN_MASK                            0x00000001

#define AUDIOH_STEREO_FIFO_CTRL_OFFSET                                    0x00000020
#define AUDIOH_STEREO_FIFO_CTRL_TYPE                                      UInt32
#define AUDIOH_STEREO_FIFO_CTRL_RESERVED_MASK                             0xFFFF8000
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_MONO_SHIFT                 14
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_MONO_MASK                  0x00004000
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_24BIT_SHIFT                13
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_24BIT_MASK                 0x00002000
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_PACK_SHIFT                 12
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_PACK_MASK                  0x00001000
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_THRES2_SHIFT               8
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_THRES2_MASK                0x00000F00
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_CLEAR_SHIFT                7
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_CLEAR_MASK                 0x00000080
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_THRES_SHIFT                0
#define    AUDIOH_STEREO_FIFO_CTRL_STEREO_FIFO_THRES_MASK                 0x0000007F

#define AUDIOH_IHF_FIFO_CTRL_OFFSET                                       0x00000024
#define AUDIOH_IHF_FIFO_CTRL_TYPE                                         UInt32
#define AUDIOH_IHF_FIFO_CTRL_RESERVED_MASK                                0xFFFF8000
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_MONO_SHIFT                       14
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_MONO_MASK                        0x00004000
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_24BIT_SHIFT                      13
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_24BIT_MASK                       0x00002000
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_PACK_SHIFT                       12
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_PACK_MASK                        0x00001000
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_THRES2_SHIFT                     8
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_THRES2_MASK                      0x00000F00
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_CLEAR_SHIFT                      7
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_CLEAR_MASK                       0x00000080
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_THRES_SHIFT                      0
#define    AUDIOH_IHF_FIFO_CTRL_IHF_FIFO_THRES_MASK                       0x0000007F

#define AUDIOH_VOUT_FIFO_CTRL_OFFSET                                      0x00000028
#define AUDIOH_VOUT_FIFO_CTRL_TYPE                                        UInt32
#define AUDIOH_VOUT_FIFO_CTRL_RESERVED_MASK                               0xFFFFC000
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_24BIT_SHIFT                    13
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_24BIT_MASK                     0x00002000
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_PACK_SHIFT                     12
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_PACK_MASK                      0x00001000
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_THRES2_SHIFT                   8
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_THRES2_MASK                    0x00000F00
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_CLEAR_SHIFT                    7
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_CLEAR_MASK                     0x00000080
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_THRES_SHIFT                    0
#define    AUDIOH_VOUT_FIFO_CTRL_VOUT_FIFO_THRES_MASK                     0x0000007F

#define AUDIOH_VIBRA_FIFO_CTRL_OFFSET                                     0x0000002C
#define AUDIOH_VIBRA_FIFO_CTRL_TYPE                                       UInt32
#define AUDIOH_VIBRA_FIFO_CTRL_RESERVED_MASK                              0xFFFE8000
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_SHIFT                 16
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_MASK                  0x00010000
#define       AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_CMD_VIBRA_FIFO_BYPASS_DISABLE 0x00000000
#define       AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_BYPASS_CMD_VIBRA_FIFO_BYPASS_ENABLE 0x00000001
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_API_ATTENUATE_ENABLE_SHIFT        14
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_API_ATTENUATE_ENABLE_MASK         0x00004000
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_24BIT_SHIFT                  13
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_24BIT_MASK                   0x00002000
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_PACK_SHIFT                   12
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_PACK_MASK                    0x00001000
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES2_SHIFT                 8
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES2_MASK                  0x00000F00
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_CLEAR_SHIFT                  7
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_CLEAR_MASK                   0x00000080
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES_SHIFT                  0
#define    AUDIOH_VIBRA_FIFO_CTRL_VIBRA_FIFO_THRES_MASK                   0x0000007F

#define AUDIOH_EANC_FIFO_CTRL_OFFSET                                      0x00000030
#define AUDIOH_EANC_FIFO_CTRL_TYPE                                        UInt32
#define AUDIOH_EANC_FIFO_CTRL_RESERVED_MASK                               0xFFFFC000
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_24BIT_SHIFT                    13
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_24BIT_MASK                     0x00002000
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_PACK_SHIFT                     12
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_PACK_MASK                      0x00001000
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_THRES2_SHIFT                   8
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_THRES2_MASK                    0x00000F00
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_CLEAR_SHIFT                    7
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_CLEAR_MASK                     0x00000080
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_THRES_SHIFT                    0
#define    AUDIOH_EANC_FIFO_CTRL_EANC_FIFO_THRES_MASK                     0x0000007F

#define AUDIOH_VIN_FIFO_CTRL_OFFSET                                       0x00000034
#define AUDIOH_VIN_FIFO_CTRL_TYPE                                         UInt32
#define AUDIOH_VIN_FIFO_CTRL_RESERVED_MASK                                0xFFFE8000
#define    AUDIOH_VIN_FIFO_CTRL_SIDETONE_SEL_SHIFT                        16
#define    AUDIOH_VIN_FIFO_CTRL_SIDETONE_SEL_MASK                         0x00010000
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_MONO_SHIFT                       14
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_MONO_MASK                        0x00004000
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_24BIT_SHIFT                      13
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_24BIT_MASK                       0x00002000
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_PACK_SHIFT                       12
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_PACK_MASK                        0x00001000
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_THRES2_SHIFT                     8
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_THRES2_MASK                      0x00000F00
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_CLEAR_SHIFT                      7
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_CLEAR_MASK                       0x00000080
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_THRES_SHIFT                      0
#define    AUDIOH_VIN_FIFO_CTRL_VIN_FIFO_THRES_MASK                       0x0000007F

#define AUDIOH_NVIN_FIFO_CTRL_OFFSET                                      0x00000038
#define AUDIOH_NVIN_FIFO_CTRL_TYPE                                        UInt32
#define AUDIOH_NVIN_FIFO_CTRL_RESERVED_MASK                               0xFFFC8000
#define    AUDIOH_NVIN_FIFO_CTRL_SIDETONE_SEL_R_SHIFT                     17
#define    AUDIOH_NVIN_FIFO_CTRL_SIDETONE_SEL_R_MASK                      0x00020000
#define    AUDIOH_NVIN_FIFO_CTRL_SIDETONE_SEL_L_SHIFT                     16
#define    AUDIOH_NVIN_FIFO_CTRL_SIDETONE_SEL_L_MASK                      0x00010000
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_MONO_SHIFT                     14
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_MONO_MASK                      0x00004000
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_24BIT_SHIFT                    13
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_24BIT_MASK                     0x00002000
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_PACK_SHIFT                     12
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_PACK_MASK                      0x00001000
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_THRES2_SHIFT                   8
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_THRES2_MASK                    0x00000F00
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_CLEAR_SHIFT                    7
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_CLEAR_MASK                     0x00000080
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_THRES_SHIFT                    0
#define    AUDIOH_NVIN_FIFO_CTRL_NVIN_FIFO_THRES_MASK                     0x0000007F

#define AUDIOH_STEREO_FIFO_STATUS_OFFSET                                  0x0000003C
#define AUDIOH_STEREO_FIFO_STATUS_TYPE                                    UInt32
#define AUDIOH_STEREO_FIFO_STATUS_RESERVED_MASK                           0xFFFFE000
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_FULL_SHIFT          12
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_FULL_MASK           0x00001000
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_EMPTY_SHIFT         11
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_NEAR_EMPTY_MASK          0x00000800
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_OVF_SHIFT                10
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_OVF_MASK                 0x00000400
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_UDF_SHIFT                9
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_UDF_MASK                 0x00000200
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_THRESMET_SHIFT           8
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_THRESMET_MASK            0x00000100
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_ENTRY_SHIFT              0
#define    AUDIOH_STEREO_FIFO_STATUS_STEREO_FIFO_ENTRY_MASK               0x000000FF

#define AUDIOH_IHF_FIFO_STATUS_OFFSET                                     0x00000040
#define AUDIOH_IHF_FIFO_STATUS_TYPE                                       UInt32
#define AUDIOH_IHF_FIFO_STATUS_RESERVED_MASK                              0xFFFFE000
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_NEAR_FULL_SHIFT                12
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_NEAR_FULL_MASK                 0x00001000
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_NEAR_EMPTY_SHIFT               11
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_NEAR_EMPTY_MASK                0x00000800
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_OVF_SHIFT                      10
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_OVF_MASK                       0x00000400
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_UDF_SHIFT                      9
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_UDF_MASK                       0x00000200
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_THRESMET_SHIFT                 8
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_THRESMET_MASK                  0x00000100
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_ENTRY_SHIFT                    0
#define    AUDIOH_IHF_FIFO_STATUS_IHF_FIFO_ENTRY_MASK                     0x000000FF

#define AUDIOH_VOUT_FIFO_STATUS_OFFSET                                    0x00000044
#define AUDIOH_VOUT_FIFO_STATUS_TYPE                                      UInt32
#define AUDIOH_VOUT_FIFO_STATUS_RESERVED_MASK                             0xFFFFE000
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_FULL_SHIFT              12
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_FULL_MASK               0x00001000
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_EMPTY_SHIFT             11
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_NEAR_EMPTY_MASK              0x00000800
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_OVF_SHIFT                    10
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_OVF_MASK                     0x00000400
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_UDF_SHIFT                    9
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_UDF_MASK                     0x00000200
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_THRESMET_SHIFT               8
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_THRESMET_MASK                0x00000100
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_ENTRY_SHIFT                  0
#define    AUDIOH_VOUT_FIFO_STATUS_VOUT_FIFO_ENTRY_MASK                   0x000000FF

#define AUDIOH_VIBRA_FIFO_STATUS_OFFSET                                   0x00000048
#define AUDIOH_VIBRA_FIFO_STATUS_TYPE                                     UInt32
#define AUDIOH_VIBRA_FIFO_STATUS_RESERVED_MASK                            0xFFFFE000
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_FULL_SHIFT            12
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_FULL_MASK             0x00001000
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_EMPTY_SHIFT           11
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_NEAR_EMPTY_MASK            0x00000800
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_OVF_SHIFT                  10
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_OVF_MASK                   0x00000400
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_UDF_SHIFT                  9
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_UDF_MASK                   0x00000200
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_THRESMET_SHIFT             8
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_THRESMET_MASK              0x00000100
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_ENTRY_SHIFT                0
#define    AUDIOH_VIBRA_FIFO_STATUS_VIBRA_FIFO_ENTRY_MASK                 0x000000FF

#define AUDIOH_EANC_FIFO_STATUS_OFFSET                                    0x0000004C
#define AUDIOH_EANC_FIFO_STATUS_TYPE                                      UInt32
#define AUDIOH_EANC_FIFO_STATUS_RESERVED_MASK                             0xFFFFE000
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_NEAR_FULL_SHIFT              12
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_NEAR_FULL_MASK               0x00001000
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_NEAR_EMPTY_SHIFT             11
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_NEAR_EMPTY_MASK              0x00000800
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_OVF_SHIFT                    10
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_OVF_MASK                     0x00000400
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_UDF_SHIFT                    9
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_UDF_MASK                     0x00000200
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_THRESMET_SHIFT               8
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_THRESMET_MASK                0x00000100
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_ENTRY_SHIFT                  0
#define    AUDIOH_EANC_FIFO_STATUS_EANC_FIFO_ENTRY_MASK                   0x000000FF

#define AUDIOH_VIN_FIFOR_STATUS_OFFSET                                    0x00000050
#define AUDIOH_VIN_FIFOR_STATUS_TYPE                                      UInt32
#define AUDIOH_VIN_FIFOR_STATUS_RESERVED_MASK                             0xFFFFE000
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_FULL_SHIFT              12
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_FULL_MASK               0x00001000
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_EMPTY_SHIFT             11
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_NEAR_EMPTY_MASK              0x00000800
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_OVF_SHIFT                    10
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_OVF_MASK                     0x00000400
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_UDF_SHIFT                    9
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_UDF_MASK                     0x00000200
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_THRESMET_SHIFT               8
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_THRESMET_MASK                0x00000100
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_ENTRY_SHIFT                  0
#define    AUDIOH_VIN_FIFOR_STATUS_VIN_FIFOR_ENTRY_MASK                   0x000000FF

#define AUDIOH_NVIN_FIFOR_STATUS_OFFSET                                   0x00000054
#define AUDIOH_NVIN_FIFOR_STATUS_TYPE                                     UInt32
#define AUDIOH_NVIN_FIFOR_STATUS_RESERVED_MASK                            0xFFFFE000
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_FULL_SHIFT            12
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_FULL_MASK             0x00001000
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_EMPTY_SHIFT           11
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_NEAR_EMPTY_MASK            0x00000800
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_OVF_SHIFT                  10
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_OVF_MASK                   0x00000400
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_UDF_SHIFT                  9
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_UDF_MASK                   0x00000200
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_THRESMET_SHIFT             8
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_THRESMET_MASK              0x00000100
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_ENTRY_SHIFT                0
#define    AUDIOH_NVIN_FIFOR_STATUS_NVIN_FIFOR_ENTRY_MASK                 0x000000FF

#define AUDIOH_VIN_FIFOL_STATUS_OFFSET                                    0x00000058
#define AUDIOH_VIN_FIFOL_STATUS_TYPE                                      UInt32
#define AUDIOH_VIN_FIFOL_STATUS_RESERVED_MASK                             0xFFFFE000
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_FULL_SHIFT              12
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_FULL_MASK               0x00001000
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_EMPTY_SHIFT             11
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_NEAR_EMPTY_MASK              0x00000800
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_OVF_SHIFT                    10
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_OVF_MASK                     0x00000400
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_UDF_SHIFT                    9
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_UDF_MASK                     0x00000200
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_THRESMET_SHIFT               8
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_THRESMET_MASK                0x00000100
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_ENTRY_SHIFT                  0
#define    AUDIOH_VIN_FIFOL_STATUS_VIN_FIFOL_ENTRY_MASK                   0x000000FF

#define AUDIOH_NVIN_FIFOL_STATUS_OFFSET                                   0x0000005C
#define AUDIOH_NVIN_FIFOL_STATUS_TYPE                                     UInt32
#define AUDIOH_NVIN_FIFOL_STATUS_RESERVED_MASK                            0xFFFFE000
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_FULL_SHIFT            12
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_FULL_MASK             0x00001000
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_EMPTY_SHIFT           11
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_NEAR_EMPTY_MASK            0x00000800
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_OVF_SHIFT                  10
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_OVF_MASK                   0x00000400
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_UDF_SHIFT                  9
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_UDF_MASK                   0x00000200
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_THRESMET_SHIFT             8
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_THRESMET_MASK              0x00000100
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_ENTRY_SHIFT                0
#define    AUDIOH_NVIN_FIFOL_STATUS_NVIN_FIFOL_ENTRY_MASK                 0x000000FF

#define AUDIOH_ADCPATH_GLOBAL_CTRL_OFFSET                                 0x00000060
#define AUDIOH_ADCPATH_GLOBAL_CTRL_TYPE                                   UInt32
#define AUDIOH_ADCPATH_GLOBAL_CTRL_RESERVED_MASK                          0xFFFFFEFE
#define    AUDIOH_ADCPATH_GLOBAL_CTRL_FIFO_GLOBAL_CLEAR_SHIFT             8
#define    AUDIOH_ADCPATH_GLOBAL_CTRL_FIFO_GLOBAL_CLEAR_MASK              0x00000100
#define    AUDIOH_ADCPATH_GLOBAL_CTRL_GLOABAL_EN_SHIFT                    0
#define    AUDIOH_ADCPATH_GLOBAL_CTRL_GLOABAL_EN_MASK                     0x00000001

#define AUDIOH_VIN_FILTER_CTRL_OFFSET                                     0x00000074
#define AUDIOH_VIN_FILTER_CTRL_TYPE                                       UInt32
#define AUDIOH_VIN_FILTER_CTRL_RESERVED_MASK                              0x80008000
#define    AUDIOH_VIN_FILTER_CTRL_DMIC2_CIC_BIT_SEL_SHIFT                 29
#define    AUDIOH_VIN_FILTER_CTRL_DMIC2_CIC_BIT_SEL_MASK                  0x60000000
#define    AUDIOH_VIN_FILTER_CTRL_DMIC2_CIC_FINE_SCL_SHIFT                16
#define    AUDIOH_VIN_FILTER_CTRL_DMIC2_CIC_FINE_SCL_MASK                 0x1FFF0000
#define    AUDIOH_VIN_FILTER_CTRL_DMIC1_CIC_BIT_SEL_SHIFT                 13
#define    AUDIOH_VIN_FILTER_CTRL_DMIC1_CIC_BIT_SEL_MASK                  0x00006000
#define    AUDIOH_VIN_FILTER_CTRL_DMIC1_CIC_FINE_SCL_SHIFT                0
#define    AUDIOH_VIN_FILTER_CTRL_DMIC1_CIC_FINE_SCL_MASK                 0x00001FFF

#define AUDIOH_NVIN_FILTER_CTRL_OFFSET                                    0x00000078
#define AUDIOH_NVIN_FILTER_CTRL_TYPE                                      UInt32
#define AUDIOH_NVIN_FILTER_CTRL_RESERVED_MASK                             0x80008000
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC4_CIC_BIT_SEL_SHIFT                29
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC4_CIC_BIT_SEL_MASK                 0x60000000
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC4_CIC_FINE_SCL_SHIFT               16
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC4_CIC_FINE_SCL_MASK                0x1FFF0000
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC3_CIC_BIT_SEL_SHIFT                13
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC3_CIC_BIT_SEL_MASK                 0x00006000
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC3_CIC_FINE_SCL_SHIFT               0
#define    AUDIOH_NVIN_FILTER_CTRL_DMIC3_CIC_FINE_SCL_MASK                0x00001FFF

#define AUDIOH_LOOPBACK_CTRL_OFFSET                                       0x0000007C
#define AUDIOH_LOOPBACK_CTRL_TYPE                                         UInt32
#define AUDIOH_LOOPBACK_CTRL_RESERVED_MASK                                0xFFFC0208
#define    AUDIOH_LOOPBACK_CTRL_ENABLE_DIG_TX_CLK_SHIFT                   17
#define    AUDIOH_LOOPBACK_CTRL_ENABLE_DIG_TX_CLK_MASK                    0x00020000
#define    AUDIOH_LOOPBACK_CTRL_DISABLE_ANA_TX_CLK_SHIFT                  16
#define    AUDIOH_LOOPBACK_CTRL_DISABLE_ANA_TX_CLK_MASK                   0x00010000
#define    AUDIOH_LOOPBACK_CTRL_DISABLE_ANA_RX_CLK_SHIFT                  15
#define    AUDIOH_LOOPBACK_CTRL_DISABLE_ANA_RX_CLK_MASK                   0x00008000
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_SEL_SHIFT                12
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_SEL_MASK                 0x00007000
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_9LEVEL_SHIFT             11
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_9LEVEL_MASK              0x00000800
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_EN_SHIFT                 10
#define    AUDIOH_LOOPBACK_CTRL_DAC_SDM_LOOPBACK_EN_MASK                  0x00000400
#define    AUDIOH_LOOPBACK_CTRL_VOUT_LOOPBACK_SHIFT                       8
#define    AUDIOH_LOOPBACK_CTRL_VOUT_LOOPBACK_MASK                        0x00000100
#define    AUDIOH_LOOPBACK_CTRL_IHF_LOOPBACK_R_SHIFT                      7
#define    AUDIOH_LOOPBACK_CTRL_IHF_LOOPBACK_R_MASK                       0x00000080
#define    AUDIOH_LOOPBACK_CTRL_IHF_LOOPBACK_L_SHIFT                      6
#define    AUDIOH_LOOPBACK_CTRL_IHF_LOOPBACK_L_MASK                       0x00000040
#define    AUDIOH_LOOPBACK_CTRL_STEREO_LOOPBACK_R_SHIFT                   5
#define    AUDIOH_LOOPBACK_CTRL_STEREO_LOOPBACK_R_MASK                    0x00000020
#define    AUDIOH_LOOPBACK_CTRL_STEREO_LOOPBACK_L_SHIFT                   4
#define    AUDIOH_LOOPBACK_CTRL_STEREO_LOOPBACK_L_MASK                    0x00000010
#define    AUDIOH_LOOPBACK_CTRL_ADC_LOOPBACK_SAMPLE_SHIFT                 1
#define    AUDIOH_LOOPBACK_CTRL_ADC_LOOPBACK_SAMPLE_MASK                  0x00000006
#define    AUDIOH_LOOPBACK_CTRL_LOOPBACK_EN_SHIFT                         0
#define    AUDIOH_LOOPBACK_CTRL_LOOPBACK_EN_MASK                          0x00000001

#define AUDIOH_VIBRA_SDM_CTRL_OFFSET                                      0x00000080
#define AUDIOH_VIBRA_SDM_CTRL_TYPE                                        UInt32
#define AUDIOH_VIBRA_SDM_CTRL_RESERVED_MASK                               0xFFFFFFC0
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_SAMPLE_EDGE_SHIFT                    5
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_SAMPLE_EDGE_MASK                     0x00000020
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_FLTS_SHIFT                           4
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_FLTS_MASK                            0x00000010
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_POP_SUP_SHIFT                        2
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_POP_SUP_MASK                         0x0000000C
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_BYPASS_SHIFT                         1
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_BYPASS_MASK                          0x00000002
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_PWDDIG_SHIFT                         0
#define    AUDIOH_VIBRA_SDM_CTRL_SDM_PWDDIG_MASK                          0x00000001

#define AUDIOH_VOUT_SDM_COEF_OFFSET                                       0x000000A0
#define AUDIOH_VOUT_SDM_COEF_TYPE                                         UInt32
#define AUDIOH_VOUT_SDM_COEF_RESERVED_MASK                                0x00000000
#define    AUDIOH_VOUT_SDM_COEF_VOUT_SDM_COEF1_SHIFT                      16
#define    AUDIOH_VOUT_SDM_COEF_VOUT_SDM_COEF1_MASK                       0xFFFF0000
#define    AUDIOH_VOUT_SDM_COEF_VOUT_SDM_COEF0_SHIFT                      0
#define    AUDIOH_VOUT_SDM_COEF_VOUT_SDM_COEF0_MASK                       0x0000FFFF

#define AUDIOH_STEREO_SDM_COEF_L_OFFSET                                   0x000000A4
#define AUDIOH_STEREO_SDM_COEF_L_TYPE                                     UInt32
#define AUDIOH_STEREO_SDM_COEF_L_RESERVED_MASK                            0x00000000
#define    AUDIOH_STEREO_SDM_COEF_L_STEREO_SDM_COEF1_L_SHIFT              16
#define    AUDIOH_STEREO_SDM_COEF_L_STEREO_SDM_COEF1_L_MASK               0xFFFF0000
#define    AUDIOH_STEREO_SDM_COEF_L_STEREO_SDM_COEF0_L_SHIFT              0
#define    AUDIOH_STEREO_SDM_COEF_L_STEREO_SDM_COEF0_L_MASK               0x0000FFFF

#define AUDIOH_STEREO_SDM_COEF_R_OFFSET                                   0x000000A8
#define AUDIOH_STEREO_SDM_COEF_R_TYPE                                     UInt32
#define AUDIOH_STEREO_SDM_COEF_R_RESERVED_MASK                            0x00000000
#define    AUDIOH_STEREO_SDM_COEF_R_STEREO_SDM_COEF1_R_SHIFT              16
#define    AUDIOH_STEREO_SDM_COEF_R_STEREO_SDM_COEF1_R_MASK               0xFFFF0000
#define    AUDIOH_STEREO_SDM_COEF_R_STEREO_SDM_COEF0_R_SHIFT              0
#define    AUDIOH_STEREO_SDM_COEF_R_STEREO_SDM_COEF0_R_MASK               0x0000FFFF

#define AUDIOH_IHF_SDM_COEF_L_OFFSET                                      0x000000AC
#define AUDIOH_IHF_SDM_COEF_L_TYPE                                        UInt32
#define AUDIOH_IHF_SDM_COEF_L_RESERVED_MASK                               0x00000000
#define    AUDIOH_IHF_SDM_COEF_L_IHF_SDM_COEF1_L_SHIFT                    16
#define    AUDIOH_IHF_SDM_COEF_L_IHF_SDM_COEF1_L_MASK                     0xFFFF0000
#define    AUDIOH_IHF_SDM_COEF_L_IHF_SDM_COEF0_L_SHIFT                    0
#define    AUDIOH_IHF_SDM_COEF_L_IHF_SDM_COEF0_L_MASK                     0x0000FFFF

#define AUDIOH_IHF_SDM_COEF_R_OFFSET                                      0x000000B0
#define AUDIOH_IHF_SDM_COEF_R_TYPE                                        UInt32
#define AUDIOH_IHF_SDM_COEF_R_RESERVED_MASK                               0x00000000
#define    AUDIOH_IHF_SDM_COEF_R_IHF_SDM_COEF1_R_SHIFT                    16
#define    AUDIOH_IHF_SDM_COEF_R_IHF_SDM_COEF1_R_MASK                     0xFFFF0000
#define    AUDIOH_IHF_SDM_COEF_R_IHF_SDM_COEF0_R_SHIFT                    0
#define    AUDIOH_IHF_SDM_COEF_R_IHF_SDM_COEF0_R_MASK                     0x0000FFFF

#define AUDIOH_SDM_DITHER_CTL_OFFSET                                      0x000000B4
#define AUDIOH_SDM_DITHER_CTL_TYPE                                        UInt32
#define AUDIOH_SDM_DITHER_CTL_RESERVED_MASK                               0xFE000000
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DRSUPPLY_DELAY_SHIFT              20
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DRSUPPLY_DELAY_MASK               0x01F00000
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_STRENGTH_SHIFT               18
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_STRENGTH_MASK                0x000C0000
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_NOISE_GAIN_SHIFT             17
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_NOISE_GAIN_MASK              0x00020000
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_EN_SHIFT                     16
#define    AUDIOH_SDM_DITHER_CTL_VOUT_DITHER_EN_MASK                      0x00010000
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_R_SHIFT              14
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_R_MASK               0x0000C000
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_R_SHIFT            13
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_R_MASK             0x00002000
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_EN_R_SHIFT                    12
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_EN_R_MASK                     0x00001000
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_L_SHIFT              10
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_STRENGTH_L_MASK               0x00000C00
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_L_SHIFT            9
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_NOISE_GAIN_L_MASK             0x00000200
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_EN_L_SHIFT                    8
#define    AUDIOH_SDM_DITHER_CTL_IHF_DITHER_EN_L_MASK                     0x00000100
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_R_SHIFT           6
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_R_MASK            0x000000C0
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_R_SHIFT         5
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_R_MASK          0x00000020
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_EN_R_SHIFT                 4
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_EN_R_MASK                  0x00000010
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_L_SHIFT           2
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_STRENGTH_L_MASK            0x0000000C
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_L_SHIFT         1
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_NOISE_GAIN_L_MASK          0x00000002
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_EN_L_SHIFT                 0
#define    AUDIOH_SDM_DITHER_CTL_STEREO_DITHER_EN_L_MASK                  0x00000001

#define AUDIOH_STEREO_DITHER_POLY_L_OFFSET                                0x000000B8
#define AUDIOH_STEREO_DITHER_POLY_L_TYPE                                  UInt32
#define AUDIOH_STEREO_DITHER_POLY_L_RESERVED_MASK                         0x00000000
#define    AUDIOH_STEREO_DITHER_POLY_L_STEREO_DITHER_SET_L_SHIFT          31
#define    AUDIOH_STEREO_DITHER_POLY_L_STEREO_DITHER_SET_L_MASK           0x80000000
#define    AUDIOH_STEREO_DITHER_POLY_L_STEREO_DITHER_POLY_L_SHIFT         0
#define    AUDIOH_STEREO_DITHER_POLY_L_STEREO_DITHER_POLY_L_MASK          0x7FFFFFFF

#define AUDIOH_STEREO_DITHER_SEED_L_OFFSET                                0x000000BC
#define AUDIOH_STEREO_DITHER_SEED_L_TYPE                                  UInt32
#define AUDIOH_STEREO_DITHER_SEED_L_RESERVED_MASK                         0x80000000
#define    AUDIOH_STEREO_DITHER_SEED_L_STEREO_DITHER_SEED_L_SHIFT         0
#define    AUDIOH_STEREO_DITHER_SEED_L_STEREO_DITHER_SEED_L_MASK          0x7FFFFFFF

#define AUDIOH_STEREO_DITHER_POLY_R_OFFSET                                0x000000C0
#define AUDIOH_STEREO_DITHER_POLY_R_TYPE                                  UInt32
#define AUDIOH_STEREO_DITHER_POLY_R_RESERVED_MASK                         0x00000000
#define    AUDIOH_STEREO_DITHER_POLY_R_STEREO_DITHER_SET_R_SHIFT          31
#define    AUDIOH_STEREO_DITHER_POLY_R_STEREO_DITHER_SET_R_MASK           0x80000000
#define    AUDIOH_STEREO_DITHER_POLY_R_STEREO_DITHER_POLY_R_SHIFT         0
#define    AUDIOH_STEREO_DITHER_POLY_R_STEREO_DITHER_POLY_R_MASK          0x7FFFFFFF

#define AUDIOH_STEREO_DITHER_SEED_R_OFFSET                                0x000000C4
#define AUDIOH_STEREO_DITHER_SEED_R_TYPE                                  UInt32
#define AUDIOH_STEREO_DITHER_SEED_R_RESERVED_MASK                         0x80000000
#define    AUDIOH_STEREO_DITHER_SEED_R_STEREO_DITHER_SEED_R_SHIFT         0
#define    AUDIOH_STEREO_DITHER_SEED_R_STEREO_DITHER_SEED_R_MASK          0x7FFFFFFF

#define AUDIOH_IHF_DITHER_POLY_L_OFFSET                                   0x000000C8
#define AUDIOH_IHF_DITHER_POLY_L_TYPE                                     UInt32
#define AUDIOH_IHF_DITHER_POLY_L_RESERVED_MASK                            0x00000000
#define    AUDIOH_IHF_DITHER_POLY_L_IHF_DITHER_SET_L_SHIFT                31
#define    AUDIOH_IHF_DITHER_POLY_L_IHF_DITHER_SET_L_MASK                 0x80000000
#define    AUDIOH_IHF_DITHER_POLY_L_IHF_DITHER_POLY_L_SHIFT               0
#define    AUDIOH_IHF_DITHER_POLY_L_IHF_DITHER_POLY_L_MASK                0x7FFFFFFF

#define AUDIOH_IHF_DITHER_SEED_L_OFFSET                                   0x000000CC
#define AUDIOH_IHF_DITHER_SEED_L_TYPE                                     UInt32
#define AUDIOH_IHF_DITHER_SEED_L_RESERVED_MASK                            0x80000000
#define    AUDIOH_IHF_DITHER_SEED_L_IHF_DITHER_SEED_L_SHIFT               0
#define    AUDIOH_IHF_DITHER_SEED_L_IHF_DITHER_SEED_L_MASK                0x7FFFFFFF

#define AUDIOH_IHF_DITHER_POLY_R_OFFSET                                   0x000000D0
#define AUDIOH_IHF_DITHER_POLY_R_TYPE                                     UInt32
#define AUDIOH_IHF_DITHER_POLY_R_RESERVED_MASK                            0x00000000
#define    AUDIOH_IHF_DITHER_POLY_R_IHF_DITHER_SET_R_SHIFT                31
#define    AUDIOH_IHF_DITHER_POLY_R_IHF_DITHER_SET_R_MASK                 0x80000000
#define    AUDIOH_IHF_DITHER_POLY_R_IHF_DITHER_POLY_R_SHIFT               0
#define    AUDIOH_IHF_DITHER_POLY_R_IHF_DITHER_POLY_R_MASK                0x7FFFFFFF

#define AUDIOH_IHF_DITHER_SEED_R_OFFSET                                   0x000000D4
#define AUDIOH_IHF_DITHER_SEED_R_TYPE                                     UInt32
#define AUDIOH_IHF_DITHER_SEED_R_RESERVED_MASK                            0x80000000
#define    AUDIOH_IHF_DITHER_SEED_R_IHF_DITHER_SEED_R_SHIFT               0
#define    AUDIOH_IHF_DITHER_SEED_R_IHF_DITHER_SEED_R_MASK                0x7FFFFFFF

#define AUDIOH_VOUT_DITHER_POLY_OFFSET                                    0x000000F0
#define AUDIOH_VOUT_DITHER_POLY_TYPE                                      UInt32
#define AUDIOH_VOUT_DITHER_POLY_RESERVED_MASK                             0x00000000
#define    AUDIOH_VOUT_DITHER_POLY_VOUT_DITHER_SET_SHIFT                  31
#define    AUDIOH_VOUT_DITHER_POLY_VOUT_DITHER_SET_MASK                   0x80000000
#define    AUDIOH_VOUT_DITHER_POLY_VOUT_DITHER_POLY_SHIFT                 0
#define    AUDIOH_VOUT_DITHER_POLY_VOUT_DITHER_POLY_MASK                  0x7FFFFFFF

#define AUDIOH_VOUT_DITHER_SEED_OFFSET                                    0x000000F4
#define AUDIOH_VOUT_DITHER_SEED_TYPE                                      UInt32
#define AUDIOH_VOUT_DITHER_SEED_RESERVED_MASK                             0x80000000
#define    AUDIOH_VOUT_DITHER_SEED_VOUT_DITHER_SEED_SHIFT                 0
#define    AUDIOH_VOUT_DITHER_SEED_VOUT_DITHER_SEED_MASK                  0x7FFFFFFF

#define AUDIOH_HS_DRIVER_SUPPLY_CTRL_OFFSET                               0x000000F8
#define AUDIOH_HS_DRIVER_SUPPLY_CTRL_TYPE                                 UInt32
#define AUDIOH_HS_DRIVER_SUPPLY_CTRL_RESERVED_MASK                        0xFFFF008C
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_LAG_SHIFT                   8
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_LAG_MASK                    0x0000FF00
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_DELAY_SHIFT                 4
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_DELAY_MASK                  0x00000070
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_INDICATOR_SHIFT             1
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_INDICATOR_MASK              0x00000002
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_POLARITY_SHIFT              0
#define    AUDIOH_HS_DRIVER_SUPPLY_CTRL_HS_DS_POLARITY_MASK               0x00000001

#define AUDIOH_HS_DRIVER_SUPPLY_TH_OFFSET                                 0x000000FC
#define AUDIOH_HS_DRIVER_SUPPLY_TH_TYPE                                   UInt32
#define AUDIOH_HS_DRIVER_SUPPLY_TH_RESERVED_MASK                          0xFF000000
#define    AUDIOH_HS_DRIVER_SUPPLY_TH_HS_DS_THRES_SHIFT                   0
#define    AUDIOH_HS_DRIVER_SUPPLY_TH_HS_DS_THRES_MASK                    0x00FFFFFF

#define AUDIOH_AUDIOTX_ISO_OFFSET                                         0x00000100
#define AUDIOH_AUDIOTX_ISO_TYPE                                           UInt32
#define AUDIOH_AUDIOTX_ISO_RESERVED_MASK                                  0xFFFFFFFC
#define    AUDIOH_AUDIOTX_ISO_AUDIOTX_ISO_IN_SHIFT                        1
#define    AUDIOH_AUDIOTX_ISO_AUDIOTX_ISO_IN_MASK                         0x00000002
#define    AUDIOH_AUDIOTX_ISO_AUDIOTX_ISO_OUT_SHIFT                       0
#define    AUDIOH_AUDIOTX_ISO_AUDIOTX_ISO_OUT_MASK                        0x00000001

#define AUDIOH_EP_DAC_CTRL_OFFSET                                         0x00000104
#define AUDIOH_EP_DAC_CTRL_TYPE                                           UInt32
#define AUDIOH_EP_DAC_CTRL_RESERVED_MASK                                  0x00000000
#define    AUDIOH_EP_DAC_CTRL_AUDIOTX_EP_CTRL_SHIFT                       0
#define    AUDIOH_EP_DAC_CTRL_AUDIOTX_EP_CTRL_MASK                        0xFFFFFFFF

#define AUDIOH_EP_PWR_OFFSET                                              0x00000108
#define AUDIOH_EP_PWR_TYPE                                                UInt32
#define AUDIOH_EP_PWR_RESERVED_MASK                                       0xFFFFFFEA
#define    AUDIOH_EP_PWR_AUDIOTX_EP_RESET_SHIFT                           4
#define    AUDIOH_EP_PWR_AUDIOTX_EP_RESET_MASK                            0x00000010
#define    AUDIOH_EP_PWR_AUDIOTX_EP_IHF_REF_PD_SHIFT                      2
#define    AUDIOH_EP_PWR_AUDIOTX_EP_IHF_REF_PD_MASK                       0x00000004
#define    AUDIOH_EP_PWR_AUDIOTX_EP_DAC_PD_SHIFT                          0
#define    AUDIOH_EP_PWR_AUDIOTX_EP_DAC_PD_MASK                           0x00000001

#define AUDIOH_EP_DRV_OFFSET                                              0x0000010C
#define AUDIOH_EP_DRV_TYPE                                                UInt32
#define AUDIOH_EP_DRV_RESERVED_MASK                                       0xFFFF7E00
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_SPAREBIT_SHIFT                    15
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_SPAREBIT_MASK                     0x00008000
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_CM_CTRL_SHIFT                     4
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_CM_CTRL_MASK                      0x000001F0
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_IQDBLDIS_SHIFT                    2
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_IQDBLDIS_MASK                     0x0000000C
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_MUTE_SHIFT                        1
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_MUTE_MASK                         0x00000002
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_PD_SHIFT                          0
#define    AUDIOH_EP_DRV_AUDIOTX_EP_DRV_PD_MASK                           0x00000001

#define AUDIOH_AUDIOTX_SR_OFFSET                                          0x00000110
#define AUDIOH_AUDIOTX_SR_TYPE                                            UInt32
#define AUDIOH_AUDIOTX_SR_RESERVED_MASK                                   0xFFFFFC00
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_SLOPTECTRL_SHIFT                  8
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_SLOPTECTRL_MASK                   0x00000300
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_SPARE_BIT_SHIFT                   7
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_SPARE_BIT_MASK                    0x00000080
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_END_PWRUP_SHIFT                   6
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_END_PWRUP_MASK                    0x00000040
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP2_5M_SHIFT                 5
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP2_5M_MASK                  0x00000020
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP1_45M_SHIFT                4
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_EN_RAMP1_45M_MASK                 0x00000010
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_END_PWRDOWN_SHIFT                 3
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_END_PWRDOWN_MASK                  0x00000008
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PD_ENABLE_SHIFT                   2
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PD_ENABLE_MASK                    0x00000004
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PU_ENABLE_SHIFT                   1
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PU_ENABLE_MASK                    0x00000002
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PUP_ED_DRV_TRIG_SHIFT             0
#define    AUDIOH_AUDIOTX_SR_AUDIOTX_SR_PUP_ED_DRV_TRIG_MASK              0x00000001

#define AUDIOH_HS_DAC_CTRL_OFFSET                                         0x00000114
#define AUDIOH_HS_DAC_CTRL_TYPE                                           UInt32
#define AUDIOH_HS_DAC_CTRL_RESERVED_MASK                                  0x00000000
#define    AUDIOH_HS_DAC_CTRL_AUDIOTX_HS_CTRL_SHIFT                       0
#define    AUDIOH_HS_DAC_CTRL_AUDIOTX_HS_CTRL_MASK                        0xFFFFFFFF

#define AUDIOH_HS_PWR_OFFSET                                              0x00000118
#define AUDIOH_HS_PWR_TYPE                                                UInt32
#define AUDIOH_HS_PWR_RESERVED_MASK                                       0xFFFFFFE8
#define    AUDIOH_HS_PWR_AUDIOTX_HS_RESET_SHIFT                           4
#define    AUDIOH_HS_PWR_AUDIOTX_HS_RESET_MASK                            0x00000010
#define    AUDIOH_HS_PWR_AUDIOTX_HS_REF_PD_SHIFT                          2
#define    AUDIOH_HS_PWR_AUDIOTX_HS_REF_PD_MASK                           0x00000004
#define    AUDIOH_HS_PWR_AUDIOTX_HS_DACR_PD_SHIFT                         1
#define    AUDIOH_HS_PWR_AUDIOTX_HS_DACR_PD_MASK                          0x00000002
#define    AUDIOH_HS_PWR_AUDIOTX_HS_DACL_PD_SHIFT                         0
#define    AUDIOH_HS_PWR_AUDIOTX_HS_DACL_PD_MASK                          0x00000001

#define AUDIOH_IHF_DAC_CTRL_OFFSET                                        0x0000011C
#define AUDIOH_IHF_DAC_CTRL_TYPE                                          UInt32
#define AUDIOH_IHF_DAC_CTRL_RESERVED_MASK                                 0x00000000
#define    AUDIOH_IHF_DAC_CTRL_AUDIOTX_IHF_CTRL_SHIFT                     0
#define    AUDIOH_IHF_DAC_CTRL_AUDIOTX_IHF_CTRL_MASK                      0xFFFFFFFF

#define AUDIOH_IHF_PWR_OFFSET                                             0x00000120
#define AUDIOH_IHF_PWR_TYPE                                               UInt32
#define AUDIOH_IHF_PWR_RESERVED_MASK                                      0xFFFFFFEC
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_RESET_SHIFT                         4
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_RESET_MASK                          0x00000010
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_DACR_PD_SHIFT                       1
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_DACR_PD_MASK                        0x00000002
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_DACL_PD_SHIFT                       0
#define    AUDIOH_IHF_PWR_AUDIOTX_IHF_DACL_PD_MASK                        0x00000001

#define AUDIOH_DAC_CTRL_OFFSET                                            0x00000124
#define AUDIOH_DAC_CTRL_TYPE                                              UInt32
#define AUDIOH_DAC_CTRL_RESERVED_MASK                                     0xC00000C0
#define    AUDIOH_DAC_CTRL_AUDIOTX_I_CLK_PD_SHIFT                         29
#define    AUDIOH_DAC_CTRL_AUDIOTX_I_CLK_PD_MASK                          0x20000000
#define    AUDIOH_DAC_CTRL_AUDIOTX_I_CLK_INV_SHIFT                        28
#define    AUDIOH_DAC_CTRL_AUDIOTX_I_CLK_INV_MASK                         0x10000000
#define    AUDIOH_DAC_CTRL_AUDIOTX_SPARE_BIT_SHIFT                        8
#define    AUDIOH_DAC_CTRL_AUDIOTX_SPARE_BIT_MASK                         0x0FFFFF00
#define    AUDIOH_DAC_CTRL_AUDIOTX_EP_DRV_STO_SHIFT                       4
#define    AUDIOH_DAC_CTRL_AUDIOTX_EP_DRV_STO_MASK                        0x00000030
#define    AUDIOH_DAC_CTRL_AUDIOTX_BB_STI_SHIFT                           2
#define    AUDIOH_DAC_CTRL_AUDIOTX_BB_STI_MASK                            0x0000000C
#define    AUDIOH_DAC_CTRL_AUDIOTX_TEST_EN_SHIFT                          0
#define    AUDIOH_DAC_CTRL_AUDIOTX_TEST_EN_MASK                           0x00000003

#define AUDIOH_VIBRA_CTRL_OFFSET                                          0x00000140
#define AUDIOH_VIBRA_CTRL_TYPE                                            UInt32
#define AUDIOH_VIBRA_CTRL_RESERVED_MASK                                   0x00FC8CC2
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_SPARE_BIT_SHIFT                    24
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_SPARE_BIT_MASK                     0xFF000000
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_STIN_SHIFT                         16
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_STIN_MASK                          0x00030000
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_STOUT_SHIFT                        13
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_STOUT_MASK                         0x00006000
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_EN_SELFTEST_SHIFT                  12
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_EN_SELFTEST_MASK                   0x00001000
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_ISO_IN_SHIFT                       9
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_ISO_IN_MASK                        0x00000200
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_ISO_OUT_SHIFT                      8
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_ISO_OUT_MASK                       0x00000100
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_RATE_CTL_SHIFT                     4
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_RATE_CTL_MASK                      0x00000030
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_BYPASS_CM_SHIFT                    3
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_BYPASS_CM_MASK                     0x00000008
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_HZ_SHIFT                           2
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_HZ_MASK                            0x00000004
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_PD_SHIFT                           0
#define    AUDIOH_VIBRA_CTRL_ANA_VIBRA_PD_MASK                            0x00000001

#define AUDIOH_MIN_PHASE_OFFSET                                           0x00000144
#define AUDIOH_MIN_PHASE_TYPE                                             UInt32
#define AUDIOH_MIN_PHASE_RESERVED_MASK                                    0xFFFFFF00
#define    AUDIOH_MIN_PHASE_DMIC4_MIN_PHASE_SHIFT                         7
#define    AUDIOH_MIN_PHASE_DMIC4_MIN_PHASE_MASK                          0x00000080
#define    AUDIOH_MIN_PHASE_DMIC3_MIN_PHASE_SHIFT                         6
#define    AUDIOH_MIN_PHASE_DMIC3_MIN_PHASE_MASK                          0x00000040
#define    AUDIOH_MIN_PHASE_DMIC2_MIN_PHASE_SHIFT                         5
#define    AUDIOH_MIN_PHASE_DMIC2_MIN_PHASE_MASK                          0x00000020
#define    AUDIOH_MIN_PHASE_DMIC1_MIN_PHASE_SHIFT                         4
#define    AUDIOH_MIN_PHASE_DMIC1_MIN_PHASE_MASK                          0x00000010
#define    AUDIOH_MIN_PHASE_VB_MIN_PHASE_SHIFT                            3
#define    AUDIOH_MIN_PHASE_VB_MIN_PHASE_MASK                             0x00000008
#define    AUDIOH_MIN_PHASE_IHF_MIN_PHASE_SHIFT                           2
#define    AUDIOH_MIN_PHASE_IHF_MIN_PHASE_MASK                            0x00000004
#define    AUDIOH_MIN_PHASE_HS_MIN_PHASE_SHIFT                            1
#define    AUDIOH_MIN_PHASE_HS_MIN_PHASE_MASK                             0x00000002
#define    AUDIOH_MIN_PHASE_EP_MIN_PHASE_SHIFT                            0
#define    AUDIOH_MIN_PHASE_EP_MIN_PHASE_MASK                             0x00000001

#define AUDIOH_AUDIORX_VRX1_OFFSET                                        0x00000200
#define AUDIOH_AUDIORX_VRX1_TYPE                                          UInt32
#define AUDIOH_AUDIORX_VRX1_RESERVED_MASK                                 0xF3C0E000
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_LDO_DIG_PWRDN_SHIFT                27
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_LDO_DIG_PWRDN_MASK                 0x08000000
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_LDO_TSTEN_SHIFT                    26
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_LDO_TSTEN_MASK                     0x04000000
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_GAINCTRL_SHIFT                 16
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_GAINCTRL_MASK                  0x003F0000
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_RCM_SHIFT                      8
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_RCM_MASK                       0x00001F00
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_CMHZB_SHIFT                    7
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_CMHZB_MASK                     0x00000080
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_SEL_MIC1B_MIC2_SHIFT           6
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_SEL_MIC1B_MIC2_MASK            0x00000040
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_ADCRST_SHIFT                   5
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_ADCRST_MASK                    0x00000020
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_DITHERDIS_SHIFT                4
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_DITHERDIS_MASK                 0x00000010
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_SCRAMDIS_SHIFT                 3
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_SCRAMDIS_MASK                  0x00000008
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_APMCLK_PWRDN_SHIFT                 2
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_APMCLK_PWRDN_MASK                  0x00000004
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_CMBUF_PWRDN_SHIFT              1
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_CMBUF_PWRDN_MASK               0x00000002
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_PWRDN_SHIFT                    0
#define    AUDIOH_AUDIORX_VRX1_AUDIORX_VRX_PWRDN_MASK                     0x00000001

#define AUDIOH_AUDIORX_VRX2_OFFSET                                        0x00000204
#define AUDIOH_AUDIORX_VRX2_TYPE                                          UInt32
#define AUDIOH_AUDIORX_VRX2_RESERVED_MASK                                 0xFE7888CC
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VMIC_CTRL_SHIFT                    23
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VMIC_CTRL_MASK                     0x01800000
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCFB1CTRL_SHIFT              16
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCFB1CTRL_MASK               0x00070000
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCR2CTRL_SHIFT                12
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCR2CTRL_MASK                 0x00007000
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCFF2CTRL_SHIFT              8
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCFF2CTRL_MASK               0x00000700
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCMOCTRL_SHIFT               4
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_ADCCMOCTRL_MASK                0x00000030
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_GMCMICTRL_SHIFT                0
#define    AUDIOH_AUDIORX_VRX2_AUDIORX_VRX_GMCMICTRL_MASK                 0x00000003

#define AUDIOH_AUDIORX_VREF_OFFSET                                        0x00000208
#define AUDIOH_AUDIORX_VREF_TYPE                                          UInt32
#define AUDIOH_AUDIORX_VREF_RESERVED_MASK                                 0xFFFFFFF8
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_POWERCYCLE_SHIFT              2
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_POWERCYCLE_MASK               0x00000004
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_FASTSETTLE_SHIFT              1
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_FASTSETTLE_MASK               0x00000002
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_PWRUP_SHIFT                   0
#define    AUDIOH_AUDIORX_VREF_AUDIORX_VREF_PWRUP_MASK                    0x00000001

#define AUDIOH_AUDIORX_VMIC_OFFSET                                        0x0000020C
#define AUDIOH_AUDIORX_VMIC_TYPE                                          UInt32
#define AUDIOH_AUDIORX_VMIC_RESERVED_MASK                                 0x0000FFC8
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_SPARE_SHIFT                        16
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_SPARE_MASK                         0xFFFF0000
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_VAUXMIC_CTRL_SHIFT                 4
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_VAUXMIC_CTRL_MASK                  0x00000030
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_PWRDN_SHIFT                    2
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_PWRDN_MASK                     0x00000004
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_EN_SHIFT                       1
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_EN_MASK                        0x00000002
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_BIAS_GND_SHIFT                 0
#define    AUDIOH_AUDIORX_VMIC_AUDIORX_MIC_BIAS_GND_MASK                  0x00000001

#define AUDIOH_AUDIORX_BIAS_OFFSET                                        0x00000210
#define AUDIOH_AUDIORX_BIAS_TYPE                                          UInt32
#define AUDIOH_AUDIORX_BIAS_RESERVED_MASK                                 0xC0000008
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIAS_CTRL_SHIFT                    4
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIAS_CTRL_MASK                     0x3FFFFFF0
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIASCORE_CTRL_SHIFT                1
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIASCORE_CTRL_MASK                 0x00000006
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIAS_PWRUP_SHIFT                   0
#define    AUDIOH_AUDIORX_BIAS_AUDIORX_BIAS_PWRUP_MASK                    0x00000001

#define AUDIOH_AUDIORX_CTRL_OFFSET                                        0x00000214
#define AUDIOH_AUDIORX_CTRL_TYPE                                          UInt32
#define AUDIOH_AUDIORX_CTRL_RESERVED_MASK                                 0xFFFFFFFC
#define    AUDIOH_AUDIORX_CTRL_AUDIORX_ISO_OUT_SHIFT                      1
#define    AUDIOH_AUDIORX_CTRL_AUDIORX_ISO_OUT_MASK                       0x00000002
#define    AUDIOH_AUDIORX_CTRL_AUDIORX_ISO_IN_SHIFT                       0
#define    AUDIOH_AUDIORX_CTRL_AUDIORX_ISO_IN_MASK                        0x00000001

#define AUDIOH_EANC_CTL_OFFSET                                            0x00000300
#define AUDIOH_EANC_CTL_TYPE                                              UInt32
#define AUDIOH_EANC_CTL_RESERVED_MASK                                     0xFFFF8CE0
#define    AUDIOH_EANC_CTL_VOUT_EANC_ENABLE_SHIFT                         14
#define    AUDIOH_EANC_CTL_VOUT_EANC_ENABLE_MASK                          0x00004000
#define    AUDIOH_EANC_CTL_IHF_EANC_ENABLE_SHIFT                          13
#define    AUDIOH_EANC_CTL_IHF_EANC_ENABLE_MASK                           0x00002000
#define    AUDIOH_EANC_CTL_STEREO_EANC_ENABLE_SHIFT                       12
#define    AUDIOH_EANC_CTL_STEREO_EANC_ENABLE_MASK                        0x00001000
#define    AUDIOH_EANC_CTL_EANC_MIC_SEL_SHIFT                             8
#define    AUDIOH_EANC_CTL_EANC_MIC_SEL_MASK                              0x00000300
#define    AUDIOH_EANC_CTL_EANC_MODE96K_SHIFT                             4
#define    AUDIOH_EANC_CTL_EANC_MODE96K_MASK                              0x00000010
#define    AUDIOH_EANC_CTL_EANC_AIIR_CO_SETDONE_SHIFT                     3
#define    AUDIOH_EANC_CTL_EANC_AIIR_CO_SETDONE_MASK                      0x00000008
#define    AUDIOH_EANC_CTL_EANC_AIIR_CO_SET_SHIFT                         2
#define    AUDIOH_EANC_CTL_EANC_AIIR_CO_SET_MASK                          0x00000004
#define    AUDIOH_EANC_CTL_EANC_AFIR_CO_SETDONE_SHIFT                     1
#define    AUDIOH_EANC_CTL_EANC_AFIR_CO_SETDONE_MASK                      0x00000002
#define    AUDIOH_EANC_CTL_EANC_AFIR_CO_SET_SHIFT                         0
#define    AUDIOH_EANC_CTL_EANC_AFIR_CO_SET_MASK                          0x00000001

#define AUDIOH_EANC_TAPS_OFFSET                                           0x00000304
#define AUDIOH_EANC_TAPS_TYPE                                             UInt32
#define AUDIOH_EANC_TAPS_RESERVED_MASK                                    0xFFFF8888
#define    AUDIOH_EANC_TAPS_EANC_DACCIC_TAPS_SHIFT                        12
#define    AUDIOH_EANC_TAPS_EANC_DACCIC_TAPS_MASK                         0x00007000
#define    AUDIOH_EANC_TAPS_EANC_ADCCIC_TAPS_SHIFT                        8
#define    AUDIOH_EANC_TAPS_EANC_ADCCIC_TAPS_MASK                         0x00000700
#define    AUDIOH_EANC_TAPS_EANC_DIIR_TAPS_SHIFT                          4
#define    AUDIOH_EANC_TAPS_EANC_DIIR_TAPS_MASK                           0x00000070
#define    AUDIOH_EANC_TAPS_EANC_UIIR_TAPS_SHIFT                          0
#define    AUDIOH_EANC_TAPS_EANC_UIIR_TAPS_MASK                           0x00000007

#define AUDIOH_EANC_SHIFT_CTRL_OFFSET                                     0x00000308
#define AUDIOH_EANC_SHIFT_CTRL_TYPE                                       UInt32
#define AUDIOH_EANC_SHIFT_CTRL_RESERVED_MASK                              0x0000F0C0
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_WRAP_A_SHIFT                       16
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_WRAP_A_MASK                        0xFFFF0000
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AFIR_INSHIFT_SHIFT                 8
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AFIR_INSHIFT_MASK                  0x00000F00
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AFIR_OUTSHIFT_SHIFT                4
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AFIR_OUTSHIFT_MASK                 0x00000030
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AIIR_OUTSHIFT_SHIFT                0
#define    AUDIOH_EANC_SHIFT_CTRL_EANC_AIIR_OUTSHIFT_MASK                 0x0000000F

#define AUDIOH_EANC_CIC_GAIN_OFFSET                                       0x0000030C
#define AUDIOH_EANC_CIC_GAIN_TYPE                                         UInt32
#define AUDIOH_EANC_CIC_GAIN_RESERVED_MASK                                0x80008000
#define    AUDIOH_EANC_CIC_GAIN_EANC_DCIC_GAIN_SHIFT                      16
#define    AUDIOH_EANC_CIC_GAIN_EANC_DCIC_GAIN_MASK                       0x7FFF0000
#define    AUDIOH_EANC_CIC_GAIN_EANC_UCIC_GAIN_SHIFT                      0
#define    AUDIOH_EANC_CIC_GAIN_EANC_UCIC_GAIN_MASK                       0x00007FFF

#define AUDIOH_EANC_DIIR_SHIFT_H_OFFSET                                   0x00000310
#define AUDIOH_EANC_DIIR_SHIFT_H_TYPE                                     UInt32
#define AUDIOH_EANC_DIIR_SHIFT_H_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_DIIR_SHIFT_H_EANC_DIIR_SHIFT_H_SHIFT               0
#define    AUDIOH_EANC_DIIR_SHIFT_H_EANC_DIIR_SHIFT_H_MASK                0x00FFFFFF

#define AUDIOH_EANC_DIIR_SHIFT_L_OFFSET                                   0x00000314
#define AUDIOH_EANC_DIIR_SHIFT_L_TYPE                                     UInt32
#define AUDIOH_EANC_DIIR_SHIFT_L_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_DIIR_SHIFT_L_EANC_DIIR_SHIFT_L_SHIFT               0
#define    AUDIOH_EANC_DIIR_SHIFT_L_EANC_DIIR_SHIFT_L_MASK                0x00FFFFFF

#define AUDIOH_EANC_AIIR_SHIFT_H_OFFSET                                   0x00000318
#define AUDIOH_EANC_AIIR_SHIFT_H_TYPE                                     UInt32
#define AUDIOH_EANC_AIIR_SHIFT_H_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_AIIR_SHIFT_H_EANC_AIIR_SHIFT_H_SHIFT               0
#define    AUDIOH_EANC_AIIR_SHIFT_H_EANC_AIIR_SHIFT_H_MASK                0x00FFFFFF

#define AUDIOH_EANC_AIIR_SHIFT_L_OFFSET                                   0x0000031C
#define AUDIOH_EANC_AIIR_SHIFT_L_TYPE                                     UInt32
#define AUDIOH_EANC_AIIR_SHIFT_L_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_AIIR_SHIFT_L_EANC_AIIR_SHIFT_L_SHIFT               0
#define    AUDIOH_EANC_AIIR_SHIFT_L_EANC_AIIR_SHIFT_L_MASK                0x00FFFFFF

#define AUDIOH_EANC_UIIR_SHIFT_H_OFFSET                                   0x00000320
#define AUDIOH_EANC_UIIR_SHIFT_H_TYPE                                     UInt32
#define AUDIOH_EANC_UIIR_SHIFT_H_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_UIIR_SHIFT_H_EANC_UIIR_SHIFT_H_SHIFT               0
#define    AUDIOH_EANC_UIIR_SHIFT_H_EANC_UIIR_SHIFT_H_MASK                0x00FFFFFF

#define AUDIOH_EANC_UIIR_SHIFT_L_OFFSET                                   0x00000324
#define AUDIOH_EANC_UIIR_SHIFT_L_TYPE                                     UInt32
#define AUDIOH_EANC_UIIR_SHIFT_L_RESERVED_MASK                            0xFF000000
#define    AUDIOH_EANC_UIIR_SHIFT_L_EANC_UIIR_SHIFT_L_SHIFT               0
#define    AUDIOH_EANC_UIIR_SHIFT_L_EANC_UIIR_SHIFT_L_MASK                0x00FFFFFF

#define AUDIOH_EANC_AIIR_DDELAY_ENABLE_OFFSET                             0x0000032C
#define AUDIOH_EANC_AIIR_DDELAY_ENABLE_TYPE                               UInt32
#define AUDIOH_EANC_AIIR_DDELAY_ENABLE_RESERVED_MASK                      0xFFFFFFFE
#define    AUDIOH_EANC_AIIR_DDELAY_ENABLE_EANC_AIIR_DDELAY_ENABLE_SHIFT   0
#define    AUDIOH_EANC_AIIR_DDELAY_ENABLE_EANC_AIIR_DDELAY_ENABLE_MASK    0x00000001

#define AUDIOH_EANC_FIRX2_SCALE_OFFSET                                    0x00000330
#define AUDIOH_EANC_FIRX2_SCALE_TYPE                                      UInt32
#define AUDIOH_EANC_FIRX2_SCALE_RESERVED_MASK                             0xFF000000
#define    AUDIOH_EANC_FIRX2_SCALE_EANC_FIRX2_SCALE_SHIFT                 0
#define    AUDIOH_EANC_FIRX2_SCALE_EANC_FIRX2_SCALE_MASK                  0x00FFFFFF

#define AUDIOH_EANC_CO_AIIR_OFFSET                                        0x00000400
#define AUDIOH_EANC_CO_AIIR_TYPE                                          UInt32
#define AUDIOH_EANC_CO_AIIR_RESERVED_MASK                                 0xFF000000
#define    AUDIOH_EANC_CO_AIIR_EANC_CO_AIIR_SHIFT                         0
#define    AUDIOH_EANC_CO_AIIR_EANC_CO_AIIR_MASK                          0x00FFFFFF

#define AUDIOH_EANC_CO_AFIR_OFFSET                                        0x00000480
#define AUDIOH_EANC_CO_AFIR_TYPE                                          UInt32
#define AUDIOH_EANC_CO_AFIR_RESERVED_MASK                                 0x00000000
#define    AUDIOH_EANC_CO_AFIR_EANC_CO_AFIR_SHIFT                         0
#define    AUDIOH_EANC_CO_AFIR_EANC_CO_AFIR_MASK                          0xFFFFFFFF

#define AUDIOH_EANC_CO_DIIR_OFFSET                                        0x00000500
#define AUDIOH_EANC_CO_DIIR_TYPE                                          UInt32
#define AUDIOH_EANC_CO_DIIR_RESERVED_MASK                                 0xFF000000
#define    AUDIOH_EANC_CO_DIIR_EANC_CO_DIIR_SHIFT                         0
#define    AUDIOH_EANC_CO_DIIR_EANC_CO_DIIR_MASK                          0x00FFFFFF

#define AUDIOH_EANC_CO_UIIR_OFFSET                                        0x00000580
#define AUDIOH_EANC_CO_UIIR_TYPE                                          UInt32
#define AUDIOH_EANC_CO_UIIR_RESERVED_MASK                                 0xFF000000
#define    AUDIOH_EANC_CO_UIIR_EANC_CO_UIIR_SHIFT                         0
#define    AUDIOH_EANC_CO_UIIR_EANC_CO_UIIR_MASK                          0x00FFFFFF

#define AUDIOH_STEREO_FIFO_DATA_OFFSET                                    0x00004800
#define AUDIOH_STEREO_FIFO_DATA_TYPE                                      UInt32
#define AUDIOH_STEREO_FIFO_DATA_RESERVED_MASK                             0x00000000
#define    AUDIOH_STEREO_FIFO_DATA_STEREO_DATA_SHIFT                      0
#define    AUDIOH_STEREO_FIFO_DATA_STEREO_DATA_MASK                       0xFFFFFFFF

#define AUDIOH_IHF_FIFO_DATA_OFFSET                                       0x00005000
#define AUDIOH_IHF_FIFO_DATA_TYPE                                         UInt32
#define AUDIOH_IHF_FIFO_DATA_RESERVED_MASK                                0x00000000
#define    AUDIOH_IHF_FIFO_DATA_IHF_DATA_SHIFT                            0
#define    AUDIOH_IHF_FIFO_DATA_IHF_DATA_MASK                             0xFFFFFFFF

#define AUDIOH_VOUT_FIFO_DATA_OFFSET                                      0x00005800
#define AUDIOH_VOUT_FIFO_DATA_TYPE                                        UInt32
#define AUDIOH_VOUT_FIFO_DATA_RESERVED_MASK                               0x00000000
#define    AUDIOH_VOUT_FIFO_DATA_VOUT_DATA_SHIFT                          0
#define    AUDIOH_VOUT_FIFO_DATA_VOUT_DATA_MASK                           0xFFFFFFFF

#define AUDIOH_VIBRA_FIFO_DATA_OFFSET                                     0x00006000
#define AUDIOH_VIBRA_FIFO_DATA_TYPE                                       UInt32
#define AUDIOH_VIBRA_FIFO_DATA_RESERVED_MASK                              0x00000000
#define    AUDIOH_VIBRA_FIFO_DATA_VIBRA_DATA_SHIFT                        0
#define    AUDIOH_VIBRA_FIFO_DATA_VIBRA_DATA_MASK                         0xFFFFFFFF

#define AUDIOH_VIN_FIFOR_DATA0_OFFSET                                     0x00006800
#define AUDIOH_VIN_FIFOR_DATA0_TYPE                                       UInt32
#define AUDIOH_VIN_FIFOR_DATA0_RESERVED_MASK                              0x00000000
#define    AUDIOH_VIN_FIFOR_DATA0_VIN_DATAR_SHIFT                         0
#define    AUDIOH_VIN_FIFOR_DATA0_VIN_DATAR_MASK                          0xFFFFFFFF

#define AUDIOH_VIN_FIFOL_DATA0_OFFSET                                     0x00006C00
#define AUDIOH_VIN_FIFOL_DATA0_TYPE                                       UInt32
#define AUDIOH_VIN_FIFOL_DATA0_RESERVED_MASK                              0x00000000
#define    AUDIOH_VIN_FIFOL_DATA0_VIN_DATAL_SHIFT                         0
#define    AUDIOH_VIN_FIFOL_DATA0_VIN_DATAL_MASK                          0xFFFFFFFF

#define AUDIOH_NVIN_FIFOR_DATA0_OFFSET                                    0x00007000
#define AUDIOH_NVIN_FIFOR_DATA0_TYPE                                      UInt32
#define AUDIOH_NVIN_FIFOR_DATA0_RESERVED_MASK                             0x00000000
#define    AUDIOH_NVIN_FIFOR_DATA0_NVIN_DATAR_SHIFT                       0
#define    AUDIOH_NVIN_FIFOR_DATA0_NVIN_DATAR_MASK                        0xFFFFFFFF

#define AUDIOH_NVIN_FIFOL_DATA0_OFFSET                                    0x00007400
#define AUDIOH_NVIN_FIFOL_DATA0_TYPE                                      UInt32
#define AUDIOH_NVIN_FIFOL_DATA0_RESERVED_MASK                             0x00000000
#define    AUDIOH_NVIN_FIFOL_DATA0_NVIN_DATAL_SHIFT                       0
#define    AUDIOH_NVIN_FIFOL_DATA0_NVIN_DATAL_MASK                        0xFFFFFFFF

#define AUDIOH_EANC_FIFO_DATA_OFFSET                                      0x00007800
#define AUDIOH_EANC_FIFO_DATA_TYPE                                        UInt32
#define AUDIOH_EANC_FIFO_DATA_RESERVED_MASK                               0x00000000
#define    AUDIOH_EANC_FIFO_DATA_EANC_DATA_SHIFT                          0
#define    AUDIOH_EANC_FIFO_DATA_EANC_DATA_MASK                           0xFFFFFFFF

#endif /* __BRCM_RDB_AUDIOH_H__ */


