/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 11/1/2011 14:30:46                                             */
/*     RDB file : /projects/CHIP/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_PADCTRLREG_H__
#define __BRCM_RDB_PADCTRLREG_H__

#define PADCTRLREG_ADCSYNC_OFFSET                                         0x00000000
#define PADCTRLREG_ADCSYNC_TYPE                                           UInt32
#define PADCTRLREG_ADCSYNC_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_ADCSYNC_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_ADCSYNC_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_ADCSYNC_HYS_EN_SHIFT                                7
#define    PADCTRLREG_ADCSYNC_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_ADCSYNC_PDN_SHIFT                                   6
#define    PADCTRLREG_ADCSYNC_PDN_MASK                                    0x00000040
#define    PADCTRLREG_ADCSYNC_PUP_SHIFT                                   5
#define    PADCTRLREG_ADCSYNC_PUP_MASK                                    0x00000020
#define    PADCTRLREG_ADCSYNC_SRC_SHIFT                                   4
#define    PADCTRLREG_ADCSYNC_SRC_MASK                                    0x00000010
#define    PADCTRLREG_ADCSYNC_IND_SHIFT                                   3
#define    PADCTRLREG_ADCSYNC_IND_MASK                                    0x00000008
#define    PADCTRLREG_ADCSYNC_SEL_SHIFT                                   0
#define    PADCTRLREG_ADCSYNC_SEL_MASK                                    0x00000007

#define PADCTRLREG_BAT_RM_OFFSET                                          0x00000004
#define PADCTRLREG_BAT_RM_TYPE                                            UInt32
#define PADCTRLREG_BAT_RM_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_BAT_RM_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_BAT_RM_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_BAT_RM_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_BAT_RM_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_BAT_RM_PDN_SHIFT                                    6
#define    PADCTRLREG_BAT_RM_PDN_MASK                                     0x00000040
#define    PADCTRLREG_BAT_RM_PUP_SHIFT                                    5
#define    PADCTRLREG_BAT_RM_PUP_MASK                                     0x00000020
#define    PADCTRLREG_BAT_RM_SRC_SHIFT                                    4
#define    PADCTRLREG_BAT_RM_SRC_MASK                                     0x00000010
#define    PADCTRLREG_BAT_RM_IND_SHIFT                                    3
#define    PADCTRLREG_BAT_RM_IND_MASK                                     0x00000008
#define    PADCTRLREG_BAT_RM_SEL_SHIFT                                    0
#define    PADCTRLREG_BAT_RM_SEL_MASK                                     0x00000007

#define PADCTRLREG_BSC1_SCL_OFFSET                                        0x00000008
#define PADCTRLREG_BSC1_SCL_TYPE                                          UInt32
#define PADCTRLREG_BSC1_SCL_RESERVED_MASK                                 0xFFFFF883
#define    PADCTRLREG_BSC1_SCL_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_BSC1_SCL_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_BSC1_SCL_PUP_2_0_SHIFT                              4
#define    PADCTRLREG_BSC1_SCL_PUP_2_0_MASK                               0x00000070
#define    PADCTRLREG_BSC1_SCL_SRC_SHIFT                                  3
#define    PADCTRLREG_BSC1_SCL_SRC_MASK                                   0x00000008
#define    PADCTRLREG_BSC1_SCL_IND_SHIFT                                  2
#define    PADCTRLREG_BSC1_SCL_IND_MASK                                   0x00000004

#define PADCTRLREG_BSC1_SDA_OFFSET                                        0x0000000C
#define PADCTRLREG_BSC1_SDA_TYPE                                          UInt32
#define PADCTRLREG_BSC1_SDA_RESERVED_MASK                                 0xFFFFF883
#define    PADCTRLREG_BSC1_SDA_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_BSC1_SDA_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_BSC1_SDA_PUP_2_0_SHIFT                              4
#define    PADCTRLREG_BSC1_SDA_PUP_2_0_MASK                               0x00000070
#define    PADCTRLREG_BSC1_SDA_SRC_SHIFT                                  3
#define    PADCTRLREG_BSC1_SDA_SRC_MASK                                   0x00000008
#define    PADCTRLREG_BSC1_SDA_IND_SHIFT                                  2
#define    PADCTRLREG_BSC1_SDA_IND_MASK                                   0x00000004

#define PADCTRLREG_BSC2_SCL_OFFSET                                        0x00000010
#define PADCTRLREG_BSC2_SCL_TYPE                                          UInt32
#define PADCTRLREG_BSC2_SCL_RESERVED_MASK                                 0xFFFFF883
#define    PADCTRLREG_BSC2_SCL_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_BSC2_SCL_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_BSC2_SCL_PUP_2_0_SHIFT                              4
#define    PADCTRLREG_BSC2_SCL_PUP_2_0_MASK                               0x00000070
#define    PADCTRLREG_BSC2_SCL_SRC_SHIFT                                  3
#define    PADCTRLREG_BSC2_SCL_SRC_MASK                                   0x00000008
#define    PADCTRLREG_BSC2_SCL_IND_SHIFT                                  2
#define    PADCTRLREG_BSC2_SCL_IND_MASK                                   0x00000004

#define PADCTRLREG_BSC2_SDA_OFFSET                                        0x00000014
#define PADCTRLREG_BSC2_SDA_TYPE                                          UInt32
#define PADCTRLREG_BSC2_SDA_RESERVED_MASK                                 0xFFFFF883
#define    PADCTRLREG_BSC2_SDA_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_BSC2_SDA_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_BSC2_SDA_PUP_2_0_SHIFT                              4
#define    PADCTRLREG_BSC2_SDA_PUP_2_0_MASK                               0x00000070
#define    PADCTRLREG_BSC2_SDA_SRC_SHIFT                                  3
#define    PADCTRLREG_BSC2_SDA_SRC_MASK                                   0x00000008
#define    PADCTRLREG_BSC2_SDA_IND_SHIFT                                  2
#define    PADCTRLREG_BSC2_SDA_IND_MASK                                   0x00000004

#define PADCTRLREG_CLASSGPWR_OFFSET                                       0x00000018
#define PADCTRLREG_CLASSGPWR_TYPE                                         UInt32
#define PADCTRLREG_CLASSGPWR_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_CLASSGPWR_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_CLASSGPWR_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_CLASSGPWR_HYS_EN_SHIFT                              7
#define    PADCTRLREG_CLASSGPWR_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_CLASSGPWR_PDN_SHIFT                                 6
#define    PADCTRLREG_CLASSGPWR_PDN_MASK                                  0x00000040
#define    PADCTRLREG_CLASSGPWR_PUP_SHIFT                                 5
#define    PADCTRLREG_CLASSGPWR_PUP_MASK                                  0x00000020
#define    PADCTRLREG_CLASSGPWR_SRC_SHIFT                                 4
#define    PADCTRLREG_CLASSGPWR_SRC_MASK                                  0x00000010
#define    PADCTRLREG_CLASSGPWR_IND_SHIFT                                 3
#define    PADCTRLREG_CLASSGPWR_IND_MASK                                  0x00000008
#define    PADCTRLREG_CLASSGPWR_SEL_SHIFT                                 0
#define    PADCTRLREG_CLASSGPWR_SEL_MASK                                  0x00000007

#define PADCTRLREG_CLK_CX8_OFFSET                                         0x0000001C
#define PADCTRLREG_CLK_CX8_TYPE                                           UInt32
#define PADCTRLREG_CLK_CX8_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_CLK_CX8_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_CLK_CX8_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_CLK_CX8_HYS_EN_SHIFT                                7
#define    PADCTRLREG_CLK_CX8_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_CLK_CX8_PDN_SHIFT                                   6
#define    PADCTRLREG_CLK_CX8_PDN_MASK                                    0x00000040
#define    PADCTRLREG_CLK_CX8_PUP_SHIFT                                   5
#define    PADCTRLREG_CLK_CX8_PUP_MASK                                    0x00000020
#define    PADCTRLREG_CLK_CX8_SRC_SHIFT                                   4
#define    PADCTRLREG_CLK_CX8_SRC_MASK                                    0x00000010
#define    PADCTRLREG_CLK_CX8_IND_SHIFT                                   3
#define    PADCTRLREG_CLK_CX8_IND_MASK                                    0x00000008
#define    PADCTRLREG_CLK_CX8_SEL_SHIFT                                   0
#define    PADCTRLREG_CLK_CX8_SEL_MASK                                    0x00000007

#define PADCTRLREG_CLKOUT_0_OFFSET                                        0x00000020
#define PADCTRLREG_CLKOUT_0_TYPE                                          UInt32
#define PADCTRLREG_CLKOUT_0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_CLKOUT_0_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_CLKOUT_0_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_CLKOUT_0_HYS_EN_SHIFT                               7
#define    PADCTRLREG_CLKOUT_0_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_CLKOUT_0_PDN_SHIFT                                  6
#define    PADCTRLREG_CLKOUT_0_PDN_MASK                                   0x00000040
#define    PADCTRLREG_CLKOUT_0_PUP_SHIFT                                  5
#define    PADCTRLREG_CLKOUT_0_PUP_MASK                                   0x00000020
#define    PADCTRLREG_CLKOUT_0_SRC_SHIFT                                  4
#define    PADCTRLREG_CLKOUT_0_SRC_MASK                                   0x00000010
#define    PADCTRLREG_CLKOUT_0_IND_SHIFT                                  3
#define    PADCTRLREG_CLKOUT_0_IND_MASK                                   0x00000008
#define    PADCTRLREG_CLKOUT_0_SEL_SHIFT                                  0
#define    PADCTRLREG_CLKOUT_0_SEL_MASK                                   0x00000007

#define PADCTRLREG_CLKOUT_1_OFFSET                                        0x00000024
#define PADCTRLREG_CLKOUT_1_TYPE                                          UInt32
#define PADCTRLREG_CLKOUT_1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_CLKOUT_1_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_CLKOUT_1_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_CLKOUT_1_HYS_EN_SHIFT                               7
#define    PADCTRLREG_CLKOUT_1_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_CLKOUT_1_PDN_SHIFT                                  6
#define    PADCTRLREG_CLKOUT_1_PDN_MASK                                   0x00000040
#define    PADCTRLREG_CLKOUT_1_PUP_SHIFT                                  5
#define    PADCTRLREG_CLKOUT_1_PUP_MASK                                   0x00000020
#define    PADCTRLREG_CLKOUT_1_SRC_SHIFT                                  4
#define    PADCTRLREG_CLKOUT_1_SRC_MASK                                   0x00000010
#define    PADCTRLREG_CLKOUT_1_IND_SHIFT                                  3
#define    PADCTRLREG_CLKOUT_1_IND_MASK                                   0x00000008
#define    PADCTRLREG_CLKOUT_1_SEL_SHIFT                                  0
#define    PADCTRLREG_CLKOUT_1_SEL_MASK                                   0x00000007

#define PADCTRLREG_CLKOUT_2_OFFSET                                        0x00000028
#define PADCTRLREG_CLKOUT_2_TYPE                                          UInt32
#define PADCTRLREG_CLKOUT_2_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_CLKOUT_2_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_CLKOUT_2_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_CLKOUT_2_HYS_EN_SHIFT                               7
#define    PADCTRLREG_CLKOUT_2_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_CLKOUT_2_PDN_SHIFT                                  6
#define    PADCTRLREG_CLKOUT_2_PDN_MASK                                   0x00000040
#define    PADCTRLREG_CLKOUT_2_PUP_SHIFT                                  5
#define    PADCTRLREG_CLKOUT_2_PUP_MASK                                   0x00000020
#define    PADCTRLREG_CLKOUT_2_SRC_SHIFT                                  4
#define    PADCTRLREG_CLKOUT_2_SRC_MASK                                   0x00000010
#define    PADCTRLREG_CLKOUT_2_IND_SHIFT                                  3
#define    PADCTRLREG_CLKOUT_2_IND_MASK                                   0x00000008
#define    PADCTRLREG_CLKOUT_2_SEL_SHIFT                                  0
#define    PADCTRLREG_CLKOUT_2_SEL_MASK                                   0x00000007

#define PADCTRLREG_CLKOUT_3_OFFSET                                        0x0000002C
#define PADCTRLREG_CLKOUT_3_TYPE                                          UInt32
#define PADCTRLREG_CLKOUT_3_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_CLKOUT_3_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_CLKOUT_3_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_CLKOUT_3_HYS_EN_SHIFT                               7
#define    PADCTRLREG_CLKOUT_3_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_CLKOUT_3_PDN_SHIFT                                  6
#define    PADCTRLREG_CLKOUT_3_PDN_MASK                                   0x00000040
#define    PADCTRLREG_CLKOUT_3_PUP_SHIFT                                  5
#define    PADCTRLREG_CLKOUT_3_PUP_MASK                                   0x00000020
#define    PADCTRLREG_CLKOUT_3_SRC_SHIFT                                  4
#define    PADCTRLREG_CLKOUT_3_SRC_MASK                                   0x00000010
#define    PADCTRLREG_CLKOUT_3_IND_SHIFT                                  3
#define    PADCTRLREG_CLKOUT_3_IND_MASK                                   0x00000008
#define    PADCTRLREG_CLKOUT_3_SEL_SHIFT                                  0
#define    PADCTRLREG_CLKOUT_3_SEL_MASK                                   0x00000007

#define PADCTRLREG_CLKREQ_IN_0_OFFSET                                     0x00000030
#define PADCTRLREG_CLKREQ_IN_0_TYPE                                       UInt32
#define PADCTRLREG_CLKREQ_IN_0_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_CLKREQ_IN_0_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_CLKREQ_IN_0_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_CLKREQ_IN_0_HYS_EN_SHIFT                            7
#define    PADCTRLREG_CLKREQ_IN_0_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_CLKREQ_IN_0_PDN_SHIFT                               6
#define    PADCTRLREG_CLKREQ_IN_0_PDN_MASK                                0x00000040
#define    PADCTRLREG_CLKREQ_IN_0_PUP_SHIFT                               5
#define    PADCTRLREG_CLKREQ_IN_0_PUP_MASK                                0x00000020
#define    PADCTRLREG_CLKREQ_IN_0_SRC_SHIFT                               4
#define    PADCTRLREG_CLKREQ_IN_0_SRC_MASK                                0x00000010
#define    PADCTRLREG_CLKREQ_IN_0_IND_SHIFT                               3
#define    PADCTRLREG_CLKREQ_IN_0_IND_MASK                                0x00000008
#define    PADCTRLREG_CLKREQ_IN_0_SEL_SHIFT                               0
#define    PADCTRLREG_CLKREQ_IN_0_SEL_MASK                                0x00000007

#define PADCTRLREG_CLKREQ_IN_1_OFFSET                                     0x00000034
#define PADCTRLREG_CLKREQ_IN_1_TYPE                                       UInt32
#define PADCTRLREG_CLKREQ_IN_1_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_CLKREQ_IN_1_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_CLKREQ_IN_1_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_CLKREQ_IN_1_HYS_EN_SHIFT                            7
#define    PADCTRLREG_CLKREQ_IN_1_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_CLKREQ_IN_1_PDN_SHIFT                               6
#define    PADCTRLREG_CLKREQ_IN_1_PDN_MASK                                0x00000040
#define    PADCTRLREG_CLKREQ_IN_1_PUP_SHIFT                               5
#define    PADCTRLREG_CLKREQ_IN_1_PUP_MASK                                0x00000020
#define    PADCTRLREG_CLKREQ_IN_1_SRC_SHIFT                               4
#define    PADCTRLREG_CLKREQ_IN_1_SRC_MASK                                0x00000010
#define    PADCTRLREG_CLKREQ_IN_1_IND_SHIFT                               3
#define    PADCTRLREG_CLKREQ_IN_1_IND_MASK                                0x00000008
#define    PADCTRLREG_CLKREQ_IN_1_SEL_SHIFT                               0
#define    PADCTRLREG_CLKREQ_IN_1_SEL_MASK                                0x00000007

#define PADCTRLREG_CWS_SYS_REQ1_OFFSET                                    0x00000038
#define PADCTRLREG_CWS_SYS_REQ1_TYPE                                      UInt32
#define PADCTRLREG_CWS_SYS_REQ1_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_CWS_SYS_REQ1_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_CWS_SYS_REQ1_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_CWS_SYS_REQ1_HYS_EN_SHIFT                           7
#define    PADCTRLREG_CWS_SYS_REQ1_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_CWS_SYS_REQ1_PDN_SHIFT                              6
#define    PADCTRLREG_CWS_SYS_REQ1_PDN_MASK                               0x00000040
#define    PADCTRLREG_CWS_SYS_REQ1_PUP_SHIFT                              5
#define    PADCTRLREG_CWS_SYS_REQ1_PUP_MASK                               0x00000020
#define    PADCTRLREG_CWS_SYS_REQ1_SRC_SHIFT                              4
#define    PADCTRLREG_CWS_SYS_REQ1_SRC_MASK                               0x00000010
#define    PADCTRLREG_CWS_SYS_REQ1_IND_SHIFT                              3
#define    PADCTRLREG_CWS_SYS_REQ1_IND_MASK                               0x00000008
#define    PADCTRLREG_CWS_SYS_REQ1_SEL_SHIFT                              0
#define    PADCTRLREG_CWS_SYS_REQ1_SEL_MASK                               0x00000007

#define PADCTRLREG_CWS_SYS_REQ2_OFFSET                                    0x0000003C
#define PADCTRLREG_CWS_SYS_REQ2_TYPE                                      UInt32
#define PADCTRLREG_CWS_SYS_REQ2_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_CWS_SYS_REQ2_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_CWS_SYS_REQ2_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_CWS_SYS_REQ2_HYS_EN_SHIFT                           7
#define    PADCTRLREG_CWS_SYS_REQ2_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_CWS_SYS_REQ2_PDN_SHIFT                              6
#define    PADCTRLREG_CWS_SYS_REQ2_PDN_MASK                               0x00000040
#define    PADCTRLREG_CWS_SYS_REQ2_PUP_SHIFT                              5
#define    PADCTRLREG_CWS_SYS_REQ2_PUP_MASK                               0x00000020
#define    PADCTRLREG_CWS_SYS_REQ2_SRC_SHIFT                              4
#define    PADCTRLREG_CWS_SYS_REQ2_SRC_MASK                               0x00000010
#define    PADCTRLREG_CWS_SYS_REQ2_IND_SHIFT                              3
#define    PADCTRLREG_CWS_SYS_REQ2_IND_MASK                               0x00000008
#define    PADCTRLREG_CWS_SYS_REQ2_SEL_SHIFT                              0
#define    PADCTRLREG_CWS_SYS_REQ2_SEL_MASK                               0x00000007

#define PADCTRLREG_CWS_SYS_REQ3_OFFSET                                    0x00000040
#define PADCTRLREG_CWS_SYS_REQ3_TYPE                                      UInt32
#define PADCTRLREG_CWS_SYS_REQ3_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_CWS_SYS_REQ3_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_CWS_SYS_REQ3_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_CWS_SYS_REQ3_HYS_EN_SHIFT                           7
#define    PADCTRLREG_CWS_SYS_REQ3_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_CWS_SYS_REQ3_PDN_SHIFT                              6
#define    PADCTRLREG_CWS_SYS_REQ3_PDN_MASK                               0x00000040
#define    PADCTRLREG_CWS_SYS_REQ3_PUP_SHIFT                              5
#define    PADCTRLREG_CWS_SYS_REQ3_PUP_MASK                               0x00000020
#define    PADCTRLREG_CWS_SYS_REQ3_SRC_SHIFT                              4
#define    PADCTRLREG_CWS_SYS_REQ3_SRC_MASK                               0x00000010
#define    PADCTRLREG_CWS_SYS_REQ3_IND_SHIFT                              3
#define    PADCTRLREG_CWS_SYS_REQ3_IND_MASK                               0x00000008
#define    PADCTRLREG_CWS_SYS_REQ3_SEL_SHIFT                              0
#define    PADCTRLREG_CWS_SYS_REQ3_SEL_MASK                               0x00000007

#define PADCTRLREG_DIGMIC1_CLK_OFFSET                                     0x00000044
#define PADCTRLREG_DIGMIC1_CLK_TYPE                                       UInt32
#define PADCTRLREG_DIGMIC1_CLK_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_DIGMIC1_CLK_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_DIGMIC1_CLK_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_DIGMIC1_CLK_HYS_EN_SHIFT                            7
#define    PADCTRLREG_DIGMIC1_CLK_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_DIGMIC1_CLK_PDN_SHIFT                               6
#define    PADCTRLREG_DIGMIC1_CLK_PDN_MASK                                0x00000040
#define    PADCTRLREG_DIGMIC1_CLK_PUP_SHIFT                               5
#define    PADCTRLREG_DIGMIC1_CLK_PUP_MASK                                0x00000020
#define    PADCTRLREG_DIGMIC1_CLK_SRC_SHIFT                               4
#define    PADCTRLREG_DIGMIC1_CLK_SRC_MASK                                0x00000010
#define    PADCTRLREG_DIGMIC1_CLK_IND_SHIFT                               3
#define    PADCTRLREG_DIGMIC1_CLK_IND_MASK                                0x00000008
#define    PADCTRLREG_DIGMIC1_CLK_SEL_SHIFT                               0
#define    PADCTRLREG_DIGMIC1_CLK_SEL_MASK                                0x00000007

#define PADCTRLREG_DIGMIC1_DQ_OFFSET                                      0x00000048
#define PADCTRLREG_DIGMIC1_DQ_TYPE                                        UInt32
#define PADCTRLREG_DIGMIC1_DQ_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_DIGMIC1_DQ_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_DIGMIC1_DQ_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_DIGMIC1_DQ_HYS_EN_SHIFT                             7
#define    PADCTRLREG_DIGMIC1_DQ_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_DIGMIC1_DQ_PDN_SHIFT                                6
#define    PADCTRLREG_DIGMIC1_DQ_PDN_MASK                                 0x00000040
#define    PADCTRLREG_DIGMIC1_DQ_PUP_SHIFT                                5
#define    PADCTRLREG_DIGMIC1_DQ_PUP_MASK                                 0x00000020
#define    PADCTRLREG_DIGMIC1_DQ_SRC_SHIFT                                4
#define    PADCTRLREG_DIGMIC1_DQ_SRC_MASK                                 0x00000010
#define    PADCTRLREG_DIGMIC1_DQ_IND_SHIFT                                3
#define    PADCTRLREG_DIGMIC1_DQ_IND_MASK                                 0x00000008
#define    PADCTRLREG_DIGMIC1_DQ_SEL_SHIFT                                0
#define    PADCTRLREG_DIGMIC1_DQ_SEL_MASK                                 0x00000007

#define PADCTRLREG_DIGMIC2_CLK_OFFSET                                     0x0000004C
#define PADCTRLREG_DIGMIC2_CLK_TYPE                                       UInt32
#define PADCTRLREG_DIGMIC2_CLK_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_DIGMIC2_CLK_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_DIGMIC2_CLK_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_DIGMIC2_CLK_HYS_EN_SHIFT                            7
#define    PADCTRLREG_DIGMIC2_CLK_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_DIGMIC2_CLK_PDN_SHIFT                               6
#define    PADCTRLREG_DIGMIC2_CLK_PDN_MASK                                0x00000040
#define    PADCTRLREG_DIGMIC2_CLK_PUP_SHIFT                               5
#define    PADCTRLREG_DIGMIC2_CLK_PUP_MASK                                0x00000020
#define    PADCTRLREG_DIGMIC2_CLK_SRC_SHIFT                               4
#define    PADCTRLREG_DIGMIC2_CLK_SRC_MASK                                0x00000010
#define    PADCTRLREG_DIGMIC2_CLK_IND_SHIFT                               3
#define    PADCTRLREG_DIGMIC2_CLK_IND_MASK                                0x00000008
#define    PADCTRLREG_DIGMIC2_CLK_SEL_SHIFT                               0
#define    PADCTRLREG_DIGMIC2_CLK_SEL_MASK                                0x00000007

#define PADCTRLREG_DIGMIC2_DQ_OFFSET                                      0x00000050
#define PADCTRLREG_DIGMIC2_DQ_TYPE                                        UInt32
#define PADCTRLREG_DIGMIC2_DQ_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_DIGMIC2_DQ_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_DIGMIC2_DQ_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_DIGMIC2_DQ_HYS_EN_SHIFT                             7
#define    PADCTRLREG_DIGMIC2_DQ_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_DIGMIC2_DQ_PDN_SHIFT                                6
#define    PADCTRLREG_DIGMIC2_DQ_PDN_MASK                                 0x00000040
#define    PADCTRLREG_DIGMIC2_DQ_PUP_SHIFT                                5
#define    PADCTRLREG_DIGMIC2_DQ_PUP_MASK                                 0x00000020
#define    PADCTRLREG_DIGMIC2_DQ_SRC_SHIFT                                4
#define    PADCTRLREG_DIGMIC2_DQ_SRC_MASK                                 0x00000010
#define    PADCTRLREG_DIGMIC2_DQ_IND_SHIFT                                3
#define    PADCTRLREG_DIGMIC2_DQ_IND_MASK                                 0x00000008
#define    PADCTRLREG_DIGMIC2_DQ_SEL_SHIFT                                0
#define    PADCTRLREG_DIGMIC2_DQ_SEL_MASK                                 0x00000007

#define PADCTRLREG_GPEN13_OFFSET                                          0x00000054
#define PADCTRLREG_GPEN13_TYPE                                            UInt32
#define PADCTRLREG_GPEN13_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPEN13_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPEN13_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPEN13_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPEN13_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPEN13_PDN_SHIFT                                    6
#define    PADCTRLREG_GPEN13_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPEN13_PUP_SHIFT                                    5
#define    PADCTRLREG_GPEN13_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPEN13_SRC_SHIFT                                    4
#define    PADCTRLREG_GPEN13_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPEN13_IND_SHIFT                                    3
#define    PADCTRLREG_GPEN13_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPEN13_SEL_SHIFT                                    0
#define    PADCTRLREG_GPEN13_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPEN14_OFFSET                                          0x00000058
#define PADCTRLREG_GPEN14_TYPE                                            UInt32
#define PADCTRLREG_GPEN14_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPEN14_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPEN14_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPEN14_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPEN14_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPEN14_PDN_SHIFT                                    6
#define    PADCTRLREG_GPEN14_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPEN14_PUP_SHIFT                                    5
#define    PADCTRLREG_GPEN14_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPEN14_SRC_SHIFT                                    4
#define    PADCTRLREG_GPEN14_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPEN14_IND_SHIFT                                    3
#define    PADCTRLREG_GPEN14_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPEN14_SEL_SHIFT                                    0
#define    PADCTRLREG_GPEN14_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPEN15_OFFSET                                          0x0000005C
#define PADCTRLREG_GPEN15_TYPE                                            UInt32
#define PADCTRLREG_GPEN15_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPEN15_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPEN15_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPEN15_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPEN15_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPEN15_PDN_SHIFT                                    6
#define    PADCTRLREG_GPEN15_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPEN15_PUP_SHIFT                                    5
#define    PADCTRLREG_GPEN15_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPEN15_SRC_SHIFT                                    4
#define    PADCTRLREG_GPEN15_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPEN15_IND_SHIFT                                    3
#define    PADCTRLREG_GPEN15_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPEN15_SEL_SHIFT                                    0
#define    PADCTRLREG_GPEN15_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO00_OFFSET                                          0x00000060
#define PADCTRLREG_GPIO00_TYPE                                            UInt32
#define PADCTRLREG_GPIO00_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO00_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO00_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO00_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO00_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO00_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO00_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO00_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO00_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO00_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO00_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO00_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO00_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO00_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO00_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO01_OFFSET                                          0x00000064
#define PADCTRLREG_GPIO01_TYPE                                            UInt32
#define PADCTRLREG_GPIO01_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO01_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO01_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO01_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO01_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO01_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO01_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO01_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO01_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO01_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO01_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO01_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO01_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO01_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO01_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO02_OFFSET                                          0x00000068
#define PADCTRLREG_GPIO02_TYPE                                            UInt32
#define PADCTRLREG_GPIO02_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO02_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO02_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO02_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO02_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO02_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO02_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO02_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO02_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO02_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO02_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO02_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO02_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO02_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO02_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO03_OFFSET                                          0x0000006C
#define PADCTRLREG_GPIO03_TYPE                                            UInt32
#define PADCTRLREG_GPIO03_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO03_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO03_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO03_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO03_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO03_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO03_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO03_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO03_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO03_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO03_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO03_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO03_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO03_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO03_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO04_OFFSET                                          0x00000070
#define PADCTRLREG_GPIO04_TYPE                                            UInt32
#define PADCTRLREG_GPIO04_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO04_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO04_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO04_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO04_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO04_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO04_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO04_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO04_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO04_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO04_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO04_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO04_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO04_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO04_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO05_OFFSET                                          0x00000074
#define PADCTRLREG_GPIO05_TYPE                                            UInt32
#define PADCTRLREG_GPIO05_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO05_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO05_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO05_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO05_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO05_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO05_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO05_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO05_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO05_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO05_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO05_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO05_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO05_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO05_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO06_OFFSET                                          0x00000078
#define PADCTRLREG_GPIO06_TYPE                                            UInt32
#define PADCTRLREG_GPIO06_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO06_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO06_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO06_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO06_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO06_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO06_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO06_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO06_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO06_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO06_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO06_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO06_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO06_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO06_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO07_OFFSET                                          0x0000007C
#define PADCTRLREG_GPIO07_TYPE                                            UInt32
#define PADCTRLREG_GPIO07_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO07_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO07_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO07_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO07_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO07_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO07_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO07_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO07_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO07_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO07_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO07_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO07_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO07_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO07_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO08_OFFSET                                          0x00000080
#define PADCTRLREG_GPIO08_TYPE                                            UInt32
#define PADCTRLREG_GPIO08_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO08_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO08_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO08_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO08_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO08_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO08_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO08_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO08_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO08_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO08_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO08_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO08_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO08_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO08_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO09_OFFSET                                          0x00000084
#define PADCTRLREG_GPIO09_TYPE                                            UInt32
#define PADCTRLREG_GPIO09_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO09_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO09_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO09_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO09_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO09_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO09_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO09_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO09_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO09_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO09_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO09_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO09_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO09_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO09_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO10_OFFSET                                          0x00000088
#define PADCTRLREG_GPIO10_TYPE                                            UInt32
#define PADCTRLREG_GPIO10_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO10_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO10_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO10_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO10_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO10_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO10_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO10_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO10_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO10_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO10_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO10_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO10_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO10_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO10_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO11_OFFSET                                          0x0000008C
#define PADCTRLREG_GPIO11_TYPE                                            UInt32
#define PADCTRLREG_GPIO11_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO11_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO11_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO11_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO11_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO11_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO11_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO11_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO11_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO11_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO11_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO11_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO11_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO11_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO11_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO12_OFFSET                                          0x00000090
#define PADCTRLREG_GPIO12_TYPE                                            UInt32
#define PADCTRLREG_GPIO12_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO12_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO12_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO12_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO12_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO12_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO12_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO12_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO12_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO12_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO12_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO12_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO12_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO12_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO12_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO13_OFFSET                                          0x00000094
#define PADCTRLREG_GPIO13_TYPE                                            UInt32
#define PADCTRLREG_GPIO13_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO13_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO13_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO13_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO13_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO13_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO13_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO13_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO13_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO13_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO13_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO13_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO13_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO13_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO13_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPIO14_OFFSET                                          0x00000098
#define PADCTRLREG_GPIO14_TYPE                                            UInt32
#define PADCTRLREG_GPIO14_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO14_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_GPIO14_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_GPIO14_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_GPIO14_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_GPIO14_PDN_SHIFT                                    6
#define    PADCTRLREG_GPIO14_PDN_MASK                                     0x00000040
#define    PADCTRLREG_GPIO14_PUP_SHIFT                                    5
#define    PADCTRLREG_GPIO14_PUP_MASK                                     0x00000020
#define    PADCTRLREG_GPIO14_SRC_SHIFT                                    4
#define    PADCTRLREG_GPIO14_SRC_MASK                                     0x00000010
#define    PADCTRLREG_GPIO14_IND_SHIFT                                    3
#define    PADCTRLREG_GPIO14_IND_MASK                                     0x00000008
#define    PADCTRLREG_GPIO14_SEL_SHIFT                                    0
#define    PADCTRLREG_GPIO14_SEL_MASK                                     0x00000007

#define PADCTRLREG_GPS_PABLANK_OFFSET                                     0x0000009C
#define PADCTRLREG_GPS_PABLANK_TYPE                                       UInt32
#define PADCTRLREG_GPS_PABLANK_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_GPS_PABLANK_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_GPS_PABLANK_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_GPS_PABLANK_HYS_EN_SHIFT                            7
#define    PADCTRLREG_GPS_PABLANK_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_GPS_PABLANK_PDN_SHIFT                               6
#define    PADCTRLREG_GPS_PABLANK_PDN_MASK                                0x00000040
#define    PADCTRLREG_GPS_PABLANK_PUP_SHIFT                               5
#define    PADCTRLREG_GPS_PABLANK_PUP_MASK                                0x00000020
#define    PADCTRLREG_GPS_PABLANK_SRC_SHIFT                               4
#define    PADCTRLREG_GPS_PABLANK_SRC_MASK                                0x00000010
#define    PADCTRLREG_GPS_PABLANK_IND_SHIFT                               3
#define    PADCTRLREG_GPS_PABLANK_IND_MASK                                0x00000008
#define    PADCTRLREG_GPS_PABLANK_SEL_SHIFT                               0
#define    PADCTRLREG_GPS_PABLANK_SEL_MASK                                0x00000007

#define PADCTRLREG_GPS_TMARK_OFFSET                                       0x000000A0
#define PADCTRLREG_GPS_TMARK_TYPE                                         UInt32
#define PADCTRLREG_GPS_TMARK_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_GPS_TMARK_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_GPS_TMARK_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_GPS_TMARK_HYS_EN_SHIFT                              7
#define    PADCTRLREG_GPS_TMARK_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_GPS_TMARK_PDN_SHIFT                                 6
#define    PADCTRLREG_GPS_TMARK_PDN_MASK                                  0x00000040
#define    PADCTRLREG_GPS_TMARK_PUP_SHIFT                                 5
#define    PADCTRLREG_GPS_TMARK_PUP_MASK                                  0x00000020
#define    PADCTRLREG_GPS_TMARK_SRC_SHIFT                                 4
#define    PADCTRLREG_GPS_TMARK_SRC_MASK                                  0x00000010
#define    PADCTRLREG_GPS_TMARK_IND_SHIFT                                 3
#define    PADCTRLREG_GPS_TMARK_IND_MASK                                  0x00000008
#define    PADCTRLREG_GPS_TMARK_SEL_SHIFT                                 0
#define    PADCTRLREG_GPS_TMARK_SEL_MASK                                  0x00000007

#define PADCTRLREG_HDMI_SCL_OFFSET                                        0x000000A4
#define PADCTRLREG_HDMI_SCL_TYPE                                          UInt32
#define PADCTRLREG_HDMI_SCL_RESERVED_MASK                                 0xFFFFF8E7
#define    PADCTRLREG_HDMI_SCL_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_HDMI_SCL_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_HDMI_SCL_MODE_SHIFT                                 4
#define    PADCTRLREG_HDMI_SCL_MODE_MASK                                  0x00000010
#define    PADCTRLREG_HDMI_SCL_IND_SHIFT                                  3
#define    PADCTRLREG_HDMI_SCL_IND_MASK                                   0x00000008

#define PADCTRLREG_HDMI_SDA_OFFSET                                        0x000000A8
#define PADCTRLREG_HDMI_SDA_TYPE                                          UInt32
#define PADCTRLREG_HDMI_SDA_RESERVED_MASK                                 0xFFFFF8E7
#define    PADCTRLREG_HDMI_SDA_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_HDMI_SDA_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_HDMI_SDA_MODE_SHIFT                                 4
#define    PADCTRLREG_HDMI_SDA_MODE_MASK                                  0x00000010
#define    PADCTRLREG_HDMI_SDA_IND_SHIFT                                  3
#define    PADCTRLREG_HDMI_SDA_IND_MASK                                   0x00000008

#define PADCTRLREG_IC_DM_OFFSET                                           0x000000AC
#define PADCTRLREG_IC_DM_TYPE                                             UInt32
#define PADCTRLREG_IC_DM_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_IC_DM_PINSEL_2_0_SHIFT                              8
#define    PADCTRLREG_IC_DM_PINSEL_2_0_MASK                               0x00000700
#define    PADCTRLREG_IC_DM_HYS_EN_SHIFT                                  7
#define    PADCTRLREG_IC_DM_HYS_EN_MASK                                   0x00000080
#define    PADCTRLREG_IC_DM_PDN_SHIFT                                     6
#define    PADCTRLREG_IC_DM_PDN_MASK                                      0x00000040
#define    PADCTRLREG_IC_DM_PUP_SHIFT                                     5
#define    PADCTRLREG_IC_DM_PUP_MASK                                      0x00000020
#define    PADCTRLREG_IC_DM_SRC_SHIFT                                     4
#define    PADCTRLREG_IC_DM_SRC_MASK                                      0x00000010
#define    PADCTRLREG_IC_DM_IND_SHIFT                                     3
#define    PADCTRLREG_IC_DM_IND_MASK                                      0x00000008
#define    PADCTRLREG_IC_DM_SEL_SHIFT                                     0
#define    PADCTRLREG_IC_DM_SEL_MASK                                      0x00000007

#define PADCTRLREG_IC_DP_OFFSET                                           0x000000B0
#define PADCTRLREG_IC_DP_TYPE                                             UInt32
#define PADCTRLREG_IC_DP_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_IC_DP_PINSEL_2_0_SHIFT                              8
#define    PADCTRLREG_IC_DP_PINSEL_2_0_MASK                               0x00000700
#define    PADCTRLREG_IC_DP_HYS_EN_SHIFT                                  7
#define    PADCTRLREG_IC_DP_HYS_EN_MASK                                   0x00000080
#define    PADCTRLREG_IC_DP_PDN_SHIFT                                     6
#define    PADCTRLREG_IC_DP_PDN_MASK                                      0x00000040
#define    PADCTRLREG_IC_DP_PUP_SHIFT                                     5
#define    PADCTRLREG_IC_DP_PUP_MASK                                      0x00000020
#define    PADCTRLREG_IC_DP_SRC_SHIFT                                     4
#define    PADCTRLREG_IC_DP_SRC_MASK                                      0x00000010
#define    PADCTRLREG_IC_DP_IND_SHIFT                                     3
#define    PADCTRLREG_IC_DP_IND_MASK                                      0x00000008
#define    PADCTRLREG_IC_DP_SEL_SHIFT                                     0
#define    PADCTRLREG_IC_DP_SEL_MASK                                      0x00000007

#define PADCTRLREG_KP_COL_IP_0_OFFSET                                     0x000000B4
#define PADCTRLREG_KP_COL_IP_0_TYPE                                       UInt32
#define PADCTRLREG_KP_COL_IP_0_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_COL_IP_0_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_COL_IP_0_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_COL_IP_0_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_COL_IP_0_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_COL_IP_0_PDN_SHIFT                               6
#define    PADCTRLREG_KP_COL_IP_0_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_COL_IP_0_PUP_SHIFT                               5
#define    PADCTRLREG_KP_COL_IP_0_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_COL_IP_0_SRC_SHIFT                               4
#define    PADCTRLREG_KP_COL_IP_0_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_COL_IP_0_IND_SHIFT                               3
#define    PADCTRLREG_KP_COL_IP_0_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_COL_IP_0_SEL_SHIFT                               0
#define    PADCTRLREG_KP_COL_IP_0_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_COL_IP_1_OFFSET                                     0x000000B8
#define PADCTRLREG_KP_COL_IP_1_TYPE                                       UInt32
#define PADCTRLREG_KP_COL_IP_1_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_COL_IP_1_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_COL_IP_1_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_COL_IP_1_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_COL_IP_1_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_COL_IP_1_PDN_SHIFT                               6
#define    PADCTRLREG_KP_COL_IP_1_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_COL_IP_1_PUP_SHIFT                               5
#define    PADCTRLREG_KP_COL_IP_1_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_COL_IP_1_SRC_SHIFT                               4
#define    PADCTRLREG_KP_COL_IP_1_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_COL_IP_1_IND_SHIFT                               3
#define    PADCTRLREG_KP_COL_IP_1_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_COL_IP_1_SEL_SHIFT                               0
#define    PADCTRLREG_KP_COL_IP_1_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_COL_IP_2_OFFSET                                     0x000000BC
#define PADCTRLREG_KP_COL_IP_2_TYPE                                       UInt32
#define PADCTRLREG_KP_COL_IP_2_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_COL_IP_2_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_COL_IP_2_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_COL_IP_2_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_COL_IP_2_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_COL_IP_2_PDN_SHIFT                               6
#define    PADCTRLREG_KP_COL_IP_2_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_COL_IP_2_PUP_SHIFT                               5
#define    PADCTRLREG_KP_COL_IP_2_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_COL_IP_2_SRC_SHIFT                               4
#define    PADCTRLREG_KP_COL_IP_2_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_COL_IP_2_IND_SHIFT                               3
#define    PADCTRLREG_KP_COL_IP_2_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_COL_IP_2_SEL_SHIFT                               0
#define    PADCTRLREG_KP_COL_IP_2_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_COL_IP_3_OFFSET                                     0x000000C0
#define PADCTRLREG_KP_COL_IP_3_TYPE                                       UInt32
#define PADCTRLREG_KP_COL_IP_3_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_COL_IP_3_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_COL_IP_3_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_COL_IP_3_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_COL_IP_3_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_COL_IP_3_PDN_SHIFT                               6
#define    PADCTRLREG_KP_COL_IP_3_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_COL_IP_3_PUP_SHIFT                               5
#define    PADCTRLREG_KP_COL_IP_3_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_COL_IP_3_SRC_SHIFT                               4
#define    PADCTRLREG_KP_COL_IP_3_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_COL_IP_3_IND_SHIFT                               3
#define    PADCTRLREG_KP_COL_IP_3_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_COL_IP_3_SEL_SHIFT                               0
#define    PADCTRLREG_KP_COL_IP_3_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_ROW_OP_0_OFFSET                                     0x000000C4
#define PADCTRLREG_KP_ROW_OP_0_TYPE                                       UInt32
#define PADCTRLREG_KP_ROW_OP_0_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_ROW_OP_0_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_ROW_OP_0_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_ROW_OP_0_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_ROW_OP_0_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_ROW_OP_0_PDN_SHIFT                               6
#define    PADCTRLREG_KP_ROW_OP_0_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_ROW_OP_0_PUP_SHIFT                               5
#define    PADCTRLREG_KP_ROW_OP_0_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_ROW_OP_0_SRC_SHIFT                               4
#define    PADCTRLREG_KP_ROW_OP_0_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_ROW_OP_0_IND_SHIFT                               3
#define    PADCTRLREG_KP_ROW_OP_0_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_ROW_OP_0_SEL_SHIFT                               0
#define    PADCTRLREG_KP_ROW_OP_0_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_ROW_OP_1_OFFSET                                     0x000000C8
#define PADCTRLREG_KP_ROW_OP_1_TYPE                                       UInt32
#define PADCTRLREG_KP_ROW_OP_1_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_ROW_OP_1_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_ROW_OP_1_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_ROW_OP_1_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_ROW_OP_1_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_ROW_OP_1_PDN_SHIFT                               6
#define    PADCTRLREG_KP_ROW_OP_1_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_ROW_OP_1_PUP_SHIFT                               5
#define    PADCTRLREG_KP_ROW_OP_1_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_ROW_OP_1_SRC_SHIFT                               4
#define    PADCTRLREG_KP_ROW_OP_1_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_ROW_OP_1_IND_SHIFT                               3
#define    PADCTRLREG_KP_ROW_OP_1_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_ROW_OP_1_SEL_SHIFT                               0
#define    PADCTRLREG_KP_ROW_OP_1_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_ROW_OP_2_OFFSET                                     0x000000CC
#define PADCTRLREG_KP_ROW_OP_2_TYPE                                       UInt32
#define PADCTRLREG_KP_ROW_OP_2_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_ROW_OP_2_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_ROW_OP_2_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_ROW_OP_2_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_ROW_OP_2_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_ROW_OP_2_PDN_SHIFT                               6
#define    PADCTRLREG_KP_ROW_OP_2_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_ROW_OP_2_PUP_SHIFT                               5
#define    PADCTRLREG_KP_ROW_OP_2_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_ROW_OP_2_SRC_SHIFT                               4
#define    PADCTRLREG_KP_ROW_OP_2_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_ROW_OP_2_IND_SHIFT                               3
#define    PADCTRLREG_KP_ROW_OP_2_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_ROW_OP_2_SEL_SHIFT                               0
#define    PADCTRLREG_KP_ROW_OP_2_SEL_MASK                                0x00000007

#define PADCTRLREG_KP_ROW_OP_3_OFFSET                                     0x000000D0
#define PADCTRLREG_KP_ROW_OP_3_TYPE                                       UInt32
#define PADCTRLREG_KP_ROW_OP_3_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_KP_ROW_OP_3_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_KP_ROW_OP_3_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_KP_ROW_OP_3_HYS_EN_SHIFT                            7
#define    PADCTRLREG_KP_ROW_OP_3_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_KP_ROW_OP_3_PDN_SHIFT                               6
#define    PADCTRLREG_KP_ROW_OP_3_PDN_MASK                                0x00000040
#define    PADCTRLREG_KP_ROW_OP_3_PUP_SHIFT                               5
#define    PADCTRLREG_KP_ROW_OP_3_PUP_MASK                                0x00000020
#define    PADCTRLREG_KP_ROW_OP_3_SRC_SHIFT                               4
#define    PADCTRLREG_KP_ROW_OP_3_SRC_MASK                                0x00000010
#define    PADCTRLREG_KP_ROW_OP_3_IND_SHIFT                               3
#define    PADCTRLREG_KP_ROW_OP_3_IND_MASK                                0x00000008
#define    PADCTRLREG_KP_ROW_OP_3_SEL_SHIFT                               0
#define    PADCTRLREG_KP_ROW_OP_3_SEL_MASK                                0x00000007

#define PADCTRLREG_LCD_B_0_OFFSET                                         0x000000D4
#define PADCTRLREG_LCD_B_0_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_0_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_0_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_0_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_0_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_0_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_0_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_0_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_0_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_0_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_0_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_0_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_0_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_0_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_0_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_1_OFFSET                                         0x000000D8
#define PADCTRLREG_LCD_B_1_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_1_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_1_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_1_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_1_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_1_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_1_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_1_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_1_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_1_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_1_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_1_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_1_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_1_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_1_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_2_OFFSET                                         0x000000DC
#define PADCTRLREG_LCD_B_2_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_2_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_2_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_2_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_2_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_2_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_2_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_2_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_2_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_2_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_2_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_2_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_2_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_2_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_2_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_2_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_3_OFFSET                                         0x000000E0
#define PADCTRLREG_LCD_B_3_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_3_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_3_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_3_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_3_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_3_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_3_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_3_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_3_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_3_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_3_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_3_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_3_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_3_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_3_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_3_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_4_OFFSET                                         0x000000E4
#define PADCTRLREG_LCD_B_4_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_4_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_4_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_4_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_4_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_4_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_4_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_4_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_4_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_4_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_4_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_4_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_4_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_4_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_4_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_4_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_5_OFFSET                                         0x000000E8
#define PADCTRLREG_LCD_B_5_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_5_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_5_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_5_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_5_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_5_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_5_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_5_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_5_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_5_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_5_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_5_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_5_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_5_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_5_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_5_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_6_OFFSET                                         0x000000EC
#define PADCTRLREG_LCD_B_6_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_6_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_6_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_6_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_6_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_6_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_6_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_6_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_6_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_6_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_6_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_6_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_6_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_6_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_6_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_6_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_B_7_OFFSET                                         0x000000F0
#define PADCTRLREG_LCD_B_7_TYPE                                           UInt32
#define PADCTRLREG_LCD_B_7_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_B_7_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_B_7_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_B_7_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_B_7_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_B_7_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_B_7_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_B_7_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_B_7_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_B_7_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_B_7_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_B_7_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_B_7_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_B_7_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_B_7_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_0_OFFSET                                         0x000000F4
#define PADCTRLREG_LCD_G_0_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_0_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_0_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_0_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_0_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_0_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_0_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_0_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_0_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_0_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_0_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_0_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_0_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_0_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_0_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_1_OFFSET                                         0x000000F8
#define PADCTRLREG_LCD_G_1_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_1_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_1_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_1_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_1_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_1_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_1_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_1_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_1_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_1_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_1_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_1_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_1_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_1_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_1_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_2_OFFSET                                         0x000000FC
#define PADCTRLREG_LCD_G_2_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_2_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_2_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_2_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_2_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_2_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_2_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_2_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_2_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_2_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_2_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_2_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_2_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_2_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_2_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_2_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_3_OFFSET                                         0x00000100
#define PADCTRLREG_LCD_G_3_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_3_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_3_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_3_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_3_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_3_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_3_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_3_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_3_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_3_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_3_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_3_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_3_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_3_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_3_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_3_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_4_OFFSET                                         0x00000104
#define PADCTRLREG_LCD_G_4_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_4_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_4_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_4_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_4_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_4_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_4_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_4_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_4_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_4_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_4_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_4_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_4_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_4_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_4_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_4_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_5_OFFSET                                         0x00000108
#define PADCTRLREG_LCD_G_5_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_5_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_5_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_5_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_5_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_5_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_5_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_5_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_5_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_5_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_5_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_5_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_5_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_5_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_5_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_5_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_6_OFFSET                                         0x0000010C
#define PADCTRLREG_LCD_G_6_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_6_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_6_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_6_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_6_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_6_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_6_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_6_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_6_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_6_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_6_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_6_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_6_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_6_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_6_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_6_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_G_7_OFFSET                                         0x00000110
#define PADCTRLREG_LCD_G_7_TYPE                                           UInt32
#define PADCTRLREG_LCD_G_7_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_G_7_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_G_7_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_G_7_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_G_7_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_G_7_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_G_7_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_G_7_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_G_7_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_G_7_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_G_7_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_G_7_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_G_7_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_G_7_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_G_7_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_HSYNC_OFFSET                                       0x00000114
#define PADCTRLREG_LCD_HSYNC_TYPE                                         UInt32
#define PADCTRLREG_LCD_HSYNC_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_LCD_HSYNC_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_LCD_HSYNC_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_LCD_HSYNC_HYS_EN_SHIFT                              7
#define    PADCTRLREG_LCD_HSYNC_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_LCD_HSYNC_PDN_SHIFT                                 6
#define    PADCTRLREG_LCD_HSYNC_PDN_MASK                                  0x00000040
#define    PADCTRLREG_LCD_HSYNC_PUP_SHIFT                                 5
#define    PADCTRLREG_LCD_HSYNC_PUP_MASK                                  0x00000020
#define    PADCTRLREG_LCD_HSYNC_SRC_SHIFT                                 4
#define    PADCTRLREG_LCD_HSYNC_SRC_MASK                                  0x00000010
#define    PADCTRLREG_LCD_HSYNC_IND_SHIFT                                 3
#define    PADCTRLREG_LCD_HSYNC_IND_MASK                                  0x00000008
#define    PADCTRLREG_LCD_HSYNC_SEL_SHIFT                                 0
#define    PADCTRLREG_LCD_HSYNC_SEL_MASK                                  0x00000007

#define PADCTRLREG_LCD_OE_OFFSET                                          0x00000118
#define PADCTRLREG_LCD_OE_TYPE                                            UInt32
#define PADCTRLREG_LCD_OE_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_OE_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_LCD_OE_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_LCD_OE_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_LCD_OE_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_LCD_OE_PDN_SHIFT                                    6
#define    PADCTRLREG_LCD_OE_PDN_MASK                                     0x00000040
#define    PADCTRLREG_LCD_OE_PUP_SHIFT                                    5
#define    PADCTRLREG_LCD_OE_PUP_MASK                                     0x00000020
#define    PADCTRLREG_LCD_OE_SRC_SHIFT                                    4
#define    PADCTRLREG_LCD_OE_SRC_MASK                                     0x00000010
#define    PADCTRLREG_LCD_OE_IND_SHIFT                                    3
#define    PADCTRLREG_LCD_OE_IND_MASK                                     0x00000008
#define    PADCTRLREG_LCD_OE_SEL_SHIFT                                    0
#define    PADCTRLREG_LCD_OE_SEL_MASK                                     0x00000007

#define PADCTRLREG_LCD_PCLK_OFFSET                                        0x0000011C
#define PADCTRLREG_LCD_PCLK_TYPE                                          UInt32
#define PADCTRLREG_LCD_PCLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_LCD_PCLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_LCD_PCLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_LCD_PCLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_LCD_PCLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_LCD_PCLK_PDN_SHIFT                                  6
#define    PADCTRLREG_LCD_PCLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_LCD_PCLK_PUP_SHIFT                                  5
#define    PADCTRLREG_LCD_PCLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_LCD_PCLK_SRC_SHIFT                                  4
#define    PADCTRLREG_LCD_PCLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_LCD_PCLK_IND_SHIFT                                  3
#define    PADCTRLREG_LCD_PCLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_LCD_PCLK_SEL_SHIFT                                  0
#define    PADCTRLREG_LCD_PCLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_LCD_R_0_OFFSET                                         0x00000120
#define PADCTRLREG_LCD_R_0_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_0_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_0_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_0_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_0_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_0_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_0_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_0_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_0_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_0_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_0_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_0_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_0_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_0_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_0_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_1_OFFSET                                         0x00000124
#define PADCTRLREG_LCD_R_1_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_1_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_1_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_1_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_1_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_1_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_1_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_1_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_1_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_1_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_1_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_1_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_1_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_1_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_1_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_2_OFFSET                                         0x00000128
#define PADCTRLREG_LCD_R_2_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_2_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_2_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_2_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_2_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_2_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_2_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_2_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_2_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_2_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_2_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_2_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_2_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_2_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_2_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_2_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_3_OFFSET                                         0x0000012C
#define PADCTRLREG_LCD_R_3_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_3_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_3_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_3_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_3_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_3_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_3_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_3_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_3_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_3_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_3_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_3_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_3_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_3_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_3_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_3_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_4_OFFSET                                         0x00000130
#define PADCTRLREG_LCD_R_4_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_4_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_4_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_4_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_4_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_4_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_4_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_4_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_4_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_4_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_4_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_4_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_4_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_4_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_4_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_4_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_5_OFFSET                                         0x00000134
#define PADCTRLREG_LCD_R_5_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_5_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_5_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_5_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_5_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_5_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_5_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_5_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_5_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_5_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_5_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_5_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_5_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_5_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_5_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_5_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_6_OFFSET                                         0x00000138
#define PADCTRLREG_LCD_R_6_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_6_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_6_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_6_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_6_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_6_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_6_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_6_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_6_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_6_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_6_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_6_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_6_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_6_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_6_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_6_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_R_7_OFFSET                                         0x0000013C
#define PADCTRLREG_LCD_R_7_TYPE                                           UInt32
#define PADCTRLREG_LCD_R_7_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_R_7_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_LCD_R_7_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_LCD_R_7_HYS_EN_SHIFT                                7
#define    PADCTRLREG_LCD_R_7_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_LCD_R_7_PDN_SHIFT                                   6
#define    PADCTRLREG_LCD_R_7_PDN_MASK                                    0x00000040
#define    PADCTRLREG_LCD_R_7_PUP_SHIFT                                   5
#define    PADCTRLREG_LCD_R_7_PUP_MASK                                    0x00000020
#define    PADCTRLREG_LCD_R_7_SRC_SHIFT                                   4
#define    PADCTRLREG_LCD_R_7_SRC_MASK                                    0x00000010
#define    PADCTRLREG_LCD_R_7_IND_SHIFT                                   3
#define    PADCTRLREG_LCD_R_7_IND_MASK                                    0x00000008
#define    PADCTRLREG_LCD_R_7_SEL_SHIFT                                   0
#define    PADCTRLREG_LCD_R_7_SEL_MASK                                    0x00000007

#define PADCTRLREG_LCD_VSYNC_OFFSET                                       0x00000140
#define PADCTRLREG_LCD_VSYNC_TYPE                                         UInt32
#define PADCTRLREG_LCD_VSYNC_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_LCD_VSYNC_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_LCD_VSYNC_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_LCD_VSYNC_HYS_EN_SHIFT                              7
#define    PADCTRLREG_LCD_VSYNC_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_LCD_VSYNC_PDN_SHIFT                                 6
#define    PADCTRLREG_LCD_VSYNC_PDN_MASK                                  0x00000040
#define    PADCTRLREG_LCD_VSYNC_PUP_SHIFT                                 5
#define    PADCTRLREG_LCD_VSYNC_PUP_MASK                                  0x00000020
#define    PADCTRLREG_LCD_VSYNC_SRC_SHIFT                                 4
#define    PADCTRLREG_LCD_VSYNC_SRC_MASK                                  0x00000010
#define    PADCTRLREG_LCD_VSYNC_IND_SHIFT                                 3
#define    PADCTRLREG_LCD_VSYNC_IND_MASK                                  0x00000008
#define    PADCTRLREG_LCD_VSYNC_SEL_SHIFT                                 0
#define    PADCTRLREG_LCD_VSYNC_SEL_MASK                                  0x00000007

#define PADCTRLREG_MDMGPIO0_OFFSET                                        0x00000144
#define PADCTRLREG_MDMGPIO0_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO0_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO0_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO0_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO0_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO0_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO0_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO0_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO0_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO0_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO0_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO0_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO0_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO0_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO0_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO1_OFFSET                                        0x00000148
#define PADCTRLREG_MDMGPIO1_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO1_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO1_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO1_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO1_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO1_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO1_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO1_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO1_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO1_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO1_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO1_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO1_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO1_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO1_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO2_OFFSET                                        0x0000014C
#define PADCTRLREG_MDMGPIO2_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO2_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO2_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO2_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO2_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO2_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO2_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO2_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO2_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO2_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO2_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO2_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO2_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO2_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO2_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO2_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO3_OFFSET                                        0x00000150
#define PADCTRLREG_MDMGPIO3_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO3_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO3_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO3_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO3_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO3_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO3_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO3_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO3_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO3_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO3_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO3_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO3_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO3_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO3_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO3_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO4_OFFSET                                        0x00000154
#define PADCTRLREG_MDMGPIO4_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO4_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO4_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO4_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO4_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO4_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO4_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO4_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO4_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO4_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO4_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO4_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO4_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO4_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO4_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO4_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO5_OFFSET                                        0x00000158
#define PADCTRLREG_MDMGPIO5_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO5_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO5_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO5_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO5_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO5_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO5_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO5_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO5_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO5_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO5_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO5_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO5_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO5_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO5_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO5_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO6_OFFSET                                        0x0000015C
#define PADCTRLREG_MDMGPIO6_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO6_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO6_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO6_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO6_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO6_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO6_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO6_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO6_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO6_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO6_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO6_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO6_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO6_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO6_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO6_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO7_OFFSET                                        0x00000160
#define PADCTRLREG_MDMGPIO7_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO7_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO7_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO7_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO7_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO7_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO7_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO7_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO7_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO7_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO7_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO7_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO7_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO7_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO7_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO7_SEL_MASK                                   0x00000007

#define PADCTRLREG_MDMGPIO8_OFFSET                                        0x00000164
#define PADCTRLREG_MDMGPIO8_TYPE                                          UInt32
#define PADCTRLREG_MDMGPIO8_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MDMGPIO8_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MDMGPIO8_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MDMGPIO8_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MDMGPIO8_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MDMGPIO8_PDN_SHIFT                                  6
#define    PADCTRLREG_MDMGPIO8_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MDMGPIO8_PUP_SHIFT                                  5
#define    PADCTRLREG_MDMGPIO8_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MDMGPIO8_SRC_SHIFT                                  4
#define    PADCTRLREG_MDMGPIO8_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MDMGPIO8_IND_SHIFT                                  3
#define    PADCTRLREG_MDMGPIO8_IND_MASK                                   0x00000008
#define    PADCTRLREG_MDMGPIO8_SEL_SHIFT                                  0
#define    PADCTRLREG_MDMGPIO8_SEL_MASK                                   0x00000007

#define PADCTRLREG_MPHI_DATA_0_OFFSET                                     0x00000168
#define PADCTRLREG_MPHI_DATA_0_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_0_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_0_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_0_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_0_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_0_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_0_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_0_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_0_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_0_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_0_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_0_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_0_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_0_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_0_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_0_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_1_OFFSET                                     0x0000016C
#define PADCTRLREG_MPHI_DATA_1_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_1_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_1_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_1_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_1_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_1_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_1_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_1_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_1_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_1_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_1_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_1_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_1_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_1_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_1_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_1_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_2_OFFSET                                     0x00000170
#define PADCTRLREG_MPHI_DATA_2_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_2_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_2_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_2_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_2_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_2_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_2_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_2_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_2_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_2_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_2_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_2_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_2_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_2_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_2_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_2_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_3_OFFSET                                     0x00000174
#define PADCTRLREG_MPHI_DATA_3_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_3_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_3_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_3_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_3_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_3_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_3_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_3_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_3_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_3_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_3_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_3_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_3_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_3_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_3_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_3_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_4_OFFSET                                     0x00000178
#define PADCTRLREG_MPHI_DATA_4_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_4_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_4_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_4_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_4_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_4_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_4_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_4_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_4_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_4_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_4_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_4_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_4_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_4_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_4_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_4_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_5_OFFSET                                     0x0000017C
#define PADCTRLREG_MPHI_DATA_5_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_5_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_5_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_5_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_5_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_5_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_5_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_5_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_5_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_5_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_5_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_5_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_5_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_5_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_5_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_5_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_6_OFFSET                                     0x00000180
#define PADCTRLREG_MPHI_DATA_6_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_6_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_6_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_6_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_6_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_6_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_6_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_6_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_6_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_6_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_6_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_6_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_6_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_6_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_6_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_6_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_7_OFFSET                                     0x00000184
#define PADCTRLREG_MPHI_DATA_7_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_7_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_7_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_7_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_7_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_7_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_7_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_7_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_7_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_7_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_7_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_7_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_7_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_7_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_7_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_7_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_8_OFFSET                                     0x00000188
#define PADCTRLREG_MPHI_DATA_8_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_8_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_8_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_8_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_8_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_8_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_8_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_8_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_8_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_8_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_8_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_8_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_8_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_8_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_8_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_8_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_9_OFFSET                                     0x0000018C
#define PADCTRLREG_MPHI_DATA_9_TYPE                                       UInt32
#define PADCTRLREG_MPHI_DATA_9_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_9_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_DATA_9_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_DATA_9_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_DATA_9_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_DATA_9_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_DATA_9_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_DATA_9_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_DATA_9_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_DATA_9_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_DATA_9_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_DATA_9_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_DATA_9_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_DATA_9_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_DATA_9_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_DATA_10_OFFSET                                    0x00000190
#define PADCTRLREG_MPHI_DATA_10_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_10_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_10_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_10_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_10_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_10_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_10_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_10_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_10_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_10_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_10_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_10_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_10_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_10_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_10_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_10_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_DATA_11_OFFSET                                    0x00000194
#define PADCTRLREG_MPHI_DATA_11_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_11_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_11_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_11_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_11_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_11_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_11_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_11_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_11_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_11_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_11_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_11_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_11_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_11_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_11_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_11_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_DATA_12_OFFSET                                    0x00000198
#define PADCTRLREG_MPHI_DATA_12_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_12_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_12_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_12_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_12_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_12_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_12_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_12_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_12_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_12_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_12_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_12_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_12_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_12_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_12_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_12_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_DATA_13_OFFSET                                    0x0000019C
#define PADCTRLREG_MPHI_DATA_13_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_13_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_13_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_13_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_13_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_13_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_13_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_13_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_13_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_13_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_13_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_13_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_13_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_13_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_13_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_13_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_DATA_14_OFFSET                                    0x000001A0
#define PADCTRLREG_MPHI_DATA_14_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_14_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_14_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_14_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_14_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_14_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_14_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_14_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_14_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_14_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_14_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_14_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_14_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_14_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_14_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_14_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_DATA_15_OFFSET                                    0x000001A4
#define PADCTRLREG_MPHI_DATA_15_TYPE                                      UInt32
#define PADCTRLREG_MPHI_DATA_15_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MPHI_DATA_15_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MPHI_DATA_15_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MPHI_DATA_15_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MPHI_DATA_15_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MPHI_DATA_15_PDN_SHIFT                              6
#define    PADCTRLREG_MPHI_DATA_15_PDN_MASK                               0x00000040
#define    PADCTRLREG_MPHI_DATA_15_PUP_SHIFT                              5
#define    PADCTRLREG_MPHI_DATA_15_PUP_MASK                               0x00000020
#define    PADCTRLREG_MPHI_DATA_15_SRC_SHIFT                              4
#define    PADCTRLREG_MPHI_DATA_15_SRC_MASK                               0x00000010
#define    PADCTRLREG_MPHI_DATA_15_IND_SHIFT                              3
#define    PADCTRLREG_MPHI_DATA_15_IND_MASK                               0x00000008
#define    PADCTRLREG_MPHI_DATA_15_SEL_SHIFT                              0
#define    PADCTRLREG_MPHI_DATA_15_SEL_MASK                               0x00000007

#define PADCTRLREG_MPHI_HA0_OFFSET                                        0x000001A8
#define PADCTRLREG_MPHI_HA0_TYPE                                          UInt32
#define PADCTRLREG_MPHI_HA0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MPHI_HA0_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_MPHI_HA0_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_MPHI_HA0_HYS_EN_SHIFT                               7
#define    PADCTRLREG_MPHI_HA0_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_MPHI_HA0_PDN_SHIFT                                  6
#define    PADCTRLREG_MPHI_HA0_PDN_MASK                                   0x00000040
#define    PADCTRLREG_MPHI_HA0_PUP_SHIFT                                  5
#define    PADCTRLREG_MPHI_HA0_PUP_MASK                                   0x00000020
#define    PADCTRLREG_MPHI_HA0_SRC_SHIFT                                  4
#define    PADCTRLREG_MPHI_HA0_SRC_MASK                                   0x00000010
#define    PADCTRLREG_MPHI_HA0_IND_SHIFT                                  3
#define    PADCTRLREG_MPHI_HA0_IND_MASK                                   0x00000008
#define    PADCTRLREG_MPHI_HA0_SEL_SHIFT                                  0
#define    PADCTRLREG_MPHI_HA0_SEL_MASK                                   0x00000007

#define PADCTRLREG_MPHI_HAT0_OFFSET                                       0x000001AC
#define PADCTRLREG_MPHI_HAT0_TYPE                                         UInt32
#define PADCTRLREG_MPHI_HAT0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MPHI_HAT0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_MPHI_HAT0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_MPHI_HAT0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_MPHI_HAT0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_MPHI_HAT0_PDN_SHIFT                                 6
#define    PADCTRLREG_MPHI_HAT0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_MPHI_HAT0_PUP_SHIFT                                 5
#define    PADCTRLREG_MPHI_HAT0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_MPHI_HAT0_SRC_SHIFT                                 4
#define    PADCTRLREG_MPHI_HAT0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_MPHI_HAT0_IND_SHIFT                                 3
#define    PADCTRLREG_MPHI_HAT0_IND_MASK                                  0x00000008
#define    PADCTRLREG_MPHI_HAT0_SEL_SHIFT                                 0
#define    PADCTRLREG_MPHI_HAT0_SEL_MASK                                  0x00000007

#define PADCTRLREG_MPHI_HAT1_OFFSET                                       0x000001B0
#define PADCTRLREG_MPHI_HAT1_TYPE                                         UInt32
#define PADCTRLREG_MPHI_HAT1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MPHI_HAT1_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_MPHI_HAT1_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_MPHI_HAT1_HYS_EN_SHIFT                              7
#define    PADCTRLREG_MPHI_HAT1_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_MPHI_HAT1_PDN_SHIFT                                 6
#define    PADCTRLREG_MPHI_HAT1_PDN_MASK                                  0x00000040
#define    PADCTRLREG_MPHI_HAT1_PUP_SHIFT                                 5
#define    PADCTRLREG_MPHI_HAT1_PUP_MASK                                  0x00000020
#define    PADCTRLREG_MPHI_HAT1_SRC_SHIFT                                 4
#define    PADCTRLREG_MPHI_HAT1_SRC_MASK                                  0x00000010
#define    PADCTRLREG_MPHI_HAT1_IND_SHIFT                                 3
#define    PADCTRLREG_MPHI_HAT1_IND_MASK                                  0x00000008
#define    PADCTRLREG_MPHI_HAT1_SEL_SHIFT                                 0
#define    PADCTRLREG_MPHI_HAT1_SEL_MASK                                  0x00000007

#define PADCTRLREG_MPHI_HCE0_N_OFFSET                                     0x000001B4
#define PADCTRLREG_MPHI_HCE0_N_TYPE                                       UInt32
#define PADCTRLREG_MPHI_HCE0_N_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_HCE0_N_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_HCE0_N_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_HCE0_N_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_HCE0_N_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_HCE0_N_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_HCE0_N_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_HCE0_N_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_HCE0_N_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_HCE0_N_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_HCE0_N_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_HCE0_N_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_HCE0_N_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_HCE0_N_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_HCE0_N_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_HCE1_N_OFFSET                                     0x000001B8
#define PADCTRLREG_MPHI_HCE1_N_TYPE                                       UInt32
#define PADCTRLREG_MPHI_HCE1_N_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_MPHI_HCE1_N_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_MPHI_HCE1_N_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_MPHI_HCE1_N_HYS_EN_SHIFT                            7
#define    PADCTRLREG_MPHI_HCE1_N_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_MPHI_HCE1_N_PDN_SHIFT                               6
#define    PADCTRLREG_MPHI_HCE1_N_PDN_MASK                                0x00000040
#define    PADCTRLREG_MPHI_HCE1_N_PUP_SHIFT                               5
#define    PADCTRLREG_MPHI_HCE1_N_PUP_MASK                                0x00000020
#define    PADCTRLREG_MPHI_HCE1_N_SRC_SHIFT                               4
#define    PADCTRLREG_MPHI_HCE1_N_SRC_MASK                                0x00000010
#define    PADCTRLREG_MPHI_HCE1_N_IND_SHIFT                               3
#define    PADCTRLREG_MPHI_HCE1_N_IND_MASK                                0x00000008
#define    PADCTRLREG_MPHI_HCE1_N_SEL_SHIFT                               0
#define    PADCTRLREG_MPHI_HCE1_N_SEL_MASK                                0x00000007

#define PADCTRLREG_MPHI_HRD_N_OFFSET                                      0x000001BC
#define PADCTRLREG_MPHI_HRD_N_TYPE                                        UInt32
#define PADCTRLREG_MPHI_HRD_N_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MPHI_HRD_N_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_MPHI_HRD_N_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_MPHI_HRD_N_HYS_EN_SHIFT                             7
#define    PADCTRLREG_MPHI_HRD_N_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_MPHI_HRD_N_PDN_SHIFT                                6
#define    PADCTRLREG_MPHI_HRD_N_PDN_MASK                                 0x00000040
#define    PADCTRLREG_MPHI_HRD_N_PUP_SHIFT                                5
#define    PADCTRLREG_MPHI_HRD_N_PUP_MASK                                 0x00000020
#define    PADCTRLREG_MPHI_HRD_N_SRC_SHIFT                                4
#define    PADCTRLREG_MPHI_HRD_N_SRC_MASK                                 0x00000010
#define    PADCTRLREG_MPHI_HRD_N_IND_SHIFT                                3
#define    PADCTRLREG_MPHI_HRD_N_IND_MASK                                 0x00000008
#define    PADCTRLREG_MPHI_HRD_N_SEL_SHIFT                                0
#define    PADCTRLREG_MPHI_HRD_N_SEL_MASK                                 0x00000007

#define PADCTRLREG_MPHI_HWR_N_OFFSET                                      0x000001C0
#define PADCTRLREG_MPHI_HWR_N_TYPE                                        UInt32
#define PADCTRLREG_MPHI_HWR_N_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MPHI_HWR_N_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_MPHI_HWR_N_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_MPHI_HWR_N_HYS_EN_SHIFT                             7
#define    PADCTRLREG_MPHI_HWR_N_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_MPHI_HWR_N_PDN_SHIFT                                6
#define    PADCTRLREG_MPHI_HWR_N_PDN_MASK                                 0x00000040
#define    PADCTRLREG_MPHI_HWR_N_PUP_SHIFT                                5
#define    PADCTRLREG_MPHI_HWR_N_PUP_MASK                                 0x00000020
#define    PADCTRLREG_MPHI_HWR_N_SRC_SHIFT                                4
#define    PADCTRLREG_MPHI_HWR_N_SRC_MASK                                 0x00000010
#define    PADCTRLREG_MPHI_HWR_N_IND_SHIFT                                3
#define    PADCTRLREG_MPHI_HWR_N_IND_MASK                                 0x00000008
#define    PADCTRLREG_MPHI_HWR_N_SEL_SHIFT                                0
#define    PADCTRLREG_MPHI_HWR_N_SEL_MASK                                 0x00000007

#define PADCTRLREG_MPHI_RUN0_OFFSET                                       0x000001C4
#define PADCTRLREG_MPHI_RUN0_TYPE                                         UInt32
#define PADCTRLREG_MPHI_RUN0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MPHI_RUN0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_MPHI_RUN0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_MPHI_RUN0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_MPHI_RUN0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_MPHI_RUN0_PDN_SHIFT                                 6
#define    PADCTRLREG_MPHI_RUN0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_MPHI_RUN0_PUP_SHIFT                                 5
#define    PADCTRLREG_MPHI_RUN0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_MPHI_RUN0_SRC_SHIFT                                 4
#define    PADCTRLREG_MPHI_RUN0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_MPHI_RUN0_IND_SHIFT                                 3
#define    PADCTRLREG_MPHI_RUN0_IND_MASK                                  0x00000008
#define    PADCTRLREG_MPHI_RUN0_SEL_SHIFT                                 0
#define    PADCTRLREG_MPHI_RUN0_SEL_MASK                                  0x00000007

#define PADCTRLREG_MPHI_RUN1_OFFSET                                       0x000001C8
#define PADCTRLREG_MPHI_RUN1_TYPE                                         UInt32
#define PADCTRLREG_MPHI_RUN1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MPHI_RUN1_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_MPHI_RUN1_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_MPHI_RUN1_HYS_EN_SHIFT                              7
#define    PADCTRLREG_MPHI_RUN1_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_MPHI_RUN1_PDN_SHIFT                                 6
#define    PADCTRLREG_MPHI_RUN1_PDN_MASK                                  0x00000040
#define    PADCTRLREG_MPHI_RUN1_PUP_SHIFT                                 5
#define    PADCTRLREG_MPHI_RUN1_PUP_MASK                                  0x00000020
#define    PADCTRLREG_MPHI_RUN1_SRC_SHIFT                                 4
#define    PADCTRLREG_MPHI_RUN1_SRC_MASK                                  0x00000010
#define    PADCTRLREG_MPHI_RUN1_IND_SHIFT                                 3
#define    PADCTRLREG_MPHI_RUN1_IND_MASK                                  0x00000008
#define    PADCTRLREG_MPHI_RUN1_SEL_SHIFT                                 0
#define    PADCTRLREG_MPHI_RUN1_SEL_MASK                                  0x00000007

#define PADCTRLREG_MTX_SCAN_CLK_OFFSET                                    0x000001CC
#define PADCTRLREG_MTX_SCAN_CLK_TYPE                                      UInt32
#define PADCTRLREG_MTX_SCAN_CLK_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_MTX_SCAN_CLK_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_MTX_SCAN_CLK_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_MTX_SCAN_CLK_HYS_EN_SHIFT                           7
#define    PADCTRLREG_MTX_SCAN_CLK_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_MTX_SCAN_CLK_PDN_SHIFT                              6
#define    PADCTRLREG_MTX_SCAN_CLK_PDN_MASK                               0x00000040
#define    PADCTRLREG_MTX_SCAN_CLK_PUP_SHIFT                              5
#define    PADCTRLREG_MTX_SCAN_CLK_PUP_MASK                               0x00000020
#define    PADCTRLREG_MTX_SCAN_CLK_SRC_SHIFT                              4
#define    PADCTRLREG_MTX_SCAN_CLK_SRC_MASK                               0x00000010
#define    PADCTRLREG_MTX_SCAN_CLK_IND_SHIFT                              3
#define    PADCTRLREG_MTX_SCAN_CLK_IND_MASK                               0x00000008
#define    PADCTRLREG_MTX_SCAN_CLK_SEL_SHIFT                              0
#define    PADCTRLREG_MTX_SCAN_CLK_SEL_MASK                               0x00000007

#define PADCTRLREG_MTX_SCAN_DATA_OFFSET                                   0x000001D0
#define PADCTRLREG_MTX_SCAN_DATA_TYPE                                     UInt32
#define PADCTRLREG_MTX_SCAN_DATA_RESERVED_MASK                            0xFFFFF800
#define    PADCTRLREG_MTX_SCAN_DATA_PINSEL_2_0_SHIFT                      8
#define    PADCTRLREG_MTX_SCAN_DATA_PINSEL_2_0_MASK                       0x00000700
#define    PADCTRLREG_MTX_SCAN_DATA_HYS_EN_SHIFT                          7
#define    PADCTRLREG_MTX_SCAN_DATA_HYS_EN_MASK                           0x00000080
#define    PADCTRLREG_MTX_SCAN_DATA_PDN_SHIFT                             6
#define    PADCTRLREG_MTX_SCAN_DATA_PDN_MASK                              0x00000040
#define    PADCTRLREG_MTX_SCAN_DATA_PUP_SHIFT                             5
#define    PADCTRLREG_MTX_SCAN_DATA_PUP_MASK                              0x00000020
#define    PADCTRLREG_MTX_SCAN_DATA_SRC_SHIFT                             4
#define    PADCTRLREG_MTX_SCAN_DATA_SRC_MASK                              0x00000010
#define    PADCTRLREG_MTX_SCAN_DATA_IND_SHIFT                             3
#define    PADCTRLREG_MTX_SCAN_DATA_IND_MASK                              0x00000008
#define    PADCTRLREG_MTX_SCAN_DATA_SEL_SHIFT                             0
#define    PADCTRLREG_MTX_SCAN_DATA_SEL_MASK                              0x00000007

#define PADCTRLREG_NAND_AD_0_OFFSET                                       0x000001D4
#define PADCTRLREG_NAND_AD_0_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_0_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_0_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_0_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_0_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_0_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_0_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_0_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_1_OFFSET                                       0x000001D8
#define PADCTRLREG_NAND_AD_1_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_1_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_1_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_1_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_1_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_1_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_1_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_1_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_1_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_1_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_1_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_1_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_1_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_1_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_1_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_2_OFFSET                                       0x000001DC
#define PADCTRLREG_NAND_AD_2_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_2_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_2_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_2_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_2_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_2_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_2_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_2_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_2_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_2_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_2_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_2_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_2_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_2_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_2_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_2_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_3_OFFSET                                       0x000001E0
#define PADCTRLREG_NAND_AD_3_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_3_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_3_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_3_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_3_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_3_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_3_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_3_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_3_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_3_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_3_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_3_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_3_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_3_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_3_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_3_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_4_OFFSET                                       0x000001E4
#define PADCTRLREG_NAND_AD_4_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_4_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_4_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_4_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_4_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_4_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_4_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_4_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_4_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_4_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_4_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_4_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_4_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_4_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_4_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_4_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_5_OFFSET                                       0x000001E8
#define PADCTRLREG_NAND_AD_5_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_5_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_5_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_5_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_5_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_5_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_5_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_5_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_5_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_5_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_5_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_5_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_5_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_5_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_5_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_5_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_6_OFFSET                                       0x000001EC
#define PADCTRLREG_NAND_AD_6_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_6_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_6_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_6_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_6_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_6_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_6_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_6_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_6_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_6_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_6_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_6_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_6_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_6_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_6_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_6_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_AD_7_OFFSET                                       0x000001F0
#define PADCTRLREG_NAND_AD_7_TYPE                                         UInt32
#define PADCTRLREG_NAND_AD_7_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_NAND_AD_7_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_NAND_AD_7_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_NAND_AD_7_HYS_EN_SHIFT                              7
#define    PADCTRLREG_NAND_AD_7_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_NAND_AD_7_PDN_SHIFT                                 6
#define    PADCTRLREG_NAND_AD_7_PDN_MASK                                  0x00000040
#define    PADCTRLREG_NAND_AD_7_PUP_SHIFT                                 5
#define    PADCTRLREG_NAND_AD_7_PUP_MASK                                  0x00000020
#define    PADCTRLREG_NAND_AD_7_SRC_SHIFT                                 4
#define    PADCTRLREG_NAND_AD_7_SRC_MASK                                  0x00000010
#define    PADCTRLREG_NAND_AD_7_IND_SHIFT                                 3
#define    PADCTRLREG_NAND_AD_7_IND_MASK                                  0x00000008
#define    PADCTRLREG_NAND_AD_7_SEL_SHIFT                                 0
#define    PADCTRLREG_NAND_AD_7_SEL_MASK                                  0x00000007

#define PADCTRLREG_NAND_ALE_OFFSET                                        0x000001F4
#define PADCTRLREG_NAND_ALE_TYPE                                          UInt32
#define PADCTRLREG_NAND_ALE_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_NAND_ALE_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_NAND_ALE_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_NAND_ALE_HYS_EN_SHIFT                               7
#define    PADCTRLREG_NAND_ALE_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_NAND_ALE_PDN_SHIFT                                  6
#define    PADCTRLREG_NAND_ALE_PDN_MASK                                   0x00000040
#define    PADCTRLREG_NAND_ALE_PUP_SHIFT                                  5
#define    PADCTRLREG_NAND_ALE_PUP_MASK                                   0x00000020
#define    PADCTRLREG_NAND_ALE_SRC_SHIFT                                  4
#define    PADCTRLREG_NAND_ALE_SRC_MASK                                   0x00000010
#define    PADCTRLREG_NAND_ALE_IND_SHIFT                                  3
#define    PADCTRLREG_NAND_ALE_IND_MASK                                   0x00000008
#define    PADCTRLREG_NAND_ALE_SEL_SHIFT                                  0
#define    PADCTRLREG_NAND_ALE_SEL_MASK                                   0x00000007

#define PADCTRLREG_NAND_CEN_0_OFFSET                                      0x000001F8
#define PADCTRLREG_NAND_CEN_0_TYPE                                        UInt32
#define PADCTRLREG_NAND_CEN_0_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_NAND_CEN_0_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_NAND_CEN_0_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_NAND_CEN_0_HYS_EN_SHIFT                             7
#define    PADCTRLREG_NAND_CEN_0_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_NAND_CEN_0_PDN_SHIFT                                6
#define    PADCTRLREG_NAND_CEN_0_PDN_MASK                                 0x00000040
#define    PADCTRLREG_NAND_CEN_0_PUP_SHIFT                                5
#define    PADCTRLREG_NAND_CEN_0_PUP_MASK                                 0x00000020
#define    PADCTRLREG_NAND_CEN_0_SRC_SHIFT                                4
#define    PADCTRLREG_NAND_CEN_0_SRC_MASK                                 0x00000010
#define    PADCTRLREG_NAND_CEN_0_IND_SHIFT                                3
#define    PADCTRLREG_NAND_CEN_0_IND_MASK                                 0x00000008
#define    PADCTRLREG_NAND_CEN_0_SEL_SHIFT                                0
#define    PADCTRLREG_NAND_CEN_0_SEL_MASK                                 0x00000007

#define PADCTRLREG_NAND_CEN_1_OFFSET                                      0x000001FC
#define PADCTRLREG_NAND_CEN_1_TYPE                                        UInt32
#define PADCTRLREG_NAND_CEN_1_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_NAND_CEN_1_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_NAND_CEN_1_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_NAND_CEN_1_HYS_EN_SHIFT                             7
#define    PADCTRLREG_NAND_CEN_1_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_NAND_CEN_1_PDN_SHIFT                                6
#define    PADCTRLREG_NAND_CEN_1_PDN_MASK                                 0x00000040
#define    PADCTRLREG_NAND_CEN_1_PUP_SHIFT                                5
#define    PADCTRLREG_NAND_CEN_1_PUP_MASK                                 0x00000020
#define    PADCTRLREG_NAND_CEN_1_SRC_SHIFT                                4
#define    PADCTRLREG_NAND_CEN_1_SRC_MASK                                 0x00000010
#define    PADCTRLREG_NAND_CEN_1_IND_SHIFT                                3
#define    PADCTRLREG_NAND_CEN_1_IND_MASK                                 0x00000008
#define    PADCTRLREG_NAND_CEN_1_SEL_SHIFT                                0
#define    PADCTRLREG_NAND_CEN_1_SEL_MASK                                 0x00000007

#define PADCTRLREG_NAND_CLE_OFFSET                                        0x00000200
#define PADCTRLREG_NAND_CLE_TYPE                                          UInt32
#define PADCTRLREG_NAND_CLE_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_NAND_CLE_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_NAND_CLE_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_NAND_CLE_HYS_EN_SHIFT                               7
#define    PADCTRLREG_NAND_CLE_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_NAND_CLE_PDN_SHIFT                                  6
#define    PADCTRLREG_NAND_CLE_PDN_MASK                                   0x00000040
#define    PADCTRLREG_NAND_CLE_PUP_SHIFT                                  5
#define    PADCTRLREG_NAND_CLE_PUP_MASK                                   0x00000020
#define    PADCTRLREG_NAND_CLE_SRC_SHIFT                                  4
#define    PADCTRLREG_NAND_CLE_SRC_MASK                                   0x00000010
#define    PADCTRLREG_NAND_CLE_IND_SHIFT                                  3
#define    PADCTRLREG_NAND_CLE_IND_MASK                                   0x00000008
#define    PADCTRLREG_NAND_CLE_SEL_SHIFT                                  0
#define    PADCTRLREG_NAND_CLE_SEL_MASK                                   0x00000007

#define PADCTRLREG_NAND_OEN_OFFSET                                        0x00000204
#define PADCTRLREG_NAND_OEN_TYPE                                          UInt32
#define PADCTRLREG_NAND_OEN_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_NAND_OEN_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_NAND_OEN_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_NAND_OEN_HYS_EN_SHIFT                               7
#define    PADCTRLREG_NAND_OEN_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_NAND_OEN_PDN_SHIFT                                  6
#define    PADCTRLREG_NAND_OEN_PDN_MASK                                   0x00000040
#define    PADCTRLREG_NAND_OEN_PUP_SHIFT                                  5
#define    PADCTRLREG_NAND_OEN_PUP_MASK                                   0x00000020
#define    PADCTRLREG_NAND_OEN_SRC_SHIFT                                  4
#define    PADCTRLREG_NAND_OEN_SRC_MASK                                   0x00000010
#define    PADCTRLREG_NAND_OEN_IND_SHIFT                                  3
#define    PADCTRLREG_NAND_OEN_IND_MASK                                   0x00000008
#define    PADCTRLREG_NAND_OEN_SEL_SHIFT                                  0
#define    PADCTRLREG_NAND_OEN_SEL_MASK                                   0x00000007

#define PADCTRLREG_NAND_RDY_0_OFFSET                                      0x00000208
#define PADCTRLREG_NAND_RDY_0_TYPE                                        UInt32
#define PADCTRLREG_NAND_RDY_0_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_NAND_RDY_0_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_NAND_RDY_0_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_NAND_RDY_0_HYS_EN_SHIFT                             7
#define    PADCTRLREG_NAND_RDY_0_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_NAND_RDY_0_PDN_SHIFT                                6
#define    PADCTRLREG_NAND_RDY_0_PDN_MASK                                 0x00000040
#define    PADCTRLREG_NAND_RDY_0_PUP_SHIFT                                5
#define    PADCTRLREG_NAND_RDY_0_PUP_MASK                                 0x00000020
#define    PADCTRLREG_NAND_RDY_0_SRC_SHIFT                                4
#define    PADCTRLREG_NAND_RDY_0_SRC_MASK                                 0x00000010
#define    PADCTRLREG_NAND_RDY_0_IND_SHIFT                                3
#define    PADCTRLREG_NAND_RDY_0_IND_MASK                                 0x00000008
#define    PADCTRLREG_NAND_RDY_0_SEL_SHIFT                                0
#define    PADCTRLREG_NAND_RDY_0_SEL_MASK                                 0x00000007

#define PADCTRLREG_NAND_RDY_1_OFFSET                                      0x0000020C
#define PADCTRLREG_NAND_RDY_1_TYPE                                        UInt32
#define PADCTRLREG_NAND_RDY_1_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_NAND_RDY_1_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_NAND_RDY_1_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_NAND_RDY_1_HYS_EN_SHIFT                             7
#define    PADCTRLREG_NAND_RDY_1_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_NAND_RDY_1_PDN_SHIFT                                6
#define    PADCTRLREG_NAND_RDY_1_PDN_MASK                                 0x00000040
#define    PADCTRLREG_NAND_RDY_1_PUP_SHIFT                                5
#define    PADCTRLREG_NAND_RDY_1_PUP_MASK                                 0x00000020
#define    PADCTRLREG_NAND_RDY_1_SRC_SHIFT                                4
#define    PADCTRLREG_NAND_RDY_1_SRC_MASK                                 0x00000010
#define    PADCTRLREG_NAND_RDY_1_IND_SHIFT                                3
#define    PADCTRLREG_NAND_RDY_1_IND_MASK                                 0x00000008
#define    PADCTRLREG_NAND_RDY_1_SEL_SHIFT                                0
#define    PADCTRLREG_NAND_RDY_1_SEL_MASK                                 0x00000007

#define PADCTRLREG_NAND_WEN_OFFSET                                        0x00000210
#define PADCTRLREG_NAND_WEN_TYPE                                          UInt32
#define PADCTRLREG_NAND_WEN_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_NAND_WEN_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_NAND_WEN_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_NAND_WEN_HYS_EN_SHIFT                               7
#define    PADCTRLREG_NAND_WEN_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_NAND_WEN_PDN_SHIFT                                  6
#define    PADCTRLREG_NAND_WEN_PDN_MASK                                   0x00000040
#define    PADCTRLREG_NAND_WEN_PUP_SHIFT                                  5
#define    PADCTRLREG_NAND_WEN_PUP_MASK                                   0x00000020
#define    PADCTRLREG_NAND_WEN_SRC_SHIFT                                  4
#define    PADCTRLREG_NAND_WEN_SRC_MASK                                   0x00000010
#define    PADCTRLREG_NAND_WEN_IND_SHIFT                                  3
#define    PADCTRLREG_NAND_WEN_IND_MASK                                   0x00000008
#define    PADCTRLREG_NAND_WEN_SEL_SHIFT                                  0
#define    PADCTRLREG_NAND_WEN_SEL_MASK                                   0x00000007

#define PADCTRLREG_NAND_WP_OFFSET                                         0x00000214
#define PADCTRLREG_NAND_WP_TYPE                                           UInt32
#define PADCTRLREG_NAND_WP_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_NAND_WP_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_NAND_WP_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_NAND_WP_HYS_EN_SHIFT                                7
#define    PADCTRLREG_NAND_WP_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_NAND_WP_PDN_SHIFT                                   6
#define    PADCTRLREG_NAND_WP_PDN_MASK                                    0x00000040
#define    PADCTRLREG_NAND_WP_PUP_SHIFT                                   5
#define    PADCTRLREG_NAND_WP_PUP_MASK                                    0x00000020
#define    PADCTRLREG_NAND_WP_SRC_SHIFT                                   4
#define    PADCTRLREG_NAND_WP_SRC_MASK                                    0x00000010
#define    PADCTRLREG_NAND_WP_IND_SHIFT                                   3
#define    PADCTRLREG_NAND_WP_IND_MASK                                    0x00000008
#define    PADCTRLREG_NAND_WP_SEL_SHIFT                                   0
#define    PADCTRLREG_NAND_WP_SEL_MASK                                    0x00000007

#define PADCTRLREG_PC1_OFFSET                                             0x00000218
#define PADCTRLREG_PC1_TYPE                                               UInt32
#define PADCTRLREG_PC1_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_PC1_PINSEL_2_0_SHIFT                                8
#define    PADCTRLREG_PC1_PINSEL_2_0_MASK                                 0x00000700
#define    PADCTRLREG_PC1_HYS_EN_SHIFT                                    7
#define    PADCTRLREG_PC1_HYS_EN_MASK                                     0x00000080
#define    PADCTRLREG_PC1_PDN_SHIFT                                       6
#define    PADCTRLREG_PC1_PDN_MASK                                        0x00000040
#define    PADCTRLREG_PC1_PUP_SHIFT                                       5
#define    PADCTRLREG_PC1_PUP_MASK                                        0x00000020
#define    PADCTRLREG_PC1_SRC_SHIFT                                       4
#define    PADCTRLREG_PC1_SRC_MASK                                        0x00000010
#define    PADCTRLREG_PC1_IND_SHIFT                                       3
#define    PADCTRLREG_PC1_IND_MASK                                        0x00000008
#define    PADCTRLREG_PC1_SEL_SHIFT                                       0
#define    PADCTRLREG_PC1_SEL_MASK                                        0x00000007

#define PADCTRLREG_PC2_OFFSET                                             0x0000021C
#define PADCTRLREG_PC2_TYPE                                               UInt32
#define PADCTRLREG_PC2_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_PC2_PINSEL_2_0_SHIFT                                8
#define    PADCTRLREG_PC2_PINSEL_2_0_MASK                                 0x00000700
#define    PADCTRLREG_PC2_HYS_EN_SHIFT                                    7
#define    PADCTRLREG_PC2_HYS_EN_MASK                                     0x00000080
#define    PADCTRLREG_PC2_PDN_SHIFT                                       6
#define    PADCTRLREG_PC2_PDN_MASK                                        0x00000040
#define    PADCTRLREG_PC2_PUP_SHIFT                                       5
#define    PADCTRLREG_PC2_PUP_MASK                                        0x00000020
#define    PADCTRLREG_PC2_SRC_SHIFT                                       4
#define    PADCTRLREG_PC2_SRC_MASK                                        0x00000010
#define    PADCTRLREG_PC2_IND_SHIFT                                       3
#define    PADCTRLREG_PC2_IND_MASK                                        0x00000008
#define    PADCTRLREG_PC2_SEL_SHIFT                                       0
#define    PADCTRLREG_PC2_SEL_MASK                                        0x00000007

#define PADCTRLREG_PMU_INT_OFFSET                                         0x00000220
#define PADCTRLREG_PMU_INT_TYPE                                           UInt32
#define PADCTRLREG_PMU_INT_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_PMU_INT_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_PMU_INT_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_PMU_INT_HYS_EN_SHIFT                                7
#define    PADCTRLREG_PMU_INT_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_PMU_INT_PDN_SHIFT                                   6
#define    PADCTRLREG_PMU_INT_PDN_MASK                                    0x00000040
#define    PADCTRLREG_PMU_INT_PUP_SHIFT                                   5
#define    PADCTRLREG_PMU_INT_PUP_MASK                                    0x00000020
#define    PADCTRLREG_PMU_INT_SRC_SHIFT                                   4
#define    PADCTRLREG_PMU_INT_SRC_MASK                                    0x00000010
#define    PADCTRLREG_PMU_INT_IND_SHIFT                                   3
#define    PADCTRLREG_PMU_INT_IND_MASK                                    0x00000008
#define    PADCTRLREG_PMU_INT_SEL_SHIFT                                   0
#define    PADCTRLREG_PMU_INT_SEL_MASK                                    0x00000007

#define PADCTRLREG_PMU_SCL_OFFSET                                         0x00000224
#define PADCTRLREG_PMU_SCL_TYPE                                           UInt32
#define PADCTRLREG_PMU_SCL_RESERVED_MASK                                  0xFFFFF883
#define    PADCTRLREG_PMU_SCL_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_PMU_SCL_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_PMU_SCL_PUP_2_0_SHIFT                               4
#define    PADCTRLREG_PMU_SCL_PUP_2_0_MASK                                0x00000070
#define    PADCTRLREG_PMU_SCL_SRC_SHIFT                                   3
#define    PADCTRLREG_PMU_SCL_SRC_MASK                                    0x00000008
#define    PADCTRLREG_PMU_SCL_IND_SHIFT                                   2
#define    PADCTRLREG_PMU_SCL_IND_MASK                                    0x00000004

#define PADCTRLREG_PMU_SDA_OFFSET                                         0x00000228
#define PADCTRLREG_PMU_SDA_TYPE                                           UInt32
#define PADCTRLREG_PMU_SDA_RESERVED_MASK                                  0xFFFFF883
#define    PADCTRLREG_PMU_SDA_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_PMU_SDA_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_PMU_SDA_PUP_2_0_SHIFT                               4
#define    PADCTRLREG_PMU_SDA_PUP_2_0_MASK                                0x00000070
#define    PADCTRLREG_PMU_SDA_SRC_SHIFT                                   3
#define    PADCTRLREG_PMU_SDA_SRC_MASK                                    0x00000008
#define    PADCTRLREG_PMU_SDA_IND_SHIFT                                   2
#define    PADCTRLREG_PMU_SDA_IND_MASK                                    0x00000004

#define PADCTRLREG_RFST2G_MTSLOTEN3G_OFFSET                               0x0000022C
#define PADCTRLREG_RFST2G_MTSLOTEN3G_TYPE                                 UInt32
#define PADCTRLREG_RFST2G_MTSLOTEN3G_RESERVED_MASK                        0xFFFFF800
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PINSEL_2_0_SHIFT                  8
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PINSEL_2_0_MASK                   0x00000700
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_HYS_EN_SHIFT                      7
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_HYS_EN_MASK                       0x00000080
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PDN_SHIFT                         6
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PDN_MASK                          0x00000040
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PUP_SHIFT                         5
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PUP_MASK                          0x00000020
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SRC_SHIFT                         4
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SRC_MASK                          0x00000010
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_IND_SHIFT                         3
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_IND_MASK                          0x00000008
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_SHIFT                         0
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_MASK                          0x00000007

#define PADCTRLREG_RGMII_0_RX_CTL_OFFSET                                  0x00000230
#define PADCTRLREG_RGMII_0_RX_CTL_TYPE                                    UInt32
#define PADCTRLREG_RGMII_0_RX_CTL_RESERVED_MASK                           0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RX_CTL_PDN_SHIFT                            6
#define    PADCTRLREG_RGMII_0_RX_CTL_PDN_MASK                             0x00000040
#define    PADCTRLREG_RGMII_0_RX_CTL_PUP_SHIFT                            5
#define    PADCTRLREG_RGMII_0_RX_CTL_PUP_MASK                             0x00000020
#define    PADCTRLREG_RGMII_0_RX_CTL_AMP_EN_SHIFT                         4
#define    PADCTRLREG_RGMII_0_RX_CTL_AMP_EN_MASK                          0x00000010
#define    PADCTRLREG_RGMII_0_RX_CTL_IND_SHIFT                            3
#define    PADCTRLREG_RGMII_0_RX_CTL_IND_MASK                             0x00000008

#define PADCTRLREG_RGMII_0_RXC_OFFSET                                     0x00000234
#define PADCTRLREG_RGMII_0_RXC_TYPE                                       UInt32
#define PADCTRLREG_RGMII_0_RXC_RESERVED_MASK                              0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RXC_PDN_SHIFT                               6
#define    PADCTRLREG_RGMII_0_RXC_PDN_MASK                                0x00000040
#define    PADCTRLREG_RGMII_0_RXC_PUP_SHIFT                               5
#define    PADCTRLREG_RGMII_0_RXC_PUP_MASK                                0x00000020
#define    PADCTRLREG_RGMII_0_RXC_AMP_EN_SHIFT                            4
#define    PADCTRLREG_RGMII_0_RXC_AMP_EN_MASK                             0x00000010
#define    PADCTRLREG_RGMII_0_RXC_IND_SHIFT                               3
#define    PADCTRLREG_RGMII_0_RXC_IND_MASK                                0x00000008

#define PADCTRLREG_RGMII_0_RXD_0_OFFSET                                   0x00000238
#define PADCTRLREG_RGMII_0_RXD_0_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_RXD_0_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RXD_0_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_RXD_0_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_RXD_0_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_RXD_0_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_RXD_0_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_RXD_0_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_RXD_0_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_RXD_0_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_RXD_1_OFFSET                                   0x0000023C
#define PADCTRLREG_RGMII_0_RXD_1_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_RXD_1_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RXD_1_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_RXD_1_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_RXD_1_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_RXD_1_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_RXD_1_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_RXD_1_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_RXD_1_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_RXD_1_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_RXD_2_OFFSET                                   0x00000240
#define PADCTRLREG_RGMII_0_RXD_2_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_RXD_2_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RXD_2_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_RXD_2_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_RXD_2_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_RXD_2_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_RXD_2_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_RXD_2_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_RXD_2_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_RXD_2_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_RXD_3_OFFSET                                   0x00000244
#define PADCTRLREG_RGMII_0_RXD_3_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_RXD_3_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_RXD_3_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_RXD_3_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_RXD_3_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_RXD_3_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_RXD_3_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_RXD_3_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_RXD_3_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_RXD_3_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_TX_CTL_OFFSET                                  0x00000248
#define PADCTRLREG_RGMII_0_TX_CTL_TYPE                                    UInt32
#define PADCTRLREG_RGMII_0_TX_CTL_RESERVED_MASK                           0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TX_CTL_PDN_SHIFT                            6
#define    PADCTRLREG_RGMII_0_TX_CTL_PDN_MASK                             0x00000040
#define    PADCTRLREG_RGMII_0_TX_CTL_PUP_SHIFT                            5
#define    PADCTRLREG_RGMII_0_TX_CTL_PUP_MASK                             0x00000020
#define    PADCTRLREG_RGMII_0_TX_CTL_AMP_EN_SHIFT                         4
#define    PADCTRLREG_RGMII_0_TX_CTL_AMP_EN_MASK                          0x00000010
#define    PADCTRLREG_RGMII_0_TX_CTL_IND_SHIFT                            3
#define    PADCTRLREG_RGMII_0_TX_CTL_IND_MASK                             0x00000008

#define PADCTRLREG_RGMII_0_TXC_OFFSET                                     0x0000024C
#define PADCTRLREG_RGMII_0_TXC_TYPE                                       UInt32
#define PADCTRLREG_RGMII_0_TXC_RESERVED_MASK                              0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TXC_PDN_SHIFT                               6
#define    PADCTRLREG_RGMII_0_TXC_PDN_MASK                                0x00000040
#define    PADCTRLREG_RGMII_0_TXC_PUP_SHIFT                               5
#define    PADCTRLREG_RGMII_0_TXC_PUP_MASK                                0x00000020
#define    PADCTRLREG_RGMII_0_TXC_AMP_EN_SHIFT                            4
#define    PADCTRLREG_RGMII_0_TXC_AMP_EN_MASK                             0x00000010
#define    PADCTRLREG_RGMII_0_TXC_IND_SHIFT                               3
#define    PADCTRLREG_RGMII_0_TXC_IND_MASK                                0x00000008

#define PADCTRLREG_RGMII_0_TXD_0_OFFSET                                   0x00000250
#define PADCTRLREG_RGMII_0_TXD_0_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_TXD_0_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TXD_0_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_TXD_0_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_TXD_0_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_TXD_0_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_TXD_0_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_TXD_0_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_TXD_0_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_TXD_0_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_TXD_1_OFFSET                                   0x00000254
#define PADCTRLREG_RGMII_0_TXD_1_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_TXD_1_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TXD_1_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_TXD_1_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_TXD_1_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_TXD_1_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_TXD_1_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_TXD_1_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_TXD_1_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_TXD_1_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_TXD_2_OFFSET                                   0x00000258
#define PADCTRLREG_RGMII_0_TXD_2_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_TXD_2_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TXD_2_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_TXD_2_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_TXD_2_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_TXD_2_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_TXD_2_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_TXD_2_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_TXD_2_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_TXD_2_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_0_TXD_3_OFFSET                                   0x0000025C
#define PADCTRLREG_RGMII_0_TXD_3_TYPE                                     UInt32
#define PADCTRLREG_RGMII_0_TXD_3_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_0_TXD_3_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_0_TXD_3_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_0_TXD_3_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_0_TXD_3_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_0_TXD_3_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_0_TXD_3_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_0_TXD_3_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_0_TXD_3_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_RX_CTL_OFFSET                                  0x00000260
#define PADCTRLREG_RGMII_1_RX_CTL_TYPE                                    UInt32
#define PADCTRLREG_RGMII_1_RX_CTL_RESERVED_MASK                           0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RX_CTL_PDN_SHIFT                            6
#define    PADCTRLREG_RGMII_1_RX_CTL_PDN_MASK                             0x00000040
#define    PADCTRLREG_RGMII_1_RX_CTL_PUP_SHIFT                            5
#define    PADCTRLREG_RGMII_1_RX_CTL_PUP_MASK                             0x00000020
#define    PADCTRLREG_RGMII_1_RX_CTL_AMP_EN_SHIFT                         4
#define    PADCTRLREG_RGMII_1_RX_CTL_AMP_EN_MASK                          0x00000010
#define    PADCTRLREG_RGMII_1_RX_CTL_IND_SHIFT                            3
#define    PADCTRLREG_RGMII_1_RX_CTL_IND_MASK                             0x00000008

#define PADCTRLREG_RGMII_1_RXC_OFFSET                                     0x00000264
#define PADCTRLREG_RGMII_1_RXC_TYPE                                       UInt32
#define PADCTRLREG_RGMII_1_RXC_RESERVED_MASK                              0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RXC_PDN_SHIFT                               6
#define    PADCTRLREG_RGMII_1_RXC_PDN_MASK                                0x00000040
#define    PADCTRLREG_RGMII_1_RXC_PUP_SHIFT                               5
#define    PADCTRLREG_RGMII_1_RXC_PUP_MASK                                0x00000020
#define    PADCTRLREG_RGMII_1_RXC_AMP_EN_SHIFT                            4
#define    PADCTRLREG_RGMII_1_RXC_AMP_EN_MASK                             0x00000010
#define    PADCTRLREG_RGMII_1_RXC_IND_SHIFT                               3
#define    PADCTRLREG_RGMII_1_RXC_IND_MASK                                0x00000008

#define PADCTRLREG_RGMII_1_RXD_0_OFFSET                                   0x00000268
#define PADCTRLREG_RGMII_1_RXD_0_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_RXD_0_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RXD_0_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_RXD_0_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_RXD_0_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_RXD_0_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_RXD_0_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_RXD_0_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_RXD_0_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_RXD_0_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_RXD_1_OFFSET                                   0x0000026C
#define PADCTRLREG_RGMII_1_RXD_1_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_RXD_1_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RXD_1_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_RXD_1_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_RXD_1_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_RXD_1_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_RXD_1_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_RXD_1_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_RXD_1_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_RXD_1_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_RXD_2_OFFSET                                   0x00000270
#define PADCTRLREG_RGMII_1_RXD_2_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_RXD_2_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RXD_2_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_RXD_2_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_RXD_2_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_RXD_2_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_RXD_2_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_RXD_2_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_RXD_2_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_RXD_2_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_RXD_3_OFFSET                                   0x00000274
#define PADCTRLREG_RGMII_1_RXD_3_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_RXD_3_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_RXD_3_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_RXD_3_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_RXD_3_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_RXD_3_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_RXD_3_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_RXD_3_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_RXD_3_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_RXD_3_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_TX_CTL_OFFSET                                  0x00000278
#define PADCTRLREG_RGMII_1_TX_CTL_TYPE                                    UInt32
#define PADCTRLREG_RGMII_1_TX_CTL_RESERVED_MASK                           0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TX_CTL_PDN_SHIFT                            6
#define    PADCTRLREG_RGMII_1_TX_CTL_PDN_MASK                             0x00000040
#define    PADCTRLREG_RGMII_1_TX_CTL_PUP_SHIFT                            5
#define    PADCTRLREG_RGMII_1_TX_CTL_PUP_MASK                             0x00000020
#define    PADCTRLREG_RGMII_1_TX_CTL_AMP_EN_SHIFT                         4
#define    PADCTRLREG_RGMII_1_TX_CTL_AMP_EN_MASK                          0x00000010
#define    PADCTRLREG_RGMII_1_TX_CTL_IND_SHIFT                            3
#define    PADCTRLREG_RGMII_1_TX_CTL_IND_MASK                             0x00000008

#define PADCTRLREG_RGMII_1_TXC_OFFSET                                     0x0000027C
#define PADCTRLREG_RGMII_1_TXC_TYPE                                       UInt32
#define PADCTRLREG_RGMII_1_TXC_RESERVED_MASK                              0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TXC_PDN_SHIFT                               6
#define    PADCTRLREG_RGMII_1_TXC_PDN_MASK                                0x00000040
#define    PADCTRLREG_RGMII_1_TXC_PUP_SHIFT                               5
#define    PADCTRLREG_RGMII_1_TXC_PUP_MASK                                0x00000020
#define    PADCTRLREG_RGMII_1_TXC_AMP_EN_SHIFT                            4
#define    PADCTRLREG_RGMII_1_TXC_AMP_EN_MASK                             0x00000010
#define    PADCTRLREG_RGMII_1_TXC_IND_SHIFT                               3
#define    PADCTRLREG_RGMII_1_TXC_IND_MASK                                0x00000008

#define PADCTRLREG_RGMII_1_TXD_0_OFFSET                                   0x00000280
#define PADCTRLREG_RGMII_1_TXD_0_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_TXD_0_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TXD_0_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_TXD_0_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_TXD_0_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_TXD_0_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_TXD_0_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_TXD_0_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_TXD_0_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_TXD_0_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_TXD_1_OFFSET                                   0x00000284
#define PADCTRLREG_RGMII_1_TXD_1_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_TXD_1_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TXD_1_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_TXD_1_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_TXD_1_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_TXD_1_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_TXD_1_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_TXD_1_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_TXD_1_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_TXD_1_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_TXD_2_OFFSET                                   0x00000288
#define PADCTRLREG_RGMII_1_TXD_2_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_TXD_2_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TXD_2_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_TXD_2_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_TXD_2_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_TXD_2_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_TXD_2_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_TXD_2_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_TXD_2_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_TXD_2_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_1_TXD_3_OFFSET                                   0x0000028C
#define PADCTRLREG_RGMII_1_TXD_3_TYPE                                     UInt32
#define PADCTRLREG_RGMII_1_TXD_3_RESERVED_MASK                            0xFFFFFF87
#define    PADCTRLREG_RGMII_1_TXD_3_PDN_SHIFT                             6
#define    PADCTRLREG_RGMII_1_TXD_3_PDN_MASK                              0x00000040
#define    PADCTRLREG_RGMII_1_TXD_3_PUP_SHIFT                             5
#define    PADCTRLREG_RGMII_1_TXD_3_PUP_MASK                              0x00000020
#define    PADCTRLREG_RGMII_1_TXD_3_AMP_EN_SHIFT                          4
#define    PADCTRLREG_RGMII_1_TXD_3_AMP_EN_MASK                           0x00000010
#define    PADCTRLREG_RGMII_1_TXD_3_IND_SHIFT                             3
#define    PADCTRLREG_RGMII_1_TXD_3_IND_MASK                              0x00000008

#define PADCTRLREG_RGMII_GPIO_0_OFFSET                                    0x00000290
#define PADCTRLREG_RGMII_GPIO_0_TYPE                                      UInt32
#define PADCTRLREG_RGMII_GPIO_0_RESERVED_MASK                             0xFFFFF887
#define    PADCTRLREG_RGMII_GPIO_0_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_RGMII_GPIO_0_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_RGMII_GPIO_0_PDN_SHIFT                              6
#define    PADCTRLREG_RGMII_GPIO_0_PDN_MASK                               0x00000040
#define    PADCTRLREG_RGMII_GPIO_0_PUP_SHIFT                              5
#define    PADCTRLREG_RGMII_GPIO_0_PUP_MASK                               0x00000020
#define    PADCTRLREG_RGMII_GPIO_0_AMP_EN_SHIFT                           4
#define    PADCTRLREG_RGMII_GPIO_0_AMP_EN_MASK                            0x00000010
#define    PADCTRLREG_RGMII_GPIO_0_IND_SHIFT                              3
#define    PADCTRLREG_RGMII_GPIO_0_IND_MASK                               0x00000008

#define PADCTRLREG_RGMII_GPIO_1_OFFSET                                    0x00000294
#define PADCTRLREG_RGMII_GPIO_1_TYPE                                      UInt32
#define PADCTRLREG_RGMII_GPIO_1_RESERVED_MASK                             0xFFFFF887
#define    PADCTRLREG_RGMII_GPIO_1_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_RGMII_GPIO_1_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_RGMII_GPIO_1_PDN_SHIFT                              6
#define    PADCTRLREG_RGMII_GPIO_1_PDN_MASK                               0x00000040
#define    PADCTRLREG_RGMII_GPIO_1_PUP_SHIFT                              5
#define    PADCTRLREG_RGMII_GPIO_1_PUP_MASK                               0x00000020
#define    PADCTRLREG_RGMII_GPIO_1_AMP_EN_SHIFT                           4
#define    PADCTRLREG_RGMII_GPIO_1_AMP_EN_MASK                            0x00000010
#define    PADCTRLREG_RGMII_GPIO_1_IND_SHIFT                              3
#define    PADCTRLREG_RGMII_GPIO_1_IND_MASK                               0x00000008

#define PADCTRLREG_RGMII_GPIO_2_OFFSET                                    0x00000298
#define PADCTRLREG_RGMII_GPIO_2_TYPE                                      UInt32
#define PADCTRLREG_RGMII_GPIO_2_RESERVED_MASK                             0xFFFFF887
#define    PADCTRLREG_RGMII_GPIO_2_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_RGMII_GPIO_2_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_RGMII_GPIO_2_PDN_SHIFT                              6
#define    PADCTRLREG_RGMII_GPIO_2_PDN_MASK                               0x00000040
#define    PADCTRLREG_RGMII_GPIO_2_PUP_SHIFT                              5
#define    PADCTRLREG_RGMII_GPIO_2_PUP_MASK                               0x00000020
#define    PADCTRLREG_RGMII_GPIO_2_AMP_EN_SHIFT                           4
#define    PADCTRLREG_RGMII_GPIO_2_AMP_EN_MASK                            0x00000010
#define    PADCTRLREG_RGMII_GPIO_2_IND_SHIFT                              3
#define    PADCTRLREG_RGMII_GPIO_2_IND_MASK                               0x00000008

#define PADCTRLREG_RGMII_GPIO_3_OFFSET                                    0x0000029C
#define PADCTRLREG_RGMII_GPIO_3_TYPE                                      UInt32
#define PADCTRLREG_RGMII_GPIO_3_RESERVED_MASK                             0xFFFFF887
#define    PADCTRLREG_RGMII_GPIO_3_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_RGMII_GPIO_3_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_RGMII_GPIO_3_PDN_SHIFT                              6
#define    PADCTRLREG_RGMII_GPIO_3_PDN_MASK                               0x00000040
#define    PADCTRLREG_RGMII_GPIO_3_PUP_SHIFT                              5
#define    PADCTRLREG_RGMII_GPIO_3_PUP_MASK                               0x00000020
#define    PADCTRLREG_RGMII_GPIO_3_AMP_EN_SHIFT                           4
#define    PADCTRLREG_RGMII_GPIO_3_AMP_EN_MASK                            0x00000010
#define    PADCTRLREG_RGMII_GPIO_3_IND_SHIFT                              3
#define    PADCTRLREG_RGMII_GPIO_3_IND_MASK                               0x00000008

#define PADCTRLREG_RTXDATA2G_TXDATA3G1_OFFSET                             0x000002A0
#define PADCTRLREG_RTXDATA2G_TXDATA3G1_TYPE                               UInt32
#define PADCTRLREG_RTXDATA2G_TXDATA3G1_RESERVED_MASK                      0xFFFFF800
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PINSEL_2_0_SHIFT                8
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PINSEL_2_0_MASK                 0x00000700
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_HYS_EN_SHIFT                    7
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_HYS_EN_MASK                     0x00000080
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PDN_SHIFT                       6
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PDN_MASK                        0x00000040
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PUP_SHIFT                       5
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PUP_MASK                        0x00000020
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SRC_SHIFT                       4
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SRC_MASK                        0x00000010
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_IND_SHIFT                       3
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_IND_MASK                        0x00000008
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_SHIFT                       0
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_MASK                        0x00000007

#define PADCTRLREG_RTXEN2G_TXDATA3G2_OFFSET                               0x000002A4
#define PADCTRLREG_RTXEN2G_TXDATA3G2_TYPE                                 UInt32
#define PADCTRLREG_RTXEN2G_TXDATA3G2_RESERVED_MASK                        0xFFFFF800
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PINSEL_2_0_SHIFT                  8
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PINSEL_2_0_MASK                   0x00000700
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_HYS_EN_SHIFT                      7
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_HYS_EN_MASK                       0x00000080
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PDN_SHIFT                         6
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PDN_MASK                          0x00000040
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PUP_SHIFT                         5
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PUP_MASK                          0x00000020
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SRC_SHIFT                         4
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SRC_MASK                          0x00000010
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_IND_SHIFT                         3
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_IND_MASK                          0x00000008
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_SHIFT                         0
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_MASK                          0x00000007

#define PADCTRLREG_RXDATA3G0_OFFSET                                       0x000002A8
#define PADCTRLREG_RXDATA3G0_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_RXDATA3G0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_RXDATA3G0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_RXDATA3G0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_RXDATA3G0_PDN_SHIFT                                 6
#define    PADCTRLREG_RXDATA3G0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_RXDATA3G0_PUP_SHIFT                                 5
#define    PADCTRLREG_RXDATA3G0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_RXDATA3G0_SRC_SHIFT                                 4
#define    PADCTRLREG_RXDATA3G0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_RXDATA3G0_IND_SHIFT                                 3
#define    PADCTRLREG_RXDATA3G0_IND_MASK                                  0x00000008
#define    PADCTRLREG_RXDATA3G0_SEL_SHIFT                                 0
#define    PADCTRLREG_RXDATA3G0_SEL_MASK                                  0x00000007

#define PADCTRLREG_RXDATA3G1_OFFSET                                       0x000002AC
#define PADCTRLREG_RXDATA3G1_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G1_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_RXDATA3G1_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_RXDATA3G1_HYS_EN_SHIFT                              7
#define    PADCTRLREG_RXDATA3G1_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_RXDATA3G1_PDN_SHIFT                                 6
#define    PADCTRLREG_RXDATA3G1_PDN_MASK                                  0x00000040
#define    PADCTRLREG_RXDATA3G1_PUP_SHIFT                                 5
#define    PADCTRLREG_RXDATA3G1_PUP_MASK                                  0x00000020
#define    PADCTRLREG_RXDATA3G1_SRC_SHIFT                                 4
#define    PADCTRLREG_RXDATA3G1_SRC_MASK                                  0x00000010
#define    PADCTRLREG_RXDATA3G1_IND_SHIFT                                 3
#define    PADCTRLREG_RXDATA3G1_IND_MASK                                  0x00000008
#define    PADCTRLREG_RXDATA3G1_SEL_SHIFT                                 0
#define    PADCTRLREG_RXDATA3G1_SEL_MASK                                  0x00000007

#define PADCTRLREG_RXDATA3G2_OFFSET                                       0x000002B0
#define PADCTRLREG_RXDATA3G2_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G2_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G2_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_RXDATA3G2_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_RXDATA3G2_HYS_EN_SHIFT                              7
#define    PADCTRLREG_RXDATA3G2_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_RXDATA3G2_PDN_SHIFT                                 6
#define    PADCTRLREG_RXDATA3G2_PDN_MASK                                  0x00000040
#define    PADCTRLREG_RXDATA3G2_PUP_SHIFT                                 5
#define    PADCTRLREG_RXDATA3G2_PUP_MASK                                  0x00000020
#define    PADCTRLREG_RXDATA3G2_SRC_SHIFT                                 4
#define    PADCTRLREG_RXDATA3G2_SRC_MASK                                  0x00000010
#define    PADCTRLREG_RXDATA3G2_IND_SHIFT                                 3
#define    PADCTRLREG_RXDATA3G2_IND_MASK                                  0x00000008
#define    PADCTRLREG_RXDATA3G2_SEL_SHIFT                                 0
#define    PADCTRLREG_RXDATA3G2_SEL_MASK                                  0x00000007

#define PADCTRLREG_SDIO1_CLK_OFFSET                                       0x000002B4
#define PADCTRLREG_SDIO1_CLK_TYPE                                         UInt32
#define PADCTRLREG_SDIO1_CLK_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SDIO1_CLK_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SDIO1_CLK_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SDIO1_CLK_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SDIO1_CLK_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SDIO1_CLK_PDN_SHIFT                                 6
#define    PADCTRLREG_SDIO1_CLK_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SDIO1_CLK_PUP_SHIFT                                 5
#define    PADCTRLREG_SDIO1_CLK_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SDIO1_CLK_SRC_SHIFT                                 4
#define    PADCTRLREG_SDIO1_CLK_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SDIO1_CLK_IND_SHIFT                                 3
#define    PADCTRLREG_SDIO1_CLK_IND_MASK                                  0x00000008
#define    PADCTRLREG_SDIO1_CLK_SEL_SHIFT                                 0
#define    PADCTRLREG_SDIO1_CLK_SEL_MASK                                  0x00000007

#define PADCTRLREG_SDIO1_CMD_OFFSET                                       0x000002B8
#define PADCTRLREG_SDIO1_CMD_TYPE                                         UInt32
#define PADCTRLREG_SDIO1_CMD_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SDIO1_CMD_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SDIO1_CMD_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SDIO1_CMD_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SDIO1_CMD_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SDIO1_CMD_PDN_SHIFT                                 6
#define    PADCTRLREG_SDIO1_CMD_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SDIO1_CMD_PUP_SHIFT                                 5
#define    PADCTRLREG_SDIO1_CMD_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SDIO1_CMD_SRC_SHIFT                                 4
#define    PADCTRLREG_SDIO1_CMD_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SDIO1_CMD_IND_SHIFT                                 3
#define    PADCTRLREG_SDIO1_CMD_IND_MASK                                  0x00000008
#define    PADCTRLREG_SDIO1_CMD_SEL_SHIFT                                 0
#define    PADCTRLREG_SDIO1_CMD_SEL_MASK                                  0x00000007

#define PADCTRLREG_SDIO1_DATA_0_OFFSET                                    0x000002BC
#define PADCTRLREG_SDIO1_DATA_0_TYPE                                      UInt32
#define PADCTRLREG_SDIO1_DATA_0_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO1_DATA_0_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO1_DATA_0_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO1_DATA_0_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO1_DATA_0_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO1_DATA_0_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO1_DATA_0_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO1_DATA_0_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO1_DATA_0_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO1_DATA_0_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO1_DATA_0_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO1_DATA_0_IND_SHIFT                              3
#define    PADCTRLREG_SDIO1_DATA_0_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO1_DATA_0_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO1_DATA_0_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO1_DATA_1_OFFSET                                    0x000002C0
#define PADCTRLREG_SDIO1_DATA_1_TYPE                                      UInt32
#define PADCTRLREG_SDIO1_DATA_1_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO1_DATA_1_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO1_DATA_1_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO1_DATA_1_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO1_DATA_1_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO1_DATA_1_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO1_DATA_1_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO1_DATA_1_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO1_DATA_1_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO1_DATA_1_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO1_DATA_1_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO1_DATA_1_IND_SHIFT                              3
#define    PADCTRLREG_SDIO1_DATA_1_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO1_DATA_1_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO1_DATA_1_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO1_DATA_2_OFFSET                                    0x000002C4
#define PADCTRLREG_SDIO1_DATA_2_TYPE                                      UInt32
#define PADCTRLREG_SDIO1_DATA_2_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO1_DATA_2_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO1_DATA_2_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO1_DATA_2_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO1_DATA_2_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO1_DATA_2_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO1_DATA_2_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO1_DATA_2_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO1_DATA_2_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO1_DATA_2_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO1_DATA_2_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO1_DATA_2_IND_SHIFT                              3
#define    PADCTRLREG_SDIO1_DATA_2_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO1_DATA_2_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO1_DATA_2_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO1_DATA_3_OFFSET                                    0x000002C8
#define PADCTRLREG_SDIO1_DATA_3_TYPE                                      UInt32
#define PADCTRLREG_SDIO1_DATA_3_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO1_DATA_3_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO1_DATA_3_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO1_DATA_3_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO1_DATA_3_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO1_DATA_3_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO1_DATA_3_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO1_DATA_3_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO1_DATA_3_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO1_DATA_3_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO1_DATA_3_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO1_DATA_3_IND_SHIFT                              3
#define    PADCTRLREG_SDIO1_DATA_3_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO1_DATA_3_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO1_DATA_3_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO4_CLK_OFFSET                                       0x000002CC
#define PADCTRLREG_SDIO4_CLK_TYPE                                         UInt32
#define PADCTRLREG_SDIO4_CLK_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SDIO4_CLK_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SDIO4_CLK_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SDIO4_CLK_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SDIO4_CLK_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SDIO4_CLK_PDN_SHIFT                                 6
#define    PADCTRLREG_SDIO4_CLK_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SDIO4_CLK_PUP_SHIFT                                 5
#define    PADCTRLREG_SDIO4_CLK_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SDIO4_CLK_SRC_SHIFT                                 4
#define    PADCTRLREG_SDIO4_CLK_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SDIO4_CLK_IND_SHIFT                                 3
#define    PADCTRLREG_SDIO4_CLK_IND_MASK                                  0x00000008
#define    PADCTRLREG_SDIO4_CLK_SEL_SHIFT                                 0
#define    PADCTRLREG_SDIO4_CLK_SEL_MASK                                  0x00000007

#define PADCTRLREG_SDIO4_CMD_OFFSET                                       0x000002D0
#define PADCTRLREG_SDIO4_CMD_TYPE                                         UInt32
#define PADCTRLREG_SDIO4_CMD_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SDIO4_CMD_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SDIO4_CMD_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SDIO4_CMD_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SDIO4_CMD_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SDIO4_CMD_PDN_SHIFT                                 6
#define    PADCTRLREG_SDIO4_CMD_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SDIO4_CMD_PUP_SHIFT                                 5
#define    PADCTRLREG_SDIO4_CMD_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SDIO4_CMD_SRC_SHIFT                                 4
#define    PADCTRLREG_SDIO4_CMD_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SDIO4_CMD_IND_SHIFT                                 3
#define    PADCTRLREG_SDIO4_CMD_IND_MASK                                  0x00000008
#define    PADCTRLREG_SDIO4_CMD_SEL_SHIFT                                 0
#define    PADCTRLREG_SDIO4_CMD_SEL_MASK                                  0x00000007

#define PADCTRLREG_SDIO4_DATA_0_OFFSET                                    0x000002D4
#define PADCTRLREG_SDIO4_DATA_0_TYPE                                      UInt32
#define PADCTRLREG_SDIO4_DATA_0_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO4_DATA_0_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO4_DATA_0_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO4_DATA_0_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO4_DATA_0_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO4_DATA_0_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO4_DATA_0_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO4_DATA_0_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO4_DATA_0_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO4_DATA_0_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO4_DATA_0_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO4_DATA_0_IND_SHIFT                              3
#define    PADCTRLREG_SDIO4_DATA_0_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO4_DATA_0_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO4_DATA_0_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO4_DATA_1_OFFSET                                    0x000002D8
#define PADCTRLREG_SDIO4_DATA_1_TYPE                                      UInt32
#define PADCTRLREG_SDIO4_DATA_1_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO4_DATA_1_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO4_DATA_1_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO4_DATA_1_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO4_DATA_1_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO4_DATA_1_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO4_DATA_1_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO4_DATA_1_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO4_DATA_1_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO4_DATA_1_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO4_DATA_1_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO4_DATA_1_IND_SHIFT                              3
#define    PADCTRLREG_SDIO4_DATA_1_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO4_DATA_1_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO4_DATA_1_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO4_DATA_2_OFFSET                                    0x000002DC
#define PADCTRLREG_SDIO4_DATA_2_TYPE                                      UInt32
#define PADCTRLREG_SDIO4_DATA_2_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO4_DATA_2_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO4_DATA_2_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO4_DATA_2_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO4_DATA_2_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO4_DATA_2_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO4_DATA_2_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO4_DATA_2_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO4_DATA_2_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO4_DATA_2_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO4_DATA_2_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO4_DATA_2_IND_SHIFT                              3
#define    PADCTRLREG_SDIO4_DATA_2_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO4_DATA_2_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO4_DATA_2_SEL_MASK                               0x00000007

#define PADCTRLREG_SDIO4_DATA_3_OFFSET                                    0x000002E0
#define PADCTRLREG_SDIO4_DATA_3_TYPE                                      UInt32
#define PADCTRLREG_SDIO4_DATA_3_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_SDIO4_DATA_3_PINSEL_2_0_SHIFT                       8
#define    PADCTRLREG_SDIO4_DATA_3_PINSEL_2_0_MASK                        0x00000700
#define    PADCTRLREG_SDIO4_DATA_3_HYS_EN_SHIFT                           7
#define    PADCTRLREG_SDIO4_DATA_3_HYS_EN_MASK                            0x00000080
#define    PADCTRLREG_SDIO4_DATA_3_PDN_SHIFT                              6
#define    PADCTRLREG_SDIO4_DATA_3_PDN_MASK                               0x00000040
#define    PADCTRLREG_SDIO4_DATA_3_PUP_SHIFT                              5
#define    PADCTRLREG_SDIO4_DATA_3_PUP_MASK                               0x00000020
#define    PADCTRLREG_SDIO4_DATA_3_SRC_SHIFT                              4
#define    PADCTRLREG_SDIO4_DATA_3_SRC_MASK                               0x00000010
#define    PADCTRLREG_SDIO4_DATA_3_IND_SHIFT                              3
#define    PADCTRLREG_SDIO4_DATA_3_IND_MASK                               0x00000008
#define    PADCTRLREG_SDIO4_DATA_3_SEL_SHIFT                              0
#define    PADCTRLREG_SDIO4_DATA_3_SEL_MASK                               0x00000007

#define PADCTRLREG_SIM_CLK_OFFSET                                         0x000002E4
#define PADCTRLREG_SIM_CLK_TYPE                                           UInt32
#define PADCTRLREG_SIM_CLK_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SIM_CLK_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SIM_CLK_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SIM_CLK_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SIM_CLK_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SIM_CLK_PDN_SHIFT                                   6
#define    PADCTRLREG_SIM_CLK_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SIM_CLK_PUP_SHIFT                                   5
#define    PADCTRLREG_SIM_CLK_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SIM_CLK_SRC_SHIFT                                   4
#define    PADCTRLREG_SIM_CLK_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SIM_CLK_IND_SHIFT                                   3
#define    PADCTRLREG_SIM_CLK_IND_MASK                                    0x00000008
#define    PADCTRLREG_SIM_CLK_SEL_SHIFT                                   0
#define    PADCTRLREG_SIM_CLK_SEL_MASK                                    0x00000007

#define PADCTRLREG_SIM_DATA_OFFSET                                        0x000002E8
#define PADCTRLREG_SIM_DATA_TYPE                                          UInt32
#define PADCTRLREG_SIM_DATA_RESERVED_MASK                                 0xFFFFE000
#define    PADCTRLREG_SIM_DATA_PUPM1_SHIFT                                12
#define    PADCTRLREG_SIM_DATA_PUPM1_MASK                                 0x00001000
#define    PADCTRLREG_SIM_DATA_PUPM0_SHIFT                                11
#define    PADCTRLREG_SIM_DATA_PUPM0_MASK                                 0x00000800
#define    PADCTRLREG_SIM_DATA_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SIM_DATA_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SIM_DATA_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SIM_DATA_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SIM_DATA_PDN_SHIFT                                  6
#define    PADCTRLREG_SIM_DATA_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SIM_DATA_PUP_SHIFT                                  5
#define    PADCTRLREG_SIM_DATA_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SIM_DATA_SRC_SHIFT                                  4
#define    PADCTRLREG_SIM_DATA_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SIM_DATA_IND_SHIFT                                  3
#define    PADCTRLREG_SIM_DATA_IND_MASK                                   0x00000008
#define    PADCTRLREG_SIM_DATA_SEL_SHIFT                                  0
#define    PADCTRLREG_SIM_DATA_SEL_MASK                                   0x00000007

#define PADCTRLREG_SIM_DET_OFFSET                                         0x000002EC
#define PADCTRLREG_SIM_DET_TYPE                                           UInt32
#define PADCTRLREG_SIM_DET_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SIM_DET_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SIM_DET_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SIM_DET_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SIM_DET_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SIM_DET_PDN_SHIFT                                   6
#define    PADCTRLREG_SIM_DET_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SIM_DET_PUP_SHIFT                                   5
#define    PADCTRLREG_SIM_DET_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SIM_DET_SRC_SHIFT                                   4
#define    PADCTRLREG_SIM_DET_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SIM_DET_IND_SHIFT                                   3
#define    PADCTRLREG_SIM_DET_IND_MASK                                    0x00000008
#define    PADCTRLREG_SIM_DET_SEL_SHIFT                                   0
#define    PADCTRLREG_SIM_DET_SEL_MASK                                    0x00000007

#define PADCTRLREG_SIM_RESETN_OFFSET                                      0x000002F0
#define PADCTRLREG_SIM_RESETN_TYPE                                        UInt32
#define PADCTRLREG_SIM_RESETN_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SIM_RESETN_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SIM_RESETN_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SIM_RESETN_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SIM_RESETN_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SIM_RESETN_PDN_SHIFT                                6
#define    PADCTRLREG_SIM_RESETN_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SIM_RESETN_PUP_SHIFT                                5
#define    PADCTRLREG_SIM_RESETN_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SIM_RESETN_SRC_SHIFT                                4
#define    PADCTRLREG_SIM_RESETN_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SIM_RESETN_IND_SHIFT                                3
#define    PADCTRLREG_SIM_RESETN_IND_MASK                                 0x00000008
#define    PADCTRLREG_SIM_RESETN_SEL_SHIFT                                0
#define    PADCTRLREG_SIM_RESETN_SEL_MASK                                 0x00000007

#define PADCTRLREG_SIM2_CLK_OFFSET                                        0x000002F4
#define PADCTRLREG_SIM2_CLK_TYPE                                          UInt32
#define PADCTRLREG_SIM2_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM2_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SIM2_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SIM2_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SIM2_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SIM2_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SIM2_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SIM2_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SIM2_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SIM2_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SIM2_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SIM2_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SIM2_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SIM2_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SIM2_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SIM2_DATA_OFFSET                                       0x000002F8
#define PADCTRLREG_SIM2_DATA_TYPE                                         UInt32
#define PADCTRLREG_SIM2_DATA_RESERVED_MASK                                0xFFFFE000
#define    PADCTRLREG_SIM2_DATA_PUPM1_SHIFT                               12
#define    PADCTRLREG_SIM2_DATA_PUPM1_MASK                                0x00001000
#define    PADCTRLREG_SIM2_DATA_PUPM0_SHIFT                               11
#define    PADCTRLREG_SIM2_DATA_PUPM0_MASK                                0x00000800
#define    PADCTRLREG_SIM2_DATA_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SIM2_DATA_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SIM2_DATA_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SIM2_DATA_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SIM2_DATA_PDN_SHIFT                                 6
#define    PADCTRLREG_SIM2_DATA_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SIM2_DATA_PUP_SHIFT                                 5
#define    PADCTRLREG_SIM2_DATA_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SIM2_DATA_SRC_SHIFT                                 4
#define    PADCTRLREG_SIM2_DATA_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SIM2_DATA_IND_SHIFT                                 3
#define    PADCTRLREG_SIM2_DATA_IND_MASK                                  0x00000008
#define    PADCTRLREG_SIM2_DATA_SEL_SHIFT                                 0
#define    PADCTRLREG_SIM2_DATA_SEL_MASK                                  0x00000007

#define PADCTRLREG_SIM2_DET_OFFSET                                        0x000002FC
#define PADCTRLREG_SIM2_DET_TYPE                                          UInt32
#define PADCTRLREG_SIM2_DET_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM2_DET_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SIM2_DET_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SIM2_DET_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SIM2_DET_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SIM2_DET_PDN_SHIFT                                  6
#define    PADCTRLREG_SIM2_DET_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SIM2_DET_PUP_SHIFT                                  5
#define    PADCTRLREG_SIM2_DET_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SIM2_DET_SRC_SHIFT                                  4
#define    PADCTRLREG_SIM2_DET_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SIM2_DET_IND_SHIFT                                  3
#define    PADCTRLREG_SIM2_DET_IND_MASK                                   0x00000008
#define    PADCTRLREG_SIM2_DET_SEL_SHIFT                                  0
#define    PADCTRLREG_SIM2_DET_SEL_MASK                                   0x00000007

#define PADCTRLREG_SIM2_RESETN_OFFSET                                     0x00000300
#define PADCTRLREG_SIM2_RESETN_TYPE                                       UInt32
#define PADCTRLREG_SIM2_RESETN_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_SIM2_RESETN_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_SIM2_RESETN_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_SIM2_RESETN_HYS_EN_SHIFT                            7
#define    PADCTRLREG_SIM2_RESETN_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_SIM2_RESETN_PDN_SHIFT                               6
#define    PADCTRLREG_SIM2_RESETN_PDN_MASK                                0x00000040
#define    PADCTRLREG_SIM2_RESETN_PUP_SHIFT                               5
#define    PADCTRLREG_SIM2_RESETN_PUP_MASK                                0x00000020
#define    PADCTRLREG_SIM2_RESETN_SRC_SHIFT                               4
#define    PADCTRLREG_SIM2_RESETN_SRC_MASK                                0x00000010
#define    PADCTRLREG_SIM2_RESETN_IND_SHIFT                               3
#define    PADCTRLREG_SIM2_RESETN_IND_MASK                                0x00000008
#define    PADCTRLREG_SIM2_RESETN_SEL_SHIFT                               0
#define    PADCTRLREG_SIM2_RESETN_SEL_MASK                                0x00000007

#define PADCTRLREG_SRI_C_OFFSET                                           0x00000304
#define PADCTRLREG_SRI_C_TYPE                                             UInt32
#define PADCTRLREG_SRI_C_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_C_PINSEL_2_0_SHIFT                              8
#define    PADCTRLREG_SRI_C_PINSEL_2_0_MASK                               0x00000700
#define    PADCTRLREG_SRI_C_HYS_EN_SHIFT                                  7
#define    PADCTRLREG_SRI_C_HYS_EN_MASK                                   0x00000080
#define    PADCTRLREG_SRI_C_PDN_SHIFT                                     6
#define    PADCTRLREG_SRI_C_PDN_MASK                                      0x00000040
#define    PADCTRLREG_SRI_C_PUP_SHIFT                                     5
#define    PADCTRLREG_SRI_C_PUP_MASK                                      0x00000020
#define    PADCTRLREG_SRI_C_SRC_SHIFT                                     4
#define    PADCTRLREG_SRI_C_SRC_MASK                                      0x00000010
#define    PADCTRLREG_SRI_C_IND_SHIFT                                     3
#define    PADCTRLREG_SRI_C_IND_MASK                                      0x00000008
#define    PADCTRLREG_SRI_C_SEL_SHIFT                                     0
#define    PADCTRLREG_SRI_C_SEL_MASK                                      0x00000007

#define PADCTRLREG_SRI_D_OFFSET                                           0x00000308
#define PADCTRLREG_SRI_D_TYPE                                             UInt32
#define PADCTRLREG_SRI_D_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_D_PINSEL_2_0_SHIFT                              8
#define    PADCTRLREG_SRI_D_PINSEL_2_0_MASK                               0x00000700
#define    PADCTRLREG_SRI_D_HYS_EN_SHIFT                                  7
#define    PADCTRLREG_SRI_D_HYS_EN_MASK                                   0x00000080
#define    PADCTRLREG_SRI_D_PDN_SHIFT                                     6
#define    PADCTRLREG_SRI_D_PDN_MASK                                      0x00000040
#define    PADCTRLREG_SRI_D_PUP_SHIFT                                     5
#define    PADCTRLREG_SRI_D_PUP_MASK                                      0x00000020
#define    PADCTRLREG_SRI_D_SRC_SHIFT                                     4
#define    PADCTRLREG_SRI_D_SRC_MASK                                      0x00000010
#define    PADCTRLREG_SRI_D_IND_SHIFT                                     3
#define    PADCTRLREG_SRI_D_IND_MASK                                      0x00000008
#define    PADCTRLREG_SRI_D_SEL_SHIFT                                     0
#define    PADCTRLREG_SRI_D_SEL_MASK                                      0x00000007

#define PADCTRLREG_SRI_E_OFFSET                                           0x0000030C
#define PADCTRLREG_SRI_E_TYPE                                             UInt32
#define PADCTRLREG_SRI_E_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_E_PINSEL_2_0_SHIFT                              8
#define    PADCTRLREG_SRI_E_PINSEL_2_0_MASK                               0x00000700
#define    PADCTRLREG_SRI_E_HYS_EN_SHIFT                                  7
#define    PADCTRLREG_SRI_E_HYS_EN_MASK                                   0x00000080
#define    PADCTRLREG_SRI_E_PDN_SHIFT                                     6
#define    PADCTRLREG_SRI_E_PDN_MASK                                      0x00000040
#define    PADCTRLREG_SRI_E_PUP_SHIFT                                     5
#define    PADCTRLREG_SRI_E_PUP_MASK                                      0x00000020
#define    PADCTRLREG_SRI_E_SRC_SHIFT                                     4
#define    PADCTRLREG_SRI_E_SRC_MASK                                      0x00000010
#define    PADCTRLREG_SRI_E_IND_SHIFT                                     3
#define    PADCTRLREG_SRI_E_IND_MASK                                      0x00000008
#define    PADCTRLREG_SRI_E_SEL_SHIFT                                     0
#define    PADCTRLREG_SRI_E_SEL_MASK                                      0x00000007

#define PADCTRLREG_SSP_EXTCLK_OFFSET                                      0x00000310
#define PADCTRLREG_SSP_EXTCLK_TYPE                                        UInt32
#define PADCTRLREG_SSP_EXTCLK_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SSP_EXTCLK_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SSP_EXTCLK_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SSP_EXTCLK_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SSP_EXTCLK_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SSP_EXTCLK_PDN_SHIFT                                6
#define    PADCTRLREG_SSP_EXTCLK_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SSP_EXTCLK_PUP_SHIFT                                5
#define    PADCTRLREG_SSP_EXTCLK_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SSP_EXTCLK_SRC_SHIFT                                4
#define    PADCTRLREG_SSP_EXTCLK_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SSP_EXTCLK_IND_SHIFT                                3
#define    PADCTRLREG_SSP_EXTCLK_IND_MASK                                 0x00000008
#define    PADCTRLREG_SSP_EXTCLK_SEL_SHIFT                                0
#define    PADCTRLREG_SSP_EXTCLK_SEL_MASK                                 0x00000007

#define PADCTRLREG_SSP0_CLK_OFFSET                                        0x00000314
#define PADCTRLREG_SSP0_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP0_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP0_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP0_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP0_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP0_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP0_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP0_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP0_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP0_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP0_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP0_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP0_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP0_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP0_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP0_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP0_FS_OFFSET                                         0x00000318
#define PADCTRLREG_SSP0_FS_TYPE                                           UInt32
#define PADCTRLREG_SSP0_FS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SSP0_FS_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SSP0_FS_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SSP0_FS_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SSP0_FS_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SSP0_FS_PDN_SHIFT                                   6
#define    PADCTRLREG_SSP0_FS_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SSP0_FS_PUP_SHIFT                                   5
#define    PADCTRLREG_SSP0_FS_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SSP0_FS_SRC_SHIFT                                   4
#define    PADCTRLREG_SSP0_FS_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SSP0_FS_IND_SHIFT                                   3
#define    PADCTRLREG_SSP0_FS_IND_MASK                                    0x00000008
#define    PADCTRLREG_SSP0_FS_SEL_SHIFT                                   0
#define    PADCTRLREG_SSP0_FS_SEL_MASK                                    0x00000007

#define PADCTRLREG_SSP0_RXD_OFFSET                                        0x0000031C
#define PADCTRLREG_SSP0_RXD_TYPE                                          UInt32
#define PADCTRLREG_SSP0_RXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP0_RXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP0_RXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP0_RXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP0_RXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP0_RXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP0_RXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP0_RXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP0_RXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP0_RXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP0_RXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP0_RXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP0_RXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP0_RXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP0_RXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP0_TXD_OFFSET                                        0x00000320
#define PADCTRLREG_SSP0_TXD_TYPE                                          UInt32
#define PADCTRLREG_SSP0_TXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP0_TXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP0_TXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP0_TXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP0_TXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP0_TXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP0_TXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP0_TXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP0_TXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP0_TXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP0_TXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP0_TXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP0_TXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP0_TXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP0_TXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP2_CLK_OFFSET                                        0x00000324
#define PADCTRLREG_SSP2_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP2_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP2_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP2_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP2_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP2_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP2_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP2_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP2_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP2_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP2_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP2_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP2_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP2_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP2_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP2_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP2_FS_0_OFFSET                                       0x00000328
#define PADCTRLREG_SSP2_FS_0_TYPE                                         UInt32
#define PADCTRLREG_SSP2_FS_0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SSP2_FS_0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SSP2_FS_0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SSP2_FS_0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SSP2_FS_0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SSP2_FS_0_PDN_SHIFT                                 6
#define    PADCTRLREG_SSP2_FS_0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SSP2_FS_0_PUP_SHIFT                                 5
#define    PADCTRLREG_SSP2_FS_0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SSP2_FS_0_SRC_SHIFT                                 4
#define    PADCTRLREG_SSP2_FS_0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SSP2_FS_0_IND_SHIFT                                 3
#define    PADCTRLREG_SSP2_FS_0_IND_MASK                                  0x00000008
#define    PADCTRLREG_SSP2_FS_0_SEL_SHIFT                                 0
#define    PADCTRLREG_SSP2_FS_0_SEL_MASK                                  0x00000007

#define PADCTRLREG_SSP2_FS_1_OFFSET                                       0x0000032C
#define PADCTRLREG_SSP2_FS_1_TYPE                                         UInt32
#define PADCTRLREG_SSP2_FS_1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SSP2_FS_1_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SSP2_FS_1_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SSP2_FS_1_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SSP2_FS_1_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SSP2_FS_1_PDN_SHIFT                                 6
#define    PADCTRLREG_SSP2_FS_1_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SSP2_FS_1_PUP_SHIFT                                 5
#define    PADCTRLREG_SSP2_FS_1_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SSP2_FS_1_SRC_SHIFT                                 4
#define    PADCTRLREG_SSP2_FS_1_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SSP2_FS_1_IND_SHIFT                                 3
#define    PADCTRLREG_SSP2_FS_1_IND_MASK                                  0x00000008
#define    PADCTRLREG_SSP2_FS_1_SEL_SHIFT                                 0
#define    PADCTRLREG_SSP2_FS_1_SEL_MASK                                  0x00000007

#define PADCTRLREG_SSP2_FS_2_OFFSET                                       0x00000330
#define PADCTRLREG_SSP2_FS_2_TYPE                                         UInt32
#define PADCTRLREG_SSP2_FS_2_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SSP2_FS_2_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SSP2_FS_2_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SSP2_FS_2_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SSP2_FS_2_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SSP2_FS_2_PDN_SHIFT                                 6
#define    PADCTRLREG_SSP2_FS_2_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SSP2_FS_2_PUP_SHIFT                                 5
#define    PADCTRLREG_SSP2_FS_2_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SSP2_FS_2_SRC_SHIFT                                 4
#define    PADCTRLREG_SSP2_FS_2_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SSP2_FS_2_IND_SHIFT                                 3
#define    PADCTRLREG_SSP2_FS_2_IND_MASK                                  0x00000008
#define    PADCTRLREG_SSP2_FS_2_SEL_SHIFT                                 0
#define    PADCTRLREG_SSP2_FS_2_SEL_MASK                                  0x00000007

#define PADCTRLREG_SSP2_FS_3_OFFSET                                       0x00000334
#define PADCTRLREG_SSP2_FS_3_TYPE                                         UInt32
#define PADCTRLREG_SSP2_FS_3_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_SSP2_FS_3_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_SSP2_FS_3_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_SSP2_FS_3_HYS_EN_SHIFT                              7
#define    PADCTRLREG_SSP2_FS_3_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_SSP2_FS_3_PDN_SHIFT                                 6
#define    PADCTRLREG_SSP2_FS_3_PDN_MASK                                  0x00000040
#define    PADCTRLREG_SSP2_FS_3_PUP_SHIFT                                 5
#define    PADCTRLREG_SSP2_FS_3_PUP_MASK                                  0x00000020
#define    PADCTRLREG_SSP2_FS_3_SRC_SHIFT                                 4
#define    PADCTRLREG_SSP2_FS_3_SRC_MASK                                  0x00000010
#define    PADCTRLREG_SSP2_FS_3_IND_SHIFT                                 3
#define    PADCTRLREG_SSP2_FS_3_IND_MASK                                  0x00000008
#define    PADCTRLREG_SSP2_FS_3_SEL_SHIFT                                 0
#define    PADCTRLREG_SSP2_FS_3_SEL_MASK                                  0x00000007

#define PADCTRLREG_SSP2_RXD_0_OFFSET                                      0x00000338
#define PADCTRLREG_SSP2_RXD_0_TYPE                                        UInt32
#define PADCTRLREG_SSP2_RXD_0_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SSP2_RXD_0_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SSP2_RXD_0_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SSP2_RXD_0_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SSP2_RXD_0_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SSP2_RXD_0_PDN_SHIFT                                6
#define    PADCTRLREG_SSP2_RXD_0_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SSP2_RXD_0_PUP_SHIFT                                5
#define    PADCTRLREG_SSP2_RXD_0_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SSP2_RXD_0_SRC_SHIFT                                4
#define    PADCTRLREG_SSP2_RXD_0_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SSP2_RXD_0_IND_SHIFT                                3
#define    PADCTRLREG_SSP2_RXD_0_IND_MASK                                 0x00000008
#define    PADCTRLREG_SSP2_RXD_0_SEL_SHIFT                                0
#define    PADCTRLREG_SSP2_RXD_0_SEL_MASK                                 0x00000007

#define PADCTRLREG_SSP2_RXD_1_OFFSET                                      0x0000033C
#define PADCTRLREG_SSP2_RXD_1_TYPE                                        UInt32
#define PADCTRLREG_SSP2_RXD_1_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SSP2_RXD_1_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SSP2_RXD_1_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SSP2_RXD_1_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SSP2_RXD_1_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SSP2_RXD_1_PDN_SHIFT                                6
#define    PADCTRLREG_SSP2_RXD_1_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SSP2_RXD_1_PUP_SHIFT                                5
#define    PADCTRLREG_SSP2_RXD_1_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SSP2_RXD_1_SRC_SHIFT                                4
#define    PADCTRLREG_SSP2_RXD_1_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SSP2_RXD_1_IND_SHIFT                                3
#define    PADCTRLREG_SSP2_RXD_1_IND_MASK                                 0x00000008
#define    PADCTRLREG_SSP2_RXD_1_SEL_SHIFT                                0
#define    PADCTRLREG_SSP2_RXD_1_SEL_MASK                                 0x00000007

#define PADCTRLREG_SSP2_TXD_0_OFFSET                                      0x00000340
#define PADCTRLREG_SSP2_TXD_0_TYPE                                        UInt32
#define PADCTRLREG_SSP2_TXD_0_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SSP2_TXD_0_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SSP2_TXD_0_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SSP2_TXD_0_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SSP2_TXD_0_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SSP2_TXD_0_PDN_SHIFT                                6
#define    PADCTRLREG_SSP2_TXD_0_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SSP2_TXD_0_PUP_SHIFT                                5
#define    PADCTRLREG_SSP2_TXD_0_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SSP2_TXD_0_SRC_SHIFT                                4
#define    PADCTRLREG_SSP2_TXD_0_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SSP2_TXD_0_IND_SHIFT                                3
#define    PADCTRLREG_SSP2_TXD_0_IND_MASK                                 0x00000008
#define    PADCTRLREG_SSP2_TXD_0_SEL_SHIFT                                0
#define    PADCTRLREG_SSP2_TXD_0_SEL_MASK                                 0x00000007

#define PADCTRLREG_SSP2_TXD_1_OFFSET                                      0x00000344
#define PADCTRLREG_SSP2_TXD_1_TYPE                                        UInt32
#define PADCTRLREG_SSP2_TXD_1_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_SSP2_TXD_1_PINSEL_2_0_SHIFT                         8
#define    PADCTRLREG_SSP2_TXD_1_PINSEL_2_0_MASK                          0x00000700
#define    PADCTRLREG_SSP2_TXD_1_HYS_EN_SHIFT                             7
#define    PADCTRLREG_SSP2_TXD_1_HYS_EN_MASK                              0x00000080
#define    PADCTRLREG_SSP2_TXD_1_PDN_SHIFT                                6
#define    PADCTRLREG_SSP2_TXD_1_PDN_MASK                                 0x00000040
#define    PADCTRLREG_SSP2_TXD_1_PUP_SHIFT                                5
#define    PADCTRLREG_SSP2_TXD_1_PUP_MASK                                 0x00000020
#define    PADCTRLREG_SSP2_TXD_1_SRC_SHIFT                                4
#define    PADCTRLREG_SSP2_TXD_1_SRC_MASK                                 0x00000010
#define    PADCTRLREG_SSP2_TXD_1_IND_SHIFT                                3
#define    PADCTRLREG_SSP2_TXD_1_IND_MASK                                 0x00000008
#define    PADCTRLREG_SSP2_TXD_1_SEL_SHIFT                                0
#define    PADCTRLREG_SSP2_TXD_1_SEL_MASK                                 0x00000007

#define PADCTRLREG_SSP3_CLK_OFFSET                                        0x00000348
#define PADCTRLREG_SSP3_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP3_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP3_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP3_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP3_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP3_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP3_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP3_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP3_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP3_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP3_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP3_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP3_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP3_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP3_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP3_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP3_FS_OFFSET                                         0x0000034C
#define PADCTRLREG_SSP3_FS_TYPE                                           UInt32
#define PADCTRLREG_SSP3_FS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SSP3_FS_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SSP3_FS_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SSP3_FS_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SSP3_FS_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SSP3_FS_PDN_SHIFT                                   6
#define    PADCTRLREG_SSP3_FS_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SSP3_FS_PUP_SHIFT                                   5
#define    PADCTRLREG_SSP3_FS_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SSP3_FS_SRC_SHIFT                                   4
#define    PADCTRLREG_SSP3_FS_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SSP3_FS_IND_SHIFT                                   3
#define    PADCTRLREG_SSP3_FS_IND_MASK                                    0x00000008
#define    PADCTRLREG_SSP3_FS_SEL_SHIFT                                   0
#define    PADCTRLREG_SSP3_FS_SEL_MASK                                    0x00000007

#define PADCTRLREG_SSP3_RXD_OFFSET                                        0x00000350
#define PADCTRLREG_SSP3_RXD_TYPE                                          UInt32
#define PADCTRLREG_SSP3_RXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP3_RXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP3_RXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP3_RXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP3_RXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP3_RXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP3_RXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP3_RXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP3_RXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP3_RXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP3_RXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP3_RXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP3_RXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP3_RXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP3_RXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP3_TXD_OFFSET                                        0x00000354
#define PADCTRLREG_SSP3_TXD_TYPE                                          UInt32
#define PADCTRLREG_SSP3_TXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP3_TXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP3_TXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP3_TXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP3_TXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP3_TXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP3_TXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP3_TXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP3_TXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP3_TXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP3_TXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP3_TXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP3_TXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP3_TXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP3_TXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP4_CLK_OFFSET                                        0x00000358
#define PADCTRLREG_SSP4_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP4_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP4_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP4_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP4_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP4_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP4_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP4_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP4_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP4_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP4_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP4_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP4_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP4_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP4_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP4_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP4_FS_OFFSET                                         0x0000035C
#define PADCTRLREG_SSP4_FS_TYPE                                           UInt32
#define PADCTRLREG_SSP4_FS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SSP4_FS_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SSP4_FS_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SSP4_FS_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SSP4_FS_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SSP4_FS_PDN_SHIFT                                   6
#define    PADCTRLREG_SSP4_FS_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SSP4_FS_PUP_SHIFT                                   5
#define    PADCTRLREG_SSP4_FS_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SSP4_FS_SRC_SHIFT                                   4
#define    PADCTRLREG_SSP4_FS_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SSP4_FS_IND_SHIFT                                   3
#define    PADCTRLREG_SSP4_FS_IND_MASK                                    0x00000008
#define    PADCTRLREG_SSP4_FS_SEL_SHIFT                                   0
#define    PADCTRLREG_SSP4_FS_SEL_MASK                                    0x00000007

#define PADCTRLREG_SSP4_RXD_OFFSET                                        0x00000360
#define PADCTRLREG_SSP4_RXD_TYPE                                          UInt32
#define PADCTRLREG_SSP4_RXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP4_RXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP4_RXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP4_RXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP4_RXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP4_RXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP4_RXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP4_RXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP4_RXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP4_RXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP4_RXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP4_RXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP4_RXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP4_RXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP4_RXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP4_TXD_OFFSET                                        0x00000364
#define PADCTRLREG_SSP4_TXD_TYPE                                          UInt32
#define PADCTRLREG_SSP4_TXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP4_TXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP4_TXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP4_TXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP4_TXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP4_TXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP4_TXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP4_TXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP4_TXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP4_TXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP4_TXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP4_TXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP4_TXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP4_TXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP4_TXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP5_CLK_OFFSET                                        0x00000368
#define PADCTRLREG_SSP5_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP5_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP5_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP5_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP5_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP5_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP5_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP5_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP5_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP5_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP5_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP5_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP5_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP5_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP5_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP5_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP5_FS_OFFSET                                         0x0000036C
#define PADCTRLREG_SSP5_FS_TYPE                                           UInt32
#define PADCTRLREG_SSP5_FS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SSP5_FS_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SSP5_FS_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SSP5_FS_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SSP5_FS_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SSP5_FS_PDN_SHIFT                                   6
#define    PADCTRLREG_SSP5_FS_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SSP5_FS_PUP_SHIFT                                   5
#define    PADCTRLREG_SSP5_FS_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SSP5_FS_SRC_SHIFT                                   4
#define    PADCTRLREG_SSP5_FS_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SSP5_FS_IND_SHIFT                                   3
#define    PADCTRLREG_SSP5_FS_IND_MASK                                    0x00000008
#define    PADCTRLREG_SSP5_FS_SEL_SHIFT                                   0
#define    PADCTRLREG_SSP5_FS_SEL_MASK                                    0x00000007

#define PADCTRLREG_SSP5_RXD_OFFSET                                        0x00000370
#define PADCTRLREG_SSP5_RXD_TYPE                                          UInt32
#define PADCTRLREG_SSP5_RXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP5_RXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP5_RXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP5_RXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP5_RXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP5_RXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP5_RXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP5_RXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP5_RXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP5_RXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP5_RXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP5_RXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP5_RXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP5_RXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP5_RXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP5_TXD_OFFSET                                        0x00000374
#define PADCTRLREG_SSP5_TXD_TYPE                                          UInt32
#define PADCTRLREG_SSP5_TXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP5_TXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP5_TXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP5_TXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP5_TXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP5_TXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP5_TXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP5_TXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP5_TXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP5_TXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP5_TXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP5_TXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP5_TXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP5_TXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP5_TXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP6_CLK_OFFSET                                        0x00000378
#define PADCTRLREG_SSP6_CLK_TYPE                                          UInt32
#define PADCTRLREG_SSP6_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP6_CLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP6_CLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP6_CLK_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP6_CLK_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP6_CLK_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP6_CLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP6_CLK_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP6_CLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP6_CLK_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP6_CLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP6_CLK_IND_SHIFT                                  3
#define    PADCTRLREG_SSP6_CLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP6_CLK_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP6_CLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP6_FS_OFFSET                                         0x0000037C
#define PADCTRLREG_SSP6_FS_TYPE                                           UInt32
#define PADCTRLREG_SSP6_FS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SSP6_FS_PINSEL_2_0_SHIFT                            8
#define    PADCTRLREG_SSP6_FS_PINSEL_2_0_MASK                             0x00000700
#define    PADCTRLREG_SSP6_FS_HYS_EN_SHIFT                                7
#define    PADCTRLREG_SSP6_FS_HYS_EN_MASK                                 0x00000080
#define    PADCTRLREG_SSP6_FS_PDN_SHIFT                                   6
#define    PADCTRLREG_SSP6_FS_PDN_MASK                                    0x00000040
#define    PADCTRLREG_SSP6_FS_PUP_SHIFT                                   5
#define    PADCTRLREG_SSP6_FS_PUP_MASK                                    0x00000020
#define    PADCTRLREG_SSP6_FS_SRC_SHIFT                                   4
#define    PADCTRLREG_SSP6_FS_SRC_MASK                                    0x00000010
#define    PADCTRLREG_SSP6_FS_IND_SHIFT                                   3
#define    PADCTRLREG_SSP6_FS_IND_MASK                                    0x00000008
#define    PADCTRLREG_SSP6_FS_SEL_SHIFT                                   0
#define    PADCTRLREG_SSP6_FS_SEL_MASK                                    0x00000007

#define PADCTRLREG_SSP6_RXD_OFFSET                                        0x00000380
#define PADCTRLREG_SSP6_RXD_TYPE                                          UInt32
#define PADCTRLREG_SSP6_RXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP6_RXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP6_RXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP6_RXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP6_RXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP6_RXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP6_RXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP6_RXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP6_RXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP6_RXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP6_RXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP6_RXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP6_RXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP6_RXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP6_RXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_SSP6_TXD_OFFSET                                        0x00000384
#define PADCTRLREG_SSP6_TXD_TYPE                                          UInt32
#define PADCTRLREG_SSP6_TXD_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SSP6_TXD_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SSP6_TXD_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SSP6_TXD_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SSP6_TXD_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SSP6_TXD_PDN_SHIFT                                  6
#define    PADCTRLREG_SSP6_TXD_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SSP6_TXD_PUP_SHIFT                                  5
#define    PADCTRLREG_SSP6_TXD_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SSP6_TXD_SRC_SHIFT                                  4
#define    PADCTRLREG_SSP6_TXD_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SSP6_TXD_IND_SHIFT                                  3
#define    PADCTRLREG_SSP6_TXD_IND_MASK                                   0x00000008
#define    PADCTRLREG_SSP6_TXD_SEL_SHIFT                                  0
#define    PADCTRLREG_SSP6_TXD_SEL_MASK                                   0x00000007

#define PADCTRLREG_STAT_1_OFFSET                                          0x00000388
#define PADCTRLREG_STAT_1_TYPE                                            UInt32
#define PADCTRLREG_STAT_1_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_STAT_1_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_STAT_1_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_STAT_1_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_STAT_1_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_STAT_1_PDN_SHIFT                                    6
#define    PADCTRLREG_STAT_1_PDN_MASK                                     0x00000040
#define    PADCTRLREG_STAT_1_PUP_SHIFT                                    5
#define    PADCTRLREG_STAT_1_PUP_MASK                                     0x00000020
#define    PADCTRLREG_STAT_1_SRC_SHIFT                                    4
#define    PADCTRLREG_STAT_1_SRC_MASK                                     0x00000010
#define    PADCTRLREG_STAT_1_IND_SHIFT                                    3
#define    PADCTRLREG_STAT_1_IND_MASK                                     0x00000008
#define    PADCTRLREG_STAT_1_SEL_SHIFT                                    0
#define    PADCTRLREG_STAT_1_SEL_MASK                                     0x00000007

#define PADCTRLREG_STAT_2_OFFSET                                          0x0000038C
#define PADCTRLREG_STAT_2_TYPE                                            UInt32
#define PADCTRLREG_STAT_2_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_STAT_2_PINSEL_2_0_SHIFT                             8
#define    PADCTRLREG_STAT_2_PINSEL_2_0_MASK                              0x00000700
#define    PADCTRLREG_STAT_2_HYS_EN_SHIFT                                 7
#define    PADCTRLREG_STAT_2_HYS_EN_MASK                                  0x00000080
#define    PADCTRLREG_STAT_2_PDN_SHIFT                                    6
#define    PADCTRLREG_STAT_2_PDN_MASK                                     0x00000040
#define    PADCTRLREG_STAT_2_PUP_SHIFT                                    5
#define    PADCTRLREG_STAT_2_PUP_MASK                                     0x00000020
#define    PADCTRLREG_STAT_2_SRC_SHIFT                                    4
#define    PADCTRLREG_STAT_2_SRC_MASK                                     0x00000010
#define    PADCTRLREG_STAT_2_IND_SHIFT                                    3
#define    PADCTRLREG_STAT_2_IND_MASK                                     0x00000008
#define    PADCTRLREG_STAT_2_SEL_SHIFT                                    0
#define    PADCTRLREG_STAT_2_SEL_MASK                                     0x00000007

#define PADCTRLREG_SYSCLKEN_OFFSET                                        0x00000390
#define PADCTRLREG_SYSCLKEN_TYPE                                          UInt32
#define PADCTRLREG_SYSCLKEN_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SYSCLKEN_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_SYSCLKEN_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_SYSCLKEN_HYS_EN_SHIFT                               7
#define    PADCTRLREG_SYSCLKEN_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_SYSCLKEN_PDN_SHIFT                                  6
#define    PADCTRLREG_SYSCLKEN_PDN_MASK                                   0x00000040
#define    PADCTRLREG_SYSCLKEN_PUP_SHIFT                                  5
#define    PADCTRLREG_SYSCLKEN_PUP_MASK                                   0x00000020
#define    PADCTRLREG_SYSCLKEN_SRC_SHIFT                                  4
#define    PADCTRLREG_SYSCLKEN_SRC_MASK                                   0x00000010
#define    PADCTRLREG_SYSCLKEN_IND_SHIFT                                  3
#define    PADCTRLREG_SYSCLKEN_IND_MASK                                   0x00000008
#define    PADCTRLREG_SYSCLKEN_SEL_SHIFT                                  0
#define    PADCTRLREG_SYSCLKEN_SEL_MASK                                   0x00000007

#define PADCTRLREG_TRACECLK_OFFSET                                        0x00000394
#define PADCTRLREG_TRACECLK_TYPE                                          UInt32
#define PADCTRLREG_TRACECLK_RESERVED_MASK                                 0xFFFFF880
#define    PADCTRLREG_TRACECLK_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_TRACECLK_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_TRACECLK_PDN_SHIFT                                  6
#define    PADCTRLREG_TRACECLK_PDN_MASK                                   0x00000040
#define    PADCTRLREG_TRACECLK_PUP_SHIFT                                  5
#define    PADCTRLREG_TRACECLK_PUP_MASK                                   0x00000020
#define    PADCTRLREG_TRACECLK_SRC_SHIFT                                  4
#define    PADCTRLREG_TRACECLK_SRC_MASK                                   0x00000010
#define    PADCTRLREG_TRACECLK_IND_SHIFT                                  3
#define    PADCTRLREG_TRACECLK_IND_MASK                                   0x00000008
#define    PADCTRLREG_TRACECLK_SEL_SHIFT                                  0
#define    PADCTRLREG_TRACECLK_SEL_MASK                                   0x00000007

#define PADCTRLREG_TRACEDT00_OFFSET                                       0x00000398
#define PADCTRLREG_TRACEDT00_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT00_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT00_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT00_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT00_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT00_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT00_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT00_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT00_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT00_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT00_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT00_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT00_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT00_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT01_OFFSET                                       0x0000039C
#define PADCTRLREG_TRACEDT01_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT01_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT01_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT01_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT01_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT01_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT01_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT01_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT01_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT01_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT01_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT01_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT01_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT01_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT02_OFFSET                                       0x000003A0
#define PADCTRLREG_TRACEDT02_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT02_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT02_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT02_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT02_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT02_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT02_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT02_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT02_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT02_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT02_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT02_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT02_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT02_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT03_OFFSET                                       0x000003A4
#define PADCTRLREG_TRACEDT03_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT03_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT03_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT03_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT03_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT03_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT03_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT03_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT03_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT03_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT03_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT03_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT03_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT03_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT04_OFFSET                                       0x000003A8
#define PADCTRLREG_TRACEDT04_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT04_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT04_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT04_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT04_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT04_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT04_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT04_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT04_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT04_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT04_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT04_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT04_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT04_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT05_OFFSET                                       0x000003AC
#define PADCTRLREG_TRACEDT05_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT05_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT05_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT05_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT05_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT05_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT05_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT05_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT05_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT05_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT05_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT05_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT05_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT05_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT06_OFFSET                                       0x000003B0
#define PADCTRLREG_TRACEDT06_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT06_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT06_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT06_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT06_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT06_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT06_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT06_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT06_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT06_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT06_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT06_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT06_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT06_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT07_OFFSET                                       0x000003B4
#define PADCTRLREG_TRACEDT07_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT07_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT07_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT07_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT07_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT07_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT07_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT07_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT07_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT07_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT07_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT07_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT07_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT07_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT08_OFFSET                                       0x000003B8
#define PADCTRLREG_TRACEDT08_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT08_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT08_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT08_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT08_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT08_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT08_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT08_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT08_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT08_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT08_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT08_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT08_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT08_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT09_OFFSET                                       0x000003BC
#define PADCTRLREG_TRACEDT09_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT09_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT09_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT09_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT09_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT09_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT09_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT09_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT09_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT09_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT09_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT09_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT09_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT09_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT10_OFFSET                                       0x000003C0
#define PADCTRLREG_TRACEDT10_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT10_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT10_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT10_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT10_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT10_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT10_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT10_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT10_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT10_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT10_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT10_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT10_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT10_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT11_OFFSET                                       0x000003C4
#define PADCTRLREG_TRACEDT11_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT11_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT11_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT11_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT11_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT11_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT11_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT11_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT11_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT11_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT11_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT11_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT11_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT11_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT12_OFFSET                                       0x000003C8
#define PADCTRLREG_TRACEDT12_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT12_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT12_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT12_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT12_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT12_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT12_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT12_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT12_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT12_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT12_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT12_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT12_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT12_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT13_OFFSET                                       0x000003CC
#define PADCTRLREG_TRACEDT13_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT13_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT13_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT13_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT13_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT13_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT13_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT13_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT13_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT13_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT13_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT13_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT13_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT13_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT14_OFFSET                                       0x000003D0
#define PADCTRLREG_TRACEDT14_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT14_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT14_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT14_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT14_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT14_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT14_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT14_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT14_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT14_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT14_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT14_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT14_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT14_SEL_MASK                                  0x00000007

#define PADCTRLREG_TRACEDT15_OFFSET                                       0x000003D4
#define PADCTRLREG_TRACEDT15_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT15_RESERVED_MASK                                0xFFFFF880
#define    PADCTRLREG_TRACEDT15_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TRACEDT15_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TRACEDT15_PDN_SHIFT                                 6
#define    PADCTRLREG_TRACEDT15_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TRACEDT15_PUP_SHIFT                                 5
#define    PADCTRLREG_TRACEDT15_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TRACEDT15_SRC_SHIFT                                 4
#define    PADCTRLREG_TRACEDT15_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TRACEDT15_IND_SHIFT                                 3
#define    PADCTRLREG_TRACEDT15_IND_MASK                                  0x00000008
#define    PADCTRLREG_TRACEDT15_SEL_SHIFT                                 0
#define    PADCTRLREG_TRACEDT15_SEL_MASK                                  0x00000007

#define PADCTRLREG_TXDATA3G0_OFFSET                                       0x000003D8
#define PADCTRLREG_TXDATA3G0_TYPE                                         UInt32
#define PADCTRLREG_TXDATA3G0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_TXDATA3G0_PINSEL_2_0_SHIFT                          8
#define    PADCTRLREG_TXDATA3G0_PINSEL_2_0_MASK                           0x00000700
#define    PADCTRLREG_TXDATA3G0_HYS_EN_SHIFT                              7
#define    PADCTRLREG_TXDATA3G0_HYS_EN_MASK                               0x00000080
#define    PADCTRLREG_TXDATA3G0_PDN_SHIFT                                 6
#define    PADCTRLREG_TXDATA3G0_PDN_MASK                                  0x00000040
#define    PADCTRLREG_TXDATA3G0_PUP_SHIFT                                 5
#define    PADCTRLREG_TXDATA3G0_PUP_MASK                                  0x00000020
#define    PADCTRLREG_TXDATA3G0_SRC_SHIFT                                 4
#define    PADCTRLREG_TXDATA3G0_SRC_MASK                                  0x00000010
#define    PADCTRLREG_TXDATA3G0_IND_SHIFT                                 3
#define    PADCTRLREG_TXDATA3G0_IND_MASK                                  0x00000008
#define    PADCTRLREG_TXDATA3G0_SEL_SHIFT                                 0
#define    PADCTRLREG_TXDATA3G0_SEL_MASK                                  0x00000007

#define PADCTRLREG_TXPWRIND_OFFSET                                        0x000003DC
#define PADCTRLREG_TXPWRIND_TYPE                                          UInt32
#define PADCTRLREG_TXPWRIND_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_TXPWRIND_PINSEL_2_0_SHIFT                           8
#define    PADCTRLREG_TXPWRIND_PINSEL_2_0_MASK                            0x00000700
#define    PADCTRLREG_TXPWRIND_HYS_EN_SHIFT                               7
#define    PADCTRLREG_TXPWRIND_HYS_EN_MASK                                0x00000080
#define    PADCTRLREG_TXPWRIND_PDN_SHIFT                                  6
#define    PADCTRLREG_TXPWRIND_PDN_MASK                                   0x00000040
#define    PADCTRLREG_TXPWRIND_PUP_SHIFT                                  5
#define    PADCTRLREG_TXPWRIND_PUP_MASK                                   0x00000020
#define    PADCTRLREG_TXPWRIND_SRC_SHIFT                                  4
#define    PADCTRLREG_TXPWRIND_SRC_MASK                                   0x00000010
#define    PADCTRLREG_TXPWRIND_IND_SHIFT                                  3
#define    PADCTRLREG_TXPWRIND_IND_MASK                                   0x00000008
#define    PADCTRLREG_TXPWRIND_SEL_SHIFT                                  0
#define    PADCTRLREG_TXPWRIND_SEL_MASK                                   0x00000007

#define PADCTRLREG_UARTB1_UCTS_OFFSET                                     0x000003E0
#define PADCTRLREG_UARTB1_UCTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB1_UCTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB1_UCTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB1_UCTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB1_UCTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB1_UCTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB1_UCTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB1_UCTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB1_UCTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB1_UCTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB1_UCTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB1_UCTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB1_UCTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB1_UCTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB1_UCTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB1_UCTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB1_URTS_OFFSET                                     0x000003E4
#define PADCTRLREG_UARTB1_URTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB1_URTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB1_URTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB1_URTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB1_URTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB1_URTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB1_URTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB1_URTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB1_URTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB1_URTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB1_URTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB1_URTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB1_URTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB1_URTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB1_URTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB1_URTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB1_URXD_OFFSET                                     0x000003E8
#define PADCTRLREG_UARTB1_URXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB1_URXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB1_URXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB1_URXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB1_URXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB1_URXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB1_URXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB1_URXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB1_URXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB1_URXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB1_URXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB1_URXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB1_URXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB1_URXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB1_URXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB1_URXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB1_UTXD_OFFSET                                     0x000003EC
#define PADCTRLREG_UARTB1_UTXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB1_UTXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB1_UTXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB1_UTXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB1_UTXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB1_UTXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB1_UTXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB1_UTXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB1_UTXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB1_UTXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB1_UTXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB1_UTXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB1_UTXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB1_UTXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB1_UTXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB1_UTXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB2_URXD_OFFSET                                     0x000003F0
#define PADCTRLREG_UARTB2_URXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB2_URXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB2_URXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB2_URXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB2_URXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB2_URXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB2_URXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB2_URXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB2_URXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB2_URXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB2_URXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB2_URXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB2_URXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB2_URXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB2_URXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB2_URXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB2_UTXD_OFFSET                                     0x000003F4
#define PADCTRLREG_UARTB2_UTXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB2_UTXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB2_UTXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB2_UTXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB2_UTXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB2_UTXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB2_UTXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB2_UTXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB2_UTXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB2_UTXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB2_UTXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB2_UTXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB2_UTXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB2_UTXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB2_UTXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB2_UTXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB3_UCTS_OFFSET                                     0x000003F8
#define PADCTRLREG_UARTB3_UCTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB3_UCTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB3_UCTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB3_UCTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB3_UCTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB3_UCTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB3_UCTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB3_UCTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB3_UCTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB3_UCTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB3_UCTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB3_UCTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB3_UCTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB3_UCTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB3_UCTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB3_UCTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB3_URTS_OFFSET                                     0x000003FC
#define PADCTRLREG_UARTB3_URTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB3_URTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB3_URTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB3_URTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB3_URTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB3_URTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB3_URTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB3_URTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB3_URTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB3_URTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB3_URTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB3_URTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB3_URTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB3_URTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB3_URTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB3_URTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB3_URXD_OFFSET                                     0x00000400
#define PADCTRLREG_UARTB3_URXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB3_URXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB3_URXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB3_URXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB3_URXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB3_URXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB3_URXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB3_URXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB3_URXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB3_URXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB3_URXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB3_URXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB3_URXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB3_URXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB3_URXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB3_URXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB3_UTXD_OFFSET                                     0x00000404
#define PADCTRLREG_UARTB3_UTXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB3_UTXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB3_UTXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB3_UTXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB3_UTXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB3_UTXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB3_UTXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB3_UTXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB3_UTXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB3_UTXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB3_UTXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB3_UTXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB3_UTXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB3_UTXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB3_UTXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB3_UTXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB4_UCTS_OFFSET                                     0x00000408
#define PADCTRLREG_UARTB4_UCTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB4_UCTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB4_UCTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB4_UCTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB4_UCTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB4_UCTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB4_UCTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB4_UCTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB4_UCTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB4_UCTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB4_UCTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB4_UCTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB4_UCTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB4_UCTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB4_UCTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB4_UCTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB4_URTS_OFFSET                                     0x0000040C
#define PADCTRLREG_UARTB4_URTS_TYPE                                       UInt32
#define PADCTRLREG_UARTB4_URTS_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB4_URTS_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB4_URTS_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB4_URTS_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB4_URTS_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB4_URTS_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB4_URTS_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB4_URTS_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB4_URTS_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB4_URTS_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB4_URTS_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB4_URTS_IND_SHIFT                               3
#define    PADCTRLREG_UARTB4_URTS_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB4_URTS_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB4_URTS_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB4_URXD_OFFSET                                     0x00000410
#define PADCTRLREG_UARTB4_URXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB4_URXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB4_URXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB4_URXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB4_URXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB4_URXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB4_URXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB4_URXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB4_URXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB4_URXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB4_URXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB4_URXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB4_URXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB4_URXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB4_URXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB4_URXD_SEL_MASK                                0x00000007

#define PADCTRLREG_UARTB4_UTXD_OFFSET                                     0x00000414
#define PADCTRLREG_UARTB4_UTXD_TYPE                                       UInt32
#define PADCTRLREG_UARTB4_UTXD_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTB4_UTXD_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_UARTB4_UTXD_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_UARTB4_UTXD_HYS_EN_SHIFT                            7
#define    PADCTRLREG_UARTB4_UTXD_HYS_EN_MASK                             0x00000080
#define    PADCTRLREG_UARTB4_UTXD_PDN_SHIFT                               6
#define    PADCTRLREG_UARTB4_UTXD_PDN_MASK                                0x00000040
#define    PADCTRLREG_UARTB4_UTXD_PUP_SHIFT                               5
#define    PADCTRLREG_UARTB4_UTXD_PUP_MASK                                0x00000020
#define    PADCTRLREG_UARTB4_UTXD_SRC_SHIFT                               4
#define    PADCTRLREG_UARTB4_UTXD_SRC_MASK                                0x00000010
#define    PADCTRLREG_UARTB4_UTXD_IND_SHIFT                               3
#define    PADCTRLREG_UARTB4_UTXD_IND_MASK                                0x00000008
#define    PADCTRLREG_UARTB4_UTXD_SEL_SHIFT                               0
#define    PADCTRLREG_UARTB4_UTXD_SEL_MASK                                0x00000007

#define PADCTRLREG_VC_CAM1_SCL_OFFSET                                     0x00000418
#define PADCTRLREG_VC_CAM1_SCL_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM1_SCL_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM1_SCL_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM1_SCL_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM1_SCL_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM1_SCL_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM1_SCL_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM1_SCL_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM1_SCL_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM1_SCL_IND_MASK                                0x00000004

#define PADCTRLREG_VC_CAM1_SDA_OFFSET                                     0x0000041C
#define PADCTRLREG_VC_CAM1_SDA_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM1_SDA_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM1_SDA_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM1_SDA_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM1_SDA_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM1_SDA_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM1_SDA_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM1_SDA_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM1_SDA_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM1_SDA_IND_MASK                                0x00000004

#define PADCTRLREG_VC_CAM2_SCL_OFFSET                                     0x00000420
#define PADCTRLREG_VC_CAM2_SCL_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM2_SCL_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM2_SCL_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM2_SCL_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM2_SCL_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM2_SCL_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM2_SCL_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM2_SCL_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM2_SCL_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM2_SCL_IND_MASK                                0x00000004

#define PADCTRLREG_VC_CAM2_SDA_OFFSET                                     0x00000424
#define PADCTRLREG_VC_CAM2_SDA_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM2_SDA_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM2_SDA_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM2_SDA_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM2_SDA_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM2_SDA_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM2_SDA_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM2_SDA_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM2_SDA_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM2_SDA_IND_MASK                                0x00000004

#define PADCTRLREG_VC_CAM3_SCL_OFFSET                                     0x00000428
#define PADCTRLREG_VC_CAM3_SCL_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM3_SCL_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM3_SCL_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM3_SCL_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM3_SCL_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM3_SCL_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM3_SCL_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM3_SCL_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM3_SCL_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM3_SCL_IND_MASK                                0x00000004

#define PADCTRLREG_VC_CAM3_SDA_OFFSET                                     0x0000042C
#define PADCTRLREG_VC_CAM3_SDA_TYPE                                       UInt32
#define PADCTRLREG_VC_CAM3_SDA_RESERVED_MASK                              0xFFFFF883
#define    PADCTRLREG_VC_CAM3_SDA_PINSEL_2_0_SHIFT                        8
#define    PADCTRLREG_VC_CAM3_SDA_PINSEL_2_0_MASK                         0x00000700
#define    PADCTRLREG_VC_CAM3_SDA_PUP_2_0_SHIFT                           4
#define    PADCTRLREG_VC_CAM3_SDA_PUP_2_0_MASK                            0x00000070
#define    PADCTRLREG_VC_CAM3_SDA_SRC_SHIFT                               3
#define    PADCTRLREG_VC_CAM3_SDA_SRC_MASK                                0x00000008
#define    PADCTRLREG_VC_CAM3_SDA_IND_SHIFT                               2
#define    PADCTRLREG_VC_CAM3_SDA_IND_MASK                                0x00000004

#endif /* __BRCM_RDB_PADCTRLREG_H__ */


