/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_CHIPREG_H__
#define __BRCM_RDB_CHIPREG_H__

#define CHIPREG_CHIPID_REG_OFFSET                                         0x00000000
#define CHIPREG_CHIPID_REG_TYPE                                           UInt32
#define CHIPREG_CHIPID_REG_RESERVED_MASK                                  0x00000000
#define    CHIPREG_CHIPID_REG_CHIPID_SHIFT                                0
#define    CHIPREG_CHIPID_REG_CHIPID_MASK                                 0xFFFFFFFF

#define CHIPREG_VC4_IDS_OFFSET                                            0x00000004
#define CHIPREG_VC4_IDS_TYPE                                              UInt32
#define CHIPREG_VC4_IDS_RESERVED_MASK                                     0xFFFFFFFF

#define CHIPREG_ISLAND_ID_OFFSET                                          0x00000008
#define CHIPREG_ISLAND_ID_TYPE                                            UInt32
#define CHIPREG_ISLAND_ID_RESERVED_MASK                                   0x00000000
#define    CHIPREG_ISLAND_ID_ISLANDID_SHIFT                               0
#define    CHIPREG_ISLAND_ID_ISLANDID_MASK                                0xFFFFFFFF

#define CHIPREG_ISLAND_STRAP_OFFSET                                       0x0000000C
#define CHIPREG_ISLAND_STRAP_TYPE                                         UInt32
#define CHIPREG_ISLAND_STRAP_RESERVED_MASK                                0xFFFF0000
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_15TO11_SHIFT                     11
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_15TO11_MASK                      0x0000F800
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_10_SHIFT                         10
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_10_MASK                          0x00000400
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_9_SHIFT                          9
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_9_MASK                           0x00000200
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_8_SHIFT                          8
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_8_MASK                           0x00000100
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_7TO6_SHIFT                       6
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_7TO6_MASK                        0x000000C0
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_5TO3_SHIFT                       3
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_5TO3_MASK                        0x00000038
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_2_SHIFT                          2
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_2_MASK                           0x00000004
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_1_SHIFT                          1
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_1_MASK                           0x00000002
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_0_SHIFT                          0
#define    CHIPREG_ISLAND_STRAP_STRAP_IN_0_MASK                           0x00000001

#define CHIPREG_KONA_TZCFG_MAILBOX0_OFFSET                                0x00000010
#define CHIPREG_KONA_TZCFG_MAILBOX0_TYPE                                  UInt32
#define CHIPREG_KONA_TZCFG_MAILBOX0_RESERVED_MASK                         0x00000000
#define    CHIPREG_KONA_TZCFG_MAILBOX0_KONA_TZCFG_MAILBOX0_32_SHIFT       0
#define    CHIPREG_KONA_TZCFG_MAILBOX0_KONA_TZCFG_MAILBOX0_32_MASK        0xFFFFFFFF

#define CHIPREG_KONA_TZCFG_MAILBOX1_OFFSET                                0x00000014
#define CHIPREG_KONA_TZCFG_MAILBOX1_TYPE                                  UInt32
#define CHIPREG_KONA_TZCFG_MAILBOX1_RESERVED_MASK                         0x00000000
#define    CHIPREG_KONA_TZCFG_MAILBOX1_KONA_TZCFG_MAILBOX1_32_SHIFT       0
#define    CHIPREG_KONA_TZCFG_MAILBOX1_KONA_TZCFG_MAILBOX1_32_MASK        0xFFFFFFFF

#define CHIPREG_TMACT_DBG_CONTROL_OFFSET                                  0x00000018
#define CHIPREG_TMACT_DBG_CONTROL_TYPE                                    UInt32
#define CHIPREG_TMACT_DBG_CONTROL_RESERVED_MASK                           0xFFFFFFFE
#define    CHIPREG_TMACT_DBG_CONTROL_TMACT_DBG_ENABLE_SHIFT               0
#define    CHIPREG_TMACT_DBG_CONTROL_TMACT_DBG_ENABLE_MASK                0x00000001

#define CHIPREG_TZCONF_STATUS_OFFSET                                      0x0000001C
#define CHIPREG_TZCONF_STATUS_TYPE                                        UInt32
#define CHIPREG_TZCONF_STATUS_RESERVED_MASK                               0xFFFFFF78
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_EMU_MODE_SHIFT                 7
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_EMU_MODE_MASK                  0x00000080
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_HSM_HW_DIS_SHIFT               2
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_HSM_HW_DIS_MASK                0x00000004
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_EMU_SHIFT                      1
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_EMU_MASK                       0x00000002
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_PROD_SHIFT                     0
#define    CHIPREG_TZCONF_STATUS_TZCFG_OTP_PROD_MASK                      0x00000001

#define CHIPREG_SECURITY_SPARE_REG1_OFFSET                                0x00000020
#define CHIPREG_SECURITY_SPARE_REG1_TYPE                                  UInt32
#define CHIPREG_SECURITY_SPARE_REG1_RESERVED_MASK                         0xFFFFFFFF

#define CHIPREG_SECURITY_SPARE_REG2_OFFSET                                0x00000024
#define CHIPREG_SECURITY_SPARE_REG2_TYPE                                  UInt32
#define CHIPREG_SECURITY_SPARE_REG2_RESERVED_MASK                         0xFFFFFFFF

#define CHIPREG_PERIPH_SPARE_REG3_OFFSET                                  0x00000028
#define CHIPREG_PERIPH_SPARE_REG3_TYPE                                    UInt32
#define CHIPREG_PERIPH_SPARE_REG3_RESERVED_MASK                           0xFFFFFFFF

#define CHIPREG_RING_OSC_CTR_REG0_OFFSET                                  0x0000002C
#define CHIPREG_RING_OSC_CTR_REG0_TYPE                                    UInt32
#define CHIPREG_RING_OSC_CTR_REG0_RESERVED_MASK                           0xFFFE0300
#define    CHIPREG_RING_OSC_CTR_REG0_ESUB_IRDROP_RESETN_SHIFT             16
#define    CHIPREG_RING_OSC_CTR_REG0_ESUB_IRDROP_RESETN_MASK              0x00010000
#define    CHIPREG_RING_OSC_CTR_REG0_HUB_OSC_OUT_ENABLE_SHIFT             15
#define    CHIPREG_RING_OSC_CTR_REG0_HUB_OSC_OUT_ENABLE_MASK              0x00008000
#define    CHIPREG_RING_OSC_CTR_REG0_HUB_IRD_MON_ENABLE_SHIFT             14
#define    CHIPREG_RING_OSC_CTR_REG0_HUB_IRD_MON_ENABLE_MASK              0x00004000
#define    CHIPREG_RING_OSC_CTR_REG0_ARM_OSC_OUT_ENABLE_SHIFT             12
#define    CHIPREG_RING_OSC_CTR_REG0_ARM_OSC_OUT_ENABLE_MASK              0x00003000
#define    CHIPREG_RING_OSC_CTR_REG0_ARM_IRD_MON_ENABLE_SHIFT             10
#define    CHIPREG_RING_OSC_CTR_REG0_ARM_IRD_MON_ENABLE_MASK              0x00000C00
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL1_OSC2_SHIFT          7
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL1_OSC2_MASK           0x00000080
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL0_OSC2_SHIFT          6
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL0_OSC2_MASK           0x00000040
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_PWENB_OSC2_SHIFT         5
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_PWENB_OSC2_MASK          0x00000020
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_ENABLE_OSC2_SHIFT        4
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_ENABLE_OSC2_MASK         0x00000010
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL1_OSC1_SHIFT          3
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL1_OSC1_MASK           0x00000008
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL0_OSC1_SHIFT          2
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_SEL0_OSC1_MASK           0x00000004
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_PWENB_OSC1_SHIFT         1
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_PWENB_OSC1_MASK          0x00000002
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_ENABLE_OSC1_SHIFT        0
#define    CHIPREG_RING_OSC_CTR_REG0_PADRING_OSC_ENABLE_OSC1_MASK         0x00000001

#define CHIPREG_ARM_PERI_CONTROL_OFFSET                                   0x00000030
#define CHIPREG_ARM_PERI_CONTROL_TYPE                                     UInt32
#define CHIPREG_ARM_PERI_CONTROL_RESERVED_MASK                            0xFFFFF8E0
#define    CHIPREG_ARM_PERI_CONTROL_TPIU_CLK_IS_IDLE_SHIFT                10
#define    CHIPREG_ARM_PERI_CONTROL_TPIU_CLK_IS_IDLE_MASK                 0x00000400
#define    CHIPREG_ARM_PERI_CONTROL_PTI_CLK_IS_IDLE_SHIFT                 9
#define    CHIPREG_ARM_PERI_CONTROL_PTI_CLK_IS_IDLE_MASK                  0x00000200
#define    CHIPREG_ARM_PERI_CONTROL_DEBUG_HALT_REQ_SHIFT                  8
#define    CHIPREG_ARM_PERI_CONTROL_DEBUG_HALT_REQ_MASK                   0x00000100
#define    CHIPREG_ARM_PERI_CONTROL_DDR_POP_NOPOP_SHIFT                   4
#define    CHIPREG_ARM_PERI_CONTROL_DDR_POP_NOPOP_MASK                    0x00000010
#define    CHIPREG_ARM_PERI_CONTROL_SLV_TIMER_64BITMODE_SHIFT             3
#define    CHIPREG_ARM_PERI_CONTROL_SLV_TIMER_64BITMODE_MASK              0x00000008
#define    CHIPREG_ARM_PERI_CONTROL_HUB_TIMER_64BITMODE_SHIFT             2
#define    CHIPREG_ARM_PERI_CONTROL_HUB_TIMER_64BITMODE_MASK              0x00000004
#define    CHIPREG_ARM_PERI_CONTROL_APB_PAD_CTRL_BROADCAST_EN_SHIFT       1
#define    CHIPREG_ARM_PERI_CONTROL_APB_PAD_CTRL_BROADCAST_EN_MASK        0x00000002
#define    CHIPREG_ARM_PERI_CONTROL_NVSRAM_SNYC_MODE_SHIFT                0
#define    CHIPREG_ARM_PERI_CONTROL_NVSRAM_SNYC_MODE_MASK                 0x00000001

#define CHIPREG_PERIPH_SPARE_REG1_OFFSET                                  0x00000034
#define CHIPREG_PERIPH_SPARE_REG1_TYPE                                    UInt32
#define CHIPREG_PERIPH_SPARE_REG1_RESERVED_MASK                           0x10000000
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSDPA_CAT_SHIFT          31
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSDPA_CAT_MASK           0x80000000
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSDAP_ENB_SHIFT          30
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSDAP_ENB_MASK           0x40000000
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSUPA_CAT_SHIFT          29
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_HSUPA_CAT_MASK           0x20000000
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_PRISM_ENB_SHIFT          27
#define    CHIPREG_PERIPH_SPARE_REG1_BMODEM_FUSE_PRISM_ENB_MASK           0x08000000
#define    CHIPREG_PERIPH_SPARE_REG1_VC4_CLKMON_OUT_ENABLE_SHIFT          26
#define    CHIPREG_PERIPH_SPARE_REG1_VC4_CLKMON_OUT_ENABLE_MASK           0x04000000
#define    CHIPREG_PERIPH_SPARE_REG1_FABRIC_SNOOP_CTRL_SHIFT              25
#define    CHIPREG_PERIPH_SPARE_REG1_FABRIC_SNOOP_CTRL_MASK               0x02000000
#define    CHIPREG_PERIPH_SPARE_REG1_HUB_SI_PERF_MON_HW_EN_SHIFT          24
#define    CHIPREG_PERIPH_SPARE_REG1_HUB_SI_PERF_MON_HW_EN_MASK           0x01000000
#define    CHIPREG_PERIPH_SPARE_REG1_PM_DEBUG_BUS_SEL_SHIFT               20
#define    CHIPREG_PERIPH_SPARE_REG1_PM_DEBUG_BUS_SEL_MASK                0x00F00000
#define    CHIPREG_PERIPH_SPARE_REG1_CHIP_DEBUG_BUS_SEL_SHIFT             16
#define    CHIPREG_PERIPH_SPARE_REG1_CHIP_DEBUG_BUS_SEL_MASK              0x000F0000
#define    CHIPREG_PERIPH_SPARE_REG1_CAPH_DBG_SEL_SHIFT                   0
#define    CHIPREG_PERIPH_SPARE_REG1_CAPH_DBG_SEL_MASK                    0x0000FFFF

#define CHIPREG_PERIPH_SPARE_REG2_OFFSET                                  0x00000038
#define CHIPREG_PERIPH_SPARE_REG2_TYPE                                    UInt32
#define CHIPREG_PERIPH_SPARE_REG2_RESERVED_MASK                           0xFFF0FFFC
#define    CHIPREG_PERIPH_SPARE_REG2_DIFF_26M_CLK_IS_IDLE_SHIFT           19
#define    CHIPREG_PERIPH_SPARE_REG2_DIFF_26M_CLK_IS_IDLE_MASK            0x00080000
#define    CHIPREG_PERIPH_SPARE_REG2_SEC26M_CLK_IS_IDLE_SHIFT             18
#define    CHIPREG_PERIPH_SPARE_REG2_SEC26M_CLK_IS_IDLE_MASK              0x00040000
#define    CHIPREG_PERIPH_SPARE_REG2_MM_CRYSTAL_CLK_IS_IDLE_SHIFT         17
#define    CHIPREG_PERIPH_SPARE_REG2_MM_CRYSTAL_CLK_IS_IDLE_MASK          0x00020000
#define    CHIPREG_PERIPH_SPARE_REG2_HDMI_CRYSTAL_CLK_IS_IDLE_SHIFT       16
#define    CHIPREG_PERIPH_SPARE_REG2_HDMI_CRYSTAL_CLK_IS_IDLE_MASK        0x00010000
#define    CHIPREG_PERIPH_SPARE_REG2_SEL_RGMMI_SHIFT                      1
#define    CHIPREG_PERIPH_SPARE_REG2_SEL_RGMMI_MASK                       0x00000002
#define    CHIPREG_PERIPH_SPARE_REG2_REF_INT_EN_RGMII_VREF_SHIFT          0
#define    CHIPREG_PERIPH_SPARE_REG2_REF_INT_EN_RGMII_VREF_MASK           0x00000001

#define CHIPREG_USB_INTERNAL_MDIO0_OFFSET                                 0x0000003C
#define CHIPREG_USB_INTERNAL_MDIO0_TYPE                                   UInt32
#define CHIPREG_USB_INTERNAL_MDIO0_RESERVED_MASK                          0x00E00000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_WRITE_START_SHIFT              31
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_WRITE_START_MASK               0x80000000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_READ_START_SHIFT               30
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_READ_START_MASK                0x40000000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_SM_SEL_SHIFT                   29
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_SM_SEL_MASK                    0x20000000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_ID_SHIFT                       24
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_ID_MASK                        0x1F000000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_REG_ADDR_SHIFT                 16
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_REG_ADDR_MASK                  0x001F0000
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_REG_WR_DATA_SHIFT              0
#define    CHIPREG_USB_INTERNAL_MDIO0_MDIO_REG_WR_DATA_MASK               0x0000FFFF

#define CHIPREG_USB_INTERNAL_MDIO1_OFFSET                                 0x00000040
#define CHIPREG_USB_INTERNAL_MDIO1_TYPE                                   UInt32
#define CHIPREG_USB_INTERNAL_MDIO1_RESERVED_MASK                          0xFFFF0000
#define    CHIPREG_USB_INTERNAL_MDIO1_MDIO_REG_RD_DATA_SHIFT              0
#define    CHIPREG_USB_INTERNAL_MDIO1_MDIO_REG_RD_DATA_MASK               0x0000FFFF

#define CHIPREG_RAM_STBY_CONTROL_OFFSET                                   0x00000044
#define CHIPREG_RAM_STBY_CONTROL_TYPE                                     UInt32
#define CHIPREG_RAM_STBY_CONTROL_RESERVED_MASK                            0xFF000000
#define    CHIPREG_RAM_STBY_CONTROL_STBY_SP_SHIFT                         23
#define    CHIPREG_RAM_STBY_CONTROL_STBY_SP_MASK                          0x00800000
#define    CHIPREG_RAM_STBY_CONTROL_STBY_RFL_SHIFT                        22
#define    CHIPREG_RAM_STBY_CONTROL_STBY_RFL_MASK                         0x00400000
#define    CHIPREG_RAM_STBY_CONTROL_SSP4_STBY_SHIFT                       21
#define    CHIPREG_RAM_STBY_CONTROL_SSP4_STBY_MASK                        0x00200000
#define    CHIPREG_RAM_STBY_CONTROL_SSP3_STBY_SHIFT                       20
#define    CHIPREG_RAM_STBY_CONTROL_SSP3_STBY_MASK                        0x00100000
#define    CHIPREG_RAM_STBY_CONTROL_SSP2_STBY_SHIFT                       19
#define    CHIPREG_RAM_STBY_CONTROL_SSP2_STBY_MASK                        0x00080000
#define    CHIPREG_RAM_STBY_CONTROL_SSP1_STBY_SHIFT                       18
#define    CHIPREG_RAM_STBY_CONTROL_SSP1_STBY_MASK                        0x00040000
#define    CHIPREG_RAM_STBY_CONTROL_SSP0_STBY_SHIFT                       17
#define    CHIPREG_RAM_STBY_CONTROL_SSP0_STBY_MASK                        0x00020000
#define    CHIPREG_RAM_STBY_CONTROL_SDIO_NAND_RF_STBY_SHIFT               16
#define    CHIPREG_RAM_STBY_CONTROL_SDIO_NAND_RF_STBY_MASK                0x00010000
#define    CHIPREG_RAM_STBY_CONTROL_SDIO_MMC_RF_STBY_SHIFT                15
#define    CHIPREG_RAM_STBY_CONTROL_SDIO_MMC_RF_STBY_MASK                 0x00008000
#define    CHIPREG_RAM_STBY_CONTROL_SDIO1_RF_STBY_SHIFT                   14
#define    CHIPREG_RAM_STBY_CONTROL_SDIO1_RF_STBY_MASK                    0x00004000
#define    CHIPREG_RAM_STBY_CONTROL_SDIO0_RF_STBY_SHIFT                   13
#define    CHIPREG_RAM_STBY_CONTROL_SDIO0_RF_STBY_MASK                    0x00002000
#define    CHIPREG_RAM_STBY_CONTROL_IC_FSOTG_DFIFO_STBY_SHIFT             11
#define    CHIPREG_RAM_STBY_CONTROL_IC_FSOTG_DFIFO_STBY_MASK              0x00001800
#define    CHIPREG_RAM_STBY_CONTROL_I2S_STBY_SHIFT                        10
#define    CHIPREG_RAM_STBY_CONTROL_I2S_STBY_MASK                         0x00000400
#define    CHIPREG_RAM_STBY_CONTROL_HSOTG_DFIFO_STBY_SHIFT                8
#define    CHIPREG_RAM_STBY_CONTROL_HSOTG_DFIFO_STBY_MASK                 0x00000300
#define    CHIPREG_RAM_STBY_CONTROL_SPUM_NUSEC_STBY_SHIFT                 7
#define    CHIPREG_RAM_STBY_CONTROL_SPUM_NUSEC_STBY_MASK                  0x00000080
#define    CHIPREG_RAM_STBY_CONTROL_SPUM_SEC_STBY_SHIFT                   6
#define    CHIPREG_RAM_STBY_CONTROL_SPUM_SEC_STBY_MASK                    0x00000040
#define    CHIPREG_RAM_STBY_CONTROL_PKA_STBY_SHIFT                        5
#define    CHIPREG_RAM_STBY_CONTROL_PKA_STBY_MASK                         0x00000020
#define    CHIPREG_RAM_STBY_CONTROL_UART3_STBY_SHIFT                      4
#define    CHIPREG_RAM_STBY_CONTROL_UART3_STBY_MASK                       0x00000010
#define    CHIPREG_RAM_STBY_CONTROL_UART2_STBY_SHIFT                      3
#define    CHIPREG_RAM_STBY_CONTROL_UART2_STBY_MASK                       0x00000008
#define    CHIPREG_RAM_STBY_CONTROL_UART1_STBY_SHIFT                      2
#define    CHIPREG_RAM_STBY_CONTROL_UART1_STBY_MASK                       0x00000004
#define    CHIPREG_RAM_STBY_CONTROL_UART0_STBY_SHIFT                      1
#define    CHIPREG_RAM_STBY_CONTROL_UART0_STBY_MASK                       0x00000002
#define    CHIPREG_RAM_STBY_CONTROL_SCRATCH_RAM_STBY_SHIFT                0
#define    CHIPREG_RAM_STBY_CONTROL_SCRATCH_RAM_STBY_MASK                 0x00000001

#define CHIPREG_RAM_STBY_CONTROL1_OFFSET                                  0x00000048
#define CHIPREG_RAM_STBY_CONTROL1_TYPE                                    UInt32
#define CHIPREG_RAM_STBY_CONTROL1_RESERVED_MASK                           0xFFFFFFFF

#define CHIPREG_SYS_DDRLDO_CONTROL0_OFFSET                                0x0000004C
#define CHIPREG_SYS_DDRLDO_CONTROL0_TYPE                                  UInt32
#define CHIPREG_SYS_DDRLDO_CONTROL0_RESERVED_MASK                         0x00000000
#define    CHIPREG_SYS_DDRLDO_CONTROL0_SYS_DDRLDO_I_LDO_CONTL_SHIFT       16
#define    CHIPREG_SYS_DDRLDO_CONTROL0_SYS_DDRLDO_I_LDO_CONTL_MASK        0xFFFF0000
#define    CHIPREG_SYS_DDRLDO_CONTROL0_SYS_DDRLDO_I_BG_CONTL_SHIFT        0
#define    CHIPREG_SYS_DDRLDO_CONTROL0_SYS_DDRLDO_I_BG_CONTL_MASK         0x0000FFFF

#define CHIPREG_SYS_DDRLDO_CONTROL1_OFFSET                                0x00000050
#define CHIPREG_SYS_DDRLDO_CONTROL1_TYPE                                  UInt32
#define CHIPREG_SYS_DDRLDO_CONTROL1_RESERVED_MASK                         0xFFFFFFFC
#define    CHIPREG_SYS_DDRLDO_CONTROL1_SYS_DDRLDO_I_CNTL_EN_SHIFT         1
#define    CHIPREG_SYS_DDRLDO_CONTROL1_SYS_DDRLDO_I_CNTL_EN_MASK          0x00000002
#define    CHIPREG_SYS_DDRLDO_CONTROL1_SYS_DDRLDO_I_LDO_EN_SHIFT          0
#define    CHIPREG_SYS_DDRLDO_CONTROL1_SYS_DDRLDO_I_LDO_EN_MASK           0x00000001

#define CHIPREG_VC4_DDRLDO_CONTROL0_OFFSET                                0x00000054
#define CHIPREG_VC4_DDRLDO_CONTROL0_TYPE                                  UInt32
#define CHIPREG_VC4_DDRLDO_CONTROL0_RESERVED_MASK                         0x00000000
#define    CHIPREG_VC4_DDRLDO_CONTROL0_VC4_DDRLDO_I_LDO_CONTL_SHIFT       16
#define    CHIPREG_VC4_DDRLDO_CONTROL0_VC4_DDRLDO_I_LDO_CONTL_MASK        0xFFFF0000
#define    CHIPREG_VC4_DDRLDO_CONTROL0_VC4_DDRLDO_I_BG_CONTL_SHIFT        0
#define    CHIPREG_VC4_DDRLDO_CONTROL0_VC4_DDRLDO_I_BG_CONTL_MASK         0x0000FFFF

#define CHIPREG_VC4_DDRLDO_CONTROL1_OFFSET                                0x00000058
#define CHIPREG_VC4_DDRLDO_CONTROL1_TYPE                                  UInt32
#define CHIPREG_VC4_DDRLDO_CONTROL1_RESERVED_MASK                         0xFFFFFFFC
#define    CHIPREG_VC4_DDRLDO_CONTROL1_VC4_DDRLDO_I_CNTL_EN_SHIFT         1
#define    CHIPREG_VC4_DDRLDO_CONTROL1_VC4_DDRLDO_I_CNTL_EN_MASK          0x00000002
#define    CHIPREG_VC4_DDRLDO_CONTROL1_VC4_DDRLDO_I_LDO_EN_SHIFT          0
#define    CHIPREG_VC4_DDRLDO_CONTROL1_VC4_DDRLDO_I_LDO_EN_MASK           0x00000001

#define CHIPREG_XTAL_DDRLDO_CONTROL0_OFFSET                               0x0000005C
#define CHIPREG_XTAL_DDRLDO_CONTROL0_TYPE                                 UInt32
#define CHIPREG_XTAL_DDRLDO_CONTROL0_RESERVED_MASK                        0x00000000
#define    CHIPREG_XTAL_DDRLDO_CONTROL0_XTAL_DDRLDO_I_LDO_CONTL_SHIFT     16
#define    CHIPREG_XTAL_DDRLDO_CONTROL0_XTAL_DDRLDO_I_LDO_CONTL_MASK      0xFFFF0000
#define    CHIPREG_XTAL_DDRLDO_CONTROL0_XTAL_DDRLDO_I_BG_CONTL_SHIFT      0
#define    CHIPREG_XTAL_DDRLDO_CONTROL0_XTAL_DDRLDO_I_BG_CONTL_MASK       0x0000FFFF

#define CHIPREG_XTAL_DDRLDO_CONTROL1_OFFSET                               0x00000060
#define CHIPREG_XTAL_DDRLDO_CONTROL1_TYPE                                 UInt32
#define CHIPREG_XTAL_DDRLDO_CONTROL1_RESERVED_MASK                        0xFFFFFFFC
#define    CHIPREG_XTAL_DDRLDO_CONTROL1_XTAL_DDRLDO_I_CNTL_EN_SHIFT       1
#define    CHIPREG_XTAL_DDRLDO_CONTROL1_XTAL_DDRLDO_I_CNTL_EN_MASK        0x00000002
#define    CHIPREG_XTAL_DDRLDO_CONTROL1_XTAL_DDRLDO_I_LDO_EN_SHIFT        0
#define    CHIPREG_XTAL_DDRLDO_CONTROL1_XTAL_DDRLDO_I_LDO_EN_MASK         0x00000001

#define CHIPREG_MM_SWITCH_CONTROL_OFFSET                                  0x00000064
#define CHIPREG_MM_SWITCH_CONTROL_TYPE                                    UInt32
#define CHIPREG_MM_SWITCH_CONTROL_RESERVED_MASK                           0xFFFFE080
#define    CHIPREG_MM_SWITCH_CONTROL_PI_MM_POWER_OK_SHIFT                 12
#define    CHIPREG_MM_SWITCH_CONTROL_PI_MM_POWER_OK_MASK                  0x00001000
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_MASK_SHIFT                 8
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_MASK_MASK                  0x00000F00
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_DELAY_SEL_SHIFT            4
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_DELAY_SEL_MASK             0x00000070
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_THRES_SEL_SHIFT            2
#define    CHIPREG_MM_SWITCH_CONTROL_MM_PWRCMP_THRES_SEL_MASK             0x0000000C
#define    CHIPREG_MM_SWITCH_CONTROL_MM_SWITCH_CTRL_SHIFT                 0
#define    CHIPREG_MM_SWITCH_CONTROL_MM_SWITCH_CTRL_MASK                  0x00000003

#define CHIPREG_ESUB_SWITCH_CONTROL_OFFSET                                0x00000068
#define CHIPREG_ESUB_SWITCH_CONTROL_TYPE                                  UInt32
#define CHIPREG_ESUB_SWITCH_CONTROL_RESERVED_MASK                         0xFFFFE080
#define    CHIPREG_ESUB_SWITCH_CONTROL_PI_ESUB_POWER_OK_SHIFT             12
#define    CHIPREG_ESUB_SWITCH_CONTROL_PI_ESUB_POWER_OK_MASK              0x00001000
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_MASK_SHIFT             8
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_MASK_MASK              0x00000F00
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_DELAY_SEL_SHIFT        4
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_DELAY_SEL_MASK         0x00000070
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_THRES_SEL_SHIFT        2
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_PWRCMP_THRES_SEL_MASK         0x0000000C
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_SWITCH_CTRL_SHIFT             0
#define    CHIPREG_ESUB_SWITCH_CONTROL_ESUB_SWITCH_CTRL_MASK              0x00000003

#define CHIPREG_BMODEM_CONTROL_OFFSET                                     0x0000006C
#define CHIPREG_BMODEM_CONTROL_TYPE                                       UInt32
#define CHIPREG_BMODEM_CONTROL_RESERVED_MASK                              0xFFFFFFFC
#define    CHIPREG_BMODEM_CONTROL_BMDM_SOFT_RSTN_SHIFT                    1
#define    CHIPREG_BMODEM_CONTROL_BMDM_SOFT_RSTN_MASK                     0x00000002
#define    CHIPREG_BMODEM_CONTROL_BMDM_CPU_HALT_N_SHIFT                   0
#define    CHIPREG_BMODEM_CONTROL_BMDM_CPU_HALT_N_MASK                    0x00000001

#define CHIPREG_BMODEM_DMA_OFFSET                                         0x00000070
#define CHIPREG_BMODEM_DMA_TYPE                                           UInt32
#define CHIPREG_BMODEM_DMA_RESERVED_MASK                                  0xFFFFFFF0
#define    CHIPREG_BMODEM_DMA_BMDM_DMA_REQ_SHIFT                          0
#define    CHIPREG_BMODEM_DMA_BMDM_DMA_REQ_MASK                           0x0000000F

#define CHIPREG_PTI_CONTROL_OFFSET                                        0x00000074
#define CHIPREG_PTI_CONTROL_TYPE                                          UInt32
#define CHIPREG_PTI_CONTROL_RESERVED_MASK                                 0xFFFFFFFE
#define    CHIPREG_PTI_CONTROL_PTI_MUX_CONTROL_SHIFT                      0
#define    CHIPREG_PTI_CONTROL_PTI_MUX_CONTROL_MASK                       0x00000001

#define CHIPREG_BMODEM_SW_INT_SET_OFFSET                                  0x00000078
#define CHIPREG_BMODEM_SW_INT_SET_TYPE                                    UInt32
#define CHIPREG_BMODEM_SW_INT_SET_RESERVED_MASK                           0xFFFF0000
#define    CHIPREG_BMODEM_SW_INT_SET_BMDM_SW_INT_SET_SHIFT                0
#define    CHIPREG_BMODEM_SW_INT_SET_BMDM_SW_INT_SET_MASK                 0x0000FFFF

#define CHIPREG_BMODEM_SW_INT_CLEAR_OFFSET                                0x0000007C
#define CHIPREG_BMODEM_SW_INT_CLEAR_TYPE                                  UInt32
#define CHIPREG_BMODEM_SW_INT_CLEAR_RESERVED_MASK                         0xFFFF0000
#define    CHIPREG_BMODEM_SW_INT_CLEAR_BMDM_SW_INT_CLEAR_SHIFT            0
#define    CHIPREG_BMODEM_SW_INT_CLEAR_BMDM_SW_INT_CLEAR_MASK             0x0000FFFF

#define CHIPREG_BMODEM_SW_INT_SEL_OFFSET                                  0x00000080
#define CHIPREG_BMODEM_SW_INT_SEL_TYPE                                    UInt32
#define CHIPREG_BMODEM_SW_INT_SEL_RESERVED_MASK                           0xFFFF0000
#define    CHIPREG_BMODEM_SW_INT_SEL_BMDM_SW_INT_SEL_SHIFT                0
#define    CHIPREG_BMODEM_SW_INT_SEL_BMDM_SW_INT_SEL_MASK                 0x0000FFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET0_OFFSET                          0x00000084
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET0_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET0_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET0_INTR_EN_4_PMU_SET0_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET0_INTR_EN_4_PMU_SET0_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET1_OFFSET                          0x00000088
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET1_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET1_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET1_INTR_EN_4_PMU_SET1_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET1_INTR_EN_4_PMU_SET1_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET2_OFFSET                          0x0000008C
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET2_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET2_RESERVED_MASK                   0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET3_OFFSET                          0x00000090
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET3_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET3_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET3_INTR_EN_4_PMU_SET3_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET3_INTR_EN_4_PMU_SET3_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET4_OFFSET                          0x00000094
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET4_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET4_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET4_INTR_EN_4_PMU_SET4_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET4_INTR_EN_4_PMU_SET4_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET5_OFFSET                          0x00000098
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET5_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET5_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET5_INTR_EN_4_PMU_SET5_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET5_INTR_EN_4_PMU_SET5_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_SET6_OFFSET                          0x0000009C
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET6_TYPE                            UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_SET6_RESERVED_MASK                   0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET6_INTR_EN_4_PMU_SET6_SHIFT     0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_SET6_INTR_EN_4_PMU_SET6_MASK      0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER0_OFFSET                        0x000000A0
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER0_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER0_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER0_INTR_EN_4_PMU_CLAER0_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER0_INTR_EN_4_PMU_CLAER0_MASK  0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER1_OFFSET                        0x000000A4
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER1_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER1_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER1_INTR_EN_4_PMU_CLAER1_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER1_INTR_EN_4_PMU_CLAER1_MASK  0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER2_OFFSET                        0x000000A8
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER2_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER2_RESERVED_MASK                 0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER3_OFFSET                        0x000000AC
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER3_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER3_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER3_INTR_EN_4_PMU_CLAER3_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER3_INTR_EN_4_PMU_CLAER3_MASK  0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER4_OFFSET                        0x000000B0
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER4_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER4_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER4_INTR_EN_4_PMU_CLAER4_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER4_INTR_EN_4_PMU_CLAER4_MASK  0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER5_OFFSET                        0x000000B4
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER5_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER5_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER5_INTR_EN_4_PMU_CLAER5_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER5_INTR_EN_4_PMU_CLAER5_MASK  0xFFFFFFFF

#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER6_OFFSET                        0x000000B8
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER6_TYPE                          UInt32
#define CHIPREG_INTERRUPT_EVENT_4_PM_CLAER6_RESERVED_MASK                 0x00000000
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER6_INTR_EN_4_PMU_CLAER6_SHIFT 0
#define    CHIPREG_INTERRUPT_EVENT_4_PM_CLAER6_INTR_EN_4_PMU_CLAER6_MASK  0xFFFFFFFF

#define CHIPREG_AUXDAC_CONTROL_OFFSET                                     0x000000BC
#define CHIPREG_AUXDAC_CONTROL_TYPE                                       UInt32
#define CHIPREG_AUXDAC_CONTROL_RESERVED_MASK                              0xFFFE0000
#define    CHIPREG_AUXDAC_CONTROL_PWDAUXDAC_SHIFT                         16
#define    CHIPREG_AUXDAC_CONTROL_PWDAUXDAC_MASK                          0x00010000
#define    CHIPREG_AUXDAC_CONTROL_AUXDACCTRL_SHIFT                        0
#define    CHIPREG_AUXDAC_CONTROL_AUXDACCTRL_MASK                         0x0000FFFF

#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG0_OFFSET                          0x000000C0
#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG0_TYPE                            UInt32
#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG0_RESERVED_MASK                   0x00000000
#define    CHIPREG_A9_DORMANT_BOOT_ADDR_REG0_A9_DORMANT_BOOT_ADDRESS0_SHIFT 0
#define    CHIPREG_A9_DORMANT_BOOT_ADDR_REG0_A9_DORMANT_BOOT_ADDRESS0_MASK 0xFFFFFFFF

#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG1_OFFSET                          0x000000C4
#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG1_TYPE                            UInt32
#define CHIPREG_A9_DORMANT_BOOT_ADDR_REG1_RESERVED_MASK                   0x00000000
#define    CHIPREG_A9_DORMANT_BOOT_ADDR_REG1_A9_DORMANT_BOOT_ADDRESS1_SHIFT 0
#define    CHIPREG_A9_DORMANT_BOOT_ADDR_REG1_A9_DORMANT_BOOT_ADDRESS1_MASK 0xFFFFFFFF

#define CHIPREG_TOP_LEVEL_CONTROL_OFFSET                                  0x000000FC
#define CHIPREG_TOP_LEVEL_CONTROL_TYPE                                    UInt32
#define CHIPREG_TOP_LEVEL_CONTROL_RESERVED_MASK                           0x000101FF
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_DAP_SHIFT       30
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_DAP_MASK        0xC0000000
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_VC_SHIFT        28
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_VC_MASK         0x30000000
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_ESW_SHIFT       26
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_ESW_MASK        0x0C000000
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_MODEM_SHIFT     24
#define    CHIPREG_TOP_LEVEL_CONTROL_JTAG_MUX_SEL_CONTROL_MODEM_MASK      0x03000000
#define    CHIPREG_TOP_LEVEL_CONTROL_PLLD_CTRL_UPPER27_21_SHIFT           17
#define    CHIPREG_TOP_LEVEL_CONTROL_PLLD_CTRL_UPPER27_21_MASK            0x00FE0000
#define    CHIPREG_TOP_LEVEL_CONTROL_PLLC_CTRL_UPPER27_21_SHIFT           9
#define    CHIPREG_TOP_LEVEL_CONTROL_PLLC_CTRL_UPPER27_21_MASK            0x0000FE00

#define CHIPREG_CHIP_SW_STRAP_OFFSET                                      0x00000100
#define CHIPREG_CHIP_SW_STRAP_TYPE                                        UInt32
#define CHIPREG_CHIP_SW_STRAP_RESERVED_MASK                               0x7FFF0000
#define    CHIPREG_CHIP_SW_STRAP_SW_STRAP_EN_SHIFT                        31
#define    CHIPREG_CHIP_SW_STRAP_SW_STRAP_EN_MASK                         0x80000000
#define    CHIPREG_CHIP_SW_STRAP_SW_STRAP_15_0_SHIFT                      0
#define    CHIPREG_CHIP_SW_STRAP_SW_STRAP_15_0_MASK                       0x0000FFFF

#define CHIPREG_GP_STATUS0_OFFSET                                         0x00000104
#define CHIPREG_GP_STATUS0_TYPE                                           UInt32
#define CHIPREG_GP_STATUS0_RESERVED_MASK                                  0x00000000
#define    CHIPREG_GP_STATUS0_GP_STATUS0_SHIFT                            0
#define    CHIPREG_GP_STATUS0_GP_STATUS0_MASK                             0xFFFFFFFF

#define CHIPREG_GP_STATUS1_OFFSET                                         0x00000108
#define CHIPREG_GP_STATUS1_TYPE                                           UInt32
#define CHIPREG_GP_STATUS1_RESERVED_MASK                                  0x00000000
#define    CHIPREG_GP_STATUS1_GP_STATUS1_SHIFT                            0
#define    CHIPREG_GP_STATUS1_GP_STATUS1_MASK                             0xFFFFFFFF

#define CHIPREG_INT_STATUS0_OFFSET                                        0x00000118
#define CHIPREG_INT_STATUS0_TYPE                                          UInt32
#define CHIPREG_INT_STATUS0_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS0_ISR0N_SHIFT                                0
#define    CHIPREG_INT_STATUS0_ISR0N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS1_OFFSET                                        0x0000011C
#define CHIPREG_INT_STATUS1_TYPE                                          UInt32
#define CHIPREG_INT_STATUS1_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS1_ISR1N_SHIFT                                0
#define    CHIPREG_INT_STATUS1_ISR1N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS2_OFFSET                                        0x00000120
#define CHIPREG_INT_STATUS2_TYPE                                          UInt32
#define CHIPREG_INT_STATUS2_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS2_ISR2N_SHIFT                                0
#define    CHIPREG_INT_STATUS2_ISR2N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS3_OFFSET                                        0x00000124
#define CHIPREG_INT_STATUS3_TYPE                                          UInt32
#define CHIPREG_INT_STATUS3_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS3_ISR3N_SHIFT                                0
#define    CHIPREG_INT_STATUS3_ISR3N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS4_OFFSET                                        0x00000128
#define CHIPREG_INT_STATUS4_TYPE                                          UInt32
#define CHIPREG_INT_STATUS4_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS4_ISR4N_SHIFT                                0
#define    CHIPREG_INT_STATUS4_ISR4N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS5_OFFSET                                        0x0000012C
#define CHIPREG_INT_STATUS5_TYPE                                          UInt32
#define CHIPREG_INT_STATUS5_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS5_ISR5N_SHIFT                                0
#define    CHIPREG_INT_STATUS5_ISR5N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_STATUS6_OFFSET                                        0x00000130
#define CHIPREG_INT_STATUS6_TYPE                                          UInt32
#define CHIPREG_INT_STATUS6_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_STATUS6_ISR6N_SHIFT                                0
#define    CHIPREG_INT_STATUS6_ISR6N_MASK                                 0xFFFFFFFF

#define CHIPREG_INT_ENABLE0_OFFSET                                        0x00000134
#define CHIPREG_INT_ENABLE0_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE0_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE0_MDM_IMR0N_SHIFT                            0
#define    CHIPREG_INT_ENABLE0_MDM_IMR0N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE1_OFFSET                                        0x00000138
#define CHIPREG_INT_ENABLE1_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE1_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE1_MDM_IMR1N_SHIFT                            0
#define    CHIPREG_INT_ENABLE1_MDM_IMR1N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE2_OFFSET                                        0x0000013C
#define CHIPREG_INT_ENABLE2_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE2_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE2_MDM_IMR2N_SHIFT                            0
#define    CHIPREG_INT_ENABLE2_MDM_IMR2N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE3_OFFSET                                        0x00000140
#define CHIPREG_INT_ENABLE3_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE3_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE3_MDM_IMR3N_SHIFT                            0
#define    CHIPREG_INT_ENABLE3_MDM_IMR3N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE4_OFFSET                                        0x00000144
#define CHIPREG_INT_ENABLE4_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE4_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE4_MDM_IMR4N_SHIFT                            0
#define    CHIPREG_INT_ENABLE4_MDM_IMR4N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE5_OFFSET                                        0x00000148
#define CHIPREG_INT_ENABLE5_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE5_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE5_MDM_IMR5N_SHIFT                            0
#define    CHIPREG_INT_ENABLE5_MDM_IMR5N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_ENABLE6_OFFSET                                        0x0000014C
#define CHIPREG_INT_ENABLE6_TYPE                                          UInt32
#define CHIPREG_INT_ENABLE6_RESERVED_MASK                                 0x00000000
#define    CHIPREG_INT_ENABLE6_MDM_IMR6N_SHIFT                            0
#define    CHIPREG_INT_ENABLE6_MDM_IMR6N_MASK                             0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS0_OFFSET                                 0x00000150
#define CHIPREG_INT_MASKED_STATUS0_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS0_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS0_MDM_IMSR0N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS0_MDM_IMSR0N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS1_OFFSET                                 0x00000154
#define CHIPREG_INT_MASKED_STATUS1_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS1_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS1_MDM_IMSR1N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS1_MDM_IMSR1N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS2_OFFSET                                 0x00000158
#define CHIPREG_INT_MASKED_STATUS2_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS2_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS2_MDM_IMSR2N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS2_MDM_IMSR2N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS3_OFFSET                                 0x0000015C
#define CHIPREG_INT_MASKED_STATUS3_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS3_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS3_MDM_IMSR3N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS3_MDM_IMSR3N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS4_OFFSET                                 0x00000160
#define CHIPREG_INT_MASKED_STATUS4_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS4_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS4_MDM_IMSR4N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS4_MDM_IMSR4N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS5_OFFSET                                 0x00000164
#define CHIPREG_INT_MASKED_STATUS5_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS5_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS5_MDM_IMSR5N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS5_MDM_IMSR5N_MASK                     0xFFFFFFFF

#define CHIPREG_INT_MASKED_STATUS6_OFFSET                                 0x00000168
#define CHIPREG_INT_MASKED_STATUS6_TYPE                                   UInt32
#define CHIPREG_INT_MASKED_STATUS6_RESERVED_MASK                          0x00000000
#define    CHIPREG_INT_MASKED_STATUS6_MDM_IMSR6N_SHIFT                    0
#define    CHIPREG_INT_MASKED_STATUS6_MDM_IMSR6N_MASK                     0xFFFFFFFF

#define CHIPREG_BOOT_2ND_ADDR_OFFSET                                      0x0000017C
#define CHIPREG_BOOT_2ND_ADDR_TYPE                                        UInt32
#define CHIPREG_BOOT_2ND_ADDR_RESERVED_MASK                               0x00000000
#define    CHIPREG_BOOT_2ND_ADDR_A9_CORE_BOOT_2ND_ADDR_SHIFT              0
#define    CHIPREG_BOOT_2ND_ADDR_A9_CORE_BOOT_2ND_ADDR_MASK               0xFFFFFFFF

#define CHIPREG_CORE0_SEMAPHORE_STS_OFFSET                                0x00000180
#define CHIPREG_CORE0_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE0_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE0_SEMAPHORE_STS_CORE0_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE0_SEMAPHORE_STS_CORE0_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE0_SEMAPHORE_L_OFFSET                                  0x00000184
#define CHIPREG_CORE0_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE0_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE0_SEMAPHORE_L_CORE0_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE0_SEMAPHORE_L_CORE0_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE0_SEMAPHORE_UL_OFFSET                                 0x00000188
#define CHIPREG_CORE0_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE0_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE0_SEMAPHORE_UL_CORE0_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE0_SEMAPHORE_UL_CORE0_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE0_RAW_SEMAPHORE_ST_OFFSET                             0x0000018C
#define CHIPREG_CORE0_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE0_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE0_RAW_SEMAPHORE_ST_CORE0_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE0_RAW_SEMAPHORE_ST_CORE0_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE1_SEMAPHORE_STS_OFFSET                                0x00000190
#define CHIPREG_CORE1_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE1_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE1_SEMAPHORE_STS_CORE1_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE1_SEMAPHORE_STS_CORE1_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE1_SEMAPHORE_L_OFFSET                                  0x00000194
#define CHIPREG_CORE1_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE1_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE1_SEMAPHORE_L_CORE1_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE1_SEMAPHORE_L_CORE1_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE1_SEMAPHORE_UL_OFFSET                                 0x00000198
#define CHIPREG_CORE1_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE1_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE1_SEMAPHORE_UL_CORE1_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE1_SEMAPHORE_UL_CORE1_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE1_RAW_SEMAPHORE_ST_OFFSET                             0x0000019C
#define CHIPREG_CORE1_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE1_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE1_RAW_SEMAPHORE_ST_CORE1_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE1_RAW_SEMAPHORE_ST_CORE1_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE2_SEMAPHORE_STS_OFFSET                                0x000001A0
#define CHIPREG_CORE2_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE2_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE2_SEMAPHORE_STS_CORE2_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE2_SEMAPHORE_STS_CORE2_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE2_SEMAPHORE_L_OFFSET                                  0x000001A4
#define CHIPREG_CORE2_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE2_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE2_SEMAPHORE_L_CORE2_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE2_SEMAPHORE_L_CORE2_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE2_SEMAPHORE_UL_OFFSET                                 0x000001A8
#define CHIPREG_CORE2_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE2_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE2_SEMAPHORE_UL_CORE2_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE2_SEMAPHORE_UL_CORE2_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE2_RAW_SEMAPHORE_ST_OFFSET                             0x000001AC
#define CHIPREG_CORE2_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE2_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE2_RAW_SEMAPHORE_ST_CORE2_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE2_RAW_SEMAPHORE_ST_CORE2_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE3_SEMAPHORE_STS_OFFSET                                0x000001B0
#define CHIPREG_CORE3_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE3_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE3_SEMAPHORE_STS_CORE3_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE3_SEMAPHORE_STS_CORE3_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE3_SEMAPHORE_L_OFFSET                                  0x000001B4
#define CHIPREG_CORE3_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE3_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE3_SEMAPHORE_L_CORE3_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE3_SEMAPHORE_L_CORE3_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE3_SEMAPHORE_UL_OFFSET                                 0x000001B8
#define CHIPREG_CORE3_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE3_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE3_SEMAPHORE_UL_CORE3_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE3_SEMAPHORE_UL_CORE3_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE3_RAW_SEMAPHORE_ST_OFFSET                             0x000001BC
#define CHIPREG_CORE3_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE3_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE3_RAW_SEMAPHORE_ST_CORE3_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE3_RAW_SEMAPHORE_ST_CORE3_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE4_SEMAPHORE_STS_OFFSET                                0x000001C0
#define CHIPREG_CORE4_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE4_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE4_SEMAPHORE_STS_CORE4_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE4_SEMAPHORE_STS_CORE4_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE4_SEMAPHORE_L_OFFSET                                  0x000001C4
#define CHIPREG_CORE4_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE4_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE4_SEMAPHORE_L_CORE4_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE4_SEMAPHORE_L_CORE4_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE4_SEMAPHORE_UL_OFFSET                                 0x000001C8
#define CHIPREG_CORE4_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE4_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE4_SEMAPHORE_UL_CORE4_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE4_SEMAPHORE_UL_CORE4_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE4_RAW_SEMAPHORE_ST_OFFSET                             0x000001CC
#define CHIPREG_CORE4_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE4_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE4_RAW_SEMAPHORE_ST_CORE4_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE4_RAW_SEMAPHORE_ST_CORE4_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE5_SEMAPHORE_STS_OFFSET                                0x000001D0
#define CHIPREG_CORE5_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE5_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE5_SEMAPHORE_STS_CORE5_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE5_SEMAPHORE_STS_CORE5_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE5_SEMAPHORE_L_OFFSET                                  0x000001D4
#define CHIPREG_CORE5_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE5_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE5_SEMAPHORE_L_CORE5_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE5_SEMAPHORE_L_CORE5_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE5_SEMAPHORE_UL_OFFSET                                 0x000001D8
#define CHIPREG_CORE5_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE5_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE5_SEMAPHORE_UL_CORE5_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE5_SEMAPHORE_UL_CORE5_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE5_RAW_SEMAPHORE_ST_OFFSET                             0x000001DC
#define CHIPREG_CORE5_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE5_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE5_RAW_SEMAPHORE_ST_CORE5_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE5_RAW_SEMAPHORE_ST_CORE5_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE6_SEMAPHORE_STS_OFFSET                                0x000001E0
#define CHIPREG_CORE6_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE6_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE6_SEMAPHORE_STS_CORE6_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE6_SEMAPHORE_STS_CORE6_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE6_SEMAPHORE_L_OFFSET                                  0x000001E4
#define CHIPREG_CORE6_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE6_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE6_SEMAPHORE_L_CORE6_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE6_SEMAPHORE_L_CORE6_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE6_SEMAPHORE_UL_OFFSET                                 0x000001E8
#define CHIPREG_CORE6_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE6_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE6_SEMAPHORE_UL_CORE6_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE6_SEMAPHORE_UL_CORE6_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE6_RAW_SEMAPHORE_ST_OFFSET                             0x000001EC
#define CHIPREG_CORE6_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE6_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE6_RAW_SEMAPHORE_ST_CORE6_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE6_RAW_SEMAPHORE_ST_CORE6_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_CORE7_SEMAPHORE_STS_OFFSET                                0x000001F0
#define CHIPREG_CORE7_SEMAPHORE_STS_TYPE                                  UInt32
#define CHIPREG_CORE7_SEMAPHORE_STS_RESERVED_MASK                         0x00000000
#define    CHIPREG_CORE7_SEMAPHORE_STS_CORE7_SEMAPHORE_STATUS_SHIFT       0
#define    CHIPREG_CORE7_SEMAPHORE_STS_CORE7_SEMAPHORE_STATUS_MASK        0xFFFFFFFF

#define CHIPREG_CORE7_SEMAPHORE_L_OFFSET                                  0x000001F4
#define CHIPREG_CORE7_SEMAPHORE_L_TYPE                                    UInt32
#define CHIPREG_CORE7_SEMAPHORE_L_RESERVED_MASK                           0x00000000
#define    CHIPREG_CORE7_SEMAPHORE_L_CORE7_SEMAPHORE_LOCK_SHIFT           0
#define    CHIPREG_CORE7_SEMAPHORE_L_CORE7_SEMAPHORE_LOCK_MASK            0xFFFFFFFF

#define CHIPREG_CORE7_SEMAPHORE_UL_OFFSET                                 0x000001F8
#define CHIPREG_CORE7_SEMAPHORE_UL_TYPE                                   UInt32
#define CHIPREG_CORE7_SEMAPHORE_UL_RESERVED_MASK                          0x00000000
#define    CHIPREG_CORE7_SEMAPHORE_UL_CORE7_SEMAPHORE_UNLOCK_SHIFT        0
#define    CHIPREG_CORE7_SEMAPHORE_UL_CORE7_SEMAPHORE_UNLOCK_MASK         0xFFFFFFFF

#define CHIPREG_CORE7_RAW_SEMAPHORE_ST_OFFSET                             0x000001FC
#define CHIPREG_CORE7_RAW_SEMAPHORE_ST_TYPE                               UInt32
#define CHIPREG_CORE7_RAW_SEMAPHORE_ST_RESERVED_MASK                      0x00000000
#define    CHIPREG_CORE7_RAW_SEMAPHORE_ST_CORE7_RAW_SEMAPHORE_STATUS_SHIFT 0
#define    CHIPREG_CORE7_RAW_SEMAPHORE_ST_CORE7_RAW_SEMAPHORE_STATUS_MASK 0xFFFFFFFF

#define CHIPREG_NORFLSH_WE_N_OFFSET                                       0x00000800
#define CHIPREG_NORFLSH_WE_N_TYPE                                         UInt32
#define CHIPREG_NORFLSH_WE_N_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_NORFLSH_WE_N_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_NORFLSH_WE_N_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_NORFLSH_WE_N_HYS_EN_NORFLSH_WE_N_SHIFT                 7
#define    CHIPREG_NORFLSH_WE_N_HYS_EN_NORFLSH_WE_N_MASK                  0x00000080
#define    CHIPREG_NORFLSH_WE_N_PDN_NORFLSH_WE_N_SHIFT                    6
#define    CHIPREG_NORFLSH_WE_N_PDN_NORFLSH_WE_N_MASK                     0x00000040
#define    CHIPREG_NORFLSH_WE_N_PUP_NORFLSH_WE_N_SHIFT                    5
#define    CHIPREG_NORFLSH_WE_N_PUP_NORFLSH_WE_N_MASK                     0x00000020
#define    CHIPREG_NORFLSH_WE_N_SRC_NORFLSH_WE_N_SHIFT                    4
#define    CHIPREG_NORFLSH_WE_N_SRC_NORFLSH_WE_N_MASK                     0x00000010
#define    CHIPREG_NORFLSH_WE_N_IND_NORFLSH_WE_N_SHIFT                    3
#define    CHIPREG_NORFLSH_WE_N_IND_NORFLSH_WE_N_MASK                     0x00000008
#define    CHIPREG_NORFLSH_WE_N_SEL_2_0_SHIFT                             0
#define    CHIPREG_NORFLSH_WE_N_SEL_2_0_MASK                              0x00000007

#define CHIPREG_NORFLSH_CE1_N_OFFSET                                      0x00000804
#define CHIPREG_NORFLSH_CE1_N_TYPE                                        UInt32
#define CHIPREG_NORFLSH_CE1_N_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_CE1_N_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_CE1_N_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_CE1_N_HYS_EN_NORFLSH_CE1_N_SHIFT               7
#define    CHIPREG_NORFLSH_CE1_N_HYS_EN_NORFLSH_CE1_N_MASK                0x00000080
#define    CHIPREG_NORFLSH_CE1_N_PDN_NORFLSH_CE1_N_SHIFT                  6
#define    CHIPREG_NORFLSH_CE1_N_PDN_NORFLSH_CE1_N_MASK                   0x00000040
#define    CHIPREG_NORFLSH_CE1_N_PUP_NORFLSH_CE1_N_SHIFT                  5
#define    CHIPREG_NORFLSH_CE1_N_PUP_NORFLSH_CE1_N_MASK                   0x00000020
#define    CHIPREG_NORFLSH_CE1_N_SRC_NORFLSH_CE1_N_SHIFT                  4
#define    CHIPREG_NORFLSH_CE1_N_SRC_NORFLSH_CE1_N_MASK                   0x00000010
#define    CHIPREG_NORFLSH_CE1_N_IND_NORFLSH_CE1_N_SHIFT                  3
#define    CHIPREG_NORFLSH_CE1_N_IND_NORFLSH_CE1_N_MASK                   0x00000008
#define    CHIPREG_NORFLSH_CE1_N_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_CE1_N_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_CE0_N_OFFSET                                      0x00000808
#define CHIPREG_NORFLSH_CE0_N_TYPE                                        UInt32
#define CHIPREG_NORFLSH_CE0_N_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_CE0_N_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_CE0_N_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_CE0_N_HYS_EN_NORFLSH_CE0_N_SHIFT               7
#define    CHIPREG_NORFLSH_CE0_N_HYS_EN_NORFLSH_CE0_N_MASK                0x00000080
#define    CHIPREG_NORFLSH_CE0_N_PDN_NORFLSH_CE0_N_SHIFT                  6
#define    CHIPREG_NORFLSH_CE0_N_PDN_NORFLSH_CE0_N_MASK                   0x00000040
#define    CHIPREG_NORFLSH_CE0_N_PUP_NORFLSH_CE0_N_SHIFT                  5
#define    CHIPREG_NORFLSH_CE0_N_PUP_NORFLSH_CE0_N_MASK                   0x00000020
#define    CHIPREG_NORFLSH_CE0_N_SRC_NORFLSH_CE0_N_SHIFT                  4
#define    CHIPREG_NORFLSH_CE0_N_SRC_NORFLSH_CE0_N_MASK                   0x00000010
#define    CHIPREG_NORFLSH_CE0_N_IND_NORFLSH_CE0_N_SHIFT                  3
#define    CHIPREG_NORFLSH_CE0_N_IND_NORFLSH_CE0_N_MASK                   0x00000008
#define    CHIPREG_NORFLSH_CE0_N_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_CE0_N_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_OE_N_OFFSET                                       0x0000080C
#define CHIPREG_NORFLSH_OE_N_TYPE                                         UInt32
#define CHIPREG_NORFLSH_OE_N_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_NORFLSH_OE_N_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_NORFLSH_OE_N_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_NORFLSH_OE_N_HYS_EN_NORFLSH_OE_N_SHIFT                 7
#define    CHIPREG_NORFLSH_OE_N_HYS_EN_NORFLSH_OE_N_MASK                  0x00000080
#define    CHIPREG_NORFLSH_OE_N_PDN_NORFLSH_OE_N_SHIFT                    6
#define    CHIPREG_NORFLSH_OE_N_PDN_NORFLSH_OE_N_MASK                     0x00000040
#define    CHIPREG_NORFLSH_OE_N_PUP_NORFLSH_OE_N_SHIFT                    5
#define    CHIPREG_NORFLSH_OE_N_PUP_NORFLSH_OE_N_MASK                     0x00000020
#define    CHIPREG_NORFLSH_OE_N_SRC_NORFLSH_OE_N_SHIFT                    4
#define    CHIPREG_NORFLSH_OE_N_SRC_NORFLSH_OE_N_MASK                     0x00000010
#define    CHIPREG_NORFLSH_OE_N_IND_NORFLSH_OE_N_SHIFT                    3
#define    CHIPREG_NORFLSH_OE_N_IND_NORFLSH_OE_N_MASK                     0x00000008
#define    CHIPREG_NORFLSH_OE_N_SEL_2_0_SHIFT                             0
#define    CHIPREG_NORFLSH_OE_N_SEL_2_0_MASK                              0x00000007

#define CHIPREG_NORFLSH_ADDR_23_OFFSET                                    0x00000810
#define CHIPREG_NORFLSH_ADDR_23_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_23_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_23_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_23_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_23_HYS_EN_NORFLSH_ADDR_23_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_23_HYS_EN_NORFLSH_ADDR_23_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_23_PDN_NORFLSH_ADDR_23_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_23_PDN_NORFLSH_ADDR_23_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_23_PUP_NORFLSH_ADDR_23_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_23_PUP_NORFLSH_ADDR_23_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_23_SRC_NORFLSH_ADDR_23_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_23_SRC_NORFLSH_ADDR_23_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_23_IND_NORFLSH_ADDR_23_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_23_IND_NORFLSH_ADDR_23_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_23_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_23_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_22_OFFSET                                    0x00000814
#define CHIPREG_NORFLSH_ADDR_22_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_22_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_22_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_22_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_22_HYS_EN_NORFLSH_ADDR_22_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_22_HYS_EN_NORFLSH_ADDR_22_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_22_PDN_NORFLSH_ADDR_22_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_22_PDN_NORFLSH_ADDR_22_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_22_PUP_NORFLSH_ADDR_22_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_22_PUP_NORFLSH_ADDR_22_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_22_SRC_NORFLSH_ADDR_22_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_22_SRC_NORFLSH_ADDR_22_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_22_IND_NORFLSH_ADDR_22_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_22_IND_NORFLSH_ADDR_22_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_22_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_22_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_21_OFFSET                                    0x00000818
#define CHIPREG_NORFLSH_ADDR_21_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_21_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_21_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_21_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_21_HYS_EN_NORFLSH_ADDR_21_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_21_HYS_EN_NORFLSH_ADDR_21_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_21_PDN_NORFLSH_ADDR_21_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_21_PDN_NORFLSH_ADDR_21_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_21_PUP_NORFLSH_ADDR_21_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_21_PUP_NORFLSH_ADDR_21_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_21_SRC_NORFLSH_ADDR_21_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_21_SRC_NORFLSH_ADDR_21_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_21_IND_NORFLSH_ADDR_21_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_21_IND_NORFLSH_ADDR_21_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_21_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_21_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_20_OFFSET                                    0x0000081C
#define CHIPREG_NORFLSH_ADDR_20_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_20_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_20_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_20_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_20_HYS_EN_NORFLSH_ADDR_20_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_20_HYS_EN_NORFLSH_ADDR_20_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_20_PDN_NORFLSH_ADDR_20_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_20_PDN_NORFLSH_ADDR_20_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_20_PUP_NORFLSH_ADDR_20_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_20_PUP_NORFLSH_ADDR_20_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_20_SRC_NORFLSH_ADDR_20_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_20_SRC_NORFLSH_ADDR_20_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_20_IND_NORFLSH_ADDR_20_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_20_IND_NORFLSH_ADDR_20_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_20_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_20_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_19_OFFSET                                    0x00000820
#define CHIPREG_NORFLSH_ADDR_19_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_19_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_19_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_19_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_19_HYS_EN_NORFLSH_ADDR_19_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_19_HYS_EN_NORFLSH_ADDR_19_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_19_PDN_NORFLSH_ADDR_19_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_19_PDN_NORFLSH_ADDR_19_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_19_PUP_NORFLSH_ADDR_19_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_19_PUP_NORFLSH_ADDR_19_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_19_SRC_NORFLSH_ADDR_19_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_19_SRC_NORFLSH_ADDR_19_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_19_IND_NORFLSH_ADDR_19_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_19_IND_NORFLSH_ADDR_19_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_19_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_19_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_18_OFFSET                                    0x00000824
#define CHIPREG_NORFLSH_ADDR_18_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_18_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_18_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_18_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_18_HYS_EN_NORFLSH_ADDR_18_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_18_HYS_EN_NORFLSH_ADDR_18_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_18_PDN_NORFLSH_ADDR_18_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_18_PDN_NORFLSH_ADDR_18_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_18_PUP_NORFLSH_ADDR_18_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_18_PUP_NORFLSH_ADDR_18_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_18_SRC_NORFLSH_ADDR_18_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_18_SRC_NORFLSH_ADDR_18_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_18_IND_NORFLSH_ADDR_18_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_18_IND_NORFLSH_ADDR_18_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_18_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_18_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_17_OFFSET                                    0x00000828
#define CHIPREG_NORFLSH_ADDR_17_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_17_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_17_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_17_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_17_HYS_EN_NORFLSH_ADDR_17_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_17_HYS_EN_NORFLSH_ADDR_17_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_17_PDN_NORFLSH_ADDR_17_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_17_PDN_NORFLSH_ADDR_17_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_17_PUP_NORFLSH_ADDR_17_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_17_PUP_NORFLSH_ADDR_17_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_17_SRC_NORFLSH_ADDR_17_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_17_SRC_NORFLSH_ADDR_17_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_17_IND_NORFLSH_ADDR_17_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_17_IND_NORFLSH_ADDR_17_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_17_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_17_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_ADDR_16_OFFSET                                    0x0000082C
#define CHIPREG_NORFLSH_ADDR_16_TYPE                                      UInt32
#define CHIPREG_NORFLSH_ADDR_16_RESERVED_MASK                             0xFFFFF800
#define    CHIPREG_NORFLSH_ADDR_16_PINSEL_2_0_SHIFT                       8
#define    CHIPREG_NORFLSH_ADDR_16_PINSEL_2_0_MASK                        0x00000700
#define    CHIPREG_NORFLSH_ADDR_16_HYS_EN_NORFLSH_ADDR_16_SHIFT           7
#define    CHIPREG_NORFLSH_ADDR_16_HYS_EN_NORFLSH_ADDR_16_MASK            0x00000080
#define    CHIPREG_NORFLSH_ADDR_16_PDN_NORFLSH_ADDR_16_SHIFT              6
#define    CHIPREG_NORFLSH_ADDR_16_PDN_NORFLSH_ADDR_16_MASK               0x00000040
#define    CHIPREG_NORFLSH_ADDR_16_PUP_NORFLSH_ADDR_16_SHIFT              5
#define    CHIPREG_NORFLSH_ADDR_16_PUP_NORFLSH_ADDR_16_MASK               0x00000020
#define    CHIPREG_NORFLSH_ADDR_16_SRC_NORFLSH_ADDR_16_SHIFT              4
#define    CHIPREG_NORFLSH_ADDR_16_SRC_NORFLSH_ADDR_16_MASK               0x00000010
#define    CHIPREG_NORFLSH_ADDR_16_IND_NORFLSH_ADDR_16_SHIFT              3
#define    CHIPREG_NORFLSH_ADDR_16_IND_NORFLSH_ADDR_16_MASK               0x00000008
#define    CHIPREG_NORFLSH_ADDR_16_SEL_2_0_SHIFT                          0
#define    CHIPREG_NORFLSH_ADDR_16_SEL_2_0_MASK                           0x00000007

#define CHIPREG_NORFLSH_AADLAT_EN_OFFSET                                  0x00000830
#define CHIPREG_NORFLSH_AADLAT_EN_TYPE                                    UInt32
#define CHIPREG_NORFLSH_AADLAT_EN_RESERVED_MASK                           0xFFFFF800
#define    CHIPREG_NORFLSH_AADLAT_EN_PINSEL_2_0_SHIFT                     8
#define    CHIPREG_NORFLSH_AADLAT_EN_PINSEL_2_0_MASK                      0x00000700
#define    CHIPREG_NORFLSH_AADLAT_EN_HYS_EN_NORFLSH_AADLAT_EN_SHIFT       7
#define    CHIPREG_NORFLSH_AADLAT_EN_HYS_EN_NORFLSH_AADLAT_EN_MASK        0x00000080
#define    CHIPREG_NORFLSH_AADLAT_EN_PDN_NORFLSH_AADLAT_EN_SHIFT          6
#define    CHIPREG_NORFLSH_AADLAT_EN_PDN_NORFLSH_AADLAT_EN_MASK           0x00000040
#define    CHIPREG_NORFLSH_AADLAT_EN_PUP_NORFLSH_AADLAT_EN_SHIFT          5
#define    CHIPREG_NORFLSH_AADLAT_EN_PUP_NORFLSH_AADLAT_EN_MASK           0x00000020
#define    CHIPREG_NORFLSH_AADLAT_EN_SRC_NORFLSH_AADLAT_EN_SHIFT          4
#define    CHIPREG_NORFLSH_AADLAT_EN_SRC_NORFLSH_AADLAT_EN_MASK           0x00000010
#define    CHIPREG_NORFLSH_AADLAT_EN_IND_NORFLSH_AADLAT_EN_SHIFT          3
#define    CHIPREG_NORFLSH_AADLAT_EN_IND_NORFLSH_AADLAT_EN_MASK           0x00000008
#define    CHIPREG_NORFLSH_AADLAT_EN_SEL_2_0_SHIFT                        0
#define    CHIPREG_NORFLSH_AADLAT_EN_SEL_2_0_MASK                         0x00000007

#define CHIPREG_NORFLSH_ADLAT_EN_OFFSET                                   0x00000834
#define CHIPREG_NORFLSH_ADLAT_EN_TYPE                                     UInt32
#define CHIPREG_NORFLSH_ADLAT_EN_RESERVED_MASK                            0xFFFFF800
#define    CHIPREG_NORFLSH_ADLAT_EN_PINSEL_2_0_SHIFT                      8
#define    CHIPREG_NORFLSH_ADLAT_EN_PINSEL_2_0_MASK                       0x00000700
#define    CHIPREG_NORFLSH_ADLAT_EN_HYS_EN_NORFLSH_ADLAT_EN_SHIFT         7
#define    CHIPREG_NORFLSH_ADLAT_EN_HYS_EN_NORFLSH_ADLAT_EN_MASK          0x00000080
#define    CHIPREG_NORFLSH_ADLAT_EN_PDN_NORFLSH_ADLAT_EN_SHIFT            6
#define    CHIPREG_NORFLSH_ADLAT_EN_PDN_NORFLSH_ADLAT_EN_MASK             0x00000040
#define    CHIPREG_NORFLSH_ADLAT_EN_PUP_NORFLSH_ADLAT_EN_SHIFT            5
#define    CHIPREG_NORFLSH_ADLAT_EN_PUP_NORFLSH_ADLAT_EN_MASK             0x00000020
#define    CHIPREG_NORFLSH_ADLAT_EN_SRC_NORFLSH_ADLAT_EN_SHIFT            4
#define    CHIPREG_NORFLSH_ADLAT_EN_SRC_NORFLSH_ADLAT_EN_MASK             0x00000010
#define    CHIPREG_NORFLSH_ADLAT_EN_IND_NORFLSH_ADLAT_EN_SHIFT            3
#define    CHIPREG_NORFLSH_ADLAT_EN_IND_NORFLSH_ADLAT_EN_MASK             0x00000008
#define    CHIPREG_NORFLSH_ADLAT_EN_SEL_2_0_SHIFT                         0
#define    CHIPREG_NORFLSH_ADLAT_EN_SEL_2_0_MASK                          0x00000007

#define CHIPREG_NORFLSH_AD_15_OFFSET                                      0x00000838
#define CHIPREG_NORFLSH_AD_15_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_15_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_15_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_15_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_15_HYS_EN_NORFLSH_AD_15_SHIFT               7
#define    CHIPREG_NORFLSH_AD_15_HYS_EN_NORFLSH_AD_15_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_15_PDN_NORFLSH_AD_15_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_15_PDN_NORFLSH_AD_15_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_15_PUP_NORFLSH_AD_15_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_15_PUP_NORFLSH_AD_15_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_15_SRC_NORFLSH_AD_15_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_15_SRC_NORFLSH_AD_15_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_15_IND_NORFLSH_AD_15_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_15_IND_NORFLSH_AD_15_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_15_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_15_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_14_OFFSET                                      0x0000083C
#define CHIPREG_NORFLSH_AD_14_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_14_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_14_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_14_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_14_HYS_EN_NORFLSH_AD_14_SHIFT               7
#define    CHIPREG_NORFLSH_AD_14_HYS_EN_NORFLSH_AD_14_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_14_PDN_NORFLSH_AD_14_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_14_PDN_NORFLSH_AD_14_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_14_PUP_NORFLSH_AD_14_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_14_PUP_NORFLSH_AD_14_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_14_SRC_NORFLSH_AD_14_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_14_SRC_NORFLSH_AD_14_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_14_IND_NORFLSH_AD_14_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_14_IND_NORFLSH_AD_14_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_14_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_14_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_13_OFFSET                                      0x00000840
#define CHIPREG_NORFLSH_AD_13_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_13_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_13_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_13_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_13_HYS_EN_NORFLSH_AD_13_SHIFT               7
#define    CHIPREG_NORFLSH_AD_13_HYS_EN_NORFLSH_AD_13_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_13_PDN_NORFLSH_AD_13_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_13_PDN_NORFLSH_AD_13_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_13_PUP_NORFLSH_AD_13_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_13_PUP_NORFLSH_AD_13_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_13_SRC_NORFLSH_AD_13_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_13_SRC_NORFLSH_AD_13_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_13_IND_NORFLSH_AD_13_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_13_IND_NORFLSH_AD_13_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_13_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_13_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_12_OFFSET                                      0x00000844
#define CHIPREG_NORFLSH_AD_12_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_12_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_12_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_12_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_12_HYS_EN_NORFLSH_AD_12_SHIFT               7
#define    CHIPREG_NORFLSH_AD_12_HYS_EN_NORFLSH_AD_12_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_12_PDN_NORFLSH_AD_12_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_12_PDN_NORFLSH_AD_12_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_12_PUP_NORFLSH_AD_12_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_12_PUP_NORFLSH_AD_12_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_12_SRC_NORFLSH_AD_12_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_12_SRC_NORFLSH_AD_12_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_12_IND_NORFLSH_AD_12_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_12_IND_NORFLSH_AD_12_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_12_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_12_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_11_OFFSET                                      0x00000848
#define CHIPREG_NORFLSH_AD_11_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_11_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_11_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_11_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_11_HYS_EN_NORFLSH_AD_11_SHIFT               7
#define    CHIPREG_NORFLSH_AD_11_HYS_EN_NORFLSH_AD_11_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_11_PDN_NORFLSH_AD_11_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_11_PDN_NORFLSH_AD_11_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_11_PUP_NORFLSH_AD_11_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_11_PUP_NORFLSH_AD_11_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_11_SRC_NORFLSH_AD_11_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_11_SRC_NORFLSH_AD_11_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_11_IND_NORFLSH_AD_11_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_11_IND_NORFLSH_AD_11_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_11_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_11_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_10_OFFSET                                      0x0000084C
#define CHIPREG_NORFLSH_AD_10_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_10_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_10_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_10_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_10_HYS_EN_NORFLSH_AD_10_SHIFT               7
#define    CHIPREG_NORFLSH_AD_10_HYS_EN_NORFLSH_AD_10_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_10_PDN_NORFLSH_AD_10_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_10_PDN_NORFLSH_AD_10_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_10_PUP_NORFLSH_AD_10_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_10_PUP_NORFLSH_AD_10_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_10_SRC_NORFLSH_AD_10_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_10_SRC_NORFLSH_AD_10_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_10_IND_NORFLSH_AD_10_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_10_IND_NORFLSH_AD_10_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_10_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_10_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_09_OFFSET                                      0x00000850
#define CHIPREG_NORFLSH_AD_09_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_09_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_09_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_09_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_09_HYS_EN_NORFLSH_AD_09_SHIFT               7
#define    CHIPREG_NORFLSH_AD_09_HYS_EN_NORFLSH_AD_09_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_09_PDN_NORFLSH_AD_09_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_09_PDN_NORFLSH_AD_09_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_09_PUP_NORFLSH_AD_09_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_09_PUP_NORFLSH_AD_09_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_09_SRC_NORFLSH_AD_09_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_09_SRC_NORFLSH_AD_09_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_09_IND_NORFLSH_AD_09_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_09_IND_NORFLSH_AD_09_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_09_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_09_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_08_OFFSET                                      0x00000854
#define CHIPREG_NORFLSH_AD_08_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_08_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_08_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_08_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_08_HYS_EN_NORFLSH_AD_08_SHIFT               7
#define    CHIPREG_NORFLSH_AD_08_HYS_EN_NORFLSH_AD_08_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_08_PDN_NORFLSH_AD_08_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_08_PDN_NORFLSH_AD_08_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_08_PUP_NORFLSH_AD_08_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_08_PUP_NORFLSH_AD_08_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_08_SRC_NORFLSH_AD_08_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_08_SRC_NORFLSH_AD_08_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_08_IND_NORFLSH_AD_08_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_08_IND_NORFLSH_AD_08_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_08_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_08_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_07_OFFSET                                      0x00000858
#define CHIPREG_NORFLSH_AD_07_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_07_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_07_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_07_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_07_HYS_EN_NORFLSH_AD_07_SHIFT               7
#define    CHIPREG_NORFLSH_AD_07_HYS_EN_NORFLSH_AD_07_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_07_PDN_NORFLSH_AD_07_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_07_PDN_NORFLSH_AD_07_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_07_PUP_NORFLSH_AD_07_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_07_PUP_NORFLSH_AD_07_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_07_SRC_NORFLSH_AD_07_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_07_SRC_NORFLSH_AD_07_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_07_IND_NORFLSH_AD_07_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_07_IND_NORFLSH_AD_07_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_07_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_07_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_06_OFFSET                                      0x0000085C
#define CHIPREG_NORFLSH_AD_06_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_06_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_06_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_06_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_06_HYS_EN_NORFLSH_AD_06_SHIFT               7
#define    CHIPREG_NORFLSH_AD_06_HYS_EN_NORFLSH_AD_06_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_06_PDN_NORFLSH_AD_06_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_06_PDN_NORFLSH_AD_06_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_06_PUP_NORFLSH_AD_06_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_06_PUP_NORFLSH_AD_06_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_06_SRC_NORFLSH_AD_06_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_06_SRC_NORFLSH_AD_06_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_06_IND_NORFLSH_AD_06_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_06_IND_NORFLSH_AD_06_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_06_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_06_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_05_OFFSET                                      0x00000860
#define CHIPREG_NORFLSH_AD_05_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_05_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_05_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_05_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_05_HYS_EN_NORFLSH_AD_05_SHIFT               7
#define    CHIPREG_NORFLSH_AD_05_HYS_EN_NORFLSH_AD_05_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_05_PDN_NORFLSH_AD_05_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_05_PDN_NORFLSH_AD_05_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_05_PUP_NORFLSH_AD_05_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_05_PUP_NORFLSH_AD_05_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_05_SRC_NORFLSH_AD_05_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_05_SRC_NORFLSH_AD_05_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_05_IND_NORFLSH_AD_05_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_05_IND_NORFLSH_AD_05_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_05_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_05_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_04_OFFSET                                      0x00000864
#define CHIPREG_NORFLSH_AD_04_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_04_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_04_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_04_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_04_HYS_EN_NORFLSH_AD_04_SHIFT               7
#define    CHIPREG_NORFLSH_AD_04_HYS_EN_NORFLSH_AD_04_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_04_PDN_NORFLSH_AD_04_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_04_PDN_NORFLSH_AD_04_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_04_PUP_NORFLSH_AD_04_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_04_PUP_NORFLSH_AD_04_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_04_SRC_NORFLSH_AD_04_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_04_SRC_NORFLSH_AD_04_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_04_IND_NORFLSH_AD_04_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_04_IND_NORFLSH_AD_04_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_04_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_04_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_03_OFFSET                                      0x00000868
#define CHIPREG_NORFLSH_AD_03_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_03_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_03_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_03_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_03_HYS_EN_NORFLSH_AD_03_SHIFT               7
#define    CHIPREG_NORFLSH_AD_03_HYS_EN_NORFLSH_AD_03_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_03_PDN_NORFLSH_AD_03_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_03_PDN_NORFLSH_AD_03_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_03_PUP_NORFLSH_AD_03_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_03_PUP_NORFLSH_AD_03_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_03_SRC_NORFLSH_AD_03_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_03_SRC_NORFLSH_AD_03_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_03_IND_NORFLSH_AD_03_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_03_IND_NORFLSH_AD_03_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_03_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_03_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_02_OFFSET                                      0x0000086C
#define CHIPREG_NORFLSH_AD_02_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_02_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_02_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_02_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_02_HYS_EN_NORFLSH_AD_02_SHIFT               7
#define    CHIPREG_NORFLSH_AD_02_HYS_EN_NORFLSH_AD_02_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_02_PDN_NORFLSH_AD_02_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_02_PDN_NORFLSH_AD_02_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_02_PUP_NORFLSH_AD_02_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_02_PUP_NORFLSH_AD_02_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_02_SRC_NORFLSH_AD_02_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_02_SRC_NORFLSH_AD_02_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_02_IND_NORFLSH_AD_02_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_02_IND_NORFLSH_AD_02_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_02_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_02_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_01_OFFSET                                      0x00000870
#define CHIPREG_NORFLSH_AD_01_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_01_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_01_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_01_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_01_HYS_EN_NORFLSH_AD_01_SHIFT               7
#define    CHIPREG_NORFLSH_AD_01_HYS_EN_NORFLSH_AD_01_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_01_PDN_NORFLSH_AD_01_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_01_PDN_NORFLSH_AD_01_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_01_PUP_NORFLSH_AD_01_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_01_PUP_NORFLSH_AD_01_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_01_SRC_NORFLSH_AD_01_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_01_SRC_NORFLSH_AD_01_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_01_IND_NORFLSH_AD_01_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_01_IND_NORFLSH_AD_01_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_01_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_01_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_AD_00_OFFSET                                      0x00000874
#define CHIPREG_NORFLSH_AD_00_TYPE                                        UInt32
#define CHIPREG_NORFLSH_AD_00_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_AD_00_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_AD_00_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_AD_00_HYS_EN_NORFLSH_AD_00_SHIFT               7
#define    CHIPREG_NORFLSH_AD_00_HYS_EN_NORFLSH_AD_00_MASK                0x00000080
#define    CHIPREG_NORFLSH_AD_00_PDN_NORFLSH_AD_00_SHIFT                  6
#define    CHIPREG_NORFLSH_AD_00_PDN_NORFLSH_AD_00_MASK                   0x00000040
#define    CHIPREG_NORFLSH_AD_00_PUP_NORFLSH_AD_00_SHIFT                  5
#define    CHIPREG_NORFLSH_AD_00_PUP_NORFLSH_AD_00_MASK                   0x00000020
#define    CHIPREG_NORFLSH_AD_00_SRC_NORFLSH_AD_00_SHIFT                  4
#define    CHIPREG_NORFLSH_AD_00_SRC_NORFLSH_AD_00_MASK                   0x00000010
#define    CHIPREG_NORFLSH_AD_00_IND_NORFLSH_AD_00_SHIFT                  3
#define    CHIPREG_NORFLSH_AD_00_IND_NORFLSH_AD_00_MASK                   0x00000008
#define    CHIPREG_NORFLSH_AD_00_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_AD_00_SEL_2_0_MASK                             0x00000007

#define CHIPREG_NORFLSH_RDY_OFFSET                                        0x00000878
#define CHIPREG_NORFLSH_RDY_TYPE                                          UInt32
#define CHIPREG_NORFLSH_RDY_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_NORFLSH_RDY_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_NORFLSH_RDY_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_NORFLSH_RDY_HYS_EN_NORFLSH_RDY_SHIFT                   7
#define    CHIPREG_NORFLSH_RDY_HYS_EN_NORFLSH_RDY_MASK                    0x00000080
#define    CHIPREG_NORFLSH_RDY_PDN_NORFLSH_RDY_SHIFT                      6
#define    CHIPREG_NORFLSH_RDY_PDN_NORFLSH_RDY_MASK                       0x00000040
#define    CHIPREG_NORFLSH_RDY_PUP_NORFLSH_RDY_SHIFT                      5
#define    CHIPREG_NORFLSH_RDY_PUP_NORFLSH_RDY_MASK                       0x00000020
#define    CHIPREG_NORFLSH_RDY_SRC_NORFLSH_RDY_SHIFT                      4
#define    CHIPREG_NORFLSH_RDY_SRC_NORFLSH_RDY_MASK                       0x00000010
#define    CHIPREG_NORFLSH_RDY_IND_NORFLSH_RDY_SHIFT                      3
#define    CHIPREG_NORFLSH_RDY_IND_NORFLSH_RDY_MASK                       0x00000008
#define    CHIPREG_NORFLSH_RDY_SEL_2_0_SHIFT                              0
#define    CHIPREG_NORFLSH_RDY_SEL_2_0_MASK                               0x00000007

#define CHIPREG_NORFLSH_CLK_N_OFFSET                                      0x0000087C
#define CHIPREG_NORFLSH_CLK_N_TYPE                                        UInt32
#define CHIPREG_NORFLSH_CLK_N_RESERVED_MASK                               0xFFFFF800
#define    CHIPREG_NORFLSH_CLK_N_PINSEL_2_0_SHIFT                         8
#define    CHIPREG_NORFLSH_CLK_N_PINSEL_2_0_MASK                          0x00000700
#define    CHIPREG_NORFLSH_CLK_N_HYS_EN_NORFLSH_CLK_N_SHIFT               7
#define    CHIPREG_NORFLSH_CLK_N_HYS_EN_NORFLSH_CLK_N_MASK                0x00000080
#define    CHIPREG_NORFLSH_CLK_N_PDN_NORFLSH_CLK_N_SHIFT                  6
#define    CHIPREG_NORFLSH_CLK_N_PDN_NORFLSH_CLK_N_MASK                   0x00000040
#define    CHIPREG_NORFLSH_CLK_N_PUP_NORFLSH_CLK_N_SHIFT                  5
#define    CHIPREG_NORFLSH_CLK_N_PUP_NORFLSH_CLK_N_MASK                   0x00000020
#define    CHIPREG_NORFLSH_CLK_N_SRC_NORFLSH_CLK_N_SHIFT                  4
#define    CHIPREG_NORFLSH_CLK_N_SRC_NORFLSH_CLK_N_MASK                   0x00000010
#define    CHIPREG_NORFLSH_CLK_N_IND_NORFLSH_CLK_N_SHIFT                  3
#define    CHIPREG_NORFLSH_CLK_N_IND_NORFLSH_CLK_N_MASK                   0x00000008
#define    CHIPREG_NORFLSH_CLK_N_SEL_2_0_SHIFT                            0
#define    CHIPREG_NORFLSH_CLK_N_SEL_2_0_MASK                             0x00000007

#define CHIPREG_SIM_RESETN_OFFSET                                         0x00000880
#define CHIPREG_SIM_RESETN_TYPE                                           UInt32
#define CHIPREG_SIM_RESETN_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_SIM_RESETN_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_SIM_RESETN_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_SIM_RESETN_HYS_EN_SIM_RESETN_SHIFT                     7
#define    CHIPREG_SIM_RESETN_HYS_EN_SIM_RESETN_MASK                      0x00000080
#define    CHIPREG_SIM_RESETN_PDN_SIM_RESETN_SHIFT                        6
#define    CHIPREG_SIM_RESETN_PDN_SIM_RESETN_MASK                         0x00000040
#define    CHIPREG_SIM_RESETN_PUP_SIM_RESETN_SHIFT                        5
#define    CHIPREG_SIM_RESETN_PUP_SIM_RESETN_MASK                         0x00000020
#define    CHIPREG_SIM_RESETN_SRC_SIM_RESETN_SHIFT                        4
#define    CHIPREG_SIM_RESETN_SRC_SIM_RESETN_MASK                         0x00000010
#define    CHIPREG_SIM_RESETN_IND_SIM_RESETN_SHIFT                        3
#define    CHIPREG_SIM_RESETN_IND_SIM_RESETN_MASK                         0x00000008
#define    CHIPREG_SIM_RESETN_SEL_2_0_SHIFT                               0
#define    CHIPREG_SIM_RESETN_SEL_2_0_MASK                                0x00000007

#define CHIPREG_SIM_CLK_OFFSET                                            0x00000884
#define CHIPREG_SIM_CLK_TYPE                                              UInt32
#define CHIPREG_SIM_CLK_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_SIM_CLK_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_SIM_CLK_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_SIM_CLK_HYS_EN_SIM_CLK_SHIFT                           7
#define    CHIPREG_SIM_CLK_HYS_EN_SIM_CLK_MASK                            0x00000080
#define    CHIPREG_SIM_CLK_PDN_SIM_CLK_SHIFT                              6
#define    CHIPREG_SIM_CLK_PDN_SIM_CLK_MASK                               0x00000040
#define    CHIPREG_SIM_CLK_PUP_SIM_CLK_SHIFT                              5
#define    CHIPREG_SIM_CLK_PUP_SIM_CLK_MASK                               0x00000020
#define    CHIPREG_SIM_CLK_SRC_SIM_CLK_SHIFT                              4
#define    CHIPREG_SIM_CLK_SRC_SIM_CLK_MASK                               0x00000010
#define    CHIPREG_SIM_CLK_IND_SIM_CLK_SHIFT                              3
#define    CHIPREG_SIM_CLK_IND_SIM_CLK_MASK                               0x00000008
#define    CHIPREG_SIM_CLK_SEL_2_0_SHIFT                                  0
#define    CHIPREG_SIM_CLK_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SIM_DATA_OFFSET                                           0x00000888
#define CHIPREG_SIM_DATA_TYPE                                             UInt32
#define CHIPREG_SIM_DATA_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SIM_DATA_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SIM_DATA_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SIM_DATA_HYS_EN_SIM_DATA_SHIFT                         7
#define    CHIPREG_SIM_DATA_HYS_EN_SIM_DATA_MASK                          0x00000080
#define    CHIPREG_SIM_DATA_PDN_SIM_DATA_SHIFT                            6
#define    CHIPREG_SIM_DATA_PDN_SIM_DATA_MASK                             0x00000040
#define    CHIPREG_SIM_DATA_PUP_SIM_DATA_SHIFT                            5
#define    CHIPREG_SIM_DATA_PUP_SIM_DATA_MASK                             0x00000020
#define    CHIPREG_SIM_DATA_SRC_SIM_DATA_SHIFT                            4
#define    CHIPREG_SIM_DATA_SRC_SIM_DATA_MASK                             0x00000010
#define    CHIPREG_SIM_DATA_IND_SIM_DATA_SHIFT                            3
#define    CHIPREG_SIM_DATA_IND_SIM_DATA_MASK                             0x00000008
#define    CHIPREG_SIM_DATA_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SIM_DATA_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SIM_DET_OFFSET                                            0x0000088C
#define CHIPREG_SIM_DET_TYPE                                              UInt32
#define CHIPREG_SIM_DET_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_SIM_DET_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_SIM_DET_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_SIM_DET_HYS_EN_SIM_DET_SHIFT                           7
#define    CHIPREG_SIM_DET_HYS_EN_SIM_DET_MASK                            0x00000080
#define    CHIPREG_SIM_DET_PDN_SIM_DET_SHIFT                              6
#define    CHIPREG_SIM_DET_PDN_SIM_DET_MASK                               0x00000040
#define    CHIPREG_SIM_DET_PUP_SIM_DET_SHIFT                              5
#define    CHIPREG_SIM_DET_PUP_SIM_DET_MASK                               0x00000020
#define    CHIPREG_SIM_DET_SRC_SIM_DET_SHIFT                              4
#define    CHIPREG_SIM_DET_SRC_SIM_DET_MASK                               0x00000010
#define    CHIPREG_SIM_DET_IND_SIM_DET_SHIFT                              3
#define    CHIPREG_SIM_DET_IND_SIM_DET_MASK                               0x00000008
#define    CHIPREG_SIM_DET_SEL_2_0_SHIFT                                  0
#define    CHIPREG_SIM_DET_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SIM2_RESETN_OFFSET                                        0x00000890
#define CHIPREG_SIM2_RESETN_TYPE                                          UInt32
#define CHIPREG_SIM2_RESETN_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_SIM2_RESETN_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_SIM2_RESETN_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_SIM2_RESETN_HYS_EN_SIM2_RESETN_SHIFT                   7
#define    CHIPREG_SIM2_RESETN_HYS_EN_SIM2_RESETN_MASK                    0x00000080
#define    CHIPREG_SIM2_RESETN_PDN_SIM2_RESETN_SHIFT                      6
#define    CHIPREG_SIM2_RESETN_PDN_SIM2_RESETN_MASK                       0x00000040
#define    CHIPREG_SIM2_RESETN_PUP_SIM2_RESETN_SHIFT                      5
#define    CHIPREG_SIM2_RESETN_PUP_SIM2_RESETN_MASK                       0x00000020
#define    CHIPREG_SIM2_RESETN_SRC_SIM2_RESETN_SHIFT                      4
#define    CHIPREG_SIM2_RESETN_SRC_SIM2_RESETN_MASK                       0x00000010
#define    CHIPREG_SIM2_RESETN_IND_SIM2_RESETN_SHIFT                      3
#define    CHIPREG_SIM2_RESETN_IND_SIM2_RESETN_MASK                       0x00000008
#define    CHIPREG_SIM2_RESETN_SEL_2_0_SHIFT                              0
#define    CHIPREG_SIM2_RESETN_SEL_2_0_MASK                               0x00000007

#define CHIPREG_SIM2_CLK_OFFSET                                           0x00000894
#define CHIPREG_SIM2_CLK_TYPE                                             UInt32
#define CHIPREG_SIM2_CLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SIM2_CLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SIM2_CLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SIM2_CLK_HYS_EN_SIM2_CLK_SHIFT                         7
#define    CHIPREG_SIM2_CLK_HYS_EN_SIM2_CLK_MASK                          0x00000080
#define    CHIPREG_SIM2_CLK_PDN_SIM2_CLK_SHIFT                            6
#define    CHIPREG_SIM2_CLK_PDN_SIM2_CLK_MASK                             0x00000040
#define    CHIPREG_SIM2_CLK_PUP_SIM2_CLK_SHIFT                            5
#define    CHIPREG_SIM2_CLK_PUP_SIM2_CLK_MASK                             0x00000020
#define    CHIPREG_SIM2_CLK_SRC_SIM2_CLK_SHIFT                            4
#define    CHIPREG_SIM2_CLK_SRC_SIM2_CLK_MASK                             0x00000010
#define    CHIPREG_SIM2_CLK_IND_SIM2_CLK_SHIFT                            3
#define    CHIPREG_SIM2_CLK_IND_SIM2_CLK_MASK                             0x00000008
#define    CHIPREG_SIM2_CLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SIM2_CLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SIM2_DATA_OFFSET                                          0x00000898
#define CHIPREG_SIM2_DATA_TYPE                                            UInt32
#define CHIPREG_SIM2_DATA_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SIM2_DATA_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SIM2_DATA_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SIM2_DATA_HYS_EN_SIM2_DATA_SHIFT                       7
#define    CHIPREG_SIM2_DATA_HYS_EN_SIM2_DATA_MASK                        0x00000080
#define    CHIPREG_SIM2_DATA_PDN_SIM2_DATA_SHIFT                          6
#define    CHIPREG_SIM2_DATA_PDN_SIM2_DATA_MASK                           0x00000040
#define    CHIPREG_SIM2_DATA_PUP_SIM2_DATA_SHIFT                          5
#define    CHIPREG_SIM2_DATA_PUP_SIM2_DATA_MASK                           0x00000020
#define    CHIPREG_SIM2_DATA_SRC_SIM2_DATA_SHIFT                          4
#define    CHIPREG_SIM2_DATA_SRC_SIM2_DATA_MASK                           0x00000010
#define    CHIPREG_SIM2_DATA_IND_SIM2_DATA_SHIFT                          3
#define    CHIPREG_SIM2_DATA_IND_SIM2_DATA_MASK                           0x00000008
#define    CHIPREG_SIM2_DATA_SEL_2_0_SHIFT                                0
#define    CHIPREG_SIM2_DATA_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SIM2_DET_OFFSET                                           0x0000089C
#define CHIPREG_SIM2_DET_TYPE                                             UInt32
#define CHIPREG_SIM2_DET_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SIM2_DET_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SIM2_DET_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SIM2_DET_HYS_EN_SIM2_DET_SHIFT                         7
#define    CHIPREG_SIM2_DET_HYS_EN_SIM2_DET_MASK                          0x00000080
#define    CHIPREG_SIM2_DET_PDN_SIM2_DET_SHIFT                            6
#define    CHIPREG_SIM2_DET_PDN_SIM2_DET_MASK                             0x00000040
#define    CHIPREG_SIM2_DET_PUP_SIM2_DET_SHIFT                            5
#define    CHIPREG_SIM2_DET_PUP_SIM2_DET_MASK                             0x00000020
#define    CHIPREG_SIM2_DET_SRC_SIM2_DET_SHIFT                            4
#define    CHIPREG_SIM2_DET_SRC_SIM2_DET_MASK                             0x00000010
#define    CHIPREG_SIM2_DET_IND_SIM2_DET_SHIFT                            3
#define    CHIPREG_SIM2_DET_IND_SIM2_DET_MASK                             0x00000008
#define    CHIPREG_SIM2_DET_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SIM2_DET_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_ULPI0_CLOCK_OFFSET                                        0x000008A0
#define CHIPREG_ULPI0_CLOCK_TYPE                                          UInt32
#define CHIPREG_ULPI0_CLOCK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_ULPI0_CLOCK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_ULPI0_CLOCK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_ULPI0_CLOCK_HYS_EN_ULPI0_CLOCK_SHIFT                   7
#define    CHIPREG_ULPI0_CLOCK_HYS_EN_ULPI0_CLOCK_MASK                    0x00000080
#define    CHIPREG_ULPI0_CLOCK_PDN_ULPI0_CLOCK_SHIFT                      6
#define    CHIPREG_ULPI0_CLOCK_PDN_ULPI0_CLOCK_MASK                       0x00000040
#define    CHIPREG_ULPI0_CLOCK_PUP_ULPI0_CLOCK_SHIFT                      5
#define    CHIPREG_ULPI0_CLOCK_PUP_ULPI0_CLOCK_MASK                       0x00000020
#define    CHIPREG_ULPI0_CLOCK_SRC_ULPI0_CLOCK_SHIFT                      4
#define    CHIPREG_ULPI0_CLOCK_SRC_ULPI0_CLOCK_MASK                       0x00000010
#define    CHIPREG_ULPI0_CLOCK_IND_ULPI0_CLOCK_SHIFT                      3
#define    CHIPREG_ULPI0_CLOCK_IND_ULPI0_CLOCK_MASK                       0x00000008
#define    CHIPREG_ULPI0_CLOCK_SEL_2_0_SHIFT                              0
#define    CHIPREG_ULPI0_CLOCK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_ULPI0_DATA_0_OFFSET                                       0x000008A4
#define CHIPREG_ULPI0_DATA_0_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_0_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_0_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_0_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_0_HYS_EN_ULPI0_DATA_0_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_0_HYS_EN_ULPI0_DATA_0_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_0_PDN_ULPI0_DATA_0_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_0_PDN_ULPI0_DATA_0_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_0_PUP_ULPI0_DATA_0_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_0_PUP_ULPI0_DATA_0_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_0_SRC_ULPI0_DATA_0_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_0_SRC_ULPI0_DATA_0_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_0_IND_ULPI0_DATA_0_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_0_IND_ULPI0_DATA_0_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_0_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_0_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_1_OFFSET                                       0x000008A8
#define CHIPREG_ULPI0_DATA_1_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_1_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_1_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_1_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_1_HYS_EN_ULPI0_DATA_1_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_1_HYS_EN_ULPI0_DATA_1_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_1_PDN_ULPI0_DATA_1_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_1_PDN_ULPI0_DATA_1_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_1_PUP_ULPI0_DATA_1_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_1_PUP_ULPI0_DATA_1_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_1_SRC_ULPI0_DATA_1_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_1_SRC_ULPI0_DATA_1_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_1_IND_ULPI0_DATA_1_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_1_IND_ULPI0_DATA_1_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_1_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_1_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_2_OFFSET                                       0x000008AC
#define CHIPREG_ULPI0_DATA_2_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_2_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_2_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_2_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_2_HYS_EN_ULPI0_DATA_2_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_2_HYS_EN_ULPI0_DATA_2_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_2_PDN_ULPI0_DATA_2_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_2_PDN_ULPI0_DATA_2_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_2_PUP_ULPI0_DATA_2_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_2_PUP_ULPI0_DATA_2_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_2_SRC_ULPI0_DATA_2_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_2_SRC_ULPI0_DATA_2_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_2_IND_ULPI0_DATA_2_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_2_IND_ULPI0_DATA_2_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_2_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_2_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_3_OFFSET                                       0x000008B0
#define CHIPREG_ULPI0_DATA_3_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_3_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_3_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_3_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_3_HYS_EN_ULPI0_DATA_3_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_3_HYS_EN_ULPI0_DATA_3_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_3_PDN_ULPI0_DATA_3_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_3_PDN_ULPI0_DATA_3_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_3_PUP_ULPI0_DATA_3_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_3_PUP_ULPI0_DATA_3_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_3_SRC_ULPI0_DATA_3_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_3_SRC_ULPI0_DATA_3_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_3_IND_ULPI0_DATA_3_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_3_IND_ULPI0_DATA_3_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_3_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_3_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_4_OFFSET                                       0x000008B4
#define CHIPREG_ULPI0_DATA_4_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_4_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_4_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_4_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_4_HYS_EN_ULPI0_DATA_4_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_4_HYS_EN_ULPI0_DATA_4_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_4_PDN_ULPI0_DATA_4_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_4_PDN_ULPI0_DATA_4_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_4_PUP_ULPI0_DATA_4_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_4_PUP_ULPI0_DATA_4_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_4_SRC_ULPI0_DATA_4_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_4_SRC_ULPI0_DATA_4_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_4_IND_ULPI0_DATA_4_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_4_IND_ULPI0_DATA_4_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_4_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_4_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_5_OFFSET                                       0x000008B8
#define CHIPREG_ULPI0_DATA_5_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_5_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_5_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_5_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_5_HYS_EN_ULPI0_DATA_5_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_5_HYS_EN_ULPI0_DATA_5_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_5_PDN_ULPI0_DATA_5_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_5_PDN_ULPI0_DATA_5_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_5_PUP_ULPI0_DATA_5_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_5_PUP_ULPI0_DATA_5_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_5_SRC_ULPI0_DATA_5_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_5_SRC_ULPI0_DATA_5_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_5_IND_ULPI0_DATA_5_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_5_IND_ULPI0_DATA_5_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_5_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_5_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_6_OFFSET                                       0x000008BC
#define CHIPREG_ULPI0_DATA_6_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_6_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_6_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_6_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_6_HYS_EN_ULPI0_DATA_6_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_6_HYS_EN_ULPI0_DATA_6_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_6_PDN_ULPI0_DATA_6_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_6_PDN_ULPI0_DATA_6_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_6_PUP_ULPI0_DATA_6_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_6_PUP_ULPI0_DATA_6_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_6_SRC_ULPI0_DATA_6_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_6_SRC_ULPI0_DATA_6_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_6_IND_ULPI0_DATA_6_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_6_IND_ULPI0_DATA_6_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_6_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_6_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DATA_7_OFFSET                                       0x000008C0
#define CHIPREG_ULPI0_DATA_7_TYPE                                         UInt32
#define CHIPREG_ULPI0_DATA_7_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI0_DATA_7_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI0_DATA_7_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI0_DATA_7_HYS_EN_ULPI0_DATA_7_SHIFT                 7
#define    CHIPREG_ULPI0_DATA_7_HYS_EN_ULPI0_DATA_7_MASK                  0x00000080
#define    CHIPREG_ULPI0_DATA_7_PDN_ULPI0_DATA_7_SHIFT                    6
#define    CHIPREG_ULPI0_DATA_7_PDN_ULPI0_DATA_7_MASK                     0x00000040
#define    CHIPREG_ULPI0_DATA_7_PUP_ULPI0_DATA_7_SHIFT                    5
#define    CHIPREG_ULPI0_DATA_7_PUP_ULPI0_DATA_7_MASK                     0x00000020
#define    CHIPREG_ULPI0_DATA_7_SRC_ULPI0_DATA_7_SHIFT                    4
#define    CHIPREG_ULPI0_DATA_7_SRC_ULPI0_DATA_7_MASK                     0x00000010
#define    CHIPREG_ULPI0_DATA_7_IND_ULPI0_DATA_7_SHIFT                    3
#define    CHIPREG_ULPI0_DATA_7_IND_ULPI0_DATA_7_MASK                     0x00000008
#define    CHIPREG_ULPI0_DATA_7_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI0_DATA_7_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI0_DIR_OFFSET                                          0x000008C4
#define CHIPREG_ULPI0_DIR_TYPE                                            UInt32
#define CHIPREG_ULPI0_DIR_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI0_DIR_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI0_DIR_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI0_DIR_HYS_EN_ULPI0_DIR_SHIFT                       7
#define    CHIPREG_ULPI0_DIR_HYS_EN_ULPI0_DIR_MASK                        0x00000080
#define    CHIPREG_ULPI0_DIR_PDN_ULPI0_DIR_SHIFT                          6
#define    CHIPREG_ULPI0_DIR_PDN_ULPI0_DIR_MASK                           0x00000040
#define    CHIPREG_ULPI0_DIR_PUP_ULPI0_DIR_SHIFT                          5
#define    CHIPREG_ULPI0_DIR_PUP_ULPI0_DIR_MASK                           0x00000020
#define    CHIPREG_ULPI0_DIR_SRC_ULPI0_DIR_SHIFT                          4
#define    CHIPREG_ULPI0_DIR_SRC_ULPI0_DIR_MASK                           0x00000010
#define    CHIPREG_ULPI0_DIR_IND_ULPI0_DIR_SHIFT                          3
#define    CHIPREG_ULPI0_DIR_IND_ULPI0_DIR_MASK                           0x00000008
#define    CHIPREG_ULPI0_DIR_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI0_DIR_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_ULPI0_NXT_OFFSET                                          0x000008C8
#define CHIPREG_ULPI0_NXT_TYPE                                            UInt32
#define CHIPREG_ULPI0_NXT_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI0_NXT_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI0_NXT_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI0_NXT_HYS_EN_ULPI0_NXT_SHIFT                       7
#define    CHIPREG_ULPI0_NXT_HYS_EN_ULPI0_NXT_MASK                        0x00000080
#define    CHIPREG_ULPI0_NXT_PDN_ULPI0_NXT_SHIFT                          6
#define    CHIPREG_ULPI0_NXT_PDN_ULPI0_NXT_MASK                           0x00000040
#define    CHIPREG_ULPI0_NXT_PUP_ULPI0_NXT_SHIFT                          5
#define    CHIPREG_ULPI0_NXT_PUP_ULPI0_NXT_MASK                           0x00000020
#define    CHIPREG_ULPI0_NXT_SRC_ULPI0_NXT_SHIFT                          4
#define    CHIPREG_ULPI0_NXT_SRC_ULPI0_NXT_MASK                           0x00000010
#define    CHIPREG_ULPI0_NXT_IND_ULPI0_NXT_SHIFT                          3
#define    CHIPREG_ULPI0_NXT_IND_ULPI0_NXT_MASK                           0x00000008
#define    CHIPREG_ULPI0_NXT_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI0_NXT_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_ULPI0_STP_OFFSET                                          0x000008CC
#define CHIPREG_ULPI0_STP_TYPE                                            UInt32
#define CHIPREG_ULPI0_STP_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI0_STP_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI0_STP_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI0_STP_HYS_EN_ULPI0_STP_SHIFT                       7
#define    CHIPREG_ULPI0_STP_HYS_EN_ULPI0_STP_MASK                        0x00000080
#define    CHIPREG_ULPI0_STP_PDN_ULPI0_STP_SHIFT                          6
#define    CHIPREG_ULPI0_STP_PDN_ULPI0_STP_MASK                           0x00000040
#define    CHIPREG_ULPI0_STP_PUP_ULPI0_STP_SHIFT                          5
#define    CHIPREG_ULPI0_STP_PUP_ULPI0_STP_MASK                           0x00000020
#define    CHIPREG_ULPI0_STP_SRC_ULPI0_STP_SHIFT                          4
#define    CHIPREG_ULPI0_STP_SRC_ULPI0_STP_MASK                           0x00000010
#define    CHIPREG_ULPI0_STP_IND_ULPI0_STP_SHIFT                          3
#define    CHIPREG_ULPI0_STP_IND_ULPI0_STP_MASK                           0x00000008
#define    CHIPREG_ULPI0_STP_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI0_STP_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_ULPI1_CLOCK_OFFSET                                        0x000008D0
#define CHIPREG_ULPI1_CLOCK_TYPE                                          UInt32
#define CHIPREG_ULPI1_CLOCK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_ULPI1_CLOCK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_ULPI1_CLOCK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_ULPI1_CLOCK_HYS_EN_ULPI1_CLOCK_SHIFT                   7
#define    CHIPREG_ULPI1_CLOCK_HYS_EN_ULPI1_CLOCK_MASK                    0x00000080
#define    CHIPREG_ULPI1_CLOCK_PDN_ULPI1_CLOCK_SHIFT                      6
#define    CHIPREG_ULPI1_CLOCK_PDN_ULPI1_CLOCK_MASK                       0x00000040
#define    CHIPREG_ULPI1_CLOCK_PUP_ULPI1_CLOCK_SHIFT                      5
#define    CHIPREG_ULPI1_CLOCK_PUP_ULPI1_CLOCK_MASK                       0x00000020
#define    CHIPREG_ULPI1_CLOCK_SRC_ULPI1_CLOCK_SHIFT                      4
#define    CHIPREG_ULPI1_CLOCK_SRC_ULPI1_CLOCK_MASK                       0x00000010
#define    CHIPREG_ULPI1_CLOCK_IND_ULPI1_CLOCK_SHIFT                      3
#define    CHIPREG_ULPI1_CLOCK_IND_ULPI1_CLOCK_MASK                       0x00000008
#define    CHIPREG_ULPI1_CLOCK_SEL_2_0_SHIFT                              0
#define    CHIPREG_ULPI1_CLOCK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_ULPI1_DATA_0_OFFSET                                       0x000008D4
#define CHIPREG_ULPI1_DATA_0_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_0_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_0_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_0_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_0_HYS_EN_ULPI1_DATA_0_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_0_HYS_EN_ULPI1_DATA_0_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_0_PDN_ULPI1_DATA_0_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_0_PDN_ULPI1_DATA_0_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_0_PUP_ULPI1_DATA_0_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_0_PUP_ULPI1_DATA_0_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_0_SRC_ULPI1_DATA_0_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_0_SRC_ULPI1_DATA_0_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_0_IND_ULPI1_DATA_0_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_0_IND_ULPI1_DATA_0_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_0_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_0_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_1_OFFSET                                       0x000008D8
#define CHIPREG_ULPI1_DATA_1_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_1_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_1_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_1_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_1_HYS_EN_ULPI1_DATA_1_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_1_HYS_EN_ULPI1_DATA_1_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_1_PDN_ULPI1_DATA_1_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_1_PDN_ULPI1_DATA_1_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_1_PUP_ULPI1_DATA_1_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_1_PUP_ULPI1_DATA_1_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_1_SRC_ULPI1_DATA_1_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_1_SRC_ULPI1_DATA_1_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_1_IND_ULPI1_DATA_1_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_1_IND_ULPI1_DATA_1_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_1_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_1_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_2_OFFSET                                       0x000008DC
#define CHIPREG_ULPI1_DATA_2_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_2_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_2_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_2_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_2_HYS_EN_ULPI1_DATA_2_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_2_HYS_EN_ULPI1_DATA_2_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_2_PDN_ULPI1_DATA_2_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_2_PDN_ULPI1_DATA_2_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_2_PUP_ULPI1_DATA_2_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_2_PUP_ULPI1_DATA_2_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_2_SRC_ULPI1_DATA_2_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_2_SRC_ULPI1_DATA_2_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_2_IND_ULPI1_DATA_2_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_2_IND_ULPI1_DATA_2_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_2_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_2_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_3_OFFSET                                       0x000008E0
#define CHIPREG_ULPI1_DATA_3_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_3_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_3_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_3_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_3_HYS_EN_ULPI1_DATA_3_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_3_HYS_EN_ULPI1_DATA_3_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_3_PDN_ULPI1_DATA_3_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_3_PDN_ULPI1_DATA_3_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_3_PUP_ULPI1_DATA_3_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_3_PUP_ULPI1_DATA_3_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_3_SRC_ULPI1_DATA_3_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_3_SRC_ULPI1_DATA_3_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_3_IND_ULPI1_DATA_3_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_3_IND_ULPI1_DATA_3_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_3_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_3_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_4_OFFSET                                       0x000008E4
#define CHIPREG_ULPI1_DATA_4_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_4_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_4_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_4_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_4_HYS_EN_ULPI1_DATA_4_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_4_HYS_EN_ULPI1_DATA_4_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_4_PDN_ULPI1_DATA_4_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_4_PDN_ULPI1_DATA_4_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_4_PUP_ULPI1_DATA_4_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_4_PUP_ULPI1_DATA_4_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_4_SRC_ULPI1_DATA_4_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_4_SRC_ULPI1_DATA_4_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_4_IND_ULPI1_DATA_4_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_4_IND_ULPI1_DATA_4_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_4_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_4_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_5_OFFSET                                       0x000008E8
#define CHIPREG_ULPI1_DATA_5_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_5_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_5_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_5_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_5_HYS_EN_ULPI1_DATA_5_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_5_HYS_EN_ULPI1_DATA_5_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_5_PDN_ULPI1_DATA_5_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_5_PDN_ULPI1_DATA_5_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_5_PUP_ULPI1_DATA_5_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_5_PUP_ULPI1_DATA_5_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_5_SRC_ULPI1_DATA_5_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_5_SRC_ULPI1_DATA_5_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_5_IND_ULPI1_DATA_5_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_5_IND_ULPI1_DATA_5_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_5_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_5_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_6_OFFSET                                       0x000008EC
#define CHIPREG_ULPI1_DATA_6_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_6_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_6_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_6_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_6_HYS_EN_ULPI1_DATA_6_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_6_HYS_EN_ULPI1_DATA_6_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_6_PDN_ULPI1_DATA_6_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_6_PDN_ULPI1_DATA_6_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_6_PUP_ULPI1_DATA_6_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_6_PUP_ULPI1_DATA_6_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_6_SRC_ULPI1_DATA_6_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_6_SRC_ULPI1_DATA_6_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_6_IND_ULPI1_DATA_6_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_6_IND_ULPI1_DATA_6_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_6_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_6_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DATA_7_OFFSET                                       0x000008F0
#define CHIPREG_ULPI1_DATA_7_TYPE                                         UInt32
#define CHIPREG_ULPI1_DATA_7_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ULPI1_DATA_7_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ULPI1_DATA_7_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ULPI1_DATA_7_HYS_EN_ULPI1_DATA_7_SHIFT                 7
#define    CHIPREG_ULPI1_DATA_7_HYS_EN_ULPI1_DATA_7_MASK                  0x00000080
#define    CHIPREG_ULPI1_DATA_7_PDN_ULPI1_DATA_7_SHIFT                    6
#define    CHIPREG_ULPI1_DATA_7_PDN_ULPI1_DATA_7_MASK                     0x00000040
#define    CHIPREG_ULPI1_DATA_7_PUP_ULPI1_DATA_7_SHIFT                    5
#define    CHIPREG_ULPI1_DATA_7_PUP_ULPI1_DATA_7_MASK                     0x00000020
#define    CHIPREG_ULPI1_DATA_7_SRC_ULPI1_DATA_7_SHIFT                    4
#define    CHIPREG_ULPI1_DATA_7_SRC_ULPI1_DATA_7_MASK                     0x00000010
#define    CHIPREG_ULPI1_DATA_7_IND_ULPI1_DATA_7_SHIFT                    3
#define    CHIPREG_ULPI1_DATA_7_IND_ULPI1_DATA_7_MASK                     0x00000008
#define    CHIPREG_ULPI1_DATA_7_SEL_2_0_SHIFT                             0
#define    CHIPREG_ULPI1_DATA_7_SEL_2_0_MASK                              0x00000007

#define CHIPREG_ULPI1_DIR_OFFSET                                          0x000008F4
#define CHIPREG_ULPI1_DIR_TYPE                                            UInt32
#define CHIPREG_ULPI1_DIR_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI1_DIR_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI1_DIR_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI1_DIR_HYS_EN_ULPI1_DIR_SHIFT                       7
#define    CHIPREG_ULPI1_DIR_HYS_EN_ULPI1_DIR_MASK                        0x00000080
#define    CHIPREG_ULPI1_DIR_PDN_ULPI1_DIR_SHIFT                          6
#define    CHIPREG_ULPI1_DIR_PDN_ULPI1_DIR_MASK                           0x00000040
#define    CHIPREG_ULPI1_DIR_PUP_ULPI1_DIR_SHIFT                          5
#define    CHIPREG_ULPI1_DIR_PUP_ULPI1_DIR_MASK                           0x00000020
#define    CHIPREG_ULPI1_DIR_SRC_ULPI1_DIR_SHIFT                          4
#define    CHIPREG_ULPI1_DIR_SRC_ULPI1_DIR_MASK                           0x00000010
#define    CHIPREG_ULPI1_DIR_IND_ULPI1_DIR_SHIFT                          3
#define    CHIPREG_ULPI1_DIR_IND_ULPI1_DIR_MASK                           0x00000008
#define    CHIPREG_ULPI1_DIR_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI1_DIR_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_ULPI1_NXT_OFFSET                                          0x000008F8
#define CHIPREG_ULPI1_NXT_TYPE                                            UInt32
#define CHIPREG_ULPI1_NXT_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI1_NXT_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI1_NXT_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI1_NXT_HYS_EN_ULPI1_NXT_SHIFT                       7
#define    CHIPREG_ULPI1_NXT_HYS_EN_ULPI1_NXT_MASK                        0x00000080
#define    CHIPREG_ULPI1_NXT_PDN_ULPI1_NXT_SHIFT                          6
#define    CHIPREG_ULPI1_NXT_PDN_ULPI1_NXT_MASK                           0x00000040
#define    CHIPREG_ULPI1_NXT_PUP_ULPI1_NXT_SHIFT                          5
#define    CHIPREG_ULPI1_NXT_PUP_ULPI1_NXT_MASK                           0x00000020
#define    CHIPREG_ULPI1_NXT_SRC_ULPI1_NXT_SHIFT                          4
#define    CHIPREG_ULPI1_NXT_SRC_ULPI1_NXT_MASK                           0x00000010
#define    CHIPREG_ULPI1_NXT_IND_ULPI1_NXT_SHIFT                          3
#define    CHIPREG_ULPI1_NXT_IND_ULPI1_NXT_MASK                           0x00000008
#define    CHIPREG_ULPI1_NXT_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI1_NXT_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_ULPI1_STP_OFFSET                                          0x000008FC
#define CHIPREG_ULPI1_STP_TYPE                                            UInt32
#define CHIPREG_ULPI1_STP_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_ULPI1_STP_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_ULPI1_STP_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_ULPI1_STP_HYS_EN_ULPI1_STP_SHIFT                       7
#define    CHIPREG_ULPI1_STP_HYS_EN_ULPI1_STP_MASK                        0x00000080
#define    CHIPREG_ULPI1_STP_PDN_ULPI1_STP_SHIFT                          6
#define    CHIPREG_ULPI1_STP_PDN_ULPI1_STP_MASK                           0x00000040
#define    CHIPREG_ULPI1_STP_PUP_ULPI1_STP_SHIFT                          5
#define    CHIPREG_ULPI1_STP_PUP_ULPI1_STP_MASK                           0x00000020
#define    CHIPREG_ULPI1_STP_SRC_ULPI1_STP_SHIFT                          4
#define    CHIPREG_ULPI1_STP_SRC_ULPI1_STP_MASK                           0x00000010
#define    CHIPREG_ULPI1_STP_IND_ULPI1_STP_SHIFT                          3
#define    CHIPREG_ULPI1_STP_IND_ULPI1_STP_MASK                           0x00000008
#define    CHIPREG_ULPI1_STP_SEL_2_0_SHIFT                                0
#define    CHIPREG_ULPI1_STP_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_WP_OFFSET                                            0x00000900
#define CHIPREG_NAND_WP_TYPE                                              UInt32
#define CHIPREG_NAND_WP_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_NAND_WP_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_NAND_WP_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_NAND_WP_HYS_EN_NAND_WP_SHIFT                           7
#define    CHIPREG_NAND_WP_HYS_EN_NAND_WP_MASK                            0x00000080
#define    CHIPREG_NAND_WP_PDN_NAND_WP_SHIFT                              6
#define    CHIPREG_NAND_WP_PDN_NAND_WP_MASK                               0x00000040
#define    CHIPREG_NAND_WP_PUP_NAND_WP_SHIFT                              5
#define    CHIPREG_NAND_WP_PUP_NAND_WP_MASK                               0x00000020
#define    CHIPREG_NAND_WP_SRC_NAND_WP_SHIFT                              4
#define    CHIPREG_NAND_WP_SRC_NAND_WP_MASK                               0x00000010
#define    CHIPREG_NAND_WP_IND_NAND_WP_SHIFT                              3
#define    CHIPREG_NAND_WP_IND_NAND_WP_MASK                               0x00000008
#define    CHIPREG_NAND_WP_SEL_2_0_SHIFT                                  0
#define    CHIPREG_NAND_WP_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_NAND_CEN_0_OFFSET                                         0x00000904
#define CHIPREG_NAND_CEN_0_TYPE                                           UInt32
#define CHIPREG_NAND_CEN_0_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_NAND_CEN_0_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_NAND_CEN_0_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_NAND_CEN_0_HYS_EN_NAND_CEN_0_SHIFT                     7
#define    CHIPREG_NAND_CEN_0_HYS_EN_NAND_CEN_0_MASK                      0x00000080
#define    CHIPREG_NAND_CEN_0_PDN_NAND_CEN_0_SHIFT                        6
#define    CHIPREG_NAND_CEN_0_PDN_NAND_CEN_0_MASK                         0x00000040
#define    CHIPREG_NAND_CEN_0_PUP_NAND_CEN_0_SHIFT                        5
#define    CHIPREG_NAND_CEN_0_PUP_NAND_CEN_0_MASK                         0x00000020
#define    CHIPREG_NAND_CEN_0_SRC_NAND_CEN_0_SHIFT                        4
#define    CHIPREG_NAND_CEN_0_SRC_NAND_CEN_0_MASK                         0x00000010
#define    CHIPREG_NAND_CEN_0_IND_NAND_CEN_0_SHIFT                        3
#define    CHIPREG_NAND_CEN_0_IND_NAND_CEN_0_MASK                         0x00000008
#define    CHIPREG_NAND_CEN_0_SEL_2_0_SHIFT                               0
#define    CHIPREG_NAND_CEN_0_SEL_2_0_MASK                                0x00000007

#define CHIPREG_NAND_CEN_1_OFFSET                                         0x00000908
#define CHIPREG_NAND_CEN_1_TYPE                                           UInt32
#define CHIPREG_NAND_CEN_1_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_NAND_CEN_1_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_NAND_CEN_1_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_NAND_CEN_1_HYS_EN_NAND_CEN_1_SHIFT                     7
#define    CHIPREG_NAND_CEN_1_HYS_EN_NAND_CEN_1_MASK                      0x00000080
#define    CHIPREG_NAND_CEN_1_PDN_NAND_CEN_1_SHIFT                        6
#define    CHIPREG_NAND_CEN_1_PDN_NAND_CEN_1_MASK                         0x00000040
#define    CHIPREG_NAND_CEN_1_PUP_NAND_CEN_1_SHIFT                        5
#define    CHIPREG_NAND_CEN_1_PUP_NAND_CEN_1_MASK                         0x00000020
#define    CHIPREG_NAND_CEN_1_SRC_NAND_CEN_1_SHIFT                        4
#define    CHIPREG_NAND_CEN_1_SRC_NAND_CEN_1_MASK                         0x00000010
#define    CHIPREG_NAND_CEN_1_IND_NAND_CEN_1_SHIFT                        3
#define    CHIPREG_NAND_CEN_1_IND_NAND_CEN_1_MASK                         0x00000008
#define    CHIPREG_NAND_CEN_1_SEL_2_0_SHIFT                               0
#define    CHIPREG_NAND_CEN_1_SEL_2_0_MASK                                0x00000007

#define CHIPREG_NAND_RDY_0_OFFSET                                         0x0000090C
#define CHIPREG_NAND_RDY_0_TYPE                                           UInt32
#define CHIPREG_NAND_RDY_0_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_NAND_RDY_0_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_NAND_RDY_0_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_NAND_RDY_0_HYS_EN_NAND_RDY_0_SHIFT                     7
#define    CHIPREG_NAND_RDY_0_HYS_EN_NAND_RDY_0_MASK                      0x00000080
#define    CHIPREG_NAND_RDY_0_PDN_NAND_RDY_0_SHIFT                        6
#define    CHIPREG_NAND_RDY_0_PDN_NAND_RDY_0_MASK                         0x00000040
#define    CHIPREG_NAND_RDY_0_PUP_NAND_RDY_0_SHIFT                        5
#define    CHIPREG_NAND_RDY_0_PUP_NAND_RDY_0_MASK                         0x00000020
#define    CHIPREG_NAND_RDY_0_SRC_NAND_RDY_0_SHIFT                        4
#define    CHIPREG_NAND_RDY_0_SRC_NAND_RDY_0_MASK                         0x00000010
#define    CHIPREG_NAND_RDY_0_IND_NAND_RDY_0_SHIFT                        3
#define    CHIPREG_NAND_RDY_0_IND_NAND_RDY_0_MASK                         0x00000008
#define    CHIPREG_NAND_RDY_0_SEL_2_0_SHIFT                               0
#define    CHIPREG_NAND_RDY_0_SEL_2_0_MASK                                0x00000007

#define CHIPREG_NAND_RDY_1_OFFSET                                         0x00000910
#define CHIPREG_NAND_RDY_1_TYPE                                           UInt32
#define CHIPREG_NAND_RDY_1_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_NAND_RDY_1_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_NAND_RDY_1_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_NAND_RDY_1_HYS_EN_NAND_RDY_1_SHIFT                     7
#define    CHIPREG_NAND_RDY_1_HYS_EN_NAND_RDY_1_MASK                      0x00000080
#define    CHIPREG_NAND_RDY_1_PDN_NAND_RDY_1_SHIFT                        6
#define    CHIPREG_NAND_RDY_1_PDN_NAND_RDY_1_MASK                         0x00000040
#define    CHIPREG_NAND_RDY_1_PUP_NAND_RDY_1_SHIFT                        5
#define    CHIPREG_NAND_RDY_1_PUP_NAND_RDY_1_MASK                         0x00000020
#define    CHIPREG_NAND_RDY_1_SRC_NAND_RDY_1_SHIFT                        4
#define    CHIPREG_NAND_RDY_1_SRC_NAND_RDY_1_MASK                         0x00000010
#define    CHIPREG_NAND_RDY_1_IND_NAND_RDY_1_SHIFT                        3
#define    CHIPREG_NAND_RDY_1_IND_NAND_RDY_1_MASK                         0x00000008
#define    CHIPREG_NAND_RDY_1_SEL_2_0_SHIFT                               0
#define    CHIPREG_NAND_RDY_1_SEL_2_0_MASK                                0x00000007

#define CHIPREG_NAND_CLE_OFFSET                                           0x00000914
#define CHIPREG_NAND_CLE_TYPE                                             UInt32
#define CHIPREG_NAND_CLE_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_NAND_CLE_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_NAND_CLE_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_NAND_CLE_HYS_EN_NAND_CLE_SHIFT                         7
#define    CHIPREG_NAND_CLE_HYS_EN_NAND_CLE_MASK                          0x00000080
#define    CHIPREG_NAND_CLE_PDN_NAND_CLE_SHIFT                            6
#define    CHIPREG_NAND_CLE_PDN_NAND_CLE_MASK                             0x00000040
#define    CHIPREG_NAND_CLE_PUP_NAND_CLE_SHIFT                            5
#define    CHIPREG_NAND_CLE_PUP_NAND_CLE_MASK                             0x00000020
#define    CHIPREG_NAND_CLE_SRC_NAND_CLE_SHIFT                            4
#define    CHIPREG_NAND_CLE_SRC_NAND_CLE_MASK                             0x00000010
#define    CHIPREG_NAND_CLE_IND_NAND_CLE_SHIFT                            3
#define    CHIPREG_NAND_CLE_IND_NAND_CLE_MASK                             0x00000008
#define    CHIPREG_NAND_CLE_SEL_2_0_SHIFT                                 0
#define    CHIPREG_NAND_CLE_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_NAND_ALE_OFFSET                                           0x00000918
#define CHIPREG_NAND_ALE_TYPE                                             UInt32
#define CHIPREG_NAND_ALE_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_NAND_ALE_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_NAND_ALE_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_NAND_ALE_HYS_EN_NAND_ALE_SHIFT                         7
#define    CHIPREG_NAND_ALE_HYS_EN_NAND_ALE_MASK                          0x00000080
#define    CHIPREG_NAND_ALE_PDN_NAND_ALE_SHIFT                            6
#define    CHIPREG_NAND_ALE_PDN_NAND_ALE_MASK                             0x00000040
#define    CHIPREG_NAND_ALE_PUP_NAND_ALE_SHIFT                            5
#define    CHIPREG_NAND_ALE_PUP_NAND_ALE_MASK                             0x00000020
#define    CHIPREG_NAND_ALE_SRC_NAND_ALE_SHIFT                            4
#define    CHIPREG_NAND_ALE_SRC_NAND_ALE_MASK                             0x00000010
#define    CHIPREG_NAND_ALE_IND_NAND_ALE_SHIFT                            3
#define    CHIPREG_NAND_ALE_IND_NAND_ALE_MASK                             0x00000008
#define    CHIPREG_NAND_ALE_SEL_2_0_SHIFT                                 0
#define    CHIPREG_NAND_ALE_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_NAND_OEN_OFFSET                                           0x0000091C
#define CHIPREG_NAND_OEN_TYPE                                             UInt32
#define CHIPREG_NAND_OEN_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_NAND_OEN_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_NAND_OEN_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_NAND_OEN_HYS_EN_NAND_OEN_SHIFT                         7
#define    CHIPREG_NAND_OEN_HYS_EN_NAND_OEN_MASK                          0x00000080
#define    CHIPREG_NAND_OEN_PDN_NAND_OEN_SHIFT                            6
#define    CHIPREG_NAND_OEN_PDN_NAND_OEN_MASK                             0x00000040
#define    CHIPREG_NAND_OEN_PUP_NAND_OEN_SHIFT                            5
#define    CHIPREG_NAND_OEN_PUP_NAND_OEN_MASK                             0x00000020
#define    CHIPREG_NAND_OEN_SRC_NAND_OEN_SHIFT                            4
#define    CHIPREG_NAND_OEN_SRC_NAND_OEN_MASK                             0x00000010
#define    CHIPREG_NAND_OEN_IND_NAND_OEN_SHIFT                            3
#define    CHIPREG_NAND_OEN_IND_NAND_OEN_MASK                             0x00000008
#define    CHIPREG_NAND_OEN_SEL_2_0_SHIFT                                 0
#define    CHIPREG_NAND_OEN_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_NAND_WEN_OFFSET                                           0x00000920
#define CHIPREG_NAND_WEN_TYPE                                             UInt32
#define CHIPREG_NAND_WEN_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_NAND_WEN_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_NAND_WEN_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_NAND_WEN_HYS_EN_NAND_WEN_SHIFT                         7
#define    CHIPREG_NAND_WEN_HYS_EN_NAND_WEN_MASK                          0x00000080
#define    CHIPREG_NAND_WEN_PDN_NAND_WEN_SHIFT                            6
#define    CHIPREG_NAND_WEN_PDN_NAND_WEN_MASK                             0x00000040
#define    CHIPREG_NAND_WEN_PUP_NAND_WEN_SHIFT                            5
#define    CHIPREG_NAND_WEN_PUP_NAND_WEN_MASK                             0x00000020
#define    CHIPREG_NAND_WEN_SRC_NAND_WEN_SHIFT                            4
#define    CHIPREG_NAND_WEN_SRC_NAND_WEN_MASK                             0x00000010
#define    CHIPREG_NAND_WEN_IND_NAND_WEN_SHIFT                            3
#define    CHIPREG_NAND_WEN_IND_NAND_WEN_MASK                             0x00000008
#define    CHIPREG_NAND_WEN_SEL_2_0_SHIFT                                 0
#define    CHIPREG_NAND_WEN_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_NAND_AD_7_OFFSET                                          0x00000924
#define CHIPREG_NAND_AD_7_TYPE                                            UInt32
#define CHIPREG_NAND_AD_7_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_7_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_7_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_7_HYS_EN_NAND_AD_7_SHIFT                       7
#define    CHIPREG_NAND_AD_7_HYS_EN_NAND_AD_7_MASK                        0x00000080
#define    CHIPREG_NAND_AD_7_PDN_NAND_AD_7_SHIFT                          6
#define    CHIPREG_NAND_AD_7_PDN_NAND_AD_7_MASK                           0x00000040
#define    CHIPREG_NAND_AD_7_PUP_NAND_AD_7_SHIFT                          5
#define    CHIPREG_NAND_AD_7_PUP_NAND_AD_7_MASK                           0x00000020
#define    CHIPREG_NAND_AD_7_SRC_NAND_AD_7_SHIFT                          4
#define    CHIPREG_NAND_AD_7_SRC_NAND_AD_7_MASK                           0x00000010
#define    CHIPREG_NAND_AD_7_IND_NAND_AD_7_SHIFT                          3
#define    CHIPREG_NAND_AD_7_IND_NAND_AD_7_MASK                           0x00000008
#define    CHIPREG_NAND_AD_7_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_7_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_6_OFFSET                                          0x00000928
#define CHIPREG_NAND_AD_6_TYPE                                            UInt32
#define CHIPREG_NAND_AD_6_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_6_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_6_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_6_HYS_EN_NAND_AD_6_SHIFT                       7
#define    CHIPREG_NAND_AD_6_HYS_EN_NAND_AD_6_MASK                        0x00000080
#define    CHIPREG_NAND_AD_6_PDN_NAND_AD_6_SHIFT                          6
#define    CHIPREG_NAND_AD_6_PDN_NAND_AD_6_MASK                           0x00000040
#define    CHIPREG_NAND_AD_6_PUP_NAND_AD_6_SHIFT                          5
#define    CHIPREG_NAND_AD_6_PUP_NAND_AD_6_MASK                           0x00000020
#define    CHIPREG_NAND_AD_6_SRC_NAND_AD_6_SHIFT                          4
#define    CHIPREG_NAND_AD_6_SRC_NAND_AD_6_MASK                           0x00000010
#define    CHIPREG_NAND_AD_6_IND_NAND_AD_6_SHIFT                          3
#define    CHIPREG_NAND_AD_6_IND_NAND_AD_6_MASK                           0x00000008
#define    CHIPREG_NAND_AD_6_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_6_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_5_OFFSET                                          0x0000092C
#define CHIPREG_NAND_AD_5_TYPE                                            UInt32
#define CHIPREG_NAND_AD_5_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_5_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_5_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_5_HYS_EN_NAND_AD_5_SHIFT                       7
#define    CHIPREG_NAND_AD_5_HYS_EN_NAND_AD_5_MASK                        0x00000080
#define    CHIPREG_NAND_AD_5_PDN_NAND_AD_5_SHIFT                          6
#define    CHIPREG_NAND_AD_5_PDN_NAND_AD_5_MASK                           0x00000040
#define    CHIPREG_NAND_AD_5_PUP_NAND_AD_5_SHIFT                          5
#define    CHIPREG_NAND_AD_5_PUP_NAND_AD_5_MASK                           0x00000020
#define    CHIPREG_NAND_AD_5_SRC_NAND_AD_5_SHIFT                          4
#define    CHIPREG_NAND_AD_5_SRC_NAND_AD_5_MASK                           0x00000010
#define    CHIPREG_NAND_AD_5_IND_NAND_AD_5_SHIFT                          3
#define    CHIPREG_NAND_AD_5_IND_NAND_AD_5_MASK                           0x00000008
#define    CHIPREG_NAND_AD_5_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_5_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_4_OFFSET                                          0x00000930
#define CHIPREG_NAND_AD_4_TYPE                                            UInt32
#define CHIPREG_NAND_AD_4_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_4_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_4_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_4_HYS_EN_NAND_AD_4_SHIFT                       7
#define    CHIPREG_NAND_AD_4_HYS_EN_NAND_AD_4_MASK                        0x00000080
#define    CHIPREG_NAND_AD_4_PDN_NAND_AD_4_SHIFT                          6
#define    CHIPREG_NAND_AD_4_PDN_NAND_AD_4_MASK                           0x00000040
#define    CHIPREG_NAND_AD_4_PUP_NAND_AD_4_SHIFT                          5
#define    CHIPREG_NAND_AD_4_PUP_NAND_AD_4_MASK                           0x00000020
#define    CHIPREG_NAND_AD_4_SRC_NAND_AD_4_SHIFT                          4
#define    CHIPREG_NAND_AD_4_SRC_NAND_AD_4_MASK                           0x00000010
#define    CHIPREG_NAND_AD_4_IND_NAND_AD_4_SHIFT                          3
#define    CHIPREG_NAND_AD_4_IND_NAND_AD_4_MASK                           0x00000008
#define    CHIPREG_NAND_AD_4_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_4_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_3_OFFSET                                          0x00000934
#define CHIPREG_NAND_AD_3_TYPE                                            UInt32
#define CHIPREG_NAND_AD_3_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_3_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_3_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_3_HYS_EN_NAND_AD_3_SHIFT                       7
#define    CHIPREG_NAND_AD_3_HYS_EN_NAND_AD_3_MASK                        0x00000080
#define    CHIPREG_NAND_AD_3_PDN_NAND_AD_3_SHIFT                          6
#define    CHIPREG_NAND_AD_3_PDN_NAND_AD_3_MASK                           0x00000040
#define    CHIPREG_NAND_AD_3_PUP_NAND_AD_3_SHIFT                          5
#define    CHIPREG_NAND_AD_3_PUP_NAND_AD_3_MASK                           0x00000020
#define    CHIPREG_NAND_AD_3_SRC_NAND_AD_3_SHIFT                          4
#define    CHIPREG_NAND_AD_3_SRC_NAND_AD_3_MASK                           0x00000010
#define    CHIPREG_NAND_AD_3_IND_NAND_AD_3_SHIFT                          3
#define    CHIPREG_NAND_AD_3_IND_NAND_AD_3_MASK                           0x00000008
#define    CHIPREG_NAND_AD_3_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_3_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_2_OFFSET                                          0x00000938
#define CHIPREG_NAND_AD_2_TYPE                                            UInt32
#define CHIPREG_NAND_AD_2_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_2_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_2_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_2_HYS_EN_NAND_AD_2_SHIFT                       7
#define    CHIPREG_NAND_AD_2_HYS_EN_NAND_AD_2_MASK                        0x00000080
#define    CHIPREG_NAND_AD_2_PDN_NAND_AD_2_SHIFT                          6
#define    CHIPREG_NAND_AD_2_PDN_NAND_AD_2_MASK                           0x00000040
#define    CHIPREG_NAND_AD_2_PUP_NAND_AD_2_SHIFT                          5
#define    CHIPREG_NAND_AD_2_PUP_NAND_AD_2_MASK                           0x00000020
#define    CHIPREG_NAND_AD_2_SRC_NAND_AD_2_SHIFT                          4
#define    CHIPREG_NAND_AD_2_SRC_NAND_AD_2_MASK                           0x00000010
#define    CHIPREG_NAND_AD_2_IND_NAND_AD_2_SHIFT                          3
#define    CHIPREG_NAND_AD_2_IND_NAND_AD_2_MASK                           0x00000008
#define    CHIPREG_NAND_AD_2_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_2_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_1_OFFSET                                          0x0000093C
#define CHIPREG_NAND_AD_1_TYPE                                            UInt32
#define CHIPREG_NAND_AD_1_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_1_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_1_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_1_HYS_EN_NAND_AD_1_SHIFT                       7
#define    CHIPREG_NAND_AD_1_HYS_EN_NAND_AD_1_MASK                        0x00000080
#define    CHIPREG_NAND_AD_1_PDN_NAND_AD_1_SHIFT                          6
#define    CHIPREG_NAND_AD_1_PDN_NAND_AD_1_MASK                           0x00000040
#define    CHIPREG_NAND_AD_1_PUP_NAND_AD_1_SHIFT                          5
#define    CHIPREG_NAND_AD_1_PUP_NAND_AD_1_MASK                           0x00000020
#define    CHIPREG_NAND_AD_1_SRC_NAND_AD_1_SHIFT                          4
#define    CHIPREG_NAND_AD_1_SRC_NAND_AD_1_MASK                           0x00000010
#define    CHIPREG_NAND_AD_1_IND_NAND_AD_1_SHIFT                          3
#define    CHIPREG_NAND_AD_1_IND_NAND_AD_1_MASK                           0x00000008
#define    CHIPREG_NAND_AD_1_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_1_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_NAND_AD_0_OFFSET                                          0x00000940
#define CHIPREG_NAND_AD_0_TYPE                                            UInt32
#define CHIPREG_NAND_AD_0_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_NAND_AD_0_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_NAND_AD_0_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_NAND_AD_0_HYS_EN_NAND_AD_0_SHIFT                       7
#define    CHIPREG_NAND_AD_0_HYS_EN_NAND_AD_0_MASK                        0x00000080
#define    CHIPREG_NAND_AD_0_PDN_NAND_AD_0_SHIFT                          6
#define    CHIPREG_NAND_AD_0_PDN_NAND_AD_0_MASK                           0x00000040
#define    CHIPREG_NAND_AD_0_PUP_NAND_AD_0_SHIFT                          5
#define    CHIPREG_NAND_AD_0_PUP_NAND_AD_0_MASK                           0x00000020
#define    CHIPREG_NAND_AD_0_SRC_NAND_AD_0_SHIFT                          4
#define    CHIPREG_NAND_AD_0_SRC_NAND_AD_0_MASK                           0x00000010
#define    CHIPREG_NAND_AD_0_IND_NAND_AD_0_SHIFT                          3
#define    CHIPREG_NAND_AD_0_IND_NAND_AD_0_MASK                           0x00000008
#define    CHIPREG_NAND_AD_0_SEL_2_0_SHIFT                                0
#define    CHIPREG_NAND_AD_0_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_UARTB4_UTXD_OFFSET                                        0x00000944
#define CHIPREG_UARTB4_UTXD_TYPE                                          UInt32
#define CHIPREG_UARTB4_UTXD_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB4_UTXD_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB4_UTXD_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB4_UTXD_HYS_EN_UARTB4_UTXD_SHIFT                   7
#define    CHIPREG_UARTB4_UTXD_HYS_EN_UARTB4_UTXD_MASK                    0x00000080
#define    CHIPREG_UARTB4_UTXD_PDN_UARTB4_UTXD_SHIFT                      6
#define    CHIPREG_UARTB4_UTXD_PDN_UARTB4_UTXD_MASK                       0x00000040
#define    CHIPREG_UARTB4_UTXD_PUP_UARTB4_UTXD_SHIFT                      5
#define    CHIPREG_UARTB4_UTXD_PUP_UARTB4_UTXD_MASK                       0x00000020
#define    CHIPREG_UARTB4_UTXD_SRC_UARTB4_UTXD_SHIFT                      4
#define    CHIPREG_UARTB4_UTXD_SRC_UARTB4_UTXD_MASK                       0x00000010
#define    CHIPREG_UARTB4_UTXD_IND_UARTB4_UTXD_SHIFT                      3
#define    CHIPREG_UARTB4_UTXD_IND_UARTB4_UTXD_MASK                       0x00000008
#define    CHIPREG_UARTB4_UTXD_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB4_UTXD_SEL_2_0_MASK                               0x00000007

#define CHIPREG_UARTB4_URXD_OFFSET                                        0x00000948
#define CHIPREG_UARTB4_URXD_TYPE                                          UInt32
#define CHIPREG_UARTB4_URXD_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB4_URXD_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB4_URXD_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB4_URXD_HYS_EN_UARTB4_URXD_SHIFT                   7
#define    CHIPREG_UARTB4_URXD_HYS_EN_UARTB4_URXD_MASK                    0x00000080
#define    CHIPREG_UARTB4_URXD_PDN_UARTB4_URXD_SHIFT                      6
#define    CHIPREG_UARTB4_URXD_PDN_UARTB4_URXD_MASK                       0x00000040
#define    CHIPREG_UARTB4_URXD_PUP_UARTB4_URXD_SHIFT                      5
#define    CHIPREG_UARTB4_URXD_PUP_UARTB4_URXD_MASK                       0x00000020
#define    CHIPREG_UARTB4_URXD_SRC_UARTB4_URXD_SHIFT                      4
#define    CHIPREG_UARTB4_URXD_SRC_UARTB4_URXD_MASK                       0x00000010
#define    CHIPREG_UARTB4_URXD_IND_UARTB4_URXD_SHIFT                      3
#define    CHIPREG_UARTB4_URXD_IND_UARTB4_URXD_MASK                       0x00000008
#define    CHIPREG_UARTB4_URXD_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB4_URXD_SEL_2_0_MASK                               0x00000007

#define CHIPREG_SDIO2_DATA_3_OFFSET                                       0x0000094C
#define CHIPREG_SDIO2_DATA_3_TYPE                                         UInt32
#define CHIPREG_SDIO2_DATA_3_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO2_DATA_3_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO2_DATA_3_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO2_DATA_3_HYS_EN_SDIO2_DATA_3_SHIFT                 7
#define    CHIPREG_SDIO2_DATA_3_HYS_EN_SDIO2_DATA_3_MASK                  0x00000080
#define    CHIPREG_SDIO2_DATA_3_PDN_SDIO2_DATA_3_SHIFT                    6
#define    CHIPREG_SDIO2_DATA_3_PDN_SDIO2_DATA_3_MASK                     0x00000040
#define    CHIPREG_SDIO2_DATA_3_PUP_SDIO2_DATA_3_SHIFT                    5
#define    CHIPREG_SDIO2_DATA_3_PUP_SDIO2_DATA_3_MASK                     0x00000020
#define    CHIPREG_SDIO2_DATA_3_SRC_SDIO2_DATA_3_SHIFT                    4
#define    CHIPREG_SDIO2_DATA_3_SRC_SDIO2_DATA_3_MASK                     0x00000010
#define    CHIPREG_SDIO2_DATA_3_IND_SDIO2_DATA_3_SHIFT                    3
#define    CHIPREG_SDIO2_DATA_3_IND_SDIO2_DATA_3_MASK                     0x00000008
#define    CHIPREG_SDIO2_DATA_3_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO2_DATA_3_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO2_DATA_2_OFFSET                                       0x00000950
#define CHIPREG_SDIO2_DATA_2_TYPE                                         UInt32
#define CHIPREG_SDIO2_DATA_2_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO2_DATA_2_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO2_DATA_2_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO2_DATA_2_HYS_EN_SDIO2_DATA_2_SHIFT                 7
#define    CHIPREG_SDIO2_DATA_2_HYS_EN_SDIO2_DATA_2_MASK                  0x00000080
#define    CHIPREG_SDIO2_DATA_2_PDN_SDIO2_DATA_2_SHIFT                    6
#define    CHIPREG_SDIO2_DATA_2_PDN_SDIO2_DATA_2_MASK                     0x00000040
#define    CHIPREG_SDIO2_DATA_2_PUP_SDIO2_DATA_2_SHIFT                    5
#define    CHIPREG_SDIO2_DATA_2_PUP_SDIO2_DATA_2_MASK                     0x00000020
#define    CHIPREG_SDIO2_DATA_2_SRC_SDIO2_DATA_2_SHIFT                    4
#define    CHIPREG_SDIO2_DATA_2_SRC_SDIO2_DATA_2_MASK                     0x00000010
#define    CHIPREG_SDIO2_DATA_2_IND_SDIO2_DATA_2_SHIFT                    3
#define    CHIPREG_SDIO2_DATA_2_IND_SDIO2_DATA_2_MASK                     0x00000008
#define    CHIPREG_SDIO2_DATA_2_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO2_DATA_2_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO2_DATA_1_OFFSET                                       0x00000954
#define CHIPREG_SDIO2_DATA_1_TYPE                                         UInt32
#define CHIPREG_SDIO2_DATA_1_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO2_DATA_1_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO2_DATA_1_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO2_DATA_1_HYS_EN_SDIO2_DATA_1_SHIFT                 7
#define    CHIPREG_SDIO2_DATA_1_HYS_EN_SDIO2_DATA_1_MASK                  0x00000080
#define    CHIPREG_SDIO2_DATA_1_PDN_SDIO2_DATA_1_SHIFT                    6
#define    CHIPREG_SDIO2_DATA_1_PDN_SDIO2_DATA_1_MASK                     0x00000040
#define    CHIPREG_SDIO2_DATA_1_PUP_SDIO2_DATA_1_SHIFT                    5
#define    CHIPREG_SDIO2_DATA_1_PUP_SDIO2_DATA_1_MASK                     0x00000020
#define    CHIPREG_SDIO2_DATA_1_SRC_SDIO2_DATA_1_SHIFT                    4
#define    CHIPREG_SDIO2_DATA_1_SRC_SDIO2_DATA_1_MASK                     0x00000010
#define    CHIPREG_SDIO2_DATA_1_IND_SDIO2_DATA_1_SHIFT                    3
#define    CHIPREG_SDIO2_DATA_1_IND_SDIO2_DATA_1_MASK                     0x00000008
#define    CHIPREG_SDIO2_DATA_1_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO2_DATA_1_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO2_DATA_0_OFFSET                                       0x00000958
#define CHIPREG_SDIO2_DATA_0_TYPE                                         UInt32
#define CHIPREG_SDIO2_DATA_0_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO2_DATA_0_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO2_DATA_0_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO2_DATA_0_HYS_EN_SDIO2_DATA_0_SHIFT                 7
#define    CHIPREG_SDIO2_DATA_0_HYS_EN_SDIO2_DATA_0_MASK                  0x00000080
#define    CHIPREG_SDIO2_DATA_0_PDN_SDIO2_DATA_0_SHIFT                    6
#define    CHIPREG_SDIO2_DATA_0_PDN_SDIO2_DATA_0_MASK                     0x00000040
#define    CHIPREG_SDIO2_DATA_0_PUP_SDIO2_DATA_0_SHIFT                    5
#define    CHIPREG_SDIO2_DATA_0_PUP_SDIO2_DATA_0_MASK                     0x00000020
#define    CHIPREG_SDIO2_DATA_0_SRC_SDIO2_DATA_0_SHIFT                    4
#define    CHIPREG_SDIO2_DATA_0_SRC_SDIO2_DATA_0_MASK                     0x00000010
#define    CHIPREG_SDIO2_DATA_0_IND_SDIO2_DATA_0_SHIFT                    3
#define    CHIPREG_SDIO2_DATA_0_IND_SDIO2_DATA_0_MASK                     0x00000008
#define    CHIPREG_SDIO2_DATA_0_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO2_DATA_0_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO2_CMD_OFFSET                                          0x0000095C
#define CHIPREG_SDIO2_CMD_TYPE                                            UInt32
#define CHIPREG_SDIO2_CMD_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SDIO2_CMD_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SDIO2_CMD_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SDIO2_CMD_HYS_EN_SDIO2_CMD_SHIFT                       7
#define    CHIPREG_SDIO2_CMD_HYS_EN_SDIO2_CMD_MASK                        0x00000080
#define    CHIPREG_SDIO2_CMD_PDN_SDIO2_CMD_SHIFT                          6
#define    CHIPREG_SDIO2_CMD_PDN_SDIO2_CMD_MASK                           0x00000040
#define    CHIPREG_SDIO2_CMD_PUP_SDIO2_CMD_SHIFT                          5
#define    CHIPREG_SDIO2_CMD_PUP_SDIO2_CMD_MASK                           0x00000020
#define    CHIPREG_SDIO2_CMD_SRC_SDIO2_CMD_SHIFT                          4
#define    CHIPREG_SDIO2_CMD_SRC_SDIO2_CMD_MASK                           0x00000010
#define    CHIPREG_SDIO2_CMD_IND_SDIO2_CMD_SHIFT                          3
#define    CHIPREG_SDIO2_CMD_IND_SDIO2_CMD_MASK                           0x00000008
#define    CHIPREG_SDIO2_CMD_SEL_2_0_SHIFT                                0
#define    CHIPREG_SDIO2_CMD_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SDIO2_CLK_OFFSET                                          0x00000960
#define CHIPREG_SDIO2_CLK_TYPE                                            UInt32
#define CHIPREG_SDIO2_CLK_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SDIO2_CLK_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SDIO2_CLK_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SDIO2_CLK_HYS_EN_SDIO2_CLK_SHIFT                       7
#define    CHIPREG_SDIO2_CLK_HYS_EN_SDIO2_CLK_MASK                        0x00000080
#define    CHIPREG_SDIO2_CLK_PDN_SDIO2_CLK_SHIFT                          6
#define    CHIPREG_SDIO2_CLK_PDN_SDIO2_CLK_MASK                           0x00000040
#define    CHIPREG_SDIO2_CLK_PUP_SDIO2_CLK_SHIFT                          5
#define    CHIPREG_SDIO2_CLK_PUP_SDIO2_CLK_MASK                           0x00000020
#define    CHIPREG_SDIO2_CLK_SRC_SDIO2_CLK_SHIFT                          4
#define    CHIPREG_SDIO2_CLK_SRC_SDIO2_CLK_MASK                           0x00000010
#define    CHIPREG_SDIO2_CLK_IND_SDIO2_CLK_SHIFT                          3
#define    CHIPREG_SDIO2_CLK_IND_SDIO2_CLK_MASK                           0x00000008
#define    CHIPREG_SDIO2_CLK_SEL_2_0_SHIFT                                0
#define    CHIPREG_SDIO2_CLK_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SDIO3_DATA_3_OFFSET                                       0x00000964
#define CHIPREG_SDIO3_DATA_3_TYPE                                         UInt32
#define CHIPREG_SDIO3_DATA_3_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO3_DATA_3_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO3_DATA_3_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO3_DATA_3_HYS_EN_SDIO3_DATA_3_SHIFT                 7
#define    CHIPREG_SDIO3_DATA_3_HYS_EN_SDIO3_DATA_3_MASK                  0x00000080
#define    CHIPREG_SDIO3_DATA_3_PDN_SDIO3_DATA_3_SHIFT                    6
#define    CHIPREG_SDIO3_DATA_3_PDN_SDIO3_DATA_3_MASK                     0x00000040
#define    CHIPREG_SDIO3_DATA_3_PUP_SDIO3_DATA_3_SHIFT                    5
#define    CHIPREG_SDIO3_DATA_3_PUP_SDIO3_DATA_3_MASK                     0x00000020
#define    CHIPREG_SDIO3_DATA_3_SRC_SDIO3_DATA_3_SHIFT                    4
#define    CHIPREG_SDIO3_DATA_3_SRC_SDIO3_DATA_3_MASK                     0x00000010
#define    CHIPREG_SDIO3_DATA_3_IND_SDIO3_DATA_3_SHIFT                    3
#define    CHIPREG_SDIO3_DATA_3_IND_SDIO3_DATA_3_MASK                     0x00000008
#define    CHIPREG_SDIO3_DATA_3_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO3_DATA_3_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO3_DATA_2_OFFSET                                       0x00000968
#define CHIPREG_SDIO3_DATA_2_TYPE                                         UInt32
#define CHIPREG_SDIO3_DATA_2_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO3_DATA_2_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO3_DATA_2_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO3_DATA_2_HYS_EN_SDIO3_DATA_2_SHIFT                 7
#define    CHIPREG_SDIO3_DATA_2_HYS_EN_SDIO3_DATA_2_MASK                  0x00000080
#define    CHIPREG_SDIO3_DATA_2_PDN_SDIO3_DATA_2_SHIFT                    6
#define    CHIPREG_SDIO3_DATA_2_PDN_SDIO3_DATA_2_MASK                     0x00000040
#define    CHIPREG_SDIO3_DATA_2_PUP_SDIO3_DATA_2_SHIFT                    5
#define    CHIPREG_SDIO3_DATA_2_PUP_SDIO3_DATA_2_MASK                     0x00000020
#define    CHIPREG_SDIO3_DATA_2_SRC_SDIO3_DATA_2_SHIFT                    4
#define    CHIPREG_SDIO3_DATA_2_SRC_SDIO3_DATA_2_MASK                     0x00000010
#define    CHIPREG_SDIO3_DATA_2_IND_SDIO3_DATA_2_SHIFT                    3
#define    CHIPREG_SDIO3_DATA_2_IND_SDIO3_DATA_2_MASK                     0x00000008
#define    CHIPREG_SDIO3_DATA_2_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO3_DATA_2_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO3_DATA_1_OFFSET                                       0x0000096C
#define CHIPREG_SDIO3_DATA_1_TYPE                                         UInt32
#define CHIPREG_SDIO3_DATA_1_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO3_DATA_1_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO3_DATA_1_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO3_DATA_1_HYS_EN_SDIO3_DATA_1_SHIFT                 7
#define    CHIPREG_SDIO3_DATA_1_HYS_EN_SDIO3_DATA_1_MASK                  0x00000080
#define    CHIPREG_SDIO3_DATA_1_PDN_SDIO3_DATA_1_SHIFT                    6
#define    CHIPREG_SDIO3_DATA_1_PDN_SDIO3_DATA_1_MASK                     0x00000040
#define    CHIPREG_SDIO3_DATA_1_PUP_SDIO3_DATA_1_SHIFT                    5
#define    CHIPREG_SDIO3_DATA_1_PUP_SDIO3_DATA_1_MASK                     0x00000020
#define    CHIPREG_SDIO3_DATA_1_SRC_SDIO3_DATA_1_SHIFT                    4
#define    CHIPREG_SDIO3_DATA_1_SRC_SDIO3_DATA_1_MASK                     0x00000010
#define    CHIPREG_SDIO3_DATA_1_IND_SDIO3_DATA_1_SHIFT                    3
#define    CHIPREG_SDIO3_DATA_1_IND_SDIO3_DATA_1_MASK                     0x00000008
#define    CHIPREG_SDIO3_DATA_1_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO3_DATA_1_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO3_DATA_0_OFFSET                                       0x00000970
#define CHIPREG_SDIO3_DATA_0_TYPE                                         UInt32
#define CHIPREG_SDIO3_DATA_0_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_SDIO3_DATA_0_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_SDIO3_DATA_0_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_SDIO3_DATA_0_HYS_EN_SDIO3_DATA_0_SHIFT                 7
#define    CHIPREG_SDIO3_DATA_0_HYS_EN_SDIO3_DATA_0_MASK                  0x00000080
#define    CHIPREG_SDIO3_DATA_0_PDN_SDIO3_DATA_0_SHIFT                    6
#define    CHIPREG_SDIO3_DATA_0_PDN_SDIO3_DATA_0_MASK                     0x00000040
#define    CHIPREG_SDIO3_DATA_0_PUP_SDIO3_DATA_0_SHIFT                    5
#define    CHIPREG_SDIO3_DATA_0_PUP_SDIO3_DATA_0_MASK                     0x00000020
#define    CHIPREG_SDIO3_DATA_0_SRC_SDIO3_DATA_0_SHIFT                    4
#define    CHIPREG_SDIO3_DATA_0_SRC_SDIO3_DATA_0_MASK                     0x00000010
#define    CHIPREG_SDIO3_DATA_0_IND_SDIO3_DATA_0_SHIFT                    3
#define    CHIPREG_SDIO3_DATA_0_IND_SDIO3_DATA_0_MASK                     0x00000008
#define    CHIPREG_SDIO3_DATA_0_SEL_2_0_SHIFT                             0
#define    CHIPREG_SDIO3_DATA_0_SEL_2_0_MASK                              0x00000007

#define CHIPREG_SDIO3_CMD_OFFSET                                          0x00000974
#define CHIPREG_SDIO3_CMD_TYPE                                            UInt32
#define CHIPREG_SDIO3_CMD_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SDIO3_CMD_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SDIO3_CMD_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SDIO3_CMD_HYS_EN_SDIO3_CMD_SHIFT                       7
#define    CHIPREG_SDIO3_CMD_HYS_EN_SDIO3_CMD_MASK                        0x00000080
#define    CHIPREG_SDIO3_CMD_PDN_SDIO3_CMD_SHIFT                          6
#define    CHIPREG_SDIO3_CMD_PDN_SDIO3_CMD_MASK                           0x00000040
#define    CHIPREG_SDIO3_CMD_PUP_SDIO3_CMD_SHIFT                          5
#define    CHIPREG_SDIO3_CMD_PUP_SDIO3_CMD_MASK                           0x00000020
#define    CHIPREG_SDIO3_CMD_SRC_SDIO3_CMD_SHIFT                          4
#define    CHIPREG_SDIO3_CMD_SRC_SDIO3_CMD_MASK                           0x00000010
#define    CHIPREG_SDIO3_CMD_IND_SDIO3_CMD_SHIFT                          3
#define    CHIPREG_SDIO3_CMD_IND_SDIO3_CMD_MASK                           0x00000008
#define    CHIPREG_SDIO3_CMD_SEL_2_0_SHIFT                                0
#define    CHIPREG_SDIO3_CMD_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SDIO3_CLK_OFFSET                                          0x00000978
#define CHIPREG_SDIO3_CLK_TYPE                                            UInt32
#define CHIPREG_SDIO3_CLK_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SDIO3_CLK_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SDIO3_CLK_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SDIO3_CLK_HYS_EN_SDIO3_CLK_SHIFT                       7
#define    CHIPREG_SDIO3_CLK_HYS_EN_SDIO3_CLK_MASK                        0x00000080
#define    CHIPREG_SDIO3_CLK_PDN_SDIO3_CLK_SHIFT                          6
#define    CHIPREG_SDIO3_CLK_PDN_SDIO3_CLK_MASK                           0x00000040
#define    CHIPREG_SDIO3_CLK_PUP_SDIO3_CLK_SHIFT                          5
#define    CHIPREG_SDIO3_CLK_PUP_SDIO3_CLK_MASK                           0x00000020
#define    CHIPREG_SDIO3_CLK_SRC_SDIO3_CLK_SHIFT                          4
#define    CHIPREG_SDIO3_CLK_SRC_SDIO3_CLK_MASK                           0x00000010
#define    CHIPREG_SDIO3_CLK_IND_SDIO3_CLK_SHIFT                          3
#define    CHIPREG_SDIO3_CLK_IND_SDIO3_CLK_MASK                           0x00000008
#define    CHIPREG_SDIO3_CLK_SEL_2_0_SHIFT                                0
#define    CHIPREG_SDIO3_CLK_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SSP0_FS_OFFSET                                            0x0000097C
#define CHIPREG_SSP0_FS_TYPE                                              UInt32
#define CHIPREG_SSP0_FS_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_SSP0_FS_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_SSP0_FS_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_SSP0_FS_HYS_EN_SSP0_FS_SHIFT                           7
#define    CHIPREG_SSP0_FS_HYS_EN_SSP0_FS_MASK                            0x00000080
#define    CHIPREG_SSP0_FS_PDN_SSP0_FS_SHIFT                              6
#define    CHIPREG_SSP0_FS_PDN_SSP0_FS_MASK                               0x00000040
#define    CHIPREG_SSP0_FS_PUP_SSP0_FS_SHIFT                              5
#define    CHIPREG_SSP0_FS_PUP_SSP0_FS_MASK                               0x00000020
#define    CHIPREG_SSP0_FS_SRC_SSP0_FS_SHIFT                              4
#define    CHIPREG_SSP0_FS_SRC_SSP0_FS_MASK                               0x00000010
#define    CHIPREG_SSP0_FS_IND_SSP0_FS_SHIFT                              3
#define    CHIPREG_SSP0_FS_IND_SSP0_FS_MASK                               0x00000008
#define    CHIPREG_SSP0_FS_SEL_2_0_SHIFT                                  0
#define    CHIPREG_SSP0_FS_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SSP0_CLK_OFFSET                                           0x00000980
#define CHIPREG_SSP0_CLK_TYPE                                             UInt32
#define CHIPREG_SSP0_CLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP0_CLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP0_CLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP0_CLK_HYS_EN_SSP0_CLK_SHIFT                         7
#define    CHIPREG_SSP0_CLK_HYS_EN_SSP0_CLK_MASK                          0x00000080
#define    CHIPREG_SSP0_CLK_PDN_SSP0_CLK_SHIFT                            6
#define    CHIPREG_SSP0_CLK_PDN_SSP0_CLK_MASK                             0x00000040
#define    CHIPREG_SSP0_CLK_PUP_SSP0_CLK_SHIFT                            5
#define    CHIPREG_SSP0_CLK_PUP_SSP0_CLK_MASK                             0x00000020
#define    CHIPREG_SSP0_CLK_SRC_SSP0_CLK_SHIFT                            4
#define    CHIPREG_SSP0_CLK_SRC_SSP0_CLK_MASK                             0x00000010
#define    CHIPREG_SSP0_CLK_IND_SSP0_CLK_SHIFT                            3
#define    CHIPREG_SSP0_CLK_IND_SSP0_CLK_MASK                             0x00000008
#define    CHIPREG_SSP0_CLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP0_CLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP0_RXD_OFFSET                                           0x00000984
#define CHIPREG_SSP0_RXD_TYPE                                             UInt32
#define CHIPREG_SSP0_RXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP0_RXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP0_RXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP0_RXD_HYS_EN_SSP0_RXD_SHIFT                         7
#define    CHIPREG_SSP0_RXD_HYS_EN_SSP0_RXD_MASK                          0x00000080
#define    CHIPREG_SSP0_RXD_PDN_SSP0_RXD_SHIFT                            6
#define    CHIPREG_SSP0_RXD_PDN_SSP0_RXD_MASK                             0x00000040
#define    CHIPREG_SSP0_RXD_PUP_SSP0_RXD_SHIFT                            5
#define    CHIPREG_SSP0_RXD_PUP_SSP0_RXD_MASK                             0x00000020
#define    CHIPREG_SSP0_RXD_SRC_SSP0_RXD_SHIFT                            4
#define    CHIPREG_SSP0_RXD_SRC_SSP0_RXD_MASK                             0x00000010
#define    CHIPREG_SSP0_RXD_IND_SSP0_RXD_SHIFT                            3
#define    CHIPREG_SSP0_RXD_IND_SSP0_RXD_MASK                             0x00000008
#define    CHIPREG_SSP0_RXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP0_RXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP0_TXD_OFFSET                                           0x00000988
#define CHIPREG_SSP0_TXD_TYPE                                             UInt32
#define CHIPREG_SSP0_TXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP0_TXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP0_TXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP0_TXD_HYS_EN_SSP0_TXD_SHIFT                         7
#define    CHIPREG_SSP0_TXD_HYS_EN_SSP0_TXD_MASK                          0x00000080
#define    CHIPREG_SSP0_TXD_PDN_SSP0_TXD_SHIFT                            6
#define    CHIPREG_SSP0_TXD_PDN_SSP0_TXD_MASK                             0x00000040
#define    CHIPREG_SSP0_TXD_PUP_SSP0_TXD_SHIFT                            5
#define    CHIPREG_SSP0_TXD_PUP_SSP0_TXD_MASK                             0x00000020
#define    CHIPREG_SSP0_TXD_SRC_SSP0_TXD_SHIFT                            4
#define    CHIPREG_SSP0_TXD_SRC_SSP0_TXD_MASK                             0x00000010
#define    CHIPREG_SSP0_TXD_IND_SSP0_TXD_SHIFT                            3
#define    CHIPREG_SSP0_TXD_IND_SSP0_TXD_MASK                             0x00000008
#define    CHIPREG_SSP0_TXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP0_TXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP1_FS_OFFSET                                            0x0000098C
#define CHIPREG_SSP1_FS_TYPE                                              UInt32
#define CHIPREG_SSP1_FS_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_SSP1_FS_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_SSP1_FS_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_SSP1_FS_HYS_EN_SSP1_FS_SHIFT                           7
#define    CHIPREG_SSP1_FS_HYS_EN_SSP1_FS_MASK                            0x00000080
#define    CHIPREG_SSP1_FS_PDN_SSP1_FS_SHIFT                              6
#define    CHIPREG_SSP1_FS_PDN_SSP1_FS_MASK                               0x00000040
#define    CHIPREG_SSP1_FS_PUP_SSP1_FS_SHIFT                              5
#define    CHIPREG_SSP1_FS_PUP_SSP1_FS_MASK                               0x00000020
#define    CHIPREG_SSP1_FS_SRC_SSP1_FS_SHIFT                              4
#define    CHIPREG_SSP1_FS_SRC_SSP1_FS_MASK                               0x00000010
#define    CHIPREG_SSP1_FS_IND_SSP1_FS_SHIFT                              3
#define    CHIPREG_SSP1_FS_IND_SSP1_FS_MASK                               0x00000008
#define    CHIPREG_SSP1_FS_SEL_2_0_SHIFT                                  0
#define    CHIPREG_SSP1_FS_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SSP1_CLK_OFFSET                                           0x00000990
#define CHIPREG_SSP1_CLK_TYPE                                             UInt32
#define CHIPREG_SSP1_CLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP1_CLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP1_CLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP1_CLK_HYS_EN_SSP1_CLK_SHIFT                         7
#define    CHIPREG_SSP1_CLK_HYS_EN_SSP1_CLK_MASK                          0x00000080
#define    CHIPREG_SSP1_CLK_PDN_SSP1_CLK_SHIFT                            6
#define    CHIPREG_SSP1_CLK_PDN_SSP1_CLK_MASK                             0x00000040
#define    CHIPREG_SSP1_CLK_PUP_SSP1_CLK_SHIFT                            5
#define    CHIPREG_SSP1_CLK_PUP_SSP1_CLK_MASK                             0x00000020
#define    CHIPREG_SSP1_CLK_SRC_SSP1_CLK_SHIFT                            4
#define    CHIPREG_SSP1_CLK_SRC_SSP1_CLK_MASK                             0x00000010
#define    CHIPREG_SSP1_CLK_IND_SSP1_CLK_SHIFT                            3
#define    CHIPREG_SSP1_CLK_IND_SSP1_CLK_MASK                             0x00000008
#define    CHIPREG_SSP1_CLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP1_CLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP1_RXD_OFFSET                                           0x00000994
#define CHIPREG_SSP1_RXD_TYPE                                             UInt32
#define CHIPREG_SSP1_RXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP1_RXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP1_RXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP1_RXD_HYS_EN_SSP1_RXD_SHIFT                         7
#define    CHIPREG_SSP1_RXD_HYS_EN_SSP1_RXD_MASK                          0x00000080
#define    CHIPREG_SSP1_RXD_PDN_SSP1_RXD_SHIFT                            6
#define    CHIPREG_SSP1_RXD_PDN_SSP1_RXD_MASK                             0x00000040
#define    CHIPREG_SSP1_RXD_PUP_SSP1_RXD_SHIFT                            5
#define    CHIPREG_SSP1_RXD_PUP_SSP1_RXD_MASK                             0x00000020
#define    CHIPREG_SSP1_RXD_SRC_SSP1_RXD_SHIFT                            4
#define    CHIPREG_SSP1_RXD_SRC_SSP1_RXD_MASK                             0x00000010
#define    CHIPREG_SSP1_RXD_IND_SSP1_RXD_SHIFT                            3
#define    CHIPREG_SSP1_RXD_IND_SSP1_RXD_MASK                             0x00000008
#define    CHIPREG_SSP1_RXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP1_RXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP1_TXD_OFFSET                                           0x00000998
#define CHIPREG_SSP1_TXD_TYPE                                             UInt32
#define CHIPREG_SSP1_TXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP1_TXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP1_TXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP1_TXD_HYS_EN_SSP1_TXD_SHIFT                         7
#define    CHIPREG_SSP1_TXD_HYS_EN_SSP1_TXD_MASK                          0x00000080
#define    CHIPREG_SSP1_TXD_PDN_SSP1_TXD_SHIFT                            6
#define    CHIPREG_SSP1_TXD_PDN_SSP1_TXD_MASK                             0x00000040
#define    CHIPREG_SSP1_TXD_PUP_SSP1_TXD_SHIFT                            5
#define    CHIPREG_SSP1_TXD_PUP_SSP1_TXD_MASK                             0x00000020
#define    CHIPREG_SSP1_TXD_SRC_SSP1_TXD_SHIFT                            4
#define    CHIPREG_SSP1_TXD_SRC_SSP1_TXD_MASK                             0x00000010
#define    CHIPREG_SSP1_TXD_IND_SSP1_TXD_SHIFT                            3
#define    CHIPREG_SSP1_TXD_IND_SSP1_TXD_MASK                             0x00000008
#define    CHIPREG_SSP1_TXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP1_TXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP2_FS_0_OFFSET                                          0x0000099C
#define CHIPREG_SSP2_FS_0_TYPE                                            UInt32
#define CHIPREG_SSP2_FS_0_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SSP2_FS_0_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SSP2_FS_0_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SSP2_FS_0_HYS_EN_SSP2_FS_0_SHIFT                       7
#define    CHIPREG_SSP2_FS_0_HYS_EN_SSP2_FS_0_MASK                        0x00000080
#define    CHIPREG_SSP2_FS_0_PDN_SSP2_FS_0_SHIFT                          6
#define    CHIPREG_SSP2_FS_0_PDN_SSP2_FS_0_MASK                           0x00000040
#define    CHIPREG_SSP2_FS_0_PUP_SSP2_FS_0_SHIFT                          5
#define    CHIPREG_SSP2_FS_0_PUP_SSP2_FS_0_MASK                           0x00000020
#define    CHIPREG_SSP2_FS_0_SRC_SSP2_FS_0_SHIFT                          4
#define    CHIPREG_SSP2_FS_0_SRC_SSP2_FS_0_MASK                           0x00000010
#define    CHIPREG_SSP2_FS_0_IND_SSP2_FS_0_SHIFT                          3
#define    CHIPREG_SSP2_FS_0_IND_SSP2_FS_0_MASK                           0x00000008
#define    CHIPREG_SSP2_FS_0_SEL_2_0_SHIFT                                0
#define    CHIPREG_SSP2_FS_0_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SSP2_CLK_OFFSET                                           0x000009A0
#define CHIPREG_SSP2_CLK_TYPE                                             UInt32
#define CHIPREG_SSP2_CLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP2_CLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP2_CLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP2_CLK_HYS_EN_SSP2_CLK_SHIFT                         7
#define    CHIPREG_SSP2_CLK_HYS_EN_SSP2_CLK_MASK                          0x00000080
#define    CHIPREG_SSP2_CLK_PDN_SSP2_CLK_SHIFT                            6
#define    CHIPREG_SSP2_CLK_PDN_SSP2_CLK_MASK                             0x00000040
#define    CHIPREG_SSP2_CLK_PUP_SSP2_CLK_SHIFT                            5
#define    CHIPREG_SSP2_CLK_PUP_SSP2_CLK_MASK                             0x00000020
#define    CHIPREG_SSP2_CLK_SRC_SSP2_CLK_SHIFT                            4
#define    CHIPREG_SSP2_CLK_SRC_SSP2_CLK_MASK                             0x00000010
#define    CHIPREG_SSP2_CLK_IND_SSP2_CLK_SHIFT                            3
#define    CHIPREG_SSP2_CLK_IND_SSP2_CLK_MASK                             0x00000008
#define    CHIPREG_SSP2_CLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP2_CLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP2_RXD_0_OFFSET                                         0x000009A4
#define CHIPREG_SSP2_RXD_0_TYPE                                           UInt32
#define CHIPREG_SSP2_RXD_0_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_SSP2_RXD_0_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_SSP2_RXD_0_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_SSP2_RXD_0_HYS_EN_SSP2_RXD_0_SHIFT                     7
#define    CHIPREG_SSP2_RXD_0_HYS_EN_SSP2_RXD_0_MASK                      0x00000080
#define    CHIPREG_SSP2_RXD_0_PDN_SSP2_RXD_0_SHIFT                        6
#define    CHIPREG_SSP2_RXD_0_PDN_SSP2_RXD_0_MASK                         0x00000040
#define    CHIPREG_SSP2_RXD_0_PUP_SSP2_RXD_0_SHIFT                        5
#define    CHIPREG_SSP2_RXD_0_PUP_SSP2_RXD_0_MASK                         0x00000020
#define    CHIPREG_SSP2_RXD_0_SRC_SSP2_RXD_0_SHIFT                        4
#define    CHIPREG_SSP2_RXD_0_SRC_SSP2_RXD_0_MASK                         0x00000010
#define    CHIPREG_SSP2_RXD_0_IND_SSP2_RXD_0_SHIFT                        3
#define    CHIPREG_SSP2_RXD_0_IND_SSP2_RXD_0_MASK                         0x00000008
#define    CHIPREG_SSP2_RXD_0_SEL_2_0_SHIFT                               0
#define    CHIPREG_SSP2_RXD_0_SEL_2_0_MASK                                0x00000007

#define CHIPREG_SSP2_TXD_0_OFFSET                                         0x000009A8
#define CHIPREG_SSP2_TXD_0_TYPE                                           UInt32
#define CHIPREG_SSP2_TXD_0_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_SSP2_TXD_0_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_SSP2_TXD_0_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_SSP2_TXD_0_HYS_EN_SSP2_TXD_0_SHIFT                     7
#define    CHIPREG_SSP2_TXD_0_HYS_EN_SSP2_TXD_0_MASK                      0x00000080
#define    CHIPREG_SSP2_TXD_0_PDN_SSP2_TXD_0_SHIFT                        6
#define    CHIPREG_SSP2_TXD_0_PDN_SSP2_TXD_0_MASK                         0x00000040
#define    CHIPREG_SSP2_TXD_0_PUP_SSP2_TXD_0_SHIFT                        5
#define    CHIPREG_SSP2_TXD_0_PUP_SSP2_TXD_0_MASK                         0x00000020
#define    CHIPREG_SSP2_TXD_0_SRC_SSP2_TXD_0_SHIFT                        4
#define    CHIPREG_SSP2_TXD_0_SRC_SSP2_TXD_0_MASK                         0x00000010
#define    CHIPREG_SSP2_TXD_0_IND_SSP2_TXD_0_SHIFT                        3
#define    CHIPREG_SSP2_TXD_0_IND_SSP2_TXD_0_MASK                         0x00000008
#define    CHIPREG_SSP2_TXD_0_SEL_2_0_SHIFT                               0
#define    CHIPREG_SSP2_TXD_0_SEL_2_0_MASK                                0x00000007

#define CHIPREG_SSP2_FS_1_OFFSET                                          0x000009AC
#define CHIPREG_SSP2_FS_1_TYPE                                            UInt32
#define CHIPREG_SSP2_FS_1_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SSP2_FS_1_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SSP2_FS_1_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SSP2_FS_1_HYS_EN_SSP2_FS_1_SHIFT                       7
#define    CHIPREG_SSP2_FS_1_HYS_EN_SSP2_FS_1_MASK                        0x00000080
#define    CHIPREG_SSP2_FS_1_PDN_SSP2_FS_1_SHIFT                          6
#define    CHIPREG_SSP2_FS_1_PDN_SSP2_FS_1_MASK                           0x00000040
#define    CHIPREG_SSP2_FS_1_PUP_SSP2_FS_1_SHIFT                          5
#define    CHIPREG_SSP2_FS_1_PUP_SSP2_FS_1_MASK                           0x00000020
#define    CHIPREG_SSP2_FS_1_SRC_SSP2_FS_1_SHIFT                          4
#define    CHIPREG_SSP2_FS_1_SRC_SSP2_FS_1_MASK                           0x00000010
#define    CHIPREG_SSP2_FS_1_IND_SSP2_FS_1_SHIFT                          3
#define    CHIPREG_SSP2_FS_1_IND_SSP2_FS_1_MASK                           0x00000008
#define    CHIPREG_SSP2_FS_1_SEL_2_0_SHIFT                                0
#define    CHIPREG_SSP2_FS_1_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SSP2_RXD_1_OFFSET                                         0x000009B0
#define CHIPREG_SSP2_RXD_1_TYPE                                           UInt32
#define CHIPREG_SSP2_RXD_1_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_SSP2_RXD_1_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_SSP2_RXD_1_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_SSP2_RXD_1_HYS_EN_SSP2_RXD_1_SHIFT                     7
#define    CHIPREG_SSP2_RXD_1_HYS_EN_SSP2_RXD_1_MASK                      0x00000080
#define    CHIPREG_SSP2_RXD_1_PDN_SSP2_RXD_1_SHIFT                        6
#define    CHIPREG_SSP2_RXD_1_PDN_SSP2_RXD_1_MASK                         0x00000040
#define    CHIPREG_SSP2_RXD_1_PUP_SSP2_RXD_1_SHIFT                        5
#define    CHIPREG_SSP2_RXD_1_PUP_SSP2_RXD_1_MASK                         0x00000020
#define    CHIPREG_SSP2_RXD_1_SRC_SSP2_RXD_1_SHIFT                        4
#define    CHIPREG_SSP2_RXD_1_SRC_SSP2_RXD_1_MASK                         0x00000010
#define    CHIPREG_SSP2_RXD_1_IND_SSP2_RXD_1_SHIFT                        3
#define    CHIPREG_SSP2_RXD_1_IND_SSP2_RXD_1_MASK                         0x00000008
#define    CHIPREG_SSP2_RXD_1_SEL_2_0_SHIFT                               0
#define    CHIPREG_SSP2_RXD_1_SEL_2_0_MASK                                0x00000007

#define CHIPREG_SSP2_TXD_1_OFFSET                                         0x000009B4
#define CHIPREG_SSP2_TXD_1_TYPE                                           UInt32
#define CHIPREG_SSP2_TXD_1_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_SSP2_TXD_1_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_SSP2_TXD_1_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_SSP2_TXD_1_HYS_EN_SSP2_TXD_1_SHIFT                     7
#define    CHIPREG_SSP2_TXD_1_HYS_EN_SSP2_TXD_1_MASK                      0x00000080
#define    CHIPREG_SSP2_TXD_1_PDN_SSP2_TXD_1_SHIFT                        6
#define    CHIPREG_SSP2_TXD_1_PDN_SSP2_TXD_1_MASK                         0x00000040
#define    CHIPREG_SSP2_TXD_1_PUP_SSP2_TXD_1_SHIFT                        5
#define    CHIPREG_SSP2_TXD_1_PUP_SSP2_TXD_1_MASK                         0x00000020
#define    CHIPREG_SSP2_TXD_1_SRC_SSP2_TXD_1_SHIFT                        4
#define    CHIPREG_SSP2_TXD_1_SRC_SSP2_TXD_1_MASK                         0x00000010
#define    CHIPREG_SSP2_TXD_1_IND_SSP2_TXD_1_SHIFT                        3
#define    CHIPREG_SSP2_TXD_1_IND_SSP2_TXD_1_MASK                         0x00000008
#define    CHIPREG_SSP2_TXD_1_SEL_2_0_SHIFT                               0
#define    CHIPREG_SSP2_TXD_1_SEL_2_0_MASK                                0x00000007

#define CHIPREG_SSP2_FS_2_OFFSET                                          0x000009B8
#define CHIPREG_SSP2_FS_2_TYPE                                            UInt32
#define CHIPREG_SSP2_FS_2_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_SSP2_FS_2_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_SSP2_FS_2_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_SSP2_FS_2_HYS_EN_SSP2_FS_2_SHIFT                       7
#define    CHIPREG_SSP2_FS_2_HYS_EN_SSP2_FS_2_MASK                        0x00000080
#define    CHIPREG_SSP2_FS_2_PDN_SSP2_FS_2_SHIFT                          6
#define    CHIPREG_SSP2_FS_2_PDN_SSP2_FS_2_MASK                           0x00000040
#define    CHIPREG_SSP2_FS_2_PUP_SSP2_FS_2_SHIFT                          5
#define    CHIPREG_SSP2_FS_2_PUP_SSP2_FS_2_MASK                           0x00000020
#define    CHIPREG_SSP2_FS_2_SRC_SSP2_FS_2_SHIFT                          4
#define    CHIPREG_SSP2_FS_2_SRC_SSP2_FS_2_MASK                           0x00000010
#define    CHIPREG_SSP2_FS_2_IND_SSP2_FS_2_SHIFT                          3
#define    CHIPREG_SSP2_FS_2_IND_SSP2_FS_2_MASK                           0x00000008
#define    CHIPREG_SSP2_FS_2_SEL_2_0_SHIFT                                0
#define    CHIPREG_SSP2_FS_2_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_SSP3_FS_OFFSET                                            0x000009BC
#define CHIPREG_SSP3_FS_TYPE                                              UInt32
#define CHIPREG_SSP3_FS_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_SSP3_FS_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_SSP3_FS_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_SSP3_FS_HYS_EN_SSP3_FS_SHIFT                           7
#define    CHIPREG_SSP3_FS_HYS_EN_SSP3_FS_MASK                            0x00000080
#define    CHIPREG_SSP3_FS_PDN_SSP3_FS_SHIFT                              6
#define    CHIPREG_SSP3_FS_PDN_SSP3_FS_MASK                               0x00000040
#define    CHIPREG_SSP3_FS_PUP_SSP3_FS_SHIFT                              5
#define    CHIPREG_SSP3_FS_PUP_SSP3_FS_MASK                               0x00000020
#define    CHIPREG_SSP3_FS_SRC_SSP3_FS_SHIFT                              4
#define    CHIPREG_SSP3_FS_SRC_SSP3_FS_MASK                               0x00000010
#define    CHIPREG_SSP3_FS_IND_SSP3_FS_SHIFT                              3
#define    CHIPREG_SSP3_FS_IND_SSP3_FS_MASK                               0x00000008
#define    CHIPREG_SSP3_FS_SEL_2_0_SHIFT                                  0
#define    CHIPREG_SSP3_FS_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SSP3_CLK_OFFSET                                           0x000009C0
#define CHIPREG_SSP3_CLK_TYPE                                             UInt32
#define CHIPREG_SSP3_CLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP3_CLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP3_CLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP3_CLK_HYS_EN_SSP3_CLK_SHIFT                         7
#define    CHIPREG_SSP3_CLK_HYS_EN_SSP3_CLK_MASK                          0x00000080
#define    CHIPREG_SSP3_CLK_PDN_SSP3_CLK_SHIFT                            6
#define    CHIPREG_SSP3_CLK_PDN_SSP3_CLK_MASK                             0x00000040
#define    CHIPREG_SSP3_CLK_PUP_SSP3_CLK_SHIFT                            5
#define    CHIPREG_SSP3_CLK_PUP_SSP3_CLK_MASK                             0x00000020
#define    CHIPREG_SSP3_CLK_SRC_SSP3_CLK_SHIFT                            4
#define    CHIPREG_SSP3_CLK_SRC_SSP3_CLK_MASK                             0x00000010
#define    CHIPREG_SSP3_CLK_IND_SSP3_CLK_SHIFT                            3
#define    CHIPREG_SSP3_CLK_IND_SSP3_CLK_MASK                             0x00000008
#define    CHIPREG_SSP3_CLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP3_CLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP3_RXD_OFFSET                                           0x000009C4
#define CHIPREG_SSP3_RXD_TYPE                                             UInt32
#define CHIPREG_SSP3_RXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP3_RXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP3_RXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP3_RXD_HYS_EN_SSP3_RXD_SHIFT                         7
#define    CHIPREG_SSP3_RXD_HYS_EN_SSP3_RXD_MASK                          0x00000080
#define    CHIPREG_SSP3_RXD_PDN_SSP3_RXD_SHIFT                            6
#define    CHIPREG_SSP3_RXD_PDN_SSP3_RXD_MASK                             0x00000040
#define    CHIPREG_SSP3_RXD_PUP_SSP3_RXD_SHIFT                            5
#define    CHIPREG_SSP3_RXD_PUP_SSP3_RXD_MASK                             0x00000020
#define    CHIPREG_SSP3_RXD_SRC_SSP3_RXD_SHIFT                            4
#define    CHIPREG_SSP3_RXD_SRC_SSP3_RXD_MASK                             0x00000010
#define    CHIPREG_SSP3_RXD_IND_SSP3_RXD_SHIFT                            3
#define    CHIPREG_SSP3_RXD_IND_SSP3_RXD_MASK                             0x00000008
#define    CHIPREG_SSP3_RXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP3_RXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP3_TXD_OFFSET                                           0x000009C8
#define CHIPREG_SSP3_TXD_TYPE                                             UInt32
#define CHIPREG_SSP3_TXD_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SSP3_TXD_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SSP3_TXD_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SSP3_TXD_HYS_EN_SSP3_TXD_SHIFT                         7
#define    CHIPREG_SSP3_TXD_HYS_EN_SSP3_TXD_MASK                          0x00000080
#define    CHIPREG_SSP3_TXD_PDN_SSP3_TXD_SHIFT                            6
#define    CHIPREG_SSP3_TXD_PDN_SSP3_TXD_MASK                             0x00000040
#define    CHIPREG_SSP3_TXD_PUP_SSP3_TXD_SHIFT                            5
#define    CHIPREG_SSP3_TXD_PUP_SSP3_TXD_MASK                             0x00000020
#define    CHIPREG_SSP3_TXD_SRC_SSP3_TXD_SHIFT                            4
#define    CHIPREG_SSP3_TXD_SRC_SSP3_TXD_MASK                             0x00000010
#define    CHIPREG_SSP3_TXD_IND_SSP3_TXD_SHIFT                            3
#define    CHIPREG_SSP3_TXD_IND_SSP3_TXD_MASK                             0x00000008
#define    CHIPREG_SSP3_TXD_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SSP3_TXD_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_SSP3_EXTCLK_OFFSET                                        0x000009CC
#define CHIPREG_SSP3_EXTCLK_TYPE                                          UInt32
#define CHIPREG_SSP3_EXTCLK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_SSP3_EXTCLK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_SSP3_EXTCLK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_SSP3_EXTCLK_HYS_EN_SSP3_EXTCLK_SHIFT                   7
#define    CHIPREG_SSP3_EXTCLK_HYS_EN_SSP3_EXTCLK_MASK                    0x00000080
#define    CHIPREG_SSP3_EXTCLK_PDN_SSP3_EXTCLK_SHIFT                      6
#define    CHIPREG_SSP3_EXTCLK_PDN_SSP3_EXTCLK_MASK                       0x00000040
#define    CHIPREG_SSP3_EXTCLK_PUP_SSP3_EXTCLK_SHIFT                      5
#define    CHIPREG_SSP3_EXTCLK_PUP_SSP3_EXTCLK_MASK                       0x00000020
#define    CHIPREG_SSP3_EXTCLK_SRC_SSP3_EXTCLK_SHIFT                      4
#define    CHIPREG_SSP3_EXTCLK_SRC_SSP3_EXTCLK_MASK                       0x00000010
#define    CHIPREG_SSP3_EXTCLK_IND_SSP3_EXTCLK_SHIFT                      3
#define    CHIPREG_SSP3_EXTCLK_IND_SSP3_EXTCLK_MASK                       0x00000008
#define    CHIPREG_SSP3_EXTCLK_SEL_2_0_SHIFT                              0
#define    CHIPREG_SSP3_EXTCLK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_ARM_SLB_CLK_OFFSET                                        0x000009D0
#define CHIPREG_ARM_SLB_CLK_TYPE                                          UInt32
#define CHIPREG_ARM_SLB_CLK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_ARM_SLB_CLK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_ARM_SLB_CLK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_ARM_SLB_CLK_HYS_EN_ARM_SLB_CLK_SHIFT                   7
#define    CHIPREG_ARM_SLB_CLK_HYS_EN_ARM_SLB_CLK_MASK                    0x00000080
#define    CHIPREG_ARM_SLB_CLK_PDN_ARM_SLB_CLK_SHIFT                      6
#define    CHIPREG_ARM_SLB_CLK_PDN_ARM_SLB_CLK_MASK                       0x00000040
#define    CHIPREG_ARM_SLB_CLK_PUP_ARM_SLB_CLK_SHIFT                      5
#define    CHIPREG_ARM_SLB_CLK_PUP_ARM_SLB_CLK_MASK                       0x00000020
#define    CHIPREG_ARM_SLB_CLK_SRC_ARM_SLB_CLK_SHIFT                      4
#define    CHIPREG_ARM_SLB_CLK_SRC_ARM_SLB_CLK_MASK                       0x00000010
#define    CHIPREG_ARM_SLB_CLK_IND_ARM_SLB_CLK_SHIFT                      3
#define    CHIPREG_ARM_SLB_CLK_IND_ARM_SLB_CLK_MASK                       0x00000008
#define    CHIPREG_ARM_SLB_CLK_SEL_2_0_SHIFT                              0
#define    CHIPREG_ARM_SLB_CLK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_ARM_SLB_DATA_OFFSET                                       0x000009D4
#define CHIPREG_ARM_SLB_DATA_TYPE                                         UInt32
#define CHIPREG_ARM_SLB_DATA_RESERVED_MASK                                0xFFFFF800
#define    CHIPREG_ARM_SLB_DATA_PINSEL_2_0_SHIFT                          8
#define    CHIPREG_ARM_SLB_DATA_PINSEL_2_0_MASK                           0x00000700
#define    CHIPREG_ARM_SLB_DATA_HYS_EN_ARM_SLB_DATA_SHIFT                 7
#define    CHIPREG_ARM_SLB_DATA_HYS_EN_ARM_SLB_DATA_MASK                  0x00000080
#define    CHIPREG_ARM_SLB_DATA_PDN_ARM_SLB_DATA_SHIFT                    6
#define    CHIPREG_ARM_SLB_DATA_PDN_ARM_SLB_DATA_MASK                     0x00000040
#define    CHIPREG_ARM_SLB_DATA_PUP_ARM_SLB_DATA_SHIFT                    5
#define    CHIPREG_ARM_SLB_DATA_PUP_ARM_SLB_DATA_MASK                     0x00000020
#define    CHIPREG_ARM_SLB_DATA_SRC_ARM_SLB_DATA_SHIFT                    4
#define    CHIPREG_ARM_SLB_DATA_SRC_ARM_SLB_DATA_MASK                     0x00000010
#define    CHIPREG_ARM_SLB_DATA_IND_ARM_SLB_DATA_SHIFT                    3
#define    CHIPREG_ARM_SLB_DATA_IND_ARM_SLB_DATA_MASK                     0x00000008
#define    CHIPREG_ARM_SLB_DATA_SEL_2_0_SHIFT                             0
#define    CHIPREG_ARM_SLB_DATA_SEL_2_0_MASK                              0x00000007

#define CHIPREG_PMU_SCL_OFFSET                                            0x000009D8
#define CHIPREG_PMU_SCL_TYPE                                              UInt32
#define CHIPREG_PMU_SCL_RESERVED_MASK                                     0xFFFFF8F0
#define    CHIPREG_PMU_SCL_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_PMU_SCL_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_PMU_SCL_PUP_PMU_SCL_SHIFT                              3
#define    CHIPREG_PMU_SCL_PUP_PMU_SCL_MASK                               0x00000008
#define    CHIPREG_PMU_SCL_SRC_PMU_SCL_SHIFT                              2
#define    CHIPREG_PMU_SCL_SRC_PMU_SCL_MASK                               0x00000004
#define    CHIPREG_PMU_SCL_MODE_PMU_SCL_SHIFT                             1
#define    CHIPREG_PMU_SCL_MODE_PMU_SCL_MASK                              0x00000002
#define    CHIPREG_PMU_SCL_IND_PMU_SCL_SHIFT                              0
#define    CHIPREG_PMU_SCL_IND_PMU_SCL_MASK                               0x00000001

#define CHIPREG_PMU_SDA_OFFSET                                            0x000009DC
#define CHIPREG_PMU_SDA_TYPE                                              UInt32
#define CHIPREG_PMU_SDA_RESERVED_MASK                                     0xFFFFF8F0
#define    CHIPREG_PMU_SDA_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_PMU_SDA_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_PMU_SDA_PUP_PMU_SDA_SHIFT                              3
#define    CHIPREG_PMU_SDA_PUP_PMU_SDA_MASK                               0x00000008
#define    CHIPREG_PMU_SDA_SRC_PMU_SDA_SHIFT                              2
#define    CHIPREG_PMU_SDA_SRC_PMU_SDA_MASK                               0x00000004
#define    CHIPREG_PMU_SDA_MODE_PMU_SDA_SHIFT                             1
#define    CHIPREG_PMU_SDA_MODE_PMU_SDA_MASK                              0x00000002
#define    CHIPREG_PMU_SDA_IND_PMU_SDA_SHIFT                              0
#define    CHIPREG_PMU_SDA_IND_PMU_SDA_MASK                               0x00000001

#define CHIPREG_BSC2_SCL_OFFSET                                           0x000009E0
#define CHIPREG_BSC2_SCL_TYPE                                             UInt32
#define CHIPREG_BSC2_SCL_RESERVED_MASK                                    0xFFFFF8F0
#define    CHIPREG_BSC2_SCL_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_BSC2_SCL_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_BSC2_SCL_PUP_BSC2_SCL_SHIFT                            3
#define    CHIPREG_BSC2_SCL_PUP_BSC2_SCL_MASK                             0x00000008
#define    CHIPREG_BSC2_SCL_SRC_BSC2_SCL_SHIFT                            2
#define    CHIPREG_BSC2_SCL_SRC_BSC2_SCL_MASK                             0x00000004
#define    CHIPREG_BSC2_SCL_MODE_BSC2_SCL_SHIFT                           1
#define    CHIPREG_BSC2_SCL_MODE_BSC2_SCL_MASK                            0x00000002
#define    CHIPREG_BSC2_SCL_IND_BSC2_SCL_SHIFT                            0
#define    CHIPREG_BSC2_SCL_IND_BSC2_SCL_MASK                             0x00000001

#define CHIPREG_BSC2_SDA_OFFSET                                           0x000009E4
#define CHIPREG_BSC2_SDA_TYPE                                             UInt32
#define CHIPREG_BSC2_SDA_RESERVED_MASK                                    0xFFFFF8F0
#define    CHIPREG_BSC2_SDA_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_BSC2_SDA_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_BSC2_SDA_PUP_BSC2_SDA_SHIFT                            3
#define    CHIPREG_BSC2_SDA_PUP_BSC2_SDA_MASK                             0x00000008
#define    CHIPREG_BSC2_SDA_SRC_BSC2_SDA_SHIFT                            2
#define    CHIPREG_BSC2_SDA_SRC_BSC2_SDA_MASK                             0x00000004
#define    CHIPREG_BSC2_SDA_MODE_BSC2_SDA_SHIFT                           1
#define    CHIPREG_BSC2_SDA_MODE_BSC2_SDA_MASK                            0x00000002
#define    CHIPREG_BSC2_SDA_IND_BSC2_SDA_SHIFT                            0
#define    CHIPREG_BSC2_SDA_IND_BSC2_SDA_MASK                             0x00000001

#define CHIPREG_VC_CAM1_SCL_OFFSET                                        0x000009E8
#define CHIPREG_VC_CAM1_SCL_TYPE                                          UInt32
#define CHIPREG_VC_CAM1_SCL_RESERVED_MASK                                 0xFFFFF8F0
#define    CHIPREG_VC_CAM1_SCL_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_VC_CAM1_SCL_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_VC_CAM1_SCL_PUP_VC_CAM1_SCL_SHIFT                      3
#define    CHIPREG_VC_CAM1_SCL_PUP_VC_CAM1_SCL_MASK                       0x00000008
#define    CHIPREG_VC_CAM1_SCL_SRC_VC_CAM1_SCL_SHIFT                      2
#define    CHIPREG_VC_CAM1_SCL_SRC_VC_CAM1_SCL_MASK                       0x00000004
#define    CHIPREG_VC_CAM1_SCL_MODE_VC_CAM1_SCL_SHIFT                     1
#define    CHIPREG_VC_CAM1_SCL_MODE_VC_CAM1_SCL_MASK                      0x00000002
#define    CHIPREG_VC_CAM1_SCL_IND_VC_CAM1_SCL_SHIFT                      0
#define    CHIPREG_VC_CAM1_SCL_IND_VC_CAM1_SCL_MASK                       0x00000001

#define CHIPREG_VC_CAM1_SDA_OFFSET                                        0x000009EC
#define CHIPREG_VC_CAM1_SDA_TYPE                                          UInt32
#define CHIPREG_VC_CAM1_SDA_RESERVED_MASK                                 0xFFFFF8F0
#define    CHIPREG_VC_CAM1_SDA_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_VC_CAM1_SDA_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_VC_CAM1_SDA_PUP_VC_CAM1_SDA_SHIFT                      3
#define    CHIPREG_VC_CAM1_SDA_PUP_VC_CAM1_SDA_MASK                       0x00000008
#define    CHIPREG_VC_CAM1_SDA_SRC_VC_CAM1_SDA_SHIFT                      2
#define    CHIPREG_VC_CAM1_SDA_SRC_VC_CAM1_SDA_MASK                       0x00000004
#define    CHIPREG_VC_CAM1_SDA_MODE_VC_CAM1_SDA_SHIFT                     1
#define    CHIPREG_VC_CAM1_SDA_MODE_VC_CAM1_SDA_MASK                      0x00000002
#define    CHIPREG_VC_CAM1_SDA_IND_VC_CAM1_SDA_SHIFT                      0
#define    CHIPREG_VC_CAM1_SDA_IND_VC_CAM1_SDA_MASK                       0x00000001

#define CHIPREG_HDMI_SCL_OFFSET                                           0x000009F0
#define CHIPREG_HDMI_SCL_TYPE                                             UInt32
#define CHIPREG_HDMI_SCL_RESERVED_MASK                                    0xFFFFF8F0
#define    CHIPREG_HDMI_SCL_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_HDMI_SCL_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_HDMI_SCL_PUP_HDMI_SCL_SHIFT                            3
#define    CHIPREG_HDMI_SCL_PUP_HDMI_SCL_MASK                             0x00000008
#define    CHIPREG_HDMI_SCL_SRC_HDMI_SCL_SHIFT                            2
#define    CHIPREG_HDMI_SCL_SRC_HDMI_SCL_MASK                             0x00000004
#define    CHIPREG_HDMI_SCL_MODE_HDMI_SCL_SHIFT                           1
#define    CHIPREG_HDMI_SCL_MODE_HDMI_SCL_MASK                            0x00000002
#define    CHIPREG_HDMI_SCL_IND_HDMI_SCL_SHIFT                            0
#define    CHIPREG_HDMI_SCL_IND_HDMI_SCL_MASK                             0x00000001

#define CHIPREG_HDMI_SDA_OFFSET                                           0x000009F4
#define CHIPREG_HDMI_SDA_TYPE                                             UInt32
#define CHIPREG_HDMI_SDA_RESERVED_MASK                                    0xFFFFF8F0
#define    CHIPREG_HDMI_SDA_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_HDMI_SDA_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_HDMI_SDA_PUP_HDMI_SDA_SHIFT                            3
#define    CHIPREG_HDMI_SDA_PUP_HDMI_SDA_MASK                             0x00000008
#define    CHIPREG_HDMI_SDA_SRC_HDMI_SDA_SHIFT                            2
#define    CHIPREG_HDMI_SDA_SRC_HDMI_SDA_MASK                             0x00000004
#define    CHIPREG_HDMI_SDA_MODE_HDMI_SDA_SHIFT                           1
#define    CHIPREG_HDMI_SDA_MODE_HDMI_SDA_MASK                            0x00000002
#define    CHIPREG_HDMI_SDA_IND_HDMI_SDA_SHIFT                            0
#define    CHIPREG_HDMI_SDA_IND_HDMI_SDA_MASK                             0x00000001

#define CHIPREG_UARTB_URXD_OFFSET                                         0x000009F8
#define CHIPREG_UARTB_URXD_TYPE                                           UInt32
#define CHIPREG_UARTB_URXD_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_UARTB_URXD_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_UARTB_URXD_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_UARTB_URXD_HYS_EN_UARTB_URXD_SHIFT                     7
#define    CHIPREG_UARTB_URXD_HYS_EN_UARTB_URXD_MASK                      0x00000080
#define    CHIPREG_UARTB_URXD_PDN_UARTB_URXD_SHIFT                        6
#define    CHIPREG_UARTB_URXD_PDN_UARTB_URXD_MASK                         0x00000040
#define    CHIPREG_UARTB_URXD_PUP_UARTB_URXD_SHIFT                        5
#define    CHIPREG_UARTB_URXD_PUP_UARTB_URXD_MASK                         0x00000020
#define    CHIPREG_UARTB_URXD_SRC_UARTB_URXD_SHIFT                        4
#define    CHIPREG_UARTB_URXD_SRC_UARTB_URXD_MASK                         0x00000010
#define    CHIPREG_UARTB_URXD_IND_UARTB_URXD_SHIFT                        3
#define    CHIPREG_UARTB_URXD_IND_UARTB_URXD_MASK                         0x00000008
#define    CHIPREG_UARTB_URXD_SEL_2_0_SHIFT                               0
#define    CHIPREG_UARTB_URXD_SEL_2_0_MASK                                0x00000007

#define CHIPREG_UARTB_UTXD_OFFSET                                         0x000009FC
#define CHIPREG_UARTB_UTXD_TYPE                                           UInt32
#define CHIPREG_UARTB_UTXD_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_UARTB_UTXD_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_UARTB_UTXD_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_UARTB_UTXD_HYS_EN_UARTB_UTXD_SHIFT                     7
#define    CHIPREG_UARTB_UTXD_HYS_EN_UARTB_UTXD_MASK                      0x00000080
#define    CHIPREG_UARTB_UTXD_PDN_UARTB_UTXD_SHIFT                        6
#define    CHIPREG_UARTB_UTXD_PDN_UARTB_UTXD_MASK                         0x00000040
#define    CHIPREG_UARTB_UTXD_PUP_UARTB_UTXD_SHIFT                        5
#define    CHIPREG_UARTB_UTXD_PUP_UARTB_UTXD_MASK                         0x00000020
#define    CHIPREG_UARTB_UTXD_SRC_UARTB_UTXD_SHIFT                        4
#define    CHIPREG_UARTB_UTXD_SRC_UARTB_UTXD_MASK                         0x00000010
#define    CHIPREG_UARTB_UTXD_IND_UARTB_UTXD_SHIFT                        3
#define    CHIPREG_UARTB_UTXD_IND_UARTB_UTXD_MASK                         0x00000008
#define    CHIPREG_UARTB_UTXD_SEL_2_0_SHIFT                               0
#define    CHIPREG_UARTB_UTXD_SEL_2_0_MASK                                0x00000007

#define CHIPREG_UARTB_URTSN_OFFSET                                        0x00000A00
#define CHIPREG_UARTB_URTSN_TYPE                                          UInt32
#define CHIPREG_UARTB_URTSN_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB_URTSN_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB_URTSN_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB_URTSN_HYS_EN_UARTB_URTSN_SHIFT                   7
#define    CHIPREG_UARTB_URTSN_HYS_EN_UARTB_URTSN_MASK                    0x00000080
#define    CHIPREG_UARTB_URTSN_PDN_UARTB_URTSN_SHIFT                      6
#define    CHIPREG_UARTB_URTSN_PDN_UARTB_URTSN_MASK                       0x00000040
#define    CHIPREG_UARTB_URTSN_PUP_UARTB_URTSN_SHIFT                      5
#define    CHIPREG_UARTB_URTSN_PUP_UARTB_URTSN_MASK                       0x00000020
#define    CHIPREG_UARTB_URTSN_SRC_UARTB_URTSN_SHIFT                      4
#define    CHIPREG_UARTB_URTSN_SRC_UARTB_URTSN_MASK                       0x00000010
#define    CHIPREG_UARTB_URTSN_IND_UARTB_URTSN_SHIFT                      3
#define    CHIPREG_UARTB_URTSN_IND_UARTB_URTSN_MASK                       0x00000008
#define    CHIPREG_UARTB_URTSN_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB_URTSN_SEL_2_0_MASK                               0x00000007

#define CHIPREG_UARTB_UCTSN_OFFSET                                        0x00000A04
#define CHIPREG_UARTB_UCTSN_TYPE                                          UInt32
#define CHIPREG_UARTB_UCTSN_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB_UCTSN_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB_UCTSN_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB_UCTSN_HYS_EN_UARTB_UCTSN_SHIFT                   7
#define    CHIPREG_UARTB_UCTSN_HYS_EN_UARTB_UCTSN_MASK                    0x00000080
#define    CHIPREG_UARTB_UCTSN_PDN_UARTB_UCTSN_SHIFT                      6
#define    CHIPREG_UARTB_UCTSN_PDN_UARTB_UCTSN_MASK                       0x00000040
#define    CHIPREG_UARTB_UCTSN_PUP_UARTB_UCTSN_SHIFT                      5
#define    CHIPREG_UARTB_UCTSN_PUP_UARTB_UCTSN_MASK                       0x00000020
#define    CHIPREG_UARTB_UCTSN_SRC_UARTB_UCTSN_SHIFT                      4
#define    CHIPREG_UARTB_UCTSN_SRC_UARTB_UCTSN_MASK                       0x00000010
#define    CHIPREG_UARTB_UCTSN_IND_UARTB_UCTSN_SHIFT                      3
#define    CHIPREG_UARTB_UCTSN_IND_UARTB_UCTSN_MASK                       0x00000008
#define    CHIPREG_UARTB_UCTSN_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB_UCTSN_SEL_2_0_MASK                               0x00000007

#define CHIPREG_UARTB2_URXD_OFFSET                                        0x00000A08
#define CHIPREG_UARTB2_URXD_TYPE                                          UInt32
#define CHIPREG_UARTB2_URXD_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB2_URXD_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB2_URXD_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB2_URXD_HYS_EN_UARTB2_URXD_SHIFT                   7
#define    CHIPREG_UARTB2_URXD_HYS_EN_UARTB2_URXD_MASK                    0x00000080
#define    CHIPREG_UARTB2_URXD_PDN_UARTB2_URXD_SHIFT                      6
#define    CHIPREG_UARTB2_URXD_PDN_UARTB2_URXD_MASK                       0x00000040
#define    CHIPREG_UARTB2_URXD_PUP_UARTB2_URXD_SHIFT                      5
#define    CHIPREG_UARTB2_URXD_PUP_UARTB2_URXD_MASK                       0x00000020
#define    CHIPREG_UARTB2_URXD_SRC_UARTB2_URXD_SHIFT                      4
#define    CHIPREG_UARTB2_URXD_SRC_UARTB2_URXD_MASK                       0x00000010
#define    CHIPREG_UARTB2_URXD_IND_UARTB2_URXD_SHIFT                      3
#define    CHIPREG_UARTB2_URXD_IND_UARTB2_URXD_MASK                       0x00000008
#define    CHIPREG_UARTB2_URXD_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB2_URXD_SEL_2_0_MASK                               0x00000007

#define CHIPREG_UARTB2_UTXD_OFFSET                                        0x00000A0C
#define CHIPREG_UARTB2_UTXD_TYPE                                          UInt32
#define CHIPREG_UARTB2_UTXD_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_UARTB2_UTXD_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_UARTB2_UTXD_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_UARTB2_UTXD_HYS_EN_UARTB2_UTXD_SHIFT                   7
#define    CHIPREG_UARTB2_UTXD_HYS_EN_UARTB2_UTXD_MASK                    0x00000080
#define    CHIPREG_UARTB2_UTXD_PDN_UARTB2_UTXD_SHIFT                      6
#define    CHIPREG_UARTB2_UTXD_PDN_UARTB2_UTXD_MASK                       0x00000040
#define    CHIPREG_UARTB2_UTXD_PUP_UARTB2_UTXD_SHIFT                      5
#define    CHIPREG_UARTB2_UTXD_PUP_UARTB2_UTXD_MASK                       0x00000020
#define    CHIPREG_UARTB2_UTXD_SRC_UARTB2_UTXD_SHIFT                      4
#define    CHIPREG_UARTB2_UTXD_SRC_UARTB2_UTXD_MASK                       0x00000010
#define    CHIPREG_UARTB2_UTXD_IND_UARTB2_UTXD_SHIFT                      3
#define    CHIPREG_UARTB2_UTXD_IND_UARTB2_UTXD_MASK                       0x00000008
#define    CHIPREG_UARTB2_UTXD_SEL_2_0_SHIFT                              0
#define    CHIPREG_UARTB2_UTXD_SEL_2_0_MASK                               0x00000007

#define CHIPREG_LCD_R_7_OFFSET                                            0x00000A10
#define CHIPREG_LCD_R_7_TYPE                                              UInt32
#define CHIPREG_LCD_R_7_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_7_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_7_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_7_HYS_EN_LCD_R_7_SHIFT                           7
#define    CHIPREG_LCD_R_7_HYS_EN_LCD_R_7_MASK                            0x00000080
#define    CHIPREG_LCD_R_7_PDN_LCD_R_7_SHIFT                              6
#define    CHIPREG_LCD_R_7_PDN_LCD_R_7_MASK                               0x00000040
#define    CHIPREG_LCD_R_7_PUP_LCD_R_7_SHIFT                              5
#define    CHIPREG_LCD_R_7_PUP_LCD_R_7_MASK                               0x00000020
#define    CHIPREG_LCD_R_7_SRC_LCD_R_7_SHIFT                              4
#define    CHIPREG_LCD_R_7_SRC_LCD_R_7_MASK                               0x00000010
#define    CHIPREG_LCD_R_7_IND_LCD_R_7_SHIFT                              3
#define    CHIPREG_LCD_R_7_IND_LCD_R_7_MASK                               0x00000008
#define    CHIPREG_LCD_R_7_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_7_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_6_OFFSET                                            0x00000A14
#define CHIPREG_LCD_R_6_TYPE                                              UInt32
#define CHIPREG_LCD_R_6_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_6_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_6_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_6_HYS_EN_LCD_R_6_SHIFT                           7
#define    CHIPREG_LCD_R_6_HYS_EN_LCD_R_6_MASK                            0x00000080
#define    CHIPREG_LCD_R_6_PDN_LCD_R_6_SHIFT                              6
#define    CHIPREG_LCD_R_6_PDN_LCD_R_6_MASK                               0x00000040
#define    CHIPREG_LCD_R_6_PUP_LCD_R_6_SHIFT                              5
#define    CHIPREG_LCD_R_6_PUP_LCD_R_6_MASK                               0x00000020
#define    CHIPREG_LCD_R_6_SRC_LCD_R_6_SHIFT                              4
#define    CHIPREG_LCD_R_6_SRC_LCD_R_6_MASK                               0x00000010
#define    CHIPREG_LCD_R_6_IND_LCD_R_6_SHIFT                              3
#define    CHIPREG_LCD_R_6_IND_LCD_R_6_MASK                               0x00000008
#define    CHIPREG_LCD_R_6_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_6_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_5_OFFSET                                            0x00000A18
#define CHIPREG_LCD_R_5_TYPE                                              UInt32
#define CHIPREG_LCD_R_5_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_5_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_5_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_5_HYS_EN_LCD_R_5_SHIFT                           7
#define    CHIPREG_LCD_R_5_HYS_EN_LCD_R_5_MASK                            0x00000080
#define    CHIPREG_LCD_R_5_PDN_LCD_R_5_SHIFT                              6
#define    CHIPREG_LCD_R_5_PDN_LCD_R_5_MASK                               0x00000040
#define    CHIPREG_LCD_R_5_PUP_LCD_R_5_SHIFT                              5
#define    CHIPREG_LCD_R_5_PUP_LCD_R_5_MASK                               0x00000020
#define    CHIPREG_LCD_R_5_SRC_LCD_R_5_SHIFT                              4
#define    CHIPREG_LCD_R_5_SRC_LCD_R_5_MASK                               0x00000010
#define    CHIPREG_LCD_R_5_IND_LCD_R_5_SHIFT                              3
#define    CHIPREG_LCD_R_5_IND_LCD_R_5_MASK                               0x00000008
#define    CHIPREG_LCD_R_5_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_5_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_4_OFFSET                                            0x00000A1C
#define CHIPREG_LCD_R_4_TYPE                                              UInt32
#define CHIPREG_LCD_R_4_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_4_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_4_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_4_HYS_EN_LCD_R_4_SHIFT                           7
#define    CHIPREG_LCD_R_4_HYS_EN_LCD_R_4_MASK                            0x00000080
#define    CHIPREG_LCD_R_4_PDN_LCD_R_4_SHIFT                              6
#define    CHIPREG_LCD_R_4_PDN_LCD_R_4_MASK                               0x00000040
#define    CHIPREG_LCD_R_4_PUP_LCD_R_4_SHIFT                              5
#define    CHIPREG_LCD_R_4_PUP_LCD_R_4_MASK                               0x00000020
#define    CHIPREG_LCD_R_4_SRC_LCD_R_4_SHIFT                              4
#define    CHIPREG_LCD_R_4_SRC_LCD_R_4_MASK                               0x00000010
#define    CHIPREG_LCD_R_4_IND_LCD_R_4_SHIFT                              3
#define    CHIPREG_LCD_R_4_IND_LCD_R_4_MASK                               0x00000008
#define    CHIPREG_LCD_R_4_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_4_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_3_OFFSET                                            0x00000A20
#define CHIPREG_LCD_R_3_TYPE                                              UInt32
#define CHIPREG_LCD_R_3_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_3_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_3_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_3_HYS_EN_LCD_R_3_SHIFT                           7
#define    CHIPREG_LCD_R_3_HYS_EN_LCD_R_3_MASK                            0x00000080
#define    CHIPREG_LCD_R_3_PDN_LCD_R_3_SHIFT                              6
#define    CHIPREG_LCD_R_3_PDN_LCD_R_3_MASK                               0x00000040
#define    CHIPREG_LCD_R_3_PUP_LCD_R_3_SHIFT                              5
#define    CHIPREG_LCD_R_3_PUP_LCD_R_3_MASK                               0x00000020
#define    CHIPREG_LCD_R_3_SRC_LCD_R_3_SHIFT                              4
#define    CHIPREG_LCD_R_3_SRC_LCD_R_3_MASK                               0x00000010
#define    CHIPREG_LCD_R_3_IND_LCD_R_3_SHIFT                              3
#define    CHIPREG_LCD_R_3_IND_LCD_R_3_MASK                               0x00000008
#define    CHIPREG_LCD_R_3_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_3_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_2_OFFSET                                            0x00000A24
#define CHIPREG_LCD_R_2_TYPE                                              UInt32
#define CHIPREG_LCD_R_2_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_2_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_2_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_2_HYS_EN_LCD_R_2_SHIFT                           7
#define    CHIPREG_LCD_R_2_HYS_EN_LCD_R_2_MASK                            0x00000080
#define    CHIPREG_LCD_R_2_PDN_LCD_R_2_SHIFT                              6
#define    CHIPREG_LCD_R_2_PDN_LCD_R_2_MASK                               0x00000040
#define    CHIPREG_LCD_R_2_PUP_LCD_R_2_SHIFT                              5
#define    CHIPREG_LCD_R_2_PUP_LCD_R_2_MASK                               0x00000020
#define    CHIPREG_LCD_R_2_SRC_LCD_R_2_SHIFT                              4
#define    CHIPREG_LCD_R_2_SRC_LCD_R_2_MASK                               0x00000010
#define    CHIPREG_LCD_R_2_IND_LCD_R_2_SHIFT                              3
#define    CHIPREG_LCD_R_2_IND_LCD_R_2_MASK                               0x00000008
#define    CHIPREG_LCD_R_2_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_2_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_1_OFFSET                                            0x00000A28
#define CHIPREG_LCD_R_1_TYPE                                              UInt32
#define CHIPREG_LCD_R_1_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_1_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_1_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_1_HYS_EN_LCD_R_1_SHIFT                           7
#define    CHIPREG_LCD_R_1_HYS_EN_LCD_R_1_MASK                            0x00000080
#define    CHIPREG_LCD_R_1_PDN_LCD_R_1_SHIFT                              6
#define    CHIPREG_LCD_R_1_PDN_LCD_R_1_MASK                               0x00000040
#define    CHIPREG_LCD_R_1_PUP_LCD_R_1_SHIFT                              5
#define    CHIPREG_LCD_R_1_PUP_LCD_R_1_MASK                               0x00000020
#define    CHIPREG_LCD_R_1_SRC_LCD_R_1_SHIFT                              4
#define    CHIPREG_LCD_R_1_SRC_LCD_R_1_MASK                               0x00000010
#define    CHIPREG_LCD_R_1_IND_LCD_R_1_SHIFT                              3
#define    CHIPREG_LCD_R_1_IND_LCD_R_1_MASK                               0x00000008
#define    CHIPREG_LCD_R_1_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_1_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_R_0_OFFSET                                            0x00000A2C
#define CHIPREG_LCD_R_0_TYPE                                              UInt32
#define CHIPREG_LCD_R_0_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_R_0_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_R_0_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_R_0_HYS_EN_LCD_R_0_SHIFT                           7
#define    CHIPREG_LCD_R_0_HYS_EN_LCD_R_0_MASK                            0x00000080
#define    CHIPREG_LCD_R_0_PDN_LCD_R_0_SHIFT                              6
#define    CHIPREG_LCD_R_0_PDN_LCD_R_0_MASK                               0x00000040
#define    CHIPREG_LCD_R_0_PUP_LCD_R_0_SHIFT                              5
#define    CHIPREG_LCD_R_0_PUP_LCD_R_0_MASK                               0x00000020
#define    CHIPREG_LCD_R_0_SRC_LCD_R_0_SHIFT                              4
#define    CHIPREG_LCD_R_0_SRC_LCD_R_0_MASK                               0x00000010
#define    CHIPREG_LCD_R_0_IND_LCD_R_0_SHIFT                              3
#define    CHIPREG_LCD_R_0_IND_LCD_R_0_MASK                               0x00000008
#define    CHIPREG_LCD_R_0_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_R_0_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_7_OFFSET                                            0x00000A30
#define CHIPREG_LCD_G_7_TYPE                                              UInt32
#define CHIPREG_LCD_G_7_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_7_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_7_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_7_HYS_EN_LCD_G_7_SHIFT                           7
#define    CHIPREG_LCD_G_7_HYS_EN_LCD_G_7_MASK                            0x00000080
#define    CHIPREG_LCD_G_7_PDN_LCD_G_7_SHIFT                              6
#define    CHIPREG_LCD_G_7_PDN_LCD_G_7_MASK                               0x00000040
#define    CHIPREG_LCD_G_7_PUP_LCD_G_7_SHIFT                              5
#define    CHIPREG_LCD_G_7_PUP_LCD_G_7_MASK                               0x00000020
#define    CHIPREG_LCD_G_7_SRC_LCD_G_7_SHIFT                              4
#define    CHIPREG_LCD_G_7_SRC_LCD_G_7_MASK                               0x00000010
#define    CHIPREG_LCD_G_7_IND_LCD_G_7_SHIFT                              3
#define    CHIPREG_LCD_G_7_IND_LCD_G_7_MASK                               0x00000008
#define    CHIPREG_LCD_G_7_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_7_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_6_OFFSET                                            0x00000A34
#define CHIPREG_LCD_G_6_TYPE                                              UInt32
#define CHIPREG_LCD_G_6_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_6_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_6_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_6_HYS_EN_LCD_G_6_SHIFT                           7
#define    CHIPREG_LCD_G_6_HYS_EN_LCD_G_6_MASK                            0x00000080
#define    CHIPREG_LCD_G_6_PDN_LCD_G_6_SHIFT                              6
#define    CHIPREG_LCD_G_6_PDN_LCD_G_6_MASK                               0x00000040
#define    CHIPREG_LCD_G_6_PUP_LCD_G_6_SHIFT                              5
#define    CHIPREG_LCD_G_6_PUP_LCD_G_6_MASK                               0x00000020
#define    CHIPREG_LCD_G_6_SRC_LCD_G_6_SHIFT                              4
#define    CHIPREG_LCD_G_6_SRC_LCD_G_6_MASK                               0x00000010
#define    CHIPREG_LCD_G_6_IND_LCD_G_6_SHIFT                              3
#define    CHIPREG_LCD_G_6_IND_LCD_G_6_MASK                               0x00000008
#define    CHIPREG_LCD_G_6_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_6_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_5_OFFSET                                            0x00000A38
#define CHIPREG_LCD_G_5_TYPE                                              UInt32
#define CHIPREG_LCD_G_5_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_5_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_5_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_5_HYS_EN_LCD_G_5_SHIFT                           7
#define    CHIPREG_LCD_G_5_HYS_EN_LCD_G_5_MASK                            0x00000080
#define    CHIPREG_LCD_G_5_PDN_LCD_G_5_SHIFT                              6
#define    CHIPREG_LCD_G_5_PDN_LCD_G_5_MASK                               0x00000040
#define    CHIPREG_LCD_G_5_PUP_LCD_G_5_SHIFT                              5
#define    CHIPREG_LCD_G_5_PUP_LCD_G_5_MASK                               0x00000020
#define    CHIPREG_LCD_G_5_SRC_LCD_G_5_SHIFT                              4
#define    CHIPREG_LCD_G_5_SRC_LCD_G_5_MASK                               0x00000010
#define    CHIPREG_LCD_G_5_IND_LCD_G_5_SHIFT                              3
#define    CHIPREG_LCD_G_5_IND_LCD_G_5_MASK                               0x00000008
#define    CHIPREG_LCD_G_5_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_5_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_4_OFFSET                                            0x00000A3C
#define CHIPREG_LCD_G_4_TYPE                                              UInt32
#define CHIPREG_LCD_G_4_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_4_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_4_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_4_HYS_EN_LCD_G_4_SHIFT                           7
#define    CHIPREG_LCD_G_4_HYS_EN_LCD_G_4_MASK                            0x00000080
#define    CHIPREG_LCD_G_4_PDN_LCD_G_4_SHIFT                              6
#define    CHIPREG_LCD_G_4_PDN_LCD_G_4_MASK                               0x00000040
#define    CHIPREG_LCD_G_4_PUP_LCD_G_4_SHIFT                              5
#define    CHIPREG_LCD_G_4_PUP_LCD_G_4_MASK                               0x00000020
#define    CHIPREG_LCD_G_4_SRC_LCD_G_4_SHIFT                              4
#define    CHIPREG_LCD_G_4_SRC_LCD_G_4_MASK                               0x00000010
#define    CHIPREG_LCD_G_4_IND_LCD_G_4_SHIFT                              3
#define    CHIPREG_LCD_G_4_IND_LCD_G_4_MASK                               0x00000008
#define    CHIPREG_LCD_G_4_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_4_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_3_OFFSET                                            0x00000A40
#define CHIPREG_LCD_G_3_TYPE                                              UInt32
#define CHIPREG_LCD_G_3_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_3_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_3_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_3_HYS_EN_LCD_G_3_SHIFT                           7
#define    CHIPREG_LCD_G_3_HYS_EN_LCD_G_3_MASK                            0x00000080
#define    CHIPREG_LCD_G_3_PDN_LCD_G_3_SHIFT                              6
#define    CHIPREG_LCD_G_3_PDN_LCD_G_3_MASK                               0x00000040
#define    CHIPREG_LCD_G_3_PUP_LCD_G_3_SHIFT                              5
#define    CHIPREG_LCD_G_3_PUP_LCD_G_3_MASK                               0x00000020
#define    CHIPREG_LCD_G_3_SRC_LCD_G_3_SHIFT                              4
#define    CHIPREG_LCD_G_3_SRC_LCD_G_3_MASK                               0x00000010
#define    CHIPREG_LCD_G_3_IND_LCD_G_3_SHIFT                              3
#define    CHIPREG_LCD_G_3_IND_LCD_G_3_MASK                               0x00000008
#define    CHIPREG_LCD_G_3_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_3_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_2_OFFSET                                            0x00000A44
#define CHIPREG_LCD_G_2_TYPE                                              UInt32
#define CHIPREG_LCD_G_2_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_2_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_2_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_2_HYS_EN_LCD_G_2_SHIFT                           7
#define    CHIPREG_LCD_G_2_HYS_EN_LCD_G_2_MASK                            0x00000080
#define    CHIPREG_LCD_G_2_PDN_LCD_G_2_SHIFT                              6
#define    CHIPREG_LCD_G_2_PDN_LCD_G_2_MASK                               0x00000040
#define    CHIPREG_LCD_G_2_PUP_LCD_G_2_SHIFT                              5
#define    CHIPREG_LCD_G_2_PUP_LCD_G_2_MASK                               0x00000020
#define    CHIPREG_LCD_G_2_SRC_LCD_G_2_SHIFT                              4
#define    CHIPREG_LCD_G_2_SRC_LCD_G_2_MASK                               0x00000010
#define    CHIPREG_LCD_G_2_IND_LCD_G_2_SHIFT                              3
#define    CHIPREG_LCD_G_2_IND_LCD_G_2_MASK                               0x00000008
#define    CHIPREG_LCD_G_2_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_2_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_1_OFFSET                                            0x00000A48
#define CHIPREG_LCD_G_1_TYPE                                              UInt32
#define CHIPREG_LCD_G_1_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_1_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_1_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_1_HYS_EN_LCD_G_1_SHIFT                           7
#define    CHIPREG_LCD_G_1_HYS_EN_LCD_G_1_MASK                            0x00000080
#define    CHIPREG_LCD_G_1_PDN_LCD_G_1_SHIFT                              6
#define    CHIPREG_LCD_G_1_PDN_LCD_G_1_MASK                               0x00000040
#define    CHIPREG_LCD_G_1_PUP_LCD_G_1_SHIFT                              5
#define    CHIPREG_LCD_G_1_PUP_LCD_G_1_MASK                               0x00000020
#define    CHIPREG_LCD_G_1_SRC_LCD_G_1_SHIFT                              4
#define    CHIPREG_LCD_G_1_SRC_LCD_G_1_MASK                               0x00000010
#define    CHIPREG_LCD_G_1_IND_LCD_G_1_SHIFT                              3
#define    CHIPREG_LCD_G_1_IND_LCD_G_1_MASK                               0x00000008
#define    CHIPREG_LCD_G_1_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_1_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_G_0_OFFSET                                            0x00000A4C
#define CHIPREG_LCD_G_0_TYPE                                              UInt32
#define CHIPREG_LCD_G_0_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_G_0_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_G_0_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_G_0_HYS_EN_LCD_G_0_SHIFT                           7
#define    CHIPREG_LCD_G_0_HYS_EN_LCD_G_0_MASK                            0x00000080
#define    CHIPREG_LCD_G_0_PDN_LCD_G_0_SHIFT                              6
#define    CHIPREG_LCD_G_0_PDN_LCD_G_0_MASK                               0x00000040
#define    CHIPREG_LCD_G_0_PUP_LCD_G_0_SHIFT                              5
#define    CHIPREG_LCD_G_0_PUP_LCD_G_0_MASK                               0x00000020
#define    CHIPREG_LCD_G_0_SRC_LCD_G_0_SHIFT                              4
#define    CHIPREG_LCD_G_0_SRC_LCD_G_0_MASK                               0x00000010
#define    CHIPREG_LCD_G_0_IND_LCD_G_0_SHIFT                              3
#define    CHIPREG_LCD_G_0_IND_LCD_G_0_MASK                               0x00000008
#define    CHIPREG_LCD_G_0_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_G_0_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_7_OFFSET                                            0x00000A50
#define CHIPREG_LCD_B_7_TYPE                                              UInt32
#define CHIPREG_LCD_B_7_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_7_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_7_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_7_HYS_EN_LCD_B_7_SHIFT                           7
#define    CHIPREG_LCD_B_7_HYS_EN_LCD_B_7_MASK                            0x00000080
#define    CHIPREG_LCD_B_7_PDN_LCD_B_7_SHIFT                              6
#define    CHIPREG_LCD_B_7_PDN_LCD_B_7_MASK                               0x00000040
#define    CHIPREG_LCD_B_7_PUP_LCD_B_7_SHIFT                              5
#define    CHIPREG_LCD_B_7_PUP_LCD_B_7_MASK                               0x00000020
#define    CHIPREG_LCD_B_7_SRC_LCD_B_7_SHIFT                              4
#define    CHIPREG_LCD_B_7_SRC_LCD_B_7_MASK                               0x00000010
#define    CHIPREG_LCD_B_7_IND_LCD_B_7_SHIFT                              3
#define    CHIPREG_LCD_B_7_IND_LCD_B_7_MASK                               0x00000008
#define    CHIPREG_LCD_B_7_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_7_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_6_OFFSET                                            0x00000A54
#define CHIPREG_LCD_B_6_TYPE                                              UInt32
#define CHIPREG_LCD_B_6_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_6_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_6_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_6_HYS_EN_LCD_B_6_SHIFT                           7
#define    CHIPREG_LCD_B_6_HYS_EN_LCD_B_6_MASK                            0x00000080
#define    CHIPREG_LCD_B_6_PDN_LCD_B_6_SHIFT                              6
#define    CHIPREG_LCD_B_6_PDN_LCD_B_6_MASK                               0x00000040
#define    CHIPREG_LCD_B_6_PUP_LCD_B_6_SHIFT                              5
#define    CHIPREG_LCD_B_6_PUP_LCD_B_6_MASK                               0x00000020
#define    CHIPREG_LCD_B_6_SRC_LCD_B_6_SHIFT                              4
#define    CHIPREG_LCD_B_6_SRC_LCD_B_6_MASK                               0x00000010
#define    CHIPREG_LCD_B_6_IND_LCD_B_6_SHIFT                              3
#define    CHIPREG_LCD_B_6_IND_LCD_B_6_MASK                               0x00000008
#define    CHIPREG_LCD_B_6_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_6_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_5_OFFSET                                            0x00000A58
#define CHIPREG_LCD_B_5_TYPE                                              UInt32
#define CHIPREG_LCD_B_5_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_5_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_5_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_5_HYS_EN_LCD_B_5_SHIFT                           7
#define    CHIPREG_LCD_B_5_HYS_EN_LCD_B_5_MASK                            0x00000080
#define    CHIPREG_LCD_B_5_PDN_LCD_B_5_SHIFT                              6
#define    CHIPREG_LCD_B_5_PDN_LCD_B_5_MASK                               0x00000040
#define    CHIPREG_LCD_B_5_PUP_LCD_B_5_SHIFT                              5
#define    CHIPREG_LCD_B_5_PUP_LCD_B_5_MASK                               0x00000020
#define    CHIPREG_LCD_B_5_SRC_LCD_B_5_SHIFT                              4
#define    CHIPREG_LCD_B_5_SRC_LCD_B_5_MASK                               0x00000010
#define    CHIPREG_LCD_B_5_IND_LCD_B_5_SHIFT                              3
#define    CHIPREG_LCD_B_5_IND_LCD_B_5_MASK                               0x00000008
#define    CHIPREG_LCD_B_5_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_5_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_4_OFFSET                                            0x00000A5C
#define CHIPREG_LCD_B_4_TYPE                                              UInt32
#define CHIPREG_LCD_B_4_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_4_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_4_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_4_HYS_EN_LCD_B_4_SHIFT                           7
#define    CHIPREG_LCD_B_4_HYS_EN_LCD_B_4_MASK                            0x00000080
#define    CHIPREG_LCD_B_4_PDN_LCD_B_4_SHIFT                              6
#define    CHIPREG_LCD_B_4_PDN_LCD_B_4_MASK                               0x00000040
#define    CHIPREG_LCD_B_4_PUP_LCD_B_4_SHIFT                              5
#define    CHIPREG_LCD_B_4_PUP_LCD_B_4_MASK                               0x00000020
#define    CHIPREG_LCD_B_4_SRC_LCD_B_4_SHIFT                              4
#define    CHIPREG_LCD_B_4_SRC_LCD_B_4_MASK                               0x00000010
#define    CHIPREG_LCD_B_4_IND_LCD_B_4_SHIFT                              3
#define    CHIPREG_LCD_B_4_IND_LCD_B_4_MASK                               0x00000008
#define    CHIPREG_LCD_B_4_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_4_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_3_OFFSET                                            0x00000A60
#define CHIPREG_LCD_B_3_TYPE                                              UInt32
#define CHIPREG_LCD_B_3_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_3_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_3_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_3_HYS_EN_LCD_B_3_SHIFT                           7
#define    CHIPREG_LCD_B_3_HYS_EN_LCD_B_3_MASK                            0x00000080
#define    CHIPREG_LCD_B_3_PDN_LCD_B_3_SHIFT                              6
#define    CHIPREG_LCD_B_3_PDN_LCD_B_3_MASK                               0x00000040
#define    CHIPREG_LCD_B_3_PUP_LCD_B_3_SHIFT                              5
#define    CHIPREG_LCD_B_3_PUP_LCD_B_3_MASK                               0x00000020
#define    CHIPREG_LCD_B_3_SRC_LCD_B_3_SHIFT                              4
#define    CHIPREG_LCD_B_3_SRC_LCD_B_3_MASK                               0x00000010
#define    CHIPREG_LCD_B_3_IND_LCD_B_3_SHIFT                              3
#define    CHIPREG_LCD_B_3_IND_LCD_B_3_MASK                               0x00000008
#define    CHIPREG_LCD_B_3_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_3_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_2_OFFSET                                            0x00000A64
#define CHIPREG_LCD_B_2_TYPE                                              UInt32
#define CHIPREG_LCD_B_2_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_2_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_2_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_2_HYS_EN_LCD_B_2_SHIFT                           7
#define    CHIPREG_LCD_B_2_HYS_EN_LCD_B_2_MASK                            0x00000080
#define    CHIPREG_LCD_B_2_PDN_LCD_B_2_SHIFT                              6
#define    CHIPREG_LCD_B_2_PDN_LCD_B_2_MASK                               0x00000040
#define    CHIPREG_LCD_B_2_PUP_LCD_B_2_SHIFT                              5
#define    CHIPREG_LCD_B_2_PUP_LCD_B_2_MASK                               0x00000020
#define    CHIPREG_LCD_B_2_SRC_LCD_B_2_SHIFT                              4
#define    CHIPREG_LCD_B_2_SRC_LCD_B_2_MASK                               0x00000010
#define    CHIPREG_LCD_B_2_IND_LCD_B_2_SHIFT                              3
#define    CHIPREG_LCD_B_2_IND_LCD_B_2_MASK                               0x00000008
#define    CHIPREG_LCD_B_2_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_2_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_1_OFFSET                                            0x00000A68
#define CHIPREG_LCD_B_1_TYPE                                              UInt32
#define CHIPREG_LCD_B_1_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_1_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_1_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_1_HYS_EN_LCD_B_1_SHIFT                           7
#define    CHIPREG_LCD_B_1_HYS_EN_LCD_B_1_MASK                            0x00000080
#define    CHIPREG_LCD_B_1_PDN_LCD_B_1_SHIFT                              6
#define    CHIPREG_LCD_B_1_PDN_LCD_B_1_MASK                               0x00000040
#define    CHIPREG_LCD_B_1_PUP_LCD_B_1_SHIFT                              5
#define    CHIPREG_LCD_B_1_PUP_LCD_B_1_MASK                               0x00000020
#define    CHIPREG_LCD_B_1_SRC_LCD_B_1_SHIFT                              4
#define    CHIPREG_LCD_B_1_SRC_LCD_B_1_MASK                               0x00000010
#define    CHIPREG_LCD_B_1_IND_LCD_B_1_SHIFT                              3
#define    CHIPREG_LCD_B_1_IND_LCD_B_1_MASK                               0x00000008
#define    CHIPREG_LCD_B_1_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_1_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_B_0_OFFSET                                            0x00000A6C
#define CHIPREG_LCD_B_0_TYPE                                              UInt32
#define CHIPREG_LCD_B_0_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_LCD_B_0_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_LCD_B_0_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_LCD_B_0_HYS_EN_LCD_B_0_SHIFT                           7
#define    CHIPREG_LCD_B_0_HYS_EN_LCD_B_0_MASK                            0x00000080
#define    CHIPREG_LCD_B_0_PDN_LCD_B_0_SHIFT                              6
#define    CHIPREG_LCD_B_0_PDN_LCD_B_0_MASK                               0x00000040
#define    CHIPREG_LCD_B_0_PUP_LCD_B_0_SHIFT                              5
#define    CHIPREG_LCD_B_0_PUP_LCD_B_0_MASK                               0x00000020
#define    CHIPREG_LCD_B_0_SRC_LCD_B_0_SHIFT                              4
#define    CHIPREG_LCD_B_0_SRC_LCD_B_0_MASK                               0x00000010
#define    CHIPREG_LCD_B_0_IND_LCD_B_0_SHIFT                              3
#define    CHIPREG_LCD_B_0_IND_LCD_B_0_MASK                               0x00000008
#define    CHIPREG_LCD_B_0_SEL_2_0_SHIFT                                  0
#define    CHIPREG_LCD_B_0_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_LCD_HSYNC_OFFSET                                          0x00000A70
#define CHIPREG_LCD_HSYNC_TYPE                                            UInt32
#define CHIPREG_LCD_HSYNC_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_LCD_HSYNC_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_LCD_HSYNC_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_LCD_HSYNC_HYS_EN_LCD_HSYNC_SHIFT                       7
#define    CHIPREG_LCD_HSYNC_HYS_EN_LCD_HSYNC_MASK                        0x00000080
#define    CHIPREG_LCD_HSYNC_PDN_LCD_HSYNC_SHIFT                          6
#define    CHIPREG_LCD_HSYNC_PDN_LCD_HSYNC_MASK                           0x00000040
#define    CHIPREG_LCD_HSYNC_PUP_LCD_HSYNC_SHIFT                          5
#define    CHIPREG_LCD_HSYNC_PUP_LCD_HSYNC_MASK                           0x00000020
#define    CHIPREG_LCD_HSYNC_SRC_LCD_HSYNC_SHIFT                          4
#define    CHIPREG_LCD_HSYNC_SRC_LCD_HSYNC_MASK                           0x00000010
#define    CHIPREG_LCD_HSYNC_IND_LCD_HSYNC_SHIFT                          3
#define    CHIPREG_LCD_HSYNC_IND_LCD_HSYNC_MASK                           0x00000008
#define    CHIPREG_LCD_HSYNC_SEL_2_0_SHIFT                                0
#define    CHIPREG_LCD_HSYNC_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_LCD_VSYNC_OFFSET                                          0x00000A74
#define CHIPREG_LCD_VSYNC_TYPE                                            UInt32
#define CHIPREG_LCD_VSYNC_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_LCD_VSYNC_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_LCD_VSYNC_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_LCD_VSYNC_HYS_EN_LCD_VSYNC_SHIFT                       7
#define    CHIPREG_LCD_VSYNC_HYS_EN_LCD_VSYNC_MASK                        0x00000080
#define    CHIPREG_LCD_VSYNC_PDN_LCD_VSYNC_SHIFT                          6
#define    CHIPREG_LCD_VSYNC_PDN_LCD_VSYNC_MASK                           0x00000040
#define    CHIPREG_LCD_VSYNC_PUP_LCD_VSYNC_SHIFT                          5
#define    CHIPREG_LCD_VSYNC_PUP_LCD_VSYNC_MASK                           0x00000020
#define    CHIPREG_LCD_VSYNC_SRC_LCD_VSYNC_SHIFT                          4
#define    CHIPREG_LCD_VSYNC_SRC_LCD_VSYNC_MASK                           0x00000010
#define    CHIPREG_LCD_VSYNC_IND_LCD_VSYNC_SHIFT                          3
#define    CHIPREG_LCD_VSYNC_IND_LCD_VSYNC_MASK                           0x00000008
#define    CHIPREG_LCD_VSYNC_SEL_2_0_SHIFT                                0
#define    CHIPREG_LCD_VSYNC_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_LCD_OE_OFFSET                                             0x00000A78
#define CHIPREG_LCD_OE_TYPE                                               UInt32
#define CHIPREG_LCD_OE_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_LCD_OE_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_LCD_OE_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_LCD_OE_HYS_EN_LCD_OE_SHIFT                             7
#define    CHIPREG_LCD_OE_HYS_EN_LCD_OE_MASK                              0x00000080
#define    CHIPREG_LCD_OE_PDN_LCD_OE_SHIFT                                6
#define    CHIPREG_LCD_OE_PDN_LCD_OE_MASK                                 0x00000040
#define    CHIPREG_LCD_OE_PUP_LCD_OE_SHIFT                                5
#define    CHIPREG_LCD_OE_PUP_LCD_OE_MASK                                 0x00000020
#define    CHIPREG_LCD_OE_SRC_LCD_OE_SHIFT                                4
#define    CHIPREG_LCD_OE_SRC_LCD_OE_MASK                                 0x00000010
#define    CHIPREG_LCD_OE_IND_LCD_OE_SHIFT                                3
#define    CHIPREG_LCD_OE_IND_LCD_OE_MASK                                 0x00000008
#define    CHIPREG_LCD_OE_SEL_2_0_SHIFT                                   0
#define    CHIPREG_LCD_OE_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_LCD_PCLK_OFFSET                                           0x00000A7C
#define CHIPREG_LCD_PCLK_TYPE                                             UInt32
#define CHIPREG_LCD_PCLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_LCD_PCLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_LCD_PCLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_LCD_PCLK_HYS_EN_LCD_PCLK_SHIFT                         7
#define    CHIPREG_LCD_PCLK_HYS_EN_LCD_PCLK_MASK                          0x00000080
#define    CHIPREG_LCD_PCLK_PDN_LCD_PCLK_SHIFT                            6
#define    CHIPREG_LCD_PCLK_PDN_LCD_PCLK_MASK                             0x00000040
#define    CHIPREG_LCD_PCLK_PUP_LCD_PCLK_SHIFT                            5
#define    CHIPREG_LCD_PCLK_PUP_LCD_PCLK_MASK                             0x00000020
#define    CHIPREG_LCD_PCLK_SRC_LCD_PCLK_SHIFT                            4
#define    CHIPREG_LCD_PCLK_SRC_LCD_PCLK_MASK                             0x00000010
#define    CHIPREG_LCD_PCLK_IND_LCD_PCLK_SHIFT                            3
#define    CHIPREG_LCD_PCLK_IND_LCD_PCLK_MASK                             0x00000008
#define    CHIPREG_LCD_PCLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_LCD_PCLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_CLKREQ_IN_0_OFFSET                                        0x00000A80
#define CHIPREG_CLKREQ_IN_0_TYPE                                          UInt32
#define CHIPREG_CLKREQ_IN_0_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_CLKREQ_IN_0_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_CLKREQ_IN_0_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_CLKREQ_IN_0_HYS_EN_CLKREQ_IN_0_SHIFT                   7
#define    CHIPREG_CLKREQ_IN_0_HYS_EN_CLKREQ_IN_0_MASK                    0x00000080
#define    CHIPREG_CLKREQ_IN_0_PDN_CLKREQ_IN_0_SHIFT                      6
#define    CHIPREG_CLKREQ_IN_0_PDN_CLKREQ_IN_0_MASK                       0x00000040
#define    CHIPREG_CLKREQ_IN_0_PUP_CLKREQ_IN_0_SHIFT                      5
#define    CHIPREG_CLKREQ_IN_0_PUP_CLKREQ_IN_0_MASK                       0x00000020
#define    CHIPREG_CLKREQ_IN_0_SRC_CLKREQ_IN_0_SHIFT                      4
#define    CHIPREG_CLKREQ_IN_0_SRC_CLKREQ_IN_0_MASK                       0x00000010
#define    CHIPREG_CLKREQ_IN_0_IND_CLKREQ_IN_0_SHIFT                      3
#define    CHIPREG_CLKREQ_IN_0_IND_CLKREQ_IN_0_MASK                       0x00000008
#define    CHIPREG_CLKREQ_IN_0_SEL_2_0_SHIFT                              0
#define    CHIPREG_CLKREQ_IN_0_SEL_2_0_MASK                               0x00000007

#define CHIPREG_CLKREQ_IN_1_OFFSET                                        0x00000A84
#define CHIPREG_CLKREQ_IN_1_TYPE                                          UInt32
#define CHIPREG_CLKREQ_IN_1_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_CLKREQ_IN_1_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_CLKREQ_IN_1_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_CLKREQ_IN_1_HYS_EN_CLKREQ_IN_1_SHIFT                   7
#define    CHIPREG_CLKREQ_IN_1_HYS_EN_CLKREQ_IN_1_MASK                    0x00000080
#define    CHIPREG_CLKREQ_IN_1_PDN_CLKREQ_IN_1_SHIFT                      6
#define    CHIPREG_CLKREQ_IN_1_PDN_CLKREQ_IN_1_MASK                       0x00000040
#define    CHIPREG_CLKREQ_IN_1_PUP_CLKREQ_IN_1_SHIFT                      5
#define    CHIPREG_CLKREQ_IN_1_PUP_CLKREQ_IN_1_MASK                       0x00000020
#define    CHIPREG_CLKREQ_IN_1_SRC_CLKREQ_IN_1_SHIFT                      4
#define    CHIPREG_CLKREQ_IN_1_SRC_CLKREQ_IN_1_MASK                       0x00000010
#define    CHIPREG_CLKREQ_IN_1_IND_CLKREQ_IN_1_SHIFT                      3
#define    CHIPREG_CLKREQ_IN_1_IND_CLKREQ_IN_1_MASK                       0x00000008
#define    CHIPREG_CLKREQ_IN_1_SEL_2_0_SHIFT                              0
#define    CHIPREG_CLKREQ_IN_1_SEL_2_0_MASK                               0x00000007

#define CHIPREG_CLKOUT_0_OFFSET                                           0x00000A88
#define CHIPREG_CLKOUT_0_TYPE                                             UInt32
#define CHIPREG_CLKOUT_0_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_CLKOUT_0_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_CLKOUT_0_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_CLKOUT_0_HYS_EN_CLKOUT_0_SHIFT                         7
#define    CHIPREG_CLKOUT_0_HYS_EN_CLKOUT_0_MASK                          0x00000080
#define    CHIPREG_CLKOUT_0_PDN_CLKOUT_0_SHIFT                            6
#define    CHIPREG_CLKOUT_0_PDN_CLKOUT_0_MASK                             0x00000040
#define    CHIPREG_CLKOUT_0_PUP_CLKOUT_0_SHIFT                            5
#define    CHIPREG_CLKOUT_0_PUP_CLKOUT_0_MASK                             0x00000020
#define    CHIPREG_CLKOUT_0_SRC_CLKOUT_0_SHIFT                            4
#define    CHIPREG_CLKOUT_0_SRC_CLKOUT_0_MASK                             0x00000010
#define    CHIPREG_CLKOUT_0_IND_CLKOUT_0_SHIFT                            3
#define    CHIPREG_CLKOUT_0_IND_CLKOUT_0_MASK                             0x00000008
#define    CHIPREG_CLKOUT_0_SEL_2_0_SHIFT                                 0
#define    CHIPREG_CLKOUT_0_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_CLKOUT_1_OFFSET                                           0x00000A8C
#define CHIPREG_CLKOUT_1_TYPE                                             UInt32
#define CHIPREG_CLKOUT_1_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_CLKOUT_1_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_CLKOUT_1_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_CLKOUT_1_HYS_EN_CLKOUT_1_SHIFT                         7
#define    CHIPREG_CLKOUT_1_HYS_EN_CLKOUT_1_MASK                          0x00000080
#define    CHIPREG_CLKOUT_1_PDN_CLKOUT_1_SHIFT                            6
#define    CHIPREG_CLKOUT_1_PDN_CLKOUT_1_MASK                             0x00000040
#define    CHIPREG_CLKOUT_1_PUP_CLKOUT_1_SHIFT                            5
#define    CHIPREG_CLKOUT_1_PUP_CLKOUT_1_MASK                             0x00000020
#define    CHIPREG_CLKOUT_1_SRC_CLKOUT_1_SHIFT                            4
#define    CHIPREG_CLKOUT_1_SRC_CLKOUT_1_MASK                             0x00000010
#define    CHIPREG_CLKOUT_1_IND_CLKOUT_1_SHIFT                            3
#define    CHIPREG_CLKOUT_1_IND_CLKOUT_1_MASK                             0x00000008
#define    CHIPREG_CLKOUT_1_SEL_2_0_SHIFT                                 0
#define    CHIPREG_CLKOUT_1_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_DIGMIC1_CLK_OFFSET                                        0x00000A90
#define CHIPREG_DIGMIC1_CLK_TYPE                                          UInt32
#define CHIPREG_DIGMIC1_CLK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_DIGMIC1_CLK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_DIGMIC1_CLK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_DIGMIC1_CLK_HYS_EN_DIGMIC1_CLK_SHIFT                   7
#define    CHIPREG_DIGMIC1_CLK_HYS_EN_DIGMIC1_CLK_MASK                    0x00000080
#define    CHIPREG_DIGMIC1_CLK_PDN_DIGMIC1_CLK_SHIFT                      6
#define    CHIPREG_DIGMIC1_CLK_PDN_DIGMIC1_CLK_MASK                       0x00000040
#define    CHIPREG_DIGMIC1_CLK_PUP_DIGMIC1_CLK_SHIFT                      5
#define    CHIPREG_DIGMIC1_CLK_PUP_DIGMIC1_CLK_MASK                       0x00000020
#define    CHIPREG_DIGMIC1_CLK_SRC_DIGMIC1_CLK_SHIFT                      4
#define    CHIPREG_DIGMIC1_CLK_SRC_DIGMIC1_CLK_MASK                       0x00000010
#define    CHIPREG_DIGMIC1_CLK_IND_DIGMIC1_CLK_SHIFT                      3
#define    CHIPREG_DIGMIC1_CLK_IND_DIGMIC1_CLK_MASK                       0x00000008
#define    CHIPREG_DIGMIC1_CLK_SEL_2_0_SHIFT                              0
#define    CHIPREG_DIGMIC1_CLK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_DIGMIC1_DQ_OFFSET                                         0x00000A94
#define CHIPREG_DIGMIC1_DQ_TYPE                                           UInt32
#define CHIPREG_DIGMIC1_DQ_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_DIGMIC1_DQ_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_DIGMIC1_DQ_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_DIGMIC1_DQ_HYS_EN_DIGMIC1_DQ_SHIFT                     7
#define    CHIPREG_DIGMIC1_DQ_HYS_EN_DIGMIC1_DQ_MASK                      0x00000080
#define    CHIPREG_DIGMIC1_DQ_PDN_DIGMIC1_DQ_SHIFT                        6
#define    CHIPREG_DIGMIC1_DQ_PDN_DIGMIC1_DQ_MASK                         0x00000040
#define    CHIPREG_DIGMIC1_DQ_PUP_DIGMIC1_DQ_SHIFT                        5
#define    CHIPREG_DIGMIC1_DQ_PUP_DIGMIC1_DQ_MASK                         0x00000020
#define    CHIPREG_DIGMIC1_DQ_SRC_DIGMIC1_DQ_SHIFT                        4
#define    CHIPREG_DIGMIC1_DQ_SRC_DIGMIC1_DQ_MASK                         0x00000010
#define    CHIPREG_DIGMIC1_DQ_IND_DIGMIC1_DQ_SHIFT                        3
#define    CHIPREG_DIGMIC1_DQ_IND_DIGMIC1_DQ_MASK                         0x00000008
#define    CHIPREG_DIGMIC1_DQ_SEL_2_0_SHIFT                               0
#define    CHIPREG_DIGMIC1_DQ_SEL_2_0_MASK                                0x00000007

#define CHIPREG_DIGMIC2_CLK_OFFSET                                        0x00000A98
#define CHIPREG_DIGMIC2_CLK_TYPE                                          UInt32
#define CHIPREG_DIGMIC2_CLK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_DIGMIC2_CLK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_DIGMIC2_CLK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_DIGMIC2_CLK_HYS_EN_DIGMIC2_CLK_SHIFT                   7
#define    CHIPREG_DIGMIC2_CLK_HYS_EN_DIGMIC2_CLK_MASK                    0x00000080
#define    CHIPREG_DIGMIC2_CLK_PDN_DIGMIC2_CLK_SHIFT                      6
#define    CHIPREG_DIGMIC2_CLK_PDN_DIGMIC2_CLK_MASK                       0x00000040
#define    CHIPREG_DIGMIC2_CLK_PUP_DIGMIC2_CLK_SHIFT                      5
#define    CHIPREG_DIGMIC2_CLK_PUP_DIGMIC2_CLK_MASK                       0x00000020
#define    CHIPREG_DIGMIC2_CLK_SRC_DIGMIC2_CLK_SHIFT                      4
#define    CHIPREG_DIGMIC2_CLK_SRC_DIGMIC2_CLK_MASK                       0x00000010
#define    CHIPREG_DIGMIC2_CLK_IND_DIGMIC2_CLK_SHIFT                      3
#define    CHIPREG_DIGMIC2_CLK_IND_DIGMIC2_CLK_MASK                       0x00000008
#define    CHIPREG_DIGMIC2_CLK_SEL_2_0_SHIFT                              0
#define    CHIPREG_DIGMIC2_CLK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_DIGMIC2_DQ_OFFSET                                         0x00000A9C
#define CHIPREG_DIGMIC2_DQ_TYPE                                           UInt32
#define CHIPREG_DIGMIC2_DQ_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_DIGMIC2_DQ_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_DIGMIC2_DQ_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_DIGMIC2_DQ_HYS_EN_DIGMIC2_DQ_SHIFT                     7
#define    CHIPREG_DIGMIC2_DQ_HYS_EN_DIGMIC2_DQ_MASK                      0x00000080
#define    CHIPREG_DIGMIC2_DQ_PDN_DIGMIC2_DQ_SHIFT                        6
#define    CHIPREG_DIGMIC2_DQ_PDN_DIGMIC2_DQ_MASK                         0x00000040
#define    CHIPREG_DIGMIC2_DQ_PUP_DIGMIC2_DQ_SHIFT                        5
#define    CHIPREG_DIGMIC2_DQ_PUP_DIGMIC2_DQ_MASK                         0x00000020
#define    CHIPREG_DIGMIC2_DQ_SRC_DIGMIC2_DQ_SHIFT                        4
#define    CHIPREG_DIGMIC2_DQ_SRC_DIGMIC2_DQ_MASK                         0x00000010
#define    CHIPREG_DIGMIC2_DQ_IND_DIGMIC2_DQ_SHIFT                        3
#define    CHIPREG_DIGMIC2_DQ_IND_DIGMIC2_DQ_MASK                         0x00000008
#define    CHIPREG_DIGMIC2_DQ_SEL_2_0_SHIFT                               0
#define    CHIPREG_DIGMIC2_DQ_SEL_2_0_MASK                                0x00000007

#define CHIPREG_PC1_OFFSET                                                0x00000AA0
#define CHIPREG_PC1_TYPE                                                  UInt32
#define CHIPREG_PC1_RESERVED_MASK                                         0xFFFFF800
#define    CHIPREG_PC1_PINSEL_2_0_SHIFT                                   8
#define    CHIPREG_PC1_PINSEL_2_0_MASK                                    0x00000700
#define    CHIPREG_PC1_HYS_EN_PC1_SHIFT                                   7
#define    CHIPREG_PC1_HYS_EN_PC1_MASK                                    0x00000080
#define    CHIPREG_PC1_PDN_PC1_SHIFT                                      6
#define    CHIPREG_PC1_PDN_PC1_MASK                                       0x00000040
#define    CHIPREG_PC1_PUP_PC1_SHIFT                                      5
#define    CHIPREG_PC1_PUP_PC1_MASK                                       0x00000020
#define    CHIPREG_PC1_SRC_PC1_SHIFT                                      4
#define    CHIPREG_PC1_SRC_PC1_MASK                                       0x00000010
#define    CHIPREG_PC1_IND_PC1_SHIFT                                      3
#define    CHIPREG_PC1_IND_PC1_MASK                                       0x00000008
#define    CHIPREG_PC1_SEL_2_0_SHIFT                                      0
#define    CHIPREG_PC1_SEL_2_0_MASK                                       0x00000007

#define CHIPREG_PC2_OFFSET                                                0x00000AA4
#define CHIPREG_PC2_TYPE                                                  UInt32
#define CHIPREG_PC2_RESERVED_MASK                                         0xFFFFF800
#define    CHIPREG_PC2_PINSEL_2_0_SHIFT                                   8
#define    CHIPREG_PC2_PINSEL_2_0_MASK                                    0x00000700
#define    CHIPREG_PC2_HYS_EN_PC2_SHIFT                                   7
#define    CHIPREG_PC2_HYS_EN_PC2_MASK                                    0x00000080
#define    CHIPREG_PC2_PDN_PC2_SHIFT                                      6
#define    CHIPREG_PC2_PDN_PC2_MASK                                       0x00000040
#define    CHIPREG_PC2_PUP_PC2_SHIFT                                      5
#define    CHIPREG_PC2_PUP_PC2_MASK                                       0x00000020
#define    CHIPREG_PC2_SRC_PC2_SHIFT                                      4
#define    CHIPREG_PC2_SRC_PC2_MASK                                       0x00000010
#define    CHIPREG_PC2_IND_PC2_SHIFT                                      3
#define    CHIPREG_PC2_IND_PC2_MASK                                       0x00000008
#define    CHIPREG_PC2_SEL_2_0_SHIFT                                      0
#define    CHIPREG_PC2_SEL_2_0_MASK                                       0x00000007

#define CHIPREG_BAT_RM_OFFSET                                             0x00000AA8
#define CHIPREG_BAT_RM_TYPE                                               UInt32
#define CHIPREG_BAT_RM_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_BAT_RM_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_BAT_RM_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_BAT_RM_HYS_EN_BAT_RM_SHIFT                             7
#define    CHIPREG_BAT_RM_HYS_EN_BAT_RM_MASK                              0x00000080
#define    CHIPREG_BAT_RM_PDN_BAT_RM_SHIFT                                6
#define    CHIPREG_BAT_RM_PDN_BAT_RM_MASK                                 0x00000040
#define    CHIPREG_BAT_RM_PUP_BAT_RM_SHIFT                                5
#define    CHIPREG_BAT_RM_PUP_BAT_RM_MASK                                 0x00000020
#define    CHIPREG_BAT_RM_SRC_BAT_RM_SHIFT                                4
#define    CHIPREG_BAT_RM_SRC_BAT_RM_MASK                                 0x00000010
#define    CHIPREG_BAT_RM_IND_BAT_RM_SHIFT                                3
#define    CHIPREG_BAT_RM_IND_BAT_RM_MASK                                 0x00000008
#define    CHIPREG_BAT_RM_SEL_2_0_SHIFT                                   0
#define    CHIPREG_BAT_RM_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_PMU_INT_OFFSET                                            0x00000AAC
#define CHIPREG_PMU_INT_TYPE                                              UInt32
#define CHIPREG_PMU_INT_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_PMU_INT_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_PMU_INT_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_PMU_INT_HYS_EN_PMU_INT_SHIFT                           7
#define    CHIPREG_PMU_INT_HYS_EN_PMU_INT_MASK                            0x00000080
#define    CHIPREG_PMU_INT_PDN_PMU_INT_SHIFT                              6
#define    CHIPREG_PMU_INT_PDN_PMU_INT_MASK                               0x00000040
#define    CHIPREG_PMU_INT_PUP_PMU_INT_SHIFT                              5
#define    CHIPREG_PMU_INT_PUP_PMU_INT_MASK                               0x00000020
#define    CHIPREG_PMU_INT_SRC_PMU_INT_SHIFT                              4
#define    CHIPREG_PMU_INT_SRC_PMU_INT_MASK                               0x00000010
#define    CHIPREG_PMU_INT_IND_PMU_INT_SHIFT                              3
#define    CHIPREG_PMU_INT_IND_PMU_INT_MASK                               0x00000008
#define    CHIPREG_PMU_INT_SEL_2_0_SHIFT                                  0
#define    CHIPREG_PMU_INT_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_STAT_1_OFFSET                                             0x00000AB0
#define CHIPREG_STAT_1_TYPE                                               UInt32
#define CHIPREG_STAT_1_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_STAT_1_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_STAT_1_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_STAT_1_HYS_EN_STAT_1_SHIFT                             7
#define    CHIPREG_STAT_1_HYS_EN_STAT_1_MASK                              0x00000080
#define    CHIPREG_STAT_1_PDN_STAT_1_SHIFT                                6
#define    CHIPREG_STAT_1_PDN_STAT_1_MASK                                 0x00000040
#define    CHIPREG_STAT_1_PUP_STAT_1_SHIFT                                5
#define    CHIPREG_STAT_1_PUP_STAT_1_MASK                                 0x00000020
#define    CHIPREG_STAT_1_SRC_STAT_1_SHIFT                                4
#define    CHIPREG_STAT_1_SRC_STAT_1_MASK                                 0x00000010
#define    CHIPREG_STAT_1_IND_STAT_1_SHIFT                                3
#define    CHIPREG_STAT_1_IND_STAT_1_MASK                                 0x00000008
#define    CHIPREG_STAT_1_SEL_2_0_SHIFT                                   0
#define    CHIPREG_STAT_1_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_STAT_2_OFFSET                                             0x00000AB4
#define CHIPREG_STAT_2_TYPE                                               UInt32
#define CHIPREG_STAT_2_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_STAT_2_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_STAT_2_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_STAT_2_HYS_EN_STAT_2_SHIFT                             7
#define    CHIPREG_STAT_2_HYS_EN_STAT_2_MASK                              0x00000080
#define    CHIPREG_STAT_2_PDN_STAT_2_SHIFT                                6
#define    CHIPREG_STAT_2_PDN_STAT_2_MASK                                 0x00000040
#define    CHIPREG_STAT_2_PUP_STAT_2_SHIFT                                5
#define    CHIPREG_STAT_2_PUP_STAT_2_MASK                                 0x00000020
#define    CHIPREG_STAT_2_SRC_STAT_2_SHIFT                                4
#define    CHIPREG_STAT_2_SRC_STAT_2_MASK                                 0x00000010
#define    CHIPREG_STAT_2_IND_STAT_2_SHIFT                                3
#define    CHIPREG_STAT_2_IND_STAT_2_MASK                                 0x00000008
#define    CHIPREG_STAT_2_SEL_2_0_SHIFT                                   0
#define    CHIPREG_STAT_2_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_7_OFFSET                                             0x00000AB8
#define CHIPREG_GPIO_7_TYPE                                               UInt32
#define CHIPREG_GPIO_7_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_7_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_7_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_7_HYS_EN_GPIO_7_SHIFT                             7
#define    CHIPREG_GPIO_7_HYS_EN_GPIO_7_MASK                              0x00000080
#define    CHIPREG_GPIO_7_PDN_GPIO_7_SHIFT                                6
#define    CHIPREG_GPIO_7_PDN_GPIO_7_MASK                                 0x00000040
#define    CHIPREG_GPIO_7_PUP_GPIO_7_SHIFT                                5
#define    CHIPREG_GPIO_7_PUP_GPIO_7_MASK                                 0x00000020
#define    CHIPREG_GPIO_7_SRC_GPIO_7_SHIFT                                4
#define    CHIPREG_GPIO_7_SRC_GPIO_7_MASK                                 0x00000010
#define    CHIPREG_GPIO_7_IND_GPIO_7_SHIFT                                3
#define    CHIPREG_GPIO_7_IND_GPIO_7_MASK                                 0x00000008
#define    CHIPREG_GPIO_7_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_7_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_6_OFFSET                                             0x00000ABC
#define CHIPREG_GPIO_6_TYPE                                               UInt32
#define CHIPREG_GPIO_6_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_6_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_6_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_6_HYS_EN_GPIO_6_SHIFT                             7
#define    CHIPREG_GPIO_6_HYS_EN_GPIO_6_MASK                              0x00000080
#define    CHIPREG_GPIO_6_PDN_GPIO_6_SHIFT                                6
#define    CHIPREG_GPIO_6_PDN_GPIO_6_MASK                                 0x00000040
#define    CHIPREG_GPIO_6_PUP_GPIO_6_SHIFT                                5
#define    CHIPREG_GPIO_6_PUP_GPIO_6_MASK                                 0x00000020
#define    CHIPREG_GPIO_6_SRC_GPIO_6_SHIFT                                4
#define    CHIPREG_GPIO_6_SRC_GPIO_6_MASK                                 0x00000010
#define    CHIPREG_GPIO_6_IND_GPIO_6_SHIFT                                3
#define    CHIPREG_GPIO_6_IND_GPIO_6_MASK                                 0x00000008
#define    CHIPREG_GPIO_6_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_6_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_5_OFFSET                                             0x00000AC0
#define CHIPREG_GPIO_5_TYPE                                               UInt32
#define CHIPREG_GPIO_5_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_5_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_5_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_5_HYS_EN_GPIO_5_SHIFT                             7
#define    CHIPREG_GPIO_5_HYS_EN_GPIO_5_MASK                              0x00000080
#define    CHIPREG_GPIO_5_PDN_GPIO_5_SHIFT                                6
#define    CHIPREG_GPIO_5_PDN_GPIO_5_MASK                                 0x00000040
#define    CHIPREG_GPIO_5_PUP_GPIO_5_SHIFT                                5
#define    CHIPREG_GPIO_5_PUP_GPIO_5_MASK                                 0x00000020
#define    CHIPREG_GPIO_5_SRC_GPIO_5_SHIFT                                4
#define    CHIPREG_GPIO_5_SRC_GPIO_5_MASK                                 0x00000010
#define    CHIPREG_GPIO_5_IND_GPIO_5_SHIFT                                3
#define    CHIPREG_GPIO_5_IND_GPIO_5_MASK                                 0x00000008
#define    CHIPREG_GPIO_5_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_5_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_4_OFFSET                                             0x00000AC4
#define CHIPREG_GPIO_4_TYPE                                               UInt32
#define CHIPREG_GPIO_4_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_4_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_4_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_4_HYS_EN_GPIO_4_SHIFT                             7
#define    CHIPREG_GPIO_4_HYS_EN_GPIO_4_MASK                              0x00000080
#define    CHIPREG_GPIO_4_PDN_GPIO_4_SHIFT                                6
#define    CHIPREG_GPIO_4_PDN_GPIO_4_MASK                                 0x00000040
#define    CHIPREG_GPIO_4_PUP_GPIO_4_SHIFT                                5
#define    CHIPREG_GPIO_4_PUP_GPIO_4_MASK                                 0x00000020
#define    CHIPREG_GPIO_4_SRC_GPIO_4_SHIFT                                4
#define    CHIPREG_GPIO_4_SRC_GPIO_4_MASK                                 0x00000010
#define    CHIPREG_GPIO_4_IND_GPIO_4_SHIFT                                3
#define    CHIPREG_GPIO_4_IND_GPIO_4_MASK                                 0x00000008
#define    CHIPREG_GPIO_4_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_4_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_3_OFFSET                                             0x00000AC8
#define CHIPREG_GPIO_3_TYPE                                               UInt32
#define CHIPREG_GPIO_3_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_3_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_3_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_3_HYS_EN_GPIO_3_SHIFT                             7
#define    CHIPREG_GPIO_3_HYS_EN_GPIO_3_MASK                              0x00000080
#define    CHIPREG_GPIO_3_PDN_GPIO_3_SHIFT                                6
#define    CHIPREG_GPIO_3_PDN_GPIO_3_MASK                                 0x00000040
#define    CHIPREG_GPIO_3_PUP_GPIO_3_SHIFT                                5
#define    CHIPREG_GPIO_3_PUP_GPIO_3_MASK                                 0x00000020
#define    CHIPREG_GPIO_3_SRC_GPIO_3_SHIFT                                4
#define    CHIPREG_GPIO_3_SRC_GPIO_3_MASK                                 0x00000010
#define    CHIPREG_GPIO_3_IND_GPIO_3_SHIFT                                3
#define    CHIPREG_GPIO_3_IND_GPIO_3_MASK                                 0x00000008
#define    CHIPREG_GPIO_3_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_3_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_2_OFFSET                                             0x00000ACC
#define CHIPREG_GPIO_2_TYPE                                               UInt32
#define CHIPREG_GPIO_2_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_2_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_2_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_2_HYS_EN_GPIO_2_SHIFT                             7
#define    CHIPREG_GPIO_2_HYS_EN_GPIO_2_MASK                              0x00000080
#define    CHIPREG_GPIO_2_PDN_GPIO_2_SHIFT                                6
#define    CHIPREG_GPIO_2_PDN_GPIO_2_MASK                                 0x00000040
#define    CHIPREG_GPIO_2_PUP_GPIO_2_SHIFT                                5
#define    CHIPREG_GPIO_2_PUP_GPIO_2_MASK                                 0x00000020
#define    CHIPREG_GPIO_2_SRC_GPIO_2_SHIFT                                4
#define    CHIPREG_GPIO_2_SRC_GPIO_2_MASK                                 0x00000010
#define    CHIPREG_GPIO_2_IND_GPIO_2_SHIFT                                3
#define    CHIPREG_GPIO_2_IND_GPIO_2_MASK                                 0x00000008
#define    CHIPREG_GPIO_2_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_2_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_1_OFFSET                                             0x00000AD0
#define CHIPREG_GPIO_1_TYPE                                               UInt32
#define CHIPREG_GPIO_1_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_1_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_1_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_1_HYS_EN_GPIO_1_SHIFT                             7
#define    CHIPREG_GPIO_1_HYS_EN_GPIO_1_MASK                              0x00000080
#define    CHIPREG_GPIO_1_PDN_GPIO_1_SHIFT                                6
#define    CHIPREG_GPIO_1_PDN_GPIO_1_MASK                                 0x00000040
#define    CHIPREG_GPIO_1_PUP_GPIO_1_SHIFT                                5
#define    CHIPREG_GPIO_1_PUP_GPIO_1_MASK                                 0x00000020
#define    CHIPREG_GPIO_1_SRC_GPIO_1_SHIFT                                4
#define    CHIPREG_GPIO_1_SRC_GPIO_1_MASK                                 0x00000010
#define    CHIPREG_GPIO_1_IND_GPIO_1_SHIFT                                3
#define    CHIPREG_GPIO_1_IND_GPIO_1_MASK                                 0x00000008
#define    CHIPREG_GPIO_1_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_1_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPIO_0_OFFSET                                             0x00000AD4
#define CHIPREG_GPIO_0_TYPE                                               UInt32
#define CHIPREG_GPIO_0_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPIO_0_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPIO_0_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPIO_0_HYS_EN_GPIO_0_SHIFT                             7
#define    CHIPREG_GPIO_0_HYS_EN_GPIO_0_MASK                              0x00000080
#define    CHIPREG_GPIO_0_PDN_GPIO_0_SHIFT                                6
#define    CHIPREG_GPIO_0_PDN_GPIO_0_MASK                                 0x00000040
#define    CHIPREG_GPIO_0_PUP_GPIO_0_SHIFT                                5
#define    CHIPREG_GPIO_0_PUP_GPIO_0_MASK                                 0x00000020
#define    CHIPREG_GPIO_0_SRC_GPIO_0_SHIFT                                4
#define    CHIPREG_GPIO_0_SRC_GPIO_0_MASK                                 0x00000010
#define    CHIPREG_GPIO_0_IND_GPIO_0_SHIFT                                3
#define    CHIPREG_GPIO_0_IND_GPIO_0_MASK                                 0x00000008
#define    CHIPREG_GPIO_0_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPIO_0_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_ADCSYN_OFFSET                                             0x00000AD8
#define CHIPREG_ADCSYN_TYPE                                               UInt32
#define CHIPREG_ADCSYN_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_ADCSYN_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_ADCSYN_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_ADCSYN_HYS_EN_ADCSYN_SHIFT                             7
#define    CHIPREG_ADCSYN_HYS_EN_ADCSYN_MASK                              0x00000080
#define    CHIPREG_ADCSYN_PDN_ADCSYN_SHIFT                                6
#define    CHIPREG_ADCSYN_PDN_ADCSYN_MASK                                 0x00000040
#define    CHIPREG_ADCSYN_PUP_ADCSYN_SHIFT                                5
#define    CHIPREG_ADCSYN_PUP_ADCSYN_MASK                                 0x00000020
#define    CHIPREG_ADCSYN_SRC_ADCSYN_SHIFT                                4
#define    CHIPREG_ADCSYN_SRC_ADCSYN_MASK                                 0x00000010
#define    CHIPREG_ADCSYN_IND_ADCSYN_SHIFT                                3
#define    CHIPREG_ADCSYN_IND_ADCSYN_MASK                                 0x00000008
#define    CHIPREG_ADCSYN_SEL_2_0_SHIFT                                   0
#define    CHIPREG_ADCSYN_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPS_TMARK_OFFSET                                          0x00000ADC
#define CHIPREG_GPS_TMARK_TYPE                                            UInt32
#define CHIPREG_GPS_TMARK_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_GPS_TMARK_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_GPS_TMARK_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_GPS_TMARK_HYS_EN_GPS_TMARK_SHIFT                       7
#define    CHIPREG_GPS_TMARK_HYS_EN_GPS_TMARK_MASK                        0x00000080
#define    CHIPREG_GPS_TMARK_PDN_GPS_TMARK_SHIFT                          6
#define    CHIPREG_GPS_TMARK_PDN_GPS_TMARK_MASK                           0x00000040
#define    CHIPREG_GPS_TMARK_PUP_GPS_TMARK_SHIFT                          5
#define    CHIPREG_GPS_TMARK_PUP_GPS_TMARK_MASK                           0x00000020
#define    CHIPREG_GPS_TMARK_SRC_GPS_TMARK_SHIFT                          4
#define    CHIPREG_GPS_TMARK_SRC_GPS_TMARK_MASK                           0x00000010
#define    CHIPREG_GPS_TMARK_IND_GPS_TMARK_SHIFT                          3
#define    CHIPREG_GPS_TMARK_IND_GPS_TMARK_MASK                           0x00000008
#define    CHIPREG_GPS_TMARK_SEL_2_0_SHIFT                                0
#define    CHIPREG_GPS_TMARK_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_GPS_PABLANK_OFFSET                                        0x00000AE0
#define CHIPREG_GPS_PABLANK_TYPE                                          UInt32
#define CHIPREG_GPS_PABLANK_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_GPS_PABLANK_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_GPS_PABLANK_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_GPS_PABLANK_HYS_EN_GPS_PABLANK_SHIFT                   7
#define    CHIPREG_GPS_PABLANK_HYS_EN_GPS_PABLANK_MASK                    0x00000080
#define    CHIPREG_GPS_PABLANK_PDN_GPS_PABLANK_SHIFT                      6
#define    CHIPREG_GPS_PABLANK_PDN_GPS_PABLANK_MASK                       0x00000040
#define    CHIPREG_GPS_PABLANK_PUP_GPS_PABLANK_SHIFT                      5
#define    CHIPREG_GPS_PABLANK_PUP_GPS_PABLANK_MASK                       0x00000020
#define    CHIPREG_GPS_PABLANK_SRC_GPS_PABLANK_SHIFT                      4
#define    CHIPREG_GPS_PABLANK_SRC_GPS_PABLANK_MASK                       0x00000010
#define    CHIPREG_GPS_PABLANK_IND_GPS_PABLANK_SHIFT                      3
#define    CHIPREG_GPS_PABLANK_IND_GPS_PABLANK_MASK                       0x00000008
#define    CHIPREG_GPS_PABLANK_SEL_2_0_SHIFT                              0
#define    CHIPREG_GPS_PABLANK_SEL_2_0_MASK                               0x00000007

#define CHIPREG_GPS_CALREQ_OFFSET                                         0x00000AE4
#define CHIPREG_GPS_CALREQ_TYPE                                           UInt32
#define CHIPREG_GPS_CALREQ_RESERVED_MASK                                  0xFFFFF800
#define    CHIPREG_GPS_CALREQ_PINSEL_2_0_SHIFT                            8
#define    CHIPREG_GPS_CALREQ_PINSEL_2_0_MASK                             0x00000700
#define    CHIPREG_GPS_CALREQ_HYS_EN_GPS_CALREQ_SHIFT                     7
#define    CHIPREG_GPS_CALREQ_HYS_EN_GPS_CALREQ_MASK                      0x00000080
#define    CHIPREG_GPS_CALREQ_PDN_GPS_CALREQ_SHIFT                        6
#define    CHIPREG_GPS_CALREQ_PDN_GPS_CALREQ_MASK                         0x00000040
#define    CHIPREG_GPS_CALREQ_PUP_GPS_CALREQ_SHIFT                        5
#define    CHIPREG_GPS_CALREQ_PUP_GPS_CALREQ_MASK                         0x00000020
#define    CHIPREG_GPS_CALREQ_SRC_GPS_CALREQ_SHIFT                        4
#define    CHIPREG_GPS_CALREQ_SRC_GPS_CALREQ_MASK                         0x00000010
#define    CHIPREG_GPS_CALREQ_IND_GPS_CALREQ_SHIFT                        3
#define    CHIPREG_GPS_CALREQ_IND_GPS_CALREQ_MASK                         0x00000008
#define    CHIPREG_GPS_CALREQ_SEL_2_0_SHIFT                               0
#define    CHIPREG_GPS_CALREQ_SEL_2_0_MASK                                0x00000007

#define CHIPREG_GPS_HOSTREQ_OFFSET                                        0x00000AE8
#define CHIPREG_GPS_HOSTREQ_TYPE                                          UInt32
#define CHIPREG_GPS_HOSTREQ_RESERVED_MASK                                 0xFFFFF800
#define    CHIPREG_GPS_HOSTREQ_PINSEL_2_0_SHIFT                           8
#define    CHIPREG_GPS_HOSTREQ_PINSEL_2_0_MASK                            0x00000700
#define    CHIPREG_GPS_HOSTREQ_HYS_EN_GPS_HOSTREQ_SHIFT                   7
#define    CHIPREG_GPS_HOSTREQ_HYS_EN_GPS_HOSTREQ_MASK                    0x00000080
#define    CHIPREG_GPS_HOSTREQ_PDN_GPS_HOSTREQ_SHIFT                      6
#define    CHIPREG_GPS_HOSTREQ_PDN_GPS_HOSTREQ_MASK                       0x00000040
#define    CHIPREG_GPS_HOSTREQ_PUP_GPS_HOSTREQ_SHIFT                      5
#define    CHIPREG_GPS_HOSTREQ_PUP_GPS_HOSTREQ_MASK                       0x00000020
#define    CHIPREG_GPS_HOSTREQ_SRC_GPS_HOSTREQ_SHIFT                      4
#define    CHIPREG_GPS_HOSTREQ_SRC_GPS_HOSTREQ_MASK                       0x00000010
#define    CHIPREG_GPS_HOSTREQ_IND_GPS_HOSTREQ_SHIFT                      3
#define    CHIPREG_GPS_HOSTREQ_IND_GPS_HOSTREQ_MASK                       0x00000008
#define    CHIPREG_GPS_HOSTREQ_SEL_2_0_SHIFT                              0
#define    CHIPREG_GPS_HOSTREQ_SEL_2_0_MASK                               0x00000007

#define CHIPREG_MDMGPIO00_OFFSET                                          0x00000AEC
#define CHIPREG_MDMGPIO00_TYPE                                            UInt32
#define CHIPREG_MDMGPIO00_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO00_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO00_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO00_HYS_EN_MDMGPIO00_SHIFT                       7
#define    CHIPREG_MDMGPIO00_HYS_EN_MDMGPIO00_MASK                        0x00000080
#define    CHIPREG_MDMGPIO00_PDN_MDMGPIO00_SHIFT                          6
#define    CHIPREG_MDMGPIO00_PDN_MDMGPIO00_MASK                           0x00000040
#define    CHIPREG_MDMGPIO00_PUP_MDMGPIO00_SHIFT                          5
#define    CHIPREG_MDMGPIO00_PUP_MDMGPIO00_MASK                           0x00000020
#define    CHIPREG_MDMGPIO00_SRC_MDMGPIO00_SHIFT                          4
#define    CHIPREG_MDMGPIO00_SRC_MDMGPIO00_MASK                           0x00000010
#define    CHIPREG_MDMGPIO00_IND_MDMGPIO00_SHIFT                          3
#define    CHIPREG_MDMGPIO00_IND_MDMGPIO00_MASK                           0x00000008
#define    CHIPREG_MDMGPIO00_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO00_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO01_OFFSET                                          0x00000AF0
#define CHIPREG_MDMGPIO01_TYPE                                            UInt32
#define CHIPREG_MDMGPIO01_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO01_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO01_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO01_HYS_EN_MDMGPIO01_SHIFT                       7
#define    CHIPREG_MDMGPIO01_HYS_EN_MDMGPIO01_MASK                        0x00000080
#define    CHIPREG_MDMGPIO01_PDN_MDMGPIO01_SHIFT                          6
#define    CHIPREG_MDMGPIO01_PDN_MDMGPIO01_MASK                           0x00000040
#define    CHIPREG_MDMGPIO01_PUP_MDMGPIO01_SHIFT                          5
#define    CHIPREG_MDMGPIO01_PUP_MDMGPIO01_MASK                           0x00000020
#define    CHIPREG_MDMGPIO01_SRC_MDMGPIO01_SHIFT                          4
#define    CHIPREG_MDMGPIO01_SRC_MDMGPIO01_MASK                           0x00000010
#define    CHIPREG_MDMGPIO01_IND_MDMGPIO01_SHIFT                          3
#define    CHIPREG_MDMGPIO01_IND_MDMGPIO01_MASK                           0x00000008
#define    CHIPREG_MDMGPIO01_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO01_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO02_OFFSET                                          0x00000AF4
#define CHIPREG_MDMGPIO02_TYPE                                            UInt32
#define CHIPREG_MDMGPIO02_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO02_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO02_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO02_HYS_EN_MDMGPIO02_SHIFT                       7
#define    CHIPREG_MDMGPIO02_HYS_EN_MDMGPIO02_MASK                        0x00000080
#define    CHIPREG_MDMGPIO02_PDN_MDMGPIO02_SHIFT                          6
#define    CHIPREG_MDMGPIO02_PDN_MDMGPIO02_MASK                           0x00000040
#define    CHIPREG_MDMGPIO02_PUP_MDMGPIO02_SHIFT                          5
#define    CHIPREG_MDMGPIO02_PUP_MDMGPIO02_MASK                           0x00000020
#define    CHIPREG_MDMGPIO02_SRC_MDMGPIO02_SHIFT                          4
#define    CHIPREG_MDMGPIO02_SRC_MDMGPIO02_MASK                           0x00000010
#define    CHIPREG_MDMGPIO02_IND_MDMGPIO02_SHIFT                          3
#define    CHIPREG_MDMGPIO02_IND_MDMGPIO02_MASK                           0x00000008
#define    CHIPREG_MDMGPIO02_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO02_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO03_OFFSET                                          0x00000AF8
#define CHIPREG_MDMGPIO03_TYPE                                            UInt32
#define CHIPREG_MDMGPIO03_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO03_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO03_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO03_HYS_EN_MDMGPIO03_SHIFT                       7
#define    CHIPREG_MDMGPIO03_HYS_EN_MDMGPIO03_MASK                        0x00000080
#define    CHIPREG_MDMGPIO03_PDN_MDMGPIO03_SHIFT                          6
#define    CHIPREG_MDMGPIO03_PDN_MDMGPIO03_MASK                           0x00000040
#define    CHIPREG_MDMGPIO03_PUP_MDMGPIO03_SHIFT                          5
#define    CHIPREG_MDMGPIO03_PUP_MDMGPIO03_MASK                           0x00000020
#define    CHIPREG_MDMGPIO03_SRC_MDMGPIO03_SHIFT                          4
#define    CHIPREG_MDMGPIO03_SRC_MDMGPIO03_MASK                           0x00000010
#define    CHIPREG_MDMGPIO03_IND_MDMGPIO03_SHIFT                          3
#define    CHIPREG_MDMGPIO03_IND_MDMGPIO03_MASK                           0x00000008
#define    CHIPREG_MDMGPIO03_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO03_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO04_OFFSET                                          0x00000AFC
#define CHIPREG_MDMGPIO04_TYPE                                            UInt32
#define CHIPREG_MDMGPIO04_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO04_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO04_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO04_HYS_EN_MDMGPIO04_SHIFT                       7
#define    CHIPREG_MDMGPIO04_HYS_EN_MDMGPIO04_MASK                        0x00000080
#define    CHIPREG_MDMGPIO04_PDN_MDMGPIO04_SHIFT                          6
#define    CHIPREG_MDMGPIO04_PDN_MDMGPIO04_MASK                           0x00000040
#define    CHIPREG_MDMGPIO04_PUP_MDMGPIO04_SHIFT                          5
#define    CHIPREG_MDMGPIO04_PUP_MDMGPIO04_MASK                           0x00000020
#define    CHIPREG_MDMGPIO04_SRC_MDMGPIO04_SHIFT                          4
#define    CHIPREG_MDMGPIO04_SRC_MDMGPIO04_MASK                           0x00000010
#define    CHIPREG_MDMGPIO04_IND_MDMGPIO04_SHIFT                          3
#define    CHIPREG_MDMGPIO04_IND_MDMGPIO04_MASK                           0x00000008
#define    CHIPREG_MDMGPIO04_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO04_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO05_OFFSET                                          0x00000B00
#define CHIPREG_MDMGPIO05_TYPE                                            UInt32
#define CHIPREG_MDMGPIO05_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO05_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO05_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO05_HYS_EN_MDMGPIO05_SHIFT                       7
#define    CHIPREG_MDMGPIO05_HYS_EN_MDMGPIO05_MASK                        0x00000080
#define    CHIPREG_MDMGPIO05_PDN_MDMGPIO05_SHIFT                          6
#define    CHIPREG_MDMGPIO05_PDN_MDMGPIO05_MASK                           0x00000040
#define    CHIPREG_MDMGPIO05_PUP_MDMGPIO05_SHIFT                          5
#define    CHIPREG_MDMGPIO05_PUP_MDMGPIO05_MASK                           0x00000020
#define    CHIPREG_MDMGPIO05_SRC_MDMGPIO05_SHIFT                          4
#define    CHIPREG_MDMGPIO05_SRC_MDMGPIO05_MASK                           0x00000010
#define    CHIPREG_MDMGPIO05_IND_MDMGPIO05_SHIFT                          3
#define    CHIPREG_MDMGPIO05_IND_MDMGPIO05_MASK                           0x00000008
#define    CHIPREG_MDMGPIO05_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO05_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO06_OFFSET                                          0x00000B04
#define CHIPREG_MDMGPIO06_TYPE                                            UInt32
#define CHIPREG_MDMGPIO06_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO06_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO06_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO06_HYS_EN_MDMGPIO06_SHIFT                       7
#define    CHIPREG_MDMGPIO06_HYS_EN_MDMGPIO06_MASK                        0x00000080
#define    CHIPREG_MDMGPIO06_PDN_MDMGPIO06_SHIFT                          6
#define    CHIPREG_MDMGPIO06_PDN_MDMGPIO06_MASK                           0x00000040
#define    CHIPREG_MDMGPIO06_PUP_MDMGPIO06_SHIFT                          5
#define    CHIPREG_MDMGPIO06_PUP_MDMGPIO06_MASK                           0x00000020
#define    CHIPREG_MDMGPIO06_SRC_MDMGPIO06_SHIFT                          4
#define    CHIPREG_MDMGPIO06_SRC_MDMGPIO06_MASK                           0x00000010
#define    CHIPREG_MDMGPIO06_IND_MDMGPIO06_SHIFT                          3
#define    CHIPREG_MDMGPIO06_IND_MDMGPIO06_MASK                           0x00000008
#define    CHIPREG_MDMGPIO06_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO06_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO07_OFFSET                                          0x00000B08
#define CHIPREG_MDMGPIO07_TYPE                                            UInt32
#define CHIPREG_MDMGPIO07_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO07_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO07_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO07_HYS_EN_MDMGPIO07_SHIFT                       7
#define    CHIPREG_MDMGPIO07_HYS_EN_MDMGPIO07_MASK                        0x00000080
#define    CHIPREG_MDMGPIO07_PDN_MDMGPIO07_SHIFT                          6
#define    CHIPREG_MDMGPIO07_PDN_MDMGPIO07_MASK                           0x00000040
#define    CHIPREG_MDMGPIO07_PUP_MDMGPIO07_SHIFT                          5
#define    CHIPREG_MDMGPIO07_PUP_MDMGPIO07_MASK                           0x00000020
#define    CHIPREG_MDMGPIO07_SRC_MDMGPIO07_SHIFT                          4
#define    CHIPREG_MDMGPIO07_SRC_MDMGPIO07_MASK                           0x00000010
#define    CHIPREG_MDMGPIO07_IND_MDMGPIO07_SHIFT                          3
#define    CHIPREG_MDMGPIO07_IND_MDMGPIO07_MASK                           0x00000008
#define    CHIPREG_MDMGPIO07_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO07_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_MDMGPIO08_OFFSET                                          0x00000B0C
#define CHIPREG_MDMGPIO08_TYPE                                            UInt32
#define CHIPREG_MDMGPIO08_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_MDMGPIO08_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_MDMGPIO08_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_MDMGPIO08_HYS_EN_MDMGPIO08_SHIFT                       7
#define    CHIPREG_MDMGPIO08_HYS_EN_MDMGPIO08_MASK                        0x00000080
#define    CHIPREG_MDMGPIO08_PDN_MDMGPIO08_SHIFT                          6
#define    CHIPREG_MDMGPIO08_PDN_MDMGPIO08_MASK                           0x00000040
#define    CHIPREG_MDMGPIO08_PUP_MDMGPIO08_SHIFT                          5
#define    CHIPREG_MDMGPIO08_PUP_MDMGPIO08_MASK                           0x00000020
#define    CHIPREG_MDMGPIO08_SRC_MDMGPIO08_SHIFT                          4
#define    CHIPREG_MDMGPIO08_SRC_MDMGPIO08_MASK                           0x00000010
#define    CHIPREG_MDMGPIO08_IND_MDMGPIO08_SHIFT                          3
#define    CHIPREG_MDMGPIO08_IND_MDMGPIO08_MASK                           0x00000008
#define    CHIPREG_MDMGPIO08_SEL_2_0_SHIFT                                0
#define    CHIPREG_MDMGPIO08_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_GPEN13_OFFSET                                             0x00000B10
#define CHIPREG_GPEN13_TYPE                                               UInt32
#define CHIPREG_GPEN13_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPEN13_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPEN13_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPEN13_HYS_EN_GPEN13_SHIFT                             7
#define    CHIPREG_GPEN13_HYS_EN_GPEN13_MASK                              0x00000080
#define    CHIPREG_GPEN13_PDN_GPEN13_SHIFT                                6
#define    CHIPREG_GPEN13_PDN_GPEN13_MASK                                 0x00000040
#define    CHIPREG_GPEN13_PUP_GPEN13_SHIFT                                5
#define    CHIPREG_GPEN13_PUP_GPEN13_MASK                                 0x00000020
#define    CHIPREG_GPEN13_SRC_GPEN13_SHIFT                                4
#define    CHIPREG_GPEN13_SRC_GPEN13_MASK                                 0x00000010
#define    CHIPREG_GPEN13_IND_GPEN13_SHIFT                                3
#define    CHIPREG_GPEN13_IND_GPEN13_MASK                                 0x00000008
#define    CHIPREG_GPEN13_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPEN13_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_GPEN15_OFFSET                                             0x00000B14
#define CHIPREG_GPEN15_TYPE                                               UInt32
#define CHIPREG_GPEN15_RESERVED_MASK                                      0xFFFFF800
#define    CHIPREG_GPEN15_PINSEL_2_0_SHIFT                                8
#define    CHIPREG_GPEN15_PINSEL_2_0_MASK                                 0x00000700
#define    CHIPREG_GPEN15_HYS_EN_GPEN15_SHIFT                             7
#define    CHIPREG_GPEN15_HYS_EN_GPEN15_MASK                              0x00000080
#define    CHIPREG_GPEN15_PDN_GPEN15_SHIFT                                6
#define    CHIPREG_GPEN15_PDN_GPEN15_MASK                                 0x00000040
#define    CHIPREG_GPEN15_PUP_GPEN15_SHIFT                                5
#define    CHIPREG_GPEN15_PUP_GPEN15_MASK                                 0x00000020
#define    CHIPREG_GPEN15_SRC_GPEN15_SHIFT                                4
#define    CHIPREG_GPEN15_SRC_GPEN15_MASK                                 0x00000010
#define    CHIPREG_GPEN15_IND_GPEN15_SHIFT                                3
#define    CHIPREG_GPEN15_IND_GPEN15_MASK                                 0x00000008
#define    CHIPREG_GPEN15_SEL_2_0_SHIFT                                   0
#define    CHIPREG_GPEN15_SEL_2_0_MASK                                    0x00000007

#define CHIPREG_SRI_C_OFFSET                                              0x00000B18
#define CHIPREG_SRI_C_TYPE                                                UInt32
#define CHIPREG_SRI_C_RESERVED_MASK                                       0xFFFFF800
#define    CHIPREG_SRI_C_PINSEL_2_0_SHIFT                                 8
#define    CHIPREG_SRI_C_PINSEL_2_0_MASK                                  0x00000700
#define    CHIPREG_SRI_C_HYS_EN_SRI_C_SHIFT                               7
#define    CHIPREG_SRI_C_HYS_EN_SRI_C_MASK                                0x00000080
#define    CHIPREG_SRI_C_PDN_SRI_C_SHIFT                                  6
#define    CHIPREG_SRI_C_PDN_SRI_C_MASK                                   0x00000040
#define    CHIPREG_SRI_C_PUP_SRI_C_SHIFT                                  5
#define    CHIPREG_SRI_C_PUP_SRI_C_MASK                                   0x00000020
#define    CHIPREG_SRI_C_SRC_SRI_C_SHIFT                                  4
#define    CHIPREG_SRI_C_SRC_SRI_C_MASK                                   0x00000010
#define    CHIPREG_SRI_C_IND_SRI_C_SHIFT                                  3
#define    CHIPREG_SRI_C_IND_SRI_C_MASK                                   0x00000008
#define    CHIPREG_SRI_C_SEL_2_0_SHIFT                                    0
#define    CHIPREG_SRI_C_SEL_2_0_MASK                                     0x00000007

#define CHIPREG_SRI_E_OFFSET                                              0x00000B1C
#define CHIPREG_SRI_E_TYPE                                                UInt32
#define CHIPREG_SRI_E_RESERVED_MASK                                       0xFFFFF800
#define    CHIPREG_SRI_E_PINSEL_2_0_SHIFT                                 8
#define    CHIPREG_SRI_E_PINSEL_2_0_MASK                                  0x00000700
#define    CHIPREG_SRI_E_HYS_EN_SRI_E_SHIFT                               7
#define    CHIPREG_SRI_E_HYS_EN_SRI_E_MASK                                0x00000080
#define    CHIPREG_SRI_E_PDN_SRI_E_SHIFT                                  6
#define    CHIPREG_SRI_E_PDN_SRI_E_MASK                                   0x00000040
#define    CHIPREG_SRI_E_PUP_SRI_E_SHIFT                                  5
#define    CHIPREG_SRI_E_PUP_SRI_E_MASK                                   0x00000020
#define    CHIPREG_SRI_E_SRC_SRI_E_SHIFT                                  4
#define    CHIPREG_SRI_E_SRC_SRI_E_MASK                                   0x00000010
#define    CHIPREG_SRI_E_IND_SRI_E_SHIFT                                  3
#define    CHIPREG_SRI_E_IND_SRI_E_MASK                                   0x00000008
#define    CHIPREG_SRI_E_SEL_2_0_SHIFT                                    0
#define    CHIPREG_SRI_E_SEL_2_0_MASK                                     0x00000007

#define CHIPREG_SRI_D_OFFSET                                              0x00000B20
#define CHIPREG_SRI_D_TYPE                                                UInt32
#define CHIPREG_SRI_D_RESERVED_MASK                                       0xFFFFF800
#define    CHIPREG_SRI_D_PINSEL_2_0_SHIFT                                 8
#define    CHIPREG_SRI_D_PINSEL_2_0_MASK                                  0x00000700
#define    CHIPREG_SRI_D_HYS_EN_SRI_D_SHIFT                               7
#define    CHIPREG_SRI_D_HYS_EN_SRI_D_MASK                                0x00000080
#define    CHIPREG_SRI_D_PDN_SRI_D_SHIFT                                  6
#define    CHIPREG_SRI_D_PDN_SRI_D_MASK                                   0x00000040
#define    CHIPREG_SRI_D_PUP_SRI_D_SHIFT                                  5
#define    CHIPREG_SRI_D_PUP_SRI_D_MASK                                   0x00000020
#define    CHIPREG_SRI_D_SRC_SRI_D_SHIFT                                  4
#define    CHIPREG_SRI_D_SRC_SRI_D_MASK                                   0x00000010
#define    CHIPREG_SRI_D_IND_SRI_D_SHIFT                                  3
#define    CHIPREG_SRI_D_IND_SRI_D_MASK                                   0x00000008
#define    CHIPREG_SRI_D_SEL_2_0_SHIFT                                    0
#define    CHIPREG_SRI_D_SEL_2_0_MASK                                     0x00000007

#define CHIPREG_RFST2G_MTSLOTEN3G_OFFSET                                  0x00000B24
#define CHIPREG_RFST2G_MTSLOTEN3G_TYPE                                    UInt32
#define CHIPREG_RFST2G_MTSLOTEN3G_RESERVED_MASK                           0xFFFFF800
#define    CHIPREG_RFST2G_MTSLOTEN3G_PINSEL_2_0_SHIFT                     8
#define    CHIPREG_RFST2G_MTSLOTEN3G_PINSEL_2_0_MASK                      0x00000700
#define    CHIPREG_RFST2G_MTSLOTEN3G_HYS_EN_RFST2G_MTSLOTEN3G_SHIFT       7
#define    CHIPREG_RFST2G_MTSLOTEN3G_HYS_EN_RFST2G_MTSLOTEN3G_MASK        0x00000080
#define    CHIPREG_RFST2G_MTSLOTEN3G_PDN_RFST2G_MTSLOTEN3G_SHIFT          6
#define    CHIPREG_RFST2G_MTSLOTEN3G_PDN_RFST2G_MTSLOTEN3G_MASK           0x00000040
#define    CHIPREG_RFST2G_MTSLOTEN3G_PUP_RFST2G_MTSLOTEN3G_SHIFT          5
#define    CHIPREG_RFST2G_MTSLOTEN3G_PUP_RFST2G_MTSLOTEN3G_MASK           0x00000020
#define    CHIPREG_RFST2G_MTSLOTEN3G_SRC_RFST2G_MTSLOTEN3G_SHIFT          4
#define    CHIPREG_RFST2G_MTSLOTEN3G_SRC_RFST2G_MTSLOTEN3G_MASK           0x00000010
#define    CHIPREG_RFST2G_MTSLOTEN3G_IND_RFST2G_MTSLOTEN3G_SHIFT          3
#define    CHIPREG_RFST2G_MTSLOTEN3G_IND_RFST2G_MTSLOTEN3G_MASK           0x00000008
#define    CHIPREG_RFST2G_MTSLOTEN3G_SEL_2_0_SHIFT                        0
#define    CHIPREG_RFST2G_MTSLOTEN3G_SEL_2_0_MASK                         0x00000007

#define CHIPREG_TXDATA3G0_OFFSET                                          0x00000B28
#define CHIPREG_TXDATA3G0_TYPE                                            UInt32
#define CHIPREG_TXDATA3G0_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TXDATA3G0_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TXDATA3G0_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TXDATA3G0_HYS_EN_TXDATA3G0_SHIFT                       7
#define    CHIPREG_TXDATA3G0_HYS_EN_TXDATA3G0_MASK                        0x00000080
#define    CHIPREG_TXDATA3G0_PDN_TXDATA3G0_SHIFT                          6
#define    CHIPREG_TXDATA3G0_PDN_TXDATA3G0_MASK                           0x00000040
#define    CHIPREG_TXDATA3G0_PUP_TXDATA3G0_SHIFT                          5
#define    CHIPREG_TXDATA3G0_PUP_TXDATA3G0_MASK                           0x00000020
#define    CHIPREG_TXDATA3G0_SRC_TXDATA3G0_SHIFT                          4
#define    CHIPREG_TXDATA3G0_SRC_TXDATA3G0_MASK                           0x00000010
#define    CHIPREG_TXDATA3G0_IND_TXDATA3G0_SHIFT                          3
#define    CHIPREG_TXDATA3G0_IND_TXDATA3G0_MASK                           0x00000008
#define    CHIPREG_TXDATA3G0_SEL_2_0_SHIFT                                0
#define    CHIPREG_TXDATA3G0_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_RTXDATA2G_TXDATA3G1_OFFSET                                0x00000B2C
#define CHIPREG_RTXDATA2G_TXDATA3G1_TYPE                                  UInt32
#define CHIPREG_RTXDATA2G_TXDATA3G1_RESERVED_MASK                         0xFFFFF800
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PINSEL_2_0_SHIFT                   8
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PINSEL_2_0_MASK                    0x00000700
#define    CHIPREG_RTXDATA2G_TXDATA3G1_HYS_EN_RTXDATA2G_TXDATA3G1_SHIFT   7
#define    CHIPREG_RTXDATA2G_TXDATA3G1_HYS_EN_RTXDATA2G_TXDATA3G1_MASK    0x00000080
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PDN_RTXDATA2G_TXDATA3G1_SHIFT      6
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PDN_RTXDATA2G_TXDATA3G1_MASK       0x00000040
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PUP_RTXDATA2G_TXDATA3G1_SHIFT      5
#define    CHIPREG_RTXDATA2G_TXDATA3G1_PUP_RTXDATA2G_TXDATA3G1_MASK       0x00000020
#define    CHIPREG_RTXDATA2G_TXDATA3G1_SRC_RTXDATA2G_TXDATA3G1_SHIFT      4
#define    CHIPREG_RTXDATA2G_TXDATA3G1_SRC_RTXDATA2G_TXDATA3G1_MASK       0x00000010
#define    CHIPREG_RTXDATA2G_TXDATA3G1_IND_RTXDATA2G_TXDATA3G1_SHIFT      3
#define    CHIPREG_RTXDATA2G_TXDATA3G1_IND_RTXDATA2G_TXDATA3G1_MASK       0x00000008
#define    CHIPREG_RTXDATA2G_TXDATA3G1_SEL_2_0_SHIFT                      0
#define    CHIPREG_RTXDATA2G_TXDATA3G1_SEL_2_0_MASK                       0x00000007

#define CHIPREG_RTXEN2G_TXDATA3G2_OFFSET                                  0x00000B30
#define CHIPREG_RTXEN2G_TXDATA3G2_TYPE                                    UInt32
#define CHIPREG_RTXEN2G_TXDATA3G2_RESERVED_MASK                           0xFFFFF800
#define    CHIPREG_RTXEN2G_TXDATA3G2_PINSEL_2_0_SHIFT                     8
#define    CHIPREG_RTXEN2G_TXDATA3G2_PINSEL_2_0_MASK                      0x00000700
#define    CHIPREG_RTXEN2G_TXDATA3G2_HYS_EN_RTXEN2G_TXDATA3G2_SHIFT       7
#define    CHIPREG_RTXEN2G_TXDATA3G2_HYS_EN_RTXEN2G_TXDATA3G2_MASK        0x00000080
#define    CHIPREG_RTXEN2G_TXDATA3G2_PDN_RTXEN2G_TXDATA3G2_SHIFT          6
#define    CHIPREG_RTXEN2G_TXDATA3G2_PDN_RTXEN2G_TXDATA3G2_MASK           0x00000040
#define    CHIPREG_RTXEN2G_TXDATA3G2_PUP_RTXEN2G_TXDATA3G2_SHIFT          5
#define    CHIPREG_RTXEN2G_TXDATA3G2_PUP_RTXEN2G_TXDATA3G2_MASK           0x00000020
#define    CHIPREG_RTXEN2G_TXDATA3G2_SRC_RTXEN2G_TXDATA3G2_SHIFT          4
#define    CHIPREG_RTXEN2G_TXDATA3G2_SRC_RTXEN2G_TXDATA3G2_MASK           0x00000010
#define    CHIPREG_RTXEN2G_TXDATA3G2_IND_RTXEN2G_TXDATA3G2_SHIFT          3
#define    CHIPREG_RTXEN2G_TXDATA3G2_IND_RTXEN2G_TXDATA3G2_MASK           0x00000008
#define    CHIPREG_RTXEN2G_TXDATA3G2_SEL_2_0_SHIFT                        0
#define    CHIPREG_RTXEN2G_TXDATA3G2_SEL_2_0_MASK                         0x00000007

#define CHIPREG_RXDATA3G0_OFFSET                                          0x00000B34
#define CHIPREG_RXDATA3G0_TYPE                                            UInt32
#define CHIPREG_RXDATA3G0_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_RXDATA3G0_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_RXDATA3G0_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_RXDATA3G0_HYS_EN_RXDATA3G0_SHIFT                       7
#define    CHIPREG_RXDATA3G0_HYS_EN_RXDATA3G0_MASK                        0x00000080
#define    CHIPREG_RXDATA3G0_PDN_RXDATA3G0_SHIFT                          6
#define    CHIPREG_RXDATA3G0_PDN_RXDATA3G0_MASK                           0x00000040
#define    CHIPREG_RXDATA3G0_PUP_RXDATA3G0_SHIFT                          5
#define    CHIPREG_RXDATA3G0_PUP_RXDATA3G0_MASK                           0x00000020
#define    CHIPREG_RXDATA3G0_SRC_RXDATA3G0_SHIFT                          4
#define    CHIPREG_RXDATA3G0_SRC_RXDATA3G0_MASK                           0x00000010
#define    CHIPREG_RXDATA3G0_IND_RXDATA3G0_SHIFT                          3
#define    CHIPREG_RXDATA3G0_IND_RXDATA3G0_MASK                           0x00000008
#define    CHIPREG_RXDATA3G0_SEL_2_0_SHIFT                                0
#define    CHIPREG_RXDATA3G0_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_RXDATA3G1_OFFSET                                          0x00000B38
#define CHIPREG_RXDATA3G1_TYPE                                            UInt32
#define CHIPREG_RXDATA3G1_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_RXDATA3G1_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_RXDATA3G1_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_RXDATA3G1_HYS_EN_RXDATA3G1_SHIFT                       7
#define    CHIPREG_RXDATA3G1_HYS_EN_RXDATA3G1_MASK                        0x00000080
#define    CHIPREG_RXDATA3G1_PDN_RXDATA3G1_SHIFT                          6
#define    CHIPREG_RXDATA3G1_PDN_RXDATA3G1_MASK                           0x00000040
#define    CHIPREG_RXDATA3G1_PUP_RXDATA3G1_SHIFT                          5
#define    CHIPREG_RXDATA3G1_PUP_RXDATA3G1_MASK                           0x00000020
#define    CHIPREG_RXDATA3G1_SRC_RXDATA3G1_SHIFT                          4
#define    CHIPREG_RXDATA3G1_SRC_RXDATA3G1_MASK                           0x00000010
#define    CHIPREG_RXDATA3G1_IND_RXDATA3G1_SHIFT                          3
#define    CHIPREG_RXDATA3G1_IND_RXDATA3G1_MASK                           0x00000008
#define    CHIPREG_RXDATA3G1_SEL_2_0_SHIFT                                0
#define    CHIPREG_RXDATA3G1_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_RXDATA3G2_OFFSET                                          0x00000B3C
#define CHIPREG_RXDATA3G2_TYPE                                            UInt32
#define CHIPREG_RXDATA3G2_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_RXDATA3G2_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_RXDATA3G2_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_RXDATA3G2_HYS_EN_RXDATA3G2_SHIFT                       7
#define    CHIPREG_RXDATA3G2_HYS_EN_RXDATA3G2_MASK                        0x00000080
#define    CHIPREG_RXDATA3G2_PDN_RXDATA3G2_SHIFT                          6
#define    CHIPREG_RXDATA3G2_PDN_RXDATA3G2_MASK                           0x00000040
#define    CHIPREG_RXDATA3G2_PUP_RXDATA3G2_SHIFT                          5
#define    CHIPREG_RXDATA3G2_PUP_RXDATA3G2_MASK                           0x00000020
#define    CHIPREG_RXDATA3G2_SRC_RXDATA3G2_SHIFT                          4
#define    CHIPREG_RXDATA3G2_SRC_RXDATA3G2_MASK                           0x00000010
#define    CHIPREG_RXDATA3G2_IND_RXDATA3G2_SHIFT                          3
#define    CHIPREG_RXDATA3G2_IND_RXDATA3G2_MASK                           0x00000008
#define    CHIPREG_RXDATA3G2_SEL_2_0_SHIFT                                0
#define    CHIPREG_RXDATA3G2_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_CLK_CX8_OFFSET                                            0x00000B40
#define CHIPREG_CLK_CX8_TYPE                                              UInt32
#define CHIPREG_CLK_CX8_RESERVED_MASK                                     0xFFFFF800
#define    CHIPREG_CLK_CX8_PINSEL_2_0_SHIFT                               8
#define    CHIPREG_CLK_CX8_PINSEL_2_0_MASK                                0x00000700
#define    CHIPREG_CLK_CX8_HYS_EN_CLK_CX8_SHIFT                           7
#define    CHIPREG_CLK_CX8_HYS_EN_CLK_CX8_MASK                            0x00000080
#define    CHIPREG_CLK_CX8_PDN_CLK_CX8_SHIFT                              6
#define    CHIPREG_CLK_CX8_PDN_CLK_CX8_MASK                               0x00000040
#define    CHIPREG_CLK_CX8_PUP_CLK_CX8_SHIFT                              5
#define    CHIPREG_CLK_CX8_PUP_CLK_CX8_MASK                               0x00000020
#define    CHIPREG_CLK_CX8_SRC_CLK_CX8_SHIFT                              4
#define    CHIPREG_CLK_CX8_SRC_CLK_CX8_MASK                               0x00000010
#define    CHIPREG_CLK_CX8_IND_CLK_CX8_SHIFT                              3
#define    CHIPREG_CLK_CX8_IND_CLK_CX8_MASK                               0x00000008
#define    CHIPREG_CLK_CX8_SEL_2_0_SHIFT                                  0
#define    CHIPREG_CLK_CX8_SEL_2_0_MASK                                   0x00000007

#define CHIPREG_SYSCLKEN_OFFSET                                           0x00000B44
#define CHIPREG_SYSCLKEN_TYPE                                             UInt32
#define CHIPREG_SYSCLKEN_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_SYSCLKEN_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_SYSCLKEN_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_SYSCLKEN_HYS_EN_SYSCLKEN_SHIFT                         7
#define    CHIPREG_SYSCLKEN_HYS_EN_SYSCLKEN_MASK                          0x00000080
#define    CHIPREG_SYSCLKEN_PDN_SYSCLKEN_SHIFT                            6
#define    CHIPREG_SYSCLKEN_PDN_SYSCLKEN_MASK                             0x00000040
#define    CHIPREG_SYSCLKEN_PUP_SYSCLKEN_SHIFT                            5
#define    CHIPREG_SYSCLKEN_PUP_SYSCLKEN_MASK                             0x00000020
#define    CHIPREG_SYSCLKEN_SRC_SYSCLKEN_SHIFT                            4
#define    CHIPREG_SYSCLKEN_SRC_SYSCLKEN_MASK                             0x00000010
#define    CHIPREG_SYSCLKEN_IND_SYSCLKEN_SHIFT                            3
#define    CHIPREG_SYSCLKEN_IND_SYSCLKEN_MASK                             0x00000008
#define    CHIPREG_SYSCLKEN_SEL_2_0_SHIFT                                 0
#define    CHIPREG_SYSCLKEN_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_TRACECLK_OFFSET                                           0x00000B48
#define CHIPREG_TRACECLK_TYPE                                             UInt32
#define CHIPREG_TRACECLK_RESERVED_MASK                                    0xFFFFF800
#define    CHIPREG_TRACECLK_PINSEL_2_0_SHIFT                              8
#define    CHIPREG_TRACECLK_PINSEL_2_0_MASK                               0x00000700
#define    CHIPREG_TRACECLK_HYS_EN_TRACECLK_SHIFT                         7
#define    CHIPREG_TRACECLK_HYS_EN_TRACECLK_MASK                          0x00000080
#define    CHIPREG_TRACECLK_PDN_TRACECLK_SHIFT                            6
#define    CHIPREG_TRACECLK_PDN_TRACECLK_MASK                             0x00000040
#define    CHIPREG_TRACECLK_PUP_TRACECLK_SHIFT                            5
#define    CHIPREG_TRACECLK_PUP_TRACECLK_MASK                             0x00000020
#define    CHIPREG_TRACECLK_SRC_TRACECLK_SHIFT                            4
#define    CHIPREG_TRACECLK_SRC_TRACECLK_MASK                             0x00000010
#define    CHIPREG_TRACECLK_IND_TRACECLK_SHIFT                            3
#define    CHIPREG_TRACECLK_IND_TRACECLK_MASK                             0x00000008
#define    CHIPREG_TRACECLK_SEL_2_0_SHIFT                                 0
#define    CHIPREG_TRACECLK_SEL_2_0_MASK                                  0x00000007

#define CHIPREG_TRACEDT15_OFFSET                                          0x00000B4C
#define CHIPREG_TRACEDT15_TYPE                                            UInt32
#define CHIPREG_TRACEDT15_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT15_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT15_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT15_HYS_EN_TRACEDT15_SHIFT                       7
#define    CHIPREG_TRACEDT15_HYS_EN_TRACEDT15_MASK                        0x00000080
#define    CHIPREG_TRACEDT15_PDN_TRACEDT15_SHIFT                          6
#define    CHIPREG_TRACEDT15_PDN_TRACEDT15_MASK                           0x00000040
#define    CHIPREG_TRACEDT15_PUP_TRACEDT15_SHIFT                          5
#define    CHIPREG_TRACEDT15_PUP_TRACEDT15_MASK                           0x00000020
#define    CHIPREG_TRACEDT15_SRC_TRACEDT15_SHIFT                          4
#define    CHIPREG_TRACEDT15_SRC_TRACEDT15_MASK                           0x00000010
#define    CHIPREG_TRACEDT15_IND_TRACEDT15_SHIFT                          3
#define    CHIPREG_TRACEDT15_IND_TRACEDT15_MASK                           0x00000008
#define    CHIPREG_TRACEDT15_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT15_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT14_OFFSET                                          0x00000B50
#define CHIPREG_TRACEDT14_TYPE                                            UInt32
#define CHIPREG_TRACEDT14_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT14_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT14_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT14_HYS_EN_TRACEDT14_SHIFT                       7
#define    CHIPREG_TRACEDT14_HYS_EN_TRACEDT14_MASK                        0x00000080
#define    CHIPREG_TRACEDT14_PDN_TRACEDT14_SHIFT                          6
#define    CHIPREG_TRACEDT14_PDN_TRACEDT14_MASK                           0x00000040
#define    CHIPREG_TRACEDT14_PUP_TRACEDT14_SHIFT                          5
#define    CHIPREG_TRACEDT14_PUP_TRACEDT14_MASK                           0x00000020
#define    CHIPREG_TRACEDT14_SRC_TRACEDT14_SHIFT                          4
#define    CHIPREG_TRACEDT14_SRC_TRACEDT14_MASK                           0x00000010
#define    CHIPREG_TRACEDT14_IND_TRACEDT14_SHIFT                          3
#define    CHIPREG_TRACEDT14_IND_TRACEDT14_MASK                           0x00000008
#define    CHIPREG_TRACEDT14_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT14_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT13_OFFSET                                          0x00000B54
#define CHIPREG_TRACEDT13_TYPE                                            UInt32
#define CHIPREG_TRACEDT13_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT13_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT13_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT13_HYS_EN_TRACEDT13_SHIFT                       7
#define    CHIPREG_TRACEDT13_HYS_EN_TRACEDT13_MASK                        0x00000080
#define    CHIPREG_TRACEDT13_PDN_TRACEDT13_SHIFT                          6
#define    CHIPREG_TRACEDT13_PDN_TRACEDT13_MASK                           0x00000040
#define    CHIPREG_TRACEDT13_PUP_TRACEDT13_SHIFT                          5
#define    CHIPREG_TRACEDT13_PUP_TRACEDT13_MASK                           0x00000020
#define    CHIPREG_TRACEDT13_SRC_TRACEDT13_SHIFT                          4
#define    CHIPREG_TRACEDT13_SRC_TRACEDT13_MASK                           0x00000010
#define    CHIPREG_TRACEDT13_IND_TRACEDT13_SHIFT                          3
#define    CHIPREG_TRACEDT13_IND_TRACEDT13_MASK                           0x00000008
#define    CHIPREG_TRACEDT13_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT13_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT12_OFFSET                                          0x00000B58
#define CHIPREG_TRACEDT12_TYPE                                            UInt32
#define CHIPREG_TRACEDT12_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT12_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT12_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT12_HYS_EN_TRACEDT12_SHIFT                       7
#define    CHIPREG_TRACEDT12_HYS_EN_TRACEDT12_MASK                        0x00000080
#define    CHIPREG_TRACEDT12_PDN_TRACEDT12_SHIFT                          6
#define    CHIPREG_TRACEDT12_PDN_TRACEDT12_MASK                           0x00000040
#define    CHIPREG_TRACEDT12_PUP_TRACEDT12_SHIFT                          5
#define    CHIPREG_TRACEDT12_PUP_TRACEDT12_MASK                           0x00000020
#define    CHIPREG_TRACEDT12_SRC_TRACEDT12_SHIFT                          4
#define    CHIPREG_TRACEDT12_SRC_TRACEDT12_MASK                           0x00000010
#define    CHIPREG_TRACEDT12_IND_TRACEDT12_SHIFT                          3
#define    CHIPREG_TRACEDT12_IND_TRACEDT12_MASK                           0x00000008
#define    CHIPREG_TRACEDT12_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT12_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT11_OFFSET                                          0x00000B5C
#define CHIPREG_TRACEDT11_TYPE                                            UInt32
#define CHIPREG_TRACEDT11_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT11_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT11_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT11_HYS_EN_TRACEDT11_SHIFT                       7
#define    CHIPREG_TRACEDT11_HYS_EN_TRACEDT11_MASK                        0x00000080
#define    CHIPREG_TRACEDT11_PDN_TRACEDT11_SHIFT                          6
#define    CHIPREG_TRACEDT11_PDN_TRACEDT11_MASK                           0x00000040
#define    CHIPREG_TRACEDT11_PUP_TRACEDT11_SHIFT                          5
#define    CHIPREG_TRACEDT11_PUP_TRACEDT11_MASK                           0x00000020
#define    CHIPREG_TRACEDT11_SRC_TRACEDT11_SHIFT                          4
#define    CHIPREG_TRACEDT11_SRC_TRACEDT11_MASK                           0x00000010
#define    CHIPREG_TRACEDT11_IND_TRACEDT11_SHIFT                          3
#define    CHIPREG_TRACEDT11_IND_TRACEDT11_MASK                           0x00000008
#define    CHIPREG_TRACEDT11_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT11_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT10_OFFSET                                          0x00000B60
#define CHIPREG_TRACEDT10_TYPE                                            UInt32
#define CHIPREG_TRACEDT10_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT10_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT10_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT10_HYS_EN_TRACEDT10_SHIFT                       7
#define    CHIPREG_TRACEDT10_HYS_EN_TRACEDT10_MASK                        0x00000080
#define    CHIPREG_TRACEDT10_PDN_TRACEDT10_SHIFT                          6
#define    CHIPREG_TRACEDT10_PDN_TRACEDT10_MASK                           0x00000040
#define    CHIPREG_TRACEDT10_PUP_TRACEDT10_SHIFT                          5
#define    CHIPREG_TRACEDT10_PUP_TRACEDT10_MASK                           0x00000020
#define    CHIPREG_TRACEDT10_SRC_TRACEDT10_SHIFT                          4
#define    CHIPREG_TRACEDT10_SRC_TRACEDT10_MASK                           0x00000010
#define    CHIPREG_TRACEDT10_IND_TRACEDT10_SHIFT                          3
#define    CHIPREG_TRACEDT10_IND_TRACEDT10_MASK                           0x00000008
#define    CHIPREG_TRACEDT10_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT10_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT09_OFFSET                                          0x00000B64
#define CHIPREG_TRACEDT09_TYPE                                            UInt32
#define CHIPREG_TRACEDT09_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT09_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT09_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT09_HYS_EN_TRACEDT09_SHIFT                       7
#define    CHIPREG_TRACEDT09_HYS_EN_TRACEDT09_MASK                        0x00000080
#define    CHIPREG_TRACEDT09_PDN_TRACEDT09_SHIFT                          6
#define    CHIPREG_TRACEDT09_PDN_TRACEDT09_MASK                           0x00000040
#define    CHIPREG_TRACEDT09_PUP_TRACEDT09_SHIFT                          5
#define    CHIPREG_TRACEDT09_PUP_TRACEDT09_MASK                           0x00000020
#define    CHIPREG_TRACEDT09_SRC_TRACEDT09_SHIFT                          4
#define    CHIPREG_TRACEDT09_SRC_TRACEDT09_MASK                           0x00000010
#define    CHIPREG_TRACEDT09_IND_TRACEDT09_SHIFT                          3
#define    CHIPREG_TRACEDT09_IND_TRACEDT09_MASK                           0x00000008
#define    CHIPREG_TRACEDT09_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT09_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT08_OFFSET                                          0x00000B68
#define CHIPREG_TRACEDT08_TYPE                                            UInt32
#define CHIPREG_TRACEDT08_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT08_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT08_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT08_HYS_EN_TRACEDT08_SHIFT                       7
#define    CHIPREG_TRACEDT08_HYS_EN_TRACEDT08_MASK                        0x00000080
#define    CHIPREG_TRACEDT08_PDN_TRACEDT08_SHIFT                          6
#define    CHIPREG_TRACEDT08_PDN_TRACEDT08_MASK                           0x00000040
#define    CHIPREG_TRACEDT08_PUP_TRACEDT08_SHIFT                          5
#define    CHIPREG_TRACEDT08_PUP_TRACEDT08_MASK                           0x00000020
#define    CHIPREG_TRACEDT08_SRC_TRACEDT08_SHIFT                          4
#define    CHIPREG_TRACEDT08_SRC_TRACEDT08_MASK                           0x00000010
#define    CHIPREG_TRACEDT08_IND_TRACEDT08_SHIFT                          3
#define    CHIPREG_TRACEDT08_IND_TRACEDT08_MASK                           0x00000008
#define    CHIPREG_TRACEDT08_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT08_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT07_OFFSET                                          0x00000B6C
#define CHIPREG_TRACEDT07_TYPE                                            UInt32
#define CHIPREG_TRACEDT07_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT07_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT07_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT07_HYS_EN_TRACEDT07_SHIFT                       7
#define    CHIPREG_TRACEDT07_HYS_EN_TRACEDT07_MASK                        0x00000080
#define    CHIPREG_TRACEDT07_PDN_TRACEDT07_SHIFT                          6
#define    CHIPREG_TRACEDT07_PDN_TRACEDT07_MASK                           0x00000040
#define    CHIPREG_TRACEDT07_PUP_TRACEDT07_SHIFT                          5
#define    CHIPREG_TRACEDT07_PUP_TRACEDT07_MASK                           0x00000020
#define    CHIPREG_TRACEDT07_SRC_TRACEDT07_SHIFT                          4
#define    CHIPREG_TRACEDT07_SRC_TRACEDT07_MASK                           0x00000010
#define    CHIPREG_TRACEDT07_IND_TRACEDT07_SHIFT                          3
#define    CHIPREG_TRACEDT07_IND_TRACEDT07_MASK                           0x00000008
#define    CHIPREG_TRACEDT07_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT07_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT06_OFFSET                                          0x00000B70
#define CHIPREG_TRACEDT06_TYPE                                            UInt32
#define CHIPREG_TRACEDT06_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT06_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT06_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT06_HYS_EN_TRACEDT06_SHIFT                       7
#define    CHIPREG_TRACEDT06_HYS_EN_TRACEDT06_MASK                        0x00000080
#define    CHIPREG_TRACEDT06_PDN_TRACEDT06_SHIFT                          6
#define    CHIPREG_TRACEDT06_PDN_TRACEDT06_MASK                           0x00000040
#define    CHIPREG_TRACEDT06_PUP_TRACEDT06_SHIFT                          5
#define    CHIPREG_TRACEDT06_PUP_TRACEDT06_MASK                           0x00000020
#define    CHIPREG_TRACEDT06_SRC_TRACEDT06_SHIFT                          4
#define    CHIPREG_TRACEDT06_SRC_TRACEDT06_MASK                           0x00000010
#define    CHIPREG_TRACEDT06_IND_TRACEDT06_SHIFT                          3
#define    CHIPREG_TRACEDT06_IND_TRACEDT06_MASK                           0x00000008
#define    CHIPREG_TRACEDT06_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT06_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT05_OFFSET                                          0x00000B74
#define CHIPREG_TRACEDT05_TYPE                                            UInt32
#define CHIPREG_TRACEDT05_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT05_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT05_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT05_HYS_EN_TRACEDT05_SHIFT                       7
#define    CHIPREG_TRACEDT05_HYS_EN_TRACEDT05_MASK                        0x00000080
#define    CHIPREG_TRACEDT05_PDN_TRACEDT05_SHIFT                          6
#define    CHIPREG_TRACEDT05_PDN_TRACEDT05_MASK                           0x00000040
#define    CHIPREG_TRACEDT05_PUP_TRACEDT05_SHIFT                          5
#define    CHIPREG_TRACEDT05_PUP_TRACEDT05_MASK                           0x00000020
#define    CHIPREG_TRACEDT05_SRC_TRACEDT05_SHIFT                          4
#define    CHIPREG_TRACEDT05_SRC_TRACEDT05_MASK                           0x00000010
#define    CHIPREG_TRACEDT05_IND_TRACEDT05_SHIFT                          3
#define    CHIPREG_TRACEDT05_IND_TRACEDT05_MASK                           0x00000008
#define    CHIPREG_TRACEDT05_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT05_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT04_OFFSET                                          0x00000B78
#define CHIPREG_TRACEDT04_TYPE                                            UInt32
#define CHIPREG_TRACEDT04_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT04_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT04_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT04_HYS_EN_TRACEDT04_SHIFT                       7
#define    CHIPREG_TRACEDT04_HYS_EN_TRACEDT04_MASK                        0x00000080
#define    CHIPREG_TRACEDT04_PDN_TRACEDT04_SHIFT                          6
#define    CHIPREG_TRACEDT04_PDN_TRACEDT04_MASK                           0x00000040
#define    CHIPREG_TRACEDT04_PUP_TRACEDT04_SHIFT                          5
#define    CHIPREG_TRACEDT04_PUP_TRACEDT04_MASK                           0x00000020
#define    CHIPREG_TRACEDT04_SRC_TRACEDT04_SHIFT                          4
#define    CHIPREG_TRACEDT04_SRC_TRACEDT04_MASK                           0x00000010
#define    CHIPREG_TRACEDT04_IND_TRACEDT04_SHIFT                          3
#define    CHIPREG_TRACEDT04_IND_TRACEDT04_MASK                           0x00000008
#define    CHIPREG_TRACEDT04_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT04_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT03_OFFSET                                          0x00000B7C
#define CHIPREG_TRACEDT03_TYPE                                            UInt32
#define CHIPREG_TRACEDT03_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT03_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT03_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT03_HYS_EN_TRACEDT03_SHIFT                       7
#define    CHIPREG_TRACEDT03_HYS_EN_TRACEDT03_MASK                        0x00000080
#define    CHIPREG_TRACEDT03_PDN_TRACEDT03_SHIFT                          6
#define    CHIPREG_TRACEDT03_PDN_TRACEDT03_MASK                           0x00000040
#define    CHIPREG_TRACEDT03_PUP_TRACEDT03_SHIFT                          5
#define    CHIPREG_TRACEDT03_PUP_TRACEDT03_MASK                           0x00000020
#define    CHIPREG_TRACEDT03_SRC_TRACEDT03_SHIFT                          4
#define    CHIPREG_TRACEDT03_SRC_TRACEDT03_MASK                           0x00000010
#define    CHIPREG_TRACEDT03_IND_TRACEDT03_SHIFT                          3
#define    CHIPREG_TRACEDT03_IND_TRACEDT03_MASK                           0x00000008
#define    CHIPREG_TRACEDT03_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT03_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT02_OFFSET                                          0x00000B80
#define CHIPREG_TRACEDT02_TYPE                                            UInt32
#define CHIPREG_TRACEDT02_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT02_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT02_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT02_HYS_EN_TRACEDT02_SHIFT                       7
#define    CHIPREG_TRACEDT02_HYS_EN_TRACEDT02_MASK                        0x00000080
#define    CHIPREG_TRACEDT02_PDN_TRACEDT02_SHIFT                          6
#define    CHIPREG_TRACEDT02_PDN_TRACEDT02_MASK                           0x00000040
#define    CHIPREG_TRACEDT02_PUP_TRACEDT02_SHIFT                          5
#define    CHIPREG_TRACEDT02_PUP_TRACEDT02_MASK                           0x00000020
#define    CHIPREG_TRACEDT02_SRC_TRACEDT02_SHIFT                          4
#define    CHIPREG_TRACEDT02_SRC_TRACEDT02_MASK                           0x00000010
#define    CHIPREG_TRACEDT02_IND_TRACEDT02_SHIFT                          3
#define    CHIPREG_TRACEDT02_IND_TRACEDT02_MASK                           0x00000008
#define    CHIPREG_TRACEDT02_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT02_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT01_OFFSET                                          0x00000B84
#define CHIPREG_TRACEDT01_TYPE                                            UInt32
#define CHIPREG_TRACEDT01_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT01_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT01_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT01_HYS_EN_TRACEDT01_SHIFT                       7
#define    CHIPREG_TRACEDT01_HYS_EN_TRACEDT01_MASK                        0x00000080
#define    CHIPREG_TRACEDT01_PDN_TRACEDT01_SHIFT                          6
#define    CHIPREG_TRACEDT01_PDN_TRACEDT01_MASK                           0x00000040
#define    CHIPREG_TRACEDT01_PUP_TRACEDT01_SHIFT                          5
#define    CHIPREG_TRACEDT01_PUP_TRACEDT01_MASK                           0x00000020
#define    CHIPREG_TRACEDT01_SRC_TRACEDT01_SHIFT                          4
#define    CHIPREG_TRACEDT01_SRC_TRACEDT01_MASK                           0x00000010
#define    CHIPREG_TRACEDT01_IND_TRACEDT01_SHIFT                          3
#define    CHIPREG_TRACEDT01_IND_TRACEDT01_MASK                           0x00000008
#define    CHIPREG_TRACEDT01_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT01_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_TRACEDT00_OFFSET                                          0x00000B88
#define CHIPREG_TRACEDT00_TYPE                                            UInt32
#define CHIPREG_TRACEDT00_RESERVED_MASK                                   0xFFFFF800
#define    CHIPREG_TRACEDT00_PINSEL_2_0_SHIFT                             8
#define    CHIPREG_TRACEDT00_PINSEL_2_0_MASK                              0x00000700
#define    CHIPREG_TRACEDT00_HYS_EN_TRACEDT00_SHIFT                       7
#define    CHIPREG_TRACEDT00_HYS_EN_TRACEDT00_MASK                        0x00000080
#define    CHIPREG_TRACEDT00_PDN_TRACEDT00_SHIFT                          6
#define    CHIPREG_TRACEDT00_PDN_TRACEDT00_MASK                           0x00000040
#define    CHIPREG_TRACEDT00_PUP_TRACEDT00_SHIFT                          5
#define    CHIPREG_TRACEDT00_PUP_TRACEDT00_MASK                           0x00000020
#define    CHIPREG_TRACEDT00_SRC_TRACEDT00_SHIFT                          4
#define    CHIPREG_TRACEDT00_SRC_TRACEDT00_MASK                           0x00000010
#define    CHIPREG_TRACEDT00_IND_TRACEDT00_SHIFT                          3
#define    CHIPREG_TRACEDT00_IND_TRACEDT00_MASK                           0x00000008
#define    CHIPREG_TRACEDT00_SEL_2_0_SHIFT                                0
#define    CHIPREG_TRACEDT00_SEL_2_0_MASK                                 0x00000007

#define CHIPREG_IC_OFFSET                                                 0x00000B8C
#define CHIPREG_IC_TYPE                                                   UInt32
#define CHIPREG_IC_RESERVED_MASK                                          0xFFFFFC00
#define    CHIPREG_IC_PDN_N_IC_SHIFT                                      9
#define    CHIPREG_IC_PDN_N_IC_MASK                                       0x00000200
#define    CHIPREG_IC_PUP_ACT_N_IC_SHIFT                                  8
#define    CHIPREG_IC_PUP_ACT_N_IC_MASK                                   0x00000100
#define    CHIPREG_IC_PUP_IDLE_N_IC_SHIFT                                 7
#define    CHIPREG_IC_PUP_IDLE_N_IC_MASK                                  0x00000080
#define    CHIPREG_IC_PDN_P_IC_SHIFT                                      6
#define    CHIPREG_IC_PDN_P_IC_MASK                                       0x00000040
#define    CHIPREG_IC_PUP_ACT_P_IC_SHIFT                                  5
#define    CHIPREG_IC_PUP_ACT_P_IC_MASK                                   0x00000020
#define    CHIPREG_IC_PUP_IDLE_P_IC_SHIFT                                 4
#define    CHIPREG_IC_PUP_IDLE_P_IC_MASK                                  0x00000010
#define    CHIPREG_IC_SPEED_IC_SHIFT                                      3
#define    CHIPREG_IC_SPEED_IC_MASK                                       0x00000008
#define    CHIPREG_IC_RXEB_IC_SHIFT                                       2
#define    CHIPREG_IC_RXEB_IC_MASK                                        0x00000004
#define    CHIPREG_IC_TXEB_IC_SHIFT                                       1
#define    CHIPREG_IC_TXEB_IC_MASK                                        0x00000002
#define    CHIPREG_IC_SE0_IC_SHIFT                                        0
#define    CHIPREG_IC_SE0_IC_MASK                                         0x00000001

#define CHIPREG_RGMII_0_TXD3_OFFSET                                       0x00000B90
#define CHIPREG_RGMII_0_TXD3_TYPE                                         UInt32
#define CHIPREG_RGMII_0_TXD3_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_TXD3_PDN_RGMII_0_TXD3_SHIFT                    6
#define    CHIPREG_RGMII_0_TXD3_PDN_RGMII_0_TXD3_MASK                     0x00000040
#define    CHIPREG_RGMII_0_TXD3_PUP_RGMII_0_TXD3_SHIFT                    5
#define    CHIPREG_RGMII_0_TXD3_PUP_RGMII_0_TXD3_MASK                     0x00000020
#define    CHIPREG_RGMII_0_TXD3_AMP_EN_RGMII_0_TXD3_SHIFT                 4
#define    CHIPREG_RGMII_0_TXD3_AMP_EN_RGMII_0_TXD3_MASK                  0x00000010
#define    CHIPREG_RGMII_0_TXD3_IND_RGMII_0_TXD3_SHIFT                    3
#define    CHIPREG_RGMII_0_TXD3_IND_RGMII_0_TXD3_MASK                     0x00000008

#define CHIPREG_RGMII_0_TXD2_OFFSET                                       0x00000B94
#define CHIPREG_RGMII_0_TXD2_TYPE                                         UInt32
#define CHIPREG_RGMII_0_TXD2_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_TXD2_PDN_RGMII_0_TXD2_SHIFT                    6
#define    CHIPREG_RGMII_0_TXD2_PDN_RGMII_0_TXD2_MASK                     0x00000040
#define    CHIPREG_RGMII_0_TXD2_PUP_RGMII_0_TXD2_SHIFT                    5
#define    CHIPREG_RGMII_0_TXD2_PUP_RGMII_0_TXD2_MASK                     0x00000020
#define    CHIPREG_RGMII_0_TXD2_AMP_EN_RGMII_0_TXD2_SHIFT                 4
#define    CHIPREG_RGMII_0_TXD2_AMP_EN_RGMII_0_TXD2_MASK                  0x00000010
#define    CHIPREG_RGMII_0_TXD2_IND_RGMII_0_TXD2_SHIFT                    3
#define    CHIPREG_RGMII_0_TXD2_IND_RGMII_0_TXD2_MASK                     0x00000008

#define CHIPREG_RGMII_0_TXD1_OFFSET                                       0x00000B98
#define CHIPREG_RGMII_0_TXD1_TYPE                                         UInt32
#define CHIPREG_RGMII_0_TXD1_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_TXD1_PDN_RGMII_0_TXD1_SHIFT                    6
#define    CHIPREG_RGMII_0_TXD1_PDN_RGMII_0_TXD1_MASK                     0x00000040
#define    CHIPREG_RGMII_0_TXD1_PUP_RGMII_0_TXD1_SHIFT                    5
#define    CHIPREG_RGMII_0_TXD1_PUP_RGMII_0_TXD1_MASK                     0x00000020
#define    CHIPREG_RGMII_0_TXD1_AMP_EN_RGMII_0_TXD1_SHIFT                 4
#define    CHIPREG_RGMII_0_TXD1_AMP_EN_RGMII_0_TXD1_MASK                  0x00000010
#define    CHIPREG_RGMII_0_TXD1_IND_RGMII_0_TXD1_SHIFT                    3
#define    CHIPREG_RGMII_0_TXD1_IND_RGMII_0_TXD1_MASK                     0x00000008

#define CHIPREG_RGMII_0_TXD0_OFFSET                                       0x00000B9C
#define CHIPREG_RGMII_0_TXD0_TYPE                                         UInt32
#define CHIPREG_RGMII_0_TXD0_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_TXD0_PDN_RGMII_0_TXD0_SHIFT                    6
#define    CHIPREG_RGMII_0_TXD0_PDN_RGMII_0_TXD0_MASK                     0x00000040
#define    CHIPREG_RGMII_0_TXD0_PUP_RGMII_0_TXD0_SHIFT                    5
#define    CHIPREG_RGMII_0_TXD0_PUP_RGMII_0_TXD0_MASK                     0x00000020
#define    CHIPREG_RGMII_0_TXD0_AMP_EN_RGMII_0_TXD0_SHIFT                 4
#define    CHIPREG_RGMII_0_TXD0_AMP_EN_RGMII_0_TXD0_MASK                  0x00000010
#define    CHIPREG_RGMII_0_TXD0_IND_RGMII_0_TXD0_SHIFT                    3
#define    CHIPREG_RGMII_0_TXD0_IND_RGMII_0_TXD0_MASK                     0x00000008

#define CHIPREG_RGMII_0_TXC_OFFSET                                        0x00000BA0
#define CHIPREG_RGMII_0_TXC_TYPE                                          UInt32
#define CHIPREG_RGMII_0_TXC_RESERVED_MASK                                 0xFFFFFF87
#define    CHIPREG_RGMII_0_TXC_PDN_RGMII_0_TXC_SHIFT                      6
#define    CHIPREG_RGMII_0_TXC_PDN_RGMII_0_TXC_MASK                       0x00000040
#define    CHIPREG_RGMII_0_TXC_PUP_RGMII_0_TXC_SHIFT                      5
#define    CHIPREG_RGMII_0_TXC_PUP_RGMII_0_TXC_MASK                       0x00000020
#define    CHIPREG_RGMII_0_TXC_AMP_EN_RGMII_0_TXC_SHIFT                   4
#define    CHIPREG_RGMII_0_TXC_AMP_EN_RGMII_0_TXC_MASK                    0x00000010
#define    CHIPREG_RGMII_0_TXC_IND_RGMII_0_TXC_SHIFT                      3
#define    CHIPREG_RGMII_0_TXC_IND_RGMII_0_TXC_MASK                       0x00000008

#define CHIPREG_RGMII_0_TX_CTL_OFFSET                                     0x00000BA4
#define CHIPREG_RGMII_0_TX_CTL_TYPE                                       UInt32
#define CHIPREG_RGMII_0_TX_CTL_RESERVED_MASK                              0xFFFFFF87
#define    CHIPREG_RGMII_0_TX_CTL_PDN_RGMII_0_TX_CTL_SHIFT                6
#define    CHIPREG_RGMII_0_TX_CTL_PDN_RGMII_0_TX_CTL_MASK                 0x00000040
#define    CHIPREG_RGMII_0_TX_CTL_PUP_RGMII_0_TX_CTL_SHIFT                5
#define    CHIPREG_RGMII_0_TX_CTL_PUP_RGMII_0_TX_CTL_MASK                 0x00000020
#define    CHIPREG_RGMII_0_TX_CTL_AMP_EN_RGMII_0_TX_CTL_SHIFT             4
#define    CHIPREG_RGMII_0_TX_CTL_AMP_EN_RGMII_0_TX_CTL_MASK              0x00000010
#define    CHIPREG_RGMII_0_TX_CTL_IND_RGMII_0_TX_CTL_SHIFT                3
#define    CHIPREG_RGMII_0_TX_CTL_IND_RGMII_0_TX_CTL_MASK                 0x00000008

#define CHIPREG_RGMII_0_RXC_OFFSET                                        0x00000BA8
#define CHIPREG_RGMII_0_RXC_TYPE                                          UInt32
#define CHIPREG_RGMII_0_RXC_RESERVED_MASK                                 0xFFFFFF87
#define    CHIPREG_RGMII_0_RXC_PDN_RGMII_0_RXC_SHIFT                      6
#define    CHIPREG_RGMII_0_RXC_PDN_RGMII_0_RXC_MASK                       0x00000040
#define    CHIPREG_RGMII_0_RXC_PUP_RGMII_0_RXC_SHIFT                      5
#define    CHIPREG_RGMII_0_RXC_PUP_RGMII_0_RXC_MASK                       0x00000020
#define    CHIPREG_RGMII_0_RXC_AMP_EN_RGMII_0_RXC_SHIFT                   4
#define    CHIPREG_RGMII_0_RXC_AMP_EN_RGMII_0_RXC_MASK                    0x00000010
#define    CHIPREG_RGMII_0_RXC_IND_RGMII_0_RXC_SHIFT                      3
#define    CHIPREG_RGMII_0_RXC_IND_RGMII_0_RXC_MASK                       0x00000008

#define CHIPREG_RGMII_0_RXD3_OFFSET                                       0x00000BAC
#define CHIPREG_RGMII_0_RXD3_TYPE                                         UInt32
#define CHIPREG_RGMII_0_RXD3_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_RXD3_PDN_RGMII_0_RXD3_SHIFT                    6
#define    CHIPREG_RGMII_0_RXD3_PDN_RGMII_0_RXD3_MASK                     0x00000040
#define    CHIPREG_RGMII_0_RXD3_PUP_RGMII_0_RXD3_SHIFT                    5
#define    CHIPREG_RGMII_0_RXD3_PUP_RGMII_0_RXD3_MASK                     0x00000020
#define    CHIPREG_RGMII_0_RXD3_AMP_EN_RGMII_0_RXD3_SHIFT                 4
#define    CHIPREG_RGMII_0_RXD3_AMP_EN_RGMII_0_RXD3_MASK                  0x00000010
#define    CHIPREG_RGMII_0_RXD3_IND_RGMII_0_RXD3_SHIFT                    3
#define    CHIPREG_RGMII_0_RXD3_IND_RGMII_0_RXD3_MASK                     0x00000008

#define CHIPREG_RGMII_0_RXD2_OFFSET                                       0x00000BB0
#define CHIPREG_RGMII_0_RXD2_TYPE                                         UInt32
#define CHIPREG_RGMII_0_RXD2_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_RXD2_PDN_RGMII_0_RXD2_SHIFT                    6
#define    CHIPREG_RGMII_0_RXD2_PDN_RGMII_0_RXD2_MASK                     0x00000040
#define    CHIPREG_RGMII_0_RXD2_PUP_RGMII_0_RXD2_SHIFT                    5
#define    CHIPREG_RGMII_0_RXD2_PUP_RGMII_0_RXD2_MASK                     0x00000020
#define    CHIPREG_RGMII_0_RXD2_AMP_EN_RGMII_0_RXD2_SHIFT                 4
#define    CHIPREG_RGMII_0_RXD2_AMP_EN_RGMII_0_RXD2_MASK                  0x00000010
#define    CHIPREG_RGMII_0_RXD2_IND_RGMII_0_RXD2_SHIFT                    3
#define    CHIPREG_RGMII_0_RXD2_IND_RGMII_0_RXD2_MASK                     0x00000008

#define CHIPREG_RGMII_0_RXD1_OFFSET                                       0x00000BB4
#define CHIPREG_RGMII_0_RXD1_TYPE                                         UInt32
#define CHIPREG_RGMII_0_RXD1_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_RXD1_PDN_RGMII_0_RXD1_SHIFT                    6
#define    CHIPREG_RGMII_0_RXD1_PDN_RGMII_0_RXD1_MASK                     0x00000040
#define    CHIPREG_RGMII_0_RXD1_PUP_RGMII_0_RXD1_SHIFT                    5
#define    CHIPREG_RGMII_0_RXD1_PUP_RGMII_0_RXD1_MASK                     0x00000020
#define    CHIPREG_RGMII_0_RXD1_AMP_EN_RGMII_0_RXD1_SHIFT                 4
#define    CHIPREG_RGMII_0_RXD1_AMP_EN_RGMII_0_RXD1_MASK                  0x00000010
#define    CHIPREG_RGMII_0_RXD1_IND_RGMII_0_RXD1_SHIFT                    3
#define    CHIPREG_RGMII_0_RXD1_IND_RGMII_0_RXD1_MASK                     0x00000008

#define CHIPREG_RGMII_0_RXD0_OFFSET                                       0x00000BB8
#define CHIPREG_RGMII_0_RXD0_TYPE                                         UInt32
#define CHIPREG_RGMII_0_RXD0_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_0_RXD0_PDN_RGMII_0_RXD0_SHIFT                    6
#define    CHIPREG_RGMII_0_RXD0_PDN_RGMII_0_RXD0_MASK                     0x00000040
#define    CHIPREG_RGMII_0_RXD0_PUP_RGMII_0_RXD0_SHIFT                    5
#define    CHIPREG_RGMII_0_RXD0_PUP_RGMII_0_RXD0_MASK                     0x00000020
#define    CHIPREG_RGMII_0_RXD0_AMP_EN_RGMII_0_RXD0_SHIFT                 4
#define    CHIPREG_RGMII_0_RXD0_AMP_EN_RGMII_0_RXD0_MASK                  0x00000010
#define    CHIPREG_RGMII_0_RXD0_IND_RGMII_0_RXD0_SHIFT                    3
#define    CHIPREG_RGMII_0_RXD0_IND_RGMII_0_RXD0_MASK                     0x00000008

#define CHIPREG_RGMII_0_RX_CTL_OFFSET                                     0x00000BBC
#define CHIPREG_RGMII_0_RX_CTL_TYPE                                       UInt32
#define CHIPREG_RGMII_0_RX_CTL_RESERVED_MASK                              0xFFFFFF87
#define    CHIPREG_RGMII_0_RX_CTL_PDN_RGMII_0_RX_CTL_SHIFT                6
#define    CHIPREG_RGMII_0_RX_CTL_PDN_RGMII_0_RX_CTL_MASK                 0x00000040
#define    CHIPREG_RGMII_0_RX_CTL_PUP_RGMII_0_RX_CTL_SHIFT                5
#define    CHIPREG_RGMII_0_RX_CTL_PUP_RGMII_0_RX_CTL_MASK                 0x00000020
#define    CHIPREG_RGMII_0_RX_CTL_AMP_EN_RGMII_0_RX_CTL_SHIFT             4
#define    CHIPREG_RGMII_0_RX_CTL_AMP_EN_RGMII_0_RX_CTL_MASK              0x00000010
#define    CHIPREG_RGMII_0_RX_CTL_IND_RGMII_0_RX_CTL_SHIFT                3
#define    CHIPREG_RGMII_0_RX_CTL_IND_RGMII_0_RX_CTL_MASK                 0x00000008

#define CHIPREG_RGMII_1_TXD3_OFFSET                                       0x00000BC0
#define CHIPREG_RGMII_1_TXD3_TYPE                                         UInt32
#define CHIPREG_RGMII_1_TXD3_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_TXD3_PDN_RGMII_1_TXD3_SHIFT                    6
#define    CHIPREG_RGMII_1_TXD3_PDN_RGMII_1_TXD3_MASK                     0x00000040
#define    CHIPREG_RGMII_1_TXD3_PUP_RGMII_1_TXD3_SHIFT                    5
#define    CHIPREG_RGMII_1_TXD3_PUP_RGMII_1_TXD3_MASK                     0x00000020
#define    CHIPREG_RGMII_1_TXD3_AMP_EN_RGMII_1_TXD3_SHIFT                 4
#define    CHIPREG_RGMII_1_TXD3_AMP_EN_RGMII_1_TXD3_MASK                  0x00000010
#define    CHIPREG_RGMII_1_TXD3_IND_RGMII_1_TXD3_SHIFT                    3
#define    CHIPREG_RGMII_1_TXD3_IND_RGMII_1_TXD3_MASK                     0x00000008

#define CHIPREG_RGMII_1_TXD2_OFFSET                                       0x00000BC4
#define CHIPREG_RGMII_1_TXD2_TYPE                                         UInt32
#define CHIPREG_RGMII_1_TXD2_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_TXD2_PDN_RGMII_1_TXD2_SHIFT                    6
#define    CHIPREG_RGMII_1_TXD2_PDN_RGMII_1_TXD2_MASK                     0x00000040
#define    CHIPREG_RGMII_1_TXD2_PUP_RGMII_1_TXD2_SHIFT                    5
#define    CHIPREG_RGMII_1_TXD2_PUP_RGMII_1_TXD2_MASK                     0x00000020
#define    CHIPREG_RGMII_1_TXD2_AMP_EN_RGMII_1_TXD2_SHIFT                 4
#define    CHIPREG_RGMII_1_TXD2_AMP_EN_RGMII_1_TXD2_MASK                  0x00000010
#define    CHIPREG_RGMII_1_TXD2_IND_RGMII_1_TXD2_SHIFT                    3
#define    CHIPREG_RGMII_1_TXD2_IND_RGMII_1_TXD2_MASK                     0x00000008

#define CHIPREG_RGMII_1_TXD1_OFFSET                                       0x00000BC8
#define CHIPREG_RGMII_1_TXD1_TYPE                                         UInt32
#define CHIPREG_RGMII_1_TXD1_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_TXD1_PDN_RGMII_1_TXD1_SHIFT                    6
#define    CHIPREG_RGMII_1_TXD1_PDN_RGMII_1_TXD1_MASK                     0x00000040
#define    CHIPREG_RGMII_1_TXD1_PUP_RGMII_1_TXD1_SHIFT                    5
#define    CHIPREG_RGMII_1_TXD1_PUP_RGMII_1_TXD1_MASK                     0x00000020
#define    CHIPREG_RGMII_1_TXD1_AMP_EN_RGMII_1_TXD1_SHIFT                 4
#define    CHIPREG_RGMII_1_TXD1_AMP_EN_RGMII_1_TXD1_MASK                  0x00000010
#define    CHIPREG_RGMII_1_TXD1_IND_RGMII_1_TXD1_SHIFT                    3
#define    CHIPREG_RGMII_1_TXD1_IND_RGMII_1_TXD1_MASK                     0x00000008

#define CHIPREG_RGMII_1_TXD0_OFFSET                                       0x00000BCC
#define CHIPREG_RGMII_1_TXD0_TYPE                                         UInt32
#define CHIPREG_RGMII_1_TXD0_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_TXD0_PDN_RGMII_1_TXD0_SHIFT                    6
#define    CHIPREG_RGMII_1_TXD0_PDN_RGMII_1_TXD0_MASK                     0x00000040
#define    CHIPREG_RGMII_1_TXD0_PUP_RGMII_1_TXD0_SHIFT                    5
#define    CHIPREG_RGMII_1_TXD0_PUP_RGMII_1_TXD0_MASK                     0x00000020
#define    CHIPREG_RGMII_1_TXD0_AMP_EN_RGMII_1_TXD0_SHIFT                 4
#define    CHIPREG_RGMII_1_TXD0_AMP_EN_RGMII_1_TXD0_MASK                  0x00000010
#define    CHIPREG_RGMII_1_TXD0_IND_RGMII_1_TXD0_SHIFT                    3
#define    CHIPREG_RGMII_1_TXD0_IND_RGMII_1_TXD0_MASK                     0x00000008

#define CHIPREG_RGMII_1_TXC_OFFSET                                        0x00000BD0
#define CHIPREG_RGMII_1_TXC_TYPE                                          UInt32
#define CHIPREG_RGMII_1_TXC_RESERVED_MASK                                 0xFFFFFF87
#define    CHIPREG_RGMII_1_TXC_PDN_RGMII_1_TXC_SHIFT                      6
#define    CHIPREG_RGMII_1_TXC_PDN_RGMII_1_TXC_MASK                       0x00000040
#define    CHIPREG_RGMII_1_TXC_PUP_RGMII_1_TXC_SHIFT                      5
#define    CHIPREG_RGMII_1_TXC_PUP_RGMII_1_TXC_MASK                       0x00000020
#define    CHIPREG_RGMII_1_TXC_AMP_EN_RGMII_1_TXC_SHIFT                   4
#define    CHIPREG_RGMII_1_TXC_AMP_EN_RGMII_1_TXC_MASK                    0x00000010
#define    CHIPREG_RGMII_1_TXC_IND_RGMII_1_TXC_SHIFT                      3
#define    CHIPREG_RGMII_1_TXC_IND_RGMII_1_TXC_MASK                       0x00000008

#define CHIPREG_RGMII_1_TX_CTL_OFFSET                                     0x00000BD4
#define CHIPREG_RGMII_1_TX_CTL_TYPE                                       UInt32
#define CHIPREG_RGMII_1_TX_CTL_RESERVED_MASK                              0xFFFFFF87
#define    CHIPREG_RGMII_1_TX_CTL_PDN_RGMII_1_TX_CTL_SHIFT                6
#define    CHIPREG_RGMII_1_TX_CTL_PDN_RGMII_1_TX_CTL_MASK                 0x00000040
#define    CHIPREG_RGMII_1_TX_CTL_PUP_RGMII_1_TX_CTL_SHIFT                5
#define    CHIPREG_RGMII_1_TX_CTL_PUP_RGMII_1_TX_CTL_MASK                 0x00000020
#define    CHIPREG_RGMII_1_TX_CTL_AMP_EN_RGMII_1_TX_CTL_SHIFT             4
#define    CHIPREG_RGMII_1_TX_CTL_AMP_EN_RGMII_1_TX_CTL_MASK              0x00000010
#define    CHIPREG_RGMII_1_TX_CTL_IND_RGMII_1_TX_CTL_SHIFT                3
#define    CHIPREG_RGMII_1_TX_CTL_IND_RGMII_1_TX_CTL_MASK                 0x00000008

#define CHIPREG_RGMII_1_RXC_OFFSET                                        0x00000BD8
#define CHIPREG_RGMII_1_RXC_TYPE                                          UInt32
#define CHIPREG_RGMII_1_RXC_RESERVED_MASK                                 0xFFFFFF87
#define    CHIPREG_RGMII_1_RXC_PDN_RGMII_1_RXC_SHIFT                      6
#define    CHIPREG_RGMII_1_RXC_PDN_RGMII_1_RXC_MASK                       0x00000040
#define    CHIPREG_RGMII_1_RXC_PUP_RGMII_1_RXC_SHIFT                      5
#define    CHIPREG_RGMII_1_RXC_PUP_RGMII_1_RXC_MASK                       0x00000020
#define    CHIPREG_RGMII_1_RXC_AMP_EN_RGMII_1_RXC_SHIFT                   4
#define    CHIPREG_RGMII_1_RXC_AMP_EN_RGMII_1_RXC_MASK                    0x00000010
#define    CHIPREG_RGMII_1_RXC_IND_RGMII_1_RXC_SHIFT                      3
#define    CHIPREG_RGMII_1_RXC_IND_RGMII_1_RXC_MASK                       0x00000008

#define CHIPREG_RGMII_1_RXD3_OFFSET                                       0x00000BDC
#define CHIPREG_RGMII_1_RXD3_TYPE                                         UInt32
#define CHIPREG_RGMII_1_RXD3_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_RXD3_PDN_RGMII_1_RXD3_SHIFT                    6
#define    CHIPREG_RGMII_1_RXD3_PDN_RGMII_1_RXD3_MASK                     0x00000040
#define    CHIPREG_RGMII_1_RXD3_PUP_RGMII_1_RXD3_SHIFT                    5
#define    CHIPREG_RGMII_1_RXD3_PUP_RGMII_1_RXD3_MASK                     0x00000020
#define    CHIPREG_RGMII_1_RXD3_AMP_EN_RGMII_1_RXD3_SHIFT                 4
#define    CHIPREG_RGMII_1_RXD3_AMP_EN_RGMII_1_RXD3_MASK                  0x00000010
#define    CHIPREG_RGMII_1_RXD3_IND_RGMII_1_RXD3_SHIFT                    3
#define    CHIPREG_RGMII_1_RXD3_IND_RGMII_1_RXD3_MASK                     0x00000008

#define CHIPREG_RGMII_1_RXD2_OFFSET                                       0x00000BE0
#define CHIPREG_RGMII_1_RXD2_TYPE                                         UInt32
#define CHIPREG_RGMII_1_RXD2_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_RXD2_PDN_RGMII_1_RXD2_SHIFT                    6
#define    CHIPREG_RGMII_1_RXD2_PDN_RGMII_1_RXD2_MASK                     0x00000040
#define    CHIPREG_RGMII_1_RXD2_PUP_RGMII_1_RXD2_SHIFT                    5
#define    CHIPREG_RGMII_1_RXD2_PUP_RGMII_1_RXD2_MASK                     0x00000020
#define    CHIPREG_RGMII_1_RXD2_AMP_EN_RGMII_1_RXD2_SHIFT                 4
#define    CHIPREG_RGMII_1_RXD2_AMP_EN_RGMII_1_RXD2_MASK                  0x00000010
#define    CHIPREG_RGMII_1_RXD2_IND_RGMII_1_RXD2_SHIFT                    3
#define    CHIPREG_RGMII_1_RXD2_IND_RGMII_1_RXD2_MASK                     0x00000008

#define CHIPREG_RGMII_1_RXD1_OFFSET                                       0x00000BE4
#define CHIPREG_RGMII_1_RXD1_TYPE                                         UInt32
#define CHIPREG_RGMII_1_RXD1_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_RXD1_PDN_RGMII_1_RXD1_SHIFT                    6
#define    CHIPREG_RGMII_1_RXD1_PDN_RGMII_1_RXD1_MASK                     0x00000040
#define    CHIPREG_RGMII_1_RXD1_PUP_RGMII_1_RXD1_SHIFT                    5
#define    CHIPREG_RGMII_1_RXD1_PUP_RGMII_1_RXD1_MASK                     0x00000020
#define    CHIPREG_RGMII_1_RXD1_AMP_EN_RGMII_1_RXD1_SHIFT                 4
#define    CHIPREG_RGMII_1_RXD1_AMP_EN_RGMII_1_RXD1_MASK                  0x00000010
#define    CHIPREG_RGMII_1_RXD1_IND_RGMII_1_RXD1_SHIFT                    3
#define    CHIPREG_RGMII_1_RXD1_IND_RGMII_1_RXD1_MASK                     0x00000008

#define CHIPREG_RGMII_1_RXD0_OFFSET                                       0x00000BE8
#define CHIPREG_RGMII_1_RXD0_TYPE                                         UInt32
#define CHIPREG_RGMII_1_RXD0_RESERVED_MASK                                0xFFFFFF87
#define    CHIPREG_RGMII_1_RXD0_PDN_RGMII_1_RXD0_SHIFT                    6
#define    CHIPREG_RGMII_1_RXD0_PDN_RGMII_1_RXD0_MASK                     0x00000040
#define    CHIPREG_RGMII_1_RXD0_PUP_RGMII_1_RXD0_SHIFT                    5
#define    CHIPREG_RGMII_1_RXD0_PUP_RGMII_1_RXD0_MASK                     0x00000020
#define    CHIPREG_RGMII_1_RXD0_AMP_EN_RGMII_1_RXD0_SHIFT                 4
#define    CHIPREG_RGMII_1_RXD0_AMP_EN_RGMII_1_RXD0_MASK                  0x00000010
#define    CHIPREG_RGMII_1_RXD0_IND_RGMII_1_RXD0_SHIFT                    3
#define    CHIPREG_RGMII_1_RXD0_IND_RGMII_1_RXD0_MASK                     0x00000008

#define CHIPREG_RGMII_1_RX_CTL_OFFSET                                     0x00000BEC
#define CHIPREG_RGMII_1_RX_CTL_TYPE                                       UInt32
#define CHIPREG_RGMII_1_RX_CTL_RESERVED_MASK                              0xFFFFFF87
#define    CHIPREG_RGMII_1_RX_CTL_PDN_RGMII_1_RX_CTL_SHIFT                6
#define    CHIPREG_RGMII_1_RX_CTL_PDN_RGMII_1_RX_CTL_MASK                 0x00000040
#define    CHIPREG_RGMII_1_RX_CTL_PUP_RGMII_1_RX_CTL_SHIFT                5
#define    CHIPREG_RGMII_1_RX_CTL_PUP_RGMII_1_RX_CTL_MASK                 0x00000020
#define    CHIPREG_RGMII_1_RX_CTL_AMP_EN_RGMII_1_RX_CTL_SHIFT             4
#define    CHIPREG_RGMII_1_RX_CTL_AMP_EN_RGMII_1_RX_CTL_MASK              0x00000010
#define    CHIPREG_RGMII_1_RX_CTL_IND_RGMII_1_RX_CTL_SHIFT                3
#define    CHIPREG_RGMII_1_RX_CTL_IND_RGMII_1_RX_CTL_MASK                 0x00000008

#define CHIPREG_MDC_OFFSET                                                0x00000BF0
#define CHIPREG_MDC_TYPE                                                  UInt32
#define CHIPREG_MDC_RESERVED_MASK                                         0xFFFFFF87
#define    CHIPREG_MDC_PDN_MDC_SHIFT                                      6
#define    CHIPREG_MDC_PDN_MDC_MASK                                       0x00000040
#define    CHIPREG_MDC_PUP_MDC_SHIFT                                      5
#define    CHIPREG_MDC_PUP_MDC_MASK                                       0x00000020
#define    CHIPREG_MDC_AMP_EN_MDC_SHIFT                                   4
#define    CHIPREG_MDC_AMP_EN_MDC_MASK                                    0x00000010
#define    CHIPREG_MDC_IND_MDC_SHIFT                                      3
#define    CHIPREG_MDC_IND_MDC_MASK                                       0x00000008

#define CHIPREG_MDIO_OFFSET                                               0x00000BF4
#define CHIPREG_MDIO_TYPE                                                 UInt32
#define CHIPREG_MDIO_RESERVED_MASK                                        0xFFFFFF87
#define    CHIPREG_MDIO_PDN_MDIO_SHIFT                                    6
#define    CHIPREG_MDIO_PDN_MDIO_MASK                                     0x00000040
#define    CHIPREG_MDIO_PUP_MDIO_SHIFT                                    5
#define    CHIPREG_MDIO_PUP_MDIO_MASK                                     0x00000020
#define    CHIPREG_MDIO_AMP_EN_MDIO_SHIFT                                 4
#define    CHIPREG_MDIO_AMP_EN_MDIO_MASK                                  0x00000010
#define    CHIPREG_MDIO_IND_MDIO_SHIFT                                    3
#define    CHIPREG_MDIO_IND_MDIO_MASK                                     0x00000008

#endif /* __BRCM_RDB_CHIPREG_H__ */


