/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DSP_EVENT_CTRL_H__
#define __BRCM_RDB_DSP_EVENT_CTRL_H__

#define DSP_EVENT_CTRL_SMIR_R_OFFSET                                      0x00000A0C
#define DSP_EVENT_CTRL_SMIR_R_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SMIR_R_RESERVED_MASK                               0x00007F00
#define    DSP_EVENT_CTRL_SMIR_R_SFR_LEGACY_SHIFT                         15
#define    DSP_EVENT_CTRL_SMIR_R_SFR_LEGACY_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SMIR_R_SMIR_SHIFT                               0
#define    DSP_EVENT_CTRL_SMIR_R_SMIR_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_0_OFFSET                                    0x00001800
#define DSP_EVENT_CTRL_SFR0_R_0_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_0_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_0_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_0_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_0_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_0_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_0_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_0_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_0_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_0_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_1_OFFSET                                    0x00001802
#define DSP_EVENT_CTRL_SFR0_R_1_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_1_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_1_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_1_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_1_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_1_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_1_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_1_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_1_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_1_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_2_OFFSET                                    0x00001804
#define DSP_EVENT_CTRL_SFR0_R_2_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_2_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_2_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_2_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_2_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_2_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_2_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_2_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_2_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_2_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_3_OFFSET                                    0x00001806
#define DSP_EVENT_CTRL_SFR0_R_3_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_3_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_3_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_3_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_3_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_3_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_3_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_3_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_3_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_3_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_4_OFFSET                                    0x00001808
#define DSP_EVENT_CTRL_SFR0_R_4_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_4_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_4_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_4_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_4_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_4_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_4_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_4_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_4_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_4_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_5_OFFSET                                    0x0000180A
#define DSP_EVENT_CTRL_SFR0_R_5_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_5_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_5_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_5_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_5_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_5_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_5_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_5_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_5_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_5_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_6_OFFSET                                    0x0000180C
#define DSP_EVENT_CTRL_SFR0_R_6_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_6_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_6_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_6_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_6_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_6_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_6_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_6_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_6_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_6_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_7_OFFSET                                    0x0000180E
#define DSP_EVENT_CTRL_SFR0_R_7_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_7_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_7_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_7_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_7_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_7_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_7_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_7_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_7_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_7_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_8_OFFSET                                    0x00001810
#define DSP_EVENT_CTRL_SFR0_R_8_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_8_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_8_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_8_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_8_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_8_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_8_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_8_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_8_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_8_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_9_OFFSET                                    0x00001812
#define DSP_EVENT_CTRL_SFR0_R_9_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_R_9_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_9_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_R_9_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_9_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_R_9_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_9_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_R_9_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_9_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_R_9_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_10_OFFSET                                   0x00001814
#define DSP_EVENT_CTRL_SFR0_R_10_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_10_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_10_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_10_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_10_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_10_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_10_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_10_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_10_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_10_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_11_OFFSET                                   0x00001816
#define DSP_EVENT_CTRL_SFR0_R_11_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_11_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_11_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_11_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_11_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_11_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_11_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_11_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_11_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_11_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_12_OFFSET                                   0x00001818
#define DSP_EVENT_CTRL_SFR0_R_12_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_12_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_12_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_12_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_12_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_12_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_12_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_12_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_12_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_12_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_13_OFFSET                                   0x0000181A
#define DSP_EVENT_CTRL_SFR0_R_13_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_13_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_13_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_13_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_13_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_13_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_13_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_13_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_13_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_13_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_14_OFFSET                                   0x0000181C
#define DSP_EVENT_CTRL_SFR0_R_14_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_14_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_14_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_14_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_14_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_14_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_14_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_14_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_14_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_14_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_15_OFFSET                                   0x0000181E
#define DSP_EVENT_CTRL_SFR0_R_15_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_15_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_15_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_15_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_15_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_15_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_15_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_15_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_15_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_15_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_16_OFFSET                                   0x00001820
#define DSP_EVENT_CTRL_SFR0_R_16_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_16_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_16_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_16_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_16_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_16_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_16_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_16_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_16_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_16_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_17_OFFSET                                   0x00001822
#define DSP_EVENT_CTRL_SFR0_R_17_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_17_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_17_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_17_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_17_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_17_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_17_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_17_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_17_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_17_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_18_OFFSET                                   0x00001824
#define DSP_EVENT_CTRL_SFR0_R_18_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_18_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_18_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_18_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_18_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_18_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_18_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_18_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_18_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_18_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_19_OFFSET                                   0x00001826
#define DSP_EVENT_CTRL_SFR0_R_19_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_19_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_19_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_19_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_19_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_19_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_19_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_19_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_19_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_19_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_20_OFFSET                                   0x00001828
#define DSP_EVENT_CTRL_SFR0_R_20_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_20_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_20_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_20_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_20_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_20_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_20_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_20_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_20_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_20_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_21_OFFSET                                   0x0000182A
#define DSP_EVENT_CTRL_SFR0_R_21_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_21_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_21_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_21_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_21_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_21_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_21_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_21_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_21_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_21_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_22_OFFSET                                   0x0000182C
#define DSP_EVENT_CTRL_SFR0_R_22_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_22_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_22_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_22_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_22_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_22_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_22_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_22_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_22_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_22_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_23_OFFSET                                   0x0000182E
#define DSP_EVENT_CTRL_SFR0_R_23_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_23_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_23_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_23_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_23_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_23_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_23_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_23_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_23_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_23_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_24_OFFSET                                   0x00001830
#define DSP_EVENT_CTRL_SFR0_R_24_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_24_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_24_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_24_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_24_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_24_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_24_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_24_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_24_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_24_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_25_OFFSET                                   0x00001832
#define DSP_EVENT_CTRL_SFR0_R_25_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_25_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_25_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_25_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_25_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_25_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_25_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_25_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_25_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_25_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_26_OFFSET                                   0x00001834
#define DSP_EVENT_CTRL_SFR0_R_26_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_26_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_26_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_26_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_26_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_26_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_26_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_26_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_26_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_26_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_27_OFFSET                                   0x00001836
#define DSP_EVENT_CTRL_SFR0_R_27_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_27_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_27_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_27_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_27_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_27_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_27_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_27_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_27_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_27_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_28_OFFSET                                   0x00001838
#define DSP_EVENT_CTRL_SFR0_R_28_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_28_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_28_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_28_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_28_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_28_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_28_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_28_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_28_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_28_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_29_OFFSET                                   0x0000183A
#define DSP_EVENT_CTRL_SFR0_R_29_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_29_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_29_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_29_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_29_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_29_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_29_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_29_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_29_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_29_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_30_OFFSET                                   0x0000183C
#define DSP_EVENT_CTRL_SFR0_R_30_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_30_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_30_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_30_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_30_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_30_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_30_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_30_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_30_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_30_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_31_OFFSET                                   0x0000183E
#define DSP_EVENT_CTRL_SFR0_R_31_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_31_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_31_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_31_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_31_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_31_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_31_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_31_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_31_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_31_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_32_OFFSET                                   0x00001840
#define DSP_EVENT_CTRL_SFR0_R_32_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_32_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_32_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_32_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_32_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_32_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_32_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_32_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_32_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_32_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_33_OFFSET                                   0x00001842
#define DSP_EVENT_CTRL_SFR0_R_33_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_33_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_33_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_33_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_33_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_33_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_33_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_33_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_33_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_33_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_34_OFFSET                                   0x00001844
#define DSP_EVENT_CTRL_SFR0_R_34_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_34_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_34_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_34_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_34_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_34_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_34_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_34_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_34_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_34_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_35_OFFSET                                   0x00001846
#define DSP_EVENT_CTRL_SFR0_R_35_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_35_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_35_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_35_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_35_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_35_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_35_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_35_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_35_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_35_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_36_OFFSET                                   0x00001848
#define DSP_EVENT_CTRL_SFR0_R_36_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_36_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_36_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_36_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_36_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_36_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_36_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_36_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_36_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_36_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_37_OFFSET                                   0x0000184A
#define DSP_EVENT_CTRL_SFR0_R_37_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_37_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_37_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_37_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_37_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_37_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_37_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_37_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_37_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_37_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_38_OFFSET                                   0x0000184C
#define DSP_EVENT_CTRL_SFR0_R_38_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_38_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_38_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_38_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_38_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_38_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_38_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_38_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_38_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_38_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_39_OFFSET                                   0x0000184E
#define DSP_EVENT_CTRL_SFR0_R_39_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_39_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_39_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_39_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_39_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_39_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_39_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_39_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_39_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_39_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_40_OFFSET                                   0x00001850
#define DSP_EVENT_CTRL_SFR0_R_40_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_40_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_40_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_40_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_40_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_40_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_40_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_40_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_40_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_40_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_41_OFFSET                                   0x00001852
#define DSP_EVENT_CTRL_SFR0_R_41_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_41_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_41_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_41_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_41_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_41_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_41_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_41_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_41_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_41_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_42_OFFSET                                   0x00001854
#define DSP_EVENT_CTRL_SFR0_R_42_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_42_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_42_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_42_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_42_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_42_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_42_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_42_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_42_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_42_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_43_OFFSET                                   0x00001856
#define DSP_EVENT_CTRL_SFR0_R_43_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_43_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_43_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_43_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_43_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_43_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_43_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_43_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_43_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_43_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_44_OFFSET                                   0x00001858
#define DSP_EVENT_CTRL_SFR0_R_44_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_44_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_44_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_44_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_44_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_44_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_44_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_44_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_44_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_44_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_45_OFFSET                                   0x0000185A
#define DSP_EVENT_CTRL_SFR0_R_45_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_45_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_45_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_45_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_45_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_45_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_45_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_45_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_45_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_45_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_46_OFFSET                                   0x0000185C
#define DSP_EVENT_CTRL_SFR0_R_46_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_46_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_46_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_46_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_46_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_46_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_46_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_46_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_46_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_46_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_47_OFFSET                                   0x0000185E
#define DSP_EVENT_CTRL_SFR0_R_47_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_47_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_47_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_47_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_47_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_47_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_47_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_47_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_47_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_47_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_48_OFFSET                                   0x00001860
#define DSP_EVENT_CTRL_SFR0_R_48_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_48_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_48_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_48_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_48_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_48_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_48_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_48_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_48_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_48_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_49_OFFSET                                   0x00001862
#define DSP_EVENT_CTRL_SFR0_R_49_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_49_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_49_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_49_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_49_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_49_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_49_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_49_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_49_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_49_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_50_OFFSET                                   0x00001864
#define DSP_EVENT_CTRL_SFR0_R_50_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_50_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_50_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_50_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_50_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_50_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_50_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_50_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_50_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_50_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_51_OFFSET                                   0x00001866
#define DSP_EVENT_CTRL_SFR0_R_51_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_51_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_51_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_51_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_51_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_51_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_51_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_51_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_51_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_51_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_52_OFFSET                                   0x00001868
#define DSP_EVENT_CTRL_SFR0_R_52_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_52_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_52_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_52_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_52_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_52_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_52_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_52_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_52_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_52_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_53_OFFSET                                   0x0000186A
#define DSP_EVENT_CTRL_SFR0_R_53_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_53_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_53_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_53_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_53_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_53_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_53_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_53_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_53_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_53_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_54_OFFSET                                   0x0000186C
#define DSP_EVENT_CTRL_SFR0_R_54_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_54_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_54_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_54_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_54_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_54_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_54_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_54_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_54_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_54_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_55_OFFSET                                   0x0000186E
#define DSP_EVENT_CTRL_SFR0_R_55_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_55_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_55_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_55_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_55_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_55_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_55_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_55_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_55_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_55_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_56_OFFSET                                   0x00001870
#define DSP_EVENT_CTRL_SFR0_R_56_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_56_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_56_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_56_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_56_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_56_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_56_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_56_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_56_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_56_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_57_OFFSET                                   0x00001872
#define DSP_EVENT_CTRL_SFR0_R_57_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_57_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_57_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_57_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_57_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_57_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_57_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_57_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_57_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_57_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_58_OFFSET                                   0x00001874
#define DSP_EVENT_CTRL_SFR0_R_58_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_58_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_58_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_58_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_58_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_58_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_58_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_58_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_58_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_58_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_59_OFFSET                                   0x00001876
#define DSP_EVENT_CTRL_SFR0_R_59_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_59_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_59_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_59_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_59_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_59_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_59_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_59_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_59_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_59_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_60_OFFSET                                   0x00001878
#define DSP_EVENT_CTRL_SFR0_R_60_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_60_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_60_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_60_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_60_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_60_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_60_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_60_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_60_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_60_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_61_OFFSET                                   0x0000187A
#define DSP_EVENT_CTRL_SFR0_R_61_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_61_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_61_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_61_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_61_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_61_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_61_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_61_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_61_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_61_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_62_OFFSET                                   0x0000187C
#define DSP_EVENT_CTRL_SFR0_R_62_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_62_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_62_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_62_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_62_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_62_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_62_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_62_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_62_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_62_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_63_OFFSET                                   0x0000187E
#define DSP_EVENT_CTRL_SFR0_R_63_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_63_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_63_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_63_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_63_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_63_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_63_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_63_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_63_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_63_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_64_OFFSET                                   0x00001880
#define DSP_EVENT_CTRL_SFR0_R_64_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_64_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_64_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_64_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_64_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_64_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_64_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_64_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_64_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_64_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_65_OFFSET                                   0x00001882
#define DSP_EVENT_CTRL_SFR0_R_65_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_65_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_65_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_65_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_65_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_65_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_65_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_65_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_65_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_65_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_66_OFFSET                                   0x00001884
#define DSP_EVENT_CTRL_SFR0_R_66_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_66_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_66_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_66_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_66_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_66_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_66_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_66_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_66_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_66_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_67_OFFSET                                   0x00001886
#define DSP_EVENT_CTRL_SFR0_R_67_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_67_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_67_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_67_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_67_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_67_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_67_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_67_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_67_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_67_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_68_OFFSET                                   0x00001888
#define DSP_EVENT_CTRL_SFR0_R_68_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_68_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_68_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_68_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_68_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_68_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_68_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_68_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_68_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_68_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_69_OFFSET                                   0x0000188A
#define DSP_EVENT_CTRL_SFR0_R_69_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_69_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_69_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_69_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_69_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_69_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_69_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_69_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_69_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_69_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_70_OFFSET                                   0x0000188C
#define DSP_EVENT_CTRL_SFR0_R_70_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_70_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_70_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_70_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_70_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_70_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_70_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_70_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_70_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_70_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_71_OFFSET                                   0x0000188E
#define DSP_EVENT_CTRL_SFR0_R_71_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_71_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_71_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_71_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_71_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_71_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_71_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_71_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_71_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_71_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_72_OFFSET                                   0x00001890
#define DSP_EVENT_CTRL_SFR0_R_72_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_72_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_72_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_72_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_72_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_72_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_72_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_72_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_72_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_72_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_73_OFFSET                                   0x00001892
#define DSP_EVENT_CTRL_SFR0_R_73_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_73_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_73_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_73_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_73_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_73_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_73_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_73_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_73_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_73_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_74_OFFSET                                   0x00001894
#define DSP_EVENT_CTRL_SFR0_R_74_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_74_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_74_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_74_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_74_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_74_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_74_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_74_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_74_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_74_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_75_OFFSET                                   0x00001896
#define DSP_EVENT_CTRL_SFR0_R_75_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_75_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_75_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_75_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_75_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_75_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_75_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_75_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_75_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_75_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_76_OFFSET                                   0x00001898
#define DSP_EVENT_CTRL_SFR0_R_76_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_76_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_76_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_76_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_76_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_76_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_76_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_76_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_76_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_76_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_77_OFFSET                                   0x0000189A
#define DSP_EVENT_CTRL_SFR0_R_77_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_77_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_77_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_77_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_77_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_77_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_77_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_77_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_77_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_77_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_78_OFFSET                                   0x0000189C
#define DSP_EVENT_CTRL_SFR0_R_78_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_78_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_78_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_78_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_78_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_78_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_78_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_78_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_78_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_78_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_79_OFFSET                                   0x0000189E
#define DSP_EVENT_CTRL_SFR0_R_79_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_79_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_79_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_79_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_79_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_79_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_79_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_79_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_79_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_79_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_80_OFFSET                                   0x000018A0
#define DSP_EVENT_CTRL_SFR0_R_80_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_80_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_80_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_80_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_80_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_80_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_80_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_80_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_80_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_80_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_81_OFFSET                                   0x000018A2
#define DSP_EVENT_CTRL_SFR0_R_81_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_81_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_81_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_81_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_81_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_81_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_81_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_81_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_81_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_81_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_82_OFFSET                                   0x000018A4
#define DSP_EVENT_CTRL_SFR0_R_82_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_82_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_82_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_82_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_82_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_82_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_82_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_82_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_82_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_82_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_83_OFFSET                                   0x000018A6
#define DSP_EVENT_CTRL_SFR0_R_83_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_83_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_83_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_83_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_83_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_83_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_83_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_83_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_83_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_83_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_84_OFFSET                                   0x000018A8
#define DSP_EVENT_CTRL_SFR0_R_84_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_84_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_84_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_84_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_84_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_84_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_84_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_84_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_84_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_84_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_85_OFFSET                                   0x000018AA
#define DSP_EVENT_CTRL_SFR0_R_85_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_85_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_85_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_85_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_85_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_85_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_85_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_85_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_85_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_85_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_86_OFFSET                                   0x000018AC
#define DSP_EVENT_CTRL_SFR0_R_86_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_86_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_86_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_86_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_86_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_86_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_86_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_86_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_86_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_86_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_87_OFFSET                                   0x000018AE
#define DSP_EVENT_CTRL_SFR0_R_87_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_87_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_87_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_87_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_87_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_87_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_87_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_87_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_87_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_87_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_88_OFFSET                                   0x000018B0
#define DSP_EVENT_CTRL_SFR0_R_88_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_88_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_88_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_88_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_88_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_88_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_88_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_88_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_88_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_88_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_89_OFFSET                                   0x000018B2
#define DSP_EVENT_CTRL_SFR0_R_89_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_89_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_89_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_89_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_89_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_89_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_89_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_89_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_89_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_89_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_90_OFFSET                                   0x000018B4
#define DSP_EVENT_CTRL_SFR0_R_90_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_90_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_90_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_90_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_90_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_90_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_90_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_90_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_90_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_90_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_91_OFFSET                                   0x000018B6
#define DSP_EVENT_CTRL_SFR0_R_91_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_91_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_91_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_91_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_91_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_91_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_91_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_91_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_91_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_91_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_92_OFFSET                                   0x000018B8
#define DSP_EVENT_CTRL_SFR0_R_92_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_92_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_92_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_92_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_92_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_92_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_92_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_92_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_92_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_92_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_93_OFFSET                                   0x000018BA
#define DSP_EVENT_CTRL_SFR0_R_93_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_93_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_93_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_93_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_93_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_93_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_93_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_93_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_93_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_93_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_94_OFFSET                                   0x000018BC
#define DSP_EVENT_CTRL_SFR0_R_94_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_94_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_94_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_94_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_94_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_94_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_94_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_94_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_94_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_94_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_95_OFFSET                                   0x000018BE
#define DSP_EVENT_CTRL_SFR0_R_95_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_95_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_95_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_95_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_95_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_95_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_95_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_95_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_95_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_95_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_96_OFFSET                                   0x000018C0
#define DSP_EVENT_CTRL_SFR0_R_96_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_96_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_96_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_96_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_96_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_96_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_96_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_96_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_96_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_96_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_97_OFFSET                                   0x000018C2
#define DSP_EVENT_CTRL_SFR0_R_97_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_97_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_97_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_97_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_97_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_97_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_97_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_97_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_97_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_97_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_98_OFFSET                                   0x000018C4
#define DSP_EVENT_CTRL_SFR0_R_98_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_98_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_98_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_98_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_98_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_98_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_98_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_98_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_98_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_98_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_99_OFFSET                                   0x000018C6
#define DSP_EVENT_CTRL_SFR0_R_99_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR0_R_99_RESERVED_MASK                            0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_99_BC_SHIFT                              12
#define    DSP_EVENT_CTRL_SFR0_R_99_BC_MASK                               0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_99_GSMSEL_SHIFT                          11
#define    DSP_EVENT_CTRL_SFR0_R_99_GSMSEL_MASK                           0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_99_FSC_EN_SHIFT                          8
#define    DSP_EVENT_CTRL_SFR0_R_99_FSC_EN_MASK                           0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_99_TFN_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR0_R_99_TFN_MASK                              0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_100_OFFSET                                  0x000018C8
#define DSP_EVENT_CTRL_SFR0_R_100_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_100_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_100_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_100_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_100_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_100_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_100_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_100_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_100_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_100_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_101_OFFSET                                  0x000018CA
#define DSP_EVENT_CTRL_SFR0_R_101_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_101_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_101_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_101_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_101_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_101_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_101_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_101_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_101_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_101_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_102_OFFSET                                  0x000018CC
#define DSP_EVENT_CTRL_SFR0_R_102_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_102_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_102_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_102_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_102_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_102_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_102_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_102_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_102_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_102_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_103_OFFSET                                  0x000018CE
#define DSP_EVENT_CTRL_SFR0_R_103_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_103_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_103_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_103_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_103_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_103_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_103_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_103_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_103_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_103_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_104_OFFSET                                  0x000018D0
#define DSP_EVENT_CTRL_SFR0_R_104_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_104_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_104_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_104_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_104_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_104_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_104_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_104_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_104_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_104_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_105_OFFSET                                  0x000018D2
#define DSP_EVENT_CTRL_SFR0_R_105_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_105_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_105_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_105_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_105_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_105_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_105_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_105_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_105_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_105_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_106_OFFSET                                  0x000018D4
#define DSP_EVENT_CTRL_SFR0_R_106_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_106_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_106_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_106_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_106_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_106_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_106_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_106_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_106_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_106_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_107_OFFSET                                  0x000018D6
#define DSP_EVENT_CTRL_SFR0_R_107_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_107_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_107_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_107_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_107_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_107_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_107_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_107_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_107_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_107_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_108_OFFSET                                  0x000018D8
#define DSP_EVENT_CTRL_SFR0_R_108_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_108_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_108_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_108_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_108_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_108_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_108_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_108_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_108_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_108_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_109_OFFSET                                  0x000018DA
#define DSP_EVENT_CTRL_SFR0_R_109_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_109_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_109_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_109_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_109_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_109_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_109_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_109_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_109_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_109_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_110_OFFSET                                  0x000018DC
#define DSP_EVENT_CTRL_SFR0_R_110_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_110_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_110_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_110_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_110_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_110_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_110_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_110_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_110_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_110_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_111_OFFSET                                  0x000018DE
#define DSP_EVENT_CTRL_SFR0_R_111_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_111_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_111_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_111_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_111_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_111_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_111_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_111_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_111_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_111_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_112_OFFSET                                  0x000018E0
#define DSP_EVENT_CTRL_SFR0_R_112_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_112_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_112_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_112_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_112_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_112_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_112_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_112_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_112_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_112_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_113_OFFSET                                  0x000018E2
#define DSP_EVENT_CTRL_SFR0_R_113_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_113_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_113_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_113_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_113_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_113_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_113_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_113_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_113_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_113_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_114_OFFSET                                  0x000018E4
#define DSP_EVENT_CTRL_SFR0_R_114_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_114_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_114_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_114_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_114_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_114_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_114_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_114_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_114_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_114_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_115_OFFSET                                  0x000018E6
#define DSP_EVENT_CTRL_SFR0_R_115_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_115_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_115_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_115_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_115_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_115_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_115_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_115_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_115_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_115_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_116_OFFSET                                  0x000018E8
#define DSP_EVENT_CTRL_SFR0_R_116_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_116_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_116_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_116_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_116_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_116_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_116_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_116_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_116_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_116_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_117_OFFSET                                  0x000018EA
#define DSP_EVENT_CTRL_SFR0_R_117_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_117_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_117_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_117_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_117_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_117_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_117_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_117_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_117_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_117_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_118_OFFSET                                  0x000018EC
#define DSP_EVENT_CTRL_SFR0_R_118_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_118_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_118_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_118_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_118_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_118_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_118_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_118_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_118_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_118_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_119_OFFSET                                  0x000018EE
#define DSP_EVENT_CTRL_SFR0_R_119_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_119_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_119_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_119_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_119_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_119_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_119_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_119_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_119_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_119_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_120_OFFSET                                  0x000018F0
#define DSP_EVENT_CTRL_SFR0_R_120_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_120_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_120_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_120_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_120_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_120_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_120_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_120_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_120_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_120_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_121_OFFSET                                  0x000018F2
#define DSP_EVENT_CTRL_SFR0_R_121_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_121_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_121_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_121_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_121_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_121_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_121_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_121_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_121_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_121_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_122_OFFSET                                  0x000018F4
#define DSP_EVENT_CTRL_SFR0_R_122_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_122_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_122_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_122_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_122_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_122_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_122_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_122_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_122_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_122_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_123_OFFSET                                  0x000018F6
#define DSP_EVENT_CTRL_SFR0_R_123_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_123_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_123_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_123_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_123_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_123_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_123_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_123_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_123_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_123_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_124_OFFSET                                  0x000018F8
#define DSP_EVENT_CTRL_SFR0_R_124_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_124_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_124_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_124_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_124_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_124_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_124_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_124_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_124_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_124_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_125_OFFSET                                  0x000018FA
#define DSP_EVENT_CTRL_SFR0_R_125_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_125_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_125_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_125_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_125_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_125_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_125_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_125_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_125_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_125_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_126_OFFSET                                  0x000018FC
#define DSP_EVENT_CTRL_SFR0_R_126_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_126_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_126_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_126_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_126_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_126_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_126_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_126_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_126_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_126_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_127_OFFSET                                  0x000018FE
#define DSP_EVENT_CTRL_SFR0_R_127_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_127_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_127_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_127_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_127_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_127_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_127_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_127_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_127_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_127_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_128_OFFSET                                  0x00001900
#define DSP_EVENT_CTRL_SFR0_R_128_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_128_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_128_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_128_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_128_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_128_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_128_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_128_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_128_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_128_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_129_OFFSET                                  0x00001902
#define DSP_EVENT_CTRL_SFR0_R_129_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_129_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_129_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_129_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_129_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_129_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_129_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_129_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_129_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_129_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_130_OFFSET                                  0x00001904
#define DSP_EVENT_CTRL_SFR0_R_130_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_130_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_130_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_130_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_130_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_130_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_130_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_130_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_130_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_130_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_131_OFFSET                                  0x00001906
#define DSP_EVENT_CTRL_SFR0_R_131_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_131_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_131_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_131_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_131_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_131_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_131_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_131_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_131_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_131_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_132_OFFSET                                  0x00001908
#define DSP_EVENT_CTRL_SFR0_R_132_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_132_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_132_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_132_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_132_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_132_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_132_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_132_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_132_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_132_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_133_OFFSET                                  0x0000190A
#define DSP_EVENT_CTRL_SFR0_R_133_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_133_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_133_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_133_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_133_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_133_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_133_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_133_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_133_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_133_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_134_OFFSET                                  0x0000190C
#define DSP_EVENT_CTRL_SFR0_R_134_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_134_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_134_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_134_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_134_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_134_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_134_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_134_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_134_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_134_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_135_OFFSET                                  0x0000190E
#define DSP_EVENT_CTRL_SFR0_R_135_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_135_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_135_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_135_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_135_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_135_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_135_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_135_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_135_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_135_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_136_OFFSET                                  0x00001910
#define DSP_EVENT_CTRL_SFR0_R_136_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_136_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_136_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_136_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_136_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_136_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_136_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_136_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_136_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_136_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_137_OFFSET                                  0x00001912
#define DSP_EVENT_CTRL_SFR0_R_137_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_137_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_137_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_137_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_137_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_137_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_137_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_137_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_137_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_137_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_138_OFFSET                                  0x00001914
#define DSP_EVENT_CTRL_SFR0_R_138_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_138_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_138_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_138_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_138_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_138_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_138_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_138_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_138_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_138_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_139_OFFSET                                  0x00001916
#define DSP_EVENT_CTRL_SFR0_R_139_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_139_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_139_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_139_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_139_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_139_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_139_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_139_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_139_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_139_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_140_OFFSET                                  0x00001918
#define DSP_EVENT_CTRL_SFR0_R_140_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_140_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_140_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_140_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_140_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_140_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_140_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_140_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_140_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_140_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_141_OFFSET                                  0x0000191A
#define DSP_EVENT_CTRL_SFR0_R_141_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_141_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_141_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_141_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_141_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_141_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_141_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_141_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_141_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_141_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_142_OFFSET                                  0x0000191C
#define DSP_EVENT_CTRL_SFR0_R_142_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_142_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_142_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_142_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_142_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_142_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_142_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_142_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_142_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_142_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_143_OFFSET                                  0x0000191E
#define DSP_EVENT_CTRL_SFR0_R_143_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_143_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_143_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_143_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_143_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_143_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_143_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_143_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_143_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_143_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_144_OFFSET                                  0x00001920
#define DSP_EVENT_CTRL_SFR0_R_144_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_144_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_144_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_144_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_144_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_144_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_144_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_144_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_144_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_144_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_145_OFFSET                                  0x00001922
#define DSP_EVENT_CTRL_SFR0_R_145_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_145_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_145_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_145_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_145_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_145_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_145_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_145_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_145_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_145_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_146_OFFSET                                  0x00001924
#define DSP_EVENT_CTRL_SFR0_R_146_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_146_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_146_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_146_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_146_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_146_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_146_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_146_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_146_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_146_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_147_OFFSET                                  0x00001926
#define DSP_EVENT_CTRL_SFR0_R_147_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_147_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_147_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_147_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_147_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_147_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_147_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_147_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_147_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_147_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_148_OFFSET                                  0x00001928
#define DSP_EVENT_CTRL_SFR0_R_148_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_148_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_148_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_148_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_148_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_148_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_148_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_148_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_148_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_148_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_149_OFFSET                                  0x0000192A
#define DSP_EVENT_CTRL_SFR0_R_149_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_149_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_149_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_149_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_149_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_149_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_149_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_149_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_149_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_149_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_150_OFFSET                                  0x0000192C
#define DSP_EVENT_CTRL_SFR0_R_150_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_150_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_150_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_150_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_150_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_150_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_150_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_150_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_150_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_150_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_151_OFFSET                                  0x0000192E
#define DSP_EVENT_CTRL_SFR0_R_151_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_151_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_151_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_151_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_151_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_151_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_151_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_151_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_151_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_151_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_152_OFFSET                                  0x00001930
#define DSP_EVENT_CTRL_SFR0_R_152_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_152_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_152_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_152_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_152_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_152_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_152_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_152_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_152_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_152_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_153_OFFSET                                  0x00001932
#define DSP_EVENT_CTRL_SFR0_R_153_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_153_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_153_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_153_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_153_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_153_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_153_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_153_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_153_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_153_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_154_OFFSET                                  0x00001934
#define DSP_EVENT_CTRL_SFR0_R_154_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_154_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_154_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_154_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_154_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_154_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_154_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_154_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_154_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_154_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_155_OFFSET                                  0x00001936
#define DSP_EVENT_CTRL_SFR0_R_155_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_155_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_155_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_155_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_155_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_155_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_155_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_155_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_155_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_155_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_156_OFFSET                                  0x00001938
#define DSP_EVENT_CTRL_SFR0_R_156_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_156_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_156_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_156_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_156_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_156_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_156_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_156_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_156_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_156_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_157_OFFSET                                  0x0000193A
#define DSP_EVENT_CTRL_SFR0_R_157_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_157_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_157_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_157_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_157_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_157_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_157_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_157_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_157_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_157_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_158_OFFSET                                  0x0000193C
#define DSP_EVENT_CTRL_SFR0_R_158_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_158_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_158_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_158_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_158_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_158_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_158_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_158_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_158_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_158_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR0_R_159_OFFSET                                  0x0000193E
#define DSP_EVENT_CTRL_SFR0_R_159_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR0_R_159_RESERVED_MASK                           0x00000600
#define    DSP_EVENT_CTRL_SFR0_R_159_BC_SHIFT                             12
#define    DSP_EVENT_CTRL_SFR0_R_159_BC_MASK                              0x0000F000
#define    DSP_EVENT_CTRL_SFR0_R_159_GSMSEL_SHIFT                         11
#define    DSP_EVENT_CTRL_SFR0_R_159_GSMSEL_MASK                          0x00000800
#define    DSP_EVENT_CTRL_SFR0_R_159_FSC_EN_SHIFT                         8
#define    DSP_EVENT_CTRL_SFR0_R_159_FSC_EN_MASK                          0x00000100
#define    DSP_EVENT_CTRL_SFR0_R_159_TFN_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR0_R_159_TFN_MASK                             0x000000FF

#define DSP_EVENT_CTRL_SFR1_R_0_OFFSET                                    0x00001940
#define DSP_EVENT_CTRL_SFR1_R_0_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_0_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_0_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_0_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_0_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_0_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_0_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_0_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_1_OFFSET                                    0x00001942
#define DSP_EVENT_CTRL_SFR1_R_1_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_1_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_1_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_1_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_1_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_1_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_1_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_1_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_2_OFFSET                                    0x00001944
#define DSP_EVENT_CTRL_SFR1_R_2_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_2_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_2_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_2_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_2_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_2_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_2_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_2_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_3_OFFSET                                    0x00001946
#define DSP_EVENT_CTRL_SFR1_R_3_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_3_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_3_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_3_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_3_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_3_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_3_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_3_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_4_OFFSET                                    0x00001948
#define DSP_EVENT_CTRL_SFR1_R_4_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_4_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_4_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_4_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_4_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_4_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_4_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_4_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_5_OFFSET                                    0x0000194A
#define DSP_EVENT_CTRL_SFR1_R_5_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_5_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_5_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_5_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_5_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_5_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_5_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_5_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_6_OFFSET                                    0x0000194C
#define DSP_EVENT_CTRL_SFR1_R_6_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_6_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_6_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_6_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_6_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_6_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_6_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_6_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_7_OFFSET                                    0x0000194E
#define DSP_EVENT_CTRL_SFR1_R_7_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_7_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_7_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_7_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_7_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_7_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_7_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_7_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_8_OFFSET                                    0x00001950
#define DSP_EVENT_CTRL_SFR1_R_8_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_8_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_8_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_8_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_8_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_8_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_8_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_8_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_9_OFFSET                                    0x00001952
#define DSP_EVENT_CTRL_SFR1_R_9_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_R_9_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_9_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_R_9_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_9_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_R_9_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_9_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_R_9_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_10_OFFSET                                   0x00001954
#define DSP_EVENT_CTRL_SFR1_R_10_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_10_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_10_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_10_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_10_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_10_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_10_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_10_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_11_OFFSET                                   0x00001956
#define DSP_EVENT_CTRL_SFR1_R_11_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_11_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_11_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_11_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_11_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_11_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_11_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_11_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_12_OFFSET                                   0x00001958
#define DSP_EVENT_CTRL_SFR1_R_12_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_12_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_12_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_12_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_12_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_12_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_12_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_12_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_13_OFFSET                                   0x0000195A
#define DSP_EVENT_CTRL_SFR1_R_13_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_13_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_13_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_13_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_13_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_13_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_13_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_13_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_14_OFFSET                                   0x0000195C
#define DSP_EVENT_CTRL_SFR1_R_14_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_14_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_14_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_14_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_14_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_14_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_14_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_14_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_15_OFFSET                                   0x0000195E
#define DSP_EVENT_CTRL_SFR1_R_15_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_15_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_15_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_15_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_15_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_15_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_15_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_15_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_16_OFFSET                                   0x00001960
#define DSP_EVENT_CTRL_SFR1_R_16_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_16_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_16_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_16_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_16_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_16_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_16_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_16_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_17_OFFSET                                   0x00001962
#define DSP_EVENT_CTRL_SFR1_R_17_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_17_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_17_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_17_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_17_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_17_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_17_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_17_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_18_OFFSET                                   0x00001964
#define DSP_EVENT_CTRL_SFR1_R_18_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_18_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_18_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_18_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_18_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_18_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_18_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_18_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_19_OFFSET                                   0x00001966
#define DSP_EVENT_CTRL_SFR1_R_19_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_19_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_19_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_19_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_19_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_19_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_19_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_19_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_20_OFFSET                                   0x00001968
#define DSP_EVENT_CTRL_SFR1_R_20_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_20_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_20_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_20_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_20_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_20_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_20_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_20_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_21_OFFSET                                   0x0000196A
#define DSP_EVENT_CTRL_SFR1_R_21_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_21_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_21_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_21_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_21_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_21_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_21_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_21_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_22_OFFSET                                   0x0000196C
#define DSP_EVENT_CTRL_SFR1_R_22_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_22_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_22_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_22_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_22_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_22_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_22_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_22_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_23_OFFSET                                   0x0000196E
#define DSP_EVENT_CTRL_SFR1_R_23_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_23_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_23_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_23_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_23_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_23_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_23_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_23_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_24_OFFSET                                   0x00001970
#define DSP_EVENT_CTRL_SFR1_R_24_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_24_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_24_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_24_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_24_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_24_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_24_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_24_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_25_OFFSET                                   0x00001972
#define DSP_EVENT_CTRL_SFR1_R_25_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_25_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_25_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_25_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_25_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_25_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_25_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_25_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_26_OFFSET                                   0x00001974
#define DSP_EVENT_CTRL_SFR1_R_26_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_26_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_26_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_26_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_26_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_26_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_26_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_26_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_27_OFFSET                                   0x00001976
#define DSP_EVENT_CTRL_SFR1_R_27_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_27_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_27_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_27_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_27_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_27_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_27_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_27_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_28_OFFSET                                   0x00001978
#define DSP_EVENT_CTRL_SFR1_R_28_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_28_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_28_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_28_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_28_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_28_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_28_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_28_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_29_OFFSET                                   0x0000197A
#define DSP_EVENT_CTRL_SFR1_R_29_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_29_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_29_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_29_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_29_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_29_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_29_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_29_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_30_OFFSET                                   0x0000197C
#define DSP_EVENT_CTRL_SFR1_R_30_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_30_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_30_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_30_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_30_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_30_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_30_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_30_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_31_OFFSET                                   0x0000197E
#define DSP_EVENT_CTRL_SFR1_R_31_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_31_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_31_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_31_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_31_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_31_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_31_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_31_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_32_OFFSET                                   0x00001980
#define DSP_EVENT_CTRL_SFR1_R_32_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_32_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_32_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_32_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_32_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_32_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_32_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_32_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_33_OFFSET                                   0x00001982
#define DSP_EVENT_CTRL_SFR1_R_33_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_33_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_33_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_33_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_33_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_33_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_33_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_33_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_34_OFFSET                                   0x00001984
#define DSP_EVENT_CTRL_SFR1_R_34_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_34_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_34_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_34_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_34_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_34_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_34_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_34_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_35_OFFSET                                   0x00001986
#define DSP_EVENT_CTRL_SFR1_R_35_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_35_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_35_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_35_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_35_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_35_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_35_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_35_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_36_OFFSET                                   0x00001988
#define DSP_EVENT_CTRL_SFR1_R_36_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_36_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_36_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_36_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_36_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_36_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_36_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_36_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_37_OFFSET                                   0x0000198A
#define DSP_EVENT_CTRL_SFR1_R_37_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_37_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_37_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_37_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_37_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_37_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_37_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_37_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_38_OFFSET                                   0x0000198C
#define DSP_EVENT_CTRL_SFR1_R_38_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_38_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_38_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_38_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_38_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_38_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_38_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_38_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_39_OFFSET                                   0x0000198E
#define DSP_EVENT_CTRL_SFR1_R_39_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_39_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_39_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_39_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_39_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_39_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_39_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_39_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_40_OFFSET                                   0x00001990
#define DSP_EVENT_CTRL_SFR1_R_40_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_40_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_40_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_40_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_40_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_40_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_40_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_40_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_41_OFFSET                                   0x00001992
#define DSP_EVENT_CTRL_SFR1_R_41_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_41_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_41_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_41_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_41_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_41_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_41_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_41_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_42_OFFSET                                   0x00001994
#define DSP_EVENT_CTRL_SFR1_R_42_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_42_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_42_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_42_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_42_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_42_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_42_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_42_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_43_OFFSET                                   0x00001996
#define DSP_EVENT_CTRL_SFR1_R_43_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_43_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_43_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_43_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_43_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_43_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_43_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_43_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_44_OFFSET                                   0x00001998
#define DSP_EVENT_CTRL_SFR1_R_44_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_44_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_44_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_44_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_44_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_44_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_44_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_44_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_45_OFFSET                                   0x0000199A
#define DSP_EVENT_CTRL_SFR1_R_45_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_45_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_45_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_45_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_45_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_45_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_45_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_45_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_46_OFFSET                                   0x0000199C
#define DSP_EVENT_CTRL_SFR1_R_46_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_46_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_46_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_46_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_46_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_46_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_46_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_46_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_47_OFFSET                                   0x0000199E
#define DSP_EVENT_CTRL_SFR1_R_47_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_47_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_47_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_47_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_47_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_47_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_47_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_47_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_48_OFFSET                                   0x000019A0
#define DSP_EVENT_CTRL_SFR1_R_48_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_48_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_48_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_48_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_48_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_48_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_48_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_48_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_49_OFFSET                                   0x000019A2
#define DSP_EVENT_CTRL_SFR1_R_49_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_49_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_49_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_49_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_49_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_49_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_49_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_49_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_50_OFFSET                                   0x000019A4
#define DSP_EVENT_CTRL_SFR1_R_50_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_50_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_50_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_50_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_50_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_50_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_50_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_50_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_51_OFFSET                                   0x000019A6
#define DSP_EVENT_CTRL_SFR1_R_51_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_51_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_51_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_51_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_51_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_51_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_51_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_51_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_52_OFFSET                                   0x000019A8
#define DSP_EVENT_CTRL_SFR1_R_52_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_52_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_52_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_52_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_52_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_52_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_52_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_52_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_53_OFFSET                                   0x000019AA
#define DSP_EVENT_CTRL_SFR1_R_53_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_53_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_53_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_53_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_53_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_53_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_53_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_53_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_54_OFFSET                                   0x000019AC
#define DSP_EVENT_CTRL_SFR1_R_54_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_54_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_54_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_54_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_54_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_54_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_54_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_54_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_55_OFFSET                                   0x000019AE
#define DSP_EVENT_CTRL_SFR1_R_55_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_55_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_55_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_55_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_55_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_55_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_55_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_55_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_56_OFFSET                                   0x000019B0
#define DSP_EVENT_CTRL_SFR1_R_56_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_56_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_56_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_56_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_56_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_56_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_56_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_56_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_57_OFFSET                                   0x000019B2
#define DSP_EVENT_CTRL_SFR1_R_57_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_57_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_57_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_57_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_57_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_57_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_57_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_57_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_58_OFFSET                                   0x000019B4
#define DSP_EVENT_CTRL_SFR1_R_58_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_58_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_58_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_58_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_58_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_58_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_58_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_58_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_59_OFFSET                                   0x000019B6
#define DSP_EVENT_CTRL_SFR1_R_59_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_59_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_59_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_59_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_59_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_59_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_59_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_59_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_60_OFFSET                                   0x000019B8
#define DSP_EVENT_CTRL_SFR1_R_60_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_60_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_60_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_60_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_60_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_60_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_60_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_60_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_61_OFFSET                                   0x000019BA
#define DSP_EVENT_CTRL_SFR1_R_61_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_61_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_61_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_61_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_61_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_61_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_61_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_61_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_62_OFFSET                                   0x000019BC
#define DSP_EVENT_CTRL_SFR1_R_62_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_62_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_62_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_62_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_62_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_62_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_62_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_62_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_63_OFFSET                                   0x000019BE
#define DSP_EVENT_CTRL_SFR1_R_63_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_63_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_63_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_63_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_63_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_63_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_63_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_63_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_64_OFFSET                                   0x000019C0
#define DSP_EVENT_CTRL_SFR1_R_64_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_64_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_64_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_64_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_64_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_64_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_64_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_64_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_65_OFFSET                                   0x000019C2
#define DSP_EVENT_CTRL_SFR1_R_65_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_65_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_65_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_65_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_65_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_65_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_65_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_65_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_66_OFFSET                                   0x000019C4
#define DSP_EVENT_CTRL_SFR1_R_66_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_66_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_66_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_66_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_66_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_66_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_66_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_66_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_67_OFFSET                                   0x000019C6
#define DSP_EVENT_CTRL_SFR1_R_67_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_67_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_67_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_67_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_67_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_67_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_67_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_67_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_68_OFFSET                                   0x000019C8
#define DSP_EVENT_CTRL_SFR1_R_68_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_68_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_68_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_68_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_68_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_68_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_68_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_68_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_69_OFFSET                                   0x000019CA
#define DSP_EVENT_CTRL_SFR1_R_69_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_69_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_69_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_69_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_69_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_69_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_69_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_69_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_70_OFFSET                                   0x000019CC
#define DSP_EVENT_CTRL_SFR1_R_70_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_70_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_70_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_70_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_70_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_70_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_70_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_70_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_71_OFFSET                                   0x000019CE
#define DSP_EVENT_CTRL_SFR1_R_71_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_71_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_71_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_71_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_71_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_71_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_71_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_71_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_72_OFFSET                                   0x000019D0
#define DSP_EVENT_CTRL_SFR1_R_72_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_72_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_72_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_72_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_72_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_72_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_72_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_72_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_73_OFFSET                                   0x000019D2
#define DSP_EVENT_CTRL_SFR1_R_73_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_73_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_73_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_73_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_73_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_73_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_73_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_73_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_74_OFFSET                                   0x000019D4
#define DSP_EVENT_CTRL_SFR1_R_74_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_74_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_74_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_74_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_74_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_74_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_74_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_74_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_75_OFFSET                                   0x000019D6
#define DSP_EVENT_CTRL_SFR1_R_75_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_75_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_75_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_75_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_75_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_75_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_75_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_75_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_76_OFFSET                                   0x000019D8
#define DSP_EVENT_CTRL_SFR1_R_76_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_76_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_76_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_76_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_76_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_76_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_76_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_76_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_77_OFFSET                                   0x000019DA
#define DSP_EVENT_CTRL_SFR1_R_77_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_77_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_77_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_77_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_77_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_77_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_77_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_77_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_78_OFFSET                                   0x000019DC
#define DSP_EVENT_CTRL_SFR1_R_78_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_78_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_78_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_78_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_78_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_78_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_78_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_78_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_79_OFFSET                                   0x000019DE
#define DSP_EVENT_CTRL_SFR1_R_79_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_79_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_79_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_79_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_79_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_79_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_79_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_79_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_80_OFFSET                                   0x000019E0
#define DSP_EVENT_CTRL_SFR1_R_80_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_80_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_80_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_80_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_80_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_80_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_80_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_80_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_81_OFFSET                                   0x000019E2
#define DSP_EVENT_CTRL_SFR1_R_81_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_81_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_81_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_81_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_81_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_81_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_81_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_81_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_82_OFFSET                                   0x000019E4
#define DSP_EVENT_CTRL_SFR1_R_82_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_82_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_82_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_82_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_82_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_82_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_82_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_82_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_83_OFFSET                                   0x000019E6
#define DSP_EVENT_CTRL_SFR1_R_83_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_83_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_83_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_83_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_83_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_83_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_83_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_83_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_84_OFFSET                                   0x000019E8
#define DSP_EVENT_CTRL_SFR1_R_84_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_84_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_84_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_84_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_84_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_84_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_84_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_84_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_85_OFFSET                                   0x000019EA
#define DSP_EVENT_CTRL_SFR1_R_85_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_85_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_85_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_85_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_85_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_85_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_85_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_85_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_86_OFFSET                                   0x000019EC
#define DSP_EVENT_CTRL_SFR1_R_86_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_86_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_86_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_86_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_86_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_86_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_86_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_86_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_87_OFFSET                                   0x000019EE
#define DSP_EVENT_CTRL_SFR1_R_87_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_87_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_87_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_87_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_87_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_87_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_87_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_87_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_88_OFFSET                                   0x000019F0
#define DSP_EVENT_CTRL_SFR1_R_88_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_88_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_88_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_88_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_88_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_88_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_88_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_88_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_89_OFFSET                                   0x000019F2
#define DSP_EVENT_CTRL_SFR1_R_89_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_89_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_89_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_89_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_89_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_89_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_89_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_89_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_90_OFFSET                                   0x000019F4
#define DSP_EVENT_CTRL_SFR1_R_90_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_90_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_90_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_90_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_90_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_90_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_90_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_90_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_91_OFFSET                                   0x000019F6
#define DSP_EVENT_CTRL_SFR1_R_91_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_91_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_91_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_91_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_91_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_91_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_91_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_91_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_92_OFFSET                                   0x000019F8
#define DSP_EVENT_CTRL_SFR1_R_92_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_92_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_92_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_92_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_92_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_92_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_92_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_92_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_93_OFFSET                                   0x000019FA
#define DSP_EVENT_CTRL_SFR1_R_93_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_93_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_93_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_93_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_93_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_93_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_93_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_93_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_94_OFFSET                                   0x000019FC
#define DSP_EVENT_CTRL_SFR1_R_94_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_94_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_94_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_94_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_94_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_94_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_94_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_94_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_95_OFFSET                                   0x000019FE
#define DSP_EVENT_CTRL_SFR1_R_95_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_95_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_95_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_95_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_95_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_95_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_95_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_95_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_96_OFFSET                                   0x00001A00
#define DSP_EVENT_CTRL_SFR1_R_96_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_96_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_96_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_96_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_96_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_96_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_96_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_96_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_97_OFFSET                                   0x00001A02
#define DSP_EVENT_CTRL_SFR1_R_97_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_97_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_97_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_97_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_97_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_97_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_97_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_97_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_98_OFFSET                                   0x00001A04
#define DSP_EVENT_CTRL_SFR1_R_98_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_98_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_98_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_98_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_98_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_98_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_98_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_98_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_99_OFFSET                                   0x00001A06
#define DSP_EVENT_CTRL_SFR1_R_99_TYPE                                     UInt16
#define DSP_EVENT_CTRL_SFR1_R_99_RESERVED_MASK                            0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_99_SMCINT_SHIFT                          15
#define    DSP_EVENT_CTRL_SFR1_R_99_SMCINT_MASK                           0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_99_ARM_SMCINT_SHIFT                      14
#define    DSP_EVENT_CTRL_SFR1_R_99_ARM_SMCINT_MASK                       0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_99_TQBC_SHIFT                            0
#define    DSP_EVENT_CTRL_SFR1_R_99_TQBC_MASK                             0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_100_OFFSET                                  0x00001A08
#define DSP_EVENT_CTRL_SFR1_R_100_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_100_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_100_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_100_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_100_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_100_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_100_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_100_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_101_OFFSET                                  0x00001A0A
#define DSP_EVENT_CTRL_SFR1_R_101_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_101_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_101_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_101_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_101_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_101_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_101_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_101_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_102_OFFSET                                  0x00001A0C
#define DSP_EVENT_CTRL_SFR1_R_102_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_102_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_102_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_102_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_102_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_102_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_102_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_102_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_103_OFFSET                                  0x00001A0E
#define DSP_EVENT_CTRL_SFR1_R_103_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_103_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_103_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_103_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_103_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_103_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_103_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_103_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_104_OFFSET                                  0x00001A10
#define DSP_EVENT_CTRL_SFR1_R_104_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_104_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_104_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_104_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_104_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_104_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_104_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_104_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_105_OFFSET                                  0x00001A12
#define DSP_EVENT_CTRL_SFR1_R_105_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_105_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_105_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_105_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_105_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_105_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_105_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_105_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_106_OFFSET                                  0x00001A14
#define DSP_EVENT_CTRL_SFR1_R_106_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_106_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_106_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_106_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_106_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_106_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_106_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_106_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_107_OFFSET                                  0x00001A16
#define DSP_EVENT_CTRL_SFR1_R_107_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_107_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_107_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_107_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_107_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_107_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_107_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_107_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_108_OFFSET                                  0x00001A18
#define DSP_EVENT_CTRL_SFR1_R_108_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_108_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_108_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_108_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_108_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_108_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_108_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_108_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_109_OFFSET                                  0x00001A1A
#define DSP_EVENT_CTRL_SFR1_R_109_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_109_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_109_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_109_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_109_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_109_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_109_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_109_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_110_OFFSET                                  0x00001A1C
#define DSP_EVENT_CTRL_SFR1_R_110_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_110_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_110_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_110_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_110_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_110_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_110_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_110_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_111_OFFSET                                  0x00001A1E
#define DSP_EVENT_CTRL_SFR1_R_111_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_111_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_111_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_111_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_111_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_111_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_111_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_111_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_112_OFFSET                                  0x00001A20
#define DSP_EVENT_CTRL_SFR1_R_112_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_112_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_112_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_112_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_112_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_112_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_112_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_112_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_113_OFFSET                                  0x00001A22
#define DSP_EVENT_CTRL_SFR1_R_113_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_113_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_113_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_113_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_113_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_113_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_113_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_113_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_114_OFFSET                                  0x00001A24
#define DSP_EVENT_CTRL_SFR1_R_114_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_114_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_114_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_114_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_114_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_114_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_114_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_114_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_115_OFFSET                                  0x00001A26
#define DSP_EVENT_CTRL_SFR1_R_115_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_115_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_115_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_115_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_115_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_115_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_115_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_115_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_116_OFFSET                                  0x00001A28
#define DSP_EVENT_CTRL_SFR1_R_116_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_116_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_116_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_116_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_116_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_116_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_116_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_116_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_117_OFFSET                                  0x00001A2A
#define DSP_EVENT_CTRL_SFR1_R_117_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_117_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_117_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_117_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_117_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_117_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_117_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_117_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_118_OFFSET                                  0x00001A2C
#define DSP_EVENT_CTRL_SFR1_R_118_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_118_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_118_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_118_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_118_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_118_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_118_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_118_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_119_OFFSET                                  0x00001A2E
#define DSP_EVENT_CTRL_SFR1_R_119_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_119_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_119_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_119_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_119_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_119_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_119_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_119_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_120_OFFSET                                  0x00001A30
#define DSP_EVENT_CTRL_SFR1_R_120_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_120_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_120_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_120_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_120_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_120_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_120_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_120_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_121_OFFSET                                  0x00001A32
#define DSP_EVENT_CTRL_SFR1_R_121_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_121_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_121_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_121_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_121_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_121_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_121_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_121_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_122_OFFSET                                  0x00001A34
#define DSP_EVENT_CTRL_SFR1_R_122_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_122_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_122_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_122_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_122_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_122_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_122_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_122_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_123_OFFSET                                  0x00001A36
#define DSP_EVENT_CTRL_SFR1_R_123_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_123_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_123_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_123_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_123_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_123_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_123_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_123_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_124_OFFSET                                  0x00001A38
#define DSP_EVENT_CTRL_SFR1_R_124_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_124_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_124_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_124_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_124_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_124_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_124_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_124_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_125_OFFSET                                  0x00001A3A
#define DSP_EVENT_CTRL_SFR1_R_125_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_125_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_125_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_125_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_125_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_125_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_125_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_125_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_126_OFFSET                                  0x00001A3C
#define DSP_EVENT_CTRL_SFR1_R_126_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_126_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_126_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_126_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_126_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_126_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_126_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_126_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_127_OFFSET                                  0x00001A3E
#define DSP_EVENT_CTRL_SFR1_R_127_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_127_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_127_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_127_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_127_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_127_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_127_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_127_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_128_OFFSET                                  0x00001A40
#define DSP_EVENT_CTRL_SFR1_R_128_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_128_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_128_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_128_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_128_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_128_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_128_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_128_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_129_OFFSET                                  0x00001A42
#define DSP_EVENT_CTRL_SFR1_R_129_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_129_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_129_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_129_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_129_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_129_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_129_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_129_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_130_OFFSET                                  0x00001A44
#define DSP_EVENT_CTRL_SFR1_R_130_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_130_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_130_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_130_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_130_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_130_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_130_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_130_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_131_OFFSET                                  0x00001A46
#define DSP_EVENT_CTRL_SFR1_R_131_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_131_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_131_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_131_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_131_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_131_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_131_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_131_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_132_OFFSET                                  0x00001A48
#define DSP_EVENT_CTRL_SFR1_R_132_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_132_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_132_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_132_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_132_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_132_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_132_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_132_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_133_OFFSET                                  0x00001A4A
#define DSP_EVENT_CTRL_SFR1_R_133_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_133_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_133_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_133_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_133_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_133_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_133_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_133_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_134_OFFSET                                  0x00001A4C
#define DSP_EVENT_CTRL_SFR1_R_134_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_134_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_134_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_134_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_134_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_134_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_134_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_134_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_135_OFFSET                                  0x00001A4E
#define DSP_EVENT_CTRL_SFR1_R_135_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_135_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_135_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_135_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_135_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_135_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_135_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_135_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_136_OFFSET                                  0x00001A50
#define DSP_EVENT_CTRL_SFR1_R_136_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_136_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_136_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_136_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_136_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_136_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_136_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_136_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_137_OFFSET                                  0x00001A52
#define DSP_EVENT_CTRL_SFR1_R_137_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_137_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_137_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_137_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_137_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_137_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_137_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_137_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_138_OFFSET                                  0x00001A54
#define DSP_EVENT_CTRL_SFR1_R_138_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_138_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_138_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_138_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_138_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_138_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_138_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_138_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_139_OFFSET                                  0x00001A56
#define DSP_EVENT_CTRL_SFR1_R_139_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_139_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_139_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_139_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_139_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_139_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_139_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_139_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_140_OFFSET                                  0x00001A58
#define DSP_EVENT_CTRL_SFR1_R_140_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_140_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_140_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_140_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_140_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_140_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_140_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_140_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_141_OFFSET                                  0x00001A5A
#define DSP_EVENT_CTRL_SFR1_R_141_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_141_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_141_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_141_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_141_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_141_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_141_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_141_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_142_OFFSET                                  0x00001A5C
#define DSP_EVENT_CTRL_SFR1_R_142_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_142_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_142_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_142_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_142_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_142_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_142_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_142_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_143_OFFSET                                  0x00001A5E
#define DSP_EVENT_CTRL_SFR1_R_143_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_143_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_143_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_143_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_143_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_143_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_143_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_143_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_144_OFFSET                                  0x00001A60
#define DSP_EVENT_CTRL_SFR1_R_144_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_144_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_144_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_144_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_144_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_144_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_144_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_144_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_145_OFFSET                                  0x00001A62
#define DSP_EVENT_CTRL_SFR1_R_145_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_145_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_145_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_145_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_145_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_145_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_145_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_145_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_146_OFFSET                                  0x00001A64
#define DSP_EVENT_CTRL_SFR1_R_146_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_146_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_146_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_146_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_146_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_146_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_146_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_146_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_147_OFFSET                                  0x00001A66
#define DSP_EVENT_CTRL_SFR1_R_147_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_147_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_147_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_147_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_147_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_147_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_147_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_147_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_148_OFFSET                                  0x00001A68
#define DSP_EVENT_CTRL_SFR1_R_148_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_148_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_148_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_148_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_148_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_148_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_148_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_148_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_149_OFFSET                                  0x00001A6A
#define DSP_EVENT_CTRL_SFR1_R_149_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_149_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_149_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_149_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_149_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_149_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_149_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_149_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_150_OFFSET                                  0x00001A6C
#define DSP_EVENT_CTRL_SFR1_R_150_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_150_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_150_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_150_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_150_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_150_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_150_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_150_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_151_OFFSET                                  0x00001A6E
#define DSP_EVENT_CTRL_SFR1_R_151_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_151_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_151_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_151_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_151_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_151_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_151_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_151_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_152_OFFSET                                  0x00001A70
#define DSP_EVENT_CTRL_SFR1_R_152_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_152_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_152_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_152_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_152_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_152_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_152_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_152_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_153_OFFSET                                  0x00001A72
#define DSP_EVENT_CTRL_SFR1_R_153_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_153_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_153_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_153_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_153_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_153_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_153_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_153_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_154_OFFSET                                  0x00001A74
#define DSP_EVENT_CTRL_SFR1_R_154_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_154_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_154_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_154_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_154_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_154_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_154_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_154_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_155_OFFSET                                  0x00001A76
#define DSP_EVENT_CTRL_SFR1_R_155_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_155_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_155_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_155_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_155_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_155_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_155_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_155_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_156_OFFSET                                  0x00001A78
#define DSP_EVENT_CTRL_SFR1_R_156_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_156_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_156_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_156_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_156_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_156_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_156_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_156_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_157_OFFSET                                  0x00001A7A
#define DSP_EVENT_CTRL_SFR1_R_157_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_157_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_157_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_157_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_157_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_157_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_157_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_157_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_158_OFFSET                                  0x00001A7C
#define DSP_EVENT_CTRL_SFR1_R_158_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_158_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_158_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_158_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_158_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_158_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_158_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_158_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SFR1_R_159_OFFSET                                  0x00001A7E
#define DSP_EVENT_CTRL_SFR1_R_159_TYPE                                    UInt16
#define DSP_EVENT_CTRL_SFR1_R_159_RESERVED_MASK                           0x00000000
#define    DSP_EVENT_CTRL_SFR1_R_159_SMCINT_SHIFT                         15
#define    DSP_EVENT_CTRL_SFR1_R_159_SMCINT_MASK                          0x00008000
#define    DSP_EVENT_CTRL_SFR1_R_159_ARM_SMCINT_SHIFT                     14
#define    DSP_EVENT_CTRL_SFR1_R_159_ARM_SMCINT_MASK                      0x00004000
#define    DSP_EVENT_CTRL_SFR1_R_159_TQBC_SHIFT                           0
#define    DSP_EVENT_CTRL_SFR1_R_159_TQBC_MASK                            0x00003FFF

#define DSP_EVENT_CTRL_SMIR_OFFSET                                        0x0000E506
#define DSP_EVENT_CTRL_SMIR_TYPE                                          UInt16
#define DSP_EVENT_CTRL_SMIR_RESERVED_MASK                                 0x00007F00
#define    DSP_EVENT_CTRL_SMIR_SFR_LEGACY_SHIFT                           15
#define    DSP_EVENT_CTRL_SMIR_SFR_LEGACY_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SMIR_SMIR_SHIFT                                 0
#define    DSP_EVENT_CTRL_SMIR_SMIR_MASK                                  0x000000FF

#define DSP_EVENT_CTRL_SFR0_0_OFFSET                                      0x0000EC00
#define DSP_EVENT_CTRL_SFR0_0_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_0_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_0_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_0_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_0_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_0_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_0_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_0_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_0_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_0_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_1_OFFSET                                      0x0000EC01
#define DSP_EVENT_CTRL_SFR0_1_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_1_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_1_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_1_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_1_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_1_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_1_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_1_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_1_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_1_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_2_OFFSET                                      0x0000EC02
#define DSP_EVENT_CTRL_SFR0_2_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_2_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_2_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_2_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_2_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_2_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_2_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_2_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_2_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_2_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_3_OFFSET                                      0x0000EC03
#define DSP_EVENT_CTRL_SFR0_3_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_3_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_3_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_3_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_3_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_3_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_3_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_3_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_3_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_3_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_4_OFFSET                                      0x0000EC04
#define DSP_EVENT_CTRL_SFR0_4_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_4_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_4_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_4_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_4_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_4_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_4_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_4_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_4_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_4_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_5_OFFSET                                      0x0000EC05
#define DSP_EVENT_CTRL_SFR0_5_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_5_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_5_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_5_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_5_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_5_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_5_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_5_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_5_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_5_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_6_OFFSET                                      0x0000EC06
#define DSP_EVENT_CTRL_SFR0_6_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_6_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_6_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_6_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_6_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_6_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_6_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_6_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_6_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_6_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_7_OFFSET                                      0x0000EC07
#define DSP_EVENT_CTRL_SFR0_7_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_7_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_7_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_7_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_7_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_7_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_7_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_7_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_7_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_7_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_8_OFFSET                                      0x0000EC08
#define DSP_EVENT_CTRL_SFR0_8_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_8_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_8_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_8_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_8_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_8_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_8_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_8_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_8_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_8_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_9_OFFSET                                      0x0000EC09
#define DSP_EVENT_CTRL_SFR0_9_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR0_9_RESERVED_MASK                               0x00000600
#define    DSP_EVENT_CTRL_SFR0_9_BC_SHIFT                                 12
#define    DSP_EVENT_CTRL_SFR0_9_BC_MASK                                  0x0000F000
#define    DSP_EVENT_CTRL_SFR0_9_GSMSEL_SHIFT                             11
#define    DSP_EVENT_CTRL_SFR0_9_GSMSEL_MASK                              0x00000800
#define    DSP_EVENT_CTRL_SFR0_9_FSC_EN_SHIFT                             8
#define    DSP_EVENT_CTRL_SFR0_9_FSC_EN_MASK                              0x00000100
#define    DSP_EVENT_CTRL_SFR0_9_TFN_SHIFT                                0
#define    DSP_EVENT_CTRL_SFR0_9_TFN_MASK                                 0x000000FF

#define DSP_EVENT_CTRL_SFR0_10_OFFSET                                     0x0000EC0A
#define DSP_EVENT_CTRL_SFR0_10_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_10_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_10_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_10_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_10_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_10_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_10_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_10_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_10_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_10_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_11_OFFSET                                     0x0000EC0B
#define DSP_EVENT_CTRL_SFR0_11_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_11_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_11_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_11_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_11_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_11_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_11_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_11_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_11_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_11_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_12_OFFSET                                     0x0000EC0C
#define DSP_EVENT_CTRL_SFR0_12_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_12_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_12_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_12_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_12_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_12_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_12_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_12_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_12_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_12_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_13_OFFSET                                     0x0000EC0D
#define DSP_EVENT_CTRL_SFR0_13_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_13_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_13_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_13_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_13_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_13_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_13_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_13_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_13_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_13_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_14_OFFSET                                     0x0000EC0E
#define DSP_EVENT_CTRL_SFR0_14_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_14_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_14_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_14_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_14_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_14_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_14_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_14_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_14_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_14_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_15_OFFSET                                     0x0000EC0F
#define DSP_EVENT_CTRL_SFR0_15_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_15_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_15_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_15_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_15_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_15_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_15_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_15_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_15_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_15_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_16_OFFSET                                     0x0000EC10
#define DSP_EVENT_CTRL_SFR0_16_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_16_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_16_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_16_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_16_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_16_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_16_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_16_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_16_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_16_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_17_OFFSET                                     0x0000EC11
#define DSP_EVENT_CTRL_SFR0_17_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_17_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_17_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_17_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_17_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_17_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_17_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_17_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_17_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_17_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_18_OFFSET                                     0x0000EC12
#define DSP_EVENT_CTRL_SFR0_18_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_18_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_18_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_18_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_18_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_18_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_18_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_18_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_18_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_18_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_19_OFFSET                                     0x0000EC13
#define DSP_EVENT_CTRL_SFR0_19_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_19_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_19_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_19_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_19_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_19_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_19_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_19_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_19_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_19_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_20_OFFSET                                     0x0000EC14
#define DSP_EVENT_CTRL_SFR0_20_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_20_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_20_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_20_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_20_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_20_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_20_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_20_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_20_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_20_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_21_OFFSET                                     0x0000EC15
#define DSP_EVENT_CTRL_SFR0_21_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_21_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_21_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_21_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_21_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_21_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_21_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_21_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_21_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_21_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_22_OFFSET                                     0x0000EC16
#define DSP_EVENT_CTRL_SFR0_22_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_22_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_22_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_22_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_22_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_22_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_22_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_22_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_22_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_22_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_23_OFFSET                                     0x0000EC17
#define DSP_EVENT_CTRL_SFR0_23_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_23_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_23_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_23_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_23_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_23_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_23_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_23_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_23_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_23_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_24_OFFSET                                     0x0000EC18
#define DSP_EVENT_CTRL_SFR0_24_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_24_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_24_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_24_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_24_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_24_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_24_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_24_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_24_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_24_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_25_OFFSET                                     0x0000EC19
#define DSP_EVENT_CTRL_SFR0_25_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_25_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_25_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_25_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_25_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_25_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_25_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_25_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_25_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_25_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_26_OFFSET                                     0x0000EC1A
#define DSP_EVENT_CTRL_SFR0_26_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_26_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_26_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_26_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_26_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_26_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_26_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_26_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_26_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_26_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_27_OFFSET                                     0x0000EC1B
#define DSP_EVENT_CTRL_SFR0_27_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_27_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_27_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_27_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_27_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_27_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_27_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_27_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_27_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_27_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_28_OFFSET                                     0x0000EC1C
#define DSP_EVENT_CTRL_SFR0_28_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_28_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_28_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_28_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_28_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_28_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_28_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_28_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_28_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_28_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_29_OFFSET                                     0x0000EC1D
#define DSP_EVENT_CTRL_SFR0_29_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_29_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_29_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_29_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_29_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_29_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_29_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_29_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_29_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_29_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_30_OFFSET                                     0x0000EC1E
#define DSP_EVENT_CTRL_SFR0_30_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_30_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_30_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_30_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_30_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_30_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_30_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_30_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_30_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_30_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_31_OFFSET                                     0x0000EC1F
#define DSP_EVENT_CTRL_SFR0_31_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_31_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_31_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_31_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_31_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_31_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_31_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_31_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_31_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_31_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_32_OFFSET                                     0x0000EC20
#define DSP_EVENT_CTRL_SFR0_32_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_32_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_32_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_32_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_32_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_32_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_32_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_32_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_32_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_32_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_33_OFFSET                                     0x0000EC21
#define DSP_EVENT_CTRL_SFR0_33_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_33_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_33_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_33_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_33_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_33_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_33_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_33_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_33_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_33_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_34_OFFSET                                     0x0000EC22
#define DSP_EVENT_CTRL_SFR0_34_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_34_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_34_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_34_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_34_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_34_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_34_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_34_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_34_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_34_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_35_OFFSET                                     0x0000EC23
#define DSP_EVENT_CTRL_SFR0_35_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_35_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_35_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_35_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_35_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_35_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_35_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_35_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_35_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_35_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_36_OFFSET                                     0x0000EC24
#define DSP_EVENT_CTRL_SFR0_36_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_36_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_36_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_36_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_36_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_36_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_36_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_36_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_36_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_36_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_37_OFFSET                                     0x0000EC25
#define DSP_EVENT_CTRL_SFR0_37_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_37_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_37_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_37_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_37_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_37_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_37_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_37_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_37_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_37_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_38_OFFSET                                     0x0000EC26
#define DSP_EVENT_CTRL_SFR0_38_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_38_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_38_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_38_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_38_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_38_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_38_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_38_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_38_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_38_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_39_OFFSET                                     0x0000EC27
#define DSP_EVENT_CTRL_SFR0_39_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_39_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_39_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_39_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_39_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_39_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_39_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_39_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_39_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_39_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_40_OFFSET                                     0x0000EC28
#define DSP_EVENT_CTRL_SFR0_40_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_40_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_40_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_40_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_40_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_40_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_40_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_40_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_40_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_40_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_41_OFFSET                                     0x0000EC29
#define DSP_EVENT_CTRL_SFR0_41_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_41_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_41_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_41_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_41_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_41_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_41_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_41_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_41_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_41_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_42_OFFSET                                     0x0000EC2A
#define DSP_EVENT_CTRL_SFR0_42_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_42_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_42_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_42_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_42_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_42_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_42_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_42_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_42_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_42_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_43_OFFSET                                     0x0000EC2B
#define DSP_EVENT_CTRL_SFR0_43_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_43_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_43_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_43_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_43_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_43_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_43_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_43_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_43_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_43_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_44_OFFSET                                     0x0000EC2C
#define DSP_EVENT_CTRL_SFR0_44_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_44_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_44_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_44_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_44_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_44_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_44_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_44_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_44_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_44_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_45_OFFSET                                     0x0000EC2D
#define DSP_EVENT_CTRL_SFR0_45_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_45_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_45_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_45_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_45_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_45_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_45_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_45_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_45_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_45_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_46_OFFSET                                     0x0000EC2E
#define DSP_EVENT_CTRL_SFR0_46_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_46_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_46_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_46_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_46_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_46_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_46_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_46_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_46_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_46_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_47_OFFSET                                     0x0000EC2F
#define DSP_EVENT_CTRL_SFR0_47_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_47_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_47_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_47_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_47_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_47_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_47_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_47_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_47_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_47_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_48_OFFSET                                     0x0000EC30
#define DSP_EVENT_CTRL_SFR0_48_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_48_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_48_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_48_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_48_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_48_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_48_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_48_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_48_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_48_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_49_OFFSET                                     0x0000EC31
#define DSP_EVENT_CTRL_SFR0_49_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_49_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_49_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_49_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_49_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_49_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_49_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_49_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_49_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_49_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_50_OFFSET                                     0x0000EC32
#define DSP_EVENT_CTRL_SFR0_50_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_50_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_50_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_50_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_50_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_50_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_50_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_50_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_50_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_50_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_51_OFFSET                                     0x0000EC33
#define DSP_EVENT_CTRL_SFR0_51_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_51_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_51_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_51_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_51_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_51_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_51_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_51_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_51_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_51_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_52_OFFSET                                     0x0000EC34
#define DSP_EVENT_CTRL_SFR0_52_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_52_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_52_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_52_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_52_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_52_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_52_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_52_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_52_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_52_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_53_OFFSET                                     0x0000EC35
#define DSP_EVENT_CTRL_SFR0_53_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_53_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_53_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_53_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_53_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_53_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_53_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_53_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_53_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_53_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_54_OFFSET                                     0x0000EC36
#define DSP_EVENT_CTRL_SFR0_54_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_54_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_54_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_54_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_54_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_54_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_54_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_54_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_54_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_54_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_55_OFFSET                                     0x0000EC37
#define DSP_EVENT_CTRL_SFR0_55_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_55_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_55_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_55_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_55_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_55_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_55_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_55_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_55_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_55_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_56_OFFSET                                     0x0000EC38
#define DSP_EVENT_CTRL_SFR0_56_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_56_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_56_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_56_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_56_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_56_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_56_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_56_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_56_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_56_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_57_OFFSET                                     0x0000EC39
#define DSP_EVENT_CTRL_SFR0_57_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_57_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_57_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_57_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_57_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_57_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_57_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_57_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_57_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_57_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_58_OFFSET                                     0x0000EC3A
#define DSP_EVENT_CTRL_SFR0_58_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_58_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_58_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_58_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_58_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_58_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_58_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_58_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_58_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_58_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_59_OFFSET                                     0x0000EC3B
#define DSP_EVENT_CTRL_SFR0_59_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_59_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_59_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_59_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_59_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_59_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_59_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_59_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_59_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_59_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_60_OFFSET                                     0x0000EC3C
#define DSP_EVENT_CTRL_SFR0_60_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_60_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_60_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_60_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_60_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_60_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_60_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_60_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_60_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_60_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_61_OFFSET                                     0x0000EC3D
#define DSP_EVENT_CTRL_SFR0_61_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_61_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_61_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_61_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_61_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_61_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_61_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_61_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_61_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_61_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_62_OFFSET                                     0x0000EC3E
#define DSP_EVENT_CTRL_SFR0_62_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_62_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_62_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_62_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_62_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_62_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_62_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_62_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_62_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_62_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_63_OFFSET                                     0x0000EC3F
#define DSP_EVENT_CTRL_SFR0_63_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_63_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_63_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_63_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_63_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_63_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_63_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_63_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_63_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_63_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_64_OFFSET                                     0x0000EC40
#define DSP_EVENT_CTRL_SFR0_64_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_64_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_64_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_64_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_64_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_64_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_64_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_64_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_64_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_64_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_65_OFFSET                                     0x0000EC41
#define DSP_EVENT_CTRL_SFR0_65_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_65_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_65_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_65_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_65_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_65_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_65_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_65_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_65_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_65_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_66_OFFSET                                     0x0000EC42
#define DSP_EVENT_CTRL_SFR0_66_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_66_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_66_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_66_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_66_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_66_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_66_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_66_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_66_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_66_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_67_OFFSET                                     0x0000EC43
#define DSP_EVENT_CTRL_SFR0_67_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_67_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_67_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_67_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_67_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_67_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_67_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_67_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_67_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_67_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_68_OFFSET                                     0x0000EC44
#define DSP_EVENT_CTRL_SFR0_68_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_68_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_68_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_68_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_68_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_68_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_68_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_68_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_68_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_68_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_69_OFFSET                                     0x0000EC45
#define DSP_EVENT_CTRL_SFR0_69_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_69_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_69_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_69_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_69_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_69_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_69_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_69_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_69_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_69_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_70_OFFSET                                     0x0000EC46
#define DSP_EVENT_CTRL_SFR0_70_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_70_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_70_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_70_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_70_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_70_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_70_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_70_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_70_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_70_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_71_OFFSET                                     0x0000EC47
#define DSP_EVENT_CTRL_SFR0_71_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_71_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_71_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_71_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_71_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_71_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_71_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_71_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_71_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_71_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_72_OFFSET                                     0x0000EC48
#define DSP_EVENT_CTRL_SFR0_72_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_72_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_72_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_72_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_72_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_72_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_72_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_72_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_72_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_72_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_73_OFFSET                                     0x0000EC49
#define DSP_EVENT_CTRL_SFR0_73_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_73_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_73_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_73_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_73_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_73_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_73_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_73_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_73_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_73_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_74_OFFSET                                     0x0000EC4A
#define DSP_EVENT_CTRL_SFR0_74_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_74_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_74_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_74_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_74_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_74_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_74_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_74_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_74_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_74_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_75_OFFSET                                     0x0000EC4B
#define DSP_EVENT_CTRL_SFR0_75_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_75_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_75_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_75_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_75_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_75_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_75_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_75_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_75_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_75_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_76_OFFSET                                     0x0000EC4C
#define DSP_EVENT_CTRL_SFR0_76_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_76_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_76_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_76_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_76_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_76_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_76_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_76_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_76_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_76_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_77_OFFSET                                     0x0000EC4D
#define DSP_EVENT_CTRL_SFR0_77_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_77_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_77_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_77_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_77_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_77_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_77_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_77_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_77_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_77_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_78_OFFSET                                     0x0000EC4E
#define DSP_EVENT_CTRL_SFR0_78_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_78_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_78_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_78_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_78_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_78_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_78_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_78_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_78_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_78_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_79_OFFSET                                     0x0000EC4F
#define DSP_EVENT_CTRL_SFR0_79_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_79_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_79_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_79_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_79_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_79_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_79_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_79_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_79_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_79_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_80_OFFSET                                     0x0000EC50
#define DSP_EVENT_CTRL_SFR0_80_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_80_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_80_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_80_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_80_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_80_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_80_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_80_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_80_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_80_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_81_OFFSET                                     0x0000EC51
#define DSP_EVENT_CTRL_SFR0_81_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_81_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_81_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_81_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_81_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_81_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_81_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_81_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_81_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_81_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_82_OFFSET                                     0x0000EC52
#define DSP_EVENT_CTRL_SFR0_82_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_82_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_82_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_82_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_82_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_82_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_82_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_82_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_82_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_82_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_83_OFFSET                                     0x0000EC53
#define DSP_EVENT_CTRL_SFR0_83_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_83_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_83_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_83_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_83_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_83_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_83_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_83_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_83_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_83_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_84_OFFSET                                     0x0000EC54
#define DSP_EVENT_CTRL_SFR0_84_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_84_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_84_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_84_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_84_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_84_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_84_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_84_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_84_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_84_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_85_OFFSET                                     0x0000EC55
#define DSP_EVENT_CTRL_SFR0_85_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_85_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_85_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_85_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_85_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_85_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_85_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_85_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_85_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_85_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_86_OFFSET                                     0x0000EC56
#define DSP_EVENT_CTRL_SFR0_86_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_86_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_86_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_86_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_86_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_86_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_86_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_86_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_86_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_86_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_87_OFFSET                                     0x0000EC57
#define DSP_EVENT_CTRL_SFR0_87_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_87_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_87_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_87_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_87_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_87_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_87_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_87_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_87_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_87_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_88_OFFSET                                     0x0000EC58
#define DSP_EVENT_CTRL_SFR0_88_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_88_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_88_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_88_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_88_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_88_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_88_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_88_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_88_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_88_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_89_OFFSET                                     0x0000EC59
#define DSP_EVENT_CTRL_SFR0_89_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_89_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_89_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_89_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_89_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_89_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_89_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_89_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_89_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_89_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_90_OFFSET                                     0x0000EC5A
#define DSP_EVENT_CTRL_SFR0_90_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_90_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_90_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_90_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_90_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_90_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_90_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_90_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_90_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_90_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_91_OFFSET                                     0x0000EC5B
#define DSP_EVENT_CTRL_SFR0_91_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_91_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_91_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_91_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_91_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_91_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_91_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_91_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_91_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_91_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_92_OFFSET                                     0x0000EC5C
#define DSP_EVENT_CTRL_SFR0_92_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_92_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_92_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_92_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_92_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_92_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_92_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_92_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_92_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_92_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_93_OFFSET                                     0x0000EC5D
#define DSP_EVENT_CTRL_SFR0_93_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_93_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_93_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_93_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_93_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_93_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_93_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_93_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_93_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_93_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_94_OFFSET                                     0x0000EC5E
#define DSP_EVENT_CTRL_SFR0_94_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_94_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_94_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_94_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_94_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_94_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_94_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_94_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_94_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_94_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_95_OFFSET                                     0x0000EC5F
#define DSP_EVENT_CTRL_SFR0_95_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_95_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_95_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_95_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_95_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_95_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_95_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_95_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_95_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_95_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_96_OFFSET                                     0x0000EC60
#define DSP_EVENT_CTRL_SFR0_96_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_96_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_96_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_96_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_96_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_96_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_96_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_96_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_96_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_96_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_97_OFFSET                                     0x0000EC61
#define DSP_EVENT_CTRL_SFR0_97_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_97_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_97_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_97_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_97_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_97_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_97_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_97_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_97_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_97_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_98_OFFSET                                     0x0000EC62
#define DSP_EVENT_CTRL_SFR0_98_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_98_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_98_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_98_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_98_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_98_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_98_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_98_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_98_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_98_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_99_OFFSET                                     0x0000EC63
#define DSP_EVENT_CTRL_SFR0_99_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR0_99_RESERVED_MASK                              0x00000600
#define    DSP_EVENT_CTRL_SFR0_99_BC_SHIFT                                12
#define    DSP_EVENT_CTRL_SFR0_99_BC_MASK                                 0x0000F000
#define    DSP_EVENT_CTRL_SFR0_99_GSMSEL_SHIFT                            11
#define    DSP_EVENT_CTRL_SFR0_99_GSMSEL_MASK                             0x00000800
#define    DSP_EVENT_CTRL_SFR0_99_FSC_EN_SHIFT                            8
#define    DSP_EVENT_CTRL_SFR0_99_FSC_EN_MASK                             0x00000100
#define    DSP_EVENT_CTRL_SFR0_99_TFN_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR0_99_TFN_MASK                                0x000000FF

#define DSP_EVENT_CTRL_SFR0_100_OFFSET                                    0x0000EC64
#define DSP_EVENT_CTRL_SFR0_100_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_100_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_100_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_100_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_100_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_100_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_100_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_100_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_100_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_100_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_101_OFFSET                                    0x0000EC65
#define DSP_EVENT_CTRL_SFR0_101_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_101_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_101_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_101_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_101_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_101_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_101_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_101_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_101_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_101_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_102_OFFSET                                    0x0000EC66
#define DSP_EVENT_CTRL_SFR0_102_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_102_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_102_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_102_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_102_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_102_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_102_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_102_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_102_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_102_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_103_OFFSET                                    0x0000EC67
#define DSP_EVENT_CTRL_SFR0_103_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_103_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_103_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_103_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_103_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_103_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_103_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_103_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_103_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_103_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_104_OFFSET                                    0x0000EC68
#define DSP_EVENT_CTRL_SFR0_104_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_104_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_104_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_104_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_104_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_104_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_104_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_104_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_104_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_104_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_105_OFFSET                                    0x0000EC69
#define DSP_EVENT_CTRL_SFR0_105_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_105_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_105_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_105_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_105_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_105_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_105_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_105_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_105_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_105_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_106_OFFSET                                    0x0000EC6A
#define DSP_EVENT_CTRL_SFR0_106_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_106_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_106_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_106_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_106_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_106_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_106_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_106_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_106_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_106_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_107_OFFSET                                    0x0000EC6B
#define DSP_EVENT_CTRL_SFR0_107_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_107_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_107_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_107_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_107_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_107_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_107_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_107_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_107_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_107_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_108_OFFSET                                    0x0000EC6C
#define DSP_EVENT_CTRL_SFR0_108_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_108_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_108_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_108_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_108_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_108_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_108_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_108_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_108_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_108_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_109_OFFSET                                    0x0000EC6D
#define DSP_EVENT_CTRL_SFR0_109_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_109_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_109_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_109_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_109_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_109_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_109_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_109_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_109_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_109_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_110_OFFSET                                    0x0000EC6E
#define DSP_EVENT_CTRL_SFR0_110_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_110_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_110_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_110_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_110_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_110_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_110_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_110_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_110_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_110_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_111_OFFSET                                    0x0000EC6F
#define DSP_EVENT_CTRL_SFR0_111_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_111_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_111_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_111_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_111_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_111_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_111_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_111_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_111_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_111_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_112_OFFSET                                    0x0000EC70
#define DSP_EVENT_CTRL_SFR0_112_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_112_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_112_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_112_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_112_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_112_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_112_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_112_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_112_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_112_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_113_OFFSET                                    0x0000EC71
#define DSP_EVENT_CTRL_SFR0_113_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_113_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_113_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_113_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_113_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_113_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_113_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_113_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_113_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_113_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_114_OFFSET                                    0x0000EC72
#define DSP_EVENT_CTRL_SFR0_114_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_114_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_114_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_114_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_114_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_114_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_114_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_114_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_114_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_114_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_115_OFFSET                                    0x0000EC73
#define DSP_EVENT_CTRL_SFR0_115_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_115_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_115_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_115_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_115_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_115_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_115_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_115_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_115_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_115_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_116_OFFSET                                    0x0000EC74
#define DSP_EVENT_CTRL_SFR0_116_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_116_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_116_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_116_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_116_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_116_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_116_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_116_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_116_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_116_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_117_OFFSET                                    0x0000EC75
#define DSP_EVENT_CTRL_SFR0_117_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_117_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_117_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_117_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_117_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_117_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_117_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_117_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_117_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_117_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_118_OFFSET                                    0x0000EC76
#define DSP_EVENT_CTRL_SFR0_118_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_118_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_118_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_118_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_118_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_118_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_118_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_118_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_118_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_118_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_119_OFFSET                                    0x0000EC77
#define DSP_EVENT_CTRL_SFR0_119_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_119_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_119_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_119_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_119_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_119_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_119_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_119_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_119_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_119_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_120_OFFSET                                    0x0000EC78
#define DSP_EVENT_CTRL_SFR0_120_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_120_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_120_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_120_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_120_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_120_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_120_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_120_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_120_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_120_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_121_OFFSET                                    0x0000EC79
#define DSP_EVENT_CTRL_SFR0_121_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_121_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_121_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_121_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_121_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_121_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_121_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_121_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_121_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_121_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_122_OFFSET                                    0x0000EC7A
#define DSP_EVENT_CTRL_SFR0_122_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_122_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_122_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_122_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_122_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_122_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_122_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_122_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_122_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_122_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_123_OFFSET                                    0x0000EC7B
#define DSP_EVENT_CTRL_SFR0_123_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_123_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_123_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_123_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_123_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_123_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_123_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_123_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_123_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_123_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_124_OFFSET                                    0x0000EC7C
#define DSP_EVENT_CTRL_SFR0_124_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_124_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_124_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_124_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_124_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_124_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_124_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_124_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_124_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_124_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_125_OFFSET                                    0x0000EC7D
#define DSP_EVENT_CTRL_SFR0_125_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_125_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_125_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_125_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_125_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_125_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_125_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_125_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_125_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_125_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_126_OFFSET                                    0x0000EC7E
#define DSP_EVENT_CTRL_SFR0_126_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_126_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_126_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_126_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_126_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_126_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_126_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_126_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_126_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_126_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_127_OFFSET                                    0x0000EC7F
#define DSP_EVENT_CTRL_SFR0_127_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_127_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_127_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_127_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_127_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_127_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_127_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_127_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_127_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_127_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_128_OFFSET                                    0x0000EC80
#define DSP_EVENT_CTRL_SFR0_128_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_128_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_128_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_128_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_128_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_128_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_128_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_128_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_128_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_128_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_129_OFFSET                                    0x0000EC81
#define DSP_EVENT_CTRL_SFR0_129_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_129_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_129_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_129_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_129_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_129_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_129_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_129_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_129_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_129_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_130_OFFSET                                    0x0000EC82
#define DSP_EVENT_CTRL_SFR0_130_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_130_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_130_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_130_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_130_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_130_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_130_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_130_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_130_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_130_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_131_OFFSET                                    0x0000EC83
#define DSP_EVENT_CTRL_SFR0_131_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_131_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_131_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_131_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_131_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_131_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_131_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_131_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_131_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_131_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_132_OFFSET                                    0x0000EC84
#define DSP_EVENT_CTRL_SFR0_132_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_132_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_132_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_132_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_132_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_132_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_132_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_132_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_132_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_132_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_133_OFFSET                                    0x0000EC85
#define DSP_EVENT_CTRL_SFR0_133_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_133_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_133_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_133_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_133_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_133_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_133_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_133_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_133_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_133_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_134_OFFSET                                    0x0000EC86
#define DSP_EVENT_CTRL_SFR0_134_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_134_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_134_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_134_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_134_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_134_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_134_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_134_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_134_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_134_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_135_OFFSET                                    0x0000EC87
#define DSP_EVENT_CTRL_SFR0_135_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_135_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_135_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_135_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_135_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_135_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_135_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_135_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_135_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_135_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_136_OFFSET                                    0x0000EC88
#define DSP_EVENT_CTRL_SFR0_136_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_136_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_136_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_136_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_136_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_136_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_136_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_136_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_136_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_136_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_137_OFFSET                                    0x0000EC89
#define DSP_EVENT_CTRL_SFR0_137_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_137_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_137_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_137_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_137_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_137_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_137_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_137_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_137_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_137_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_138_OFFSET                                    0x0000EC8A
#define DSP_EVENT_CTRL_SFR0_138_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_138_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_138_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_138_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_138_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_138_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_138_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_138_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_138_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_138_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_139_OFFSET                                    0x0000EC8B
#define DSP_EVENT_CTRL_SFR0_139_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_139_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_139_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_139_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_139_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_139_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_139_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_139_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_139_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_139_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_140_OFFSET                                    0x0000EC8C
#define DSP_EVENT_CTRL_SFR0_140_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_140_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_140_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_140_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_140_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_140_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_140_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_140_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_140_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_140_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_141_OFFSET                                    0x0000EC8D
#define DSP_EVENT_CTRL_SFR0_141_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_141_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_141_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_141_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_141_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_141_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_141_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_141_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_141_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_141_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_142_OFFSET                                    0x0000EC8E
#define DSP_EVENT_CTRL_SFR0_142_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_142_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_142_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_142_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_142_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_142_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_142_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_142_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_142_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_142_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_143_OFFSET                                    0x0000EC8F
#define DSP_EVENT_CTRL_SFR0_143_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_143_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_143_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_143_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_143_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_143_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_143_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_143_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_143_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_143_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_144_OFFSET                                    0x0000EC90
#define DSP_EVENT_CTRL_SFR0_144_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_144_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_144_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_144_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_144_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_144_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_144_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_144_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_144_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_144_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_145_OFFSET                                    0x0000EC91
#define DSP_EVENT_CTRL_SFR0_145_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_145_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_145_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_145_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_145_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_145_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_145_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_145_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_145_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_145_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_146_OFFSET                                    0x0000EC92
#define DSP_EVENT_CTRL_SFR0_146_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_146_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_146_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_146_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_146_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_146_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_146_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_146_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_146_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_146_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_147_OFFSET                                    0x0000EC93
#define DSP_EVENT_CTRL_SFR0_147_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_147_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_147_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_147_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_147_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_147_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_147_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_147_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_147_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_147_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_148_OFFSET                                    0x0000EC94
#define DSP_EVENT_CTRL_SFR0_148_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_148_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_148_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_148_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_148_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_148_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_148_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_148_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_148_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_148_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_149_OFFSET                                    0x0000EC95
#define DSP_EVENT_CTRL_SFR0_149_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_149_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_149_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_149_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_149_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_149_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_149_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_149_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_149_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_149_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_150_OFFSET                                    0x0000EC96
#define DSP_EVENT_CTRL_SFR0_150_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_150_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_150_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_150_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_150_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_150_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_150_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_150_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_150_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_150_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_151_OFFSET                                    0x0000EC97
#define DSP_EVENT_CTRL_SFR0_151_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_151_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_151_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_151_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_151_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_151_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_151_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_151_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_151_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_151_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_152_OFFSET                                    0x0000EC98
#define DSP_EVENT_CTRL_SFR0_152_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_152_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_152_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_152_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_152_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_152_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_152_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_152_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_152_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_152_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_153_OFFSET                                    0x0000EC99
#define DSP_EVENT_CTRL_SFR0_153_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_153_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_153_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_153_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_153_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_153_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_153_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_153_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_153_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_153_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_154_OFFSET                                    0x0000EC9A
#define DSP_EVENT_CTRL_SFR0_154_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_154_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_154_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_154_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_154_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_154_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_154_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_154_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_154_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_154_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_155_OFFSET                                    0x0000EC9B
#define DSP_EVENT_CTRL_SFR0_155_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_155_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_155_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_155_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_155_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_155_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_155_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_155_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_155_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_155_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_156_OFFSET                                    0x0000EC9C
#define DSP_EVENT_CTRL_SFR0_156_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_156_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_156_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_156_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_156_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_156_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_156_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_156_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_156_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_156_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_157_OFFSET                                    0x0000EC9D
#define DSP_EVENT_CTRL_SFR0_157_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_157_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_157_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_157_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_157_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_157_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_157_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_157_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_157_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_157_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_158_OFFSET                                    0x0000EC9E
#define DSP_EVENT_CTRL_SFR0_158_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_158_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_158_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_158_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_158_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_158_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_158_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_158_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_158_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_158_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR0_159_OFFSET                                    0x0000EC9F
#define DSP_EVENT_CTRL_SFR0_159_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR0_159_RESERVED_MASK                             0x00000600
#define    DSP_EVENT_CTRL_SFR0_159_BC_SHIFT                               12
#define    DSP_EVENT_CTRL_SFR0_159_BC_MASK                                0x0000F000
#define    DSP_EVENT_CTRL_SFR0_159_GSMSEL_SHIFT                           11
#define    DSP_EVENT_CTRL_SFR0_159_GSMSEL_MASK                            0x00000800
#define    DSP_EVENT_CTRL_SFR0_159_FSC_EN_SHIFT                           8
#define    DSP_EVENT_CTRL_SFR0_159_FSC_EN_MASK                            0x00000100
#define    DSP_EVENT_CTRL_SFR0_159_TFN_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR0_159_TFN_MASK                               0x000000FF

#define DSP_EVENT_CTRL_SFR1_0_OFFSET                                      0x0000ECA0
#define DSP_EVENT_CTRL_SFR1_0_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_0_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_0_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_0_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_0_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_0_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_0_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_0_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_1_OFFSET                                      0x0000ECA1
#define DSP_EVENT_CTRL_SFR1_1_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_1_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_1_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_1_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_1_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_1_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_1_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_1_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_2_OFFSET                                      0x0000ECA2
#define DSP_EVENT_CTRL_SFR1_2_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_2_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_2_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_2_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_2_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_2_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_2_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_2_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_3_OFFSET                                      0x0000ECA3
#define DSP_EVENT_CTRL_SFR1_3_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_3_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_3_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_3_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_3_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_3_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_3_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_3_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_4_OFFSET                                      0x0000ECA4
#define DSP_EVENT_CTRL_SFR1_4_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_4_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_4_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_4_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_4_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_4_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_4_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_4_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_5_OFFSET                                      0x0000ECA5
#define DSP_EVENT_CTRL_SFR1_5_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_5_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_5_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_5_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_5_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_5_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_5_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_5_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_6_OFFSET                                      0x0000ECA6
#define DSP_EVENT_CTRL_SFR1_6_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_6_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_6_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_6_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_6_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_6_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_6_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_6_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_7_OFFSET                                      0x0000ECA7
#define DSP_EVENT_CTRL_SFR1_7_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_7_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_7_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_7_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_7_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_7_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_7_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_7_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_8_OFFSET                                      0x0000ECA8
#define DSP_EVENT_CTRL_SFR1_8_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_8_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_8_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_8_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_8_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_8_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_8_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_8_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_9_OFFSET                                      0x0000ECA9
#define DSP_EVENT_CTRL_SFR1_9_TYPE                                        UInt16
#define DSP_EVENT_CTRL_SFR1_9_RESERVED_MASK                               0x00000000
#define    DSP_EVENT_CTRL_SFR1_9_SMCINT_SHIFT                             15
#define    DSP_EVENT_CTRL_SFR1_9_SMCINT_MASK                              0x00008000
#define    DSP_EVENT_CTRL_SFR1_9_ARM_SMCINT_SHIFT                         14
#define    DSP_EVENT_CTRL_SFR1_9_ARM_SMCINT_MASK                          0x00004000
#define    DSP_EVENT_CTRL_SFR1_9_TQBC_SHIFT                               0
#define    DSP_EVENT_CTRL_SFR1_9_TQBC_MASK                                0x00003FFF

#define DSP_EVENT_CTRL_SFR1_10_OFFSET                                     0x0000ECAA
#define DSP_EVENT_CTRL_SFR1_10_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_10_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_10_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_10_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_10_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_10_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_10_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_10_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_11_OFFSET                                     0x0000ECAB
#define DSP_EVENT_CTRL_SFR1_11_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_11_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_11_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_11_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_11_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_11_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_11_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_11_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_12_OFFSET                                     0x0000ECAC
#define DSP_EVENT_CTRL_SFR1_12_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_12_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_12_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_12_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_12_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_12_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_12_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_12_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_13_OFFSET                                     0x0000ECAD
#define DSP_EVENT_CTRL_SFR1_13_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_13_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_13_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_13_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_13_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_13_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_13_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_13_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_14_OFFSET                                     0x0000ECAE
#define DSP_EVENT_CTRL_SFR1_14_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_14_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_14_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_14_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_14_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_14_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_14_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_14_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_15_OFFSET                                     0x0000ECAF
#define DSP_EVENT_CTRL_SFR1_15_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_15_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_15_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_15_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_15_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_15_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_15_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_15_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_16_OFFSET                                     0x0000ECB0
#define DSP_EVENT_CTRL_SFR1_16_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_16_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_16_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_16_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_16_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_16_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_16_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_16_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_17_OFFSET                                     0x0000ECB1
#define DSP_EVENT_CTRL_SFR1_17_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_17_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_17_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_17_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_17_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_17_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_17_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_17_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_18_OFFSET                                     0x0000ECB2
#define DSP_EVENT_CTRL_SFR1_18_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_18_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_18_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_18_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_18_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_18_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_18_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_18_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_19_OFFSET                                     0x0000ECB3
#define DSP_EVENT_CTRL_SFR1_19_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_19_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_19_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_19_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_19_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_19_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_19_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_19_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_20_OFFSET                                     0x0000ECB4
#define DSP_EVENT_CTRL_SFR1_20_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_20_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_20_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_20_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_20_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_20_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_20_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_20_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_21_OFFSET                                     0x0000ECB5
#define DSP_EVENT_CTRL_SFR1_21_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_21_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_21_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_21_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_21_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_21_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_21_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_21_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_22_OFFSET                                     0x0000ECB6
#define DSP_EVENT_CTRL_SFR1_22_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_22_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_22_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_22_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_22_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_22_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_22_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_22_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_23_OFFSET                                     0x0000ECB7
#define DSP_EVENT_CTRL_SFR1_23_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_23_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_23_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_23_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_23_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_23_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_23_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_23_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_24_OFFSET                                     0x0000ECB8
#define DSP_EVENT_CTRL_SFR1_24_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_24_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_24_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_24_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_24_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_24_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_24_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_24_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_25_OFFSET                                     0x0000ECB9
#define DSP_EVENT_CTRL_SFR1_25_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_25_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_25_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_25_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_25_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_25_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_25_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_25_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_26_OFFSET                                     0x0000ECBA
#define DSP_EVENT_CTRL_SFR1_26_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_26_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_26_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_26_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_26_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_26_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_26_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_26_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_27_OFFSET                                     0x0000ECBB
#define DSP_EVENT_CTRL_SFR1_27_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_27_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_27_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_27_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_27_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_27_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_27_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_27_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_28_OFFSET                                     0x0000ECBC
#define DSP_EVENT_CTRL_SFR1_28_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_28_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_28_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_28_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_28_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_28_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_28_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_28_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_29_OFFSET                                     0x0000ECBD
#define DSP_EVENT_CTRL_SFR1_29_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_29_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_29_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_29_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_29_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_29_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_29_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_29_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_30_OFFSET                                     0x0000ECBE
#define DSP_EVENT_CTRL_SFR1_30_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_30_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_30_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_30_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_30_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_30_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_30_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_30_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_31_OFFSET                                     0x0000ECBF
#define DSP_EVENT_CTRL_SFR1_31_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_31_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_31_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_31_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_31_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_31_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_31_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_31_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_32_OFFSET                                     0x0000ECC0
#define DSP_EVENT_CTRL_SFR1_32_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_32_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_32_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_32_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_32_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_32_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_32_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_32_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_33_OFFSET                                     0x0000ECC1
#define DSP_EVENT_CTRL_SFR1_33_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_33_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_33_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_33_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_33_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_33_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_33_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_33_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_34_OFFSET                                     0x0000ECC2
#define DSP_EVENT_CTRL_SFR1_34_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_34_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_34_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_34_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_34_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_34_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_34_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_34_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_35_OFFSET                                     0x0000ECC3
#define DSP_EVENT_CTRL_SFR1_35_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_35_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_35_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_35_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_35_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_35_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_35_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_35_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_36_OFFSET                                     0x0000ECC4
#define DSP_EVENT_CTRL_SFR1_36_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_36_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_36_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_36_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_36_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_36_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_36_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_36_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_37_OFFSET                                     0x0000ECC5
#define DSP_EVENT_CTRL_SFR1_37_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_37_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_37_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_37_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_37_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_37_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_37_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_37_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_38_OFFSET                                     0x0000ECC6
#define DSP_EVENT_CTRL_SFR1_38_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_38_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_38_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_38_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_38_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_38_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_38_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_38_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_39_OFFSET                                     0x0000ECC7
#define DSP_EVENT_CTRL_SFR1_39_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_39_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_39_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_39_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_39_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_39_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_39_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_39_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_40_OFFSET                                     0x0000ECC8
#define DSP_EVENT_CTRL_SFR1_40_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_40_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_40_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_40_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_40_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_40_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_40_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_40_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_41_OFFSET                                     0x0000ECC9
#define DSP_EVENT_CTRL_SFR1_41_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_41_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_41_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_41_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_41_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_41_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_41_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_41_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_42_OFFSET                                     0x0000ECCA
#define DSP_EVENT_CTRL_SFR1_42_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_42_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_42_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_42_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_42_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_42_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_42_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_42_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_43_OFFSET                                     0x0000ECCB
#define DSP_EVENT_CTRL_SFR1_43_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_43_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_43_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_43_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_43_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_43_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_43_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_43_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_44_OFFSET                                     0x0000ECCC
#define DSP_EVENT_CTRL_SFR1_44_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_44_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_44_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_44_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_44_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_44_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_44_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_44_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_45_OFFSET                                     0x0000ECCD
#define DSP_EVENT_CTRL_SFR1_45_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_45_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_45_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_45_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_45_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_45_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_45_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_45_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_46_OFFSET                                     0x0000ECCE
#define DSP_EVENT_CTRL_SFR1_46_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_46_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_46_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_46_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_46_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_46_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_46_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_46_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_47_OFFSET                                     0x0000ECCF
#define DSP_EVENT_CTRL_SFR1_47_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_47_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_47_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_47_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_47_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_47_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_47_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_47_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_48_OFFSET                                     0x0000ECD0
#define DSP_EVENT_CTRL_SFR1_48_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_48_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_48_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_48_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_48_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_48_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_48_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_48_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_49_OFFSET                                     0x0000ECD1
#define DSP_EVENT_CTRL_SFR1_49_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_49_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_49_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_49_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_49_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_49_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_49_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_49_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_50_OFFSET                                     0x0000ECD2
#define DSP_EVENT_CTRL_SFR1_50_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_50_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_50_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_50_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_50_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_50_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_50_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_50_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_51_OFFSET                                     0x0000ECD3
#define DSP_EVENT_CTRL_SFR1_51_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_51_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_51_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_51_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_51_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_51_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_51_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_51_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_52_OFFSET                                     0x0000ECD4
#define DSP_EVENT_CTRL_SFR1_52_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_52_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_52_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_52_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_52_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_52_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_52_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_52_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_53_OFFSET                                     0x0000ECD5
#define DSP_EVENT_CTRL_SFR1_53_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_53_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_53_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_53_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_53_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_53_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_53_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_53_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_54_OFFSET                                     0x0000ECD6
#define DSP_EVENT_CTRL_SFR1_54_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_54_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_54_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_54_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_54_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_54_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_54_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_54_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_55_OFFSET                                     0x0000ECD7
#define DSP_EVENT_CTRL_SFR1_55_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_55_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_55_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_55_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_55_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_55_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_55_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_55_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_56_OFFSET                                     0x0000ECD8
#define DSP_EVENT_CTRL_SFR1_56_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_56_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_56_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_56_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_56_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_56_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_56_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_56_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_57_OFFSET                                     0x0000ECD9
#define DSP_EVENT_CTRL_SFR1_57_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_57_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_57_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_57_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_57_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_57_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_57_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_57_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_58_OFFSET                                     0x0000ECDA
#define DSP_EVENT_CTRL_SFR1_58_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_58_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_58_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_58_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_58_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_58_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_58_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_58_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_59_OFFSET                                     0x0000ECDB
#define DSP_EVENT_CTRL_SFR1_59_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_59_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_59_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_59_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_59_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_59_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_59_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_59_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_60_OFFSET                                     0x0000ECDC
#define DSP_EVENT_CTRL_SFR1_60_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_60_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_60_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_60_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_60_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_60_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_60_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_60_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_61_OFFSET                                     0x0000ECDD
#define DSP_EVENT_CTRL_SFR1_61_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_61_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_61_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_61_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_61_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_61_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_61_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_61_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_62_OFFSET                                     0x0000ECDE
#define DSP_EVENT_CTRL_SFR1_62_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_62_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_62_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_62_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_62_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_62_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_62_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_62_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_63_OFFSET                                     0x0000ECDF
#define DSP_EVENT_CTRL_SFR1_63_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_63_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_63_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_63_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_63_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_63_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_63_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_63_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_64_OFFSET                                     0x0000ECE0
#define DSP_EVENT_CTRL_SFR1_64_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_64_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_64_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_64_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_64_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_64_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_64_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_64_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_65_OFFSET                                     0x0000ECE1
#define DSP_EVENT_CTRL_SFR1_65_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_65_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_65_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_65_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_65_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_65_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_65_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_65_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_66_OFFSET                                     0x0000ECE2
#define DSP_EVENT_CTRL_SFR1_66_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_66_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_66_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_66_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_66_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_66_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_66_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_66_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_67_OFFSET                                     0x0000ECE3
#define DSP_EVENT_CTRL_SFR1_67_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_67_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_67_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_67_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_67_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_67_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_67_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_67_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_68_OFFSET                                     0x0000ECE4
#define DSP_EVENT_CTRL_SFR1_68_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_68_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_68_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_68_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_68_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_68_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_68_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_68_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_69_OFFSET                                     0x0000ECE5
#define DSP_EVENT_CTRL_SFR1_69_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_69_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_69_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_69_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_69_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_69_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_69_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_69_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_70_OFFSET                                     0x0000ECE6
#define DSP_EVENT_CTRL_SFR1_70_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_70_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_70_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_70_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_70_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_70_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_70_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_70_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_71_OFFSET                                     0x0000ECE7
#define DSP_EVENT_CTRL_SFR1_71_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_71_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_71_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_71_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_71_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_71_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_71_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_71_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_72_OFFSET                                     0x0000ECE8
#define DSP_EVENT_CTRL_SFR1_72_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_72_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_72_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_72_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_72_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_72_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_72_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_72_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_73_OFFSET                                     0x0000ECE9
#define DSP_EVENT_CTRL_SFR1_73_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_73_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_73_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_73_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_73_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_73_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_73_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_73_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_74_OFFSET                                     0x0000ECEA
#define DSP_EVENT_CTRL_SFR1_74_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_74_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_74_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_74_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_74_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_74_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_74_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_74_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_75_OFFSET                                     0x0000ECEB
#define DSP_EVENT_CTRL_SFR1_75_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_75_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_75_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_75_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_75_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_75_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_75_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_75_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_76_OFFSET                                     0x0000ECEC
#define DSP_EVENT_CTRL_SFR1_76_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_76_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_76_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_76_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_76_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_76_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_76_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_76_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_77_OFFSET                                     0x0000ECED
#define DSP_EVENT_CTRL_SFR1_77_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_77_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_77_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_77_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_77_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_77_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_77_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_77_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_78_OFFSET                                     0x0000ECEE
#define DSP_EVENT_CTRL_SFR1_78_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_78_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_78_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_78_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_78_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_78_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_78_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_78_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_79_OFFSET                                     0x0000ECEF
#define DSP_EVENT_CTRL_SFR1_79_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_79_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_79_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_79_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_79_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_79_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_79_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_79_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_80_OFFSET                                     0x0000ECF0
#define DSP_EVENT_CTRL_SFR1_80_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_80_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_80_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_80_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_80_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_80_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_80_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_80_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_81_OFFSET                                     0x0000ECF1
#define DSP_EVENT_CTRL_SFR1_81_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_81_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_81_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_81_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_81_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_81_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_81_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_81_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_82_OFFSET                                     0x0000ECF2
#define DSP_EVENT_CTRL_SFR1_82_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_82_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_82_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_82_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_82_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_82_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_82_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_82_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_83_OFFSET                                     0x0000ECF3
#define DSP_EVENT_CTRL_SFR1_83_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_83_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_83_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_83_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_83_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_83_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_83_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_83_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_84_OFFSET                                     0x0000ECF4
#define DSP_EVENT_CTRL_SFR1_84_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_84_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_84_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_84_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_84_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_84_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_84_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_84_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_85_OFFSET                                     0x0000ECF5
#define DSP_EVENT_CTRL_SFR1_85_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_85_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_85_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_85_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_85_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_85_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_85_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_85_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_86_OFFSET                                     0x0000ECF6
#define DSP_EVENT_CTRL_SFR1_86_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_86_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_86_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_86_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_86_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_86_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_86_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_86_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_87_OFFSET                                     0x0000ECF7
#define DSP_EVENT_CTRL_SFR1_87_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_87_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_87_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_87_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_87_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_87_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_87_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_87_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_88_OFFSET                                     0x0000ECF8
#define DSP_EVENT_CTRL_SFR1_88_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_88_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_88_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_88_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_88_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_88_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_88_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_88_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_89_OFFSET                                     0x0000ECF9
#define DSP_EVENT_CTRL_SFR1_89_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_89_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_89_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_89_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_89_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_89_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_89_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_89_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_90_OFFSET                                     0x0000ECFA
#define DSP_EVENT_CTRL_SFR1_90_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_90_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_90_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_90_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_90_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_90_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_90_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_90_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_91_OFFSET                                     0x0000ECFB
#define DSP_EVENT_CTRL_SFR1_91_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_91_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_91_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_91_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_91_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_91_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_91_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_91_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_92_OFFSET                                     0x0000ECFC
#define DSP_EVENT_CTRL_SFR1_92_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_92_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_92_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_92_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_92_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_92_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_92_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_92_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_93_OFFSET                                     0x0000ECFD
#define DSP_EVENT_CTRL_SFR1_93_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_93_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_93_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_93_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_93_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_93_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_93_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_93_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_94_OFFSET                                     0x0000ECFE
#define DSP_EVENT_CTRL_SFR1_94_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_94_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_94_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_94_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_94_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_94_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_94_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_94_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_95_OFFSET                                     0x0000ECFF
#define DSP_EVENT_CTRL_SFR1_95_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_95_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_95_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_95_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_95_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_95_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_95_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_95_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_96_OFFSET                                     0x0000ED00
#define DSP_EVENT_CTRL_SFR1_96_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_96_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_96_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_96_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_96_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_96_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_96_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_96_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_97_OFFSET                                     0x0000ED01
#define DSP_EVENT_CTRL_SFR1_97_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_97_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_97_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_97_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_97_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_97_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_97_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_97_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_98_OFFSET                                     0x0000ED02
#define DSP_EVENT_CTRL_SFR1_98_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_98_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_98_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_98_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_98_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_98_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_98_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_98_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_99_OFFSET                                     0x0000ED03
#define DSP_EVENT_CTRL_SFR1_99_TYPE                                       UInt16
#define DSP_EVENT_CTRL_SFR1_99_RESERVED_MASK                              0x00000000
#define    DSP_EVENT_CTRL_SFR1_99_SMCINT_SHIFT                            15
#define    DSP_EVENT_CTRL_SFR1_99_SMCINT_MASK                             0x00008000
#define    DSP_EVENT_CTRL_SFR1_99_ARM_SMCINT_SHIFT                        14
#define    DSP_EVENT_CTRL_SFR1_99_ARM_SMCINT_MASK                         0x00004000
#define    DSP_EVENT_CTRL_SFR1_99_TQBC_SHIFT                              0
#define    DSP_EVENT_CTRL_SFR1_99_TQBC_MASK                               0x00003FFF

#define DSP_EVENT_CTRL_SFR1_100_OFFSET                                    0x0000ED04
#define DSP_EVENT_CTRL_SFR1_100_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_100_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_100_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_100_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_100_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_100_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_100_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_100_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_101_OFFSET                                    0x0000ED05
#define DSP_EVENT_CTRL_SFR1_101_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_101_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_101_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_101_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_101_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_101_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_101_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_101_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_102_OFFSET                                    0x0000ED06
#define DSP_EVENT_CTRL_SFR1_102_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_102_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_102_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_102_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_102_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_102_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_102_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_102_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_103_OFFSET                                    0x0000ED07
#define DSP_EVENT_CTRL_SFR1_103_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_103_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_103_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_103_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_103_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_103_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_103_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_103_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_104_OFFSET                                    0x0000ED08
#define DSP_EVENT_CTRL_SFR1_104_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_104_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_104_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_104_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_104_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_104_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_104_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_104_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_105_OFFSET                                    0x0000ED09
#define DSP_EVENT_CTRL_SFR1_105_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_105_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_105_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_105_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_105_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_105_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_105_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_105_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_106_OFFSET                                    0x0000ED0A
#define DSP_EVENT_CTRL_SFR1_106_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_106_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_106_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_106_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_106_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_106_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_106_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_106_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_107_OFFSET                                    0x0000ED0B
#define DSP_EVENT_CTRL_SFR1_107_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_107_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_107_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_107_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_107_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_107_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_107_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_107_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_108_OFFSET                                    0x0000ED0C
#define DSP_EVENT_CTRL_SFR1_108_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_108_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_108_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_108_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_108_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_108_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_108_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_108_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_109_OFFSET                                    0x0000ED0D
#define DSP_EVENT_CTRL_SFR1_109_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_109_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_109_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_109_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_109_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_109_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_109_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_109_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_110_OFFSET                                    0x0000ED0E
#define DSP_EVENT_CTRL_SFR1_110_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_110_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_110_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_110_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_110_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_110_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_110_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_110_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_111_OFFSET                                    0x0000ED0F
#define DSP_EVENT_CTRL_SFR1_111_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_111_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_111_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_111_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_111_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_111_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_111_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_111_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_112_OFFSET                                    0x0000ED10
#define DSP_EVENT_CTRL_SFR1_112_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_112_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_112_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_112_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_112_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_112_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_112_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_112_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_113_OFFSET                                    0x0000ED11
#define DSP_EVENT_CTRL_SFR1_113_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_113_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_113_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_113_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_113_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_113_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_113_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_113_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_114_OFFSET                                    0x0000ED12
#define DSP_EVENT_CTRL_SFR1_114_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_114_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_114_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_114_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_114_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_114_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_114_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_114_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_115_OFFSET                                    0x0000ED13
#define DSP_EVENT_CTRL_SFR1_115_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_115_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_115_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_115_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_115_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_115_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_115_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_115_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_116_OFFSET                                    0x0000ED14
#define DSP_EVENT_CTRL_SFR1_116_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_116_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_116_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_116_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_116_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_116_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_116_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_116_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_117_OFFSET                                    0x0000ED15
#define DSP_EVENT_CTRL_SFR1_117_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_117_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_117_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_117_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_117_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_117_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_117_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_117_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_118_OFFSET                                    0x0000ED16
#define DSP_EVENT_CTRL_SFR1_118_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_118_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_118_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_118_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_118_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_118_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_118_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_118_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_119_OFFSET                                    0x0000ED17
#define DSP_EVENT_CTRL_SFR1_119_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_119_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_119_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_119_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_119_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_119_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_119_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_119_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_120_OFFSET                                    0x0000ED18
#define DSP_EVENT_CTRL_SFR1_120_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_120_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_120_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_120_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_120_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_120_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_120_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_120_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_121_OFFSET                                    0x0000ED19
#define DSP_EVENT_CTRL_SFR1_121_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_121_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_121_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_121_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_121_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_121_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_121_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_121_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_122_OFFSET                                    0x0000ED1A
#define DSP_EVENT_CTRL_SFR1_122_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_122_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_122_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_122_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_122_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_122_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_122_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_122_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_123_OFFSET                                    0x0000ED1B
#define DSP_EVENT_CTRL_SFR1_123_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_123_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_123_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_123_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_123_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_123_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_123_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_123_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_124_OFFSET                                    0x0000ED1C
#define DSP_EVENT_CTRL_SFR1_124_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_124_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_124_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_124_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_124_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_124_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_124_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_124_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_125_OFFSET                                    0x0000ED1D
#define DSP_EVENT_CTRL_SFR1_125_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_125_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_125_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_125_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_125_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_125_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_125_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_125_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_126_OFFSET                                    0x0000ED1E
#define DSP_EVENT_CTRL_SFR1_126_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_126_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_126_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_126_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_126_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_126_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_126_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_126_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_127_OFFSET                                    0x0000ED1F
#define DSP_EVENT_CTRL_SFR1_127_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_127_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_127_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_127_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_127_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_127_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_127_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_127_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_128_OFFSET                                    0x0000ED20
#define DSP_EVENT_CTRL_SFR1_128_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_128_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_128_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_128_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_128_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_128_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_128_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_128_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_129_OFFSET                                    0x0000ED21
#define DSP_EVENT_CTRL_SFR1_129_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_129_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_129_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_129_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_129_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_129_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_129_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_129_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_130_OFFSET                                    0x0000ED22
#define DSP_EVENT_CTRL_SFR1_130_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_130_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_130_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_130_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_130_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_130_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_130_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_130_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_131_OFFSET                                    0x0000ED23
#define DSP_EVENT_CTRL_SFR1_131_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_131_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_131_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_131_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_131_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_131_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_131_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_131_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_132_OFFSET                                    0x0000ED24
#define DSP_EVENT_CTRL_SFR1_132_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_132_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_132_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_132_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_132_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_132_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_132_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_132_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_133_OFFSET                                    0x0000ED25
#define DSP_EVENT_CTRL_SFR1_133_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_133_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_133_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_133_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_133_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_133_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_133_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_133_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_134_OFFSET                                    0x0000ED26
#define DSP_EVENT_CTRL_SFR1_134_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_134_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_134_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_134_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_134_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_134_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_134_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_134_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_135_OFFSET                                    0x0000ED27
#define DSP_EVENT_CTRL_SFR1_135_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_135_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_135_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_135_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_135_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_135_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_135_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_135_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_136_OFFSET                                    0x0000ED28
#define DSP_EVENT_CTRL_SFR1_136_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_136_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_136_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_136_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_136_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_136_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_136_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_136_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_137_OFFSET                                    0x0000ED29
#define DSP_EVENT_CTRL_SFR1_137_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_137_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_137_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_137_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_137_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_137_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_137_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_137_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_138_OFFSET                                    0x0000ED2A
#define DSP_EVENT_CTRL_SFR1_138_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_138_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_138_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_138_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_138_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_138_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_138_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_138_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_139_OFFSET                                    0x0000ED2B
#define DSP_EVENT_CTRL_SFR1_139_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_139_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_139_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_139_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_139_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_139_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_139_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_139_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_140_OFFSET                                    0x0000ED2C
#define DSP_EVENT_CTRL_SFR1_140_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_140_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_140_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_140_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_140_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_140_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_140_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_140_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_141_OFFSET                                    0x0000ED2D
#define DSP_EVENT_CTRL_SFR1_141_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_141_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_141_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_141_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_141_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_141_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_141_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_141_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_142_OFFSET                                    0x0000ED2E
#define DSP_EVENT_CTRL_SFR1_142_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_142_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_142_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_142_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_142_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_142_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_142_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_142_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_143_OFFSET                                    0x0000ED2F
#define DSP_EVENT_CTRL_SFR1_143_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_143_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_143_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_143_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_143_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_143_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_143_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_143_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_144_OFFSET                                    0x0000ED30
#define DSP_EVENT_CTRL_SFR1_144_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_144_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_144_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_144_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_144_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_144_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_144_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_144_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_145_OFFSET                                    0x0000ED31
#define DSP_EVENT_CTRL_SFR1_145_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_145_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_145_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_145_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_145_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_145_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_145_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_145_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_146_OFFSET                                    0x0000ED32
#define DSP_EVENT_CTRL_SFR1_146_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_146_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_146_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_146_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_146_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_146_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_146_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_146_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_147_OFFSET                                    0x0000ED33
#define DSP_EVENT_CTRL_SFR1_147_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_147_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_147_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_147_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_147_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_147_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_147_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_147_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_148_OFFSET                                    0x0000ED34
#define DSP_EVENT_CTRL_SFR1_148_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_148_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_148_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_148_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_148_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_148_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_148_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_148_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_149_OFFSET                                    0x0000ED35
#define DSP_EVENT_CTRL_SFR1_149_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_149_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_149_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_149_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_149_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_149_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_149_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_149_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_150_OFFSET                                    0x0000ED36
#define DSP_EVENT_CTRL_SFR1_150_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_150_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_150_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_150_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_150_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_150_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_150_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_150_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_151_OFFSET                                    0x0000ED37
#define DSP_EVENT_CTRL_SFR1_151_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_151_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_151_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_151_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_151_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_151_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_151_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_151_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_152_OFFSET                                    0x0000ED38
#define DSP_EVENT_CTRL_SFR1_152_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_152_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_152_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_152_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_152_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_152_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_152_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_152_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_153_OFFSET                                    0x0000ED39
#define DSP_EVENT_CTRL_SFR1_153_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_153_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_153_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_153_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_153_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_153_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_153_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_153_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_154_OFFSET                                    0x0000ED3A
#define DSP_EVENT_CTRL_SFR1_154_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_154_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_154_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_154_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_154_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_154_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_154_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_154_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_155_OFFSET                                    0x0000ED3B
#define DSP_EVENT_CTRL_SFR1_155_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_155_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_155_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_155_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_155_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_155_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_155_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_155_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_156_OFFSET                                    0x0000ED3C
#define DSP_EVENT_CTRL_SFR1_156_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_156_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_156_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_156_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_156_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_156_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_156_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_156_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_157_OFFSET                                    0x0000ED3D
#define DSP_EVENT_CTRL_SFR1_157_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_157_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_157_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_157_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_157_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_157_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_157_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_157_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_158_OFFSET                                    0x0000ED3E
#define DSP_EVENT_CTRL_SFR1_158_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_158_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_158_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_158_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_158_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_158_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_158_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_158_TQBC_MASK                              0x00003FFF

#define DSP_EVENT_CTRL_SFR1_159_OFFSET                                    0x0000ED3F
#define DSP_EVENT_CTRL_SFR1_159_TYPE                                      UInt16
#define DSP_EVENT_CTRL_SFR1_159_RESERVED_MASK                             0x00000000
#define    DSP_EVENT_CTRL_SFR1_159_SMCINT_SHIFT                           15
#define    DSP_EVENT_CTRL_SFR1_159_SMCINT_MASK                            0x00008000
#define    DSP_EVENT_CTRL_SFR1_159_ARM_SMCINT_SHIFT                       14
#define    DSP_EVENT_CTRL_SFR1_159_ARM_SMCINT_MASK                        0x00004000
#define    DSP_EVENT_CTRL_SFR1_159_TQBC_SHIFT                             0
#define    DSP_EVENT_CTRL_SFR1_159_TQBC_MASK                              0x00003FFF

#endif /* __BRCM_RDB_DSP_EVENT_CTRL_H__ */


