/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_GPIO_H__
#define __BRCM_RDB_GPIO_H__

#define GPIO_GPOR0_OFFSET                                                 0x00000000
#define GPIO_GPOR0_TYPE                                                   UInt32
#define GPIO_GPOR0_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR0_GPO_31_SHIFT                                        31
#define    GPIO_GPOR0_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR0_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_30_SHIFT                                        30
#define    GPIO_GPOR0_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR0_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_29_SHIFT                                        29
#define    GPIO_GPOR0_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR0_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_28_SHIFT                                        28
#define    GPIO_GPOR0_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR0_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_27_SHIFT                                        27
#define    GPIO_GPOR0_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR0_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_26_SHIFT                                        26
#define    GPIO_GPOR0_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR0_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_25_SHIFT                                        25
#define    GPIO_GPOR0_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR0_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_24_SHIFT                                        24
#define    GPIO_GPOR0_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR0_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_23_SHIFT                                        23
#define    GPIO_GPOR0_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR0_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_22_SHIFT                                        22
#define    GPIO_GPOR0_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR0_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_21_SHIFT                                        21
#define    GPIO_GPOR0_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR0_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_20_SHIFT                                        20
#define    GPIO_GPOR0_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR0_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_19_SHIFT                                        19
#define    GPIO_GPOR0_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR0_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_18_SHIFT                                        18
#define    GPIO_GPOR0_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR0_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_17_SHIFT                                        17
#define    GPIO_GPOR0_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR0_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_16_SHIFT                                        16
#define    GPIO_GPOR0_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR0_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_15_SHIFT                                        15
#define    GPIO_GPOR0_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR0_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_14_SHIFT                                        14
#define    GPIO_GPOR0_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR0_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_13_SHIFT                                        13
#define    GPIO_GPOR0_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR0_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_12_SHIFT                                        12
#define    GPIO_GPOR0_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR0_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_11_SHIFT                                        11
#define    GPIO_GPOR0_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR0_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_10_SHIFT                                        10
#define    GPIO_GPOR0_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR0_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_09_SHIFT                                        9
#define    GPIO_GPOR0_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR0_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_08_SHIFT                                        8
#define    GPIO_GPOR0_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR0_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_07_SHIFT                                        7
#define    GPIO_GPOR0_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR0_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_06_SHIFT                                        6
#define    GPIO_GPOR0_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR0_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_05_SHIFT                                        5
#define    GPIO_GPOR0_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR0_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_04_SHIFT                                        4
#define    GPIO_GPOR0_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR0_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_03_SHIFT                                        3
#define    GPIO_GPOR0_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR0_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_02_SHIFT                                        2
#define    GPIO_GPOR0_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR0_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_01_SHIFT                                        1
#define    GPIO_GPOR0_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR0_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR0_GPO_00_SHIFT                                        0
#define    GPIO_GPOR0_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR0_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR0_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPOR1_OFFSET                                                 0x00000004
#define GPIO_GPOR1_TYPE                                                   UInt32
#define GPIO_GPOR1_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR1_GPO_31_SHIFT                                        31
#define    GPIO_GPOR1_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR1_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_30_SHIFT                                        30
#define    GPIO_GPOR1_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR1_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_29_SHIFT                                        29
#define    GPIO_GPOR1_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR1_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_28_SHIFT                                        28
#define    GPIO_GPOR1_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR1_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_27_SHIFT                                        27
#define    GPIO_GPOR1_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR1_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_26_SHIFT                                        26
#define    GPIO_GPOR1_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR1_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_25_SHIFT                                        25
#define    GPIO_GPOR1_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR1_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_24_SHIFT                                        24
#define    GPIO_GPOR1_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR1_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_23_SHIFT                                        23
#define    GPIO_GPOR1_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR1_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_22_SHIFT                                        22
#define    GPIO_GPOR1_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR1_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_21_SHIFT                                        21
#define    GPIO_GPOR1_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR1_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_20_SHIFT                                        20
#define    GPIO_GPOR1_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR1_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_19_SHIFT                                        19
#define    GPIO_GPOR1_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR1_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_18_SHIFT                                        18
#define    GPIO_GPOR1_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR1_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_17_SHIFT                                        17
#define    GPIO_GPOR1_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR1_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_16_SHIFT                                        16
#define    GPIO_GPOR1_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR1_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_15_SHIFT                                        15
#define    GPIO_GPOR1_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR1_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_14_SHIFT                                        14
#define    GPIO_GPOR1_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR1_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_13_SHIFT                                        13
#define    GPIO_GPOR1_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR1_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_12_SHIFT                                        12
#define    GPIO_GPOR1_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR1_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_11_SHIFT                                        11
#define    GPIO_GPOR1_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR1_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_10_SHIFT                                        10
#define    GPIO_GPOR1_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR1_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_09_SHIFT                                        9
#define    GPIO_GPOR1_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR1_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_08_SHIFT                                        8
#define    GPIO_GPOR1_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR1_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_07_SHIFT                                        7
#define    GPIO_GPOR1_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR1_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_06_SHIFT                                        6
#define    GPIO_GPOR1_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR1_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_05_SHIFT                                        5
#define    GPIO_GPOR1_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR1_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_04_SHIFT                                        4
#define    GPIO_GPOR1_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR1_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_03_SHIFT                                        3
#define    GPIO_GPOR1_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR1_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_02_SHIFT                                        2
#define    GPIO_GPOR1_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR1_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_01_SHIFT                                        1
#define    GPIO_GPOR1_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR1_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR1_GPO_00_SHIFT                                        0
#define    GPIO_GPOR1_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR1_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR1_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPOR2_OFFSET                                                 0x00000008
#define GPIO_GPOR2_TYPE                                                   UInt32
#define GPIO_GPOR2_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR2_GPO_31_SHIFT                                        31
#define    GPIO_GPOR2_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR2_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_30_SHIFT                                        30
#define    GPIO_GPOR2_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR2_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_29_SHIFT                                        29
#define    GPIO_GPOR2_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR2_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_28_SHIFT                                        28
#define    GPIO_GPOR2_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR2_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_27_SHIFT                                        27
#define    GPIO_GPOR2_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR2_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_26_SHIFT                                        26
#define    GPIO_GPOR2_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR2_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_25_SHIFT                                        25
#define    GPIO_GPOR2_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR2_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_24_SHIFT                                        24
#define    GPIO_GPOR2_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR2_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_23_SHIFT                                        23
#define    GPIO_GPOR2_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR2_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_22_SHIFT                                        22
#define    GPIO_GPOR2_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR2_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_21_SHIFT                                        21
#define    GPIO_GPOR2_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR2_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_20_SHIFT                                        20
#define    GPIO_GPOR2_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR2_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_19_SHIFT                                        19
#define    GPIO_GPOR2_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR2_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_18_SHIFT                                        18
#define    GPIO_GPOR2_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR2_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_17_SHIFT                                        17
#define    GPIO_GPOR2_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR2_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_16_SHIFT                                        16
#define    GPIO_GPOR2_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR2_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_15_SHIFT                                        15
#define    GPIO_GPOR2_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR2_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_14_SHIFT                                        14
#define    GPIO_GPOR2_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR2_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_13_SHIFT                                        13
#define    GPIO_GPOR2_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR2_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_12_SHIFT                                        12
#define    GPIO_GPOR2_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR2_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_11_SHIFT                                        11
#define    GPIO_GPOR2_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR2_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_10_SHIFT                                        10
#define    GPIO_GPOR2_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR2_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_09_SHIFT                                        9
#define    GPIO_GPOR2_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR2_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_08_SHIFT                                        8
#define    GPIO_GPOR2_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR2_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_07_SHIFT                                        7
#define    GPIO_GPOR2_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR2_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_06_SHIFT                                        6
#define    GPIO_GPOR2_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR2_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_05_SHIFT                                        5
#define    GPIO_GPOR2_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR2_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_04_SHIFT                                        4
#define    GPIO_GPOR2_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR2_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_03_SHIFT                                        3
#define    GPIO_GPOR2_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR2_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_02_SHIFT                                        2
#define    GPIO_GPOR2_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR2_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_01_SHIFT                                        1
#define    GPIO_GPOR2_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR2_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR2_GPO_00_SHIFT                                        0
#define    GPIO_GPOR2_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR2_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR2_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPOR3_OFFSET                                                 0x0000000C
#define GPIO_GPOR3_TYPE                                                   UInt32
#define GPIO_GPOR3_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR3_GPO_31_SHIFT                                        31
#define    GPIO_GPOR3_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR3_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_30_SHIFT                                        30
#define    GPIO_GPOR3_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR3_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_29_SHIFT                                        29
#define    GPIO_GPOR3_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR3_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_28_SHIFT                                        28
#define    GPIO_GPOR3_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR3_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_27_SHIFT                                        27
#define    GPIO_GPOR3_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR3_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_26_SHIFT                                        26
#define    GPIO_GPOR3_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR3_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_25_SHIFT                                        25
#define    GPIO_GPOR3_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR3_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_24_SHIFT                                        24
#define    GPIO_GPOR3_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR3_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_23_SHIFT                                        23
#define    GPIO_GPOR3_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR3_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_22_SHIFT                                        22
#define    GPIO_GPOR3_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR3_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_21_SHIFT                                        21
#define    GPIO_GPOR3_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR3_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_20_SHIFT                                        20
#define    GPIO_GPOR3_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR3_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_19_SHIFT                                        19
#define    GPIO_GPOR3_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR3_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_18_SHIFT                                        18
#define    GPIO_GPOR3_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR3_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_17_SHIFT                                        17
#define    GPIO_GPOR3_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR3_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_16_SHIFT                                        16
#define    GPIO_GPOR3_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR3_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_15_SHIFT                                        15
#define    GPIO_GPOR3_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR3_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_14_SHIFT                                        14
#define    GPIO_GPOR3_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR3_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_13_SHIFT                                        13
#define    GPIO_GPOR3_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR3_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_12_SHIFT                                        12
#define    GPIO_GPOR3_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR3_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_11_SHIFT                                        11
#define    GPIO_GPOR3_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR3_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_10_SHIFT                                        10
#define    GPIO_GPOR3_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR3_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_09_SHIFT                                        9
#define    GPIO_GPOR3_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR3_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_08_SHIFT                                        8
#define    GPIO_GPOR3_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR3_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_07_SHIFT                                        7
#define    GPIO_GPOR3_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR3_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_06_SHIFT                                        6
#define    GPIO_GPOR3_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR3_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_05_SHIFT                                        5
#define    GPIO_GPOR3_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR3_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_04_SHIFT                                        4
#define    GPIO_GPOR3_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR3_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_03_SHIFT                                        3
#define    GPIO_GPOR3_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR3_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_02_SHIFT                                        2
#define    GPIO_GPOR3_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR3_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_01_SHIFT                                        1
#define    GPIO_GPOR3_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR3_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR3_GPO_00_SHIFT                                        0
#define    GPIO_GPOR3_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR3_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR3_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPOR4_OFFSET                                                 0x00000010
#define GPIO_GPOR4_TYPE                                                   UInt32
#define GPIO_GPOR4_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR4_GPO_31_SHIFT                                        31
#define    GPIO_GPOR4_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR4_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_30_SHIFT                                        30
#define    GPIO_GPOR4_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR4_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_29_SHIFT                                        29
#define    GPIO_GPOR4_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR4_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_28_SHIFT                                        28
#define    GPIO_GPOR4_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR4_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_27_SHIFT                                        27
#define    GPIO_GPOR4_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR4_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_26_SHIFT                                        26
#define    GPIO_GPOR4_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR4_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_25_SHIFT                                        25
#define    GPIO_GPOR4_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR4_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_24_SHIFT                                        24
#define    GPIO_GPOR4_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR4_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_23_SHIFT                                        23
#define    GPIO_GPOR4_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR4_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_22_SHIFT                                        22
#define    GPIO_GPOR4_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR4_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_21_SHIFT                                        21
#define    GPIO_GPOR4_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR4_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_20_SHIFT                                        20
#define    GPIO_GPOR4_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR4_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_19_SHIFT                                        19
#define    GPIO_GPOR4_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR4_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_18_SHIFT                                        18
#define    GPIO_GPOR4_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR4_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_17_SHIFT                                        17
#define    GPIO_GPOR4_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR4_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_16_SHIFT                                        16
#define    GPIO_GPOR4_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR4_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_15_SHIFT                                        15
#define    GPIO_GPOR4_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR4_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_14_SHIFT                                        14
#define    GPIO_GPOR4_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR4_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_13_SHIFT                                        13
#define    GPIO_GPOR4_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR4_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_12_SHIFT                                        12
#define    GPIO_GPOR4_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR4_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_11_SHIFT                                        11
#define    GPIO_GPOR4_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR4_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_10_SHIFT                                        10
#define    GPIO_GPOR4_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR4_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_09_SHIFT                                        9
#define    GPIO_GPOR4_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR4_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_08_SHIFT                                        8
#define    GPIO_GPOR4_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR4_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_07_SHIFT                                        7
#define    GPIO_GPOR4_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR4_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_06_SHIFT                                        6
#define    GPIO_GPOR4_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR4_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_05_SHIFT                                        5
#define    GPIO_GPOR4_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR4_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_04_SHIFT                                        4
#define    GPIO_GPOR4_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR4_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_03_SHIFT                                        3
#define    GPIO_GPOR4_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR4_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_02_SHIFT                                        2
#define    GPIO_GPOR4_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR4_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_01_SHIFT                                        1
#define    GPIO_GPOR4_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR4_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR4_GPO_00_SHIFT                                        0
#define    GPIO_GPOR4_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR4_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR4_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPOR5_OFFSET                                                 0x00000014
#define GPIO_GPOR5_TYPE                                                   UInt32
#define GPIO_GPOR5_RESERVED_MASK                                          0x00000000
#define    GPIO_GPOR5_GPO_31_SHIFT                                        31
#define    GPIO_GPOR5_GPO_31_MASK                                         0x80000000
#define       GPIO_GPOR5_GPO_31_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_31_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_30_SHIFT                                        30
#define    GPIO_GPOR5_GPO_30_MASK                                         0x40000000
#define       GPIO_GPOR5_GPO_30_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_30_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_29_SHIFT                                        29
#define    GPIO_GPOR5_GPO_29_MASK                                         0x20000000
#define       GPIO_GPOR5_GPO_29_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_29_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_28_SHIFT                                        28
#define    GPIO_GPOR5_GPO_28_MASK                                         0x10000000
#define       GPIO_GPOR5_GPO_28_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_28_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_27_SHIFT                                        27
#define    GPIO_GPOR5_GPO_27_MASK                                         0x08000000
#define       GPIO_GPOR5_GPO_27_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_27_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_26_SHIFT                                        26
#define    GPIO_GPOR5_GPO_26_MASK                                         0x04000000
#define       GPIO_GPOR5_GPO_26_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_26_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_25_SHIFT                                        25
#define    GPIO_GPOR5_GPO_25_MASK                                         0x02000000
#define       GPIO_GPOR5_GPO_25_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_25_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_24_SHIFT                                        24
#define    GPIO_GPOR5_GPO_24_MASK                                         0x01000000
#define       GPIO_GPOR5_GPO_24_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_24_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_23_SHIFT                                        23
#define    GPIO_GPOR5_GPO_23_MASK                                         0x00800000
#define       GPIO_GPOR5_GPO_23_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_23_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_22_SHIFT                                        22
#define    GPIO_GPOR5_GPO_22_MASK                                         0x00400000
#define       GPIO_GPOR5_GPO_22_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_22_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_21_SHIFT                                        21
#define    GPIO_GPOR5_GPO_21_MASK                                         0x00200000
#define       GPIO_GPOR5_GPO_21_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_21_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_20_SHIFT                                        20
#define    GPIO_GPOR5_GPO_20_MASK                                         0x00100000
#define       GPIO_GPOR5_GPO_20_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_20_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_19_SHIFT                                        19
#define    GPIO_GPOR5_GPO_19_MASK                                         0x00080000
#define       GPIO_GPOR5_GPO_19_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_19_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_18_SHIFT                                        18
#define    GPIO_GPOR5_GPO_18_MASK                                         0x00040000
#define       GPIO_GPOR5_GPO_18_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_18_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_17_SHIFT                                        17
#define    GPIO_GPOR5_GPO_17_MASK                                         0x00020000
#define       GPIO_GPOR5_GPO_17_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_17_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_16_SHIFT                                        16
#define    GPIO_GPOR5_GPO_16_MASK                                         0x00010000
#define       GPIO_GPOR5_GPO_16_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_16_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_15_SHIFT                                        15
#define    GPIO_GPOR5_GPO_15_MASK                                         0x00008000
#define       GPIO_GPOR5_GPO_15_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_15_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_14_SHIFT                                        14
#define    GPIO_GPOR5_GPO_14_MASK                                         0x00004000
#define       GPIO_GPOR5_GPO_14_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_14_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_13_SHIFT                                        13
#define    GPIO_GPOR5_GPO_13_MASK                                         0x00002000
#define       GPIO_GPOR5_GPO_13_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_13_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_12_SHIFT                                        12
#define    GPIO_GPOR5_GPO_12_MASK                                         0x00001000
#define       GPIO_GPOR5_GPO_12_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_12_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_11_SHIFT                                        11
#define    GPIO_GPOR5_GPO_11_MASK                                         0x00000800
#define       GPIO_GPOR5_GPO_11_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_11_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_10_SHIFT                                        10
#define    GPIO_GPOR5_GPO_10_MASK                                         0x00000400
#define       GPIO_GPOR5_GPO_10_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_10_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_09_SHIFT                                        9
#define    GPIO_GPOR5_GPO_09_MASK                                         0x00000200
#define       GPIO_GPOR5_GPO_09_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_09_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_08_SHIFT                                        8
#define    GPIO_GPOR5_GPO_08_MASK                                         0x00000100
#define       GPIO_GPOR5_GPO_08_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_08_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_07_SHIFT                                        7
#define    GPIO_GPOR5_GPO_07_MASK                                         0x00000080
#define       GPIO_GPOR5_GPO_07_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_07_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_06_SHIFT                                        6
#define    GPIO_GPOR5_GPO_06_MASK                                         0x00000040
#define       GPIO_GPOR5_GPO_06_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_06_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_05_SHIFT                                        5
#define    GPIO_GPOR5_GPO_05_MASK                                         0x00000020
#define       GPIO_GPOR5_GPO_05_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_05_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_04_SHIFT                                        4
#define    GPIO_GPOR5_GPO_04_MASK                                         0x00000010
#define       GPIO_GPOR5_GPO_04_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_04_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_03_SHIFT                                        3
#define    GPIO_GPOR5_GPO_03_MASK                                         0x00000008
#define       GPIO_GPOR5_GPO_03_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_03_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_02_SHIFT                                        2
#define    GPIO_GPOR5_GPO_02_MASK                                         0x00000004
#define       GPIO_GPOR5_GPO_02_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_02_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_01_SHIFT                                        1
#define    GPIO_GPOR5_GPO_01_MASK                                         0x00000002
#define       GPIO_GPOR5_GPO_01_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_01_CMD_HIGH                                  0x00000001
#define    GPIO_GPOR5_GPO_00_SHIFT                                        0
#define    GPIO_GPOR5_GPO_00_MASK                                         0x00000001
#define       GPIO_GPOR5_GPO_00_CMD_LOW                                   0x00000000
#define       GPIO_GPOR5_GPO_00_CMD_HIGH                                  0x00000001

#define GPIO_GPIR0_OFFSET                                                 0x00000020
#define GPIO_GPIR0_TYPE                                                   UInt32
#define GPIO_GPIR0_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR0_GPI_31_SHIFT                                        31
#define    GPIO_GPIR0_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR0_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_30_SHIFT                                        30
#define    GPIO_GPIR0_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR0_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_29_SHIFT                                        29
#define    GPIO_GPIR0_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR0_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_28_SHIFT                                        28
#define    GPIO_GPIR0_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR0_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_27_SHIFT                                        27
#define    GPIO_GPIR0_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR0_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_26_SHIFT                                        26
#define    GPIO_GPIR0_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR0_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_25_SHIFT                                        25
#define    GPIO_GPIR0_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR0_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_24_SHIFT                                        24
#define    GPIO_GPIR0_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR0_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_23_SHIFT                                        23
#define    GPIO_GPIR0_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR0_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_22_SHIFT                                        22
#define    GPIO_GPIR0_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR0_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_21_SHIFT                                        21
#define    GPIO_GPIR0_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR0_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_20_SHIFT                                        20
#define    GPIO_GPIR0_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR0_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_19_SHIFT                                        19
#define    GPIO_GPIR0_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR0_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_18_SHIFT                                        18
#define    GPIO_GPIR0_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR0_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_17_SHIFT                                        17
#define    GPIO_GPIR0_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR0_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_16_SHIFT                                        16
#define    GPIO_GPIR0_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR0_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_15_SHIFT                                        15
#define    GPIO_GPIR0_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR0_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_14_SHIFT                                        14
#define    GPIO_GPIR0_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR0_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_13_SHIFT                                        13
#define    GPIO_GPIR0_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR0_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_12_SHIFT                                        12
#define    GPIO_GPIR0_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR0_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_11_SHIFT                                        11
#define    GPIO_GPIR0_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR0_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_10_SHIFT                                        10
#define    GPIO_GPIR0_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR0_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_09_SHIFT                                        9
#define    GPIO_GPIR0_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR0_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_08_SHIFT                                        8
#define    GPIO_GPIR0_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR0_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_07_SHIFT                                        7
#define    GPIO_GPIR0_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR0_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_06_SHIFT                                        6
#define    GPIO_GPIR0_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR0_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_05_SHIFT                                        5
#define    GPIO_GPIR0_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR0_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_04_SHIFT                                        4
#define    GPIO_GPIR0_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR0_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_03_SHIFT                                        3
#define    GPIO_GPIR0_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR0_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_02_SHIFT                                        2
#define    GPIO_GPIR0_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR0_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_01_SHIFT                                        1
#define    GPIO_GPIR0_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR0_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR0_GPI_00_SHIFT                                        0
#define    GPIO_GPIR0_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR0_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR0_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPIR1_OFFSET                                                 0x00000024
#define GPIO_GPIR1_TYPE                                                   UInt32
#define GPIO_GPIR1_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR1_GPI_31_SHIFT                                        31
#define    GPIO_GPIR1_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR1_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_30_SHIFT                                        30
#define    GPIO_GPIR1_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR1_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_29_SHIFT                                        29
#define    GPIO_GPIR1_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR1_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_28_SHIFT                                        28
#define    GPIO_GPIR1_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR1_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_27_SHIFT                                        27
#define    GPIO_GPIR1_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR1_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_26_SHIFT                                        26
#define    GPIO_GPIR1_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR1_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_25_SHIFT                                        25
#define    GPIO_GPIR1_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR1_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_24_SHIFT                                        24
#define    GPIO_GPIR1_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR1_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_23_SHIFT                                        23
#define    GPIO_GPIR1_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR1_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_22_SHIFT                                        22
#define    GPIO_GPIR1_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR1_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_21_SHIFT                                        21
#define    GPIO_GPIR1_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR1_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_20_SHIFT                                        20
#define    GPIO_GPIR1_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR1_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_19_SHIFT                                        19
#define    GPIO_GPIR1_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR1_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_18_SHIFT                                        18
#define    GPIO_GPIR1_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR1_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_17_SHIFT                                        17
#define    GPIO_GPIR1_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR1_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_16_SHIFT                                        16
#define    GPIO_GPIR1_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR1_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_15_SHIFT                                        15
#define    GPIO_GPIR1_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR1_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_14_SHIFT                                        14
#define    GPIO_GPIR1_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR1_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_13_SHIFT                                        13
#define    GPIO_GPIR1_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR1_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_12_SHIFT                                        12
#define    GPIO_GPIR1_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR1_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_11_SHIFT                                        11
#define    GPIO_GPIR1_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR1_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_10_SHIFT                                        10
#define    GPIO_GPIR1_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR1_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_09_SHIFT                                        9
#define    GPIO_GPIR1_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR1_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_08_SHIFT                                        8
#define    GPIO_GPIR1_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR1_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_07_SHIFT                                        7
#define    GPIO_GPIR1_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR1_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_06_SHIFT                                        6
#define    GPIO_GPIR1_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR1_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_05_SHIFT                                        5
#define    GPIO_GPIR1_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR1_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_04_SHIFT                                        4
#define    GPIO_GPIR1_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR1_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_03_SHIFT                                        3
#define    GPIO_GPIR1_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR1_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_02_SHIFT                                        2
#define    GPIO_GPIR1_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR1_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_01_SHIFT                                        1
#define    GPIO_GPIR1_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR1_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR1_GPI_00_SHIFT                                        0
#define    GPIO_GPIR1_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR1_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR1_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPIR2_OFFSET                                                 0x00000028
#define GPIO_GPIR2_TYPE                                                   UInt32
#define GPIO_GPIR2_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR2_GPI_31_SHIFT                                        31
#define    GPIO_GPIR2_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR2_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_30_SHIFT                                        30
#define    GPIO_GPIR2_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR2_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_29_SHIFT                                        29
#define    GPIO_GPIR2_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR2_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_28_SHIFT                                        28
#define    GPIO_GPIR2_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR2_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_27_SHIFT                                        27
#define    GPIO_GPIR2_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR2_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_26_SHIFT                                        26
#define    GPIO_GPIR2_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR2_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_25_SHIFT                                        25
#define    GPIO_GPIR2_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR2_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_24_SHIFT                                        24
#define    GPIO_GPIR2_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR2_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_23_SHIFT                                        23
#define    GPIO_GPIR2_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR2_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_22_SHIFT                                        22
#define    GPIO_GPIR2_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR2_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_21_SHIFT                                        21
#define    GPIO_GPIR2_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR2_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_20_SHIFT                                        20
#define    GPIO_GPIR2_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR2_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_19_SHIFT                                        19
#define    GPIO_GPIR2_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR2_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_18_SHIFT                                        18
#define    GPIO_GPIR2_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR2_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_17_SHIFT                                        17
#define    GPIO_GPIR2_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR2_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_16_SHIFT                                        16
#define    GPIO_GPIR2_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR2_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_15_SHIFT                                        15
#define    GPIO_GPIR2_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR2_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_14_SHIFT                                        14
#define    GPIO_GPIR2_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR2_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_13_SHIFT                                        13
#define    GPIO_GPIR2_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR2_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_12_SHIFT                                        12
#define    GPIO_GPIR2_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR2_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_11_SHIFT                                        11
#define    GPIO_GPIR2_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR2_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_10_SHIFT                                        10
#define    GPIO_GPIR2_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR2_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_09_SHIFT                                        9
#define    GPIO_GPIR2_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR2_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_08_SHIFT                                        8
#define    GPIO_GPIR2_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR2_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_07_SHIFT                                        7
#define    GPIO_GPIR2_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR2_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_06_SHIFT                                        6
#define    GPIO_GPIR2_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR2_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_05_SHIFT                                        5
#define    GPIO_GPIR2_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR2_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_04_SHIFT                                        4
#define    GPIO_GPIR2_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR2_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_03_SHIFT                                        3
#define    GPIO_GPIR2_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR2_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_02_SHIFT                                        2
#define    GPIO_GPIR2_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR2_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_01_SHIFT                                        1
#define    GPIO_GPIR2_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR2_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR2_GPI_00_SHIFT                                        0
#define    GPIO_GPIR2_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR2_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR2_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPIR3_OFFSET                                                 0x0000002C
#define GPIO_GPIR3_TYPE                                                   UInt32
#define GPIO_GPIR3_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR3_GPI_31_SHIFT                                        31
#define    GPIO_GPIR3_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR3_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_30_SHIFT                                        30
#define    GPIO_GPIR3_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR3_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_29_SHIFT                                        29
#define    GPIO_GPIR3_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR3_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_28_SHIFT                                        28
#define    GPIO_GPIR3_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR3_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_27_SHIFT                                        27
#define    GPIO_GPIR3_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR3_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_26_SHIFT                                        26
#define    GPIO_GPIR3_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR3_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_25_SHIFT                                        25
#define    GPIO_GPIR3_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR3_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_24_SHIFT                                        24
#define    GPIO_GPIR3_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR3_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_23_SHIFT                                        23
#define    GPIO_GPIR3_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR3_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_22_SHIFT                                        22
#define    GPIO_GPIR3_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR3_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_21_SHIFT                                        21
#define    GPIO_GPIR3_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR3_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_20_SHIFT                                        20
#define    GPIO_GPIR3_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR3_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_19_SHIFT                                        19
#define    GPIO_GPIR3_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR3_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_18_SHIFT                                        18
#define    GPIO_GPIR3_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR3_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_17_SHIFT                                        17
#define    GPIO_GPIR3_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR3_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_16_SHIFT                                        16
#define    GPIO_GPIR3_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR3_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_15_SHIFT                                        15
#define    GPIO_GPIR3_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR3_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_14_SHIFT                                        14
#define    GPIO_GPIR3_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR3_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_13_SHIFT                                        13
#define    GPIO_GPIR3_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR3_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_12_SHIFT                                        12
#define    GPIO_GPIR3_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR3_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_11_SHIFT                                        11
#define    GPIO_GPIR3_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR3_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_10_SHIFT                                        10
#define    GPIO_GPIR3_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR3_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_09_SHIFT                                        9
#define    GPIO_GPIR3_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR3_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_08_SHIFT                                        8
#define    GPIO_GPIR3_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR3_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_07_SHIFT                                        7
#define    GPIO_GPIR3_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR3_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_06_SHIFT                                        6
#define    GPIO_GPIR3_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR3_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_05_SHIFT                                        5
#define    GPIO_GPIR3_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR3_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_04_SHIFT                                        4
#define    GPIO_GPIR3_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR3_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_03_SHIFT                                        3
#define    GPIO_GPIR3_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR3_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_02_SHIFT                                        2
#define    GPIO_GPIR3_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR3_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_01_SHIFT                                        1
#define    GPIO_GPIR3_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR3_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR3_GPI_00_SHIFT                                        0
#define    GPIO_GPIR3_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR3_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR3_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPIR4_OFFSET                                                 0x00000030
#define GPIO_GPIR4_TYPE                                                   UInt32
#define GPIO_GPIR4_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR4_GPI_31_SHIFT                                        31
#define    GPIO_GPIR4_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR4_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_30_SHIFT                                        30
#define    GPIO_GPIR4_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR4_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_29_SHIFT                                        29
#define    GPIO_GPIR4_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR4_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_28_SHIFT                                        28
#define    GPIO_GPIR4_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR4_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_27_SHIFT                                        27
#define    GPIO_GPIR4_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR4_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_26_SHIFT                                        26
#define    GPIO_GPIR4_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR4_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_25_SHIFT                                        25
#define    GPIO_GPIR4_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR4_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_24_SHIFT                                        24
#define    GPIO_GPIR4_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR4_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_23_SHIFT                                        23
#define    GPIO_GPIR4_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR4_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_22_SHIFT                                        22
#define    GPIO_GPIR4_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR4_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_21_SHIFT                                        21
#define    GPIO_GPIR4_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR4_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_20_SHIFT                                        20
#define    GPIO_GPIR4_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR4_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_19_SHIFT                                        19
#define    GPIO_GPIR4_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR4_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_18_SHIFT                                        18
#define    GPIO_GPIR4_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR4_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_17_SHIFT                                        17
#define    GPIO_GPIR4_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR4_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_16_SHIFT                                        16
#define    GPIO_GPIR4_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR4_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_15_SHIFT                                        15
#define    GPIO_GPIR4_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR4_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_14_SHIFT                                        14
#define    GPIO_GPIR4_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR4_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_13_SHIFT                                        13
#define    GPIO_GPIR4_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR4_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_12_SHIFT                                        12
#define    GPIO_GPIR4_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR4_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_11_SHIFT                                        11
#define    GPIO_GPIR4_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR4_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_10_SHIFT                                        10
#define    GPIO_GPIR4_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR4_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_09_SHIFT                                        9
#define    GPIO_GPIR4_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR4_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_08_SHIFT                                        8
#define    GPIO_GPIR4_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR4_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_07_SHIFT                                        7
#define    GPIO_GPIR4_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR4_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_06_SHIFT                                        6
#define    GPIO_GPIR4_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR4_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_05_SHIFT                                        5
#define    GPIO_GPIR4_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR4_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_04_SHIFT                                        4
#define    GPIO_GPIR4_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR4_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_03_SHIFT                                        3
#define    GPIO_GPIR4_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR4_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_02_SHIFT                                        2
#define    GPIO_GPIR4_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR4_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_01_SHIFT                                        1
#define    GPIO_GPIR4_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR4_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR4_GPI_00_SHIFT                                        0
#define    GPIO_GPIR4_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR4_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR4_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPIR5_OFFSET                                                 0x00000034
#define GPIO_GPIR5_TYPE                                                   UInt32
#define GPIO_GPIR5_RESERVED_MASK                                          0x00000000
#define    GPIO_GPIR5_GPI_31_SHIFT                                        31
#define    GPIO_GPIR5_GPI_31_MASK                                         0x80000000
#define       GPIO_GPIR5_GPI_31_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_31_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_30_SHIFT                                        30
#define    GPIO_GPIR5_GPI_30_MASK                                         0x40000000
#define       GPIO_GPIR5_GPI_30_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_30_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_29_SHIFT                                        29
#define    GPIO_GPIR5_GPI_29_MASK                                         0x20000000
#define       GPIO_GPIR5_GPI_29_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_29_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_28_SHIFT                                        28
#define    GPIO_GPIR5_GPI_28_MASK                                         0x10000000
#define       GPIO_GPIR5_GPI_28_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_28_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_27_SHIFT                                        27
#define    GPIO_GPIR5_GPI_27_MASK                                         0x08000000
#define       GPIO_GPIR5_GPI_27_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_27_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_26_SHIFT                                        26
#define    GPIO_GPIR5_GPI_26_MASK                                         0x04000000
#define       GPIO_GPIR5_GPI_26_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_26_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_25_SHIFT                                        25
#define    GPIO_GPIR5_GPI_25_MASK                                         0x02000000
#define       GPIO_GPIR5_GPI_25_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_25_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_24_SHIFT                                        24
#define    GPIO_GPIR5_GPI_24_MASK                                         0x01000000
#define       GPIO_GPIR5_GPI_24_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_24_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_23_SHIFT                                        23
#define    GPIO_GPIR5_GPI_23_MASK                                         0x00800000
#define       GPIO_GPIR5_GPI_23_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_23_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_22_SHIFT                                        22
#define    GPIO_GPIR5_GPI_22_MASK                                         0x00400000
#define       GPIO_GPIR5_GPI_22_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_22_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_21_SHIFT                                        21
#define    GPIO_GPIR5_GPI_21_MASK                                         0x00200000
#define       GPIO_GPIR5_GPI_21_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_21_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_20_SHIFT                                        20
#define    GPIO_GPIR5_GPI_20_MASK                                         0x00100000
#define       GPIO_GPIR5_GPI_20_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_20_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_19_SHIFT                                        19
#define    GPIO_GPIR5_GPI_19_MASK                                         0x00080000
#define       GPIO_GPIR5_GPI_19_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_19_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_18_SHIFT                                        18
#define    GPIO_GPIR5_GPI_18_MASK                                         0x00040000
#define       GPIO_GPIR5_GPI_18_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_18_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_17_SHIFT                                        17
#define    GPIO_GPIR5_GPI_17_MASK                                         0x00020000
#define       GPIO_GPIR5_GPI_17_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_17_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_16_SHIFT                                        16
#define    GPIO_GPIR5_GPI_16_MASK                                         0x00010000
#define       GPIO_GPIR5_GPI_16_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_16_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_15_SHIFT                                        15
#define    GPIO_GPIR5_GPI_15_MASK                                         0x00008000
#define       GPIO_GPIR5_GPI_15_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_15_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_14_SHIFT                                        14
#define    GPIO_GPIR5_GPI_14_MASK                                         0x00004000
#define       GPIO_GPIR5_GPI_14_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_14_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_13_SHIFT                                        13
#define    GPIO_GPIR5_GPI_13_MASK                                         0x00002000
#define       GPIO_GPIR5_GPI_13_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_13_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_12_SHIFT                                        12
#define    GPIO_GPIR5_GPI_12_MASK                                         0x00001000
#define       GPIO_GPIR5_GPI_12_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_12_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_11_SHIFT                                        11
#define    GPIO_GPIR5_GPI_11_MASK                                         0x00000800
#define       GPIO_GPIR5_GPI_11_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_11_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_10_SHIFT                                        10
#define    GPIO_GPIR5_GPI_10_MASK                                         0x00000400
#define       GPIO_GPIR5_GPI_10_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_10_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_09_SHIFT                                        9
#define    GPIO_GPIR5_GPI_09_MASK                                         0x00000200
#define       GPIO_GPIR5_GPI_09_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_09_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_08_SHIFT                                        8
#define    GPIO_GPIR5_GPI_08_MASK                                         0x00000100
#define       GPIO_GPIR5_GPI_08_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_08_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_07_SHIFT                                        7
#define    GPIO_GPIR5_GPI_07_MASK                                         0x00000080
#define       GPIO_GPIR5_GPI_07_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_07_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_06_SHIFT                                        6
#define    GPIO_GPIR5_GPI_06_MASK                                         0x00000040
#define       GPIO_GPIR5_GPI_06_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_06_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_05_SHIFT                                        5
#define    GPIO_GPIR5_GPI_05_MASK                                         0x00000020
#define       GPIO_GPIR5_GPI_05_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_05_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_04_SHIFT                                        4
#define    GPIO_GPIR5_GPI_04_MASK                                         0x00000010
#define       GPIO_GPIR5_GPI_04_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_04_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_03_SHIFT                                        3
#define    GPIO_GPIR5_GPI_03_MASK                                         0x00000008
#define       GPIO_GPIR5_GPI_03_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_03_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_02_SHIFT                                        2
#define    GPIO_GPIR5_GPI_02_MASK                                         0x00000004
#define       GPIO_GPIR5_GPI_02_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_02_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_01_SHIFT                                        1
#define    GPIO_GPIR5_GPI_01_MASK                                         0x00000002
#define       GPIO_GPIR5_GPI_01_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_01_CMD_INPUT_HIGH                            0x00000001
#define    GPIO_GPIR5_GPI_00_SHIFT                                        0
#define    GPIO_GPIR5_GPI_00_MASK                                         0x00000001
#define       GPIO_GPIR5_GPI_00_CMD_INPUT_LOW                             0x00000000
#define       GPIO_GPIR5_GPI_00_CMD_INPUT_HIGH                            0x00000001

#define GPIO_GPORS0_OFFSET                                                0x00000040
#define GPIO_GPORS0_TYPE                                                  UInt32
#define GPIO_GPORS0_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS0_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS0_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS0_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS0_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS0_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS0_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS0_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS0_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS0_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS0_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS0_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS0_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS0_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS0_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS0_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS0_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS0_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS0_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS0_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS0_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS0_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS0_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS0_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS0_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS0_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS0_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS0_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS0_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS0_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS0_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS0_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS0_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS0_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS0_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS0_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS0_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS0_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS0_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS0_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS0_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS0_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS0_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS0_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS0_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS0_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS0_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS0_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS0_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS0_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS0_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS0_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS0_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS0_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS0_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS0_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS0_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS0_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS0_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS0_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS0_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS0_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS0_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS0_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS0_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS0_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS0_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS0_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORS1_OFFSET                                                0x00000044
#define GPIO_GPORS1_TYPE                                                  UInt32
#define GPIO_GPORS1_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS1_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS1_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS1_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS1_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS1_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS1_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS1_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS1_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS1_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS1_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS1_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS1_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS1_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS1_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS1_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS1_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS1_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS1_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS1_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS1_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS1_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS1_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS1_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS1_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS1_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS1_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS1_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS1_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS1_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS1_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS1_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS1_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS1_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS1_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS1_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS1_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS1_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS1_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS1_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS1_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS1_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS1_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS1_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS1_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS1_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS1_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS1_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS1_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS1_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS1_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS1_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS1_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS1_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS1_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS1_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS1_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS1_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS1_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS1_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS1_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS1_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS1_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS1_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS1_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS1_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS1_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS1_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORS2_OFFSET                                                0x00000048
#define GPIO_GPORS2_TYPE                                                  UInt32
#define GPIO_GPORS2_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS2_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS2_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS2_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS2_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS2_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS2_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS2_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS2_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS2_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS2_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS2_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS2_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS2_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS2_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS2_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS2_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS2_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS2_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS2_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS2_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS2_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS2_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS2_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS2_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS2_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS2_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS2_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS2_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS2_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS2_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS2_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS2_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS2_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS2_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS2_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS2_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS2_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS2_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS2_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS2_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS2_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS2_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS2_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS2_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS2_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS2_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS2_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS2_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS2_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS2_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS2_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS2_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS2_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS2_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS2_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS2_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS2_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS2_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS2_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS2_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS2_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS2_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS2_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS2_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS2_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS2_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS2_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORS3_OFFSET                                                0x0000004C
#define GPIO_GPORS3_TYPE                                                  UInt32
#define GPIO_GPORS3_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS3_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS3_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS3_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS3_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS3_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS3_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS3_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS3_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS3_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS3_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS3_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS3_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS3_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS3_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS3_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS3_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS3_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS3_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS3_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS3_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS3_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS3_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS3_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS3_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS3_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS3_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS3_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS3_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS3_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS3_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS3_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS3_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS3_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS3_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS3_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS3_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS3_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS3_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS3_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS3_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS3_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS3_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS3_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS3_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS3_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS3_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS3_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS3_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS3_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS3_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS3_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS3_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS3_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS3_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS3_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS3_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS3_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS3_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS3_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS3_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS3_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS3_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS3_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS3_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS3_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS3_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS3_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORS4_OFFSET                                                0x00000050
#define GPIO_GPORS4_TYPE                                                  UInt32
#define GPIO_GPORS4_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS4_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS4_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS4_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS4_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS4_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS4_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS4_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS4_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS4_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS4_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS4_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS4_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS4_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS4_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS4_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS4_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS4_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS4_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS4_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS4_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS4_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS4_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS4_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS4_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS4_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS4_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS4_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS4_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS4_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS4_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS4_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS4_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS4_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS4_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS4_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS4_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS4_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS4_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS4_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS4_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS4_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS4_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS4_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS4_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS4_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS4_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS4_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS4_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS4_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS4_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS4_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS4_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS4_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS4_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS4_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS4_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS4_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS4_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS4_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS4_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS4_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS4_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS4_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS4_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS4_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS4_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS4_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORS5_OFFSET                                                0x00000054
#define GPIO_GPORS5_TYPE                                                  UInt32
#define GPIO_GPORS5_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORS5_GPO_SET_31_SHIFT                                   31
#define    GPIO_GPORS5_GPO_SET_31_MASK                                    0x80000000
#define       GPIO_GPORS5_GPO_SET_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_31_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_30_SHIFT                                   30
#define    GPIO_GPORS5_GPO_SET_30_MASK                                    0x40000000
#define       GPIO_GPORS5_GPO_SET_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_30_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_29_SHIFT                                   29
#define    GPIO_GPORS5_GPO_SET_29_MASK                                    0x20000000
#define       GPIO_GPORS5_GPO_SET_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_29_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_28_SHIFT                                   28
#define    GPIO_GPORS5_GPO_SET_28_MASK                                    0x10000000
#define       GPIO_GPORS5_GPO_SET_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_28_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_27_SHIFT                                   27
#define    GPIO_GPORS5_GPO_SET_27_MASK                                    0x08000000
#define       GPIO_GPORS5_GPO_SET_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_27_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_26_SHIFT                                   26
#define    GPIO_GPORS5_GPO_SET_26_MASK                                    0x04000000
#define       GPIO_GPORS5_GPO_SET_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_26_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_25_SHIFT                                   25
#define    GPIO_GPORS5_GPO_SET_25_MASK                                    0x02000000
#define       GPIO_GPORS5_GPO_SET_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_25_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_24_SHIFT                                   24
#define    GPIO_GPORS5_GPO_SET_24_MASK                                    0x01000000
#define       GPIO_GPORS5_GPO_SET_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_24_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_23_SHIFT                                   23
#define    GPIO_GPORS5_GPO_SET_23_MASK                                    0x00800000
#define       GPIO_GPORS5_GPO_SET_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_23_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_22_SHIFT                                   22
#define    GPIO_GPORS5_GPO_SET_22_MASK                                    0x00400000
#define       GPIO_GPORS5_GPO_SET_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_22_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_21_SHIFT                                   21
#define    GPIO_GPORS5_GPO_SET_21_MASK                                    0x00200000
#define       GPIO_GPORS5_GPO_SET_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_21_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_20_SHIFT                                   20
#define    GPIO_GPORS5_GPO_SET_20_MASK                                    0x00100000
#define       GPIO_GPORS5_GPO_SET_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_20_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_19_SHIFT                                   19
#define    GPIO_GPORS5_GPO_SET_19_MASK                                    0x00080000
#define       GPIO_GPORS5_GPO_SET_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_19_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_18_SHIFT                                   18
#define    GPIO_GPORS5_GPO_SET_18_MASK                                    0x00040000
#define       GPIO_GPORS5_GPO_SET_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_18_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_17_SHIFT                                   17
#define    GPIO_GPORS5_GPO_SET_17_MASK                                    0x00020000
#define       GPIO_GPORS5_GPO_SET_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_17_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_16_SHIFT                                   16
#define    GPIO_GPORS5_GPO_SET_16_MASK                                    0x00010000
#define       GPIO_GPORS5_GPO_SET_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_16_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_15_SHIFT                                   15
#define    GPIO_GPORS5_GPO_SET_15_MASK                                    0x00008000
#define       GPIO_GPORS5_GPO_SET_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_15_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_14_SHIFT                                   14
#define    GPIO_GPORS5_GPO_SET_14_MASK                                    0x00004000
#define       GPIO_GPORS5_GPO_SET_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_14_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_13_SHIFT                                   13
#define    GPIO_GPORS5_GPO_SET_13_MASK                                    0x00002000
#define       GPIO_GPORS5_GPO_SET_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_13_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_12_SHIFT                                   12
#define    GPIO_GPORS5_GPO_SET_12_MASK                                    0x00001000
#define       GPIO_GPORS5_GPO_SET_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_12_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_11_SHIFT                                   11
#define    GPIO_GPORS5_GPO_SET_11_MASK                                    0x00000800
#define       GPIO_GPORS5_GPO_SET_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_11_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_10_SHIFT                                   10
#define    GPIO_GPORS5_GPO_SET_10_MASK                                    0x00000400
#define       GPIO_GPORS5_GPO_SET_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_10_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_09_SHIFT                                   9
#define    GPIO_GPORS5_GPO_SET_09_MASK                                    0x00000200
#define       GPIO_GPORS5_GPO_SET_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_09_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_08_SHIFT                                   8
#define    GPIO_GPORS5_GPO_SET_08_MASK                                    0x00000100
#define       GPIO_GPORS5_GPO_SET_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_08_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_07_SHIFT                                   7
#define    GPIO_GPORS5_GPO_SET_07_MASK                                    0x00000080
#define       GPIO_GPORS5_GPO_SET_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_07_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_06_SHIFT                                   6
#define    GPIO_GPORS5_GPO_SET_06_MASK                                    0x00000040
#define       GPIO_GPORS5_GPO_SET_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_06_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_05_SHIFT                                   5
#define    GPIO_GPORS5_GPO_SET_05_MASK                                    0x00000020
#define       GPIO_GPORS5_GPO_SET_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_05_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_04_SHIFT                                   4
#define    GPIO_GPORS5_GPO_SET_04_MASK                                    0x00000010
#define       GPIO_GPORS5_GPO_SET_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_04_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_03_SHIFT                                   3
#define    GPIO_GPORS5_GPO_SET_03_MASK                                    0x00000008
#define       GPIO_GPORS5_GPO_SET_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_03_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_02_SHIFT                                   2
#define    GPIO_GPORS5_GPO_SET_02_MASK                                    0x00000004
#define       GPIO_GPORS5_GPO_SET_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_02_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_01_SHIFT                                   1
#define    GPIO_GPORS5_GPO_SET_01_MASK                                    0x00000002
#define       GPIO_GPORS5_GPO_SET_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_01_CMD_SET_GPO                          0x00000001
#define    GPIO_GPORS5_GPO_SET_00_SHIFT                                   0
#define    GPIO_GPORS5_GPO_SET_00_MASK                                    0x00000001
#define       GPIO_GPORS5_GPO_SET_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORS5_GPO_SET_00_CMD_SET_GPO                          0x00000001

#define GPIO_GPORC0_OFFSET                                                0x00000060
#define GPIO_GPORC0_TYPE                                                  UInt32
#define GPIO_GPORC0_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC0_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC0_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC0_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC0_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC0_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC0_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC0_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC0_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC0_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC0_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC0_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC0_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC0_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC0_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC0_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC0_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC0_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC0_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC0_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC0_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC0_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC0_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC0_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC0_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC0_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC0_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC0_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC0_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC0_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC0_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC0_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC0_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC0_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC0_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC0_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC0_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC0_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC0_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC0_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC0_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC0_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC0_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC0_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC0_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC0_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC0_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC0_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC0_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC0_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC0_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC0_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC0_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC0_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC0_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC0_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC0_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC0_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC0_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC0_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC0_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC0_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC0_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC0_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC0_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC0_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC0_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC0_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_GPORC1_OFFSET                                                0x00000064
#define GPIO_GPORC1_TYPE                                                  UInt32
#define GPIO_GPORC1_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC1_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC1_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC1_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC1_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC1_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC1_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC1_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC1_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC1_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC1_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC1_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC1_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC1_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC1_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC1_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC1_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC1_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC1_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC1_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC1_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC1_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC1_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC1_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC1_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC1_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC1_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC1_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC1_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC1_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC1_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC1_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC1_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC1_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC1_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC1_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC1_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC1_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC1_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC1_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC1_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC1_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC1_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC1_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC1_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC1_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC1_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC1_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC1_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC1_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC1_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC1_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC1_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC1_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC1_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC1_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC1_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC1_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC1_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC1_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC1_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC1_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC1_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC1_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC1_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC1_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC1_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC1_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_GPORC2_OFFSET                                                0x00000068
#define GPIO_GPORC2_TYPE                                                  UInt32
#define GPIO_GPORC2_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC2_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC2_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC2_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC2_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC2_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC2_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC2_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC2_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC2_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC2_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC2_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC2_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC2_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC2_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC2_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC2_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC2_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC2_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC2_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC2_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC2_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC2_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC2_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC2_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC2_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC2_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC2_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC2_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC2_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC2_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC2_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC2_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC2_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC2_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC2_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC2_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC2_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC2_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC2_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC2_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC2_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC2_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC2_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC2_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC2_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC2_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC2_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC2_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC2_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC2_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC2_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC2_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC2_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC2_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC2_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC2_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC2_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC2_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC2_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC2_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC2_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC2_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC2_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC2_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC2_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC2_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC2_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_GPORC3_OFFSET                                                0x0000006C
#define GPIO_GPORC3_TYPE                                                  UInt32
#define GPIO_GPORC3_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC3_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC3_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC3_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC3_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC3_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC3_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC3_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC3_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC3_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC3_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC3_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC3_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC3_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC3_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC3_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC3_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC3_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC3_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC3_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC3_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC3_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC3_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC3_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC3_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC3_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC3_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC3_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC3_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC3_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC3_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC3_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC3_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC3_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC3_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC3_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC3_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC3_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC3_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC3_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC3_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC3_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC3_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC3_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC3_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC3_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC3_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC3_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC3_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC3_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC3_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC3_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC3_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC3_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC3_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC3_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC3_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC3_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC3_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC3_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC3_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC3_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC3_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC3_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC3_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC3_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC3_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC3_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_GPORC4_OFFSET                                                0x00000070
#define GPIO_GPORC4_TYPE                                                  UInt32
#define GPIO_GPORC4_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC4_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC4_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC4_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC4_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC4_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC4_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC4_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC4_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC4_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC4_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC4_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC4_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC4_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC4_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC4_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC4_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC4_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC4_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC4_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC4_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC4_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC4_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC4_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC4_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC4_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC4_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC4_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC4_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC4_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC4_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC4_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC4_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC4_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC4_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC4_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC4_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC4_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC4_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC4_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC4_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC4_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC4_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC4_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC4_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC4_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC4_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC4_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC4_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC4_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC4_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC4_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC4_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC4_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC4_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC4_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC4_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC4_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC4_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC4_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC4_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC4_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC4_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC4_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC4_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC4_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC4_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC4_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_GPORC5_OFFSET                                                0x00000074
#define GPIO_GPORC5_TYPE                                                  UInt32
#define GPIO_GPORC5_RESERVED_MASK                                         0x00000000
#define    GPIO_GPORC5_GPO_CLR_31_SHIFT                                   31
#define    GPIO_GPORC5_GPO_CLR_31_MASK                                    0x80000000
#define       GPIO_GPORC5_GPO_CLR_31_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_31_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_30_SHIFT                                   30
#define    GPIO_GPORC5_GPO_CLR_30_MASK                                    0x40000000
#define       GPIO_GPORC5_GPO_CLR_30_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_30_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_29_SHIFT                                   29
#define    GPIO_GPORC5_GPO_CLR_29_MASK                                    0x20000000
#define       GPIO_GPORC5_GPO_CLR_29_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_29_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_28_SHIFT                                   28
#define    GPIO_GPORC5_GPO_CLR_28_MASK                                    0x10000000
#define       GPIO_GPORC5_GPO_CLR_28_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_28_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_27_SHIFT                                   27
#define    GPIO_GPORC5_GPO_CLR_27_MASK                                    0x08000000
#define       GPIO_GPORC5_GPO_CLR_27_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_27_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_26_SHIFT                                   26
#define    GPIO_GPORC5_GPO_CLR_26_MASK                                    0x04000000
#define       GPIO_GPORC5_GPO_CLR_26_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_26_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_25_SHIFT                                   25
#define    GPIO_GPORC5_GPO_CLR_25_MASK                                    0x02000000
#define       GPIO_GPORC5_GPO_CLR_25_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_25_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_24_SHIFT                                   24
#define    GPIO_GPORC5_GPO_CLR_24_MASK                                    0x01000000
#define       GPIO_GPORC5_GPO_CLR_24_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_24_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_23_SHIFT                                   23
#define    GPIO_GPORC5_GPO_CLR_23_MASK                                    0x00800000
#define       GPIO_GPORC5_GPO_CLR_23_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_23_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_22_SHIFT                                   22
#define    GPIO_GPORC5_GPO_CLR_22_MASK                                    0x00400000
#define       GPIO_GPORC5_GPO_CLR_22_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_22_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_21_SHIFT                                   21
#define    GPIO_GPORC5_GPO_CLR_21_MASK                                    0x00200000
#define       GPIO_GPORC5_GPO_CLR_21_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_21_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_20_SHIFT                                   20
#define    GPIO_GPORC5_GPO_CLR_20_MASK                                    0x00100000
#define       GPIO_GPORC5_GPO_CLR_20_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_20_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_19_SHIFT                                   19
#define    GPIO_GPORC5_GPO_CLR_19_MASK                                    0x00080000
#define       GPIO_GPORC5_GPO_CLR_19_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_19_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_18_SHIFT                                   18
#define    GPIO_GPORC5_GPO_CLR_18_MASK                                    0x00040000
#define       GPIO_GPORC5_GPO_CLR_18_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_18_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_17_SHIFT                                   17
#define    GPIO_GPORC5_GPO_CLR_17_MASK                                    0x00020000
#define       GPIO_GPORC5_GPO_CLR_17_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_17_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_16_SHIFT                                   16
#define    GPIO_GPORC5_GPO_CLR_16_MASK                                    0x00010000
#define       GPIO_GPORC5_GPO_CLR_16_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_16_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_15_SHIFT                                   15
#define    GPIO_GPORC5_GPO_CLR_15_MASK                                    0x00008000
#define       GPIO_GPORC5_GPO_CLR_15_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_15_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_14_SHIFT                                   14
#define    GPIO_GPORC5_GPO_CLR_14_MASK                                    0x00004000
#define       GPIO_GPORC5_GPO_CLR_14_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_14_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_13_SHIFT                                   13
#define    GPIO_GPORC5_GPO_CLR_13_MASK                                    0x00002000
#define       GPIO_GPORC5_GPO_CLR_13_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_13_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_12_SHIFT                                   12
#define    GPIO_GPORC5_GPO_CLR_12_MASK                                    0x00001000
#define       GPIO_GPORC5_GPO_CLR_12_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_12_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_11_SHIFT                                   11
#define    GPIO_GPORC5_GPO_CLR_11_MASK                                    0x00000800
#define       GPIO_GPORC5_GPO_CLR_11_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_11_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_10_SHIFT                                   10
#define    GPIO_GPORC5_GPO_CLR_10_MASK                                    0x00000400
#define       GPIO_GPORC5_GPO_CLR_10_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_10_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_09_SHIFT                                   9
#define    GPIO_GPORC5_GPO_CLR_09_MASK                                    0x00000200
#define       GPIO_GPORC5_GPO_CLR_09_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_09_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_08_SHIFT                                   8
#define    GPIO_GPORC5_GPO_CLR_08_MASK                                    0x00000100
#define       GPIO_GPORC5_GPO_CLR_08_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_08_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_07_SHIFT                                   7
#define    GPIO_GPORC5_GPO_CLR_07_MASK                                    0x00000080
#define       GPIO_GPORC5_GPO_CLR_07_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_07_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_06_SHIFT                                   6
#define    GPIO_GPORC5_GPO_CLR_06_MASK                                    0x00000040
#define       GPIO_GPORC5_GPO_CLR_06_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_06_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_05_SHIFT                                   5
#define    GPIO_GPORC5_GPO_CLR_05_MASK                                    0x00000020
#define       GPIO_GPORC5_GPO_CLR_05_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_05_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_04_SHIFT                                   4
#define    GPIO_GPORC5_GPO_CLR_04_MASK                                    0x00000010
#define       GPIO_GPORC5_GPO_CLR_04_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_04_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_03_SHIFT                                   3
#define    GPIO_GPORC5_GPO_CLR_03_MASK                                    0x00000008
#define       GPIO_GPORC5_GPO_CLR_03_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_03_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_02_SHIFT                                   2
#define    GPIO_GPORC5_GPO_CLR_02_MASK                                    0x00000004
#define       GPIO_GPORC5_GPO_CLR_02_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_02_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_01_SHIFT                                   1
#define    GPIO_GPORC5_GPO_CLR_01_MASK                                    0x00000002
#define       GPIO_GPORC5_GPO_CLR_01_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_01_CMD_CLR_GPO                          0x00000001
#define    GPIO_GPORC5_GPO_CLR_00_SHIFT                                   0
#define    GPIO_GPORC5_GPO_CLR_00_MASK                                    0x00000001
#define       GPIO_GPORC5_GPO_CLR_00_CMD_NO_EFFECT                        0x00000000
#define       GPIO_GPORC5_GPO_CLR_00_CMD_CLR_GPO                          0x00000001

#define GPIO_ISR0_OFFSET                                                  0x00000080
#define GPIO_ISR0_TYPE                                                    UInt32
#define GPIO_ISR0_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR0_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR0_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR0_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR0_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR0_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR0_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR0_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR0_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR0_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR0_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR0_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR0_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR0_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR0_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR0_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR0_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR0_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR0_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR0_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR0_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR0_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR0_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR0_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR0_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR0_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR0_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR0_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR0_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR0_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR0_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR0_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR0_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR0_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR0_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR0_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR0_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR0_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR0_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR0_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR0_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR0_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR0_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR0_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR0_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR0_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR0_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR0_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR0_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR0_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR0_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR0_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR0_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR0_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR0_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR0_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR0_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR0_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR0_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR0_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR0_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR0_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR0_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR0_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR0_GPO_INT_00_MASK                                      0x00000001

#define GPIO_ISR1_OFFSET                                                  0x00000084
#define GPIO_ISR1_TYPE                                                    UInt32
#define GPIO_ISR1_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR1_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR1_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR1_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR1_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR1_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR1_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR1_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR1_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR1_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR1_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR1_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR1_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR1_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR1_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR1_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR1_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR1_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR1_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR1_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR1_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR1_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR1_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR1_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR1_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR1_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR1_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR1_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR1_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR1_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR1_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR1_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR1_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR1_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR1_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR1_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR1_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR1_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR1_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR1_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR1_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR1_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR1_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR1_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR1_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR1_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR1_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR1_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR1_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR1_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR1_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR1_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR1_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR1_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR1_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR1_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR1_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR1_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR1_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR1_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR1_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR1_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR1_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR1_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR1_GPO_INT_00_MASK                                      0x00000001

#define GPIO_ISR2_OFFSET                                                  0x00000088
#define GPIO_ISR2_TYPE                                                    UInt32
#define GPIO_ISR2_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR2_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR2_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR2_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR2_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR2_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR2_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR2_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR2_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR2_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR2_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR2_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR2_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR2_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR2_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR2_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR2_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR2_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR2_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR2_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR2_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR2_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR2_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR2_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR2_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR2_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR2_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR2_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR2_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR2_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR2_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR2_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR2_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR2_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR2_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR2_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR2_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR2_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR2_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR2_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR2_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR2_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR2_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR2_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR2_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR2_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR2_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR2_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR2_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR2_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR2_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR2_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR2_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR2_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR2_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR2_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR2_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR2_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR2_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR2_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR2_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR2_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR2_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR2_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR2_GPO_INT_00_MASK                                      0x00000001

#define GPIO_ISR3_OFFSET                                                  0x0000008C
#define GPIO_ISR3_TYPE                                                    UInt32
#define GPIO_ISR3_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR3_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR3_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR3_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR3_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR3_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR3_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR3_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR3_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR3_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR3_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR3_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR3_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR3_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR3_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR3_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR3_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR3_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR3_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR3_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR3_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR3_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR3_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR3_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR3_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR3_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR3_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR3_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR3_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR3_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR3_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR3_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR3_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR3_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR3_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR3_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR3_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR3_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR3_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR3_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR3_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR3_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR3_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR3_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR3_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR3_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR3_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR3_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR3_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR3_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR3_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR3_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR3_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR3_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR3_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR3_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR3_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR3_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR3_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR3_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR3_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR3_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR3_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR3_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR3_GPO_INT_00_MASK                                      0x00000001

#define GPIO_ISR4_OFFSET                                                  0x00000090
#define GPIO_ISR4_TYPE                                                    UInt32
#define GPIO_ISR4_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR4_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR4_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR4_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR4_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR4_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR4_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR4_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR4_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR4_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR4_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR4_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR4_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR4_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR4_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR4_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR4_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR4_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR4_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR4_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR4_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR4_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR4_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR4_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR4_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR4_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR4_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR4_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR4_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR4_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR4_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR4_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR4_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR4_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR4_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR4_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR4_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR4_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR4_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR4_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR4_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR4_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR4_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR4_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR4_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR4_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR4_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR4_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR4_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR4_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR4_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR4_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR4_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR4_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR4_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR4_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR4_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR4_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR4_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR4_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR4_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR4_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR4_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR4_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR4_GPO_INT_00_MASK                                      0x00000001

#define GPIO_ISR5_OFFSET                                                  0x00000094
#define GPIO_ISR5_TYPE                                                    UInt32
#define GPIO_ISR5_RESERVED_MASK                                           0x00000000
#define    GPIO_ISR5_GPO_INT_31_SHIFT                                     31
#define    GPIO_ISR5_GPO_INT_31_MASK                                      0x80000000
#define    GPIO_ISR5_GPO_INT_30_SHIFT                                     30
#define    GPIO_ISR5_GPO_INT_30_MASK                                      0x40000000
#define    GPIO_ISR5_GPO_INT_29_SHIFT                                     29
#define    GPIO_ISR5_GPO_INT_29_MASK                                      0x20000000
#define    GPIO_ISR5_GPO_INT_28_SHIFT                                     28
#define    GPIO_ISR5_GPO_INT_28_MASK                                      0x10000000
#define    GPIO_ISR5_GPO_INT_27_SHIFT                                     27
#define    GPIO_ISR5_GPO_INT_27_MASK                                      0x08000000
#define    GPIO_ISR5_GPO_INT_26_SHIFT                                     26
#define    GPIO_ISR5_GPO_INT_26_MASK                                      0x04000000
#define    GPIO_ISR5_GPO_INT_25_SHIFT                                     25
#define    GPIO_ISR5_GPO_INT_25_MASK                                      0x02000000
#define    GPIO_ISR5_GPO_INT_24_SHIFT                                     24
#define    GPIO_ISR5_GPO_INT_24_MASK                                      0x01000000
#define    GPIO_ISR5_GPO_INT_23_SHIFT                                     23
#define    GPIO_ISR5_GPO_INT_23_MASK                                      0x00800000
#define    GPIO_ISR5_GPO_INT_22_SHIFT                                     22
#define    GPIO_ISR5_GPO_INT_22_MASK                                      0x00400000
#define    GPIO_ISR5_GPO_INT_21_SHIFT                                     21
#define    GPIO_ISR5_GPO_INT_21_MASK                                      0x00200000
#define    GPIO_ISR5_GPO_INT_20_SHIFT                                     20
#define    GPIO_ISR5_GPO_INT_20_MASK                                      0x00100000
#define    GPIO_ISR5_GPO_INT_19_SHIFT                                     19
#define    GPIO_ISR5_GPO_INT_19_MASK                                      0x00080000
#define    GPIO_ISR5_GPO_INT_18_SHIFT                                     18
#define    GPIO_ISR5_GPO_INT_18_MASK                                      0x00040000
#define    GPIO_ISR5_GPO_INT_17_SHIFT                                     17
#define    GPIO_ISR5_GPO_INT_17_MASK                                      0x00020000
#define    GPIO_ISR5_GPO_INT_16_SHIFT                                     16
#define    GPIO_ISR5_GPO_INT_16_MASK                                      0x00010000
#define    GPIO_ISR5_GPO_INT_15_SHIFT                                     15
#define    GPIO_ISR5_GPO_INT_15_MASK                                      0x00008000
#define    GPIO_ISR5_GPO_INT_14_SHIFT                                     14
#define    GPIO_ISR5_GPO_INT_14_MASK                                      0x00004000
#define    GPIO_ISR5_GPO_INT_13_SHIFT                                     13
#define    GPIO_ISR5_GPO_INT_13_MASK                                      0x00002000
#define    GPIO_ISR5_GPO_INT_12_SHIFT                                     12
#define    GPIO_ISR5_GPO_INT_12_MASK                                      0x00001000
#define    GPIO_ISR5_GPO_INT_11_SHIFT                                     11
#define    GPIO_ISR5_GPO_INT_11_MASK                                      0x00000800
#define    GPIO_ISR5_GPO_INT_10_SHIFT                                     10
#define    GPIO_ISR5_GPO_INT_10_MASK                                      0x00000400
#define    GPIO_ISR5_GPO_INT_09_SHIFT                                     9
#define    GPIO_ISR5_GPO_INT_09_MASK                                      0x00000200
#define    GPIO_ISR5_GPO_INT_08_SHIFT                                     8
#define    GPIO_ISR5_GPO_INT_08_MASK                                      0x00000100
#define    GPIO_ISR5_GPO_INT_07_SHIFT                                     7
#define    GPIO_ISR5_GPO_INT_07_MASK                                      0x00000080
#define    GPIO_ISR5_GPO_INT_06_SHIFT                                     6
#define    GPIO_ISR5_GPO_INT_06_MASK                                      0x00000040
#define    GPIO_ISR5_GPO_INT_05_SHIFT                                     5
#define    GPIO_ISR5_GPO_INT_05_MASK                                      0x00000020
#define    GPIO_ISR5_GPO_INT_04_SHIFT                                     4
#define    GPIO_ISR5_GPO_INT_04_MASK                                      0x00000010
#define    GPIO_ISR5_GPO_INT_03_SHIFT                                     3
#define    GPIO_ISR5_GPO_INT_03_MASK                                      0x00000008
#define    GPIO_ISR5_GPO_INT_02_SHIFT                                     2
#define    GPIO_ISR5_GPO_INT_02_MASK                                      0x00000004
#define    GPIO_ISR5_GPO_INT_01_SHIFT                                     1
#define    GPIO_ISR5_GPO_INT_01_MASK                                      0x00000002
#define    GPIO_ISR5_GPO_INT_00_SHIFT                                     0
#define    GPIO_ISR5_GPO_INT_00_MASK                                      0x00000001

#define GPIO_IMR0_OFFSET                                                  0x000000A0
#define GPIO_IMR0_TYPE                                                    UInt32
#define GPIO_IMR0_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR0_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR0_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR0_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR0_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR0_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR0_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR0_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR0_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR0_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR0_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR0_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR0_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR0_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR0_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR0_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR0_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR0_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR0_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR0_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR0_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR0_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR0_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR0_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR0_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR0_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR0_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR0_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR0_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR0_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR0_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR0_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR0_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR0_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR0_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR0_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR0_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR0_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR0_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR0_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR0_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR0_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR0_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR0_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR0_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR0_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR0_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR0_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR0_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR0_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR0_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR0_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR0_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR0_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR0_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR0_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR0_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR0_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR0_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR0_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR0_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR0_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR0_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR0_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR0_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMR1_OFFSET                                                  0x000000A4
#define GPIO_IMR1_TYPE                                                    UInt32
#define GPIO_IMR1_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR1_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR1_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR1_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR1_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR1_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR1_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR1_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR1_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR1_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR1_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR1_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR1_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR1_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR1_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR1_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR1_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR1_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR1_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR1_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR1_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR1_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR1_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR1_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR1_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR1_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR1_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR1_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR1_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR1_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR1_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR1_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR1_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR1_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR1_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR1_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR1_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR1_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR1_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR1_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR1_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR1_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR1_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR1_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR1_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR1_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR1_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR1_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR1_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR1_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR1_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR1_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR1_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR1_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR1_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR1_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR1_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR1_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR1_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR1_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR1_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR1_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR1_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR1_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR1_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMR2_OFFSET                                                  0x000000A8
#define GPIO_IMR2_TYPE                                                    UInt32
#define GPIO_IMR2_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR2_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR2_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR2_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR2_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR2_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR2_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR2_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR2_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR2_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR2_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR2_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR2_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR2_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR2_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR2_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR2_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR2_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR2_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR2_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR2_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR2_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR2_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR2_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR2_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR2_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR2_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR2_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR2_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR2_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR2_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR2_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR2_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR2_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR2_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR2_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR2_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR2_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR2_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR2_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR2_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR2_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR2_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR2_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR2_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR2_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR2_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR2_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR2_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR2_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR2_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR2_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR2_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR2_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR2_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR2_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR2_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR2_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR2_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR2_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR2_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR2_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR2_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR2_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR2_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMR3_OFFSET                                                  0x000000AC
#define GPIO_IMR3_TYPE                                                    UInt32
#define GPIO_IMR3_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR3_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR3_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR3_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR3_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR3_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR3_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR3_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR3_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR3_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR3_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR3_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR3_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR3_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR3_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR3_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR3_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR3_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR3_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR3_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR3_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR3_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR3_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR3_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR3_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR3_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR3_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR3_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR3_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR3_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR3_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR3_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR3_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR3_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR3_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR3_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR3_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR3_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR3_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR3_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR3_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR3_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR3_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR3_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR3_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR3_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR3_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR3_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR3_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR3_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR3_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR3_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR3_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR3_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR3_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR3_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR3_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR3_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR3_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR3_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR3_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR3_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR3_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR3_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR3_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMR4_OFFSET                                                  0x000000B0
#define GPIO_IMR4_TYPE                                                    UInt32
#define GPIO_IMR4_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR4_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR4_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR4_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR4_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR4_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR4_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR4_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR4_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR4_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR4_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR4_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR4_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR4_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR4_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR4_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR4_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR4_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR4_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR4_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR4_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR4_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR4_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR4_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR4_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR4_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR4_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR4_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR4_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR4_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR4_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR4_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR4_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR4_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR4_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR4_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR4_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR4_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR4_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR4_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR4_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR4_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR4_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR4_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR4_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR4_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR4_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR4_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR4_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR4_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR4_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR4_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR4_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR4_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR4_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR4_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR4_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR4_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR4_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR4_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR4_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR4_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR4_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR4_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR4_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMR5_OFFSET                                                  0x000000B4
#define GPIO_IMR5_TYPE                                                    UInt32
#define GPIO_IMR5_RESERVED_MASK                                           0x00000000
#define    GPIO_IMR5_GPO_INTMASK_31_SHIFT                                 31
#define    GPIO_IMR5_GPO_INTMASK_31_MASK                                  0x80000000
#define    GPIO_IMR5_GPO_INTMASK_30_SHIFT                                 30
#define    GPIO_IMR5_GPO_INTMASK_30_MASK                                  0x40000000
#define    GPIO_IMR5_GPO_INTMASK_29_SHIFT                                 29
#define    GPIO_IMR5_GPO_INTMASK_29_MASK                                  0x20000000
#define    GPIO_IMR5_GPO_INTMASK_28_SHIFT                                 28
#define    GPIO_IMR5_GPO_INTMASK_28_MASK                                  0x10000000
#define    GPIO_IMR5_GPO_INTMASK_27_SHIFT                                 27
#define    GPIO_IMR5_GPO_INTMASK_27_MASK                                  0x08000000
#define    GPIO_IMR5_GPO_INTMASK_26_SHIFT                                 26
#define    GPIO_IMR5_GPO_INTMASK_26_MASK                                  0x04000000
#define    GPIO_IMR5_GPO_INTMASK_25_SHIFT                                 25
#define    GPIO_IMR5_GPO_INTMASK_25_MASK                                  0x02000000
#define    GPIO_IMR5_GPO_INTMASK_24_SHIFT                                 24
#define    GPIO_IMR5_GPO_INTMASK_24_MASK                                  0x01000000
#define    GPIO_IMR5_GPO_INTMASK_23_SHIFT                                 23
#define    GPIO_IMR5_GPO_INTMASK_23_MASK                                  0x00800000
#define    GPIO_IMR5_GPO_INTMASK_22_SHIFT                                 22
#define    GPIO_IMR5_GPO_INTMASK_22_MASK                                  0x00400000
#define    GPIO_IMR5_GPO_INTMASK_21_SHIFT                                 21
#define    GPIO_IMR5_GPO_INTMASK_21_MASK                                  0x00200000
#define    GPIO_IMR5_GPO_INTMASK_20_SHIFT                                 20
#define    GPIO_IMR5_GPO_INTMASK_20_MASK                                  0x00100000
#define    GPIO_IMR5_GPO_INTMASK_19_SHIFT                                 19
#define    GPIO_IMR5_GPO_INTMASK_19_MASK                                  0x00080000
#define    GPIO_IMR5_GPO_INTMASK_18_SHIFT                                 18
#define    GPIO_IMR5_GPO_INTMASK_18_MASK                                  0x00040000
#define    GPIO_IMR5_GPO_INTMASK_17_SHIFT                                 17
#define    GPIO_IMR5_GPO_INTMASK_17_MASK                                  0x00020000
#define    GPIO_IMR5_GPO_INTMASK_16_SHIFT                                 16
#define    GPIO_IMR5_GPO_INTMASK_16_MASK                                  0x00010000
#define    GPIO_IMR5_GPO_INTMASK_15_SHIFT                                 15
#define    GPIO_IMR5_GPO_INTMASK_15_MASK                                  0x00008000
#define    GPIO_IMR5_GPO_INTMASK_14_SHIFT                                 14
#define    GPIO_IMR5_GPO_INTMASK_14_MASK                                  0x00004000
#define    GPIO_IMR5_GPO_INTMASK_13_SHIFT                                 13
#define    GPIO_IMR5_GPO_INTMASK_13_MASK                                  0x00002000
#define    GPIO_IMR5_GPO_INTMASK_12_SHIFT                                 12
#define    GPIO_IMR5_GPO_INTMASK_12_MASK                                  0x00001000
#define    GPIO_IMR5_GPO_INTMASK_11_SHIFT                                 11
#define    GPIO_IMR5_GPO_INTMASK_11_MASK                                  0x00000800
#define    GPIO_IMR5_GPO_INTMASK_10_SHIFT                                 10
#define    GPIO_IMR5_GPO_INTMASK_10_MASK                                  0x00000400
#define    GPIO_IMR5_GPO_INTMASK_09_SHIFT                                 9
#define    GPIO_IMR5_GPO_INTMASK_09_MASK                                  0x00000200
#define    GPIO_IMR5_GPO_INTMASK_08_SHIFT                                 8
#define    GPIO_IMR5_GPO_INTMASK_08_MASK                                  0x00000100
#define    GPIO_IMR5_GPO_INTMASK_07_SHIFT                                 7
#define    GPIO_IMR5_GPO_INTMASK_07_MASK                                  0x00000080
#define    GPIO_IMR5_GPO_INTMASK_06_SHIFT                                 6
#define    GPIO_IMR5_GPO_INTMASK_06_MASK                                  0x00000040
#define    GPIO_IMR5_GPO_INTMASK_05_SHIFT                                 5
#define    GPIO_IMR5_GPO_INTMASK_05_MASK                                  0x00000020
#define    GPIO_IMR5_GPO_INTMASK_04_SHIFT                                 4
#define    GPIO_IMR5_GPO_INTMASK_04_MASK                                  0x00000010
#define    GPIO_IMR5_GPO_INTMASK_03_SHIFT                                 3
#define    GPIO_IMR5_GPO_INTMASK_03_MASK                                  0x00000008
#define    GPIO_IMR5_GPO_INTMASK_02_SHIFT                                 2
#define    GPIO_IMR5_GPO_INTMASK_02_MASK                                  0x00000004
#define    GPIO_IMR5_GPO_INTMASK_01_SHIFT                                 1
#define    GPIO_IMR5_GPO_INTMASK_01_MASK                                  0x00000002
#define    GPIO_IMR5_GPO_INTMASK_00_SHIFT                                 0
#define    GPIO_IMR5_GPO_INTMASK_00_MASK                                  0x00000001

#define GPIO_IMRC0_OFFSET                                                 0x000000C0
#define GPIO_IMRC0_TYPE                                                   UInt32
#define GPIO_IMRC0_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC0_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC0_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC0_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC0_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC0_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC0_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC0_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC0_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC0_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC0_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC0_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC0_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC0_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC0_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC0_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC0_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC0_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC0_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC0_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC0_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC0_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC0_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC0_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC0_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC0_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC0_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC0_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC0_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC0_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC0_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC0_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC0_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC0_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC0_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC0_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC0_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC0_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC0_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC0_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC0_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC0_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC0_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC0_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC0_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC0_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC0_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC0_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC0_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC0_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC0_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC0_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC0_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC0_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC0_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC0_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC0_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC0_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC0_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC0_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC0_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC0_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC0_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC0_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC0_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_IMRC1_OFFSET                                                 0x000000C4
#define GPIO_IMRC1_TYPE                                                   UInt32
#define GPIO_IMRC1_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC1_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC1_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC1_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC1_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC1_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC1_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC1_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC1_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC1_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC1_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC1_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC1_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC1_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC1_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC1_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC1_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC1_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC1_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC1_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC1_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC1_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC1_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC1_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC1_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC1_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC1_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC1_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC1_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC1_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC1_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC1_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC1_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC1_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC1_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC1_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC1_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC1_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC1_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC1_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC1_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC1_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC1_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC1_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC1_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC1_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC1_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC1_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC1_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC1_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC1_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC1_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC1_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC1_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC1_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC1_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC1_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC1_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC1_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC1_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC1_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC1_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC1_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC1_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC1_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_IMRC2_OFFSET                                                 0x000000C8
#define GPIO_IMRC2_TYPE                                                   UInt32
#define GPIO_IMRC2_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC2_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC2_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC2_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC2_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC2_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC2_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC2_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC2_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC2_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC2_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC2_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC2_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC2_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC2_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC2_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC2_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC2_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC2_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC2_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC2_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC2_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC2_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC2_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC2_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC2_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC2_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC2_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC2_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC2_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC2_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC2_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC2_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC2_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC2_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC2_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC2_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC2_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC2_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC2_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC2_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC2_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC2_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC2_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC2_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC2_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC2_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC2_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC2_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC2_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC2_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC2_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC2_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC2_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC2_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC2_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC2_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC2_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC2_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC2_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC2_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC2_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC2_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC2_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC2_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_IMRC3_OFFSET                                                 0x000000CC
#define GPIO_IMRC3_TYPE                                                   UInt32
#define GPIO_IMRC3_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC3_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC3_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC3_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC3_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC3_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC3_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC3_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC3_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC3_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC3_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC3_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC3_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC3_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC3_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC3_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC3_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC3_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC3_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC3_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC3_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC3_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC3_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC3_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC3_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC3_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC3_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC3_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC3_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC3_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC3_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC3_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC3_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC3_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC3_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC3_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC3_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC3_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC3_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC3_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC3_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC3_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC3_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC3_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC3_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC3_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC3_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC3_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC3_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC3_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC3_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC3_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC3_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC3_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC3_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC3_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC3_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC3_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC3_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC3_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC3_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC3_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC3_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC3_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC3_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_IMRC4_OFFSET                                                 0x000000D0
#define GPIO_IMRC4_TYPE                                                   UInt32
#define GPIO_IMRC4_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC4_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC4_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC4_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC4_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC4_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC4_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC4_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC4_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC4_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC4_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC4_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC4_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC4_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC4_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC4_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC4_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC4_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC4_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC4_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC4_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC4_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC4_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC4_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC4_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC4_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC4_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC4_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC4_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC4_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC4_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC4_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC4_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC4_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC4_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC4_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC4_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC4_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC4_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC4_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC4_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC4_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC4_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC4_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC4_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC4_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC4_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC4_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC4_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC4_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC4_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC4_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC4_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC4_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC4_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC4_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC4_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC4_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC4_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC4_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC4_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC4_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC4_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC4_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC4_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_IMRC5_OFFSET                                                 0x000000D4
#define GPIO_IMRC5_TYPE                                                   UInt32
#define GPIO_IMRC5_RESERVED_MASK                                          0x00000000
#define    GPIO_IMRC5_GPO_INTMRC_31_SHIFT                                 31
#define    GPIO_IMRC5_GPO_INTMRC_31_MASK                                  0x80000000
#define    GPIO_IMRC5_GPO_INTMRC_30_SHIFT                                 30
#define    GPIO_IMRC5_GPO_INTMRC_30_MASK                                  0x40000000
#define    GPIO_IMRC5_GPO_INTMRC_29_SHIFT                                 29
#define    GPIO_IMRC5_GPO_INTMRC_29_MASK                                  0x20000000
#define    GPIO_IMRC5_GPO_INTMRC_28_SHIFT                                 28
#define    GPIO_IMRC5_GPO_INTMRC_28_MASK                                  0x10000000
#define    GPIO_IMRC5_GPO_INTMRC_27_SHIFT                                 27
#define    GPIO_IMRC5_GPO_INTMRC_27_MASK                                  0x08000000
#define    GPIO_IMRC5_GPO_INTMRC_26_SHIFT                                 26
#define    GPIO_IMRC5_GPO_INTMRC_26_MASK                                  0x04000000
#define    GPIO_IMRC5_GPO_INTMRC_25_SHIFT                                 25
#define    GPIO_IMRC5_GPO_INTMRC_25_MASK                                  0x02000000
#define    GPIO_IMRC5_GPO_INTMRC_24_SHIFT                                 24
#define    GPIO_IMRC5_GPO_INTMRC_24_MASK                                  0x01000000
#define    GPIO_IMRC5_GPO_INTMRC_23_SHIFT                                 23
#define    GPIO_IMRC5_GPO_INTMRC_23_MASK                                  0x00800000
#define    GPIO_IMRC5_GPO_INTMRC_22_SHIFT                                 22
#define    GPIO_IMRC5_GPO_INTMRC_22_MASK                                  0x00400000
#define    GPIO_IMRC5_GPO_INTMRC_21_SHIFT                                 21
#define    GPIO_IMRC5_GPO_INTMRC_21_MASK                                  0x00200000
#define    GPIO_IMRC5_GPO_INTMRC_20_SHIFT                                 20
#define    GPIO_IMRC5_GPO_INTMRC_20_MASK                                  0x00100000
#define    GPIO_IMRC5_GPO_INTMRC_19_SHIFT                                 19
#define    GPIO_IMRC5_GPO_INTMRC_19_MASK                                  0x00080000
#define    GPIO_IMRC5_GPO_INTMRC_18_SHIFT                                 18
#define    GPIO_IMRC5_GPO_INTMRC_18_MASK                                  0x00040000
#define    GPIO_IMRC5_GPO_INTMRC_17_SHIFT                                 17
#define    GPIO_IMRC5_GPO_INTMRC_17_MASK                                  0x00020000
#define    GPIO_IMRC5_GPO_INTMRC_16_SHIFT                                 16
#define    GPIO_IMRC5_GPO_INTMRC_16_MASK                                  0x00010000
#define    GPIO_IMRC5_GPO_INTMRC_15_SHIFT                                 15
#define    GPIO_IMRC5_GPO_INTMRC_15_MASK                                  0x00008000
#define    GPIO_IMRC5_GPO_INTMRC_14_SHIFT                                 14
#define    GPIO_IMRC5_GPO_INTMRC_14_MASK                                  0x00004000
#define    GPIO_IMRC5_GPO_INTMRC_13_SHIFT                                 13
#define    GPIO_IMRC5_GPO_INTMRC_13_MASK                                  0x00002000
#define    GPIO_IMRC5_GPO_INTMRC_12_SHIFT                                 12
#define    GPIO_IMRC5_GPO_INTMRC_12_MASK                                  0x00001000
#define    GPIO_IMRC5_GPO_INTMRC_11_SHIFT                                 11
#define    GPIO_IMRC5_GPO_INTMRC_11_MASK                                  0x00000800
#define    GPIO_IMRC5_GPO_INTMRC_10_SHIFT                                 10
#define    GPIO_IMRC5_GPO_INTMRC_10_MASK                                  0x00000400
#define    GPIO_IMRC5_GPO_INTMRC_09_SHIFT                                 9
#define    GPIO_IMRC5_GPO_INTMRC_09_MASK                                  0x00000200
#define    GPIO_IMRC5_GPO_INTMRC_08_SHIFT                                 8
#define    GPIO_IMRC5_GPO_INTMRC_08_MASK                                  0x00000100
#define    GPIO_IMRC5_GPO_INTMRC_07_SHIFT                                 7
#define    GPIO_IMRC5_GPO_INTMRC_07_MASK                                  0x00000080
#define    GPIO_IMRC5_GPO_INTMRC_06_SHIFT                                 6
#define    GPIO_IMRC5_GPO_INTMRC_06_MASK                                  0x00000040
#define    GPIO_IMRC5_GPO_INTMRC_05_SHIFT                                 5
#define    GPIO_IMRC5_GPO_INTMRC_05_MASK                                  0x00000020
#define    GPIO_IMRC5_GPO_INTMRC_04_SHIFT                                 4
#define    GPIO_IMRC5_GPO_INTMRC_04_MASK                                  0x00000010
#define    GPIO_IMRC5_GPO_INTMRC_03_SHIFT                                 3
#define    GPIO_IMRC5_GPO_INTMRC_03_MASK                                  0x00000008
#define    GPIO_IMRC5_GPO_INTMRC_02_SHIFT                                 2
#define    GPIO_IMRC5_GPO_INTMRC_02_MASK                                  0x00000004
#define    GPIO_IMRC5_GPO_INTMRC_01_SHIFT                                 1
#define    GPIO_IMRC5_GPO_INTMRC_01_MASK                                  0x00000002
#define    GPIO_IMRC5_GPO_INTMRC_00_SHIFT                                 0
#define    GPIO_IMRC5_GPO_INTMRC_00_MASK                                  0x00000001

#define GPIO_DBCTR_OFFSET                                                 0x000000E0
#define GPIO_DBCTR_TYPE                                                   UInt32
#define GPIO_DBCTR_RESERVED_MASK                                          0x7FFFFFFC
#define    GPIO_DBCTR_DBCTR_HWRSTN_SEL_SHIFT                              31
#define    GPIO_DBCTR_DBCTR_HWRSTN_SEL_MASK                               0x80000000
#define    GPIO_DBCTR_FUNC_MODE_SHIFT                                     0
#define    GPIO_DBCTR_FUNC_MODE_MASK                                      0x00000003

#define GPIO_CTICTR_OFFSET                                                0x000000F0
#define GPIO_CTICTR_TYPE                                                  UInt32
#define GPIO_CTICTR_RESERVED_MASK                                         0xFFFF0000
#define    GPIO_CTICTR_CTIDEMUX_SHIFT                                     8
#define    GPIO_CTICTR_CTIDEMUX_MASK                                      0x0000FF00
#define    GPIO_CTICTR_CTIMUX_SHIFT                                       0
#define    GPIO_CTICTR_CTIMUX_MASK                                        0x000000FF

#define GPIO_GPCTR0_OFFSET                                                0x00000100
#define GPIO_GPCTR0_TYPE                                                  UInt32
#define GPIO_GPCTR0_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR0_DBR_SHIFT                                          5
#define    GPIO_GPCTR0_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR0_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR0_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR0_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR0_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR0_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR0_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR0_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR0_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR0_ITR_SHIFT                                          3
#define    GPIO_GPCTR0_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR0_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR0_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR0_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR0_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR0_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR0_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR0_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR0_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR0_IOTR_SHIFT                                         0
#define    GPIO_GPCTR0_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR0_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR0_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR1_OFFSET                                                0x00000104
#define GPIO_GPCTR1_TYPE                                                  UInt32
#define GPIO_GPCTR1_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR1_DBR_SHIFT                                          5
#define    GPIO_GPCTR1_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR1_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR1_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR1_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR1_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR1_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR1_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR1_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR1_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR1_ITR_SHIFT                                          3
#define    GPIO_GPCTR1_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR1_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR1_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR1_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR1_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR1_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR1_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR1_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR1_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR1_IOTR_SHIFT                                         0
#define    GPIO_GPCTR1_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR1_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR1_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR2_OFFSET                                                0x00000108
#define GPIO_GPCTR2_TYPE                                                  UInt32
#define GPIO_GPCTR2_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR2_DBR_SHIFT                                          5
#define    GPIO_GPCTR2_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR2_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR2_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR2_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR2_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR2_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR2_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR2_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR2_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR2_ITR_SHIFT                                          3
#define    GPIO_GPCTR2_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR2_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR2_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR2_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR2_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR2_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR2_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR2_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR2_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR2_IOTR_SHIFT                                         0
#define    GPIO_GPCTR2_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR2_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR2_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR3_OFFSET                                                0x0000010C
#define GPIO_GPCTR3_TYPE                                                  UInt32
#define GPIO_GPCTR3_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR3_DBR_SHIFT                                          5
#define    GPIO_GPCTR3_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR3_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR3_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR3_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR3_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR3_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR3_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR3_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR3_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR3_ITR_SHIFT                                          3
#define    GPIO_GPCTR3_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR3_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR3_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR3_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR3_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR3_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR3_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR3_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR3_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR3_IOTR_SHIFT                                         0
#define    GPIO_GPCTR3_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR3_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR3_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR4_OFFSET                                                0x00000110
#define GPIO_GPCTR4_TYPE                                                  UInt32
#define GPIO_GPCTR4_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR4_DBR_SHIFT                                          5
#define    GPIO_GPCTR4_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR4_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR4_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR4_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR4_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR4_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR4_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR4_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR4_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR4_ITR_SHIFT                                          3
#define    GPIO_GPCTR4_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR4_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR4_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR4_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR4_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR4_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR4_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR4_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR4_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR4_IOTR_SHIFT                                         0
#define    GPIO_GPCTR4_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR4_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR4_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR5_OFFSET                                                0x00000114
#define GPIO_GPCTR5_TYPE                                                  UInt32
#define GPIO_GPCTR5_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR5_DBR_SHIFT                                          5
#define    GPIO_GPCTR5_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR5_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR5_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR5_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR5_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR5_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR5_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR5_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR5_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR5_ITR_SHIFT                                          3
#define    GPIO_GPCTR5_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR5_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR5_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR5_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR5_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR5_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR5_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR5_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR5_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR5_IOTR_SHIFT                                         0
#define    GPIO_GPCTR5_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR5_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR5_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR6_OFFSET                                                0x00000118
#define GPIO_GPCTR6_TYPE                                                  UInt32
#define GPIO_GPCTR6_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR6_DBR_SHIFT                                          5
#define    GPIO_GPCTR6_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR6_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR6_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR6_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR6_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR6_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR6_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR6_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR6_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR6_ITR_SHIFT                                          3
#define    GPIO_GPCTR6_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR6_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR6_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR6_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR6_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR6_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR6_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR6_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR6_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR6_IOTR_SHIFT                                         0
#define    GPIO_GPCTR6_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR6_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR6_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR7_OFFSET                                                0x0000011C
#define GPIO_GPCTR7_TYPE                                                  UInt32
#define GPIO_GPCTR7_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR7_DBR_SHIFT                                          5
#define    GPIO_GPCTR7_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR7_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR7_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR7_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR7_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR7_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR7_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR7_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR7_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR7_ITR_SHIFT                                          3
#define    GPIO_GPCTR7_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR7_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR7_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR7_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR7_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR7_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR7_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR7_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR7_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR7_IOTR_SHIFT                                         0
#define    GPIO_GPCTR7_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR7_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR7_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR8_OFFSET                                                0x00000120
#define GPIO_GPCTR8_TYPE                                                  UInt32
#define GPIO_GPCTR8_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR8_DBR_SHIFT                                          5
#define    GPIO_GPCTR8_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR8_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR8_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR8_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR8_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR8_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR8_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR8_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR8_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR8_ITR_SHIFT                                          3
#define    GPIO_GPCTR8_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR8_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR8_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR8_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR8_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR8_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR8_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR8_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR8_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR8_IOTR_SHIFT                                         0
#define    GPIO_GPCTR8_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR8_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR8_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR9_OFFSET                                                0x00000124
#define GPIO_GPCTR9_TYPE                                                  UInt32
#define GPIO_GPCTR9_RESERVED_MASK                                         0xFFFFFE00
#define    GPIO_GPCTR9_DBR_SHIFT                                          5
#define    GPIO_GPCTR9_DBR_MASK                                           0x000001E0
#define       GPIO_GPCTR9_DBR_CMD_1MS                                     0x00000000
#define       GPIO_GPCTR9_DBR_CMD_2MS                                     0x00000001
#define       GPIO_GPCTR9_DBR_CMD_4MS                                     0x00000002
#define       GPIO_GPCTR9_DBR_CMD_8MS                                     0x00000003
#define       GPIO_GPCTR9_DBR_CMD_16MS                                    0x00000004
#define       GPIO_GPCTR9_DBR_CMD_32MS                                    0x00000005
#define       GPIO_GPCTR9_DBR_CMD_64MS                                    0x00000006
#define       GPIO_GPCTR9_DBR_CMD_128MS                                   0x00000007
#define    GPIO_GPCTR9_ITR_SHIFT                                          3
#define    GPIO_GPCTR9_ITR_MASK                                           0x00000018
#define       GPIO_GPCTR9_ITR_CMD_NO_INT                                  0x00000000
#define       GPIO_GPCTR9_ITR_CMD_RISING_EDGE                             0x00000001
#define       GPIO_GPCTR9_ITR_CMD_FALLING_EDGE                            0x00000002
#define       GPIO_GPCTR9_ITR_CMD_BOTH_EDGE                               0x00000003
#define    GPIO_GPCTR9_GPIO_PULL_SEL_SHIFT                                2
#define    GPIO_GPCTR9_GPIO_PULL_SEL_MASK                                 0x00000004
#define    GPIO_GPCTR9_GPIO_PULL_EN_SHIFT                                 1
#define    GPIO_GPCTR9_GPIO_PULL_EN_MASK                                  0x00000002
#define    GPIO_GPCTR9_IOTR_SHIFT                                         0
#define    GPIO_GPCTR9_IOTR_MASK                                          0x00000001
#define       GPIO_GPCTR9_IOTR_CMD_0UTPUT                                 0x00000000
#define       GPIO_GPCTR9_IOTR_CMD_INPUT                                  0x00000001

#define GPIO_GPCTR10_OFFSET                                               0x00000128
#define GPIO_GPCTR10_TYPE                                                 UInt32
#define GPIO_GPCTR10_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR10_DBR_SHIFT                                         5
#define    GPIO_GPCTR10_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR10_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR10_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR10_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR10_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR10_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR10_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR10_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR10_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR10_ITR_SHIFT                                         3
#define    GPIO_GPCTR10_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR10_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR10_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR10_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR10_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR10_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR10_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR10_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR10_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR10_IOTR_SHIFT                                        0
#define    GPIO_GPCTR10_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR10_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR10_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR11_OFFSET                                               0x0000012C
#define GPIO_GPCTR11_TYPE                                                 UInt32
#define GPIO_GPCTR11_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR11_DBR_SHIFT                                         5
#define    GPIO_GPCTR11_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR11_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR11_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR11_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR11_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR11_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR11_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR11_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR11_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR11_ITR_SHIFT                                         3
#define    GPIO_GPCTR11_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR11_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR11_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR11_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR11_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR11_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR11_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR11_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR11_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR11_IOTR_SHIFT                                        0
#define    GPIO_GPCTR11_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR11_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR11_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR12_OFFSET                                               0x00000130
#define GPIO_GPCTR12_TYPE                                                 UInt32
#define GPIO_GPCTR12_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR12_DBR_SHIFT                                         5
#define    GPIO_GPCTR12_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR12_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR12_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR12_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR12_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR12_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR12_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR12_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR12_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR12_ITR_SHIFT                                         3
#define    GPIO_GPCTR12_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR12_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR12_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR12_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR12_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR12_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR12_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR12_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR12_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR12_IOTR_SHIFT                                        0
#define    GPIO_GPCTR12_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR12_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR12_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR13_OFFSET                                               0x00000134
#define GPIO_GPCTR13_TYPE                                                 UInt32
#define GPIO_GPCTR13_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR13_DBR_SHIFT                                         5
#define    GPIO_GPCTR13_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR13_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR13_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR13_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR13_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR13_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR13_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR13_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR13_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR13_ITR_SHIFT                                         3
#define    GPIO_GPCTR13_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR13_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR13_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR13_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR13_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR13_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR13_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR13_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR13_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR13_IOTR_SHIFT                                        0
#define    GPIO_GPCTR13_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR13_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR13_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR14_OFFSET                                               0x00000138
#define GPIO_GPCTR14_TYPE                                                 UInt32
#define GPIO_GPCTR14_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR14_DBR_SHIFT                                         5
#define    GPIO_GPCTR14_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR14_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR14_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR14_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR14_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR14_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR14_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR14_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR14_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR14_ITR_SHIFT                                         3
#define    GPIO_GPCTR14_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR14_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR14_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR14_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR14_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR14_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR14_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR14_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR14_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR14_IOTR_SHIFT                                        0
#define    GPIO_GPCTR14_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR14_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR14_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR15_OFFSET                                               0x0000013C
#define GPIO_GPCTR15_TYPE                                                 UInt32
#define GPIO_GPCTR15_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR15_DBR_SHIFT                                         5
#define    GPIO_GPCTR15_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR15_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR15_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR15_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR15_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR15_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR15_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR15_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR15_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR15_ITR_SHIFT                                         3
#define    GPIO_GPCTR15_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR15_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR15_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR15_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR15_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR15_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR15_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR15_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR15_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR15_IOTR_SHIFT                                        0
#define    GPIO_GPCTR15_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR15_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR15_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR16_OFFSET                                               0x00000140
#define GPIO_GPCTR16_TYPE                                                 UInt32
#define GPIO_GPCTR16_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR16_DBR_SHIFT                                         5
#define    GPIO_GPCTR16_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR16_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR16_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR16_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR16_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR16_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR16_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR16_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR16_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR16_ITR_SHIFT                                         3
#define    GPIO_GPCTR16_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR16_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR16_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR16_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR16_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR16_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR16_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR16_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR16_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR16_IOTR_SHIFT                                        0
#define    GPIO_GPCTR16_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR16_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR16_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR17_OFFSET                                               0x00000144
#define GPIO_GPCTR17_TYPE                                                 UInt32
#define GPIO_GPCTR17_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR17_DBR_SHIFT                                         5
#define    GPIO_GPCTR17_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR17_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR17_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR17_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR17_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR17_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR17_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR17_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR17_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR17_ITR_SHIFT                                         3
#define    GPIO_GPCTR17_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR17_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR17_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR17_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR17_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR17_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR17_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR17_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR17_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR17_IOTR_SHIFT                                        0
#define    GPIO_GPCTR17_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR17_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR17_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR18_OFFSET                                               0x00000148
#define GPIO_GPCTR18_TYPE                                                 UInt32
#define GPIO_GPCTR18_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR18_DBR_SHIFT                                         5
#define    GPIO_GPCTR18_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR18_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR18_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR18_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR18_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR18_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR18_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR18_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR18_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR18_ITR_SHIFT                                         3
#define    GPIO_GPCTR18_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR18_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR18_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR18_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR18_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR18_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR18_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR18_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR18_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR18_IOTR_SHIFT                                        0
#define    GPIO_GPCTR18_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR18_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR18_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR19_OFFSET                                               0x0000014C
#define GPIO_GPCTR19_TYPE                                                 UInt32
#define GPIO_GPCTR19_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR19_DBR_SHIFT                                         5
#define    GPIO_GPCTR19_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR19_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR19_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR19_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR19_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR19_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR19_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR19_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR19_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR19_ITR_SHIFT                                         3
#define    GPIO_GPCTR19_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR19_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR19_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR19_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR19_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR19_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR19_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR19_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR19_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR19_IOTR_SHIFT                                        0
#define    GPIO_GPCTR19_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR19_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR19_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR20_OFFSET                                               0x00000150
#define GPIO_GPCTR20_TYPE                                                 UInt32
#define GPIO_GPCTR20_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR20_DBR_SHIFT                                         5
#define    GPIO_GPCTR20_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR20_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR20_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR20_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR20_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR20_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR20_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR20_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR20_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR20_ITR_SHIFT                                         3
#define    GPIO_GPCTR20_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR20_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR20_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR20_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR20_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR20_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR20_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR20_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR20_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR20_IOTR_SHIFT                                        0
#define    GPIO_GPCTR20_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR20_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR20_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR21_OFFSET                                               0x00000154
#define GPIO_GPCTR21_TYPE                                                 UInt32
#define GPIO_GPCTR21_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR21_DBR_SHIFT                                         5
#define    GPIO_GPCTR21_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR21_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR21_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR21_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR21_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR21_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR21_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR21_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR21_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR21_ITR_SHIFT                                         3
#define    GPIO_GPCTR21_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR21_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR21_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR21_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR21_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR21_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR21_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR21_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR21_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR21_IOTR_SHIFT                                        0
#define    GPIO_GPCTR21_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR21_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR21_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR22_OFFSET                                               0x00000158
#define GPIO_GPCTR22_TYPE                                                 UInt32
#define GPIO_GPCTR22_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR22_DBR_SHIFT                                         5
#define    GPIO_GPCTR22_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR22_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR22_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR22_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR22_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR22_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR22_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR22_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR22_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR22_ITR_SHIFT                                         3
#define    GPIO_GPCTR22_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR22_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR22_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR22_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR22_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR22_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR22_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR22_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR22_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR22_IOTR_SHIFT                                        0
#define    GPIO_GPCTR22_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR22_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR22_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR23_OFFSET                                               0x0000015C
#define GPIO_GPCTR23_TYPE                                                 UInt32
#define GPIO_GPCTR23_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR23_DBR_SHIFT                                         5
#define    GPIO_GPCTR23_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR23_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR23_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR23_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR23_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR23_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR23_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR23_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR23_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR23_ITR_SHIFT                                         3
#define    GPIO_GPCTR23_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR23_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR23_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR23_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR23_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR23_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR23_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR23_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR23_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR23_IOTR_SHIFT                                        0
#define    GPIO_GPCTR23_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR23_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR23_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR24_OFFSET                                               0x00000160
#define GPIO_GPCTR24_TYPE                                                 UInt32
#define GPIO_GPCTR24_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR24_DBR_SHIFT                                         5
#define    GPIO_GPCTR24_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR24_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR24_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR24_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR24_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR24_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR24_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR24_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR24_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR24_ITR_SHIFT                                         3
#define    GPIO_GPCTR24_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR24_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR24_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR24_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR24_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR24_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR24_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR24_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR24_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR24_IOTR_SHIFT                                        0
#define    GPIO_GPCTR24_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR24_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR24_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR25_OFFSET                                               0x00000164
#define GPIO_GPCTR25_TYPE                                                 UInt32
#define GPIO_GPCTR25_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR25_DBR_SHIFT                                         5
#define    GPIO_GPCTR25_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR25_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR25_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR25_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR25_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR25_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR25_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR25_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR25_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR25_ITR_SHIFT                                         3
#define    GPIO_GPCTR25_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR25_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR25_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR25_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR25_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR25_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR25_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR25_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR25_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR25_IOTR_SHIFT                                        0
#define    GPIO_GPCTR25_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR25_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR25_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR26_OFFSET                                               0x00000168
#define GPIO_GPCTR26_TYPE                                                 UInt32
#define GPIO_GPCTR26_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR26_DBR_SHIFT                                         5
#define    GPIO_GPCTR26_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR26_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR26_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR26_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR26_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR26_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR26_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR26_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR26_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR26_ITR_SHIFT                                         3
#define    GPIO_GPCTR26_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR26_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR26_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR26_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR26_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR26_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR26_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR26_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR26_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR26_IOTR_SHIFT                                        0
#define    GPIO_GPCTR26_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR26_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR26_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR27_OFFSET                                               0x0000016C
#define GPIO_GPCTR27_TYPE                                                 UInt32
#define GPIO_GPCTR27_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR27_DBR_SHIFT                                         5
#define    GPIO_GPCTR27_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR27_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR27_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR27_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR27_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR27_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR27_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR27_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR27_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR27_ITR_SHIFT                                         3
#define    GPIO_GPCTR27_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR27_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR27_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR27_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR27_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR27_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR27_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR27_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR27_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR27_IOTR_SHIFT                                        0
#define    GPIO_GPCTR27_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR27_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR27_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR28_OFFSET                                               0x00000170
#define GPIO_GPCTR28_TYPE                                                 UInt32
#define GPIO_GPCTR28_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR28_DBR_SHIFT                                         5
#define    GPIO_GPCTR28_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR28_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR28_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR28_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR28_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR28_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR28_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR28_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR28_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR28_ITR_SHIFT                                         3
#define    GPIO_GPCTR28_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR28_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR28_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR28_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR28_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR28_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR28_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR28_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR28_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR28_IOTR_SHIFT                                        0
#define    GPIO_GPCTR28_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR28_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR28_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR29_OFFSET                                               0x00000174
#define GPIO_GPCTR29_TYPE                                                 UInt32
#define GPIO_GPCTR29_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR29_DBR_SHIFT                                         5
#define    GPIO_GPCTR29_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR29_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR29_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR29_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR29_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR29_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR29_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR29_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR29_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR29_ITR_SHIFT                                         3
#define    GPIO_GPCTR29_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR29_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR29_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR29_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR29_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR29_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR29_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR29_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR29_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR29_IOTR_SHIFT                                        0
#define    GPIO_GPCTR29_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR29_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR29_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR30_OFFSET                                               0x00000178
#define GPIO_GPCTR30_TYPE                                                 UInt32
#define GPIO_GPCTR30_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR30_DBR_SHIFT                                         5
#define    GPIO_GPCTR30_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR30_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR30_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR30_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR30_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR30_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR30_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR30_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR30_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR30_ITR_SHIFT                                         3
#define    GPIO_GPCTR30_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR30_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR30_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR30_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR30_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR30_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR30_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR30_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR30_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR30_IOTR_SHIFT                                        0
#define    GPIO_GPCTR30_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR30_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR30_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR31_OFFSET                                               0x0000017C
#define GPIO_GPCTR31_TYPE                                                 UInt32
#define GPIO_GPCTR31_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR31_DBR_SHIFT                                         5
#define    GPIO_GPCTR31_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR31_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR31_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR31_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR31_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR31_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR31_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR31_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR31_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR31_ITR_SHIFT                                         3
#define    GPIO_GPCTR31_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR31_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR31_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR31_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR31_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR31_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR31_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR31_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR31_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR31_IOTR_SHIFT                                        0
#define    GPIO_GPCTR31_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR31_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR31_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR32_OFFSET                                               0x00000180
#define GPIO_GPCTR32_TYPE                                                 UInt32
#define GPIO_GPCTR32_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR32_DBR_SHIFT                                         5
#define    GPIO_GPCTR32_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR32_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR32_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR32_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR32_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR32_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR32_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR32_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR32_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR32_ITR_SHIFT                                         3
#define    GPIO_GPCTR32_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR32_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR32_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR32_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR32_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR32_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR32_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR32_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR32_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR32_IOTR_SHIFT                                        0
#define    GPIO_GPCTR32_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR32_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR32_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR33_OFFSET                                               0x00000184
#define GPIO_GPCTR33_TYPE                                                 UInt32
#define GPIO_GPCTR33_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR33_DBR_SHIFT                                         5
#define    GPIO_GPCTR33_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR33_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR33_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR33_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR33_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR33_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR33_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR33_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR33_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR33_ITR_SHIFT                                         3
#define    GPIO_GPCTR33_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR33_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR33_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR33_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR33_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR33_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR33_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR33_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR33_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR33_IOTR_SHIFT                                        0
#define    GPIO_GPCTR33_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR33_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR33_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR34_OFFSET                                               0x00000188
#define GPIO_GPCTR34_TYPE                                                 UInt32
#define GPIO_GPCTR34_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR34_DBR_SHIFT                                         5
#define    GPIO_GPCTR34_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR34_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR34_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR34_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR34_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR34_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR34_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR34_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR34_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR34_ITR_SHIFT                                         3
#define    GPIO_GPCTR34_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR34_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR34_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR34_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR34_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR34_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR34_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR34_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR34_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR34_IOTR_SHIFT                                        0
#define    GPIO_GPCTR34_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR34_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR34_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR35_OFFSET                                               0x0000018C
#define GPIO_GPCTR35_TYPE                                                 UInt32
#define GPIO_GPCTR35_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR35_DBR_SHIFT                                         5
#define    GPIO_GPCTR35_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR35_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR35_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR35_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR35_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR35_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR35_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR35_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR35_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR35_ITR_SHIFT                                         3
#define    GPIO_GPCTR35_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR35_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR35_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR35_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR35_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR35_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR35_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR35_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR35_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR35_IOTR_SHIFT                                        0
#define    GPIO_GPCTR35_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR35_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR35_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR36_OFFSET                                               0x00000190
#define GPIO_GPCTR36_TYPE                                                 UInt32
#define GPIO_GPCTR36_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR36_DBR_SHIFT                                         5
#define    GPIO_GPCTR36_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR36_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR36_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR36_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR36_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR36_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR36_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR36_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR36_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR36_ITR_SHIFT                                         3
#define    GPIO_GPCTR36_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR36_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR36_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR36_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR36_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR36_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR36_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR36_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR36_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR36_IOTR_SHIFT                                        0
#define    GPIO_GPCTR36_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR36_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR36_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR37_OFFSET                                               0x00000194
#define GPIO_GPCTR37_TYPE                                                 UInt32
#define GPIO_GPCTR37_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR37_DBR_SHIFT                                         5
#define    GPIO_GPCTR37_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR37_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR37_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR37_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR37_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR37_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR37_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR37_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR37_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR37_ITR_SHIFT                                         3
#define    GPIO_GPCTR37_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR37_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR37_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR37_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR37_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR37_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR37_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR37_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR37_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR37_IOTR_SHIFT                                        0
#define    GPIO_GPCTR37_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR37_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR37_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR38_OFFSET                                               0x00000198
#define GPIO_GPCTR38_TYPE                                                 UInt32
#define GPIO_GPCTR38_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR38_DBR_SHIFT                                         5
#define    GPIO_GPCTR38_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR38_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR38_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR38_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR38_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR38_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR38_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR38_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR38_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR38_ITR_SHIFT                                         3
#define    GPIO_GPCTR38_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR38_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR38_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR38_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR38_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR38_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR38_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR38_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR38_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR38_IOTR_SHIFT                                        0
#define    GPIO_GPCTR38_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR38_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR38_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR39_OFFSET                                               0x0000019C
#define GPIO_GPCTR39_TYPE                                                 UInt32
#define GPIO_GPCTR39_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR39_DBR_SHIFT                                         5
#define    GPIO_GPCTR39_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR39_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR39_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR39_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR39_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR39_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR39_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR39_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR39_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR39_ITR_SHIFT                                         3
#define    GPIO_GPCTR39_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR39_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR39_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR39_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR39_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR39_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR39_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR39_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR39_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR39_IOTR_SHIFT                                        0
#define    GPIO_GPCTR39_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR39_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR39_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR40_OFFSET                                               0x000001A0
#define GPIO_GPCTR40_TYPE                                                 UInt32
#define GPIO_GPCTR40_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR40_DBR_SHIFT                                         5
#define    GPIO_GPCTR40_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR40_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR40_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR40_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR40_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR40_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR40_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR40_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR40_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR40_ITR_SHIFT                                         3
#define    GPIO_GPCTR40_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR40_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR40_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR40_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR40_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR40_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR40_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR40_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR40_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR40_IOTR_SHIFT                                        0
#define    GPIO_GPCTR40_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR40_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR40_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR41_OFFSET                                               0x000001A4
#define GPIO_GPCTR41_TYPE                                                 UInt32
#define GPIO_GPCTR41_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR41_DBR_SHIFT                                         5
#define    GPIO_GPCTR41_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR41_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR41_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR41_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR41_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR41_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR41_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR41_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR41_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR41_ITR_SHIFT                                         3
#define    GPIO_GPCTR41_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR41_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR41_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR41_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR41_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR41_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR41_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR41_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR41_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR41_IOTR_SHIFT                                        0
#define    GPIO_GPCTR41_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR41_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR41_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR42_OFFSET                                               0x000001A8
#define GPIO_GPCTR42_TYPE                                                 UInt32
#define GPIO_GPCTR42_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR42_DBR_SHIFT                                         5
#define    GPIO_GPCTR42_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR42_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR42_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR42_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR42_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR42_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR42_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR42_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR42_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR42_ITR_SHIFT                                         3
#define    GPIO_GPCTR42_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR42_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR42_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR42_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR42_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR42_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR42_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR42_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR42_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR42_IOTR_SHIFT                                        0
#define    GPIO_GPCTR42_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR42_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR42_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR43_OFFSET                                               0x000001AC
#define GPIO_GPCTR43_TYPE                                                 UInt32
#define GPIO_GPCTR43_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR43_DBR_SHIFT                                         5
#define    GPIO_GPCTR43_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR43_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR43_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR43_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR43_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR43_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR43_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR43_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR43_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR43_ITR_SHIFT                                         3
#define    GPIO_GPCTR43_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR43_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR43_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR43_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR43_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR43_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR43_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR43_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR43_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR43_IOTR_SHIFT                                        0
#define    GPIO_GPCTR43_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR43_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR43_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR44_OFFSET                                               0x000001B0
#define GPIO_GPCTR44_TYPE                                                 UInt32
#define GPIO_GPCTR44_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR44_DBR_SHIFT                                         5
#define    GPIO_GPCTR44_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR44_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR44_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR44_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR44_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR44_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR44_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR44_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR44_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR44_ITR_SHIFT                                         3
#define    GPIO_GPCTR44_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR44_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR44_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR44_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR44_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR44_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR44_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR44_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR44_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR44_IOTR_SHIFT                                        0
#define    GPIO_GPCTR44_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR44_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR44_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR45_OFFSET                                               0x000001B4
#define GPIO_GPCTR45_TYPE                                                 UInt32
#define GPIO_GPCTR45_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR45_DBR_SHIFT                                         5
#define    GPIO_GPCTR45_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR45_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR45_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR45_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR45_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR45_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR45_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR45_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR45_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR45_ITR_SHIFT                                         3
#define    GPIO_GPCTR45_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR45_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR45_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR45_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR45_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR45_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR45_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR45_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR45_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR45_IOTR_SHIFT                                        0
#define    GPIO_GPCTR45_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR45_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR45_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR46_OFFSET                                               0x000001B8
#define GPIO_GPCTR46_TYPE                                                 UInt32
#define GPIO_GPCTR46_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR46_DBR_SHIFT                                         5
#define    GPIO_GPCTR46_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR46_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR46_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR46_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR46_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR46_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR46_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR46_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR46_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR46_ITR_SHIFT                                         3
#define    GPIO_GPCTR46_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR46_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR46_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR46_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR46_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR46_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR46_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR46_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR46_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR46_IOTR_SHIFT                                        0
#define    GPIO_GPCTR46_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR46_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR46_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR47_OFFSET                                               0x000001BC
#define GPIO_GPCTR47_TYPE                                                 UInt32
#define GPIO_GPCTR47_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR47_DBR_SHIFT                                         5
#define    GPIO_GPCTR47_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR47_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR47_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR47_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR47_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR47_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR47_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR47_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR47_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR47_ITR_SHIFT                                         3
#define    GPIO_GPCTR47_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR47_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR47_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR47_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR47_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR47_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR47_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR47_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR47_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR47_IOTR_SHIFT                                        0
#define    GPIO_GPCTR47_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR47_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR47_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR48_OFFSET                                               0x000001C0
#define GPIO_GPCTR48_TYPE                                                 UInt32
#define GPIO_GPCTR48_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR48_DBR_SHIFT                                         5
#define    GPIO_GPCTR48_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR48_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR48_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR48_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR48_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR48_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR48_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR48_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR48_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR48_ITR_SHIFT                                         3
#define    GPIO_GPCTR48_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR48_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR48_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR48_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR48_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR48_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR48_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR48_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR48_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR48_IOTR_SHIFT                                        0
#define    GPIO_GPCTR48_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR48_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR48_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR49_OFFSET                                               0x000001C4
#define GPIO_GPCTR49_TYPE                                                 UInt32
#define GPIO_GPCTR49_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR49_DBR_SHIFT                                         5
#define    GPIO_GPCTR49_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR49_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR49_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR49_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR49_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR49_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR49_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR49_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR49_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR49_ITR_SHIFT                                         3
#define    GPIO_GPCTR49_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR49_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR49_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR49_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR49_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR49_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR49_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR49_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR49_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR49_IOTR_SHIFT                                        0
#define    GPIO_GPCTR49_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR49_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR49_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR50_OFFSET                                               0x000001C8
#define GPIO_GPCTR50_TYPE                                                 UInt32
#define GPIO_GPCTR50_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR50_DBR_SHIFT                                         5
#define    GPIO_GPCTR50_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR50_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR50_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR50_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR50_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR50_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR50_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR50_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR50_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR50_ITR_SHIFT                                         3
#define    GPIO_GPCTR50_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR50_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR50_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR50_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR50_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR50_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR50_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR50_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR50_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR50_IOTR_SHIFT                                        0
#define    GPIO_GPCTR50_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR50_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR50_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR51_OFFSET                                               0x000001CC
#define GPIO_GPCTR51_TYPE                                                 UInt32
#define GPIO_GPCTR51_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR51_DBR_SHIFT                                         5
#define    GPIO_GPCTR51_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR51_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR51_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR51_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR51_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR51_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR51_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR51_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR51_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR51_ITR_SHIFT                                         3
#define    GPIO_GPCTR51_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR51_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR51_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR51_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR51_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR51_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR51_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR51_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR51_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR51_IOTR_SHIFT                                        0
#define    GPIO_GPCTR51_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR51_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR51_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR52_OFFSET                                               0x000001D0
#define GPIO_GPCTR52_TYPE                                                 UInt32
#define GPIO_GPCTR52_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR52_DBR_SHIFT                                         5
#define    GPIO_GPCTR52_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR52_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR52_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR52_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR52_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR52_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR52_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR52_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR52_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR52_ITR_SHIFT                                         3
#define    GPIO_GPCTR52_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR52_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR52_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR52_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR52_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR52_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR52_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR52_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR52_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR52_IOTR_SHIFT                                        0
#define    GPIO_GPCTR52_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR52_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR52_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR53_OFFSET                                               0x000001D4
#define GPIO_GPCTR53_TYPE                                                 UInt32
#define GPIO_GPCTR53_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR53_DBR_SHIFT                                         5
#define    GPIO_GPCTR53_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR53_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR53_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR53_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR53_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR53_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR53_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR53_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR53_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR53_ITR_SHIFT                                         3
#define    GPIO_GPCTR53_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR53_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR53_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR53_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR53_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR53_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR53_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR53_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR53_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR53_IOTR_SHIFT                                        0
#define    GPIO_GPCTR53_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR53_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR53_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR54_OFFSET                                               0x000001D8
#define GPIO_GPCTR54_TYPE                                                 UInt32
#define GPIO_GPCTR54_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR54_DBR_SHIFT                                         5
#define    GPIO_GPCTR54_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR54_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR54_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR54_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR54_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR54_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR54_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR54_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR54_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR54_ITR_SHIFT                                         3
#define    GPIO_GPCTR54_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR54_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR54_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR54_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR54_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR54_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR54_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR54_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR54_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR54_IOTR_SHIFT                                        0
#define    GPIO_GPCTR54_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR54_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR54_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR55_OFFSET                                               0x000001DC
#define GPIO_GPCTR55_TYPE                                                 UInt32
#define GPIO_GPCTR55_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR55_DBR_SHIFT                                         5
#define    GPIO_GPCTR55_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR55_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR55_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR55_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR55_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR55_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR55_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR55_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR55_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR55_ITR_SHIFT                                         3
#define    GPIO_GPCTR55_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR55_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR55_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR55_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR55_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR55_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR55_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR55_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR55_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR55_IOTR_SHIFT                                        0
#define    GPIO_GPCTR55_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR55_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR55_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR56_OFFSET                                               0x000001E0
#define GPIO_GPCTR56_TYPE                                                 UInt32
#define GPIO_GPCTR56_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR56_DBR_SHIFT                                         5
#define    GPIO_GPCTR56_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR56_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR56_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR56_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR56_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR56_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR56_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR56_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR56_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR56_ITR_SHIFT                                         3
#define    GPIO_GPCTR56_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR56_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR56_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR56_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR56_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR56_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR56_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR56_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR56_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR56_IOTR_SHIFT                                        0
#define    GPIO_GPCTR56_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR56_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR56_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR57_OFFSET                                               0x000001E4
#define GPIO_GPCTR57_TYPE                                                 UInt32
#define GPIO_GPCTR57_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR57_DBR_SHIFT                                         5
#define    GPIO_GPCTR57_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR57_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR57_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR57_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR57_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR57_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR57_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR57_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR57_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR57_ITR_SHIFT                                         3
#define    GPIO_GPCTR57_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR57_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR57_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR57_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR57_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR57_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR57_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR57_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR57_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR57_IOTR_SHIFT                                        0
#define    GPIO_GPCTR57_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR57_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR57_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR58_OFFSET                                               0x000001E8
#define GPIO_GPCTR58_TYPE                                                 UInt32
#define GPIO_GPCTR58_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR58_DBR_SHIFT                                         5
#define    GPIO_GPCTR58_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR58_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR58_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR58_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR58_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR58_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR58_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR58_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR58_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR58_ITR_SHIFT                                         3
#define    GPIO_GPCTR58_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR58_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR58_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR58_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR58_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR58_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR58_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR58_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR58_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR58_IOTR_SHIFT                                        0
#define    GPIO_GPCTR58_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR58_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR58_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR59_OFFSET                                               0x000001EC
#define GPIO_GPCTR59_TYPE                                                 UInt32
#define GPIO_GPCTR59_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR59_DBR_SHIFT                                         5
#define    GPIO_GPCTR59_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR59_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR59_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR59_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR59_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR59_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR59_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR59_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR59_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR59_ITR_SHIFT                                         3
#define    GPIO_GPCTR59_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR59_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR59_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR59_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR59_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR59_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR59_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR59_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR59_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR59_IOTR_SHIFT                                        0
#define    GPIO_GPCTR59_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR59_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR59_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR60_OFFSET                                               0x000001F0
#define GPIO_GPCTR60_TYPE                                                 UInt32
#define GPIO_GPCTR60_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR60_DBR_SHIFT                                         5
#define    GPIO_GPCTR60_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR60_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR60_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR60_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR60_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR60_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR60_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR60_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR60_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR60_ITR_SHIFT                                         3
#define    GPIO_GPCTR60_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR60_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR60_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR60_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR60_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR60_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR60_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR60_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR60_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR60_IOTR_SHIFT                                        0
#define    GPIO_GPCTR60_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR60_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR60_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR61_OFFSET                                               0x000001F4
#define GPIO_GPCTR61_TYPE                                                 UInt32
#define GPIO_GPCTR61_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR61_DBR_SHIFT                                         5
#define    GPIO_GPCTR61_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR61_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR61_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR61_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR61_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR61_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR61_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR61_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR61_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR61_ITR_SHIFT                                         3
#define    GPIO_GPCTR61_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR61_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR61_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR61_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR61_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR61_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR61_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR61_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR61_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR61_IOTR_SHIFT                                        0
#define    GPIO_GPCTR61_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR61_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR61_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR62_OFFSET                                               0x000001F8
#define GPIO_GPCTR62_TYPE                                                 UInt32
#define GPIO_GPCTR62_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR62_DBR_SHIFT                                         5
#define    GPIO_GPCTR62_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR62_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR62_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR62_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR62_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR62_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR62_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR62_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR62_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR62_ITR_SHIFT                                         3
#define    GPIO_GPCTR62_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR62_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR62_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR62_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR62_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR62_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR62_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR62_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR62_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR62_IOTR_SHIFT                                        0
#define    GPIO_GPCTR62_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR62_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR62_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR63_OFFSET                                               0x000001FC
#define GPIO_GPCTR63_TYPE                                                 UInt32
#define GPIO_GPCTR63_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR63_DBR_SHIFT                                         5
#define    GPIO_GPCTR63_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR63_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR63_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR63_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR63_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR63_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR63_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR63_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR63_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR63_ITR_SHIFT                                         3
#define    GPIO_GPCTR63_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR63_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR63_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR63_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR63_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR63_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR63_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR63_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR63_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR63_IOTR_SHIFT                                        0
#define    GPIO_GPCTR63_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR63_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR63_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR64_OFFSET                                               0x00000200
#define GPIO_GPCTR64_TYPE                                                 UInt32
#define GPIO_GPCTR64_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR64_DBR_SHIFT                                         5
#define    GPIO_GPCTR64_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR64_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR64_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR64_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR64_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR64_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR64_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR64_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR64_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR64_ITR_SHIFT                                         3
#define    GPIO_GPCTR64_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR64_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR64_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR64_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR64_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR64_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR64_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR64_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR64_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR64_IOTR_SHIFT                                        0
#define    GPIO_GPCTR64_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR64_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR64_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR65_OFFSET                                               0x00000204
#define GPIO_GPCTR65_TYPE                                                 UInt32
#define GPIO_GPCTR65_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR65_DBR_SHIFT                                         5
#define    GPIO_GPCTR65_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR65_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR65_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR65_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR65_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR65_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR65_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR65_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR65_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR65_ITR_SHIFT                                         3
#define    GPIO_GPCTR65_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR65_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR65_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR65_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR65_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR65_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR65_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR65_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR65_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR65_IOTR_SHIFT                                        0
#define    GPIO_GPCTR65_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR65_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR65_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR66_OFFSET                                               0x00000208
#define GPIO_GPCTR66_TYPE                                                 UInt32
#define GPIO_GPCTR66_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR66_DBR_SHIFT                                         5
#define    GPIO_GPCTR66_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR66_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR66_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR66_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR66_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR66_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR66_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR66_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR66_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR66_ITR_SHIFT                                         3
#define    GPIO_GPCTR66_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR66_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR66_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR66_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR66_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR66_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR66_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR66_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR66_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR66_IOTR_SHIFT                                        0
#define    GPIO_GPCTR66_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR66_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR66_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR67_OFFSET                                               0x0000020C
#define GPIO_GPCTR67_TYPE                                                 UInt32
#define GPIO_GPCTR67_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR67_DBR_SHIFT                                         5
#define    GPIO_GPCTR67_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR67_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR67_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR67_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR67_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR67_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR67_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR67_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR67_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR67_ITR_SHIFT                                         3
#define    GPIO_GPCTR67_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR67_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR67_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR67_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR67_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR67_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR67_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR67_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR67_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR67_IOTR_SHIFT                                        0
#define    GPIO_GPCTR67_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR67_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR67_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR68_OFFSET                                               0x00000210
#define GPIO_GPCTR68_TYPE                                                 UInt32
#define GPIO_GPCTR68_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR68_DBR_SHIFT                                         5
#define    GPIO_GPCTR68_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR68_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR68_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR68_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR68_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR68_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR68_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR68_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR68_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR68_ITR_SHIFT                                         3
#define    GPIO_GPCTR68_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR68_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR68_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR68_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR68_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR68_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR68_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR68_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR68_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR68_IOTR_SHIFT                                        0
#define    GPIO_GPCTR68_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR68_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR68_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR69_OFFSET                                               0x00000214
#define GPIO_GPCTR69_TYPE                                                 UInt32
#define GPIO_GPCTR69_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR69_DBR_SHIFT                                         5
#define    GPIO_GPCTR69_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR69_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR69_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR69_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR69_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR69_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR69_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR69_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR69_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR69_ITR_SHIFT                                         3
#define    GPIO_GPCTR69_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR69_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR69_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR69_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR69_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR69_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR69_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR69_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR69_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR69_IOTR_SHIFT                                        0
#define    GPIO_GPCTR69_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR69_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR69_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR70_OFFSET                                               0x00000218
#define GPIO_GPCTR70_TYPE                                                 UInt32
#define GPIO_GPCTR70_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR70_DBR_SHIFT                                         5
#define    GPIO_GPCTR70_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR70_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR70_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR70_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR70_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR70_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR70_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR70_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR70_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR70_ITR_SHIFT                                         3
#define    GPIO_GPCTR70_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR70_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR70_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR70_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR70_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR70_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR70_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR70_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR70_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR70_IOTR_SHIFT                                        0
#define    GPIO_GPCTR70_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR70_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR70_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR71_OFFSET                                               0x0000021C
#define GPIO_GPCTR71_TYPE                                                 UInt32
#define GPIO_GPCTR71_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR71_DBR_SHIFT                                         5
#define    GPIO_GPCTR71_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR71_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR71_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR71_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR71_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR71_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR71_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR71_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR71_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR71_ITR_SHIFT                                         3
#define    GPIO_GPCTR71_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR71_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR71_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR71_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR71_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR71_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR71_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR71_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR71_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR71_IOTR_SHIFT                                        0
#define    GPIO_GPCTR71_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR71_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR71_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR72_OFFSET                                               0x00000220
#define GPIO_GPCTR72_TYPE                                                 UInt32
#define GPIO_GPCTR72_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR72_DBR_SHIFT                                         5
#define    GPIO_GPCTR72_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR72_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR72_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR72_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR72_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR72_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR72_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR72_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR72_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR72_ITR_SHIFT                                         3
#define    GPIO_GPCTR72_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR72_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR72_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR72_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR72_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR72_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR72_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR72_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR72_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR72_IOTR_SHIFT                                        0
#define    GPIO_GPCTR72_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR72_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR72_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR73_OFFSET                                               0x00000224
#define GPIO_GPCTR73_TYPE                                                 UInt32
#define GPIO_GPCTR73_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR73_DBR_SHIFT                                         5
#define    GPIO_GPCTR73_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR73_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR73_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR73_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR73_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR73_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR73_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR73_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR73_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR73_ITR_SHIFT                                         3
#define    GPIO_GPCTR73_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR73_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR73_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR73_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR73_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR73_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR73_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR73_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR73_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR73_IOTR_SHIFT                                        0
#define    GPIO_GPCTR73_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR73_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR73_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR74_OFFSET                                               0x00000228
#define GPIO_GPCTR74_TYPE                                                 UInt32
#define GPIO_GPCTR74_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR74_DBR_SHIFT                                         5
#define    GPIO_GPCTR74_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR74_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR74_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR74_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR74_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR74_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR74_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR74_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR74_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR74_ITR_SHIFT                                         3
#define    GPIO_GPCTR74_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR74_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR74_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR74_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR74_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR74_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR74_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR74_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR74_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR74_IOTR_SHIFT                                        0
#define    GPIO_GPCTR74_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR74_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR74_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR75_OFFSET                                               0x0000022C
#define GPIO_GPCTR75_TYPE                                                 UInt32
#define GPIO_GPCTR75_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR75_DBR_SHIFT                                         5
#define    GPIO_GPCTR75_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR75_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR75_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR75_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR75_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR75_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR75_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR75_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR75_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR75_ITR_SHIFT                                         3
#define    GPIO_GPCTR75_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR75_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR75_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR75_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR75_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR75_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR75_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR75_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR75_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR75_IOTR_SHIFT                                        0
#define    GPIO_GPCTR75_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR75_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR75_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR76_OFFSET                                               0x00000230
#define GPIO_GPCTR76_TYPE                                                 UInt32
#define GPIO_GPCTR76_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR76_DBR_SHIFT                                         5
#define    GPIO_GPCTR76_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR76_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR76_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR76_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR76_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR76_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR76_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR76_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR76_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR76_ITR_SHIFT                                         3
#define    GPIO_GPCTR76_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR76_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR76_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR76_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR76_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR76_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR76_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR76_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR76_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR76_IOTR_SHIFT                                        0
#define    GPIO_GPCTR76_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR76_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR76_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR77_OFFSET                                               0x00000234
#define GPIO_GPCTR77_TYPE                                                 UInt32
#define GPIO_GPCTR77_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR77_DBR_SHIFT                                         5
#define    GPIO_GPCTR77_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR77_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR77_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR77_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR77_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR77_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR77_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR77_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR77_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR77_ITR_SHIFT                                         3
#define    GPIO_GPCTR77_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR77_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR77_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR77_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR77_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR77_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR77_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR77_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR77_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR77_IOTR_SHIFT                                        0
#define    GPIO_GPCTR77_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR77_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR77_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR78_OFFSET                                               0x00000238
#define GPIO_GPCTR78_TYPE                                                 UInt32
#define GPIO_GPCTR78_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR78_DBR_SHIFT                                         5
#define    GPIO_GPCTR78_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR78_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR78_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR78_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR78_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR78_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR78_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR78_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR78_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR78_ITR_SHIFT                                         3
#define    GPIO_GPCTR78_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR78_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR78_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR78_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR78_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR78_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR78_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR78_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR78_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR78_IOTR_SHIFT                                        0
#define    GPIO_GPCTR78_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR78_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR78_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR79_OFFSET                                               0x0000023C
#define GPIO_GPCTR79_TYPE                                                 UInt32
#define GPIO_GPCTR79_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR79_DBR_SHIFT                                         5
#define    GPIO_GPCTR79_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR79_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR79_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR79_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR79_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR79_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR79_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR79_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR79_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR79_ITR_SHIFT                                         3
#define    GPIO_GPCTR79_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR79_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR79_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR79_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR79_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR79_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR79_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR79_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR79_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR79_IOTR_SHIFT                                        0
#define    GPIO_GPCTR79_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR79_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR79_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR80_OFFSET                                               0x00000240
#define GPIO_GPCTR80_TYPE                                                 UInt32
#define GPIO_GPCTR80_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR80_DBR_SHIFT                                         5
#define    GPIO_GPCTR80_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR80_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR80_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR80_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR80_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR80_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR80_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR80_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR80_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR80_ITR_SHIFT                                         3
#define    GPIO_GPCTR80_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR80_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR80_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR80_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR80_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR80_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR80_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR80_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR80_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR80_IOTR_SHIFT                                        0
#define    GPIO_GPCTR80_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR80_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR80_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR81_OFFSET                                               0x00000244
#define GPIO_GPCTR81_TYPE                                                 UInt32
#define GPIO_GPCTR81_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR81_DBR_SHIFT                                         5
#define    GPIO_GPCTR81_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR81_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR81_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR81_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR81_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR81_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR81_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR81_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR81_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR81_ITR_SHIFT                                         3
#define    GPIO_GPCTR81_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR81_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR81_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR81_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR81_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR81_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR81_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR81_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR81_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR81_IOTR_SHIFT                                        0
#define    GPIO_GPCTR81_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR81_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR81_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR82_OFFSET                                               0x00000248
#define GPIO_GPCTR82_TYPE                                                 UInt32
#define GPIO_GPCTR82_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR82_DBR_SHIFT                                         5
#define    GPIO_GPCTR82_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR82_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR82_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR82_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR82_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR82_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR82_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR82_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR82_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR82_ITR_SHIFT                                         3
#define    GPIO_GPCTR82_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR82_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR82_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR82_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR82_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR82_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR82_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR82_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR82_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR82_IOTR_SHIFT                                        0
#define    GPIO_GPCTR82_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR82_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR82_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR83_OFFSET                                               0x0000024C
#define GPIO_GPCTR83_TYPE                                                 UInt32
#define GPIO_GPCTR83_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR83_DBR_SHIFT                                         5
#define    GPIO_GPCTR83_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR83_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR83_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR83_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR83_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR83_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR83_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR83_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR83_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR83_ITR_SHIFT                                         3
#define    GPIO_GPCTR83_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR83_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR83_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR83_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR83_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR83_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR83_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR83_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR83_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR83_IOTR_SHIFT                                        0
#define    GPIO_GPCTR83_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR83_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR83_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR84_OFFSET                                               0x00000250
#define GPIO_GPCTR84_TYPE                                                 UInt32
#define GPIO_GPCTR84_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR84_DBR_SHIFT                                         5
#define    GPIO_GPCTR84_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR84_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR84_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR84_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR84_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR84_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR84_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR84_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR84_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR84_ITR_SHIFT                                         3
#define    GPIO_GPCTR84_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR84_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR84_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR84_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR84_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR84_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR84_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR84_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR84_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR84_IOTR_SHIFT                                        0
#define    GPIO_GPCTR84_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR84_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR84_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR85_OFFSET                                               0x00000254
#define GPIO_GPCTR85_TYPE                                                 UInt32
#define GPIO_GPCTR85_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR85_DBR_SHIFT                                         5
#define    GPIO_GPCTR85_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR85_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR85_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR85_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR85_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR85_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR85_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR85_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR85_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR85_ITR_SHIFT                                         3
#define    GPIO_GPCTR85_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR85_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR85_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR85_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR85_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR85_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR85_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR85_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR85_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR85_IOTR_SHIFT                                        0
#define    GPIO_GPCTR85_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR85_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR85_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR86_OFFSET                                               0x00000258
#define GPIO_GPCTR86_TYPE                                                 UInt32
#define GPIO_GPCTR86_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR86_DBR_SHIFT                                         5
#define    GPIO_GPCTR86_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR86_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR86_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR86_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR86_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR86_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR86_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR86_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR86_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR86_ITR_SHIFT                                         3
#define    GPIO_GPCTR86_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR86_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR86_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR86_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR86_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR86_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR86_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR86_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR86_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR86_IOTR_SHIFT                                        0
#define    GPIO_GPCTR86_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR86_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR86_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR87_OFFSET                                               0x0000025C
#define GPIO_GPCTR87_TYPE                                                 UInt32
#define GPIO_GPCTR87_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR87_DBR_SHIFT                                         5
#define    GPIO_GPCTR87_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR87_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR87_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR87_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR87_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR87_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR87_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR87_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR87_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR87_ITR_SHIFT                                         3
#define    GPIO_GPCTR87_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR87_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR87_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR87_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR87_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR87_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR87_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR87_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR87_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR87_IOTR_SHIFT                                        0
#define    GPIO_GPCTR87_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR87_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR87_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR88_OFFSET                                               0x00000260
#define GPIO_GPCTR88_TYPE                                                 UInt32
#define GPIO_GPCTR88_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR88_DBR_SHIFT                                         5
#define    GPIO_GPCTR88_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR88_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR88_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR88_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR88_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR88_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR88_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR88_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR88_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR88_ITR_SHIFT                                         3
#define    GPIO_GPCTR88_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR88_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR88_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR88_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR88_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR88_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR88_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR88_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR88_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR88_IOTR_SHIFT                                        0
#define    GPIO_GPCTR88_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR88_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR88_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR89_OFFSET                                               0x00000264
#define GPIO_GPCTR89_TYPE                                                 UInt32
#define GPIO_GPCTR89_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR89_DBR_SHIFT                                         5
#define    GPIO_GPCTR89_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR89_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR89_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR89_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR89_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR89_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR89_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR89_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR89_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR89_ITR_SHIFT                                         3
#define    GPIO_GPCTR89_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR89_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR89_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR89_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR89_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR89_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR89_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR89_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR89_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR89_IOTR_SHIFT                                        0
#define    GPIO_GPCTR89_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR89_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR89_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR90_OFFSET                                               0x00000268
#define GPIO_GPCTR90_TYPE                                                 UInt32
#define GPIO_GPCTR90_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR90_DBR_SHIFT                                         5
#define    GPIO_GPCTR90_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR90_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR90_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR90_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR90_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR90_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR90_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR90_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR90_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR90_ITR_SHIFT                                         3
#define    GPIO_GPCTR90_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR90_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR90_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR90_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR90_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR90_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR90_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR90_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR90_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR90_IOTR_SHIFT                                        0
#define    GPIO_GPCTR90_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR90_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR90_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR91_OFFSET                                               0x0000026C
#define GPIO_GPCTR91_TYPE                                                 UInt32
#define GPIO_GPCTR91_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR91_DBR_SHIFT                                         5
#define    GPIO_GPCTR91_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR91_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR91_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR91_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR91_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR91_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR91_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR91_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR91_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR91_ITR_SHIFT                                         3
#define    GPIO_GPCTR91_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR91_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR91_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR91_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR91_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR91_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR91_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR91_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR91_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR91_IOTR_SHIFT                                        0
#define    GPIO_GPCTR91_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR91_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR91_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR92_OFFSET                                               0x00000270
#define GPIO_GPCTR92_TYPE                                                 UInt32
#define GPIO_GPCTR92_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR92_DBR_SHIFT                                         5
#define    GPIO_GPCTR92_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR92_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR92_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR92_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR92_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR92_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR92_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR92_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR92_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR92_ITR_SHIFT                                         3
#define    GPIO_GPCTR92_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR92_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR92_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR92_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR92_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR92_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR92_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR92_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR92_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR92_IOTR_SHIFT                                        0
#define    GPIO_GPCTR92_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR92_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR92_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR93_OFFSET                                               0x00000274
#define GPIO_GPCTR93_TYPE                                                 UInt32
#define GPIO_GPCTR93_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR93_DBR_SHIFT                                         5
#define    GPIO_GPCTR93_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR93_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR93_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR93_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR93_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR93_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR93_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR93_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR93_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR93_ITR_SHIFT                                         3
#define    GPIO_GPCTR93_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR93_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR93_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR93_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR93_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR93_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR93_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR93_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR93_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR93_IOTR_SHIFT                                        0
#define    GPIO_GPCTR93_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR93_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR93_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR94_OFFSET                                               0x00000278
#define GPIO_GPCTR94_TYPE                                                 UInt32
#define GPIO_GPCTR94_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR94_DBR_SHIFT                                         5
#define    GPIO_GPCTR94_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR94_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR94_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR94_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR94_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR94_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR94_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR94_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR94_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR94_ITR_SHIFT                                         3
#define    GPIO_GPCTR94_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR94_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR94_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR94_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR94_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR94_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR94_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR94_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR94_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR94_IOTR_SHIFT                                        0
#define    GPIO_GPCTR94_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR94_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR94_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR95_OFFSET                                               0x0000027C
#define GPIO_GPCTR95_TYPE                                                 UInt32
#define GPIO_GPCTR95_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR95_DBR_SHIFT                                         5
#define    GPIO_GPCTR95_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR95_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR95_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR95_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR95_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR95_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR95_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR95_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR95_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR95_ITR_SHIFT                                         3
#define    GPIO_GPCTR95_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR95_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR95_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR95_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR95_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR95_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR95_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR95_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR95_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR95_IOTR_SHIFT                                        0
#define    GPIO_GPCTR95_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR95_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR95_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR96_OFFSET                                               0x00000280
#define GPIO_GPCTR96_TYPE                                                 UInt32
#define GPIO_GPCTR96_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR96_DBR_SHIFT                                         5
#define    GPIO_GPCTR96_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR96_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR96_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR96_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR96_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR96_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR96_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR96_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR96_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR96_ITR_SHIFT                                         3
#define    GPIO_GPCTR96_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR96_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR96_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR96_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR96_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR96_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR96_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR96_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR96_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR96_IOTR_SHIFT                                        0
#define    GPIO_GPCTR96_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR96_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR96_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR97_OFFSET                                               0x00000284
#define GPIO_GPCTR97_TYPE                                                 UInt32
#define GPIO_GPCTR97_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR97_DBR_SHIFT                                         5
#define    GPIO_GPCTR97_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR97_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR97_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR97_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR97_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR97_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR97_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR97_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR97_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR97_ITR_SHIFT                                         3
#define    GPIO_GPCTR97_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR97_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR97_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR97_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR97_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR97_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR97_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR97_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR97_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR97_IOTR_SHIFT                                        0
#define    GPIO_GPCTR97_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR97_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR97_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR98_OFFSET                                               0x00000288
#define GPIO_GPCTR98_TYPE                                                 UInt32
#define GPIO_GPCTR98_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR98_DBR_SHIFT                                         5
#define    GPIO_GPCTR98_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR98_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR98_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR98_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR98_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR98_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR98_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR98_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR98_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR98_ITR_SHIFT                                         3
#define    GPIO_GPCTR98_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR98_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR98_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR98_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR98_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR98_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR98_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR98_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR98_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR98_IOTR_SHIFT                                        0
#define    GPIO_GPCTR98_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR98_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR98_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR99_OFFSET                                               0x0000028C
#define GPIO_GPCTR99_TYPE                                                 UInt32
#define GPIO_GPCTR99_RESERVED_MASK                                        0xFFFFFE00
#define    GPIO_GPCTR99_DBR_SHIFT                                         5
#define    GPIO_GPCTR99_DBR_MASK                                          0x000001E0
#define       GPIO_GPCTR99_DBR_CMD_1MS                                    0x00000000
#define       GPIO_GPCTR99_DBR_CMD_2MS                                    0x00000001
#define       GPIO_GPCTR99_DBR_CMD_4MS                                    0x00000002
#define       GPIO_GPCTR99_DBR_CMD_8MS                                    0x00000003
#define       GPIO_GPCTR99_DBR_CMD_16MS                                   0x00000004
#define       GPIO_GPCTR99_DBR_CMD_32MS                                   0x00000005
#define       GPIO_GPCTR99_DBR_CMD_64MS                                   0x00000006
#define       GPIO_GPCTR99_DBR_CMD_128MS                                  0x00000007
#define    GPIO_GPCTR99_ITR_SHIFT                                         3
#define    GPIO_GPCTR99_ITR_MASK                                          0x00000018
#define       GPIO_GPCTR99_ITR_CMD_NO_INT                                 0x00000000
#define       GPIO_GPCTR99_ITR_CMD_RISING_EDGE                            0x00000001
#define       GPIO_GPCTR99_ITR_CMD_FALLING_EDGE                           0x00000002
#define       GPIO_GPCTR99_ITR_CMD_BOTH_EDGE                              0x00000003
#define    GPIO_GPCTR99_GPIO_PULL_SEL_SHIFT                               2
#define    GPIO_GPCTR99_GPIO_PULL_SEL_MASK                                0x00000004
#define    GPIO_GPCTR99_GPIO_PULL_EN_SHIFT                                1
#define    GPIO_GPCTR99_GPIO_PULL_EN_MASK                                 0x00000002
#define    GPIO_GPCTR99_IOTR_SHIFT                                        0
#define    GPIO_GPCTR99_IOTR_MASK                                         0x00000001
#define       GPIO_GPCTR99_IOTR_CMD_0UTPUT                                0x00000000
#define       GPIO_GPCTR99_IOTR_CMD_INPUT                                 0x00000001

#define GPIO_GPCTR100_OFFSET                                              0x00000290
#define GPIO_GPCTR100_TYPE                                                UInt32
#define GPIO_GPCTR100_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR100_DBR_SHIFT                                        5
#define    GPIO_GPCTR100_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR100_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR100_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR100_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR100_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR100_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR100_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR100_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR100_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR100_ITR_SHIFT                                        3
#define    GPIO_GPCTR100_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR100_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR100_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR100_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR100_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR100_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR100_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR100_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR100_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR100_IOTR_SHIFT                                       0
#define    GPIO_GPCTR100_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR100_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR100_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR101_OFFSET                                              0x00000294
#define GPIO_GPCTR101_TYPE                                                UInt32
#define GPIO_GPCTR101_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR101_DBR_SHIFT                                        5
#define    GPIO_GPCTR101_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR101_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR101_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR101_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR101_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR101_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR101_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR101_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR101_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR101_ITR_SHIFT                                        3
#define    GPIO_GPCTR101_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR101_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR101_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR101_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR101_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR101_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR101_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR101_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR101_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR101_IOTR_SHIFT                                       0
#define    GPIO_GPCTR101_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR101_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR101_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR102_OFFSET                                              0x00000298
#define GPIO_GPCTR102_TYPE                                                UInt32
#define GPIO_GPCTR102_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR102_DBR_SHIFT                                        5
#define    GPIO_GPCTR102_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR102_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR102_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR102_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR102_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR102_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR102_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR102_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR102_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR102_ITR_SHIFT                                        3
#define    GPIO_GPCTR102_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR102_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR102_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR102_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR102_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR102_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR102_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR102_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR102_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR102_IOTR_SHIFT                                       0
#define    GPIO_GPCTR102_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR102_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR102_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR103_OFFSET                                              0x0000029C
#define GPIO_GPCTR103_TYPE                                                UInt32
#define GPIO_GPCTR103_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR103_DBR_SHIFT                                        5
#define    GPIO_GPCTR103_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR103_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR103_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR103_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR103_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR103_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR103_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR103_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR103_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR103_ITR_SHIFT                                        3
#define    GPIO_GPCTR103_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR103_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR103_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR103_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR103_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR103_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR103_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR103_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR103_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR103_IOTR_SHIFT                                       0
#define    GPIO_GPCTR103_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR103_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR103_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR104_OFFSET                                              0x000002A0
#define GPIO_GPCTR104_TYPE                                                UInt32
#define GPIO_GPCTR104_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR104_DBR_SHIFT                                        5
#define    GPIO_GPCTR104_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR104_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR104_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR104_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR104_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR104_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR104_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR104_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR104_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR104_ITR_SHIFT                                        3
#define    GPIO_GPCTR104_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR104_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR104_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR104_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR104_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR104_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR104_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR104_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR104_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR104_IOTR_SHIFT                                       0
#define    GPIO_GPCTR104_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR104_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR104_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR105_OFFSET                                              0x000002A4
#define GPIO_GPCTR105_TYPE                                                UInt32
#define GPIO_GPCTR105_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR105_DBR_SHIFT                                        5
#define    GPIO_GPCTR105_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR105_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR105_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR105_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR105_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR105_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR105_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR105_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR105_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR105_ITR_SHIFT                                        3
#define    GPIO_GPCTR105_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR105_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR105_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR105_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR105_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR105_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR105_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR105_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR105_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR105_IOTR_SHIFT                                       0
#define    GPIO_GPCTR105_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR105_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR105_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR106_OFFSET                                              0x000002A8
#define GPIO_GPCTR106_TYPE                                                UInt32
#define GPIO_GPCTR106_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR106_DBR_SHIFT                                        5
#define    GPIO_GPCTR106_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR106_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR106_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR106_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR106_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR106_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR106_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR106_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR106_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR106_ITR_SHIFT                                        3
#define    GPIO_GPCTR106_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR106_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR106_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR106_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR106_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR106_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR106_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR106_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR106_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR106_IOTR_SHIFT                                       0
#define    GPIO_GPCTR106_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR106_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR106_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR107_OFFSET                                              0x000002AC
#define GPIO_GPCTR107_TYPE                                                UInt32
#define GPIO_GPCTR107_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR107_DBR_SHIFT                                        5
#define    GPIO_GPCTR107_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR107_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR107_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR107_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR107_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR107_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR107_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR107_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR107_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR107_ITR_SHIFT                                        3
#define    GPIO_GPCTR107_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR107_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR107_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR107_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR107_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR107_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR107_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR107_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR107_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR107_IOTR_SHIFT                                       0
#define    GPIO_GPCTR107_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR107_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR107_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR108_OFFSET                                              0x000002B0
#define GPIO_GPCTR108_TYPE                                                UInt32
#define GPIO_GPCTR108_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR108_DBR_SHIFT                                        5
#define    GPIO_GPCTR108_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR108_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR108_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR108_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR108_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR108_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR108_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR108_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR108_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR108_ITR_SHIFT                                        3
#define    GPIO_GPCTR108_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR108_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR108_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR108_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR108_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR108_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR108_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR108_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR108_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR108_IOTR_SHIFT                                       0
#define    GPIO_GPCTR108_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR108_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR108_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR109_OFFSET                                              0x000002B4
#define GPIO_GPCTR109_TYPE                                                UInt32
#define GPIO_GPCTR109_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR109_DBR_SHIFT                                        5
#define    GPIO_GPCTR109_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR109_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR109_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR109_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR109_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR109_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR109_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR109_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR109_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR109_ITR_SHIFT                                        3
#define    GPIO_GPCTR109_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR109_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR109_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR109_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR109_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR109_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR109_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR109_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR109_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR109_IOTR_SHIFT                                       0
#define    GPIO_GPCTR109_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR109_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR109_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR110_OFFSET                                              0x000002B8
#define GPIO_GPCTR110_TYPE                                                UInt32
#define GPIO_GPCTR110_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR110_DBR_SHIFT                                        5
#define    GPIO_GPCTR110_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR110_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR110_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR110_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR110_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR110_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR110_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR110_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR110_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR110_ITR_SHIFT                                        3
#define    GPIO_GPCTR110_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR110_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR110_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR110_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR110_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR110_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR110_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR110_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR110_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR110_IOTR_SHIFT                                       0
#define    GPIO_GPCTR110_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR110_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR110_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR111_OFFSET                                              0x000002BC
#define GPIO_GPCTR111_TYPE                                                UInt32
#define GPIO_GPCTR111_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR111_DBR_SHIFT                                        5
#define    GPIO_GPCTR111_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR111_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR111_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR111_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR111_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR111_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR111_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR111_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR111_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR111_ITR_SHIFT                                        3
#define    GPIO_GPCTR111_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR111_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR111_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR111_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR111_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR111_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR111_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR111_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR111_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR111_IOTR_SHIFT                                       0
#define    GPIO_GPCTR111_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR111_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR111_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR112_OFFSET                                              0x000002C0
#define GPIO_GPCTR112_TYPE                                                UInt32
#define GPIO_GPCTR112_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR112_DBR_SHIFT                                        5
#define    GPIO_GPCTR112_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR112_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR112_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR112_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR112_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR112_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR112_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR112_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR112_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR112_ITR_SHIFT                                        3
#define    GPIO_GPCTR112_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR112_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR112_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR112_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR112_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR112_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR112_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR112_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR112_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR112_IOTR_SHIFT                                       0
#define    GPIO_GPCTR112_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR112_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR112_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR113_OFFSET                                              0x000002C4
#define GPIO_GPCTR113_TYPE                                                UInt32
#define GPIO_GPCTR113_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR113_DBR_SHIFT                                        5
#define    GPIO_GPCTR113_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR113_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR113_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR113_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR113_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR113_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR113_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR113_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR113_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR113_ITR_SHIFT                                        3
#define    GPIO_GPCTR113_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR113_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR113_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR113_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR113_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR113_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR113_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR113_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR113_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR113_IOTR_SHIFT                                       0
#define    GPIO_GPCTR113_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR113_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR113_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR114_OFFSET                                              0x000002C8
#define GPIO_GPCTR114_TYPE                                                UInt32
#define GPIO_GPCTR114_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR114_DBR_SHIFT                                        5
#define    GPIO_GPCTR114_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR114_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR114_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR114_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR114_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR114_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR114_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR114_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR114_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR114_ITR_SHIFT                                        3
#define    GPIO_GPCTR114_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR114_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR114_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR114_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR114_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR114_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR114_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR114_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR114_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR114_IOTR_SHIFT                                       0
#define    GPIO_GPCTR114_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR114_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR114_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR115_OFFSET                                              0x000002CC
#define GPIO_GPCTR115_TYPE                                                UInt32
#define GPIO_GPCTR115_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR115_DBR_SHIFT                                        5
#define    GPIO_GPCTR115_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR115_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR115_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR115_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR115_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR115_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR115_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR115_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR115_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR115_ITR_SHIFT                                        3
#define    GPIO_GPCTR115_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR115_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR115_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR115_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR115_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR115_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR115_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR115_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR115_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR115_IOTR_SHIFT                                       0
#define    GPIO_GPCTR115_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR115_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR115_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR116_OFFSET                                              0x000002D0
#define GPIO_GPCTR116_TYPE                                                UInt32
#define GPIO_GPCTR116_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR116_DBR_SHIFT                                        5
#define    GPIO_GPCTR116_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR116_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR116_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR116_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR116_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR116_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR116_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR116_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR116_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR116_ITR_SHIFT                                        3
#define    GPIO_GPCTR116_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR116_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR116_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR116_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR116_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR116_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR116_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR116_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR116_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR116_IOTR_SHIFT                                       0
#define    GPIO_GPCTR116_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR116_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR116_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR117_OFFSET                                              0x000002D4
#define GPIO_GPCTR117_TYPE                                                UInt32
#define GPIO_GPCTR117_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR117_DBR_SHIFT                                        5
#define    GPIO_GPCTR117_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR117_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR117_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR117_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR117_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR117_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR117_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR117_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR117_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR117_ITR_SHIFT                                        3
#define    GPIO_GPCTR117_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR117_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR117_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR117_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR117_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR117_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR117_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR117_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR117_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR117_IOTR_SHIFT                                       0
#define    GPIO_GPCTR117_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR117_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR117_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR118_OFFSET                                              0x000002D8
#define GPIO_GPCTR118_TYPE                                                UInt32
#define GPIO_GPCTR118_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR118_DBR_SHIFT                                        5
#define    GPIO_GPCTR118_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR118_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR118_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR118_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR118_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR118_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR118_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR118_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR118_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR118_ITR_SHIFT                                        3
#define    GPIO_GPCTR118_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR118_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR118_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR118_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR118_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR118_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR118_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR118_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR118_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR118_IOTR_SHIFT                                       0
#define    GPIO_GPCTR118_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR118_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR118_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR119_OFFSET                                              0x000002DC
#define GPIO_GPCTR119_TYPE                                                UInt32
#define GPIO_GPCTR119_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR119_DBR_SHIFT                                        5
#define    GPIO_GPCTR119_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR119_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR119_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR119_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR119_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR119_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR119_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR119_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR119_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR119_ITR_SHIFT                                        3
#define    GPIO_GPCTR119_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR119_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR119_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR119_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR119_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR119_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR119_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR119_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR119_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR119_IOTR_SHIFT                                       0
#define    GPIO_GPCTR119_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR119_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR119_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR120_OFFSET                                              0x000002E0
#define GPIO_GPCTR120_TYPE                                                UInt32
#define GPIO_GPCTR120_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR120_DBR_SHIFT                                        5
#define    GPIO_GPCTR120_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR120_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR120_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR120_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR120_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR120_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR120_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR120_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR120_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR120_ITR_SHIFT                                        3
#define    GPIO_GPCTR120_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR120_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR120_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR120_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR120_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR120_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR120_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR120_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR120_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR120_IOTR_SHIFT                                       0
#define    GPIO_GPCTR120_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR120_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR120_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR121_OFFSET                                              0x000002E4
#define GPIO_GPCTR121_TYPE                                                UInt32
#define GPIO_GPCTR121_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR121_DBR_SHIFT                                        5
#define    GPIO_GPCTR121_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR121_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR121_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR121_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR121_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR121_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR121_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR121_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR121_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR121_ITR_SHIFT                                        3
#define    GPIO_GPCTR121_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR121_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR121_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR121_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR121_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR121_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR121_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR121_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR121_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR121_IOTR_SHIFT                                       0
#define    GPIO_GPCTR121_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR121_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR121_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR122_OFFSET                                              0x000002E8
#define GPIO_GPCTR122_TYPE                                                UInt32
#define GPIO_GPCTR122_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR122_DBR_SHIFT                                        5
#define    GPIO_GPCTR122_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR122_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR122_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR122_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR122_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR122_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR122_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR122_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR122_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR122_ITR_SHIFT                                        3
#define    GPIO_GPCTR122_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR122_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR122_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR122_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR122_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR122_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR122_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR122_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR122_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR122_IOTR_SHIFT                                       0
#define    GPIO_GPCTR122_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR122_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR122_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR123_OFFSET                                              0x000002EC
#define GPIO_GPCTR123_TYPE                                                UInt32
#define GPIO_GPCTR123_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR123_DBR_SHIFT                                        5
#define    GPIO_GPCTR123_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR123_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR123_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR123_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR123_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR123_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR123_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR123_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR123_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR123_ITR_SHIFT                                        3
#define    GPIO_GPCTR123_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR123_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR123_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR123_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR123_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR123_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR123_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR123_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR123_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR123_IOTR_SHIFT                                       0
#define    GPIO_GPCTR123_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR123_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR123_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR124_OFFSET                                              0x000002F0
#define GPIO_GPCTR124_TYPE                                                UInt32
#define GPIO_GPCTR124_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR124_DBR_SHIFT                                        5
#define    GPIO_GPCTR124_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR124_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR124_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR124_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR124_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR124_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR124_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR124_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR124_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR124_ITR_SHIFT                                        3
#define    GPIO_GPCTR124_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR124_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR124_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR124_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR124_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR124_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR124_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR124_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR124_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR124_IOTR_SHIFT                                       0
#define    GPIO_GPCTR124_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR124_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR124_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR125_OFFSET                                              0x000002F4
#define GPIO_GPCTR125_TYPE                                                UInt32
#define GPIO_GPCTR125_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR125_DBR_SHIFT                                        5
#define    GPIO_GPCTR125_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR125_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR125_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR125_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR125_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR125_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR125_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR125_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR125_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR125_ITR_SHIFT                                        3
#define    GPIO_GPCTR125_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR125_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR125_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR125_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR125_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR125_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR125_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR125_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR125_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR125_IOTR_SHIFT                                       0
#define    GPIO_GPCTR125_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR125_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR125_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR126_OFFSET                                              0x000002F8
#define GPIO_GPCTR126_TYPE                                                UInt32
#define GPIO_GPCTR126_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR126_DBR_SHIFT                                        5
#define    GPIO_GPCTR126_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR126_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR126_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR126_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR126_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR126_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR126_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR126_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR126_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR126_ITR_SHIFT                                        3
#define    GPIO_GPCTR126_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR126_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR126_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR126_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR126_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR126_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR126_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR126_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR126_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR126_IOTR_SHIFT                                       0
#define    GPIO_GPCTR126_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR126_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR126_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR127_OFFSET                                              0x000002FC
#define GPIO_GPCTR127_TYPE                                                UInt32
#define GPIO_GPCTR127_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR127_DBR_SHIFT                                        5
#define    GPIO_GPCTR127_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR127_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR127_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR127_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR127_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR127_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR127_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR127_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR127_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR127_ITR_SHIFT                                        3
#define    GPIO_GPCTR127_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR127_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR127_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR127_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR127_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR127_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR127_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR127_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR127_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR127_IOTR_SHIFT                                       0
#define    GPIO_GPCTR127_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR127_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR127_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR128_OFFSET                                              0x00000300
#define GPIO_GPCTR128_TYPE                                                UInt32
#define GPIO_GPCTR128_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR128_DBR_SHIFT                                        5
#define    GPIO_GPCTR128_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR128_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR128_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR128_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR128_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR128_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR128_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR128_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR128_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR128_ITR_SHIFT                                        3
#define    GPIO_GPCTR128_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR128_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR128_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR128_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR128_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR128_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR128_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR128_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR128_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR128_IOTR_SHIFT                                       0
#define    GPIO_GPCTR128_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR128_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR128_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR129_OFFSET                                              0x00000304
#define GPIO_GPCTR129_TYPE                                                UInt32
#define GPIO_GPCTR129_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR129_DBR_SHIFT                                        5
#define    GPIO_GPCTR129_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR129_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR129_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR129_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR129_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR129_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR129_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR129_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR129_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR129_ITR_SHIFT                                        3
#define    GPIO_GPCTR129_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR129_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR129_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR129_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR129_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR129_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR129_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR129_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR129_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR129_IOTR_SHIFT                                       0
#define    GPIO_GPCTR129_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR129_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR129_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR130_OFFSET                                              0x00000308
#define GPIO_GPCTR130_TYPE                                                UInt32
#define GPIO_GPCTR130_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR130_DBR_SHIFT                                        5
#define    GPIO_GPCTR130_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR130_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR130_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR130_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR130_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR130_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR130_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR130_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR130_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR130_ITR_SHIFT                                        3
#define    GPIO_GPCTR130_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR130_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR130_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR130_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR130_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR130_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR130_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR130_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR130_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR130_IOTR_SHIFT                                       0
#define    GPIO_GPCTR130_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR130_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR130_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR131_OFFSET                                              0x0000030C
#define GPIO_GPCTR131_TYPE                                                UInt32
#define GPIO_GPCTR131_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR131_DBR_SHIFT                                        5
#define    GPIO_GPCTR131_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR131_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR131_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR131_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR131_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR131_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR131_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR131_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR131_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR131_ITR_SHIFT                                        3
#define    GPIO_GPCTR131_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR131_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR131_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR131_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR131_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR131_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR131_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR131_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR131_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR131_IOTR_SHIFT                                       0
#define    GPIO_GPCTR131_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR131_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR131_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR132_OFFSET                                              0x00000310
#define GPIO_GPCTR132_TYPE                                                UInt32
#define GPIO_GPCTR132_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR132_DBR_SHIFT                                        5
#define    GPIO_GPCTR132_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR132_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR132_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR132_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR132_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR132_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR132_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR132_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR132_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR132_ITR_SHIFT                                        3
#define    GPIO_GPCTR132_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR132_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR132_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR132_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR132_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR132_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR132_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR132_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR132_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR132_IOTR_SHIFT                                       0
#define    GPIO_GPCTR132_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR132_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR132_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR133_OFFSET                                              0x00000314
#define GPIO_GPCTR133_TYPE                                                UInt32
#define GPIO_GPCTR133_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR133_DBR_SHIFT                                        5
#define    GPIO_GPCTR133_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR133_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR133_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR133_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR133_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR133_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR133_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR133_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR133_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR133_ITR_SHIFT                                        3
#define    GPIO_GPCTR133_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR133_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR133_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR133_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR133_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR133_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR133_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR133_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR133_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR133_IOTR_SHIFT                                       0
#define    GPIO_GPCTR133_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR133_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR133_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR134_OFFSET                                              0x00000318
#define GPIO_GPCTR134_TYPE                                                UInt32
#define GPIO_GPCTR134_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR134_DBR_SHIFT                                        5
#define    GPIO_GPCTR134_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR134_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR134_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR134_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR134_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR134_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR134_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR134_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR134_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR134_ITR_SHIFT                                        3
#define    GPIO_GPCTR134_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR134_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR134_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR134_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR134_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR134_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR134_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR134_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR134_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR134_IOTR_SHIFT                                       0
#define    GPIO_GPCTR134_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR134_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR134_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR135_OFFSET                                              0x0000031C
#define GPIO_GPCTR135_TYPE                                                UInt32
#define GPIO_GPCTR135_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR135_DBR_SHIFT                                        5
#define    GPIO_GPCTR135_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR135_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR135_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR135_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR135_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR135_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR135_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR135_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR135_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR135_ITR_SHIFT                                        3
#define    GPIO_GPCTR135_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR135_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR135_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR135_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR135_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR135_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR135_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR135_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR135_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR135_IOTR_SHIFT                                       0
#define    GPIO_GPCTR135_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR135_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR135_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR136_OFFSET                                              0x00000320
#define GPIO_GPCTR136_TYPE                                                UInt32
#define GPIO_GPCTR136_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR136_DBR_SHIFT                                        5
#define    GPIO_GPCTR136_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR136_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR136_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR136_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR136_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR136_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR136_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR136_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR136_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR136_ITR_SHIFT                                        3
#define    GPIO_GPCTR136_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR136_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR136_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR136_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR136_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR136_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR136_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR136_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR136_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR136_IOTR_SHIFT                                       0
#define    GPIO_GPCTR136_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR136_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR136_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR137_OFFSET                                              0x00000324
#define GPIO_GPCTR137_TYPE                                                UInt32
#define GPIO_GPCTR137_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR137_DBR_SHIFT                                        5
#define    GPIO_GPCTR137_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR137_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR137_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR137_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR137_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR137_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR137_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR137_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR137_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR137_ITR_SHIFT                                        3
#define    GPIO_GPCTR137_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR137_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR137_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR137_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR137_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR137_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR137_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR137_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR137_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR137_IOTR_SHIFT                                       0
#define    GPIO_GPCTR137_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR137_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR137_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR138_OFFSET                                              0x00000328
#define GPIO_GPCTR138_TYPE                                                UInt32
#define GPIO_GPCTR138_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR138_DBR_SHIFT                                        5
#define    GPIO_GPCTR138_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR138_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR138_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR138_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR138_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR138_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR138_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR138_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR138_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR138_ITR_SHIFT                                        3
#define    GPIO_GPCTR138_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR138_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR138_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR138_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR138_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR138_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR138_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR138_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR138_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR138_IOTR_SHIFT                                       0
#define    GPIO_GPCTR138_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR138_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR138_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR139_OFFSET                                              0x0000032C
#define GPIO_GPCTR139_TYPE                                                UInt32
#define GPIO_GPCTR139_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR139_DBR_SHIFT                                        5
#define    GPIO_GPCTR139_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR139_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR139_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR139_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR139_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR139_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR139_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR139_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR139_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR139_ITR_SHIFT                                        3
#define    GPIO_GPCTR139_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR139_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR139_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR139_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR139_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR139_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR139_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR139_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR139_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR139_IOTR_SHIFT                                       0
#define    GPIO_GPCTR139_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR139_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR139_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR140_OFFSET                                              0x00000330
#define GPIO_GPCTR140_TYPE                                                UInt32
#define GPIO_GPCTR140_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR140_DBR_SHIFT                                        5
#define    GPIO_GPCTR140_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR140_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR140_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR140_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR140_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR140_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR140_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR140_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR140_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR140_ITR_SHIFT                                        3
#define    GPIO_GPCTR140_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR140_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR140_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR140_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR140_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR140_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR140_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR140_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR140_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR140_IOTR_SHIFT                                       0
#define    GPIO_GPCTR140_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR140_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR140_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR141_OFFSET                                              0x00000334
#define GPIO_GPCTR141_TYPE                                                UInt32
#define GPIO_GPCTR141_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR141_DBR_SHIFT                                        5
#define    GPIO_GPCTR141_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR141_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR141_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR141_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR141_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR141_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR141_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR141_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR141_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR141_ITR_SHIFT                                        3
#define    GPIO_GPCTR141_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR141_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR141_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR141_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR141_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR141_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR141_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR141_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR141_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR141_IOTR_SHIFT                                       0
#define    GPIO_GPCTR141_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR141_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR141_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR142_OFFSET                                              0x00000338
#define GPIO_GPCTR142_TYPE                                                UInt32
#define GPIO_GPCTR142_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR142_DBR_SHIFT                                        5
#define    GPIO_GPCTR142_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR142_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR142_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR142_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR142_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR142_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR142_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR142_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR142_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR142_ITR_SHIFT                                        3
#define    GPIO_GPCTR142_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR142_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR142_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR142_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR142_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR142_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR142_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR142_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR142_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR142_IOTR_SHIFT                                       0
#define    GPIO_GPCTR142_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR142_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR142_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR143_OFFSET                                              0x0000033C
#define GPIO_GPCTR143_TYPE                                                UInt32
#define GPIO_GPCTR143_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR143_DBR_SHIFT                                        5
#define    GPIO_GPCTR143_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR143_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR143_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR143_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR143_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR143_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR143_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR143_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR143_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR143_ITR_SHIFT                                        3
#define    GPIO_GPCTR143_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR143_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR143_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR143_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR143_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR143_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR143_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR143_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR143_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR143_IOTR_SHIFT                                       0
#define    GPIO_GPCTR143_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR143_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR143_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR144_OFFSET                                              0x00000340
#define GPIO_GPCTR144_TYPE                                                UInt32
#define GPIO_GPCTR144_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR144_DBR_SHIFT                                        5
#define    GPIO_GPCTR144_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR144_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR144_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR144_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR144_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR144_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR144_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR144_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR144_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR144_ITR_SHIFT                                        3
#define    GPIO_GPCTR144_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR144_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR144_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR144_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR144_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR144_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR144_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR144_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR144_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR144_IOTR_SHIFT                                       0
#define    GPIO_GPCTR144_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR144_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR144_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR145_OFFSET                                              0x00000344
#define GPIO_GPCTR145_TYPE                                                UInt32
#define GPIO_GPCTR145_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR145_DBR_SHIFT                                        5
#define    GPIO_GPCTR145_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR145_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR145_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR145_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR145_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR145_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR145_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR145_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR145_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR145_ITR_SHIFT                                        3
#define    GPIO_GPCTR145_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR145_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR145_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR145_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR145_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR145_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR145_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR145_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR145_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR145_IOTR_SHIFT                                       0
#define    GPIO_GPCTR145_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR145_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR145_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR146_OFFSET                                              0x00000348
#define GPIO_GPCTR146_TYPE                                                UInt32
#define GPIO_GPCTR146_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR146_DBR_SHIFT                                        5
#define    GPIO_GPCTR146_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR146_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR146_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR146_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR146_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR146_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR146_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR146_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR146_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR146_ITR_SHIFT                                        3
#define    GPIO_GPCTR146_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR146_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR146_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR146_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR146_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR146_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR146_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR146_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR146_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR146_IOTR_SHIFT                                       0
#define    GPIO_GPCTR146_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR146_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR146_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR147_OFFSET                                              0x0000034C
#define GPIO_GPCTR147_TYPE                                                UInt32
#define GPIO_GPCTR147_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR147_DBR_SHIFT                                        5
#define    GPIO_GPCTR147_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR147_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR147_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR147_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR147_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR147_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR147_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR147_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR147_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR147_ITR_SHIFT                                        3
#define    GPIO_GPCTR147_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR147_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR147_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR147_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR147_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR147_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR147_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR147_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR147_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR147_IOTR_SHIFT                                       0
#define    GPIO_GPCTR147_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR147_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR147_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR148_OFFSET                                              0x00000350
#define GPIO_GPCTR148_TYPE                                                UInt32
#define GPIO_GPCTR148_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR148_DBR_SHIFT                                        5
#define    GPIO_GPCTR148_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR148_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR148_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR148_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR148_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR148_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR148_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR148_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR148_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR148_ITR_SHIFT                                        3
#define    GPIO_GPCTR148_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR148_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR148_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR148_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR148_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR148_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR148_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR148_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR148_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR148_IOTR_SHIFT                                       0
#define    GPIO_GPCTR148_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR148_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR148_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR149_OFFSET                                              0x00000354
#define GPIO_GPCTR149_TYPE                                                UInt32
#define GPIO_GPCTR149_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR149_DBR_SHIFT                                        5
#define    GPIO_GPCTR149_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR149_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR149_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR149_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR149_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR149_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR149_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR149_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR149_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR149_ITR_SHIFT                                        3
#define    GPIO_GPCTR149_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR149_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR149_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR149_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR149_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR149_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR149_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR149_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR149_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR149_IOTR_SHIFT                                       0
#define    GPIO_GPCTR149_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR149_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR149_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR150_OFFSET                                              0x00000358
#define GPIO_GPCTR150_TYPE                                                UInt32
#define GPIO_GPCTR150_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR150_DBR_SHIFT                                        5
#define    GPIO_GPCTR150_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR150_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR150_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR150_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR150_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR150_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR150_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR150_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR150_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR150_ITR_SHIFT                                        3
#define    GPIO_GPCTR150_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR150_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR150_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR150_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR150_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR150_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR150_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR150_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR150_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR150_IOTR_SHIFT                                       0
#define    GPIO_GPCTR150_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR150_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR150_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR151_OFFSET                                              0x0000035C
#define GPIO_GPCTR151_TYPE                                                UInt32
#define GPIO_GPCTR151_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR151_DBR_SHIFT                                        5
#define    GPIO_GPCTR151_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR151_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR151_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR151_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR151_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR151_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR151_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR151_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR151_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR151_ITR_SHIFT                                        3
#define    GPIO_GPCTR151_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR151_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR151_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR151_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR151_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR151_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR151_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR151_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR151_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR151_IOTR_SHIFT                                       0
#define    GPIO_GPCTR151_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR151_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR151_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR152_OFFSET                                              0x00000360
#define GPIO_GPCTR152_TYPE                                                UInt32
#define GPIO_GPCTR152_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR152_DBR_SHIFT                                        5
#define    GPIO_GPCTR152_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR152_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR152_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR152_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR152_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR152_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR152_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR152_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR152_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR152_ITR_SHIFT                                        3
#define    GPIO_GPCTR152_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR152_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR152_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR152_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR152_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR152_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR152_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR152_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR152_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR152_IOTR_SHIFT                                       0
#define    GPIO_GPCTR152_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR152_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR152_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR153_OFFSET                                              0x00000364
#define GPIO_GPCTR153_TYPE                                                UInt32
#define GPIO_GPCTR153_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR153_DBR_SHIFT                                        5
#define    GPIO_GPCTR153_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR153_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR153_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR153_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR153_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR153_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR153_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR153_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR153_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR153_ITR_SHIFT                                        3
#define    GPIO_GPCTR153_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR153_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR153_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR153_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR153_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR153_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR153_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR153_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR153_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR153_IOTR_SHIFT                                       0
#define    GPIO_GPCTR153_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR153_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR153_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR154_OFFSET                                              0x00000368
#define GPIO_GPCTR154_TYPE                                                UInt32
#define GPIO_GPCTR154_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR154_DBR_SHIFT                                        5
#define    GPIO_GPCTR154_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR154_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR154_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR154_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR154_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR154_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR154_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR154_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR154_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR154_ITR_SHIFT                                        3
#define    GPIO_GPCTR154_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR154_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR154_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR154_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR154_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR154_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR154_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR154_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR154_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR154_IOTR_SHIFT                                       0
#define    GPIO_GPCTR154_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR154_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR154_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR155_OFFSET                                              0x0000036C
#define GPIO_GPCTR155_TYPE                                                UInt32
#define GPIO_GPCTR155_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR155_DBR_SHIFT                                        5
#define    GPIO_GPCTR155_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR155_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR155_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR155_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR155_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR155_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR155_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR155_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR155_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR155_ITR_SHIFT                                        3
#define    GPIO_GPCTR155_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR155_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR155_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR155_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR155_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR155_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR155_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR155_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR155_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR155_IOTR_SHIFT                                       0
#define    GPIO_GPCTR155_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR155_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR155_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR156_OFFSET                                              0x00000370
#define GPIO_GPCTR156_TYPE                                                UInt32
#define GPIO_GPCTR156_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR156_DBR_SHIFT                                        5
#define    GPIO_GPCTR156_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR156_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR156_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR156_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR156_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR156_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR156_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR156_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR156_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR156_ITR_SHIFT                                        3
#define    GPIO_GPCTR156_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR156_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR156_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR156_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR156_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR156_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR156_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR156_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR156_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR156_IOTR_SHIFT                                       0
#define    GPIO_GPCTR156_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR156_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR156_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR157_OFFSET                                              0x00000374
#define GPIO_GPCTR157_TYPE                                                UInt32
#define GPIO_GPCTR157_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR157_DBR_SHIFT                                        5
#define    GPIO_GPCTR157_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR157_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR157_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR157_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR157_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR157_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR157_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR157_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR157_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR157_ITR_SHIFT                                        3
#define    GPIO_GPCTR157_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR157_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR157_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR157_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR157_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR157_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR157_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR157_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR157_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR157_IOTR_SHIFT                                       0
#define    GPIO_GPCTR157_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR157_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR157_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR158_OFFSET                                              0x00000378
#define GPIO_GPCTR158_TYPE                                                UInt32
#define GPIO_GPCTR158_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR158_DBR_SHIFT                                        5
#define    GPIO_GPCTR158_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR158_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR158_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR158_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR158_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR158_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR158_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR158_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR158_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR158_ITR_SHIFT                                        3
#define    GPIO_GPCTR158_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR158_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR158_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR158_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR158_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR158_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR158_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR158_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR158_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR158_IOTR_SHIFT                                       0
#define    GPIO_GPCTR158_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR158_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR158_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR159_OFFSET                                              0x0000037C
#define GPIO_GPCTR159_TYPE                                                UInt32
#define GPIO_GPCTR159_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR159_DBR_SHIFT                                        5
#define    GPIO_GPCTR159_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR159_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR159_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR159_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR159_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR159_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR159_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR159_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR159_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR159_ITR_SHIFT                                        3
#define    GPIO_GPCTR159_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR159_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR159_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR159_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR159_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR159_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR159_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR159_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR159_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR159_IOTR_SHIFT                                       0
#define    GPIO_GPCTR159_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR159_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR159_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR160_OFFSET                                              0x00000380
#define GPIO_GPCTR160_TYPE                                                UInt32
#define GPIO_GPCTR160_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR160_DBR_SHIFT                                        5
#define    GPIO_GPCTR160_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR160_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR160_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR160_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR160_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR160_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR160_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR160_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR160_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR160_ITR_SHIFT                                        3
#define    GPIO_GPCTR160_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR160_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR160_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR160_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR160_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR160_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR160_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR160_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR160_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR160_IOTR_SHIFT                                       0
#define    GPIO_GPCTR160_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR160_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR160_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR161_OFFSET                                              0x00000384
#define GPIO_GPCTR161_TYPE                                                UInt32
#define GPIO_GPCTR161_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR161_DBR_SHIFT                                        5
#define    GPIO_GPCTR161_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR161_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR161_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR161_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR161_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR161_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR161_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR161_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR161_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR161_ITR_SHIFT                                        3
#define    GPIO_GPCTR161_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR161_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR161_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR161_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR161_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR161_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR161_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR161_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR161_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR161_IOTR_SHIFT                                       0
#define    GPIO_GPCTR161_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR161_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR161_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR162_OFFSET                                              0x00000388
#define GPIO_GPCTR162_TYPE                                                UInt32
#define GPIO_GPCTR162_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR162_DBR_SHIFT                                        5
#define    GPIO_GPCTR162_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR162_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR162_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR162_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR162_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR162_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR162_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR162_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR162_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR162_ITR_SHIFT                                        3
#define    GPIO_GPCTR162_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR162_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR162_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR162_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR162_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR162_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR162_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR162_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR162_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR162_IOTR_SHIFT                                       0
#define    GPIO_GPCTR162_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR162_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR162_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR163_OFFSET                                              0x0000038C
#define GPIO_GPCTR163_TYPE                                                UInt32
#define GPIO_GPCTR163_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR163_DBR_SHIFT                                        5
#define    GPIO_GPCTR163_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR163_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR163_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR163_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR163_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR163_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR163_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR163_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR163_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR163_ITR_SHIFT                                        3
#define    GPIO_GPCTR163_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR163_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR163_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR163_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR163_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR163_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR163_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR163_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR163_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR163_IOTR_SHIFT                                       0
#define    GPIO_GPCTR163_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR163_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR163_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR164_OFFSET                                              0x00000390
#define GPIO_GPCTR164_TYPE                                                UInt32
#define GPIO_GPCTR164_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR164_DBR_SHIFT                                        5
#define    GPIO_GPCTR164_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR164_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR164_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR164_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR164_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR164_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR164_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR164_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR164_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR164_ITR_SHIFT                                        3
#define    GPIO_GPCTR164_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR164_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR164_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR164_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR164_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR164_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR164_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR164_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR164_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR164_IOTR_SHIFT                                       0
#define    GPIO_GPCTR164_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR164_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR164_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR165_OFFSET                                              0x00000394
#define GPIO_GPCTR165_TYPE                                                UInt32
#define GPIO_GPCTR165_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR165_DBR_SHIFT                                        5
#define    GPIO_GPCTR165_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR165_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR165_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR165_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR165_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR165_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR165_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR165_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR165_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR165_ITR_SHIFT                                        3
#define    GPIO_GPCTR165_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR165_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR165_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR165_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR165_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR165_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR165_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR165_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR165_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR165_IOTR_SHIFT                                       0
#define    GPIO_GPCTR165_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR165_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR165_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR166_OFFSET                                              0x00000398
#define GPIO_GPCTR166_TYPE                                                UInt32
#define GPIO_GPCTR166_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR166_DBR_SHIFT                                        5
#define    GPIO_GPCTR166_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR166_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR166_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR166_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR166_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR166_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR166_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR166_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR166_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR166_ITR_SHIFT                                        3
#define    GPIO_GPCTR166_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR166_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR166_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR166_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR166_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR166_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR166_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR166_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR166_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR166_IOTR_SHIFT                                       0
#define    GPIO_GPCTR166_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR166_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR166_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR167_OFFSET                                              0x0000039C
#define GPIO_GPCTR167_TYPE                                                UInt32
#define GPIO_GPCTR167_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR167_DBR_SHIFT                                        5
#define    GPIO_GPCTR167_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR167_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR167_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR167_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR167_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR167_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR167_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR167_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR167_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR167_ITR_SHIFT                                        3
#define    GPIO_GPCTR167_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR167_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR167_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR167_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR167_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR167_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR167_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR167_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR167_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR167_IOTR_SHIFT                                       0
#define    GPIO_GPCTR167_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR167_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR167_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR168_OFFSET                                              0x000003A0
#define GPIO_GPCTR168_TYPE                                                UInt32
#define GPIO_GPCTR168_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR168_DBR_SHIFT                                        5
#define    GPIO_GPCTR168_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR168_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR168_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR168_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR168_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR168_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR168_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR168_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR168_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR168_ITR_SHIFT                                        3
#define    GPIO_GPCTR168_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR168_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR168_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR168_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR168_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR168_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR168_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR168_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR168_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR168_IOTR_SHIFT                                       0
#define    GPIO_GPCTR168_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR168_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR168_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR169_OFFSET                                              0x000003A4
#define GPIO_GPCTR169_TYPE                                                UInt32
#define GPIO_GPCTR169_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR169_DBR_SHIFT                                        5
#define    GPIO_GPCTR169_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR169_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR169_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR169_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR169_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR169_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR169_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR169_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR169_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR169_ITR_SHIFT                                        3
#define    GPIO_GPCTR169_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR169_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR169_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR169_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR169_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR169_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR169_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR169_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR169_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR169_IOTR_SHIFT                                       0
#define    GPIO_GPCTR169_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR169_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR169_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR170_OFFSET                                              0x000003A8
#define GPIO_GPCTR170_TYPE                                                UInt32
#define GPIO_GPCTR170_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR170_DBR_SHIFT                                        5
#define    GPIO_GPCTR170_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR170_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR170_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR170_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR170_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR170_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR170_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR170_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR170_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR170_ITR_SHIFT                                        3
#define    GPIO_GPCTR170_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR170_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR170_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR170_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR170_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR170_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR170_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR170_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR170_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR170_IOTR_SHIFT                                       0
#define    GPIO_GPCTR170_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR170_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR170_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR171_OFFSET                                              0x000003AC
#define GPIO_GPCTR171_TYPE                                                UInt32
#define GPIO_GPCTR171_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR171_DBR_SHIFT                                        5
#define    GPIO_GPCTR171_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR171_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR171_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR171_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR171_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR171_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR171_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR171_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR171_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR171_ITR_SHIFT                                        3
#define    GPIO_GPCTR171_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR171_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR171_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR171_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR171_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR171_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR171_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR171_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR171_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR171_IOTR_SHIFT                                       0
#define    GPIO_GPCTR171_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR171_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR171_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR172_OFFSET                                              0x000003B0
#define GPIO_GPCTR172_TYPE                                                UInt32
#define GPIO_GPCTR172_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR172_DBR_SHIFT                                        5
#define    GPIO_GPCTR172_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR172_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR172_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR172_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR172_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR172_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR172_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR172_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR172_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR172_ITR_SHIFT                                        3
#define    GPIO_GPCTR172_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR172_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR172_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR172_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR172_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR172_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR172_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR172_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR172_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR172_IOTR_SHIFT                                       0
#define    GPIO_GPCTR172_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR172_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR172_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR173_OFFSET                                              0x000003B4
#define GPIO_GPCTR173_TYPE                                                UInt32
#define GPIO_GPCTR173_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR173_DBR_SHIFT                                        5
#define    GPIO_GPCTR173_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR173_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR173_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR173_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR173_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR173_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR173_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR173_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR173_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR173_ITR_SHIFT                                        3
#define    GPIO_GPCTR173_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR173_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR173_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR173_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR173_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR173_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR173_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR173_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR173_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR173_IOTR_SHIFT                                       0
#define    GPIO_GPCTR173_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR173_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR173_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR174_OFFSET                                              0x000003B8
#define GPIO_GPCTR174_TYPE                                                UInt32
#define GPIO_GPCTR174_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR174_DBR_SHIFT                                        5
#define    GPIO_GPCTR174_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR174_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR174_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR174_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR174_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR174_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR174_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR174_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR174_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR174_ITR_SHIFT                                        3
#define    GPIO_GPCTR174_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR174_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR174_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR174_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR174_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR174_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR174_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR174_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR174_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR174_IOTR_SHIFT                                       0
#define    GPIO_GPCTR174_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR174_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR174_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR175_OFFSET                                              0x000003BC
#define GPIO_GPCTR175_TYPE                                                UInt32
#define GPIO_GPCTR175_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR175_DBR_SHIFT                                        5
#define    GPIO_GPCTR175_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR175_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR175_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR175_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR175_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR175_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR175_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR175_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR175_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR175_ITR_SHIFT                                        3
#define    GPIO_GPCTR175_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR175_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR175_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR175_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR175_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR175_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR175_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR175_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR175_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR175_IOTR_SHIFT                                       0
#define    GPIO_GPCTR175_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR175_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR175_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR176_OFFSET                                              0x000003C0
#define GPIO_GPCTR176_TYPE                                                UInt32
#define GPIO_GPCTR176_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR176_DBR_SHIFT                                        5
#define    GPIO_GPCTR176_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR176_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR176_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR176_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR176_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR176_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR176_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR176_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR176_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR176_ITR_SHIFT                                        3
#define    GPIO_GPCTR176_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR176_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR176_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR176_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR176_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR176_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR176_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR176_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR176_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR176_IOTR_SHIFT                                       0
#define    GPIO_GPCTR176_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR176_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR176_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR177_OFFSET                                              0x000003C4
#define GPIO_GPCTR177_TYPE                                                UInt32
#define GPIO_GPCTR177_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR177_DBR_SHIFT                                        5
#define    GPIO_GPCTR177_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR177_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR177_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR177_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR177_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR177_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR177_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR177_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR177_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR177_ITR_SHIFT                                        3
#define    GPIO_GPCTR177_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR177_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR177_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR177_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR177_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR177_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR177_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR177_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR177_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR177_IOTR_SHIFT                                       0
#define    GPIO_GPCTR177_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR177_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR177_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR178_OFFSET                                              0x000003C8
#define GPIO_GPCTR178_TYPE                                                UInt32
#define GPIO_GPCTR178_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR178_DBR_SHIFT                                        5
#define    GPIO_GPCTR178_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR178_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR178_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR178_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR178_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR178_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR178_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR178_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR178_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR178_ITR_SHIFT                                        3
#define    GPIO_GPCTR178_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR178_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR178_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR178_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR178_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR178_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR178_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR178_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR178_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR178_IOTR_SHIFT                                       0
#define    GPIO_GPCTR178_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR178_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR178_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR179_OFFSET                                              0x000003CC
#define GPIO_GPCTR179_TYPE                                                UInt32
#define GPIO_GPCTR179_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR179_DBR_SHIFT                                        5
#define    GPIO_GPCTR179_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR179_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR179_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR179_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR179_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR179_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR179_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR179_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR179_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR179_ITR_SHIFT                                        3
#define    GPIO_GPCTR179_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR179_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR179_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR179_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR179_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR179_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR179_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR179_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR179_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR179_IOTR_SHIFT                                       0
#define    GPIO_GPCTR179_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR179_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR179_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR180_OFFSET                                              0x000003D0
#define GPIO_GPCTR180_TYPE                                                UInt32
#define GPIO_GPCTR180_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR180_DBR_SHIFT                                        5
#define    GPIO_GPCTR180_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR180_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR180_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR180_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR180_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR180_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR180_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR180_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR180_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR180_ITR_SHIFT                                        3
#define    GPIO_GPCTR180_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR180_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR180_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR180_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR180_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR180_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR180_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR180_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR180_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR180_IOTR_SHIFT                                       0
#define    GPIO_GPCTR180_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR180_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR180_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR181_OFFSET                                              0x000003D4
#define GPIO_GPCTR181_TYPE                                                UInt32
#define GPIO_GPCTR181_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR181_DBR_SHIFT                                        5
#define    GPIO_GPCTR181_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR181_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR181_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR181_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR181_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR181_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR181_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR181_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR181_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR181_ITR_SHIFT                                        3
#define    GPIO_GPCTR181_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR181_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR181_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR181_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR181_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR181_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR181_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR181_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR181_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR181_IOTR_SHIFT                                       0
#define    GPIO_GPCTR181_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR181_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR181_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR182_OFFSET                                              0x000003D8
#define GPIO_GPCTR182_TYPE                                                UInt32
#define GPIO_GPCTR182_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR182_DBR_SHIFT                                        5
#define    GPIO_GPCTR182_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR182_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR182_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR182_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR182_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR182_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR182_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR182_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR182_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR182_ITR_SHIFT                                        3
#define    GPIO_GPCTR182_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR182_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR182_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR182_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR182_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR182_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR182_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR182_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR182_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR182_IOTR_SHIFT                                       0
#define    GPIO_GPCTR182_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR182_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR182_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR183_OFFSET                                              0x000003DC
#define GPIO_GPCTR183_TYPE                                                UInt32
#define GPIO_GPCTR183_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR183_DBR_SHIFT                                        5
#define    GPIO_GPCTR183_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR183_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR183_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR183_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR183_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR183_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR183_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR183_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR183_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR183_ITR_SHIFT                                        3
#define    GPIO_GPCTR183_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR183_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR183_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR183_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR183_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR183_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR183_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR183_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR183_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR183_IOTR_SHIFT                                       0
#define    GPIO_GPCTR183_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR183_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR183_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR184_OFFSET                                              0x000003E0
#define GPIO_GPCTR184_TYPE                                                UInt32
#define GPIO_GPCTR184_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR184_DBR_SHIFT                                        5
#define    GPIO_GPCTR184_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR184_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR184_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR184_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR184_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR184_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR184_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR184_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR184_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR184_ITR_SHIFT                                        3
#define    GPIO_GPCTR184_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR184_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR184_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR184_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR184_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR184_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR184_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR184_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR184_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR184_IOTR_SHIFT                                       0
#define    GPIO_GPCTR184_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR184_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR184_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR185_OFFSET                                              0x000003E4
#define GPIO_GPCTR185_TYPE                                                UInt32
#define GPIO_GPCTR185_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR185_DBR_SHIFT                                        5
#define    GPIO_GPCTR185_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR185_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR185_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR185_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR185_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR185_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR185_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR185_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR185_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR185_ITR_SHIFT                                        3
#define    GPIO_GPCTR185_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR185_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR185_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR185_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR185_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR185_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR185_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR185_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR185_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR185_IOTR_SHIFT                                       0
#define    GPIO_GPCTR185_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR185_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR185_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR186_OFFSET                                              0x000003E8
#define GPIO_GPCTR186_TYPE                                                UInt32
#define GPIO_GPCTR186_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR186_DBR_SHIFT                                        5
#define    GPIO_GPCTR186_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR186_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR186_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR186_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR186_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR186_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR186_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR186_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR186_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR186_ITR_SHIFT                                        3
#define    GPIO_GPCTR186_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR186_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR186_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR186_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR186_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR186_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR186_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR186_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR186_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR186_IOTR_SHIFT                                       0
#define    GPIO_GPCTR186_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR186_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR186_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR187_OFFSET                                              0x000003EC
#define GPIO_GPCTR187_TYPE                                                UInt32
#define GPIO_GPCTR187_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR187_DBR_SHIFT                                        5
#define    GPIO_GPCTR187_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR187_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR187_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR187_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR187_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR187_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR187_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR187_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR187_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR187_ITR_SHIFT                                        3
#define    GPIO_GPCTR187_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR187_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR187_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR187_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR187_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR187_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR187_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR187_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR187_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR187_IOTR_SHIFT                                       0
#define    GPIO_GPCTR187_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR187_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR187_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR188_OFFSET                                              0x000003F0
#define GPIO_GPCTR188_TYPE                                                UInt32
#define GPIO_GPCTR188_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR188_DBR_SHIFT                                        5
#define    GPIO_GPCTR188_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR188_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR188_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR188_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR188_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR188_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR188_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR188_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR188_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR188_ITR_SHIFT                                        3
#define    GPIO_GPCTR188_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR188_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR188_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR188_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR188_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR188_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR188_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR188_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR188_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR188_IOTR_SHIFT                                       0
#define    GPIO_GPCTR188_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR188_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR188_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR189_OFFSET                                              0x000003F4
#define GPIO_GPCTR189_TYPE                                                UInt32
#define GPIO_GPCTR189_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR189_DBR_SHIFT                                        5
#define    GPIO_GPCTR189_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR189_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR189_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR189_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR189_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR189_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR189_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR189_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR189_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR189_ITR_SHIFT                                        3
#define    GPIO_GPCTR189_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR189_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR189_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR189_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR189_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR189_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR189_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR189_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR189_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR189_IOTR_SHIFT                                       0
#define    GPIO_GPCTR189_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR189_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR189_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR190_OFFSET                                              0x000003F8
#define GPIO_GPCTR190_TYPE                                                UInt32
#define GPIO_GPCTR190_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR190_DBR_SHIFT                                        5
#define    GPIO_GPCTR190_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR190_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR190_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR190_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR190_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR190_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR190_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR190_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR190_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR190_ITR_SHIFT                                        3
#define    GPIO_GPCTR190_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR190_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR190_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR190_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR190_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR190_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR190_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR190_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR190_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR190_IOTR_SHIFT                                       0
#define    GPIO_GPCTR190_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR190_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR190_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPCTR191_OFFSET                                              0x000003FC
#define GPIO_GPCTR191_TYPE                                                UInt32
#define GPIO_GPCTR191_RESERVED_MASK                                       0xFFFFFE00
#define    GPIO_GPCTR191_DBR_SHIFT                                        5
#define    GPIO_GPCTR191_DBR_MASK                                         0x000001E0
#define       GPIO_GPCTR191_DBR_CMD_1MS                                   0x00000000
#define       GPIO_GPCTR191_DBR_CMD_2MS                                   0x00000001
#define       GPIO_GPCTR191_DBR_CMD_4MS                                   0x00000002
#define       GPIO_GPCTR191_DBR_CMD_8MS                                   0x00000003
#define       GPIO_GPCTR191_DBR_CMD_16MS                                  0x00000004
#define       GPIO_GPCTR191_DBR_CMD_32MS                                  0x00000005
#define       GPIO_GPCTR191_DBR_CMD_64MS                                  0x00000006
#define       GPIO_GPCTR191_DBR_CMD_128MS                                 0x00000007
#define    GPIO_GPCTR191_ITR_SHIFT                                        3
#define    GPIO_GPCTR191_ITR_MASK                                         0x00000018
#define       GPIO_GPCTR191_ITR_CMD_NO_INT                                0x00000000
#define       GPIO_GPCTR191_ITR_CMD_RISING_EDGE                           0x00000001
#define       GPIO_GPCTR191_ITR_CMD_FALLING_EDGE                          0x00000002
#define       GPIO_GPCTR191_ITR_CMD_BOTH_EDGE                             0x00000003
#define    GPIO_GPCTR191_GPIO_PULL_SEL_SHIFT                              2
#define    GPIO_GPCTR191_GPIO_PULL_SEL_MASK                               0x00000004
#define    GPIO_GPCTR191_GPIO_PULL_EN_SHIFT                               1
#define    GPIO_GPCTR191_GPIO_PULL_EN_MASK                                0x00000002
#define    GPIO_GPCTR191_IOTR_SHIFT                                       0
#define    GPIO_GPCTR191_IOTR_MASK                                        0x00000001
#define       GPIO_GPCTR191_IOTR_CMD_0UTPUT                               0x00000000
#define       GPIO_GPCTR191_IOTR_CMD_INPUT                                0x00000001

#define GPIO_GPPLSR0_OFFSET                                               0x00000500
#define GPIO_GPPLSR0_TYPE                                                 UInt32
#define GPIO_GPPLSR0_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR0_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR0_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR0_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR0_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR0_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR0_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR0_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR0_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR0_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR0_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR0_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR0_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR0_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR0_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR0_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR0_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR0_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR0_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR0_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR0_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR0_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR0_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR0_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR0_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR0_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR0_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR0_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR0_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR0_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR0_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR0_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR0_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR0_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR0_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR0_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR0_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR0_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR0_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR0_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR0_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR0_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR0_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR0_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR0_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR0_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR0_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR0_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR0_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR0_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR0_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR0_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR0_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR0_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR0_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR0_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR0_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR0_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR0_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR0_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR0_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR0_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR0_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR0_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR0_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR0_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR0_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR0_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPLSR1_OFFSET                                               0x00000504
#define GPIO_GPPLSR1_TYPE                                                 UInt32
#define GPIO_GPPLSR1_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR1_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR1_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR1_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR1_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR1_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR1_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR1_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR1_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR1_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR1_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR1_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR1_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR1_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR1_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR1_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR1_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR1_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR1_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR1_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR1_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR1_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR1_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR1_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR1_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR1_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR1_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR1_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR1_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR1_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR1_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR1_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR1_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR1_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR1_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR1_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR1_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR1_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR1_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR1_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR1_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR1_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR1_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR1_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR1_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR1_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR1_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR1_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR1_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR1_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR1_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR1_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR1_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR1_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR1_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR1_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR1_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR1_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR1_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR1_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR1_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR1_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR1_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR1_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR1_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR1_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR1_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR1_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPLSR2_OFFSET                                               0x00000508
#define GPIO_GPPLSR2_TYPE                                                 UInt32
#define GPIO_GPPLSR2_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR2_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR2_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR2_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR2_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR2_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR2_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR2_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR2_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR2_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR2_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR2_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR2_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR2_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR2_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR2_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR2_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR2_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR2_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR2_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR2_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR2_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR2_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR2_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR2_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR2_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR2_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR2_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR2_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR2_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR2_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR2_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR2_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR2_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR2_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR2_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR2_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR2_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR2_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR2_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR2_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR2_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR2_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR2_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR2_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR2_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR2_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR2_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR2_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR2_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR2_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR2_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR2_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR2_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR2_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR2_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR2_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR2_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR2_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR2_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR2_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR2_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR2_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR2_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR2_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR2_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR2_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR2_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPLSR3_OFFSET                                               0x0000050C
#define GPIO_GPPLSR3_TYPE                                                 UInt32
#define GPIO_GPPLSR3_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR3_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR3_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR3_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR3_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR3_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR3_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR3_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR3_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR3_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR3_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR3_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR3_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR3_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR3_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR3_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR3_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR3_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR3_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR3_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR3_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR3_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR3_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR3_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR3_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR3_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR3_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR3_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR3_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR3_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR3_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR3_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR3_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR3_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR3_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR3_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR3_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR3_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR3_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR3_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR3_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR3_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR3_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR3_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR3_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR3_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR3_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR3_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR3_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR3_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR3_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR3_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR3_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR3_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR3_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR3_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR3_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR3_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR3_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR3_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR3_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR3_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR3_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR3_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR3_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR3_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR3_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR3_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPLSR4_OFFSET                                               0x00000510
#define GPIO_GPPLSR4_TYPE                                                 UInt32
#define GPIO_GPPLSR4_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR4_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR4_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR4_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR4_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR4_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR4_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR4_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR4_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR4_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR4_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR4_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR4_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR4_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR4_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR4_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR4_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR4_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR4_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR4_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR4_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR4_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR4_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR4_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR4_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR4_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR4_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR4_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR4_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR4_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR4_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR4_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR4_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR4_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR4_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR4_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR4_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR4_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR4_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR4_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR4_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR4_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR4_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR4_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR4_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR4_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR4_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR4_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR4_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR4_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR4_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR4_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR4_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR4_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR4_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR4_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR4_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR4_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR4_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR4_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR4_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR4_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR4_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR4_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR4_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR4_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR4_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR4_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPLSR5_OFFSET                                               0x00000514
#define GPIO_GPPLSR5_TYPE                                                 UInt32
#define GPIO_GPPLSR5_RESERVED_MASK                                        0x00000000
#define    GPIO_GPPLSR5_GPIO_31_SHIFT                                     31
#define    GPIO_GPPLSR5_GPIO_31_MASK                                      0x80000000
#define       GPIO_GPPLSR5_GPIO_31_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_31_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_30_SHIFT                                     30
#define    GPIO_GPPLSR5_GPIO_30_MASK                                      0x40000000
#define       GPIO_GPPLSR5_GPIO_30_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_30_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_29_SHIFT                                     29
#define    GPIO_GPPLSR5_GPIO_29_MASK                                      0x20000000
#define       GPIO_GPPLSR5_GPIO_29_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_29_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_28_SHIFT                                     28
#define    GPIO_GPPLSR5_GPIO_28_MASK                                      0x10000000
#define       GPIO_GPPLSR5_GPIO_28_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_28_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_27_SHIFT                                     27
#define    GPIO_GPPLSR5_GPIO_27_MASK                                      0x08000000
#define       GPIO_GPPLSR5_GPIO_27_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_27_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_26_SHIFT                                     26
#define    GPIO_GPPLSR5_GPIO_26_MASK                                      0x04000000
#define       GPIO_GPPLSR5_GPIO_26_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_26_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_25_SHIFT                                     25
#define    GPIO_GPPLSR5_GPIO_25_MASK                                      0x02000000
#define       GPIO_GPPLSR5_GPIO_25_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_25_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_24_SHIFT                                     24
#define    GPIO_GPPLSR5_GPIO_24_MASK                                      0x01000000
#define       GPIO_GPPLSR5_GPIO_24_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_24_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_23_SHIFT                                     23
#define    GPIO_GPPLSR5_GPIO_23_MASK                                      0x00800000
#define       GPIO_GPPLSR5_GPIO_23_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_23_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_22_SHIFT                                     22
#define    GPIO_GPPLSR5_GPIO_22_MASK                                      0x00400000
#define       GPIO_GPPLSR5_GPIO_22_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_22_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_21_SHIFT                                     21
#define    GPIO_GPPLSR5_GPIO_21_MASK                                      0x00200000
#define       GPIO_GPPLSR5_GPIO_21_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_21_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_20_SHIFT                                     20
#define    GPIO_GPPLSR5_GPIO_20_MASK                                      0x00100000
#define       GPIO_GPPLSR5_GPIO_20_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_20_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_19_SHIFT                                     19
#define    GPIO_GPPLSR5_GPIO_19_MASK                                      0x00080000
#define       GPIO_GPPLSR5_GPIO_19_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_19_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_18_SHIFT                                     18
#define    GPIO_GPPLSR5_GPIO_18_MASK                                      0x00040000
#define       GPIO_GPPLSR5_GPIO_18_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_18_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_17_SHIFT                                     17
#define    GPIO_GPPLSR5_GPIO_17_MASK                                      0x00020000
#define       GPIO_GPPLSR5_GPIO_17_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_17_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_16_SHIFT                                     16
#define    GPIO_GPPLSR5_GPIO_16_MASK                                      0x00010000
#define       GPIO_GPPLSR5_GPIO_16_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_16_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_15_SHIFT                                     15
#define    GPIO_GPPLSR5_GPIO_15_MASK                                      0x00008000
#define       GPIO_GPPLSR5_GPIO_15_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_15_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_14_SHIFT                                     14
#define    GPIO_GPPLSR5_GPIO_14_MASK                                      0x00004000
#define       GPIO_GPPLSR5_GPIO_14_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_14_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_13_SHIFT                                     13
#define    GPIO_GPPLSR5_GPIO_13_MASK                                      0x00002000
#define       GPIO_GPPLSR5_GPIO_13_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_13_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_12_SHIFT                                     12
#define    GPIO_GPPLSR5_GPIO_12_MASK                                      0x00001000
#define       GPIO_GPPLSR5_GPIO_12_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_12_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_11_SHIFT                                     11
#define    GPIO_GPPLSR5_GPIO_11_MASK                                      0x00000800
#define       GPIO_GPPLSR5_GPIO_11_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_11_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_10_SHIFT                                     10
#define    GPIO_GPPLSR5_GPIO_10_MASK                                      0x00000400
#define       GPIO_GPPLSR5_GPIO_10_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_10_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_09_SHIFT                                     9
#define    GPIO_GPPLSR5_GPIO_09_MASK                                      0x00000200
#define       GPIO_GPPLSR5_GPIO_09_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_09_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_08_SHIFT                                     8
#define    GPIO_GPPLSR5_GPIO_08_MASK                                      0x00000100
#define       GPIO_GPPLSR5_GPIO_08_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_08_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_07_SHIFT                                     7
#define    GPIO_GPPLSR5_GPIO_07_MASK                                      0x00000080
#define       GPIO_GPPLSR5_GPIO_07_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_07_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_06_SHIFT                                     6
#define    GPIO_GPPLSR5_GPIO_06_MASK                                      0x00000040
#define       GPIO_GPPLSR5_GPIO_06_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_06_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_05_SHIFT                                     5
#define    GPIO_GPPLSR5_GPIO_05_MASK                                      0x00000020
#define       GPIO_GPPLSR5_GPIO_05_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_05_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_04_SHIFT                                     4
#define    GPIO_GPPLSR5_GPIO_04_MASK                                      0x00000010
#define       GPIO_GPPLSR5_GPIO_04_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_04_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_03_SHIFT                                     3
#define    GPIO_GPPLSR5_GPIO_03_MASK                                      0x00000008
#define       GPIO_GPPLSR5_GPIO_03_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_03_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_02_SHIFT                                     2
#define    GPIO_GPPLSR5_GPIO_02_MASK                                      0x00000004
#define       GPIO_GPPLSR5_GPIO_02_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_02_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_01_SHIFT                                     1
#define    GPIO_GPPLSR5_GPIO_01_MASK                                      0x00000002
#define       GPIO_GPPLSR5_GPIO_01_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_01_CMD_HIGH                               0x00000001
#define    GPIO_GPPLSR5_GPIO_00_SHIFT                                     0
#define    GPIO_GPPLSR5_GPIO_00_MASK                                      0x00000001
#define       GPIO_GPPLSR5_GPIO_00_CMD_LOW                                0x00000000
#define       GPIO_GPPLSR5_GPIO_00_CMD_HIGH                               0x00000001

#define GPIO_GPPWR_OFFSET                                                 0x00000520
#define GPIO_GPPWR_TYPE                                                   UInt32
#define GPIO_GPPWR_RESERVED_MASK                                          0x00000000
#define    GPIO_GPPWR_GPPWR_SHIFT                                         0
#define    GPIO_GPPWR_GPPWR_MASK                                          0xFFFFFFFF

#endif /* __BRCM_RDB_GPIO_H__ */


