/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_IKPS_CLK_MGR_REG_H__
#define __BRCM_RDB_IKPS_CLK_MGR_REG_H__

#define IKPS_CLK_MGR_REG_WR_ACCESS_OFFSET                                 0x00000000
#define IKPS_CLK_MGR_REG_WR_ACCESS_TYPE                                   UInt32
#define IKPS_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                          0x7F0000FE
#define    IKPS_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT              31
#define    IKPS_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IKPS_CLK_MGR_REG_WR_ACCESS_PASSWORD_SHIFT                      8
#define    IKPS_CLK_MGR_REG_WR_ACCESS_PASSWORD_MASK                       0x00FFFF00
#define    IKPS_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                    0
#define    IKPS_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                     0x00000001

#define IKPS_CLK_MGR_REG_POLICY_FREQ_OFFSET                               0x00000008
#define IKPS_CLK_MGR_REG_POLICY_FREQ_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_POLICY_FREQ_RESERVED_MASK                        0x78F8F8F8
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_SHIFT                24
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_MASK                 0x07000000
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_SHIFT                16
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_MASK                 0x00070000
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_SHIFT                8
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_MASK                 0x00000700
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_SHIFT                0
#define    IKPS_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_MASK                 0x00000007

#define IKPS_CLK_MGR_REG_POLICY_CTL_OFFSET                                0x0000000C
#define IKPS_CLK_MGR_REG_POLICY_CTL_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_POLICY_CTL_RESERVED_MASK                         0x7FFFFFF0
#define    IKPS_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_POLICY_CTL_TGT_VLD_SHIFT                      3
#define    IKPS_CLK_MGR_REG_POLICY_CTL_TGT_VLD_MASK                       0x00000008
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_ATL_SHIFT                       2
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_ATL_MASK                        0x00000004
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_AC_SHIFT                        1
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_AC_MASK                         0x00000002
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_SHIFT                           0
#define    IKPS_CLK_MGR_REG_POLICY_CTL_GO_MASK                            0x00000001

#define IKPS_CLK_MGR_REG_POLICY0_MASK_OFFSET                              0x00000010
#define IKPS_CLK_MGR_REG_POLICY0_MASK_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_POLICY0_MASK_RESERVED_MASK                       0x40003200
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_DAP_POLICY0_MASK_SHIFT           29
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_DAP_POLICY0_MASK_MASK            0x20000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BBL_REG_POLICY0_MASK_SHIFT       28
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BBL_REG_POLICY0_MASK_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MPHI_POLICY0_MASK_SHIFT          27
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MPHI_POLICY0_MASK_MASK           0x08000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_HDMIKEY_POLICY0_MASK_SHIFT       26
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_HDMIKEY_POLICY0_MASK_MASK        0x04000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_D1W_POLICY0_MASK_SHIFT           25
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_D1W_POLICY0_MASK_MASK            0x02000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BSC1_POLICY0_MASK_SHIFT          24
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BSC1_POLICY0_MASK_MASK           0x01000000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BSC2_POLICY0_MASK_SHIFT          23
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_BSC2_POLICY0_MASK_MASK           0x00800000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_AUXADC_POLICY0_MASK_SHIFT        22
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_AUXADC_POLICY0_MASK_MASK         0x00400000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_PWM_POLICY0_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_PWM_POLICY0_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB_POLICY0_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB_POLICY0_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB2_POLICY0_MASK_SHIFT        19
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB2_POLICY0_MASK_MASK         0x00080000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB3_POLICY0_MASK_SHIFT        18
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB3_POLICY0_MASK_MASK         0x00040000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB4_POLICY0_MASK_SHIFT        17
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_UARTB4_POLICY0_MASK_MASK         0x00020000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP0_POLICY0_MASK_SHIFT          16
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP0_POLICY0_MASK_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP1_POLICY0_MASK_SHIFT          15
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP1_POLICY0_MASK_MASK           0x00008000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP2_POLICY0_MASK_SHIFT          14
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SSP2_POLICY0_MASK_MASK           0x00004000
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_IRDA_POLICY0_MASK_SHIFT          11
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_IRDA_POLICY0_MASK_MASK           0x00000800
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_I2S_POLICY0_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_I2S_POLICY0_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_DMAC_MUX_POLICY0_MASK_SHIFT      8
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_DMAC_MUX_POLICY0_MASK_MASK       0x00000100
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_TIMERS_POLICY0_MASK_SHIFT        7
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_TIMERS_POLICY0_MASK_MASK         0x00000080
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MSPRO_POLICY0_MASK_SHIFT         6
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MSPRO_POLICY0_MASK_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MAGIC_POLICY0_MASK_SHIFT         5
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_MAGIC_POLICY0_MASK_MASK          0x00000020
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_CRC_POLICY0_MASK_SHIFT           4
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_CRC_POLICY0_MASK_MASK            0x00000010
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SPUM_SEC_POLICY0_MASK_SHIFT      3
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SPUM_SEC_POLICY0_MASK_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SPUM_OPEN_POLICY0_MASK_SHIFT     2
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SPUM_OPEN_POLICY0_MASK_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_EXT_POLICY0_MASK_SHIFT           1
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_EXT_POLICY0_MASK_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SWITCH_POLICY0_MASK_SHIFT        0
#define    IKPS_CLK_MGR_REG_POLICY0_MASK_SWITCH_POLICY0_MASK_MASK         0x00000001

#define IKPS_CLK_MGR_REG_POLICY1_MASK_OFFSET                              0x00000014
#define IKPS_CLK_MGR_REG_POLICY1_MASK_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_POLICY1_MASK_RESERVED_MASK                       0x40003200
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_DAP_POLICY1_MASK_SHIFT           29
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_DAP_POLICY1_MASK_MASK            0x20000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BBL_REG_POLICY1_MASK_SHIFT       28
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BBL_REG_POLICY1_MASK_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MPHI_POLICY1_MASK_SHIFT          27
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MPHI_POLICY1_MASK_MASK           0x08000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_HDMIKEY_POLICY1_MASK_SHIFT       26
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_HDMIKEY_POLICY1_MASK_MASK        0x04000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_D1W_POLICY1_MASK_SHIFT           25
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_D1W_POLICY1_MASK_MASK            0x02000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BSC1_POLICY1_MASK_SHIFT          24
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BSC1_POLICY1_MASK_MASK           0x01000000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BSC2_POLICY1_MASK_SHIFT          23
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_BSC2_POLICY1_MASK_MASK           0x00800000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_AUXADC_POLICY1_MASK_SHIFT        22
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_AUXADC_POLICY1_MASK_MASK         0x00400000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_PWM_POLICY1_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_PWM_POLICY1_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB_POLICY1_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB_POLICY1_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB2_POLICY1_MASK_SHIFT        19
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB2_POLICY1_MASK_MASK         0x00080000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB3_POLICY1_MASK_SHIFT        18
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB3_POLICY1_MASK_MASK         0x00040000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB4_POLICY1_MASK_SHIFT        17
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_UARTB4_POLICY1_MASK_MASK         0x00020000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP0_POLICY1_MASK_SHIFT          16
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP0_POLICY1_MASK_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP1_POLICY1_MASK_SHIFT          15
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP1_POLICY1_MASK_MASK           0x00008000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP2_POLICY1_MASK_SHIFT          14
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SSP2_POLICY1_MASK_MASK           0x00004000
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_IRDA_POLICY1_MASK_SHIFT          11
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_IRDA_POLICY1_MASK_MASK           0x00000800
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_I2S_POLICY1_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_I2S_POLICY1_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_DMAC_MUX_POLICY1_MASK_SHIFT      8
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_DMAC_MUX_POLICY1_MASK_MASK       0x00000100
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_TIMERS_POLICY1_MASK_SHIFT        7
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_TIMERS_POLICY1_MASK_MASK         0x00000080
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MSPRO_POLICY1_MASK_SHIFT         6
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MSPRO_POLICY1_MASK_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MAGIC_POLICY1_MASK_SHIFT         5
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_MAGIC_POLICY1_MASK_MASK          0x00000020
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_CRC_POLICY1_MASK_SHIFT           4
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_CRC_POLICY1_MASK_MASK            0x00000010
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SPUM_SEC_POLICY1_MASK_SHIFT      3
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SPUM_SEC_POLICY1_MASK_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SPUM_OPEN_POLICY1_MASK_SHIFT     2
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SPUM_OPEN_POLICY1_MASK_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_EXT_POLICY1_MASK_SHIFT           1
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_EXT_POLICY1_MASK_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SWITCH_POLICY1_MASK_SHIFT        0
#define    IKPS_CLK_MGR_REG_POLICY1_MASK_SWITCH_POLICY1_MASK_MASK         0x00000001

#define IKPS_CLK_MGR_REG_POLICY2_MASK_OFFSET                              0x00000018
#define IKPS_CLK_MGR_REG_POLICY2_MASK_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_POLICY2_MASK_RESERVED_MASK                       0x40003200
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_DAP_POLICY2_MASK_SHIFT           29
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_DAP_POLICY2_MASK_MASK            0x20000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BBL_REG_POLICY2_MASK_SHIFT       28
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BBL_REG_POLICY2_MASK_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MPHI_POLICY2_MASK_SHIFT          27
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MPHI_POLICY2_MASK_MASK           0x08000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_HDMIKEY_POLICY2_MASK_SHIFT       26
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_HDMIKEY_POLICY2_MASK_MASK        0x04000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_D1W_POLICY2_MASK_SHIFT           25
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_D1W_POLICY2_MASK_MASK            0x02000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BSC1_POLICY2_MASK_SHIFT          24
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BSC1_POLICY2_MASK_MASK           0x01000000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BSC2_POLICY2_MASK_SHIFT          23
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_BSC2_POLICY2_MASK_MASK           0x00800000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_AUXADC_POLICY2_MASK_SHIFT        22
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_AUXADC_POLICY2_MASK_MASK         0x00400000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_PWM_POLICY2_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_PWM_POLICY2_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB_POLICY2_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB_POLICY2_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB2_POLICY2_MASK_SHIFT        19
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB2_POLICY2_MASK_MASK         0x00080000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB3_POLICY2_MASK_SHIFT        18
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB3_POLICY2_MASK_MASK         0x00040000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB4_POLICY2_MASK_SHIFT        17
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_UARTB4_POLICY2_MASK_MASK         0x00020000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP0_POLICY2_MASK_SHIFT          16
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP0_POLICY2_MASK_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP1_POLICY2_MASK_SHIFT          15
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP1_POLICY2_MASK_MASK           0x00008000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP2_POLICY2_MASK_SHIFT          14
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SSP2_POLICY2_MASK_MASK           0x00004000
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_IRDA_POLICY2_MASK_SHIFT          11
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_IRDA_POLICY2_MASK_MASK           0x00000800
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_I2S_POLICY2_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_I2S_POLICY2_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_DMAC_MUX_POLICY2_MASK_SHIFT      8
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_DMAC_MUX_POLICY2_MASK_MASK       0x00000100
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_TIMERS_POLICY2_MASK_SHIFT        7
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_TIMERS_POLICY2_MASK_MASK         0x00000080
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MSPRO_POLICY2_MASK_SHIFT         6
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MSPRO_POLICY2_MASK_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MAGIC_POLICY2_MASK_SHIFT         5
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_MAGIC_POLICY2_MASK_MASK          0x00000020
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_CRC_POLICY2_MASK_SHIFT           4
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_CRC_POLICY2_MASK_MASK            0x00000010
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SPUM_SEC_POLICY2_MASK_SHIFT      3
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SPUM_SEC_POLICY2_MASK_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SPUM_OPEN_POLICY2_MASK_SHIFT     2
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SPUM_OPEN_POLICY2_MASK_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_EXT_POLICY2_MASK_SHIFT           1
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_EXT_POLICY2_MASK_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SWITCH_POLICY2_MASK_SHIFT        0
#define    IKPS_CLK_MGR_REG_POLICY2_MASK_SWITCH_POLICY2_MASK_MASK         0x00000001

#define IKPS_CLK_MGR_REG_POLICY3_MASK_OFFSET                              0x0000001C
#define IKPS_CLK_MGR_REG_POLICY3_MASK_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_POLICY3_MASK_RESERVED_MASK                       0x40003200
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_DAP_POLICY3_MASK_SHIFT           29
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_DAP_POLICY3_MASK_MASK            0x20000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BBL_REG_POLICY3_MASK_SHIFT       28
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BBL_REG_POLICY3_MASK_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MPHI_POLICY3_MASK_SHIFT          27
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MPHI_POLICY3_MASK_MASK           0x08000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_HDMIKEY_POLICY3_MASK_SHIFT       26
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_HDMIKEY_POLICY3_MASK_MASK        0x04000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_D1W_POLICY3_MASK_SHIFT           25
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_D1W_POLICY3_MASK_MASK            0x02000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BSC1_POLICY3_MASK_SHIFT          24
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BSC1_POLICY3_MASK_MASK           0x01000000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BSC2_POLICY3_MASK_SHIFT          23
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_BSC2_POLICY3_MASK_MASK           0x00800000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_AUXADC_POLICY3_MASK_SHIFT        22
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_AUXADC_POLICY3_MASK_MASK         0x00400000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_PWM_POLICY3_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_PWM_POLICY3_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB_POLICY3_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB_POLICY3_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB2_POLICY3_MASK_SHIFT        19
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB2_POLICY3_MASK_MASK         0x00080000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB3_POLICY3_MASK_SHIFT        18
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB3_POLICY3_MASK_MASK         0x00040000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB4_POLICY3_MASK_SHIFT        17
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_UARTB4_POLICY3_MASK_MASK         0x00020000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP0_POLICY3_MASK_SHIFT          16
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP0_POLICY3_MASK_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP1_POLICY3_MASK_SHIFT          15
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP1_POLICY3_MASK_MASK           0x00008000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP2_POLICY3_MASK_SHIFT          14
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SSP2_POLICY3_MASK_MASK           0x00004000
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_IRDA_POLICY3_MASK_SHIFT          11
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_IRDA_POLICY3_MASK_MASK           0x00000800
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_I2S_POLICY3_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_I2S_POLICY3_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_DMAC_MUX_POLICY3_MASK_SHIFT      8
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_DMAC_MUX_POLICY3_MASK_MASK       0x00000100
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_TIMERS_POLICY3_MASK_SHIFT        7
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_TIMERS_POLICY3_MASK_MASK         0x00000080
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MSPRO_POLICY3_MASK_SHIFT         6
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MSPRO_POLICY3_MASK_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MAGIC_POLICY3_MASK_SHIFT         5
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_MAGIC_POLICY3_MASK_MASK          0x00000020
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_CRC_POLICY3_MASK_SHIFT           4
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_CRC_POLICY3_MASK_MASK            0x00000010
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SPUM_SEC_POLICY3_MASK_SHIFT      3
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SPUM_SEC_POLICY3_MASK_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SPUM_OPEN_POLICY3_MASK_SHIFT     2
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SPUM_OPEN_POLICY3_MASK_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_EXT_POLICY3_MASK_SHIFT           1
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_EXT_POLICY3_MASK_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SWITCH_POLICY3_MASK_SHIFT        0
#define    IKPS_CLK_MGR_REG_POLICY3_MASK_SWITCH_POLICY3_MASK_MASK         0x00000001

#define IKPS_CLK_MGR_REG_INTEN_OFFSET                                     0x00000020
#define IKPS_CLK_MGR_REG_INTEN_TYPE                                       UInt32
#define IKPS_CLK_MGR_REG_INTEN_RESERVED_MASK                              0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_SHIFT                  31
#define    IKPS_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_MASK                   0x80000000
#define    IKPS_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_SHIFT                  1
#define    IKPS_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_MASK                   0x00000002
#define    IKPS_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_SHIFT                  0
#define    IKPS_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_MASK                   0x00000001

#define IKPS_CLK_MGR_REG_INTSTAT_OFFSET                                   0x00000024
#define IKPS_CLK_MGR_REG_INTSTAT_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_INTSTAT_RESERVED_MASK                            0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_SHIFT                 1
#define    IKPS_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_MASK                  0x00000002
#define    IKPS_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_SHIFT                 0
#define    IKPS_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_MASK                  0x00000001

#define IKPS_CLK_MGR_REG_VLT_PERI_OFFSET                                  0x00000030
#define IKPS_CLK_MGR_REG_VLT_PERI_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_VLT_PERI_RESERVED_MASK                           0x7FFFF0F0
#define    IKPS_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_SHIFT                  8
#define    IKPS_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_MASK                   0x00000F00
#define    IKPS_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_SHIFT                0
#define    IKPS_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_MASK                 0x0000000F

#define IKPS_CLK_MGR_REG_LVM_EN_OFFSET                                    0x00000034
#define IKPS_CLK_MGR_REG_LVM_EN_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_LVM_EN_RESERVED_MASK                             0x7FFFFFFE
#define    IKPS_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_SHIFT                 0
#define    IKPS_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_MASK                  0x00000001

#define IKPS_CLK_MGR_REG_LVM0_3_OFFSET                                    0x00000038
#define IKPS_CLK_MGR_REG_LVM0_3_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_LVM0_3_RESERVED_MASK                             0x7FFF0000
#define    IKPS_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_SHIFT                     12
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_MASK                      0x0000F000
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_SHIFT                     8
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_MASK                      0x00000F00
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_SHIFT                     4
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_MASK                      0x000000F0
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_SHIFT                     0
#define    IKPS_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_MASK                      0x0000000F

#define IKPS_CLK_MGR_REG_LVM4_7_OFFSET                                    0x0000003C
#define IKPS_CLK_MGR_REG_LVM4_7_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_LVM4_7_RESERVED_MASK                             0x7FFF0000
#define    IKPS_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_SHIFT                     12
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_MASK                      0x0000F000
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_SHIFT                     8
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_MASK                      0x00000F00
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_SHIFT                     4
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_MASK                      0x000000F0
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_SHIFT                     0
#define    IKPS_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_MASK                      0x0000000F

#define IKPS_CLK_MGR_REG_VLT0_3_OFFSET                                    0x00000040
#define IKPS_CLK_MGR_REG_VLT0_3_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_VLT0_3_RESERVED_MASK                             0x70F0F0F0
#define    IKPS_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_SHIFT                     24
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_MASK                      0x0F000000
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_SHIFT                     16
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_MASK                      0x000F0000
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_SHIFT                     8
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_MASK                      0x00000F00
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_SHIFT                     0
#define    IKPS_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_MASK                      0x0000000F

#define IKPS_CLK_MGR_REG_VLT4_7_OFFSET                                    0x00000044
#define IKPS_CLK_MGR_REG_VLT4_7_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_VLT4_7_RESERVED_MASK                             0x70F0F0F0
#define    IKPS_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_SHIFT                     24
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_MASK                      0x0F000000
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_SHIFT                     16
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_MASK                      0x000F0000
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_SHIFT                     8
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_MASK                      0x00000F00
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_SHIFT                     0
#define    IKPS_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_MASK                      0x0000000F

#define IKPS_CLK_MGR_REG_BUS_QUIESC_OFFSET                                0x00000100
#define IKPS_CLK_MGR_REG_BUS_QUIESC_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_BUS_QUIESC_RESERVED_MASK                         0x7FFFBFFF
#define    IKPS_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_BUS_QUIESC_SWITCH_AXI_SWITCH_REQGNT_INH_SHIFT 14
#define    IKPS_CLK_MGR_REG_BUS_QUIESC_SWITCH_AXI_SWITCH_REQGNT_INH_MASK  0x00004000

#define IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_OFFSET                        0x00000200
#define IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_TYPE                          UInt32
#define IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_RESERVED_MASK                 0x6FFEFCFD
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_VOLTAGE_LEVEL_SHIFT 28
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_VOLTAGE_LEVEL_MASK  0x10000000
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_STPRSTS_SHIFT   16
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_STPRSTS_MASK    0x00010000
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HYST_EN_SHIFT   9
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HYST_EN_MASK    0x00000200
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HYST_VAL_SHIFT  8
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HYST_VAL_MASK   0x00000100
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_AXI_SWITCH_CLKGATE_SWITCH_AXI_HW_SW_GATING_SEL_MASK 0x00000002

#define IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_OFFSET                           0x00000204
#define IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_TYPE                             UInt32
#define IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_RESERVED_MASK                    0x6FFEFCFD
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_VOLTAGE_LEVEL_SHIFT       28
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_VOLTAGE_LEVEL_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_STPRSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_STPRSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HYST_EN_SHIFT         9
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HYST_EN_MASK          0x00000200
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HYST_VAL_SHIFT        8
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HYST_VAL_MASK         0x00000100
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_AXI_EXT_CLKGATE_EXT_AXI_HW_SW_GATING_SEL_MASK 0x00000002

#define IKPS_CLK_MGR_REG_AHB1_CLKGATE_OFFSET                              0x00000210
#define IKPS_CLK_MGR_REG_AHB1_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_AHB1_CLKGATE_RESERVED_MASK                       0x7FFEFCFE
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_STPRSTS_SHIFT               16
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_STPRSTS_MASK                0x00010000
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_HYST_EN_SHIFT               9
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_HYST_EN_MASK                0x00000200
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_HYST_VAL_SHIFT              8
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_HYST_VAL_MASK               0x00000100
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_CLK_EN_SHIFT                0
#define    IKPS_CLK_MGR_REG_AHB1_CLKGATE_AHB1_CLK_EN_MASK                 0x00000001

#define IKPS_CLK_MGR_REG_APB1_CLKGATE_OFFSET                              0x00000220
#define IKPS_CLK_MGR_REG_APB1_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_APB1_CLKGATE_RESERVED_MASK                       0x7FFEFCFE
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_STPRSTS_SHIFT               16
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_STPRSTS_MASK                0x00010000
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_HYST_EN_SHIFT               9
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_HYST_EN_MASK                0x00000200
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_HYST_VAL_SHIFT              8
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_HYST_VAL_MASK               0x00000100
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_CLK_EN_SHIFT                0
#define    IKPS_CLK_MGR_REG_APB1_CLKGATE_APB1_CLK_EN_MASK                 0x00000001

#define IKPS_CLK_MGR_REG_APB2_CLKGATE_OFFSET                              0x00000224
#define IKPS_CLK_MGR_REG_APB2_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_APB2_CLKGATE_RESERVED_MASK                       0x7FFEFCFC
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_STPRSTS_SHIFT               16
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_STPRSTS_MASK                0x00010000
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HYST_EN_SHIFT               9
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HYST_EN_MASK                0x00000200
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HYST_VAL_SHIFT              8
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HYST_VAL_MASK               0x00000100
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HW_SW_GATING_SEL_SHIFT      1
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_HW_SW_GATING_SEL_MASK       0x00000002
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_CLK_EN_SHIFT                0
#define    IKPS_CLK_MGR_REG_APB2_CLKGATE_APB2_CLK_EN_MASK                 0x00000001

#define IKPS_CLK_MGR_REG_APB3_CLKGATE_OFFSET                              0x00000228
#define IKPS_CLK_MGR_REG_APB3_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_APB3_CLKGATE_RESERVED_MASK                       0x7FFEFCFE
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_STPRSTS_SHIFT               16
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_STPRSTS_MASK                0x00010000
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_HYST_EN_SHIFT               9
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_HYST_EN_MASK                0x00000200
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_HYST_VAL_SHIFT              8
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_HYST_VAL_MASK               0x00000100
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_CLK_EN_SHIFT                0
#define    IKPS_CLK_MGR_REG_APB3_CLKGATE_APB3_CLK_EN_MASK                 0x00000001

#define IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_OFFSET                          0x00000230
#define IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_TYPE                            UInt32
#define IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_RESERVED_MASK                   0x7FFEFCFE
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_STPRSTS_SHIFT       16
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_STPRSTS_MASK        0x00010000
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_HYST_EN_SHIFT       9
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_HYST_EN_MASK        0x00000200
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_HYST_VAL_SHIFT      8
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_HYST_VAL_MASK       0x00000100
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_CLK_EN_SHIFT        0
#define    IKPS_CLK_MGR_REG_APB2_REG_CLKGATE_APB2_REG_CLK_EN_MASK         0x00000001

#define IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_OFFSET                          0x00000300
#define IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_TYPE                            UInt32
#define IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_RESERVED_MASK                   0x7FFAF3F0
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_STPRSTS_SHIFT       18
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_STPRSTS_MASK        0x00040000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_STPRSTS_SHIFT   16
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_STPRSTS_MASK    0x00010000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HYST_EN_SHIFT       11
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HYST_EN_MASK        0x00000800
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HYST_VAL_SHIFT      10
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HYST_VAL_MASK       0x00000400
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HW_SW_GATING_SEL_SHIFT 3
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_HW_SW_GATING_SEL_MASK 0x00000008
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_CLK_EN_SHIFT        2
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_CLK_EN_MASK         0x00000004
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_CLK_EN_SHIFT    0
#define    IKPS_CLK_MGR_REG_SPUM_SEC_CLKGATE_SPUM_SEC_AXI_CLK_EN_MASK     0x00000001

#define IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_OFFSET                         0x00000304
#define IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_TYPE                           UInt32
#define IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_RESERVED_MASK                  0x7FFAF3F0
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_PRIV_ACCESS_MODE_SHIFT      31
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_PRIV_ACCESS_MODE_MASK       0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_STPRSTS_SHIFT     18
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_STPRSTS_MASK      0x00040000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_STPRSTS_SHIFT 16
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_STPRSTS_MASK  0x00010000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HYST_EN_SHIFT     11
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HYST_EN_MASK      0x00000800
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HYST_VAL_SHIFT    10
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HYST_VAL_MASK     0x00000400
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HW_SW_GATING_SEL_SHIFT 3
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_HW_SW_GATING_SEL_MASK 0x00000008
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_CLK_EN_SHIFT      2
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_CLK_EN_MASK       0x00000004
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_CLK_EN_SHIFT  0
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_CLKGATE_SPUM_OPEN_AXI_CLK_EN_MASK   0x00000001

#define IKPS_CLK_MGR_REG_MSPRO_CLKGATE_OFFSET                             0x00000340
#define IKPS_CLK_MGR_REG_MSPRO_CLKGATE_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_MSPRO_CLKGATE_RESERVED_MASK                      0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_VOLTAGE_LEVEL_SHIFT       28
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_VOLTAGE_LEVEL_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_STPRSTS_SHIFT             18
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_STPRSTS_MASK              0x00040000
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_STPRSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_STPRSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_HW_SW_GATING_SEL_SHIFT    3
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_HW_SW_GATING_SEL_MASK     0x00000008
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_CLK_EN_SHIFT              2
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_CLK_EN_MASK               0x00000004
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_CLK_EN_SHIFT          0
#define    IKPS_CLK_MGR_REG_MSPRO_CLKGATE_MSPRO_AHB_CLK_EN_MASK           0x00000001

#define IKPS_CLK_MGR_REG_MAGIC_CLKGATE_OFFSET                             0x00000344
#define IKPS_CLK_MGR_REG_MAGIC_CLKGATE_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_MAGIC_CLKGATE_RESERVED_MASK                      0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_VOLTAGE_LEVEL_SHIFT       28
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_VOLTAGE_LEVEL_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_STPRSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_STPRSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_CLK_EN_SHIFT          0
#define    IKPS_CLK_MGR_REG_MAGIC_CLKGATE_MAGIC_AHB_CLK_EN_MASK           0x00000001

#define IKPS_CLK_MGR_REG_CRC_CLKGATE_OFFSET                               0x00000348
#define IKPS_CLK_MGR_REG_CRC_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_CRC_CLKGATE_RESERVED_MASK                        0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_VOLTAGE_LEVEL_SHIFT           28
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_VOLTAGE_LEVEL_MASK            0x10000000
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_STPRSTS_SHIFT             16
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_STPRSTS_MASK              0x00010000
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_HW_SW_GATING_SEL_SHIFT    1
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_HW_SW_GATING_SEL_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_CLK_EN_SHIFT              0
#define    IKPS_CLK_MGR_REG_CRC_CLKGATE_CRC_AHB_CLK_EN_MASK               0x00000001

#define IKPS_CLK_MGR_REG_MPHI_CLKGATE_OFFSET                              0x0000034C
#define IKPS_CLK_MGR_REG_MPHI_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_MPHI_CLKGATE_RESERVED_MASK                       0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_MPHI_CLKGATE_MPHI_AHB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_UARTB_CLKGATE_OFFSET                             0x00000400
#define IKPS_CLK_MGR_REG_UARTB_CLKGATE_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_UARTB_CLKGATE_RESERVED_MASK                      0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_VOLTAGE_LEVEL_SHIFT       28
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_VOLTAGE_LEVEL_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_STPRSTS_SHIFT             18
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_STPRSTS_MASK              0x00040000
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_STPRSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_STPRSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_HW_SW_GATING_SEL_SHIFT    3
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_HW_SW_GATING_SEL_MASK     0x00000008
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_CLK_EN_SHIFT              2
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_CLK_EN_MASK               0x00000004
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_CLK_EN_SHIFT          0
#define    IKPS_CLK_MGR_REG_UARTB_CLKGATE_UARTB_APB_CLK_EN_MASK           0x00000001

#define IKPS_CLK_MGR_REG_UARTB2_CLKGATE_OFFSET                            0x00000404
#define IKPS_CLK_MGR_REG_UARTB2_CLKGATE_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_UARTB2_CLKGATE_RESERVED_MASK                     0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_VOLTAGE_LEVEL_SHIFT     28
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_VOLTAGE_LEVEL_MASK      0x10000000
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_STPRSTS_SHIFT           18
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_STPRSTS_MASK            0x00040000
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_STPRSTS_SHIFT       16
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_STPRSTS_MASK        0x00010000
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_HW_SW_GATING_SEL_SHIFT  3
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_HW_SW_GATING_SEL_MASK   0x00000008
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_CLK_EN_SHIFT            2
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_CLK_EN_MASK             0x00000004
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_CLK_EN_SHIFT        0
#define    IKPS_CLK_MGR_REG_UARTB2_CLKGATE_UARTB2_APB_CLK_EN_MASK         0x00000001

#define IKPS_CLK_MGR_REG_UARTB3_CLKGATE_OFFSET                            0x00000408
#define IKPS_CLK_MGR_REG_UARTB3_CLKGATE_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_UARTB3_CLKGATE_RESERVED_MASK                     0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_VOLTAGE_LEVEL_SHIFT     28
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_VOLTAGE_LEVEL_MASK      0x10000000
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_STPRSTS_SHIFT           18
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_STPRSTS_MASK            0x00040000
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_STPRSTS_SHIFT       16
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_STPRSTS_MASK        0x00010000
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_HW_SW_GATING_SEL_SHIFT  3
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_HW_SW_GATING_SEL_MASK   0x00000008
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_CLK_EN_SHIFT            2
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_CLK_EN_MASK             0x00000004
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_CLK_EN_SHIFT        0
#define    IKPS_CLK_MGR_REG_UARTB3_CLKGATE_UARTB3_APB_CLK_EN_MASK         0x00000001

#define IKPS_CLK_MGR_REG_UARTB4_CLKGATE_OFFSET                            0x0000040C
#define IKPS_CLK_MGR_REG_UARTB4_CLKGATE_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_UARTB4_CLKGATE_RESERVED_MASK                     0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_VOLTAGE_LEVEL_SHIFT     28
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_VOLTAGE_LEVEL_MASK      0x10000000
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_STPRSTS_SHIFT           18
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_STPRSTS_MASK            0x00040000
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_STPRSTS_SHIFT       16
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_STPRSTS_MASK        0x00010000
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_HW_SW_GATING_SEL_SHIFT  3
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_HW_SW_GATING_SEL_MASK   0x00000008
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_CLK_EN_SHIFT            2
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_CLK_EN_MASK             0x00000004
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_CLK_EN_SHIFT        0
#define    IKPS_CLK_MGR_REG_UARTB4_CLKGATE_UARTB4_APB_CLK_EN_MASK         0x00000001

#define IKPS_CLK_MGR_REG_SSP0_CLKGATE_OFFSET                              0x00000410
#define IKPS_CLK_MGR_REG_SSP0_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_SSP0_CLKGATE_RESERVED_MASK                       0x6FEACFC0
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_STPRSTS_SHIFT         20
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_STPRSTS_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HYST_EN_SHIFT         13
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HYST_EN_MASK          0x00002000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HYST_VAL_SHIFT        12
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HYST_VAL_MASK         0x00001000
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HW_SW_GATING_SEL_SHIFT 5
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_HW_SW_GATING_SEL_MASK 0x00000020
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_CLK_EN_SHIFT          4
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_AUDIO_CLK_EN_MASK           0x00000010
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_SSP0_CLKGATE_SSP0_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_SSP1_CLKGATE_OFFSET                              0x00000414
#define IKPS_CLK_MGR_REG_SSP1_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_SSP1_CLKGATE_RESERVED_MASK                       0x6FEACFC0
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_STPRSTS_SHIFT         20
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_STPRSTS_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HYST_EN_SHIFT         13
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HYST_EN_MASK          0x00002000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HYST_VAL_SHIFT        12
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HYST_VAL_MASK         0x00001000
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HW_SW_GATING_SEL_SHIFT 5
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_HW_SW_GATING_SEL_MASK 0x00000020
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_CLK_EN_SHIFT          4
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_AUDIO_CLK_EN_MASK           0x00000010
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_SSP1_CLKGATE_SSP1_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_SSP2_CLKGATE_OFFSET                              0x00000418
#define IKPS_CLK_MGR_REG_SSP2_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_SSP2_CLKGATE_RESERVED_MASK                       0x6FEACFC0
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_STPRSTS_SHIFT         20
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_STPRSTS_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HYST_EN_SHIFT         13
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HYST_EN_MASK          0x00002000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HYST_VAL_SHIFT        12
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HYST_VAL_MASK         0x00001000
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HW_SW_GATING_SEL_SHIFT 5
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_HW_SW_GATING_SEL_MASK 0x00000020
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_CLK_EN_SHIFT          4
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_AUDIO_CLK_EN_MASK           0x00000010
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_SSP2_CLKGATE_SSP2_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_IRDA_CLKGATE_OFFSET                              0x00000424
#define IKPS_CLK_MGR_REG_IRDA_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_IRDA_CLKGATE_RESERVED_MASK                       0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_IRDA_CLKGATE_IRDA_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_I2S_CLKGATE_OFFSET                               0x00000428
#define IKPS_CLK_MGR_REG_I2S_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_I2S_CLKGATE_RESERVED_MASK                        0x6FEAFFC0
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_VOLTAGE_LEVEL_SHIFT           28
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_VOLTAGE_LEVEL_MASK            0x10000000
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_STPRSTS_SHIFT        20
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_STPRSTS_MASK         0x00100000
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_STPRSTS_SHIFT                 18
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_STPRSTS_MASK                  0x00040000
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_STPRSTS_SHIFT             16
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_STPRSTS_MASK              0x00010000
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_HW_SW_GATING_SEL_SHIFT 5
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_HW_SW_GATING_SEL_MASK 0x00000020
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_CLK_EN_SHIFT         4
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_SIDETONE_CLK_EN_MASK          0x00000010
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_HW_SW_GATING_SEL_SHIFT        3
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_HW_SW_GATING_SEL_MASK         0x00000008
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_CLK_EN_SHIFT                  2
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_CLK_EN_MASK                   0x00000004
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_HW_SW_GATING_SEL_SHIFT    1
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_HW_SW_GATING_SEL_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_CLK_EN_SHIFT              0
#define    IKPS_CLK_MGR_REG_I2S_CLKGATE_I2S_APB_CLK_EN_MASK               0x00000001

#define IKPS_CLK_MGR_REG_TIMERS_CLKGATE_OFFSET                            0x00000434
#define IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_TIMERS_CLKGATE_RESERVED_MASK                     0x6FFAFFF0
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_VOLTAGE_LEVEL_SHIFT     28
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_VOLTAGE_LEVEL_MASK      0x10000000
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_STPRSTS_SHIFT           18
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_STPRSTS_MASK            0x00040000
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_STPRSTS_SHIFT       16
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_STPRSTS_MASK        0x00010000
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_HW_SW_GATING_SEL_SHIFT  3
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_HW_SW_GATING_SEL_MASK   0x00000008
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_CLK_EN_SHIFT            2
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_CLK_EN_MASK             0x00000004
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_CLK_EN_SHIFT        0
#define    IKPS_CLK_MGR_REG_TIMERS_CLKGATE_TIMERS_APB_CLK_EN_MASK         0x00000001

#define IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_OFFSET                          0x00000438
#define IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_TYPE                            UInt32
#define IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_RESERVED_MASK                   0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_VOLTAGE_LEVEL_SHIFT 28
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_VOLTAGE_LEVEL_MASK  0x10000000
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_STPRSTS_SHIFT   16
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_STPRSTS_MASK    0x00010000
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_CLK_EN_SHIFT    0
#define    IKPS_CLK_MGR_REG_DMAC_MUX_CLKGATE_DMAC_MUX_APB_CLK_EN_MASK     0x00000001

#define IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_OFFSET                           0x00000450
#define IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_TYPE                             UInt32
#define IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_RESERVED_MASK                    0x6FFEFCFC
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_VOLTAGE_LEVEL_SHIFT   28
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_VOLTAGE_LEVEL_MASK    0x10000000
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_STPRSTS_SHIFT     16
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_STPRSTS_MASK      0x00010000
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HYST_EN_SHIFT     9
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HYST_EN_MASK      0x00000200
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HYST_VAL_SHIFT    8
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HYST_VAL_MASK     0x00000100
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_CLK_EN_SHIFT      0
#define    IKPS_CLK_MGR_REG_HDMIKEY_CLKGATE_HDMIKEY_APB_CLK_EN_MASK       0x00000001

#define IKPS_CLK_MGR_REG_D1W_CLKGATE_OFFSET                               0x00000454
#define IKPS_CLK_MGR_REG_D1W_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_D1W_CLKGATE_RESERVED_MASK                        0x6FFAFCF0
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_VOLTAGE_LEVEL_SHIFT           28
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_VOLTAGE_LEVEL_MASK            0x10000000
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_STPRSTS_SHIFT                 18
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_STPRSTS_MASK                  0x00040000
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_STPRSTS_SHIFT             16
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_STPRSTS_MASK              0x00010000
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HYST_EN_SHIFT             9
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HYST_EN_MASK              0x00000200
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HYST_VAL_SHIFT            8
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HYST_VAL_MASK             0x00000100
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_HW_SW_GATING_SEL_SHIFT        3
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_HW_SW_GATING_SEL_MASK         0x00000008
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_CLK_EN_SHIFT                  2
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_CLK_EN_MASK                   0x00000004
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HW_SW_GATING_SEL_SHIFT    1
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_HW_SW_GATING_SEL_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_CLK_EN_SHIFT              0
#define    IKPS_CLK_MGR_REG_D1W_CLKGATE_D1W_APB_CLK_EN_MASK               0x00000001

#define IKPS_CLK_MGR_REG_BSC1_CLKGATE_OFFSET                              0x00000458
#define IKPS_CLK_MGR_REG_BSC1_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_BSC1_CLKGATE_RESERVED_MASK                       0x6FFAFCF0
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HYST_EN_SHIFT           9
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HYST_EN_MASK            0x00000200
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HYST_VAL_SHIFT          8
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HYST_VAL_MASK           0x00000100
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_BSC1_CLKGATE_BSC1_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_BSC2_CLKGATE_OFFSET                              0x0000045C
#define IKPS_CLK_MGR_REG_BSC2_CLKGATE_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_BSC2_CLKGATE_RESERVED_MASK                       0x6FFAFCF0
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_VOLTAGE_LEVEL_SHIFT         28
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_VOLTAGE_LEVEL_MASK          0x10000000
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_STPRSTS_SHIFT               18
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_STPRSTS_MASK                0x00040000
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_STPRSTS_SHIFT           16
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_STPRSTS_MASK            0x00010000
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HYST_EN_SHIFT           9
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HYST_EN_MASK            0x00000200
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HYST_VAL_SHIFT          8
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HYST_VAL_MASK           0x00000100
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_HW_SW_GATING_SEL_SHIFT      3
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_HW_SW_GATING_SEL_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_CLK_EN_SHIFT                2
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_CLK_EN_MASK                 0x00000004
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HW_SW_GATING_SEL_SHIFT  1
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_CLK_EN_SHIFT            0
#define    IKPS_CLK_MGR_REG_BSC2_CLKGATE_BSC2_APB_CLK_EN_MASK             0x00000001

#define IKPS_CLK_MGR_REG_ADC_CLKGATE_OFFSET                               0x00000464
#define IKPS_CLK_MGR_REG_ADC_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_ADC_CLKGATE_RESERVED_MASK                        0x6FFAFCF0
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_VOLTAGE_LEVEL_SHIFT        28
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_VOLTAGE_LEVEL_MASK         0x10000000
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_STPRSTS_SHIFT              18
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_STPRSTS_MASK               0x00040000
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_STPRSTS_SHIFT          16
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_STPRSTS_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HYST_EN_SHIFT          9
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HYST_EN_MASK           0x00000200
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HYST_VAL_SHIFT         8
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HYST_VAL_MASK          0x00000100
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_HW_SW_GATING_SEL_SHIFT     3
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_HW_SW_GATING_SEL_MASK      0x00000008
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_CLK_EN_SHIFT               2
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_CLK_EN_MASK                0x00000004
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_HW_SW_GATING_SEL_MASK  0x00000002
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_CLK_EN_SHIFT           0
#define    IKPS_CLK_MGR_REG_ADC_CLKGATE_AUXADC_APB_CLK_EN_MASK            0x00000001

#define IKPS_CLK_MGR_REG_PWM_CLKGATE_OFFSET                               0x00000468
#define IKPS_CLK_MGR_REG_PWM_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_PWM_CLKGATE_RESERVED_MASK                        0x6FFAFCF0
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_VOLTAGE_LEVEL_SHIFT           28
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_VOLTAGE_LEVEL_MASK            0x10000000
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_STPRSTS_SHIFT                 18
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_STPRSTS_MASK                  0x00040000
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_STPRSTS_SHIFT             16
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_STPRSTS_MASK              0x00010000
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HYST_EN_SHIFT             9
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HYST_EN_MASK              0x00000200
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HYST_VAL_SHIFT            8
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HYST_VAL_MASK             0x00000100
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_HW_SW_GATING_SEL_SHIFT        3
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_HW_SW_GATING_SEL_MASK         0x00000008
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_CLK_EN_SHIFT                  2
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_CLK_EN_MASK                   0x00000004
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HW_SW_GATING_SEL_SHIFT    1
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_HW_SW_GATING_SEL_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_CLK_EN_SHIFT              0
#define    IKPS_CLK_MGR_REG_PWM_CLKGATE_PWM_APB_CLK_EN_MASK               0x00000001

#define IKPS_CLK_MGR_REG_BBL_CLKGATE_OFFSET                               0x0000046C
#define IKPS_CLK_MGR_REG_BBL_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_BBL_CLKGATE_RESERVED_MASK                        0x6FFEFCFC
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_VOLTAGE_LEVEL_SHIFT       28
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_VOLTAGE_LEVEL_MASK        0x10000000
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_STPRSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_STPRSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HYST_EN_SHIFT         9
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HYST_EN_MASK          0x00000200
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HYST_VAL_SHIFT        8
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HYST_VAL_MASK         0x00000100
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_CLK_EN_SHIFT          0
#define    IKPS_CLK_MGR_REG_BBL_CLKGATE_BBL_REG_APB_CLK_EN_MASK           0x00000001

#define IKPS_CLK_MGR_REG_DAP_CLKGATE_OFFSET                               0x00000470
#define IKPS_CLK_MGR_REG_DAP_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_DAP_CLKGATE_RESERVED_MASK                        0x7FFEFCFC
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_STPRSTS_SHIFT                 16
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_STPRSTS_MASK                  0x00010000
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_EN_SHIFT                 9
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_EN_MASK                  0x00000200
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_VAL_SHIFT                8
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HYST_VAL_MASK                 0x00000100
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HW_SW_GATING_SEL_SHIFT        1
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_HW_SW_GATING_SEL_MASK         0x00000002
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_CLK_EN_SHIFT                  0
#define    IKPS_CLK_MGR_REG_DAP_CLKGATE_DAP_CLK_EN_MASK                   0x00000001

#define IKPS_CLK_MGR_REG_SPUM_SEC_DIV_OFFSET                              0x00000900
#define IKPS_CLK_MGR_REG_SPUM_SEC_DIV_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_SPUM_SEC_DIV_RESERVED_MASK                       0x7CFFFFF0
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_PLL_SELECT_SHIFT        24
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_PLL_SELECT_MASK         0x03000000
#define       IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_DIV_SHIFT               0
#define    IKPS_CLK_MGR_REG_SPUM_SEC_DIV_SPUM_SEC_DIV_MASK                0x0000000F

#define IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_OFFSET                             0x00000908
#define IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_RESERVED_MASK                      0x7CFFFFF0
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_PLL_SELECT_SHIFT      24
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_PLL_SELECT_MASK       0x03000000
#define       IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_DIV_SHIFT             0
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_DIV_SPUM_OPEN_DIV_MASK              0x0000000F

#define IKPS_CLK_MGR_REG_HSM_CLKGATE_OFFSET                               0x00000910
#define IKPS_CLK_MGR_REG_HSM_CLKGATE_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_HSM_CLKGATE_RESERVED_MASK                        0x7FFAF0F0
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_STPRSTS_SHIFT             18
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_STPRSTS_MASK              0x00040000
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_STPRSTS_SHIFT             16
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_STPRSTS_MASK              0x00010000
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HYST_EN_SHIFT             11
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HYST_EN_MASK              0x00000800
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HYST_VAL_SHIFT            10
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HYST_VAL_MASK             0x00000400
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HYST_EN_SHIFT             9
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HYST_EN_MASK              0x00000200
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HYST_VAL_SHIFT            8
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HYST_VAL_MASK             0x00000100
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HW_SW_GATING_SEL_SHIFT    3
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_HW_SW_GATING_SEL_MASK     0x00000008
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_CLK_EN_SHIFT              2
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_APB_CLK_EN_MASK               0x00000004
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HW_SW_GATING_SEL_SHIFT    1
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_HW_SW_GATING_SEL_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_CLK_EN_SHIFT              0
#define    IKPS_CLK_MGR_REG_HSM_CLKGATE_HSM_AHB_CLK_EN_MASK               0x00000001

#define IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_OFFSET                      0x00000918
#define IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_TYPE                        UInt32
#define IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_RESERVED_MASK               0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_VOLTAGE_LEVEL_SHIFT 28
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_VOLTAGE_LEVEL_MASK 0x10000000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_STPRSTS_SHIFT 16
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_STPRSTS_MASK 0x00010000
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_CLK_EN_SHIFT 0
#define    IKPS_CLK_MGR_REG_SPUM_SEC_APB_CLKGATE_SPUM_SEC_APB_CLK_EN_MASK 0x00000001

#define IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_OFFSET                     0x00000920
#define IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_TYPE                       UInt32
#define IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_RESERVED_MASK              0x6FFEFFFC
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_PRIV_ACCESS_MODE_SHIFT  31
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_PRIV_ACCESS_MODE_MASK   0x80000000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_VOLTAGE_LEVEL_SHIFT 28
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_VOLTAGE_LEVEL_MASK 0x10000000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_STPRSTS_SHIFT 16
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_STPRSTS_MASK 0x00010000
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_HW_SW_GATING_SEL_SHIFT 1
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_CLK_EN_SHIFT 0
#define    IKPS_CLK_MGR_REG_SPUM_OPEN_APB_CLKGATE_SPUM_OPEN_APB_CLK_EN_MASK 0x00000001

#define IKPS_CLK_MGR_REG_MSPRO_DIV_OFFSET                                 0x00000A0C
#define IKPS_CLK_MGR_REG_MSPRO_DIV_TYPE                                   UInt32
#define IKPS_CLK_MGR_REG_MSPRO_DIV_RESERVED_MASK                          0x7FFFFE0C
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_DIV_SHIFT                     4
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_DIV_MASK                      0x000001F0
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_PLL_SELECT_SHIFT              0
#define    IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_PLL_SELECT_MASK               0x00000003
#define       IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_MSPRO_DIV_MSPRO_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001

#define IKPS_CLK_MGR_REG_UARTB_DIV_OFFSET                                 0x00000A10
#define IKPS_CLK_MGR_REG_UARTB_DIV_TYPE                                   UInt32
#define IKPS_CLK_MGR_REG_UARTB_DIV_RESERVED_MASK                          0x7FFF000C
#define    IKPS_CLK_MGR_REG_UARTB_DIV_PRIV_ACCESS_MODE_SHIFT              31
#define    IKPS_CLK_MGR_REG_UARTB_DIV_PRIV_ACCESS_MODE_MASK               0x80000000
#define    IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_DIV_SHIFT                     4
#define    IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_DIV_MASK                      0x0000FFF0
#define    IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_PLL_SELECT_SHIFT              0
#define    IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_PLL_SELECT_MASK               0x00000003
#define       IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_PLL_SELECT_CMD_VAR_156M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_UARTB_DIV_UARTB_PLL_SELECT_CMD_REF_156M_CLK 0x00000002

#define IKPS_CLK_MGR_REG_UARTB2_DIV_OFFSET                                0x00000A14
#define IKPS_CLK_MGR_REG_UARTB2_DIV_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_UARTB2_DIV_RESERVED_MASK                         0x7FFF000C
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_DIV_SHIFT                   4
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_DIV_MASK                    0x0000FFF0
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_PLL_SELECT_SHIFT            0
#define    IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_PLL_SELECT_MASK             0x00000003
#define       IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_PLL_SELECT_CMD_VAR_156M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_UARTB2_DIV_UARTB2_PLL_SELECT_CMD_REF_156M_CLK 0x00000002

#define IKPS_CLK_MGR_REG_UARTB3_DIV_OFFSET                                0x00000A18
#define IKPS_CLK_MGR_REG_UARTB3_DIV_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_UARTB3_DIV_RESERVED_MASK                         0x7FFF000C
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_DIV_SHIFT                   4
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_DIV_MASK                    0x0000FFF0
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_PLL_SELECT_SHIFT            0
#define    IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_PLL_SELECT_MASK             0x00000003
#define       IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_PLL_SELECT_CMD_VAR_156M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_UARTB3_DIV_UARTB3_PLL_SELECT_CMD_REF_156M_CLK 0x00000002

#define IKPS_CLK_MGR_REG_UARTB4_DIV_OFFSET                                0x00000A1C
#define IKPS_CLK_MGR_REG_UARTB4_DIV_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_UARTB4_DIV_RESERVED_MASK                         0x7FFF000C
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_DIV_SHIFT                   4
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_DIV_MASK                    0x0000FFF0
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_PLL_SELECT_SHIFT            0
#define    IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_PLL_SELECT_MASK             0x00000003
#define       IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_PLL_SELECT_CMD_VAR_156M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_UARTB4_DIV_UARTB4_PLL_SELECT_CMD_REF_156M_CLK 0x00000002

#define IKPS_CLK_MGR_REG_SSP0_DIV_OFFSET                                  0x00000A20
#define IKPS_CLK_MGR_REG_SSP0_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_SSP0_DIV_RESERVED_MASK                           0x7FFC0008
#define    IKPS_CLK_MGR_REG_SSP0_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_SSP0_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_DIV_SHIFT                       4
#define    IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_DIV_MASK                        0x0003FFF0
#define    IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_MASK                 0x00000007
#define       IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_CMD_VAR_104M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_CMD_REF_104M_CLK  0x00000002
#define       IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_CMD_VAR_96M_CLK   0x00000003
#define       IKPS_CLK_MGR_REG_SSP0_DIV_SSP0_PLL_SELECT_CMD_REF_96M_CLK   0x00000004

#define IKPS_CLK_MGR_REG_SSP1_DIV_OFFSET                                  0x00000A24
#define IKPS_CLK_MGR_REG_SSP1_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_SSP1_DIV_RESERVED_MASK                           0x7FFC0008
#define    IKPS_CLK_MGR_REG_SSP1_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_SSP1_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_DIV_SHIFT                       4
#define    IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_DIV_MASK                        0x0003FFF0
#define    IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_MASK                 0x00000007
#define       IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_CMD_VAR_104M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_CMD_REF_104M_CLK  0x00000002
#define       IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_CMD_VAR_96M_CLK   0x00000003
#define       IKPS_CLK_MGR_REG_SSP1_DIV_SSP1_PLL_SELECT_CMD_REF_96M_CLK   0x00000004

#define IKPS_CLK_MGR_REG_SSP2_DIV_OFFSET                                  0x00000A28
#define IKPS_CLK_MGR_REG_SSP2_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_SSP2_DIV_RESERVED_MASK                           0x7FFC0008
#define    IKPS_CLK_MGR_REG_SSP2_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_SSP2_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_DIV_SHIFT                       4
#define    IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_DIV_MASK                        0x0003FFF0
#define    IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_MASK                 0x00000007
#define       IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_CMD_VAR_104M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_CMD_REF_104M_CLK  0x00000002
#define       IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_CMD_VAR_96M_CLK   0x00000003
#define       IKPS_CLK_MGR_REG_SSP2_DIV_SSP2_PLL_SELECT_CMD_REF_96M_CLK   0x00000004

#define IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_OFFSET                            0x00000A34
#define IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_RESERVED_MASK                     0x7000FF0C
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_DIV_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_DIV_MASK            0x0FFF0000
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_DIV_SHIFT       4
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_DIV_MASK        0x000000F0
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_PLL_SELECT_SHIFT 0
#define    IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_PLL_SELECT_MASK 0x00000003
#define       IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_SSP0_AUDIO_DIV_SSP0_AUDIO_PRE_PLL_SELECT_CMD_REF_CX40_CLK 0x00000002

#define IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_OFFSET                            0x00000A38
#define IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_RESERVED_MASK                     0x7000FF0C
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_DIV_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_DIV_MASK            0x0FFF0000
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_DIV_SHIFT       4
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_DIV_MASK        0x000000F0
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_PLL_SELECT_SHIFT 0
#define    IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_PLL_SELECT_MASK 0x00000003
#define       IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_SSP1_AUDIO_DIV_SSP1_AUDIO_PRE_PLL_SELECT_CMD_REF_CX40_CLK 0x00000002

#define IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_OFFSET                            0x00000A3C
#define IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_TYPE                              UInt32
#define IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_RESERVED_MASK                     0x7000FF0C
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_DIV_SHIFT           16
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_DIV_MASK            0x0FFF0000
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_DIV_SHIFT       4
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_DIV_MASK        0x000000F0
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_PLL_SELECT_SHIFT 0
#define    IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_PLL_SELECT_MASK 0x00000003
#define       IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_SSP2_AUDIO_DIV_SSP2_AUDIO_PRE_PLL_SELECT_CMD_REF_CX40_CLK 0x00000002

#define IKPS_CLK_MGR_REG_IRDA_DIV_OFFSET                                  0x00000A48
#define IKPS_CLK_MGR_REG_IRDA_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_IRDA_DIV_RESERVED_MASK                           0x7FFF000C
#define    IKPS_CLK_MGR_REG_IRDA_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_IRDA_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_DIV_SHIFT                       4
#define    IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_DIV_MASK                        0x0000FFF0
#define    IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_PLL_SELECT_MASK                 0x00000003
#define       IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_PLL_SELECT_CMD_VAR_156M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_IRDA_DIV_IRDA_PLL_SELECT_CMD_REF_156M_CLK  0x00000002

#define IKPS_CLK_MGR_REG_REF_I2S_DIV_OFFSET                               0x00000A4C
#define IKPS_CLK_MGR_REG_REF_I2S_DIV_TYPE                                 UInt32
#define IKPS_CLK_MGR_REG_REF_I2S_DIV_RESERVED_MASK                        0x7FFF000C
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_PRIV_ACCESS_MODE_SHIFT            31
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_DIV_SHIFT            4
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_DIV_MASK             0x0000FFF0
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_PLL_SELECT_SHIFT     0
#define    IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_PLL_SELECT_MASK      0x00000003
#define       IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_REF_I2S_DIV_REF_I2S_FRAC_PLL_SELECT_CMD_REF_312M_CLK 0x00000001

#define IKPS_CLK_MGR_REG_I2S_DIV_OFFSET                                   0x00000A50
#define IKPS_CLK_MGR_REG_I2S_DIV_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_I2S_DIV_RESERVED_MASK                            0x7FFFF00F
#define    IKPS_CLK_MGR_REG_I2S_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_I2S_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_I2S_DIV_I2S_DIV_SHIFT                         4
#define    IKPS_CLK_MGR_REG_I2S_DIV_I2S_DIV_MASK                          0x00000FF0

#define IKPS_CLK_MGR_REG_D1W_DIV_OFFSET                                   0x00000A60
#define IKPS_CLK_MGR_REG_D1W_DIV_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_D1W_DIV_RESERVED_MASK                            0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_D1W_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_D1W_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_D1W_DIV_D1W_PLL_SELECT_SHIFT                  0
#define    IKPS_CLK_MGR_REG_D1W_DIV_D1W_PLL_SELECT_MASK                   0x00000003
#define       IKPS_CLK_MGR_REG_D1W_DIV_D1W_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_D1W_DIV_D1W_PLL_SELECT_CMD_REF_1M_CLK      0x00000001

#define IKPS_CLK_MGR_REG_BSC1_DIV_OFFSET                                  0x00000A64
#define IKPS_CLK_MGR_REG_BSC1_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_BSC1_DIV_RESERVED_MASK                           0x7FFFFFF8
#define    IKPS_CLK_MGR_REG_BSC1_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_BSC1_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_MASK                 0x00000007
#define       IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_CMD_VAR_104M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_CMD_REF_104M_CLK  0x00000002
#define       IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_CMD_VAR_13M_CLK   0x00000003
#define       IKPS_CLK_MGR_REG_BSC1_DIV_BSC1_PLL_SELECT_CMD_REF_13M_CLK   0x00000004

#define IKPS_CLK_MGR_REG_BSC2_DIV_OFFSET                                  0x00000A68
#define IKPS_CLK_MGR_REG_BSC2_DIV_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_BSC2_DIV_RESERVED_MASK                           0x7FFFFFF8
#define    IKPS_CLK_MGR_REG_BSC2_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_BSC2_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_SHIFT                0
#define    IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_MASK                 0x00000007
#define       IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_CMD_VAR_104M_CLK  0x00000001
#define       IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_CMD_REF_104M_CLK  0x00000002
#define       IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_CMD_VAR_13M_CLK   0x00000003
#define       IKPS_CLK_MGR_REG_BSC2_DIV_BSC2_PLL_SELECT_CMD_REF_13M_CLK   0x00000004

#define IKPS_CLK_MGR_REG_AUXADC_DIV_OFFSET                                0x00000A6C
#define IKPS_CLK_MGR_REG_AUXADC_DIV_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_AUXADC_DIV_RESERVED_MASK                         0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_AUXADC_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_AUXADC_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_AUXADC_DIV_AUXADC_PLL_SELECT_SHIFT            0
#define    IKPS_CLK_MGR_REG_AUXADC_DIV_AUXADC_PLL_SELECT_MASK             0x00000003
#define       IKPS_CLK_MGR_REG_AUXADC_DIV_AUXADC_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_AUXADC_DIV_AUXADC_PLL_SELECT_CMD_VAR_13M_CLK 0x00000001
#define       IKPS_CLK_MGR_REG_AUXADC_DIV_AUXADC_PLL_SELECT_CMD_REF_13M_CLK 0x00000002

#define IKPS_CLK_MGR_REG_PWM_DIV_OFFSET                                   0x00000A70
#define IKPS_CLK_MGR_REG_PWM_DIV_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_PWM_DIV_RESERVED_MASK                            0x7FFFFF8C
#define    IKPS_CLK_MGR_REG_PWM_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_PWM_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_PWM_DIV_PWM_DIV_SHIFT                         4
#define    IKPS_CLK_MGR_REG_PWM_DIV_PWM_DIV_MASK                          0x00000070
#define    IKPS_CLK_MGR_REG_PWM_DIV_PWM_PLL_SELECT_SHIFT                  0
#define    IKPS_CLK_MGR_REG_PWM_DIV_PWM_PLL_SELECT_MASK                   0x00000003
#define       IKPS_CLK_MGR_REG_PWM_DIV_PWM_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_PWM_DIV_PWM_PLL_SELECT_CMD_VAR_104M_CLK    0x00000001

#define IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_OFFSET                          0x00000A74
#define IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_TYPE                            UInt32
#define IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_RESERVED_MASK                   0x7FFFFE0C
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_PRIV_ACCESS_MODE_SHIFT       31
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_PRIV_ACCESS_MODE_MASK        0x80000000
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_DIV_SHIFT       4
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_DIV_MASK        0x000001F0
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_PLL_SELECT_SHIFT 0
#define    IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_PLL_SELECT_MASK 0x00000003
#define       IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_I2S_SIDETONE_DIV_I2S_SIDETONE_PLL_SELECT_CMD_REF_104M_CLK 0x00000001

#define IKPS_CLK_MGR_REG_TIMERS_DIV_OFFSET                                0x00000A78
#define IKPS_CLK_MGR_REG_TIMERS_DIV_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_TIMERS_DIV_RESERVED_MASK                         0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_TIMERS_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_TIMERS_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_TIMERS_DIV_TIMERS_PLL_SELECT_SHIFT            0
#define    IKPS_CLK_MGR_REG_TIMERS_DIV_TIMERS_PLL_SELECT_MASK             0x00000003
#define       IKPS_CLK_MGR_REG_TIMERS_DIV_TIMERS_PLL_SELECT_CMD_REF_1M_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_TIMERS_DIV_TIMERS_PLL_SELECT_CMD_REF_32K_CLK 0x00000001

#define IKPS_CLK_MGR_REG_DIV_TRIG_OFFSET                                  0x00000AFC
#define IKPS_CLK_MGR_REG_DIV_TRIG_TYPE                                    UInt32
#define IKPS_CLK_MGR_REG_DIV_TRIG_RESERVED_MASK                           0x442C0001
#define    IKPS_CLK_MGR_REG_DIV_TRIG_PRIV_ACCESS_MODE_SHIFT               31
#define    IKPS_CLK_MGR_REG_DIV_TRIG_PRIV_ACCESS_MODE_MASK                0x80000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SPUM_OPEN_TRIGGER_SHIFT              29
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SPUM_OPEN_TRIGGER_MASK               0x20000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SPUM_SEC_TRIGGER_SHIFT               28
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SPUM_SEC_TRIGGER_MASK                0x10000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_I2S_SIDETONE_TRIGGER_SHIFT           27
#define    IKPS_CLK_MGR_REG_DIV_TRIG_I2S_SIDETONE_TRIGGER_MASK            0x08000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_AUXADC_TRIGGER_SHIFT                 25
#define    IKPS_CLK_MGR_REG_DIV_TRIG_AUXADC_TRIGGER_MASK                  0x02000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_BSC2_TRIGGER_SHIFT                   24
#define    IKPS_CLK_MGR_REG_DIV_TRIG_BSC2_TRIGGER_MASK                    0x01000000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_BSC1_TRIGGER_SHIFT                   23
#define    IKPS_CLK_MGR_REG_DIV_TRIG_BSC1_TRIGGER_MASK                    0x00800000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_D1W_TRIGGER_SHIFT                    22
#define    IKPS_CLK_MGR_REG_DIV_TRIG_D1W_TRIGGER_MASK                     0x00400000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_TIMERS_TRIGGER_SHIFT                 20
#define    IKPS_CLK_MGR_REG_DIV_TRIG_TIMERS_TRIGGER_MASK                  0x00100000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_REF_I2S_FRAC_TRIGGER_SHIFT           17
#define    IKPS_CLK_MGR_REG_DIV_TRIG_REF_I2S_FRAC_TRIGGER_MASK            0x00020000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_IRDA_TRIGGER_SHIFT                   16
#define    IKPS_CLK_MGR_REG_DIV_TRIG_IRDA_TRIGGER_MASK                    0x00010000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_PWM_TRIGGER_SHIFT                    15
#define    IKPS_CLK_MGR_REG_DIV_TRIG_PWM_TRIGGER_MASK                     0x00008000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_AUDIO_TRIGGER_SHIFT             14
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_AUDIO_TRIGGER_MASK              0x00004000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_AUDIO_TRIGGER_SHIFT             13
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_AUDIO_TRIGGER_MASK              0x00002000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_AUDIO_TRIGGER_SHIFT             12
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_AUDIO_TRIGGER_MASK              0x00001000
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_AUDIO_PRE_TRIGGER_SHIFT         11
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_AUDIO_PRE_TRIGGER_MASK          0x00000800
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_AUDIO_PRE_TRIGGER_SHIFT         10
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_AUDIO_PRE_TRIGGER_MASK          0x00000400
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_AUDIO_PRE_TRIGGER_SHIFT         9
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_AUDIO_PRE_TRIGGER_MASK          0x00000200
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_TRIGGER_SHIFT                   8
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP2_TRIGGER_MASK                    0x00000100
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_TRIGGER_SHIFT                   7
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP1_TRIGGER_MASK                    0x00000080
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_TRIGGER_SHIFT                   6
#define    IKPS_CLK_MGR_REG_DIV_TRIG_SSP0_TRIGGER_MASK                    0x00000040
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB4_TRIGGER_SHIFT                 5
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB4_TRIGGER_MASK                  0x00000020
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB3_TRIGGER_SHIFT                 4
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB3_TRIGGER_MASK                  0x00000010
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB2_TRIGGER_SHIFT                 3
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB2_TRIGGER_MASK                  0x00000008
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB_TRIGGER_SHIFT                  2
#define    IKPS_CLK_MGR_REG_DIV_TRIG_UARTB_TRIGGER_MASK                   0x00000004
#define    IKPS_CLK_MGR_REG_DIV_TRIG_MSPRO_TRIGGER_SHIFT                  1
#define    IKPS_CLK_MGR_REG_DIV_TRIG_MSPRO_TRIGGER_MASK                   0x00000002

#define IKPS_CLK_MGR_REG_DEBUG0_OFFSET                                    0x00000E00
#define IKPS_CLK_MGR_REG_DEBUG0_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG0_RESERVED_MASK                             0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_DEBUG0_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG0_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG0_EXT_AXI_POLICY_OVERRIDE_SHIFT          1
#define    IKPS_CLK_MGR_REG_DEBUG0_EXT_AXI_POLICY_OVERRIDE_MASK           0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG0_SWITCH_AXI_POLICY_OVERRIDE_SHIFT       0
#define    IKPS_CLK_MGR_REG_DEBUG0_SWITCH_AXI_POLICY_OVERRIDE_MASK        0x00000001

#define IKPS_CLK_MGR_REG_DEBUG1_OFFSET                                    0x00000E04
#define IKPS_CLK_MGR_REG_DEBUG1_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG1_RESERVED_MASK                             0x7FFFFF80
#define    IKPS_CLK_MGR_REG_DEBUG1_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG1_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG1_MPHI_AHB_POLICY_OVERRIDE_SHIFT         6
#define    IKPS_CLK_MGR_REG_DEBUG1_MPHI_AHB_POLICY_OVERRIDE_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_DEBUG1_CRC_AHB_POLICY_OVERRIDE_SHIFT          5
#define    IKPS_CLK_MGR_REG_DEBUG1_CRC_AHB_POLICY_OVERRIDE_MASK           0x00000020
#define    IKPS_CLK_MGR_REG_DEBUG1_MAGIC_AHB_POLICY_OVERRIDE_SHIFT        4
#define    IKPS_CLK_MGR_REG_DEBUG1_MAGIC_AHB_POLICY_OVERRIDE_MASK         0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG1_MSPRO_POLICY_OVERRIDE_SHIFT            3
#define    IKPS_CLK_MGR_REG_DEBUG1_MSPRO_POLICY_OVERRIDE_MASK             0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG1_MSPRO_AHB_POLICY_OVERRIDE_SHIFT        2
#define    IKPS_CLK_MGR_REG_DEBUG1_MSPRO_AHB_POLICY_OVERRIDE_MASK         0x00000004
#define    IKPS_CLK_MGR_REG_DEBUG1_SPUM_OPEN_AXI_POLICY_OVERRIDE_SHIFT    1
#define    IKPS_CLK_MGR_REG_DEBUG1_SPUM_OPEN_AXI_POLICY_OVERRIDE_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG1_SPUM_SEC_AXI_POLICY_OVERRIDE_SHIFT     0
#define    IKPS_CLK_MGR_REG_DEBUG1_SPUM_SEC_AXI_POLICY_OVERRIDE_MASK      0x00000001

#define IKPS_CLK_MGR_REG_DEBUG2_OFFSET                                    0x00000E08
#define IKPS_CLK_MGR_REG_DEBUG2_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG2_RESERVED_MASK                             0x78033180
#define    IKPS_CLK_MGR_REG_DEBUG2_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG2_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG2_SPUM_OPEN_POLICY_OVERRIDE_SHIFT        26
#define    IKPS_CLK_MGR_REG_DEBUG2_SPUM_OPEN_POLICY_OVERRIDE_MASK         0x04000000
#define    IKPS_CLK_MGR_REG_DEBUG2_SPUM_SEC_POLICY_OVERRIDE_SHIFT         25
#define    IKPS_CLK_MGR_REG_DEBUG2_SPUM_SEC_POLICY_OVERRIDE_MASK          0x02000000
#define    IKPS_CLK_MGR_REG_DEBUG2_HDMIKEY_APB_POLICY_OVERRIDE_SHIFT      24
#define    IKPS_CLK_MGR_REG_DEBUG2_HDMIKEY_APB_POLICY_OVERRIDE_MASK       0x01000000
#define    IKPS_CLK_MGR_REG_DEBUG2_PWM_POLICY_OVERRIDE_SHIFT              23
#define    IKPS_CLK_MGR_REG_DEBUG2_PWM_POLICY_OVERRIDE_MASK               0x00800000
#define    IKPS_CLK_MGR_REG_DEBUG2_AUXADC_POLICY_OVERRIDE_SHIFT           22
#define    IKPS_CLK_MGR_REG_DEBUG2_AUXADC_POLICY_OVERRIDE_MASK            0x00400000
#define    IKPS_CLK_MGR_REG_DEBUG2_BSC2_POLICY_OVERRIDE_SHIFT             21
#define    IKPS_CLK_MGR_REG_DEBUG2_BSC2_POLICY_OVERRIDE_MASK              0x00200000
#define    IKPS_CLK_MGR_REG_DEBUG2_BSC1_POLICY_OVERRIDE_SHIFT             20
#define    IKPS_CLK_MGR_REG_DEBUG2_BSC1_POLICY_OVERRIDE_MASK              0x00100000
#define    IKPS_CLK_MGR_REG_DEBUG2_D1W_POLICY_OVERRIDE_SHIFT              19
#define    IKPS_CLK_MGR_REG_DEBUG2_D1W_POLICY_OVERRIDE_MASK               0x00080000
#define    IKPS_CLK_MGR_REG_DEBUG2_TIMERS_POLICY_OVERRIDE_SHIFT           18
#define    IKPS_CLK_MGR_REG_DEBUG2_TIMERS_POLICY_OVERRIDE_MASK            0x00040000
#define    IKPS_CLK_MGR_REG_DEBUG2_I2S_POLICY_OVERRIDE_SHIFT              15
#define    IKPS_CLK_MGR_REG_DEBUG2_I2S_POLICY_OVERRIDE_MASK               0x00008000
#define    IKPS_CLK_MGR_REG_DEBUG2_IRDA_POLICY_OVERRIDE_SHIFT             14
#define    IKPS_CLK_MGR_REG_DEBUG2_IRDA_POLICY_OVERRIDE_MASK              0x00004000
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP2_AUDIO_POLICY_OVERRIDE_SHIFT       11
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP2_AUDIO_POLICY_OVERRIDE_MASK        0x00000800
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP1_AUDIO_POLICY_OVERRIDE_SHIFT       10
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP1_AUDIO_POLICY_OVERRIDE_MASK        0x00000400
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP0_AUDIO_POLICY_OVERRIDE_SHIFT       9
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP0_AUDIO_POLICY_OVERRIDE_MASK        0x00000200
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP2_POLICY_OVERRIDE_SHIFT             6
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP2_POLICY_OVERRIDE_MASK              0x00000040
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP1_POLICY_OVERRIDE_SHIFT             5
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP1_POLICY_OVERRIDE_MASK              0x00000020
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP0_POLICY_OVERRIDE_SHIFT             4
#define    IKPS_CLK_MGR_REG_DEBUG2_SSP0_POLICY_OVERRIDE_MASK              0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB4_POLICY_OVERRIDE_SHIFT           3
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB4_POLICY_OVERRIDE_MASK            0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB3_POLICY_OVERRIDE_SHIFT           2
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB3_POLICY_OVERRIDE_MASK            0x00000004
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB2_POLICY_OVERRIDE_SHIFT           1
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB2_POLICY_OVERRIDE_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB_POLICY_OVERRIDE_SHIFT            0
#define    IKPS_CLK_MGR_REG_DEBUG2_UARTB_POLICY_OVERRIDE_MASK             0x00000001

#define IKPS_CLK_MGR_REG_DEBUG4_OFFSET                                    0x00000E10
#define IKPS_CLK_MGR_REG_DEBUG4_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG4_RESERVED_MASK                             0x7FFFFFFC
#define    IKPS_CLK_MGR_REG_DEBUG4_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG4_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG4_EXT_AXI_POLICY_OVERRIDE_VALUE_SHIFT    1
#define    IKPS_CLK_MGR_REG_DEBUG4_EXT_AXI_POLICY_OVERRIDE_VALUE_MASK     0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG4_SWITCH_AXI_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    IKPS_CLK_MGR_REG_DEBUG4_SWITCH_AXI_POLICY_OVERRIDE_VALUE_MASK  0x00000001

#define IKPS_CLK_MGR_REG_DEBUG5_OFFSET                                    0x00000E14
#define IKPS_CLK_MGR_REG_DEBUG5_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG5_RESERVED_MASK                             0x7FFFFF80
#define    IKPS_CLK_MGR_REG_DEBUG5_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG5_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG5_MPHI_AHB_POLICY_OVERRIDE_VALUE_SHIFT   6
#define    IKPS_CLK_MGR_REG_DEBUG5_MPHI_AHB_POLICY_OVERRIDE_VALUE_MASK    0x00000040
#define    IKPS_CLK_MGR_REG_DEBUG5_CRC_AHB_POLICY_OVERRIDE_VALUE_SHIFT    5
#define    IKPS_CLK_MGR_REG_DEBUG5_CRC_AHB_POLICY_OVERRIDE_VALUE_MASK     0x00000020
#define    IKPS_CLK_MGR_REG_DEBUG5_MAGIC_AHB_POLICY_OVERRIDE_VALUE_SHIFT  4
#define    IKPS_CLK_MGR_REG_DEBUG5_MAGIC_AHB_POLICY_OVERRIDE_VALUE_MASK   0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG5_MSPRO_POLICY_OVERRIDE_VALUE_SHIFT      3
#define    IKPS_CLK_MGR_REG_DEBUG5_MSPRO_POLICY_OVERRIDE_VALUE_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG5_MSPRO_AHB_POLICY_OVERRIDE_VALUE_SHIFT  2
#define    IKPS_CLK_MGR_REG_DEBUG5_MSPRO_AHB_POLICY_OVERRIDE_VALUE_MASK   0x00000004
#define    IKPS_CLK_MGR_REG_DEBUG5_SPUM_OPEN_AXI_POLICY_OVERRIDE_VALUE_SHIFT 1
#define    IKPS_CLK_MGR_REG_DEBUG5_SPUM_OPEN_AXI_POLICY_OVERRIDE_VALUE_MASK 0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG5_SPUM_SEC_AXI_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    IKPS_CLK_MGR_REG_DEBUG5_SPUM_SEC_AXI_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define IKPS_CLK_MGR_REG_DEBUG6_OFFSET                                    0x00000E18
#define IKPS_CLK_MGR_REG_DEBUG6_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG6_RESERVED_MASK                             0x78033180
#define    IKPS_CLK_MGR_REG_DEBUG6_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG6_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG6_SPUM_OPEN_POLICY_OVERRIDE_VALUE_SHIFT  26
#define    IKPS_CLK_MGR_REG_DEBUG6_SPUM_OPEN_POLICY_OVERRIDE_VALUE_MASK   0x04000000
#define    IKPS_CLK_MGR_REG_DEBUG6_SPUM_SEC_POLICY_OVERRIDE_VALUE_SHIFT   25
#define    IKPS_CLK_MGR_REG_DEBUG6_SPUM_SEC_POLICY_OVERRIDE_VALUE_MASK    0x02000000
#define    IKPS_CLK_MGR_REG_DEBUG6_HDMIKEY_APB_POLICY_OVERRIDE_VALUE_SHIFT 24
#define    IKPS_CLK_MGR_REG_DEBUG6_HDMIKEY_APB_POLICY_OVERRIDE_VALUE_MASK 0x01000000
#define    IKPS_CLK_MGR_REG_DEBUG6_PWM_POLICY_OVERRIDE_VALUE_SHIFT        23
#define    IKPS_CLK_MGR_REG_DEBUG6_PWM_POLICY_OVERRIDE_VALUE_MASK         0x00800000
#define    IKPS_CLK_MGR_REG_DEBUG6_AUXADC_POLICY_OVERRIDE_VALUE_SHIFT     22
#define    IKPS_CLK_MGR_REG_DEBUG6_AUXADC_POLICY_OVERRIDE_VALUE_MASK      0x00400000
#define    IKPS_CLK_MGR_REG_DEBUG6_BSC2_POLICY_OVERRIDE_VALUE_SHIFT       21
#define    IKPS_CLK_MGR_REG_DEBUG6_BSC2_POLICY_OVERRIDE_VALUE_MASK        0x00200000
#define    IKPS_CLK_MGR_REG_DEBUG6_BSC1_POLICY_OVERRIDE_VALUE_SHIFT       20
#define    IKPS_CLK_MGR_REG_DEBUG6_BSC1_POLICY_OVERRIDE_VALUE_MASK        0x00100000
#define    IKPS_CLK_MGR_REG_DEBUG6_D1W_POLICY_OVERRIDE_VALUE_SHIFT        19
#define    IKPS_CLK_MGR_REG_DEBUG6_D1W_POLICY_OVERRIDE_VALUE_MASK         0x00080000
#define    IKPS_CLK_MGR_REG_DEBUG6_TIMERS_POLICY_OVERRIDE_VALUE_SHIFT     18
#define    IKPS_CLK_MGR_REG_DEBUG6_TIMERS_POLICY_OVERRIDE_VALUE_MASK      0x00040000
#define    IKPS_CLK_MGR_REG_DEBUG6_I2S_POLICY_OVERRIDE_VALUE_SHIFT        15
#define    IKPS_CLK_MGR_REG_DEBUG6_I2S_POLICY_OVERRIDE_VALUE_MASK         0x00008000
#define    IKPS_CLK_MGR_REG_DEBUG6_IRDA_POLICY_OVERRIDE_VALUE_SHIFT       14
#define    IKPS_CLK_MGR_REG_DEBUG6_IRDA_POLICY_OVERRIDE_VALUE_MASK        0x00004000
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP2_AUDIO_POLICY_OVERRIDE_VALUE_SHIFT 11
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP2_AUDIO_POLICY_OVERRIDE_VALUE_MASK  0x00000800
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP1_AUDIO_POLICY_OVERRIDE_VALUE_SHIFT 10
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP1_AUDIO_POLICY_OVERRIDE_VALUE_MASK  0x00000400
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP0_AUDIO_POLICY_OVERRIDE_VALUE_SHIFT 9
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP0_AUDIO_POLICY_OVERRIDE_VALUE_MASK  0x00000200
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP2_POLICY_OVERRIDE_VALUE_SHIFT       6
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP2_POLICY_OVERRIDE_VALUE_MASK        0x00000040
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP1_POLICY_OVERRIDE_VALUE_SHIFT       5
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP1_POLICY_OVERRIDE_VALUE_MASK        0x00000020
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP0_POLICY_OVERRIDE_VALUE_SHIFT       4
#define    IKPS_CLK_MGR_REG_DEBUG6_SSP0_POLICY_OVERRIDE_VALUE_MASK        0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB4_POLICY_OVERRIDE_VALUE_SHIFT     3
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB4_POLICY_OVERRIDE_VALUE_MASK      0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB3_POLICY_OVERRIDE_VALUE_SHIFT     2
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB3_POLICY_OVERRIDE_VALUE_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB2_POLICY_OVERRIDE_VALUE_SHIFT     1
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB2_POLICY_OVERRIDE_VALUE_MASK      0x00000002
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB_POLICY_OVERRIDE_VALUE_SHIFT      0
#define    IKPS_CLK_MGR_REG_DEBUG6_UARTB_POLICY_OVERRIDE_VALUE_MASK       0x00000001

#define IKPS_CLK_MGR_REG_AXI_DIV_OFFSET                                   0x00000E20
#define IKPS_CLK_MGR_REG_AXI_DIV_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_AXI_DIV_RESERVED_MASK                            0x40FC000C
#define    IKPS_CLK_MGR_REG_AXI_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_AXI_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_HSM_APB_DIV_OVERRIDE_SHIFT            29
#define    IKPS_CLK_MGR_REG_AXI_DIV_HSM_APB_DIV_OVERRIDE_MASK             0x20000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB3_DIV_OVERRIDE_SHIFT               28
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB3_DIV_OVERRIDE_MASK                0x10000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB2_FREE_DIV_OVERRIDE_SHIFT          27
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB2_FREE_DIV_OVERRIDE_MASK           0x08000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB1_DIV_OVERRIDE_SHIFT               26
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB1_DIV_OVERRIDE_MASK                0x04000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_DIV_OVERRIDE_SHIFT         25
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_DIV_OVERRIDE_MASK          0x02000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_OVERRIDE_SHIFT  24
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_OVERRIDE_MASK   0x01000000
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_TRIGGER_OVERRIDE_SHIFT     17
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_TRIGGER_OVERRIDE_MASK      0x00020000
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_TRIGGER_SHIFT              16
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_TRIGGER_MASK               0x00010000
#define    IKPS_CLK_MGR_REG_AXI_DIV_HSM_APB_DIV_SHIFT                     14
#define    IKPS_CLK_MGR_REG_AXI_DIV_HSM_APB_DIV_MASK                      0x0000C000
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB3_DIV_SHIFT                        12
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB3_DIV_MASK                         0x00003000
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB2_FREE_DIV_SHIFT                   10
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB2_FREE_DIV_MASK                    0x00000C00
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB1_DIV_SHIFT                        8
#define    IKPS_CLK_MGR_REG_AXI_DIV_APB1_DIV_MASK                         0x00000300
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_DIV_SHIFT                  4
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_DIV_MASK                   0x000000F0
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_SHIFT           0
#define    IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_MASK            0x00000003
#define       IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_CMD_REF_CRYSTAL_CLK 0x00000000
#define       IKPS_CLK_MGR_REG_AXI_DIV_SWITCH_AXI_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001

#define IKPS_CLK_MGR_REG_DEBUG9_OFFSET                                    0x00000E24
#define IKPS_CLK_MGR_REG_DEBUG9_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_DEBUG9_RESERVED_MASK                             0x7FFFFFFA
#define    IKPS_CLK_MGR_REG_DEBUG9_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_DEBUG9_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG9_EXT_AXI_CLK_EN_SHIFT                   2
#define    IKPS_CLK_MGR_REG_DEBUG9_EXT_AXI_CLK_EN_MASK                    0x00000004
#define    IKPS_CLK_MGR_REG_DEBUG9_SWITCH_AXI_CLK_EN_SHIFT                0
#define    IKPS_CLK_MGR_REG_DEBUG9_SWITCH_AXI_CLK_EN_MASK                 0x00000001

#define IKPS_CLK_MGR_REG_DEBUG10_OFFSET                                   0x00000E28
#define IKPS_CLK_MGR_REG_DEBUG10_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_DEBUG10_RESERVED_MASK                            0x7F800066
#define    IKPS_CLK_MGR_REG_DEBUG10_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_DEBUG10_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG10_DAP_POLICY_OVERRIDE_SHIFT             22
#define    IKPS_CLK_MGR_REG_DEBUG10_DAP_POLICY_OVERRIDE_MASK              0x00400000
#define    IKPS_CLK_MGR_REG_DEBUG10_BBL_REG_APB_POLICY_OVERRIDE_SHIFT     21
#define    IKPS_CLK_MGR_REG_DEBUG10_BBL_REG_APB_POLICY_OVERRIDE_MASK      0x00200000
#define    IKPS_CLK_MGR_REG_DEBUG10_DMAC_MUX_APB_POLICY_OVERRIDE_SHIFT    20
#define    IKPS_CLK_MGR_REG_DEBUG10_DMAC_MUX_APB_POLICY_OVERRIDE_MASK     0x00100000
#define    IKPS_CLK_MGR_REG_DEBUG10_I2S_SIDETONE_POLICY_OVERRIDE_SHIFT    19
#define    IKPS_CLK_MGR_REG_DEBUG10_I2S_SIDETONE_POLICY_OVERRIDE_MASK     0x00080000
#define    IKPS_CLK_MGR_REG_DEBUG10_D1W_APB_POLICY_OVERRIDE_SHIFT         18
#define    IKPS_CLK_MGR_REG_DEBUG10_D1W_APB_POLICY_OVERRIDE_MASK          0x00040000
#define    IKPS_CLK_MGR_REG_DEBUG10_BSC1_APB_POLICY_OVERRIDE_SHIFT        17
#define    IKPS_CLK_MGR_REG_DEBUG10_BSC1_APB_POLICY_OVERRIDE_MASK         0x00020000
#define    IKPS_CLK_MGR_REG_DEBUG10_BSC2_APB_POLICY_OVERRIDE_SHIFT        16
#define    IKPS_CLK_MGR_REG_DEBUG10_BSC2_APB_POLICY_OVERRIDE_MASK         0x00010000
#define    IKPS_CLK_MGR_REG_DEBUG10_AUXADC_APB_POLICY_OVERRIDE_SHIFT      15
#define    IKPS_CLK_MGR_REG_DEBUG10_AUXADC_APB_POLICY_OVERRIDE_MASK       0x00008000
#define    IKPS_CLK_MGR_REG_DEBUG10_PWM_APB_POLICY_OVERRIDE_SHIFT         14
#define    IKPS_CLK_MGR_REG_DEBUG10_PWM_APB_POLICY_OVERRIDE_MASK          0x00004000
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB_APB_POLICY_OVERRIDE_SHIFT       13
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB_APB_POLICY_OVERRIDE_MASK        0x00002000
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB2_APB_POLICY_OVERRIDE_SHIFT      12
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB2_APB_POLICY_OVERRIDE_MASK       0x00001000
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB3_APB_POLICY_OVERRIDE_SHIFT      11
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB3_APB_POLICY_OVERRIDE_MASK       0x00000800
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB4_APB_POLICY_OVERRIDE_SHIFT      10
#define    IKPS_CLK_MGR_REG_DEBUG10_UARTB4_APB_POLICY_OVERRIDE_MASK       0x00000400
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP0_APB_POLICY_OVERRIDE_SHIFT        9
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP0_APB_POLICY_OVERRIDE_MASK         0x00000200
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP1_APB_POLICY_OVERRIDE_SHIFT        8
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP1_APB_POLICY_OVERRIDE_MASK         0x00000100
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP2_APB_POLICY_OVERRIDE_SHIFT        7
#define    IKPS_CLK_MGR_REG_DEBUG10_SSP2_APB_POLICY_OVERRIDE_MASK         0x00000080
#define    IKPS_CLK_MGR_REG_DEBUG10_IRDA_APB_POLICY_OVERRIDE_SHIFT        4
#define    IKPS_CLK_MGR_REG_DEBUG10_IRDA_APB_POLICY_OVERRIDE_MASK         0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG10_I2S_APB_POLICY_OVERRIDE_SHIFT         3
#define    IKPS_CLK_MGR_REG_DEBUG10_I2S_APB_POLICY_OVERRIDE_MASK          0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG10_TIMERS_APB_POLICY_OVERRIDE_SHIFT      0
#define    IKPS_CLK_MGR_REG_DEBUG10_TIMERS_APB_POLICY_OVERRIDE_MASK       0x00000001

#define IKPS_CLK_MGR_REG_DEBUG11_OFFSET                                   0x00000E2C
#define IKPS_CLK_MGR_REG_DEBUG11_TYPE                                     UInt32
#define IKPS_CLK_MGR_REG_DEBUG11_RESERVED_MASK                            0x7F800066
#define    IKPS_CLK_MGR_REG_DEBUG11_PRIV_ACCESS_MODE_SHIFT                31
#define    IKPS_CLK_MGR_REG_DEBUG11_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    IKPS_CLK_MGR_REG_DEBUG11_DAP_POLICY_OVERRIDE_VALUE_SHIFT       22
#define    IKPS_CLK_MGR_REG_DEBUG11_DAP_POLICY_OVERRIDE_VALUE_MASK        0x00400000
#define    IKPS_CLK_MGR_REG_DEBUG11_BBL_REG_APB_POLICY_OVERRIDE_VALUE_SHIFT 21
#define    IKPS_CLK_MGR_REG_DEBUG11_BBL_REG_APB_POLICY_OVERRIDE_VALUE_MASK 0x00200000
#define    IKPS_CLK_MGR_REG_DEBUG11_DMAC_MUX_APB_POLICY_OVERRIDE_VALUE_SHIFT 20
#define    IKPS_CLK_MGR_REG_DEBUG11_DMAC_MUX_APB_POLICY_OVERRIDE_VALUE_MASK 0x00100000
#define    IKPS_CLK_MGR_REG_DEBUG11_I2S_SIDETONE_POLICY_OVERRIDE_VALUE_SHIFT 19
#define    IKPS_CLK_MGR_REG_DEBUG11_I2S_SIDETONE_POLICY_OVERRIDE_VALUE_MASK 0x00080000
#define    IKPS_CLK_MGR_REG_DEBUG11_D1W_APB_POLICY_OVERRIDE_VALUE_SHIFT   18
#define    IKPS_CLK_MGR_REG_DEBUG11_D1W_APB_POLICY_OVERRIDE_VALUE_MASK    0x00040000
#define    IKPS_CLK_MGR_REG_DEBUG11_BSC1_APB_POLICY_OVERRIDE_VALUE_SHIFT  17
#define    IKPS_CLK_MGR_REG_DEBUG11_BSC1_APB_POLICY_OVERRIDE_VALUE_MASK   0x00020000
#define    IKPS_CLK_MGR_REG_DEBUG11_BSC2_APB_POLICY_OVERRIDE_VALUE_SHIFT  16
#define    IKPS_CLK_MGR_REG_DEBUG11_BSC2_APB_POLICY_OVERRIDE_VALUE_MASK   0x00010000
#define    IKPS_CLK_MGR_REG_DEBUG11_AUXADC_APB_POLICY_OVERRIDE_VALUE_SHIFT 15
#define    IKPS_CLK_MGR_REG_DEBUG11_AUXADC_APB_POLICY_OVERRIDE_VALUE_MASK 0x00008000
#define    IKPS_CLK_MGR_REG_DEBUG11_PWM_APB_POLICY_OVERRIDE_VALUE_SHIFT   14
#define    IKPS_CLK_MGR_REG_DEBUG11_PWM_APB_POLICY_OVERRIDE_VALUE_MASK    0x00004000
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB_APB_POLICY_OVERRIDE_VALUE_SHIFT 13
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB_APB_POLICY_OVERRIDE_VALUE_MASK  0x00002000
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB2_APB_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB2_APB_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB3_APB_POLICY_OVERRIDE_VALUE_SHIFT 11
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB3_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000800
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB4_APB_POLICY_OVERRIDE_VALUE_SHIFT 10
#define    IKPS_CLK_MGR_REG_DEBUG11_UARTB4_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000400
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP0_APB_POLICY_OVERRIDE_VALUE_SHIFT  9
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP0_APB_POLICY_OVERRIDE_VALUE_MASK   0x00000200
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP1_APB_POLICY_OVERRIDE_VALUE_SHIFT  8
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP1_APB_POLICY_OVERRIDE_VALUE_MASK   0x00000100
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP2_APB_POLICY_OVERRIDE_VALUE_SHIFT  7
#define    IKPS_CLK_MGR_REG_DEBUG11_SSP2_APB_POLICY_OVERRIDE_VALUE_MASK   0x00000080
#define    IKPS_CLK_MGR_REG_DEBUG11_IRDA_APB_POLICY_OVERRIDE_VALUE_SHIFT  4
#define    IKPS_CLK_MGR_REG_DEBUG11_IRDA_APB_POLICY_OVERRIDE_VALUE_MASK   0x00000010
#define    IKPS_CLK_MGR_REG_DEBUG11_I2S_APB_POLICY_OVERRIDE_VALUE_SHIFT   3
#define    IKPS_CLK_MGR_REG_DEBUG11_I2S_APB_POLICY_OVERRIDE_VALUE_MASK    0x00000008
#define    IKPS_CLK_MGR_REG_DEBUG11_TIMERS_APB_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    IKPS_CLK_MGR_REG_DEBUG11_TIMERS_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define IKPS_CLK_MGR_REG_CLKMON_OFFSET                                    0x00000E30
#define IKPS_CLK_MGR_REG_CLKMON_TYPE                                      UInt32
#define IKPS_CLK_MGR_REG_CLKMON_RESERVED_MASK                             0x7FFFFC00
#define    IKPS_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT                 31
#define    IKPS_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    IKPS_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                       8
#define    IKPS_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                        0x00000300
#define    IKPS_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                       0
#define    IKPS_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                        0x000000FF

#define IKPS_CLK_MGR_REG_ACTIVITY_MON1_OFFSET                             0x00000E40
#define IKPS_CLK_MGR_REG_ACTIVITY_MON1_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_ACTIVITY_MON1_RESERVED_MASK                      0x70000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_AUXADC_APB_ACTVSTS_SHIFT        27
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_AUXADC_APB_ACTVSTS_MASK         0x08000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_PWM_APB_ACTVSTS_SHIFT           26
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_PWM_APB_ACTVSTS_MASK            0x04000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_APB2_FREE_ACTVSTS_SHIFT         25
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_APB2_FREE_ACTVSTS_MASK          0x02000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB_APB_ACTVSTS_SHIFT         24
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB_APB_ACTVSTS_MASK          0x01000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB2_APB_ACTVSTS_SHIFT        23
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB2_APB_ACTVSTS_MASK         0x00800000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB3_APB_ACTVSTS_SHIFT        22
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB3_APB_ACTVSTS_MASK         0x00400000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB4_APB_ACTVSTS_SHIFT        21
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_UARTB4_APB_ACTVSTS_MASK         0x00200000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_DMAC_MUX_APB_ACTVSTS_SHIFT      20
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_DMAC_MUX_APB_ACTVSTS_MASK       0x00100000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP0_APB_ACTVSTS_SHIFT          19
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP0_APB_ACTVSTS_MASK           0x00080000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP1_APB_ACTVSTS_SHIFT          18
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP1_APB_ACTVSTS_MASK           0x00040000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP2_APB_ACTVSTS_SHIFT          17
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SSP2_APB_ACTVSTS_MASK           0x00020000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_IRDA_APB_ACTVSTS_SHIFT          16
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_IRDA_APB_ACTVSTS_MASK           0x00010000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_I2S_APB_ACTVSTS_SHIFT           15
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_I2S_APB_ACTVSTS_MASK            0x00008000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_TIMERS_APB_ACTVSTS_SHIFT        14
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_TIMERS_APB_ACTVSTS_MASK         0x00004000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_APB1_ACTVSTS_SHIFT              13
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_APB1_ACTVSTS_MASK               0x00002000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_SEC_APB_ACTVSTS_SHIFT      12
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_SEC_APB_ACTVSTS_MASK       0x00001000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_OPEN_APB_ACTVSTS_SHIFT     11
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_OPEN_APB_ACTVSTS_MASK      0x00000800
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_HSM_APB_ACTVSTS_SHIFT           10
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_HSM_APB_ACTVSTS_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_HSM_AHB_ACTVSTS_SHIFT           9
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_HSM_AHB_ACTVSTS_MASK            0x00000200
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MPHI_AHB_ACTVSTS_SHIFT          8
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MPHI_AHB_ACTVSTS_MASK           0x00000100
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MSPRO_AHB_ACTVSTS_SHIFT         7
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MSPRO_AHB_ACTVSTS_MASK          0x00000080
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MAGIC_AHB_ACTVSTS_SHIFT         6
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_MAGIC_AHB_ACTVSTS_MASK          0x00000040
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_CRC_AHB_ACTVSTS_SHIFT           5
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_CRC_AHB_ACTVSTS_MASK            0x00000020
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_AHB1_ACTVSTS_SHIFT              4
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_AHB1_ACTVSTS_MASK               0x00000010
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_SEC_AXI_ACTVSTS_SHIFT      3
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_SEC_AXI_ACTVSTS_MASK       0x00000008
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_OPEN_AXI_ACTVSTS_SHIFT     2
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SPUM_OPEN_AXI_ACTVSTS_MASK      0x00000004
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_EXT_AXI_ACTVSTS_SHIFT           1
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_EXT_AXI_ACTVSTS_MASK            0x00000002
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SWITCH_AXI_ACTVSTS_SHIFT        0
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON1_SWITCH_AXI_ACTVSTS_MASK         0x00000001

#define IKPS_CLK_MGR_REG_ACTIVITY_MON2_OFFSET                             0x00000E44
#define IKPS_CLK_MGR_REG_ACTIVITY_MON2_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_ACTIVITY_MON2_RESERVED_MASK                      0x70000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP2_AUDIO_ACTVSTS_SHIFT        27
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP2_AUDIO_ACTVSTS_MASK         0x08000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP1_AUDIO_ACTVSTS_SHIFT        26
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP1_AUDIO_ACTVSTS_MASK         0x04000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP0_AUDIO_ACTVSTS_SHIFT        25
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP0_AUDIO_ACTVSTS_MASK         0x02000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SPUM_OPEN_ACTVSTS_SHIFT         24
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SPUM_OPEN_ACTVSTS_MASK          0x01000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SPUM_SEC_ACTVSTS_SHIFT          23
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SPUM_SEC_ACTVSTS_MASK           0x00800000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_I2S_SIDETONE_ACTVSTS_SHIFT      22
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_I2S_SIDETONE_ACTVSTS_MASK       0x00400000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_D1W_ACTVSTS_SHIFT               21
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_D1W_ACTVSTS_MASK                0x00200000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_TIMERS_ACTVSTS_SHIFT            20
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_TIMERS_ACTVSTS_MASK             0x00100000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB_ACTVSTS_SHIFT             19
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB_ACTVSTS_MASK              0x00080000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB2_ACTVSTS_SHIFT            18
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB2_ACTVSTS_MASK             0x00040000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB3_ACTVSTS_SHIFT            17
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB3_ACTVSTS_MASK             0x00020000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB4_ACTVSTS_SHIFT            16
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_UARTB4_ACTVSTS_MASK             0x00010000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_IRDA_ACTVSTS_SHIFT              15
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_IRDA_ACTVSTS_MASK               0x00008000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_AUXADC_ACTVSTS_SHIFT            14
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_AUXADC_ACTVSTS_MASK             0x00004000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP2_ACTVSTS_SHIFT              13
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP2_ACTVSTS_MASK               0x00002000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP1_ACTVSTS_SHIFT              12
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP1_ACTVSTS_MASK               0x00001000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP0_ACTVSTS_SHIFT              11
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_SSP0_ACTVSTS_MASK               0x00000800
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC1_ACTVSTS_SHIFT              10
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC1_ACTVSTS_MASK               0x00000400
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC2_ACTVSTS_SHIFT              9
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC2_ACTVSTS_MASK               0x00000200
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_MSPRO_ACTVSTS_SHIFT             8
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_MSPRO_ACTVSTS_MASK              0x00000100
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB3_ACTVSTS_SHIFT              7
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB3_ACTVSTS_MASK               0x00000080
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB2_ACTVSTS_SHIFT              6
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB2_ACTVSTS_MASK               0x00000040
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BBL_REG_APB_ACTVSTS_SHIFT       5
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BBL_REG_APB_ACTVSTS_MASK        0x00000020
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB2_REG_ACTVSTS_SHIFT          4
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_APB2_REG_ACTVSTS_MASK           0x00000010
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_HDMIKEY_APB_ACTVSTS_SHIFT       3
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_HDMIKEY_APB_ACTVSTS_MASK        0x00000008
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_D1W_APB_ACTVSTS_SHIFT           2
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_D1W_APB_ACTVSTS_MASK            0x00000004
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC1_APB_ACTVSTS_SHIFT          1
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC1_APB_ACTVSTS_MASK           0x00000002
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC2_APB_ACTVSTS_SHIFT          0
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON2_BSC2_APB_ACTVSTS_MASK           0x00000001

#define IKPS_CLK_MGR_REG_ACTIVITY_MON3_OFFSET                             0x00000E48
#define IKPS_CLK_MGR_REG_ACTIVITY_MON3_TYPE                               UInt32
#define IKPS_CLK_MGR_REG_ACTIVITY_MON3_RESERVED_MASK                      0x7FE00000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_SHIFT          31
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_MASK           0x80000000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DAP_ACTVSTS_SHIFT               20
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DAP_ACTVSTS_MASK                0x00100000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN5_ACTVSTS_SHIFT         19
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN5_ACTVSTS_MASK          0x00080000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN8_ACTVSTS_SHIFT         18
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN8_ACTVSTS_MASK          0x00040000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN9_ACTVSTS_SHIFT         17
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN9_ACTVSTS_MASK          0x00020000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN6_ACTVSTS_SHIFT         16
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN6_ACTVSTS_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN7_ACTVSTS_SHIFT         15
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN7_ACTVSTS_MASK          0x00008000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN1_ACTVSTS_SHIFT         14
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN1_ACTVSTS_MASK          0x00004000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN2_ACTVSTS_SHIFT         13
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN2_ACTVSTS_MASK          0x00002000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN3_ACTVSTS_SHIFT         12
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN3_ACTVSTS_MASK          0x00001000
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN4_ACTVSTS_SHIFT         11
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN4_ACTVSTS_MASK          0x00000800
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN0_ACTVSTS_SHIFT         10
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN0_ACTVSTS_MASK          0x00000400
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_13M_ACTVSTS_SHIFT           9
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_13M_ACTVSTS_MASK            0x00000200
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_52M_ACTVSTS_SHIFT           8
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_52M_ACTVSTS_MASK            0x00000100
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_104M_ACTVSTS_SHIFT          7
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_104M_ACTVSTS_MASK           0x00000080
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_13M_ACTVSTS_SHIFT           6
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_13M_ACTVSTS_MASK            0x00000040
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_52M_ACTVSTS_SHIFT           5
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_52M_ACTVSTS_MASK            0x00000020
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_104M_ACTVSTS_SHIFT          4
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_104M_ACTVSTS_MASK           0x00000010
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_156M_ACTVSTS_SHIFT          3
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_VAR_156M_ACTVSTS_MASK           0x00000008
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_156M_ACTVSTS_SHIFT          2
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_REF_156M_ACTVSTS_MASK           0x00000004
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_PWM_ACTVSTS_SHIFT               1
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_PWM_ACTVSTS_MASK                0x00000002
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_I2S_ACTVSTS_SHIFT               0
#define    IKPS_CLK_MGR_REG_ACTIVITY_MON3_I2S_ACTVSTS_MASK                0x00000001

#define IKPS_CLK_MGR_REG_POLICY_DBG_OFFSET                                0x00000EC0
#define IKPS_CLK_MGR_REG_POLICY_DBG_TYPE                                  UInt32
#define IKPS_CLK_MGR_REG_POLICY_DBG_RESERVED_MASK                         0x7FFF88CC
#define    IKPS_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_SHIFT             31
#define    IKPS_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_MASK              0x80000000
#define    IKPS_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_SHIFT                     12
#define    IKPS_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_MASK                      0x00007000
#define    IKPS_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_SHIFT                     8
#define    IKPS_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_MASK                      0x00000700
#define    IKPS_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_SHIFT                   4
#define    IKPS_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_MASK                    0x00000030
#define    IKPS_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_SHIFT                   0
#define    IKPS_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_MASK                    0x00000003

#define IKPS_CLK_MGR_REG_TGTMASK_DBG1_OFFSET                              0x00000EC4
#define IKPS_CLK_MGR_REG_TGTMASK_DBG1_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_TGTMASK_DBG1_RESERVED_MASK                       0x78000000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_DAP_TARGET_MASK_SHIFT            26
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_DAP_TARGET_MASK_MASK             0x04000000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BBL_REG_TARGET_MASK_SHIFT        25
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BBL_REG_TARGET_MASK_MASK         0x02000000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_HDMIKEY_TARGET_MASK_SHIFT        24
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_HDMIKEY_TARGET_MASK_MASK         0x01000000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_D1W_TARGET_MASK_SHIFT            23
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_D1W_TARGET_MASK_MASK             0x00800000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BSC1_TARGET_MASK_SHIFT           22
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BSC1_TARGET_MASK_MASK            0x00400000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BSC2_TARGET_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_BSC2_TARGET_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_AUXADC_TARGET_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_AUXADC_TARGET_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_PWM_TARGET_MASK_SHIFT            19
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_PWM_TARGET_MASK_MASK             0x00080000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB_TARGET_MASK_SHIFT          18
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB_TARGET_MASK_MASK           0x00040000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB2_TARGET_MASK_SHIFT         17
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB2_TARGET_MASK_MASK          0x00020000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB3_TARGET_MASK_SHIFT         16
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB3_TARGET_MASK_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB4_TARGET_MASK_SHIFT         15
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_UARTB4_TARGET_MASK_MASK          0x00008000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_DMAC_MUX_TARGET_MASK_SHIFT       14
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_DMAC_MUX_TARGET_MASK_MASK        0x00004000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP0_TARGET_MASK_SHIFT           13
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP0_TARGET_MASK_MASK            0x00002000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP1_TARGET_MASK_SHIFT           12
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP1_TARGET_MASK_MASK            0x00001000
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP2_TARGET_MASK_SHIFT           11
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SSP2_TARGET_MASK_MASK            0x00000800
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_IRDA_TARGET_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_IRDA_TARGET_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_I2S_TARGET_MASK_SHIFT            9
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_I2S_TARGET_MASK_MASK             0x00000200
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_TIMERS_TARGET_MASK_SHIFT         8
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_TIMERS_TARGET_MASK_MASK          0x00000100
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MPHI_TARGET_MASK_SHIFT           7
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MPHI_TARGET_MASK_MASK            0x00000080
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MSPRO_TARGET_MASK_SHIFT          6
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MSPRO_TARGET_MASK_MASK           0x00000040
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MAGIC_TARGET_MASK_SHIFT          5
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_MAGIC_TARGET_MASK_MASK           0x00000020
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_CRC_TARGET_MASK_SHIFT            4
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_CRC_TARGET_MASK_MASK             0x00000010
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SPUM_SEC_TARGET_MASK_SHIFT       3
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SPUM_SEC_TARGET_MASK_MASK        0x00000008
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SPUM_OPEN_TARGET_MASK_SHIFT      2
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SPUM_OPEN_TARGET_MASK_MASK       0x00000004
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_EXT_TARGET_MASK_SHIFT            1
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_EXT_TARGET_MASK_MASK             0x00000002
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SWITCH_TARGET_MASK_SHIFT         0
#define    IKPS_CLK_MGR_REG_TGTMASK_DBG1_SWITCH_TARGET_MASK_MASK          0x00000001

#define IKPS_CLK_MGR_REG_ACTMASK_DBG1_OFFSET                              0x00000ED4
#define IKPS_CLK_MGR_REG_ACTMASK_DBG1_TYPE                                UInt32
#define IKPS_CLK_MGR_REG_ACTMASK_DBG1_RESERVED_MASK                       0x78000000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_DAP_ACTIVE_MASK_SHIFT            26
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_DAP_ACTIVE_MASK_MASK             0x04000000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BBL_REG_ACTIVE_MASK_SHIFT        25
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BBL_REG_ACTIVE_MASK_MASK         0x02000000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_HDMIKEY_ACTIVE_MASK_SHIFT        24
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_HDMIKEY_ACTIVE_MASK_MASK         0x01000000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_D1W_ACTIVE_MASK_SHIFT            23
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_D1W_ACTIVE_MASK_MASK             0x00800000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BSC1_ACTIVE_MASK_SHIFT           22
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BSC1_ACTIVE_MASK_MASK            0x00400000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BSC2_ACTIVE_MASK_SHIFT           21
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_BSC2_ACTIVE_MASK_MASK            0x00200000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_AUXADC_ACTIVE_MASK_SHIFT         20
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_AUXADC_ACTIVE_MASK_MASK          0x00100000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_PWM_ACTIVE_MASK_SHIFT            19
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_PWM_ACTIVE_MASK_MASK             0x00080000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB_ACTIVE_MASK_SHIFT          18
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB_ACTIVE_MASK_MASK           0x00040000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB2_ACTIVE_MASK_SHIFT         17
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB2_ACTIVE_MASK_MASK          0x00020000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB3_ACTIVE_MASK_SHIFT         16
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB3_ACTIVE_MASK_MASK          0x00010000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB4_ACTIVE_MASK_SHIFT         15
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_UARTB4_ACTIVE_MASK_MASK          0x00008000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_DMAC_MUX_ACTIVE_MASK_SHIFT       14
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_DMAC_MUX_ACTIVE_MASK_MASK        0x00004000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP0_ACTIVE_MASK_SHIFT           13
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP0_ACTIVE_MASK_MASK            0x00002000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP1_ACTIVE_MASK_SHIFT           12
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP1_ACTIVE_MASK_MASK            0x00001000
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP2_ACTIVE_MASK_SHIFT           11
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SSP2_ACTIVE_MASK_MASK            0x00000800
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_IRDA_ACTIVE_MASK_SHIFT           10
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_IRDA_ACTIVE_MASK_MASK            0x00000400
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_I2S_ACTIVE_MASK_SHIFT            9
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_I2S_ACTIVE_MASK_MASK             0x00000200
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_TIMERS_ACTIVE_MASK_SHIFT         8
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_TIMERS_ACTIVE_MASK_MASK          0x00000100
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MPHI_ACTIVE_MASK_SHIFT           7
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MPHI_ACTIVE_MASK_MASK            0x00000080
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MSPRO_ACTIVE_MASK_SHIFT          6
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MSPRO_ACTIVE_MASK_MASK           0x00000040
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MAGIC_ACTIVE_MASK_SHIFT          5
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_MAGIC_ACTIVE_MASK_MASK           0x00000020
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_CRC_ACTIVE_MASK_SHIFT            4
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_CRC_ACTIVE_MASK_MASK             0x00000010
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SPUM_SEC_ACTIVE_MASK_SHIFT       3
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SPUM_SEC_ACTIVE_MASK_MASK        0x00000008
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SPUM_OPEN_ACTIVE_MASK_SHIFT      2
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SPUM_OPEN_ACTIVE_MASK_MASK       0x00000004
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_EXT_ACTIVE_MASK_SHIFT            1
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_EXT_ACTIVE_MASK_MASK             0x00000002
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SWITCH_ACTIVE_MASK_SHIFT         0
#define    IKPS_CLK_MGR_REG_ACTMASK_DBG1_SWITCH_ACTIVE_MASK_MASK          0x00000001

#endif /* __BRCM_RDB_IKPS_CLK_MGR_REG_H__ */


