/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_KHUB_CLK_MGR_REG_H__
#define __BRCM_RDB_KHUB_CLK_MGR_REG_H__

#define KHUB_CLK_MGR_REG_WR_ACCESS_OFFSET                                 0x00000000
#define KHUB_CLK_MGR_REG_WR_ACCESS_TYPE                                   UInt32
#define KHUB_CLK_MGR_REG_WR_ACCESS_RESERVED_MASK                          0x7F0000FE
#define    KHUB_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_SHIFT              31
#define    KHUB_CLK_MGR_REG_WR_ACCESS_PRIV_ACCESS_MODE_MASK               0x80000000
#define    KHUB_CLK_MGR_REG_WR_ACCESS_PASSWORD_SHIFT                      8
#define    KHUB_CLK_MGR_REG_WR_ACCESS_PASSWORD_MASK                       0x00FFFF00
#define    KHUB_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_SHIFT                    0
#define    KHUB_CLK_MGR_REG_WR_ACCESS_CLKMGR_ACC_MASK                     0x00000001

#define KHUB_CLK_MGR_REG_POLICY_FREQ_OFFSET                               0x00000008
#define KHUB_CLK_MGR_REG_POLICY_FREQ_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_POLICY_FREQ_RESERVED_MASK                        0x78F8F8F8
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_SHIFT                24
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY3_FREQ_MASK                 0x07000000
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_SHIFT                16
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY2_FREQ_MASK                 0x00070000
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_SHIFT                8
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY1_FREQ_MASK                 0x00000700
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_SHIFT                0
#define    KHUB_CLK_MGR_REG_POLICY_FREQ_POLICY0_FREQ_MASK                 0x00000007

#define KHUB_CLK_MGR_REG_POLICY_CTL_OFFSET                                0x0000000C
#define KHUB_CLK_MGR_REG_POLICY_CTL_TYPE                                  UInt32
#define KHUB_CLK_MGR_REG_POLICY_CTL_RESERVED_MASK                         0x7FFFFFF0
#define    KHUB_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUB_CLK_MGR_REG_POLICY_CTL_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUB_CLK_MGR_REG_POLICY_CTL_TGT_VLD_SHIFT                      3
#define    KHUB_CLK_MGR_REG_POLICY_CTL_TGT_VLD_MASK                       0x00000008
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_ATL_SHIFT                       2
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_ATL_MASK                        0x00000004
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_AC_SHIFT                        1
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_AC_MASK                         0x00000002
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_SHIFT                           0
#define    KHUB_CLK_MGR_REG_POLICY_CTL_GO_MASK                            0x00000001

#define KHUB_CLK_MGR_REG_POLICY0_MASK1_OFFSET                             0x00000010
#define KHUB_CLK_MGR_REG_POLICY0_MASK1_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY0_MASK1_RESERVED_MASK                      0x7E004958
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SSP4_POLICY0_MASK_SHIFT         24
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SSP4_POLICY0_MASK_MASK          0x01000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_CAPH_POLICY0_MASK_SHIFT         23
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_CAPH_POLICY0_MASK_MASK          0x00800000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_MDIOMASTER_POLICY0_MASK_SHIFT   22
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_MDIOMASTER_POLICY0_MASK_MASK    0x00400000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_FINAL_FUNNEL_POLICY0_MASK_SHIFT 21
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_FINAL_FUNNEL_POLICY0_MASK_MASK  0x00200000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_ETB_POLICY0_MASK_SHIFT          20
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_ETB_POLICY0_MASK_MASK           0x00100000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_13_POLICY0_MASK_SHIFT 19
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_13_POLICY0_MASK_MASK  0x00080000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_12_POLICY0_MASK_SHIFT 18
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_12_POLICY0_MASK_MASK  0x00040000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_11_POLICY0_MASK_SHIFT 17
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_11_POLICY0_MASK_MASK  0x00020000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_19_POLICY0_MASK_SHIFT 16
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_AXI_TRACE_19_POLICY0_MASK_MASK  0x00010000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_HSI_POLICY0_MASK_SHIFT          15
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_HSI_POLICY0_MASK_MASK           0x00008000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_VC_ITM_POLICY0_MASK_SHIFT       13
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_VC_ITM_POLICY0_MASK_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_TPIU_POLICY0_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_TPIU_POLICY0_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SEC_VIOL_TRAP_7_POLICY0_MASK_SHIFT 10
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SEC_VIOL_TRAP_7_POLICY0_MASK_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SEC_VIOL_TRAP_4_POLICY0_MASK_SHIFT 9
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_SEC_VIOL_TRAP_4_POLICY0_MASK_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_NOR_POLICY0_MASK_SHIFT          7
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_NOR_POLICY0_MASK_MASK           0x00000080
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_HUB_POLICY0_MASK_SHIFT          5
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_HUB_POLICY0_MASK_MASK           0x00000020
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_FUNNEL_POLICY0_MASK_SHIFT       2
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_FUNNEL_POLICY0_MASK_MASK        0x00000004
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_CTI_POLICY0_MASK_SHIFT          1
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_CTI_POLICY0_MASK_MASK           0x00000002
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_BROM_POLICY0_MASK_SHIFT         0
#define    KHUB_CLK_MGR_REG_POLICY0_MASK1_BROM_POLICY0_MASK_MASK          0x00000001

#define KHUB_CLK_MGR_REG_POLICY1_MASK1_OFFSET                             0x00000014
#define KHUB_CLK_MGR_REG_POLICY1_MASK1_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY1_MASK1_RESERVED_MASK                      0x7E004958
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SSP4_POLICY1_MASK_SHIFT         24
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SSP4_POLICY1_MASK_MASK          0x01000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_CAPH_POLICY1_MASK_SHIFT         23
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_CAPH_POLICY1_MASK_MASK          0x00800000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_MDIOMASTER_POLICY1_MASK_SHIFT   22
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_MDIOMASTER_POLICY1_MASK_MASK    0x00400000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_FINAL_FUNNEL_POLICY1_MASK_SHIFT 21
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_FINAL_FUNNEL_POLICY1_MASK_MASK  0x00200000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_ETB_POLICY1_MASK_SHIFT          20
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_ETB_POLICY1_MASK_MASK           0x00100000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_13_POLICY1_MASK_SHIFT 19
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_13_POLICY1_MASK_MASK  0x00080000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_12_POLICY1_MASK_SHIFT 18
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_12_POLICY1_MASK_MASK  0x00040000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_11_POLICY1_MASK_SHIFT 17
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_11_POLICY1_MASK_MASK  0x00020000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_19_POLICY1_MASK_SHIFT 16
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_AXI_TRACE_19_POLICY1_MASK_MASK  0x00010000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_HSI_POLICY1_MASK_SHIFT          15
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_HSI_POLICY1_MASK_MASK           0x00008000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_VC_ITM_POLICY1_MASK_SHIFT       13
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_VC_ITM_POLICY1_MASK_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_TPIU_POLICY1_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_TPIU_POLICY1_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SEC_VIOL_TRAP_7_POLICY1_MASK_SHIFT 10
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SEC_VIOL_TRAP_7_POLICY1_MASK_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SEC_VIOL_TRAP_4_POLICY1_MASK_SHIFT 9
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_SEC_VIOL_TRAP_4_POLICY1_MASK_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_NOR_POLICY1_MASK_SHIFT          7
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_NOR_POLICY1_MASK_MASK           0x00000080
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_HUB_POLICY1_MASK_SHIFT          5
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_HUB_POLICY1_MASK_MASK           0x00000020
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_FUNNEL_POLICY1_MASK_SHIFT       2
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_FUNNEL_POLICY1_MASK_MASK        0x00000004
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_CTI_POLICY1_MASK_SHIFT          1
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_CTI_POLICY1_MASK_MASK           0x00000002
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_BROM_POLICY1_MASK_SHIFT         0
#define    KHUB_CLK_MGR_REG_POLICY1_MASK1_BROM_POLICY1_MASK_MASK          0x00000001

#define KHUB_CLK_MGR_REG_POLICY2_MASK1_OFFSET                             0x00000018
#define KHUB_CLK_MGR_REG_POLICY2_MASK1_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY2_MASK1_RESERVED_MASK                      0x7E004958
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SSP4_POLICY2_MASK_SHIFT         24
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SSP4_POLICY2_MASK_MASK          0x01000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_CAPH_POLICY2_MASK_SHIFT         23
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_CAPH_POLICY2_MASK_MASK          0x00800000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_MDIOMASTER_POLICY2_MASK_SHIFT   22
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_MDIOMASTER_POLICY2_MASK_MASK    0x00400000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_FINAL_FUNNEL_POLICY2_MASK_SHIFT 21
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_FINAL_FUNNEL_POLICY2_MASK_MASK  0x00200000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_ETB_POLICY2_MASK_SHIFT          20
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_ETB_POLICY2_MASK_MASK           0x00100000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_13_POLICY2_MASK_SHIFT 19
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_13_POLICY2_MASK_MASK  0x00080000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_12_POLICY2_MASK_SHIFT 18
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_12_POLICY2_MASK_MASK  0x00040000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_11_POLICY2_MASK_SHIFT 17
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_11_POLICY2_MASK_MASK  0x00020000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_19_POLICY2_MASK_SHIFT 16
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_AXI_TRACE_19_POLICY2_MASK_MASK  0x00010000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_HSI_POLICY2_MASK_SHIFT          15
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_HSI_POLICY2_MASK_MASK           0x00008000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_VC_ITM_POLICY2_MASK_SHIFT       13
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_VC_ITM_POLICY2_MASK_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_TPIU_POLICY2_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_TPIU_POLICY2_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SEC_VIOL_TRAP_7_POLICY2_MASK_SHIFT 10
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SEC_VIOL_TRAP_7_POLICY2_MASK_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SEC_VIOL_TRAP_4_POLICY2_MASK_SHIFT 9
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_SEC_VIOL_TRAP_4_POLICY2_MASK_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_NOR_POLICY2_MASK_SHIFT          7
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_NOR_POLICY2_MASK_MASK           0x00000080
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_HUB_POLICY2_MASK_SHIFT          5
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_HUB_POLICY2_MASK_MASK           0x00000020
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_FUNNEL_POLICY2_MASK_SHIFT       2
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_FUNNEL_POLICY2_MASK_MASK        0x00000004
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_CTI_POLICY2_MASK_SHIFT          1
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_CTI_POLICY2_MASK_MASK           0x00000002
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_BROM_POLICY2_MASK_SHIFT         0
#define    KHUB_CLK_MGR_REG_POLICY2_MASK1_BROM_POLICY2_MASK_MASK          0x00000001

#define KHUB_CLK_MGR_REG_POLICY3_MASK1_OFFSET                             0x0000001C
#define KHUB_CLK_MGR_REG_POLICY3_MASK1_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY3_MASK1_RESERVED_MASK                      0x7E004958
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SSP4_POLICY3_MASK_SHIFT         24
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SSP4_POLICY3_MASK_MASK          0x01000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_CAPH_POLICY3_MASK_SHIFT         23
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_CAPH_POLICY3_MASK_MASK          0x00800000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_MDIOMASTER_POLICY3_MASK_SHIFT   22
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_MDIOMASTER_POLICY3_MASK_MASK    0x00400000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_FINAL_FUNNEL_POLICY3_MASK_SHIFT 21
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_FINAL_FUNNEL_POLICY3_MASK_MASK  0x00200000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_ETB_POLICY3_MASK_SHIFT          20
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_ETB_POLICY3_MASK_MASK           0x00100000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_13_POLICY3_MASK_SHIFT 19
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_13_POLICY3_MASK_MASK  0x00080000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_12_POLICY3_MASK_SHIFT 18
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_12_POLICY3_MASK_MASK  0x00040000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_11_POLICY3_MASK_SHIFT 17
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_11_POLICY3_MASK_MASK  0x00020000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_19_POLICY3_MASK_SHIFT 16
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_AXI_TRACE_19_POLICY3_MASK_MASK  0x00010000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_HSI_POLICY3_MASK_SHIFT          15
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_HSI_POLICY3_MASK_MASK           0x00008000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_VC_ITM_POLICY3_MASK_SHIFT       13
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_VC_ITM_POLICY3_MASK_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_TPIU_POLICY3_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_TPIU_POLICY3_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SEC_VIOL_TRAP_7_POLICY3_MASK_SHIFT 10
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SEC_VIOL_TRAP_7_POLICY3_MASK_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SEC_VIOL_TRAP_4_POLICY3_MASK_SHIFT 9
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_SEC_VIOL_TRAP_4_POLICY3_MASK_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_NOR_POLICY3_MASK_SHIFT          7
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_NOR_POLICY3_MASK_MASK           0x00000080
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_HUB_POLICY3_MASK_SHIFT          5
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_HUB_POLICY3_MASK_MASK           0x00000020
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_FUNNEL_POLICY3_MASK_SHIFT       2
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_FUNNEL_POLICY3_MASK_MASK        0x00000004
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_CTI_POLICY3_MASK_SHIFT          1
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_CTI_POLICY3_MASK_MASK           0x00000002
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_BROM_POLICY3_MASK_SHIFT         0
#define    KHUB_CLK_MGR_REG_POLICY3_MASK1_BROM_POLICY3_MASK_MASK          0x00000001

#define KHUB_CLK_MGR_REG_INTEN_OFFSET                                     0x00000020
#define KHUB_CLK_MGR_REG_INTEN_TYPE                                       UInt32
#define KHUB_CLK_MGR_REG_INTEN_RESERVED_MASK                              0x7FFFFFFC
#define    KHUB_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_SHIFT                  31
#define    KHUB_CLK_MGR_REG_INTEN_PRIV_ACCESS_MODE_MASK                   0x80000000
#define    KHUB_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_SHIFT                  1
#define    KHUB_CLK_MGR_REG_INTEN_INTEN_ACT_INT_EN_MASK                   0x00000002
#define    KHUB_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_SHIFT                  0
#define    KHUB_CLK_MGR_REG_INTEN_INTEN_TGT_INT_EN_MASK                   0x00000001

#define KHUB_CLK_MGR_REG_INTSTAT_OFFSET                                   0x00000024
#define KHUB_CLK_MGR_REG_INTSTAT_TYPE                                     UInt32
#define KHUB_CLK_MGR_REG_INTSTAT_RESERVED_MASK                            0x7FFFFFFC
#define    KHUB_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_SHIFT                31
#define    KHUB_CLK_MGR_REG_INTSTAT_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    KHUB_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_SHIFT                 1
#define    KHUB_CLK_MGR_REG_INTSTAT_INTSTAT_ACT_INT_MASK                  0x00000002
#define    KHUB_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_SHIFT                 0
#define    KHUB_CLK_MGR_REG_INTSTAT_INTSTAT_TGT_INT_MASK                  0x00000001

#define KHUB_CLK_MGR_REG_VLT_PERI_OFFSET                                  0x00000030
#define KHUB_CLK_MGR_REG_VLT_PERI_TYPE                                    UInt32
#define KHUB_CLK_MGR_REG_VLT_PERI_RESERVED_MASK                           0x7FFFF0F0
#define    KHUB_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_SHIFT               31
#define    KHUB_CLK_MGR_REG_VLT_PERI_PRIV_ACCESS_MODE_MASK                0x80000000
#define    KHUB_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_SHIFT                  8
#define    KHUB_CLK_MGR_REG_VLT_PERI_VLT_HIGH_PERI_MASK                   0x00000F00
#define    KHUB_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_SHIFT                0
#define    KHUB_CLK_MGR_REG_VLT_PERI_VLT_NORMAL_PERI_MASK                 0x0000000F

#define KHUB_CLK_MGR_REG_LVM_EN_OFFSET                                    0x00000034
#define KHUB_CLK_MGR_REG_LVM_EN_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_LVM_EN_RESERVED_MASK                             0x7FFFFFFE
#define    KHUB_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_LVM_EN_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_SHIFT                 0
#define    KHUB_CLK_MGR_REG_LVM_EN_POLICY_CONFIG_EN_MASK                  0x00000001

#define KHUB_CLK_MGR_REG_LVM0_3_OFFSET                                    0x00000038
#define KHUB_CLK_MGR_REG_LVM0_3_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_LVM0_3_RESERVED_MASK                             0x7FFF0000
#define    KHUB_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_LVM0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_SHIFT                     12
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_03_MASK                      0x0000F000
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_SHIFT                     8
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_02_MASK                      0x00000F00
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_SHIFT                     4
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_01_MASK                      0x000000F0
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_SHIFT                     0
#define    KHUB_CLK_MGR_REG_LVM0_3_LVM0_3_MD_00_MASK                      0x0000000F

#define KHUB_CLK_MGR_REG_LVM4_7_OFFSET                                    0x0000003C
#define KHUB_CLK_MGR_REG_LVM4_7_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_LVM4_7_RESERVED_MASK                             0x7FFF0000
#define    KHUB_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_LVM4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_SHIFT                     12
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_07_MASK                      0x0000F000
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_SHIFT                     8
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_06_MASK                      0x00000F00
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_SHIFT                     4
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_05_MASK                      0x000000F0
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_SHIFT                     0
#define    KHUB_CLK_MGR_REG_LVM4_7_LVM4_7_MD_04_MASK                      0x0000000F

#define KHUB_CLK_MGR_REG_VLT0_3_OFFSET                                    0x00000040
#define KHUB_CLK_MGR_REG_VLT0_3_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_VLT0_3_RESERVED_MASK                             0x70F0F0F0
#define    KHUB_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_VLT0_3_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_SHIFT                     24
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_03_MASK                      0x0F000000
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_SHIFT                     16
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_02_MASK                      0x000F0000
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_SHIFT                     8
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_01_MASK                      0x00000F00
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_SHIFT                     0
#define    KHUB_CLK_MGR_REG_VLT0_3_VLT0_3_VV_00_MASK                      0x0000000F

#define KHUB_CLK_MGR_REG_VLT4_7_OFFSET                                    0x00000044
#define KHUB_CLK_MGR_REG_VLT4_7_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_VLT4_7_RESERVED_MASK                             0x70F0F0F0
#define    KHUB_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_VLT4_7_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_SHIFT                     24
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_07_MASK                      0x0F000000
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_SHIFT                     16
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_06_MASK                      0x000F0000
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_SHIFT                     8
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_05_MASK                      0x00000F00
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_SHIFT                     0
#define    KHUB_CLK_MGR_REG_VLT4_7_VLT4_7_VV_04_MASK                      0x0000000F

#define KHUB_CLK_MGR_REG_POLICY0_MASK2_OFFSET                             0x00000048
#define KHUB_CLK_MGR_REG_POLICY0_MASK2_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY0_MASK2_RESERVED_MASK                      0x707FFFA5
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_DAP_SWITCH_POLICY0_MASK_SHIFT   27
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_DAP_SWITCH_POLICY0_MASK_MASK    0x08000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_VAR_SPM_POLICY0_MASK_SHIFT      26
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_VAR_SPM_POLICY0_MASK_MASK       0x04000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_TMON_POLICY0_MASK_SHIFT         25
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_TMON_POLICY0_MASK_MASK          0x02000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_SEC_VIOL_TRAP_5_POLICY0_MASK_SHIFT 24
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_SEC_VIOL_TRAP_5_POLICY0_MASK_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_AUDIOH_POLICY0_MASK_SHIFT       23
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_AUDIOH_POLICY0_MASK_MASK        0x00800000
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_SSP3_POLICY0_MASK_SHIFT         6
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_SSP3_POLICY0_MASK_MASK          0x00000040
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_ETB2AXI_POLICY0_MASK_SHIFT      4
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_ETB2AXI_POLICY0_MASK_MASK       0x00000010
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_BT_SLIM_POLICY0_MASK_SHIFT      3
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_BT_SLIM_POLICY0_MASK_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_ATB_FILTER_POLICY0_MASK_SHIFT   1
#define    KHUB_CLK_MGR_REG_POLICY0_MASK2_ATB_FILTER_POLICY0_MASK_MASK    0x00000002

#define KHUB_CLK_MGR_REG_POLICY1_MASK2_OFFSET                             0x0000004C
#define KHUB_CLK_MGR_REG_POLICY1_MASK2_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY1_MASK2_RESERVED_MASK                      0x707FFFA5
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_DAP_SWITCH_POLICY1_MASK_SHIFT   27
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_DAP_SWITCH_POLICY1_MASK_MASK    0x08000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_VAR_SPM_POLICY1_MASK_SHIFT      26
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_VAR_SPM_POLICY1_MASK_MASK       0x04000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_TMON_POLICY1_MASK_SHIFT         25
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_TMON_POLICY1_MASK_MASK          0x02000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_SEC_VIOL_TRAP_5_POLICY1_MASK_SHIFT 24
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_SEC_VIOL_TRAP_5_POLICY1_MASK_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_AUDIOH_POLICY1_MASK_SHIFT       23
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_AUDIOH_POLICY1_MASK_MASK        0x00800000
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_SSP3_POLICY1_MASK_SHIFT         6
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_SSP3_POLICY1_MASK_MASK          0x00000040
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_ETB2AXI_POLICY1_MASK_SHIFT      4
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_ETB2AXI_POLICY1_MASK_MASK       0x00000010
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_BT_SLIM_POLICY1_MASK_SHIFT      3
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_BT_SLIM_POLICY1_MASK_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_ATB_FILTER_POLICY1_MASK_SHIFT   1
#define    KHUB_CLK_MGR_REG_POLICY1_MASK2_ATB_FILTER_POLICY1_MASK_MASK    0x00000002

#define KHUB_CLK_MGR_REG_POLICY2_MASK2_OFFSET                             0x00000050
#define KHUB_CLK_MGR_REG_POLICY2_MASK2_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY2_MASK2_RESERVED_MASK                      0x707FFFA5
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_DAP_SWITCH_POLICY2_MASK_SHIFT   27
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_DAP_SWITCH_POLICY2_MASK_MASK    0x08000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_VAR_SPM_POLICY2_MASK_SHIFT      26
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_VAR_SPM_POLICY2_MASK_MASK       0x04000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_TMON_POLICY2_MASK_SHIFT         25
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_TMON_POLICY2_MASK_MASK          0x02000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_SEC_VIOL_TRAP_5_POLICY2_MASK_SHIFT 24
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_SEC_VIOL_TRAP_5_POLICY2_MASK_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_AUDIOH_POLICY2_MASK_SHIFT       23
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_AUDIOH_POLICY2_MASK_MASK        0x00800000
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_SSP3_POLICY2_MASK_SHIFT         6
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_SSP3_POLICY2_MASK_MASK          0x00000040
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_ETB2AXI_POLICY2_MASK_SHIFT      4
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_ETB2AXI_POLICY2_MASK_MASK       0x00000010
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_BT_SLIM_POLICY2_MASK_SHIFT      3
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_BT_SLIM_POLICY2_MASK_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_ATB_FILTER_POLICY2_MASK_SHIFT   1
#define    KHUB_CLK_MGR_REG_POLICY2_MASK2_ATB_FILTER_POLICY2_MASK_MASK    0x00000002

#define KHUB_CLK_MGR_REG_POLICY3_MASK2_OFFSET                             0x00000054
#define KHUB_CLK_MGR_REG_POLICY3_MASK2_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_POLICY3_MASK2_RESERVED_MASK                      0x707FFFA5
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_DAP_SWITCH_POLICY3_MASK_SHIFT   27
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_DAP_SWITCH_POLICY3_MASK_MASK    0x08000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_VAR_SPM_POLICY3_MASK_SHIFT      26
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_VAR_SPM_POLICY3_MASK_MASK       0x04000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_TMON_POLICY3_MASK_SHIFT         25
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_TMON_POLICY3_MASK_MASK          0x02000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_SEC_VIOL_TRAP_5_POLICY3_MASK_SHIFT 24
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_SEC_VIOL_TRAP_5_POLICY3_MASK_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_AUDIOH_POLICY3_MASK_SHIFT       23
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_AUDIOH_POLICY3_MASK_MASK        0x00800000
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_SSP3_POLICY3_MASK_SHIFT         6
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_SSP3_POLICY3_MASK_MASK          0x00000040
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_ETB2AXI_POLICY3_MASK_SHIFT      4
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_ETB2AXI_POLICY3_MASK_MASK       0x00000010
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_BT_SLIM_POLICY3_MASK_SHIFT      3
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_BT_SLIM_POLICY3_MASK_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_ATB_FILTER_POLICY3_MASK_SHIFT   1
#define    KHUB_CLK_MGR_REG_POLICY3_MASK2_ATB_FILTER_POLICY3_MASK_MASK    0x00000002

#define KHUB_CLK_MGR_REG_BUS_QUIESC_OFFSET                                0x00000100
#define KHUB_CLK_MGR_REG_BUS_QUIESC_TYPE                                  UInt32
#define KHUB_CLK_MGR_REG_BUS_QUIESC_RESERVED_MASK                         0x7FFFFFFE
#define    KHUB_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUB_CLK_MGR_REG_BUS_QUIESC_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUB_CLK_MGR_REG_BUS_QUIESC_HUB_SWITCH_REQGNT_INH_SHIFT        0
#define    KHUB_CLK_MGR_REG_BUS_QUIESC_HUB_SWITCH_REQGNT_INH_MASK         0x00000001

#define KHUB_CLK_MGR_REG_HUB_CLKGATE_OFFSET                               0x00000200
#define KHUB_CLK_MGR_REG_HUB_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_HUB_CLKGATE_RESERVED_MASK                        0x6FFAF0FC
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_VOLTAGE_LEVEL_SHIFT           28
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_VOLTAGE_LEVEL_MASK            0x10000000
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_STPRSTS_SHIFT      18
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_STPRSTS_MASK       0x00040000
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_STPRSTS_SHIFT                 16
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_STPRSTS_MASK                  0x00010000
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_HYST_EN_SHIFT      11
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_HYST_EN_MASK       0x00000800
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_HYST_VAL_SHIFT     10
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_SWITCH_APB_HYST_VAL_MASK      0x00000400
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HYST_EN_SHIFT                 9
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HYST_EN_MASK                  0x00000200
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HYST_VAL_SHIFT                8
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HYST_VAL_MASK                 0x00000100
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HW_SW_GATING_SEL_SHIFT        1
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_HW_SW_GATING_SEL_MASK         0x00000002
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_CLK_EN_SHIFT                  0
#define    KHUB_CLK_MGR_REG_HUB_CLKGATE_HUB_CLK_EN_MASK                   0x00000001

#define KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_OFFSET                        0x00000204
#define KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_TYPE                          UInt32
#define KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_RESERVED_MASK                 0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_PRIV_ACCESS_MODE_SHIFT     31
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_PRIV_ACCESS_MODE_MASK      0x80000000
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_STPRSTS_SHIFT   16
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_STPRSTS_MASK    0x00010000
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HYST_EN_SHIFT   9
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HYST_EN_MASK    0x00000200
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HYST_VAL_SHIFT  8
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HYST_VAL_MASK   0x00000100
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_CLK_EN_SHIFT    0
#define    KHUB_CLK_MGR_REG_DAP_SWITCH_CLKGATE_DAP_SWITCH_CLK_EN_MASK     0x00000001

#define KHUB_CLK_MGR_REG_BROM_CLKGATE_OFFSET                              0x00000300
#define KHUB_CLK_MGR_REG_BROM_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_BROM_CLKGATE_RESERVED_MASK                       0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_STPRSTS_SHIFT               16
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_STPRSTS_MASK                0x00010000
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HYST_EN_SHIFT               9
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HYST_EN_MASK                0x00000200
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HYST_VAL_SHIFT              8
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HYST_VAL_MASK               0x00000100
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HW_SW_GATING_SEL_SHIFT      1
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_HW_SW_GATING_SEL_MASK       0x00000002
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_CLK_EN_SHIFT                0
#define    KHUB_CLK_MGR_REG_BROM_CLKGATE_BROM_CLK_EN_MASK                 0x00000001

#define KHUB_CLK_MGR_REG_NOR_CLKGATE_OFFSET                               0x00000304
#define KHUB_CLK_MGR_REG_NOR_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_NOR_CLKGATE_RESERVED_MASK                        0x6FEAC0C0
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_VOLTAGE_LEVEL_SHIFT           28
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_VOLTAGE_LEVEL_MASK            0x10000000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_STPRSTS_SHIFT             20
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_STPRSTS_MASK              0x00100000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_STPRSTS_SHIFT                 18
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_STPRSTS_MASK                  0x00040000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_STPRSTS_SHIFT           16
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_STPRSTS_MASK            0x00010000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HYST_EN_SHIFT             13
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HYST_EN_MASK              0x00002000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HYST_VAL_SHIFT            12
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HYST_VAL_MASK             0x00001000
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HYST_EN_SHIFT                 11
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HYST_EN_MASK                  0x00000800
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HYST_VAL_SHIFT                10
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HYST_VAL_MASK                 0x00000400
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HYST_EN_SHIFT           9
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HYST_EN_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HYST_VAL_SHIFT          8
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HYST_VAL_MASK           0x00000100
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HW_SW_GATING_SEL_SHIFT    5
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_HW_SW_GATING_SEL_MASK     0x00000020
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_CLK_EN_SHIFT              4
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_APB_CLK_EN_MASK               0x00000010
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HW_SW_GATING_SEL_SHIFT        3
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_HW_SW_GATING_SEL_MASK         0x00000008
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_CLK_EN_SHIFT                  2
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_CLK_EN_MASK                   0x00000004
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HW_SW_GATING_SEL_SHIFT  1
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_HW_SW_GATING_SEL_MASK   0x00000002
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_CLK_EN_SHIFT            0
#define    KHUB_CLK_MGR_REG_NOR_CLKGATE_NOR_ASYNC_CLK_EN_MASK             0x00000001

#define KHUB_CLK_MGR_REG_MDIO_CLKGATE_OFFSET                              0x0000030C
#define KHUB_CLK_MGR_REG_MDIO_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_MDIO_CLKGATE_RESERVED_MASK                       0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_VOLTAGE_LEVEL_SHIFT   28
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_VOLTAGE_LEVEL_MASK    0x10000000
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_STPRSTS_SHIFT         16
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_STPRSTS_MASK          0x00010000
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HYST_EN_SHIFT         9
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HYST_EN_MASK          0x00000200
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HYST_VAL_SHIFT        8
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HYST_VAL_MASK         0x00000100
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_CLK_EN_SHIFT          0
#define    KHUB_CLK_MGR_REG_MDIO_CLKGATE_MDIOMASTER_CLK_EN_MASK           0x00000001

#define KHUB_CLK_MGR_REG_APB5_CLKGATE_OFFSET                              0x00000400
#define KHUB_CLK_MGR_REG_APB5_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_APB5_CLKGATE_RESERVED_MASK                       0x7FFEFFFC
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_STPRSTS_SHIFT               16
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_STPRSTS_MASK                0x00010000
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_HW_SW_GATING_SEL_SHIFT      1
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_HW_SW_GATING_SEL_MASK       0x00000002
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_CLK_EN_SHIFT                0
#define    KHUB_CLK_MGR_REG_APB5_CLKGATE_APB5_CLK_EN_MASK                 0x00000001

#define KHUB_CLK_MGR_REG_CTI_CLKGATE_OFFSET                               0x00000408
#define KHUB_CLK_MGR_REG_CTI_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_CTI_CLKGATE_RESERVED_MASK                        0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_VOLTAGE_LEVEL_SHIFT           28
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_VOLTAGE_LEVEL_MASK            0x10000000
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_STPRSTS_SHIFT             16
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_STPRSTS_MASK              0x00010000
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HYST_EN_SHIFT             9
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HYST_EN_MASK              0x00000200
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HYST_VAL_SHIFT            8
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HYST_VAL_MASK             0x00000100
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HW_SW_GATING_SEL_SHIFT    1
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_HW_SW_GATING_SEL_MASK     0x00000002
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_CLK_EN_SHIFT              0
#define    KHUB_CLK_MGR_REG_CTI_CLKGATE_CTI_APB_CLK_EN_MASK               0x00000001

#define KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_OFFSET                            0x0000040C
#define KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_RESERVED_MASK                     0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_VOLTAGE_LEVEL_SHIFT     28
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_VOLTAGE_LEVEL_MASK      0x10000000
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_STPRSTS_SHIFT       16
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_STPRSTS_MASK        0x00010000
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HYST_EN_SHIFT       9
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HYST_EN_MASK        0x00000200
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HYST_VAL_SHIFT      8
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HYST_VAL_MASK       0x00000100
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_CLK_EN_SHIFT        0
#define    KHUB_CLK_MGR_REG_FUNNEL_CLKGATE_FUNNEL_APB_CLK_EN_MASK         0x00000001

#define KHUB_CLK_MGR_REG_IPC_CLKGATE_OFFSET                               0x0000041C
#define KHUB_CLK_MGR_REG_IPC_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_IPC_CLKGATE_RESERVED_MASK                        0x7FFEFCFF
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_STPRSTS_SHIFT         16
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_STPRSTS_MASK          0x00010000
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_HYST_EN_SHIFT         9
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_HYST_EN_MASK          0x00000200
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_HYST_VAL_SHIFT        8
#define    KHUB_CLK_MGR_REG_IPC_CLKGATE_IPC_SEC_APB_HYST_VAL_MASK         0x00000100

#define KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_OFFSET                          0x00000430
#define KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_RESERVED_MASK                   0x7FFEFCFF
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_STPRSTS_SHIFT   16
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_STPRSTS_MASK    0x00010000
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_HYST_EN_SHIFT   9
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_HYST_EN_MASK    0x00000200
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_HYST_VAL_SHIFT  8
#define    KHUB_CLK_MGR_REG_SRAM_MPU_CLKGATE_SRAM_MPU_APB_HYST_VAL_MASK   0x00000100

#define KHUB_CLK_MGR_REG_TPIU_CLKGATE_OFFSET                              0x00000438
#define KHUB_CLK_MGR_REG_TPIU_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_TPIU_CLKGATE_RESERVED_MASK                       0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_STPRSTS_SHIFT           16
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_STPRSTS_MASK            0x00010000
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HYST_EN_SHIFT           9
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HYST_EN_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HYST_VAL_SHIFT          8
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HYST_VAL_MASK           0x00000100
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HW_SW_GATING_SEL_SHIFT  1
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_CLK_EN_SHIFT            0
#define    KHUB_CLK_MGR_REG_TPIU_CLKGATE_TPIU_APB_CLK_EN_MASK             0x00000001

#define KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_OFFSET                            0x0000043C
#define KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_RESERVED_MASK                     0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_VOLTAGE_LEVEL_SHIFT     28
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_VOLTAGE_LEVEL_MASK      0x10000000
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_STPRSTS_SHIFT       16
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_STPRSTS_MASK        0x00010000
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HYST_EN_SHIFT       9
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HYST_EN_MASK        0x00000200
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HYST_VAL_SHIFT      8
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HYST_VAL_MASK       0x00000100
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_CLK_EN_SHIFT        0
#define    KHUB_CLK_MGR_REG_VC_ITM_CLKGATE_VC_ITM_APB_CLK_EN_MASK         0x00000001

#define KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_OFFSET                          0x00000444
#define KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_RESERVED_MASK                   0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_SECTRAP4_CLKGATE_SEC_VIOL_TRAP_4_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_OFFSET                          0x00000448
#define KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_RESERVED_MASK                   0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_SECTRAP5_CLKGATE_SEC_VIOL_TRAP_5_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_OFFSET                          0x00000450
#define KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_RESERVED_MASK                   0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_SECTRAP7_CLKGATE_SEC_VIOL_TRAP_7_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_HSI_CLKGATE_OFFSET                               0x0000045C
#define KHUB_CLK_MGR_REG_HSI_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_HSI_CLKGATE_RESERVED_MASK                        0x6FEAC0C0
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_VOLTAGE_LEVEL_SHIFT           28
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_VOLTAGE_LEVEL_MASK            0x10000000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_STPRSTS_SHIFT             20
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_STPRSTS_MASK              0x00100000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_STPRSTS_SHIFT              18
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_STPRSTS_MASK               0x00040000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_STPRSTS_SHIFT              16
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_STPRSTS_MASK               0x00010000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HYST_EN_SHIFT             13
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HYST_EN_MASK              0x00002000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HYST_VAL_SHIFT            12
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HYST_VAL_MASK             0x00001000
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HYST_EN_SHIFT              11
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HYST_EN_MASK               0x00000800
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HYST_VAL_SHIFT             10
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HYST_VAL_MASK              0x00000400
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HYST_EN_SHIFT              9
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HYST_EN_MASK               0x00000200
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HYST_VAL_SHIFT             8
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HYST_VAL_MASK              0x00000100
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HW_SW_GATING_SEL_SHIFT    5
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_HW_SW_GATING_SEL_MASK     0x00000020
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_CLK_EN_SHIFT              4
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_APB_CLK_EN_MASK               0x00000010
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HW_SW_GATING_SEL_SHIFT     3
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_HW_SW_GATING_SEL_MASK      0x00000008
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_CLK_EN_SHIFT               2
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_TX_CLK_EN_MASK                0x00000004
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HW_SW_GATING_SEL_SHIFT     1
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_HW_SW_GATING_SEL_MASK      0x00000002
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_CLK_EN_SHIFT               0
#define    KHUB_CLK_MGR_REG_HSI_CLKGATE_HSI_RX_CLK_EN_MASK                0x00000001

#define KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_OFFSET                       0x00000460
#define KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_TYPE                         UInt32
#define KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_RESERVED_MASK                0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_AXI_TRACE19_CLKGATE_AXI_TRACE_19_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_OFFSET                       0x00000464
#define KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_TYPE                         UInt32
#define KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_RESERVED_MASK                0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_AXI_TRACE11_CLKGATE_AXI_TRACE_11_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_OFFSET                       0x00000468
#define KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_TYPE                         UInt32
#define KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_RESERVED_MASK                0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_AXI_TRACE12_CLKGATE_AXI_TRACE_12_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_OFFSET                       0x0000046C
#define KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_TYPE                         UInt32
#define KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_RESERVED_MASK                0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_PRIV_ACCESS_MODE_SHIFT    31
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_PRIV_ACCESS_MODE_MASK     0x80000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_AXI_TRACE13_CLKGATE_AXI_TRACE_13_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_ETB_CLKGATE_OFFSET                               0x00000470
#define KHUB_CLK_MGR_REG_ETB_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_ETB_CLKGATE_RESERVED_MASK                        0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_VOLTAGE_LEVEL_SHIFT           28
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_VOLTAGE_LEVEL_MASK            0x10000000
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_STPRSTS_SHIFT             16
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_STPRSTS_MASK              0x00010000
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HYST_EN_SHIFT             9
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HYST_EN_MASK              0x00000200
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HYST_VAL_SHIFT            8
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HYST_VAL_MASK             0x00000100
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HW_SW_GATING_SEL_SHIFT    1
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_HW_SW_GATING_SEL_MASK     0x00000002
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_CLK_EN_SHIFT              0
#define    KHUB_CLK_MGR_REG_ETB_CLKGATE_ETB_APB_CLK_EN_MASK               0x00000001

#define KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_OFFSET                      0x00000474
#define KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_TYPE                        UInt32
#define KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_RESERVED_MASK               0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_PRIV_ACCESS_MODE_SHIFT   31
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_VOLTAGE_LEVEL_SHIFT 28
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_VOLTAGE_LEVEL_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_STPRSTS_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HYST_EN_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_CLK_EN_SHIFT 0
#define    KHUB_CLK_MGR_REG_FINAL_FUNNEL_CLKGATE_FINAL_FUNNEL_APB_CLK_EN_MASK 0x00000001

#define KHUB_CLK_MGR_REG_APB10_CLKGATE_OFFSET                             0x0000047C
#define KHUB_CLK_MGR_REG_APB10_CLKGATE_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_APB10_CLKGATE_RESERVED_MASK                      0x7FFEFFFE
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_APB10_STPRSTS_SHIFT             16
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_APB10_STPRSTS_MASK              0x00010000
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_APB10_CLK_EN_SHIFT              0
#define    KHUB_CLK_MGR_REG_APB10_CLKGATE_APB10_CLK_EN_MASK               0x00000001

#define KHUB_CLK_MGR_REG_APB9_CLKGATE_OFFSET                              0x00000480
#define KHUB_CLK_MGR_REG_APB9_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_APB9_CLKGATE_RESERVED_MASK                       0x7FFEFFFE
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_APB9_STPRSTS_SHIFT               16
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_APB9_STPRSTS_MASK                0x00010000
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_APB9_CLK_EN_SHIFT                0
#define    KHUB_CLK_MGR_REG_APB9_CLKGATE_APB9_CLK_EN_MASK                 0x00000001

#define KHUB_CLK_MGR_REG_ATB_CLKGATE_OFFSET                               0x00000484
#define KHUB_CLK_MGR_REG_ATB_CLKGATE_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_ATB_CLKGATE_RESERVED_MASK                        0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_VOLTAGE_LEVEL_SHIFT    28
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_VOLTAGE_LEVEL_MASK     0x10000000
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_STPRSTS_SHIFT      16
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_STPRSTS_MASK       0x00010000
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HYST_EN_SHIFT      9
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HYST_EN_MASK       0x00000200
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HYST_VAL_SHIFT     8
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HYST_VAL_MASK      0x00000100
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_CLK_EN_SHIFT       0
#define    KHUB_CLK_MGR_REG_ATB_CLKGATE_ATB_FILTER_APB_CLK_EN_MASK        0x00000001

#define KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_OFFSET                           0x0000048C
#define KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_TYPE                             UInt32
#define KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_RESERVED_MASK                    0x6FFAF0F0
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_VOLTAGE_LEVEL_SHIFT   28
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_VOLTAGE_LEVEL_MASK    0x10000000
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_STPRSTS_SHIFT         18
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_STPRSTS_MASK          0x00040000
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_STPRSTS_SHIFT 16
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_STPRSTS_MASK  0x00010000
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HYST_EN_SHIFT         11
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HYST_EN_MASK          0x00000800
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HYST_VAL_SHIFT        10
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HYST_VAL_MASK         0x00000400
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HYST_EN_SHIFT 9
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HYST_EN_MASK  0x00000200
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HYST_VAL_SHIFT 8
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HYST_VAL_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HW_SW_GATING_SEL_SHIFT 3
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_CLK_EN_SHIFT          2
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_CLK_EN_MASK           0x00000004
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_CLK_EN_SHIFT  0
#define    KHUB_CLK_MGR_REG_BT_SLIM_CLKGATE_BT_SLIM_AHB_APB_CLK_EN_MASK   0x00000001

#define KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_OFFSET                           0x00000490
#define KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_TYPE                             UInt32
#define KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_RESERVED_MASK                    0x6FFEFCFC
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_VOLTAGE_LEVEL_SHIFT   28
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_VOLTAGE_LEVEL_MASK    0x10000000
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_STPRSTS_SHIFT     16
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_STPRSTS_MASK      0x00010000
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HYST_EN_SHIFT     9
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HYST_EN_MASK      0x00000200
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HYST_VAL_SHIFT    8
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HYST_VAL_MASK     0x00000100
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_CLK_EN_SHIFT      0
#define    KHUB_CLK_MGR_REG_ETB2AXI_CLKGATE_ETB2AXI_APB_CLK_EN_MASK       0x00000001

#define KHUB_CLK_MGR_REG_SSP3_CLKGATE_OFFSET                              0x00000498
#define KHUB_CLK_MGR_REG_SSP3_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_SSP3_CLKGATE_RESERVED_MASK                       0x6FEAC0C0
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_STPRSTS_SHIFT         20
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_STPRSTS_MASK          0x00100000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_STPRSTS_SHIFT               18
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_STPRSTS_MASK                0x00040000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_STPRSTS_SHIFT           16
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_STPRSTS_MASK            0x00010000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HYST_EN_SHIFT         13
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HYST_EN_MASK          0x00002000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HYST_VAL_SHIFT        12
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HYST_VAL_MASK         0x00001000
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HYST_EN_SHIFT               11
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HYST_EN_MASK                0x00000800
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HYST_VAL_SHIFT              10
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HYST_VAL_MASK               0x00000400
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HYST_EN_SHIFT           9
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HYST_EN_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HYST_VAL_SHIFT          8
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HYST_VAL_MASK           0x00000100
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HW_SW_GATING_SEL_SHIFT 5
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_HW_SW_GATING_SEL_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_CLK_EN_SHIFT          4
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_AUDIO_CLK_EN_MASK           0x00000010
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HW_SW_GATING_SEL_SHIFT      3
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_HW_SW_GATING_SEL_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_CLK_EN_SHIFT                2
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_CLK_EN_MASK                 0x00000004
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HW_SW_GATING_SEL_SHIFT  1
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_CLK_EN_SHIFT            0
#define    KHUB_CLK_MGR_REG_SSP3_CLKGATE_SSP3_APB_CLK_EN_MASK             0x00000001

#define KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_OFFSET                            0x000004A0
#define KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_RESERVED_MASK                     0x6FAA0000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_VOLTAGE_LEVEL_SHIFT     28
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_VOLTAGE_LEVEL_MASK      0x10000000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_STPRSTS_SHIFT      22
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_STPRSTS_MASK       0x00400000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_STPRSTS_SHIFT       20
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_STPRSTS_MASK        0x00100000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_STPRSTS_SHIFT      18
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_STPRSTS_MASK       0x00040000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_STPRSTS_SHIFT       16
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_STPRSTS_MASK        0x00010000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HYST_EN_SHIFT      15
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HYST_EN_MASK       0x00008000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HYST_VAL_SHIFT     14
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HYST_VAL_MASK      0x00004000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HYST_EN_SHIFT       13
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HYST_EN_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HYST_VAL_SHIFT      12
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HYST_VAL_MASK       0x00001000
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HYST_EN_SHIFT      11
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HYST_EN_MASK       0x00000800
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HYST_VAL_SHIFT     10
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HYST_VAL_MASK      0x00000400
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HYST_EN_SHIFT       9
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HYST_EN_MASK        0x00000200
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HYST_VAL_SHIFT      8
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HYST_VAL_MASK       0x00000100
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HW_SW_GATING_SEL_SHIFT 7
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_HW_SW_GATING_SEL_MASK 0x00000080
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_CLK_EN_SHIFT       6
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_2P4M_CLK_EN_MASK        0x00000040
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HW_SW_GATING_SEL_SHIFT 5
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_HW_SW_GATING_SEL_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_CLK_EN_SHIFT        4
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_26M_CLK_EN_MASK         0x00000010
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HW_SW_GATING_SEL_SHIFT 3
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_HW_SW_GATING_SEL_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_CLK_EN_SHIFT       2
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_156M_CLK_EN_MASK        0x00000004
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HW_SW_GATING_SEL_SHIFT 1
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_HW_SW_GATING_SEL_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_CLK_EN_SHIFT        0
#define    KHUB_CLK_MGR_REG_AUDIOH_CLKGATE_AUDIOH_APB_CLK_EN_MASK         0x00000001

#define KHUB_CLK_MGR_REG_TMON_CLKGATE_OFFSET                              0x000004A4
#define KHUB_CLK_MGR_REG_TMON_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_TMON_CLKGATE_RESERVED_MASK                       0x6FFAF0F0
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_STPRSTS_SHIFT            18
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_STPRSTS_MASK             0x00040000
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_STPRSTS_SHIFT           16
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_STPRSTS_MASK            0x00010000
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HYST_EN_SHIFT            11
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HYST_EN_MASK             0x00000800
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HYST_VAL_SHIFT           10
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HYST_VAL_MASK            0x00000400
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HYST_EN_SHIFT           9
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HYST_EN_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HYST_VAL_SHIFT          8
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HYST_VAL_MASK           0x00000100
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HW_SW_GATING_SEL_SHIFT   3
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_HW_SW_GATING_SEL_MASK    0x00000008
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_CLK_EN_SHIFT             2
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_1M_CLK_EN_MASK              0x00000004
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HW_SW_GATING_SEL_SHIFT  1
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_CLK_EN_SHIFT            0
#define    KHUB_CLK_MGR_REG_TMON_CLKGATE_TMON_APB_CLK_EN_MASK             0x00000001

#define KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_OFFSET                           0x000004A8
#define KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_TYPE                             UInt32
#define KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_RESERVED_MASK                    0x6FFEFCFE
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_VOLTAGE_LEVEL_SHIFT   28
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_VOLTAGE_LEVEL_MASK    0x10000000
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_STPRSTS_SHIFT     16
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_STPRSTS_MASK      0x00010000
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_HYST_EN_SHIFT     9
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_HYST_EN_MASK      0x00000200
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_HYST_VAL_SHIFT    8
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_HYST_VAL_MASK     0x00000100
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_CLK_EN_SHIFT      0
#define    KHUB_CLK_MGR_REG_VAR_SPM_CLKGATE_VAR_SPM_APB_CLK_EN_MASK       0x00000001

#define KHUB_CLK_MGR_REG_SSP4_CLKGATE_OFFSET                              0x000004AC
#define KHUB_CLK_MGR_REG_SSP4_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_SSP4_CLKGATE_RESERVED_MASK                       0x6FEAC0C0
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_STPRSTS_SHIFT         20
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_STPRSTS_MASK          0x00100000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_STPRSTS_SHIFT               18
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_STPRSTS_MASK                0x00040000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_STPRSTS_SHIFT           16
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_STPRSTS_MASK            0x00010000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HYST_EN_SHIFT         13
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HYST_EN_MASK          0x00002000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HYST_VAL_SHIFT        12
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HYST_VAL_MASK         0x00001000
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HYST_EN_SHIFT               11
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HYST_EN_MASK                0x00000800
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HYST_VAL_SHIFT              10
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HYST_VAL_MASK               0x00000400
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HYST_EN_SHIFT           9
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HYST_EN_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HYST_VAL_SHIFT          8
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HYST_VAL_MASK           0x00000100
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HW_SW_GATING_SEL_SHIFT 5
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_HW_SW_GATING_SEL_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_CLK_EN_SHIFT          4
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_AUDIO_CLK_EN_MASK           0x00000010
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HW_SW_GATING_SEL_SHIFT      3
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_HW_SW_GATING_SEL_MASK       0x00000008
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_CLK_EN_SHIFT                2
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_CLK_EN_MASK                 0x00000004
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HW_SW_GATING_SEL_SHIFT  1
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_HW_SW_GATING_SEL_MASK   0x00000002
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_CLK_EN_SHIFT            0
#define    KHUB_CLK_MGR_REG_SSP4_CLKGATE_SSP4_APB_CLK_EN_MASK             0x00000001

#define KHUB_CLK_MGR_REG_CAPH_CLKGATE_OFFSET                              0x000004B0
#define KHUB_CLK_MGR_REG_CAPH_CLKGATE_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_CAPH_CLKGATE_RESERVED_MASK                       0x6FEFCFCF
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_VOLTAGE_LEVEL_SHIFT         28
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_VOLTAGE_LEVEL_MASK          0x10000000
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_STPRSTS_SHIFT      20
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_STPRSTS_MASK       0x00100000
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HYST_EN_SHIFT      13
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HYST_EN_MASK       0x00002000
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HYST_VAL_SHIFT     12
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HYST_VAL_MASK      0x00001000
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HW_SW_GATING_SEL_SHIFT 5
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_HW_SW_GATING_SEL_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_CLK_EN_SHIFT       4
#define    KHUB_CLK_MGR_REG_CAPH_CLKGATE_CAPH_SRCMIXER_CLK_EN_MASK        0x00000010

#define KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_OFFSET                         0x00000A00
#define KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_TYPE                           UInt32
#define KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_RESERVED_MASK                  0x7FFFFF0C
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_PRIV_ACCESS_MODE_SHIFT      31
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_PRIV_ACCESS_MODE_MASK       0x80000000
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_DIV_SHIFT     4
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_DIV_MASK      0x000000F0
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_PLL_SELECT_SHIFT 0
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_PLL_SELECT_MASK 0x00000003
#define       KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_NOR_ASYNC_PRE_DIV_NOR_ASYNC_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001

#define KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_OFFSET                             0x00000A08
#define KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_RESERVED_MASK                      0x7FFFFF84
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_DIV_SHIFT             3
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_DIV_MASK              0x00000078
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_PLL_SELECT_SHIFT      0
#define    KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_PLL_SELECT_MASK       0x00000003
#define       KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_NOR_ASYNC_DIV_NOR_ASYNC_PLL_SELECT_CMD_NOR_VAR_CLK 0x00000001

#define KHUB_CLK_MGR_REG_HSI_DIV_OFFSET                                   0x00000A0C
#define KHUB_CLK_MGR_REG_HSI_DIV_TYPE                                     UInt32
#define KHUB_CLK_MGR_REG_HSI_DIV_RESERVED_MASK                            0x600CE00C
#define    KHUB_CLK_MGR_REG_HSI_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    KHUB_CLK_MGR_REG_HSI_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_DIV_SHIFT                      24
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_DIV_MASK                       0x1F000000
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_DIV_SHIFT                  20
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_DIV_MASK                   0x00F00000
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_PLL_SELECT_SHIFT           16
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_PLL_SELECT_MASK            0x00030000
#define       KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_HSI_DIV_HSI_TX_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_DIV_SHIFT                      8
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_DIV_MASK                       0x00001F00
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_DIV_SHIFT                  4
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_DIV_MASK                   0x000000F0
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_PLL_SELECT_SHIFT           0
#define    KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_PLL_SELECT_MASK            0x00000003
#define       KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_HSI_DIV_HSI_RX_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001

#define KHUB_CLK_MGR_REG_BT_SLIM_DIV_OFFSET                               0x00000A1C
#define KHUB_CLK_MGR_REG_BT_SLIM_DIV_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_BT_SLIM_DIV_RESERVED_MASK                        0x7FFFFC00
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_DIV_SHIFT                 6
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_DIV_MASK                  0x000003C0
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_DIV_SHIFT            2
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_DIV_MASK             0x0000003C
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_PLL_SELECT_SHIFT     0
#define    KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_PLL_SELECT_MASK      0x00000003
#define       KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_PLL_SELECT_CMD_REF_312M_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_BT_SLIM_DIV_BT_SLIM_PRE0_PLL_SELECT_CMD_CX40_CLK 0x00000001

#define KHUB_CLK_MGR_REG_AUDIOH_DIV_OFFSET                                0x00000A20
#define KHUB_CLK_MGR_REG_AUDIOH_DIV_TYPE                                  UInt32
#define KHUB_CLK_MGR_REG_AUDIOH_DIV_RESERVED_MASK                         0x7FFFFFFC
#define    KHUB_CLK_MGR_REG_AUDIOH_DIV_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUB_CLK_MGR_REG_AUDIOH_DIV_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUB_CLK_MGR_REG_AUDIOH_DIV_AUDIOH_26M_PLL_SELECT_SHIFT        0
#define    KHUB_CLK_MGR_REG_AUDIOH_DIV_AUDIOH_26M_PLL_SELECT_MASK         0x00000003
#define       KHUB_CLK_MGR_REG_AUDIOH_DIV_AUDIOH_26M_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_AUDIOH_DIV_AUDIOH_26M_PLL_SELECT_CMD_REF_26M_CLK 0x00000001

#define KHUB_CLK_MGR_REG_SSP3_DIV_OFFSET                                  0x00000A24
#define KHUB_CLK_MGR_REG_SSP3_DIV_TYPE                                    UInt32
#define KHUB_CLK_MGR_REG_SSP3_DIV_RESERVED_MASK                           0x7FF00008
#define    KHUB_CLK_MGR_REG_SSP3_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    KHUB_CLK_MGR_REG_SSP3_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_DIV_SHIFT                       8
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_DIV_MASK                        0x000FFF00
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_DIV_SHIFT                   4
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_DIV_MASK                    0x000000F0
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_SHIFT            0
#define    KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_MASK             0x00000007
#define       KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001
#define       KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000002
#define       KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_CMD_REF_96M_CLK 0x00000003
#define       KHUB_CLK_MGR_REG_SSP3_DIV_SSP3_PRE_PLL_SELECT_CMD_VAR_96M_CLK 0x00000004

#define KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_OFFSET                            0x00000A28
#define KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_RESERVED_MASK                     0x7FF0000C
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_DIV_SHIFT           8
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_DIV_MASK            0x000FFF00
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_DIV_SHIFT       4
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_DIV_MASK        0x000000F0
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_PLL_SELECT_SHIFT 0
#define    KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_PLL_SELECT_MASK 0x00000003
#define       KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define       KHUB_CLK_MGR_REG_SSP3_AUDIO_DIV_SSP3_AUDIO_PRE_PLL_SELECT_CMD_CX40_CLK 0x00000002

#define KHUB_CLK_MGR_REG_SSP4_DIV_OFFSET                                  0x00000A2C
#define KHUB_CLK_MGR_REG_SSP4_DIV_TYPE                                    UInt32
#define KHUB_CLK_MGR_REG_SSP4_DIV_RESERVED_MASK                           0x7FF00008
#define    KHUB_CLK_MGR_REG_SSP4_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    KHUB_CLK_MGR_REG_SSP4_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_DIV_SHIFT                       8
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_DIV_MASK                        0x000FFF00
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_DIV_SHIFT                   4
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_DIV_MASK                    0x000000F0
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_SHIFT            0
#define    KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_MASK             0x00000007
#define       KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_CMD_VAR_312M_CLK 0x00000001
#define       KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000002
#define       KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_CMD_REF_96M_CLK 0x00000003
#define       KHUB_CLK_MGR_REG_SSP4_DIV_SSP4_PRE_PLL_SELECT_CMD_VAR_96M_CLK 0x00000004

#define KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_OFFSET                            0x00000A30
#define KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_RESERVED_MASK                     0x7FF0000C
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_DIV_SHIFT           8
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_DIV_MASK            0x000FFF00
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_DIV_SHIFT       4
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_DIV_MASK        0x000000F0
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_PLL_SELECT_SHIFT 0
#define    KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_PLL_SELECT_MASK 0x00000003
#define       KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_PLL_SELECT_CMD_REF_312M_CLK 0x00000001
#define       KHUB_CLK_MGR_REG_SSP4_AUDIO_DIV_SSP4_AUDIO_PRE_PLL_SELECT_CMD_CX40_CLK 0x00000002

#define KHUB_CLK_MGR_REG_CAPH_DIV_OFFSET                                  0x00000A34
#define KHUB_CLK_MGR_REG_CAPH_DIV_TYPE                                    UInt32
#define KHUB_CLK_MGR_REG_CAPH_DIV_RESERVED_MASK                           0x7FFFFFCC
#define    KHUB_CLK_MGR_REG_CAPH_DIV_PRIV_ACCESS_MODE_SHIFT               31
#define    KHUB_CLK_MGR_REG_CAPH_DIV_PRIV_ACCESS_MODE_MASK                0x80000000
#define    KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_DIV_SHIFT              4
#define    KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_DIV_MASK               0x00000030
#define    KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_PLL_SELECT_SHIFT       0
#define    KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_PLL_SELECT_MASK        0x00000003
#define       KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_PLL_SELECT_CMD_CRYSTAL_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_CAPH_DIV_CAPH_SRCMIXER_PLL_SELECT_CMD_REF_312M_CLK 0x00000001

#define KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_OFFSET                            0x00000A40
#define KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_TYPE                              UInt32
#define KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_RESERVED_MASK                     0x7FE02339
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_PRIV_ACCESS_MODE_SHIFT         31
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_PRIV_ACCESS_MODE_MASK          0x80000000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_CAPH_SRCMIXER_TRIGGER_SHIFT    20
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_CAPH_SRCMIXER_TRIGGER_MASK     0x00100000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_AUDIO_TRIGGER_SHIFT       19
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_AUDIO_TRIGGER_MASK        0x00080000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_AUDIO_PRE_TRIGGER_SHIFT   18
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_AUDIO_PRE_TRIGGER_MASK    0x00040000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_PRE_TRIGGER_SHIFT         17
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP4_PRE_TRIGGER_MASK          0x00020000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_AUDIO_TRIGGER_SHIFT       16
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_AUDIO_TRIGGER_MASK        0x00010000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_AUDIO_PRE_TRIGGER_SHIFT   15
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_AUDIO_PRE_TRIGGER_MASK    0x00008000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_PRE_TRIGGER_SHIFT         14
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_SSP3_PRE_TRIGGER_MASK          0x00004000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_HSI_TX_PRE_TRIGGER_SHIFT       12
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_HSI_TX_PRE_TRIGGER_MASK        0x00001000
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_HSI_RX_PRE_TRIGGER_SHIFT       11
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_HSI_RX_PRE_TRIGGER_MASK        0x00000800
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_AUDIOH_26M_TRIGGER_SHIFT       10
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_AUDIOH_26M_TRIGGER_MASK        0x00000400
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_BT_SLIM_TRIGGER_SHIFT          7
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_BT_SLIM_TRIGGER_MASK           0x00000080
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_BT_SLIM_PRE0_TRIGGER_SHIFT     6
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_BT_SLIM_PRE0_TRIGGER_MASK      0x00000040
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_NOR_ASYNC_PRE_TRIGGER_SHIFT    2
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_NOR_ASYNC_PRE_TRIGGER_MASK     0x00000004
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_NOR_ASYNC_TRIGGER_SHIFT        1
#define    KHUB_CLK_MGR_REG_PERIPH_SEG_TRG_NOR_ASYNC_TRIGGER_MASK         0x00000002

#define KHUB_CLK_MGR_REG_HUB_DIV_OFFSET                                   0x00000E00
#define KHUB_CLK_MGR_REG_HUB_DIV_TYPE                                     UInt32
#define KHUB_CLK_MGR_REG_HUB_DIV_RESERVED_MASK                            0x41F07C04
#define    KHUB_CLK_MGR_REG_HUB_DIV_PRIV_ACCESS_MODE_SHIFT                31
#define    KHUB_CLK_MGR_REG_HUB_DIV_PRIV_ACCESS_MODE_MASK                 0x80000000
#define    KHUB_CLK_MGR_REG_HUB_DIV_APB5_FREE_DIV_OVERRIDE_SHIFT          29
#define    KHUB_CLK_MGR_REG_HUB_DIV_APB5_FREE_DIV_OVERRIDE_MASK           0x20000000
#define    KHUB_CLK_MGR_REG_HUB_DIV_APB5_FREE_DIV_SHIFT                   25
#define    KHUB_CLK_MGR_REG_HUB_DIV_APB5_FREE_DIV_MASK                    0x1E000000
#define    KHUB_CLK_MGR_REG_HUB_DIV_BROM_DIV_OVERRIDE_SHIFT               19
#define    KHUB_CLK_MGR_REG_HUB_DIV_BROM_DIV_OVERRIDE_MASK                0x00080000
#define    KHUB_CLK_MGR_REG_HUB_DIV_BROM_DIV_SHIFT                        15
#define    KHUB_CLK_MGR_REG_HUB_DIV_BROM_DIV_MASK                         0x00078000
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_DIV_OVERRIDE_SHIFT                9
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_DIV_OVERRIDE_MASK                 0x00000200
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_DIV_SHIFT                         4
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_DIV_MASK                          0x000001F0
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_OVERRIDE_SHIFT         3
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_OVERRIDE_MASK          0x00000008
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_SHIFT                  0
#define    KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_MASK                   0x00000003
#define       KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_CMD_CRYSTAL_CLK     0x00000000
#define       KHUB_CLK_MGR_REG_HUB_DIV_HUB_PLL_SELECT_CMD_VAR_312M_CLK    0x00000001

#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_OFFSET                               0x00000E04
#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_RESERVED_MASK                        0x7FFFFFFE
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_HUB_TRIGGER_SHIFT                 0
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_HUB_TRIGGER_MASK                  0x00000001

#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_OFFSET                      0x00000E08
#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_TYPE                        UInt32
#define KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_RESERVED_MASK               0x7FFFFFFE
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_PRIV_ACCESS_MODE_SHIFT   31
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_PRIV_ACCESS_MODE_MASK    0x80000000
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_HUB_TRIGGER_OVERRIDE_SHIFT 0
#define    KHUB_CLK_MGR_REG_HUB_SEG_TRG_OVERRIDE_HUB_TRIGGER_OVERRIDE_MASK 0x00000001

#define KHUB_CLK_MGR_REG_DFT_DVFS_312M_OFFSET                             0x00000E0C
#define KHUB_CLK_MGR_REG_DFT_DVFS_312M_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_DFT_DVFS_312M_RESERVED_MASK                      0x7FFFFFCE
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_DFT_DVFS312M_DIV_SHIFT          4
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_DFT_DVFS312M_DIV_MASK           0x00000030
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_DFT_DVFS312M_TRIGGER_SHIFT      0
#define    KHUB_CLK_MGR_REG_DFT_DVFS_312M_DFT_DVFS312M_TRIGGER_MASK       0x00000001

#define KHUB_CLK_MGR_REG_ACTIVITY_MON1_OFFSET                             0x00000E20
#define KHUB_CLK_MGR_REG_ACTIVITY_MON1_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_ACTIVITY_MON1_RESERVED_MASK                      0x70000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB10_ACTVSTS_SHIFT             27
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB10_ACTVSTS_MASK              0x08000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_TPIU_APB_ACTVSTS_SHIFT          26
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_TPIU_APB_ACTVSTS_MASK           0x04000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ETB_APB_ACTVSTS_SHIFT           25
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ETB_APB_ACTVSTS_MASK            0x02000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ETB2AXI_APB_ACTVSTS_SHIFT       24
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ETB2AXI_APB_ACTVSTS_MASK        0x01000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_FINAL_FUNNEL_APB_ACTVSTS_SHIFT  23
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_FINAL_FUNNEL_APB_ACTVSTS_MASK   0x00800000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_FUNNEL_APB_ACTVSTS_SHIFT        22
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_FUNNEL_APB_ACTVSTS_MASK         0x00400000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_CTI_APB_ACTVSTS_SHIFT           21
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_CTI_APB_ACTVSTS_MASK            0x00200000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ATB_FILTER_APB_ACTVSTS_SHIFT    20
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_ATB_FILTER_APB_ACTVSTS_MASK     0x00100000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_VC_ITM_APB_ACTVSTS_SHIFT        19
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_VC_ITM_APB_ACTVSTS_MASK         0x00080000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_13_APB_ACTVSTS_SHIFT  18
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_13_APB_ACTVSTS_MASK   0x00040000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_12_APB_ACTVSTS_SHIFT  17
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_12_APB_ACTVSTS_MASK   0x00020000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_11_APB_ACTVSTS_SHIFT  16
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_11_APB_ACTVSTS_MASK   0x00010000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_19_APB_ACTVSTS_SHIFT  15
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_AXI_TRACE_19_APB_ACTVSTS_MASK   0x00008000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB9_ACTVSTS_SHIFT              14
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB9_ACTVSTS_MASK               0x00004000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_VAR_SPM_APB_ACTVSTS_SHIFT       13
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_VAR_SPM_APB_ACTVSTS_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_TMON_APB_ACTVSTS_SHIFT          12
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_TMON_APB_ACTVSTS_MASK           0x00001000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_5_APB_ACTVSTS_SHIFT 11
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_5_APB_ACTVSTS_MASK 0x00000800
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_4_APB_ACTVSTS_SHIFT 10
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_4_APB_ACTVSTS_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_7_APB_ACTVSTS_SHIFT 9
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SEC_VIOL_TRAP_7_APB_ACTVSTS_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_IPC_SEC_APB_ACTVSTS_SHIFT       8
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_IPC_SEC_APB_ACTVSTS_MASK        0x00000100
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_NOR_APB_ACTVSTS_SHIFT           7
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_NOR_APB_ACTVSTS_MASK            0x00000080
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SRAM_MPU_APB_ACTVSTS_SHIFT      6
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_SRAM_MPU_APB_ACTVSTS_MASK       0x00000040
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_HUB_SWITCH_APB_ACTVSTS_SHIFT    5
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_HUB_SWITCH_APB_ACTVSTS_MASK     0x00000020
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB5_ACTVSTS_SHIFT              4
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB5_ACTVSTS_MASK               0x00000010
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_DAP_SWITCH_ACTVSTS_SHIFT        3
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_DAP_SWITCH_ACTVSTS_MASK         0x00000008
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB5_FREE_ACTVSTS_SHIFT         2
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_APB5_FREE_ACTVSTS_MASK          0x00000004
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_NOR_ACTVSTS_SHIFT               1
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_NOR_ACTVSTS_MASK                0x00000002
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_HUB_ACTVSTS_SHIFT               0
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON1_HUB_ACTVSTS_MASK                0x00000001

#define KHUB_CLK_MGR_REG_ACTIVITY_MON2_OFFSET                             0x00000E24
#define KHUB_CLK_MGR_REG_ACTIVITY_MON2_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_ACTIVITY_MON2_RESERVED_MASK                      0x70000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN5_ACTVSTS_SHIFT         27
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN5_ACTVSTS_MASK          0x08000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN4_ACTVSTS_SHIFT         26
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN4_ACTVSTS_MASK          0x04000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN3_ACTVSTS_SHIFT         25
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN3_ACTVSTS_MASK          0x02000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN0_ACTVSTS_SHIFT         24
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN0_ACTVSTS_MASK          0x01000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN1_ACTVSTS_SHIFT         23
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_SCAN1_ACTVSTS_MASK          0x00800000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_19_5M_ACTVSTS_SHIFT         22
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_DFT_19_5M_ACTVSTS_MASK          0x00400000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_REF_26M_ACTVSTS_SHIFT           21
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_REF_26M_ACTVSTS_MASK            0x00200000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_156M_ACTVSTS_SHIFT       20
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_156M_ACTVSTS_MASK        0x00100000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_MDIOMASTER_ACTVSTS_SHIFT        19
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_MDIOMASTER_ACTVSTS_MASK         0x00080000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_CAPH_SRCMIXER_ACTVSTS_SHIFT     18
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_CAPH_SRCMIXER_ACTVSTS_MASK      0x00040000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_AUDIO_ACTVSTS_SHIFT        17
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_AUDIO_ACTVSTS_MASK         0x00020000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_ACTVSTS_SHIFT              16
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_ACTVSTS_MASK               0x00010000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_AUDIO_ACTVSTS_SHIFT        15
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_AUDIO_ACTVSTS_MASK         0x00008000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_ACTVSTS_SHIFT              14
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_ACTVSTS_MASK               0x00004000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_2P4M_ACTVSTS_SHIFT       13
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_2P4M_ACTVSTS_MASK        0x00002000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_26M_ACTVSTS_SHIFT        12
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_26M_ACTVSTS_MASK         0x00001000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_TX_ACTVSTS_SHIFT            11
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_TX_ACTVSTS_MASK             0x00000800
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_RX_ACTVSTS_SHIFT            10
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_RX_ACTVSTS_MASK             0x00000400
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_TMON_1M_ACTVSTS_SHIFT           9
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_TMON_1M_ACTVSTS_MASK            0x00000200
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BT_SLIM_ACTVSTS_SHIFT           8
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BT_SLIM_ACTVSTS_MASK            0x00000100
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_NOR_VAR_ACTVSTS_SHIFT           7
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_NOR_VAR_ACTVSTS_MASK            0x00000080
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_NOR_ASYNC_ACTVSTS_SHIFT         6
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_NOR_ASYNC_ACTVSTS_MASK          0x00000040
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BROM_ACTVSTS_SHIFT              5
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BROM_ACTVSTS_MASK               0x00000020
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_APB_ACTVSTS_SHIFT           4
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_HSI_APB_ACTVSTS_MASK            0x00000010
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BT_SLIM_AHB_APB_ACTVSTS_SHIFT   3
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_BT_SLIM_AHB_APB_ACTVSTS_MASK    0x00000008
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_APB_ACTVSTS_SHIFT          2
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP4_APB_ACTVSTS_MASK           0x00000004
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_APB_ACTVSTS_SHIFT          1
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_SSP3_APB_ACTVSTS_MASK           0x00000002
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_APB_ACTVSTS_SHIFT        0
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON2_AUDIOH_APB_ACTVSTS_MASK         0x00000001

#define KHUB_CLK_MGR_REG_ACTIVITY_MON3_OFFSET                             0x00000E28
#define KHUB_CLK_MGR_REG_ACTIVITY_MON3_TYPE                               UInt32
#define KHUB_CLK_MGR_REG_ACTIVITY_MON3_RESERVED_MASK                      0x7FFFFFC0
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_SHIFT          31
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_PRIV_ACCESS_MODE_MASK           0x80000000
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_REF_156M_ACTVSTS_SHIFT          5
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_REF_156M_ACTVSTS_MASK           0x00000020
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN2_ACTVSTS_SHIFT         4
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN2_ACTVSTS_MASK          0x00000010
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN9_ACTVSTS_SHIFT         3
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN9_ACTVSTS_MASK          0x00000008
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN8_ACTVSTS_SHIFT         2
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN8_ACTVSTS_MASK          0x00000004
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN7_ACTVSTS_SHIFT         1
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN7_ACTVSTS_MASK          0x00000002
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN6_ACTVSTS_SHIFT         0
#define    KHUB_CLK_MGR_REG_ACTIVITY_MON3_DFT_SCAN6_ACTVSTS_MASK          0x00000001

#define KHUB_CLK_MGR_REG_CLKGATE_DBG_OFFSET                               0x00000E40
#define KHUB_CLK_MGR_REG_CLKGATE_DBG_TYPE                                 UInt32
#define KHUB_CLK_MGR_REG_CLKGATE_DBG_RESERVED_MASK                        0x400FF300
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_PRIV_ACCESS_MODE_SHIFT            31
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_PRIV_ACCESS_MODE_MASK             0x80000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_DAP_SWITCH_POLICY_OVERRIDE_SHIFT  29
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_DAP_SWITCH_POLICY_OVERRIDE_MASK   0x20000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_DAP_SWITCH_POLICY_OVERRIDE_VALUE_SHIFT 28
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_DAP_SWITCH_POLICY_OVERRIDE_VALUE_MASK 0x10000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_TMON_1M_POLICY_OVERRIDE_SHIFT     27
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_TMON_1M_POLICY_OVERRIDE_MASK      0x08000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_TMON_1M_POLICY_OVERRIDE_VALUE_SHIFT 26
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_TMON_1M_POLICY_OVERRIDE_VALUE_MASK 0x04000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_2P4M_POLICY_OVERRIDE_SHIFT 25
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_2P4M_POLICY_OVERRIDE_MASK  0x02000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_2P4M_POLICY_OVERRIDE_VALUE_SHIFT 24
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_2P4M_POLICY_OVERRIDE_VALUE_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_26M_POLICY_OVERRIDE_SHIFT  23
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_26M_POLICY_OVERRIDE_MASK   0x00800000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_26M_POLICY_OVERRIDE_VALUE_SHIFT 22
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_26M_POLICY_OVERRIDE_VALUE_MASK 0x00400000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_156M_POLICY_OVERRIDE_SHIFT 21
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_156M_POLICY_OVERRIDE_MASK  0x00200000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_156M_POLICY_OVERRIDE_VALUE_SHIFT 20
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_AUDIOH_156M_POLICY_OVERRIDE_VALUE_MASK 0x00100000
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_MDIOMASTER_POLICY_OVERRIDE_SHIFT  11
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_MDIOMASTER_POLICY_OVERRIDE_MASK   0x00000800
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_MDIOMASTER_POLICY_OVERRIDE_VALUE_SHIFT 10
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_MDIOMASTER_POLICY_OVERRIDE_VALUE_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_POLICY_OVERRIDE_SHIFT         7
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_POLICY_OVERRIDE_MASK          0x00000080
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_POLICY_OVERRIDE_VALUE_SHIFT   6
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_POLICY_OVERRIDE_VALUE_MASK    0x00000040
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_ASYNC_POLICY_OVERRIDE_SHIFT   5
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_ASYNC_POLICY_OVERRIDE_MASK    0x00000020
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_ASYNC_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_NOR_ASYNC_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_HUB_POLICY_OVERRIDE_SHIFT         3
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_HUB_POLICY_OVERRIDE_MASK          0x00000008
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_HUB_POLICY_OVERRIDE_VALUE_SHIFT   2
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_HUB_POLICY_OVERRIDE_VALUE_MASK    0x00000004
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_BROM_POLICY_OVERRIDE_SHIFT        1
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_BROM_POLICY_OVERRIDE_MASK         0x00000002
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_BROM_POLICY_OVERRIDE_VALUE_SHIFT  0
#define    KHUB_CLK_MGR_REG_CLKGATE_DBG_BROM_POLICY_OVERRIDE_VALUE_MASK   0x00000001

#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_OFFSET                           0x00000E44
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_TYPE                             UInt32
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_RESERVED_MASK                    0x7C3FCFC3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_PRIV_ACCESS_MODE_SHIFT        31
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_PRIV_ACCESS_MODE_MASK         0x80000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_VC_ITM_APB_POLICY_OVERRIDE_SHIFT 25
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_VC_ITM_APB_POLICY_OVERRIDE_MASK 0x02000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_VC_ITM_APB_POLICY_OVERRIDE_VALUE_SHIFT 24
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_VC_ITM_APB_POLICY_OVERRIDE_VALUE_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_TPIU_APB_POLICY_OVERRIDE_SHIFT 23
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_TPIU_APB_POLICY_OVERRIDE_MASK 0x00800000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_TPIU_APB_POLICY_OVERRIDE_VALUE_SHIFT 22
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_TPIU_APB_POLICY_OVERRIDE_VALUE_MASK 0x00400000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_NOR_APB_POLICY_OVERRIDE_SHIFT 13
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_NOR_APB_POLICY_OVERRIDE_MASK  0x00002000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_NOR_APB_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_NOR_APB_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_FUNNEL_APB_POLICY_OVERRIDE_SHIFT 5
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_FUNNEL_APB_POLICY_OVERRIDE_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_FUNNEL_APB_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_FUNNEL_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_CTI_APB_POLICY_OVERRIDE_SHIFT 3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_CTI_APB_POLICY_OVERRIDE_MASK  0x00000008
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_CTI_APB_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG_CTI_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000004

#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_OFFSET                          0x00000E48
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_RESERVED_MASK                   0x7F000330
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_FINAL_FUNNEL_APB_POLICY_OVERRIDE_SHIFT 23
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_FINAL_FUNNEL_APB_POLICY_OVERRIDE_MASK 0x00800000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_FINAL_FUNNEL_APB_POLICY_OVERRIDE_VALUE_SHIFT 22
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_FINAL_FUNNEL_APB_POLICY_OVERRIDE_VALUE_MASK 0x00400000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_ETB_APB_POLICY_OVERRIDE_SHIFT 21
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_ETB_APB_POLICY_OVERRIDE_MASK 0x00200000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_ETB_APB_POLICY_OVERRIDE_VALUE_SHIFT 20
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_ETB_APB_POLICY_OVERRIDE_VALUE_MASK 0x00100000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_13_APB_POLICY_OVERRIDE_SHIFT 19
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_13_APB_POLICY_OVERRIDE_MASK 0x00080000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_13_APB_POLICY_OVERRIDE_VALUE_SHIFT 18
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_13_APB_POLICY_OVERRIDE_VALUE_MASK 0x00040000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_12_APB_POLICY_OVERRIDE_SHIFT 17
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_12_APB_POLICY_OVERRIDE_MASK 0x00020000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_12_APB_POLICY_OVERRIDE_VALUE_SHIFT 16
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_12_APB_POLICY_OVERRIDE_VALUE_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_11_APB_POLICY_OVERRIDE_SHIFT 15
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_11_APB_POLICY_OVERRIDE_MASK 0x00008000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_11_APB_POLICY_OVERRIDE_VALUE_SHIFT 14
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_11_APB_POLICY_OVERRIDE_VALUE_MASK 0x00004000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_19_APB_POLICY_OVERRIDE_SHIFT 13
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_19_APB_POLICY_OVERRIDE_MASK 0x00002000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_19_APB_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_AXI_TRACE_19_APB_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_HSI_APB_POLICY_OVERRIDE_SHIFT 11
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_HSI_APB_POLICY_OVERRIDE_MASK 0x00000800
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_HSI_APB_POLICY_OVERRIDE_VALUE_SHIFT 10
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_HSI_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_7_APB_POLICY_OVERRIDE_SHIFT 7
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_7_APB_POLICY_OVERRIDE_MASK 0x00000080
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_7_APB_POLICY_OVERRIDE_VALUE_SHIFT 6
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_7_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000040
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_5_APB_POLICY_OVERRIDE_SHIFT 3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_5_APB_POLICY_OVERRIDE_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_5_APB_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_5_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_4_APB_POLICY_OVERRIDE_SHIFT 1
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_4_APB_POLICY_OVERRIDE_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_4_APB_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG1_SEC_VIOL_TRAP_4_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_OFFSET                          0x00000E4C
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_RESERVED_MASK                   0x7C3FC0F3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_TMON_APB_POLICY_OVERRIDE_SHIFT 25
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_TMON_APB_POLICY_OVERRIDE_MASK 0x02000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_TMON_APB_POLICY_OVERRIDE_VALUE_SHIFT 24
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_TMON_APB_POLICY_OVERRIDE_VALUE_MASK 0x01000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_AUDIOH_APB_POLICY_OVERRIDE_SHIFT 23
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_AUDIOH_APB_POLICY_OVERRIDE_MASK 0x00800000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_AUDIOH_APB_POLICY_OVERRIDE_VALUE_SHIFT 22
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_AUDIOH_APB_POLICY_OVERRIDE_VALUE_MASK 0x00400000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_TX_POLICY_OVERRIDE_SHIFT 13
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_TX_POLICY_OVERRIDE_MASK  0x00002000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_TX_POLICY_OVERRIDE_VALUE_SHIFT 12
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_TX_POLICY_OVERRIDE_VALUE_MASK 0x00001000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_RX_POLICY_OVERRIDE_SHIFT 11
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_RX_POLICY_OVERRIDE_MASK  0x00000800
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_RX_POLICY_OVERRIDE_VALUE_SHIFT 10
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_HSI_RX_POLICY_OVERRIDE_VALUE_MASK 0x00000400
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ETB2AXI_APB_POLICY_OVERRIDE_SHIFT 9
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ETB2AXI_APB_POLICY_OVERRIDE_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ETB2AXI_APB_POLICY_OVERRIDE_VALUE_SHIFT 8
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ETB2AXI_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ATB_FILTER_APB_POLICY_OVERRIDE_SHIFT 3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ATB_FILTER_APB_POLICY_OVERRIDE_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ATB_FILTER_APB_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG2_ATB_FILTER_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000004

#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_OFFSET                          0x00000E50
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_TYPE                            UInt32
#define KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_RESERVED_MASK                   0x7F003C00
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_PRIV_ACCESS_MODE_SHIFT       31
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_PRIV_ACCESS_MODE_MASK        0x80000000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_CAPH_SRCMIXER_POLICY_OVERRIDE_SHIFT 23
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_CAPH_SRCMIXER_POLICY_OVERRIDE_MASK 0x00800000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_CAPH_SRCMIXER_POLICY_OVERRIDE_VALUE_SHIFT 22
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_CAPH_SRCMIXER_POLICY_OVERRIDE_VALUE_MASK 0x00400000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_AUDIO_POLICY_OVERRIDE_SHIFT 21
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_AUDIO_POLICY_OVERRIDE_MASK 0x00200000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_AUDIO_POLICY_OVERRIDE_VALUE_SHIFT 20
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_AUDIO_POLICY_OVERRIDE_VALUE_MASK 0x00100000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_POLICY_OVERRIDE_SHIFT   19
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_POLICY_OVERRIDE_MASK    0x00080000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_POLICY_OVERRIDE_VALUE_SHIFT 18
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_POLICY_OVERRIDE_VALUE_MASK 0x00040000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_APB_POLICY_OVERRIDE_SHIFT 17
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_APB_POLICY_OVERRIDE_MASK 0x00020000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_APB_POLICY_OVERRIDE_VALUE_SHIFT 16
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP4_APB_POLICY_OVERRIDE_VALUE_MASK 0x00010000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_VAR_SPM_APB_POLICY_OVERRIDE_SHIFT 15
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_VAR_SPM_APB_POLICY_OVERRIDE_MASK 0x00008000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_VAR_SPM_APB_POLICY_OVERRIDE_VALUE_SHIFT 14
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_VAR_SPM_APB_POLICY_OVERRIDE_VALUE_MASK 0x00004000
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_POLICY_OVERRIDE_SHIFT 9
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_POLICY_OVERRIDE_MASK 0x00000200
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_POLICY_OVERRIDE_VALUE_SHIFT 8
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_POLICY_OVERRIDE_VALUE_MASK 0x00000100
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_AHB_APB_POLICY_OVERRIDE_SHIFT 7
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_AHB_APB_POLICY_OVERRIDE_MASK 0x00000080
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_AHB_APB_POLICY_OVERRIDE_VALUE_SHIFT 6
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_BT_SLIM_AHB_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000040
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_AUDIO_POLICY_OVERRIDE_SHIFT 5
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_AUDIO_POLICY_OVERRIDE_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_AUDIO_POLICY_OVERRIDE_VALUE_SHIFT 4
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_AUDIO_POLICY_OVERRIDE_VALUE_MASK 0x00000010
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_POLICY_OVERRIDE_SHIFT   3
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_POLICY_OVERRIDE_MASK    0x00000008
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_POLICY_OVERRIDE_VALUE_SHIFT 2
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_POLICY_OVERRIDE_VALUE_MASK 0x00000004
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_APB_POLICY_OVERRIDE_SHIFT 1
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_APB_POLICY_OVERRIDE_MASK 0x00000002
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_APB_POLICY_OVERRIDE_VALUE_SHIFT 0
#define    KHUB_CLK_MGR_REG_APB_CLKGATE_DBG3_SSP3_APB_POLICY_OVERRIDE_VALUE_MASK 0x00000001

#define KHUB_CLK_MGR_REG_CLKMON_OFFSET                                    0x00000E54
#define KHUB_CLK_MGR_REG_CLKMON_TYPE                                      UInt32
#define KHUB_CLK_MGR_REG_CLKMON_RESERVED_MASK                             0x7FFFFC00
#define    KHUB_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_SHIFT                 31
#define    KHUB_CLK_MGR_REG_CLKMON_PRIV_ACCESS_MODE_MASK                  0x80000000
#define    KHUB_CLK_MGR_REG_CLKMON_CLKMON_CTL_SHIFT                       8
#define    KHUB_CLK_MGR_REG_CLKMON_CLKMON_CTL_MASK                        0x00000300
#define    KHUB_CLK_MGR_REG_CLKMON_CLKMON_SEL_SHIFT                       0
#define    KHUB_CLK_MGR_REG_CLKMON_CLKMON_SEL_MASK                        0x000000FF

#define KHUB_CLK_MGR_REG_TMON_DIV_DBG_OFFSET                              0x00000E74
#define KHUB_CLK_MGR_REG_TMON_DIV_DBG_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_TMON_DIV_DBG_RESERVED_MASK                       0x7FFFFFFC
#define    KHUB_CLK_MGR_REG_TMON_DIV_DBG_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_TMON_DIV_DBG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_TMON_DIV_DBG_TMON_1M_PLL_SELECT_SHIFT         0
#define    KHUB_CLK_MGR_REG_TMON_DIV_DBG_TMON_1M_PLL_SELECT_MASK          0x00000003
#define       KHUB_CLK_MGR_REG_TMON_DIV_DBG_TMON_1M_PLL_SELECT_CMD_REF_FRAC_1M_CLK 0x00000000
#define       KHUB_CLK_MGR_REG_TMON_DIV_DBG_TMON_1M_PLL_SELECT_CMD_DFT_19_5M_CLK 0x00000001

#define KHUB_CLK_MGR_REG_TMON_TRG_DBG_OFFSET                              0x00000E84
#define KHUB_CLK_MGR_REG_TMON_TRG_DBG_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_TMON_TRG_DBG_RESERVED_MASK                       0x7FFFFFFE
#define    KHUB_CLK_MGR_REG_TMON_TRG_DBG_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_TMON_TRG_DBG_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_TMON_TRG_DBG_TMON_1M_TRIGGER_SHIFT            0
#define    KHUB_CLK_MGR_REG_TMON_TRG_DBG_TMON_1M_TRIGGER_MASK             0x00000001

#define KHUB_CLK_MGR_REG_POLICY_DBG_OFFSET                                0x00000EC0
#define KHUB_CLK_MGR_REG_POLICY_DBG_TYPE                                  UInt32
#define KHUB_CLK_MGR_REG_POLICY_DBG_RESERVED_MASK                         0x7FFF88CC
#define    KHUB_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_SHIFT             31
#define    KHUB_CLK_MGR_REG_POLICY_DBG_PRIV_ACCESS_MODE_MASK              0x80000000
#define    KHUB_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_SHIFT                     12
#define    KHUB_CLK_MGR_REG_POLICY_DBG_ACT_FREQ_MASK                      0x00007000
#define    KHUB_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_SHIFT                     8
#define    KHUB_CLK_MGR_REG_POLICY_DBG_TGT_FREQ_MASK                      0x00000700
#define    KHUB_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_SHIFT                   4
#define    KHUB_CLK_MGR_REG_POLICY_DBG_ACT_POLICY_MASK                    0x00000030
#define    KHUB_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_SHIFT                   0
#define    KHUB_CLK_MGR_REG_POLICY_DBG_TGT_POLICY_MASK                    0x00000003

#define KHUB_CLK_MGR_REG_TGTMASK_DBG1_OFFSET                              0x00000EC4
#define KHUB_CLK_MGR_REG_TGTMASK_DBG1_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_TGTMASK_DBG1_RESERVED_MASK                       0x70000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_MDIOMASTER_TARGET_MASK_SHIFT     27
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_MDIOMASTER_TARGET_MASK_MASK      0x08000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_CAPH_TARGET_MASK_SHIFT           26
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_CAPH_TARGET_MASK_MASK            0x04000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_BROM_TARGET_MASK_SHIFT           25
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_BROM_TARGET_MASK_MASK            0x02000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_HSI_TARGET_MASK_SHIFT            24
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_HSI_TARGET_MASK_MASK             0x01000000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_BT_SLIM_TARGET_MASK_SHIFT        23
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_BT_SLIM_TARGET_MASK_MASK         0x00800000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SSP4_TARGET_MASK_SHIFT           22
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SSP4_TARGET_MASK_MASK            0x00400000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SSP3_TARGET_MASK_SHIFT           21
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SSP3_TARGET_MASK_MASK            0x00200000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AUDIOH_TARGET_MASK_SHIFT         20
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AUDIOH_TARGET_MASK_MASK          0x00100000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_TPIU_TARGET_MASK_SHIFT           19
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_TPIU_TARGET_MASK_MASK            0x00080000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ETB_TARGET_MASK_SHIFT            18
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ETB_TARGET_MASK_MASK             0x00040000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ETB2AXI_TARGET_MASK_SHIFT        17
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ETB2AXI_TARGET_MASK_MASK         0x00020000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_FINAL_FUNNEL_TARGET_MASK_SHIFT   16
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_FINAL_FUNNEL_TARGET_MASK_MASK    0x00010000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_FUNNEL_TARGET_MASK_SHIFT         15
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_FUNNEL_TARGET_MASK_MASK          0x00008000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_CTI_TARGET_MASK_SHIFT            14
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_CTI_TARGET_MASK_MASK             0x00004000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ATB_FILTER_TARGET_MASK_SHIFT     13
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_ATB_FILTER_TARGET_MASK_MASK      0x00002000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_VC_ITM_TARGET_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_VC_ITM_TARGET_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_13_TARGET_MASK_SHIFT   11
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_13_TARGET_MASK_MASK    0x00000800
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_12_TARGET_MASK_SHIFT   10
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_12_TARGET_MASK_MASK    0x00000400
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_11_TARGET_MASK_SHIFT   9
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_11_TARGET_MASK_MASK    0x00000200
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_19_TARGET_MASK_SHIFT   8
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_AXI_TRACE_19_TARGET_MASK_MASK    0x00000100
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_VAR_SPM_TARGET_MASK_SHIFT        7
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_VAR_SPM_TARGET_MASK_MASK         0x00000080
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_TMON_TARGET_MASK_SHIFT           6
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_TMON_TARGET_MASK_MASK            0x00000040
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_5_TARGET_MASK_SHIFT 5
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_5_TARGET_MASK_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_4_TARGET_MASK_SHIFT 4
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_4_TARGET_MASK_MASK 0x00000010
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_7_TARGET_MASK_SHIFT 3
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_SEC_VIOL_TRAP_7_TARGET_MASK_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_DAP_SWITCH_TARGET_MASK_SHIFT     2
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_DAP_SWITCH_TARGET_MASK_MASK      0x00000004
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_NOR_TARGET_MASK_SHIFT            1
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_NOR_TARGET_MASK_MASK             0x00000002
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_HUB_TARGET_MASK_SHIFT            0
#define    KHUB_CLK_MGR_REG_TGTMASK_DBG1_HUB_TARGET_MASK_MASK             0x00000001

#define KHUB_CLK_MGR_REG_ACTMASK_DBG1_OFFSET                              0x00000ED4
#define KHUB_CLK_MGR_REG_ACTMASK_DBG1_TYPE                                UInt32
#define KHUB_CLK_MGR_REG_ACTMASK_DBG1_RESERVED_MASK                       0x70000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_SHIFT           31
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_PRIV_ACCESS_MODE_MASK            0x80000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_MDIOMASTER_ACTIVE_MASK_SHIFT     27
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_MDIOMASTER_ACTIVE_MASK_MASK      0x08000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_CAPH_ACTIVE_MASK_SHIFT           26
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_CAPH_ACTIVE_MASK_MASK            0x04000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_BROM_ACTIVE_MASK_SHIFT           25
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_BROM_ACTIVE_MASK_MASK            0x02000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_HSI_ACTIVE_MASK_SHIFT            24
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_HSI_ACTIVE_MASK_MASK             0x01000000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_BT_SLIM_ACTIVE_MASK_SHIFT        23
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_BT_SLIM_ACTIVE_MASK_MASK         0x00800000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SSP4_ACTIVE_MASK_SHIFT           22
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SSP4_ACTIVE_MASK_MASK            0x00400000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SSP3_ACTIVE_MASK_SHIFT           21
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SSP3_ACTIVE_MASK_MASK            0x00200000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AUDIOH_ACTIVE_MASK_SHIFT         20
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AUDIOH_ACTIVE_MASK_MASK          0x00100000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_TPIU_ACTIVE_MASK_SHIFT           19
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_TPIU_ACTIVE_MASK_MASK            0x00080000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ETB_ACTIVE_MASK_SHIFT            18
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ETB_ACTIVE_MASK_MASK             0x00040000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ETB2AXI_ACTIVE_MASK_SHIFT        17
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ETB2AXI_ACTIVE_MASK_MASK         0x00020000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_FINAL_FUNNEL_ACTIVE_MASK_SHIFT   16
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_FINAL_FUNNEL_ACTIVE_MASK_MASK    0x00010000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_FUNNEL_ACTIVE_MASK_SHIFT         15
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_FUNNEL_ACTIVE_MASK_MASK          0x00008000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_CTI_ACTIVE_MASK_SHIFT            14
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_CTI_ACTIVE_MASK_MASK             0x00004000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ATB_FILTER_ACTIVE_MASK_SHIFT     13
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_ATB_FILTER_ACTIVE_MASK_MASK      0x00002000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_VC_ITM_ACTIVE_MASK_SHIFT         12
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_VC_ITM_ACTIVE_MASK_MASK          0x00001000
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_13_ACTIVE_MASK_SHIFT   11
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_13_ACTIVE_MASK_MASK    0x00000800
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_12_ACTIVE_MASK_SHIFT   10
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_12_ACTIVE_MASK_MASK    0x00000400
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_11_ACTIVE_MASK_SHIFT   9
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_11_ACTIVE_MASK_MASK    0x00000200
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_19_ACTIVE_MASK_SHIFT   8
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_AXI_TRACE_19_ACTIVE_MASK_MASK    0x00000100
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_VAR_SPM_ACTIVE_MASK_SHIFT        7
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_VAR_SPM_ACTIVE_MASK_MASK         0x00000080
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_TMON_ACTIVE_MASK_SHIFT           6
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_TMON_ACTIVE_MASK_MASK            0x00000040
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_5_ACTIVE_MASK_SHIFT 5
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_5_ACTIVE_MASK_MASK 0x00000020
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_4_ACTIVE_MASK_SHIFT 4
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_4_ACTIVE_MASK_MASK 0x00000010
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_7_ACTIVE_MASK_SHIFT 3
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_SEC_VIOL_TRAP_7_ACTIVE_MASK_MASK 0x00000008
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_DAP_SWITCH_ACTIVE_MASK_SHIFT     2
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_DAP_SWITCH_ACTIVE_MASK_MASK      0x00000004
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_NOR_ACTIVE_MASK_SHIFT            1
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_NOR_ACTIVE_MASK_MASK             0x00000002
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_HUB_ACTIVE_MASK_SHIFT            0
#define    KHUB_CLK_MGR_REG_ACTMASK_DBG1_HUB_ACTIVE_MASK_MASK             0x00000001

#endif /* __BRCM_RDB_KHUB_CLK_MGR_REG_H__ */


