/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_PWRMGR_H__
#define __BRCM_RDB_PWRMGR_H__

#define PWRMGR_LCDTE_EVENT_OFFSET                                         0x00000000
#define PWRMGR_LCDTE_EVENT_TYPE                                           UInt32
#define PWRMGR_LCDTE_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_LCDTE_EVENT_LCDTE_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_LCDTE_EVENT_LCDTE_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_LCDTE_EVENT_LCDTE_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_LCDTE_EVENT_LCDTE_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_LCDTE_EVENT_LCDTE_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_LCDTE_EVENT_LCDTE_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_SSP3SYN_EVENT_OFFSET                                       0x00000004
#define PWRMGR_SSP3SYN_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP3SYN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP3SYN_EVENT_SSP3SYN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP3DI_EVENT_OFFSET                                        0x00000008
#define PWRMGR_SSP3DI_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP3DI_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP3DI_EVENT_SSP3DI_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP3CK_EVENT_OFFSET                                        0x0000000C
#define PWRMGR_SSP3CK_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP3CK_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP3CK_EVENT_SSP3CK_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP2SYN_EVENT_OFFSET                                       0x00000010
#define PWRMGR_SSP2SYN_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP2SYN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP2SYN_EVENT_SSP2SYN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP2DI_EVENT_OFFSET                                        0x00000014
#define PWRMGR_SSP2DI_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP2DI_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP2DI_EVENT_SSP2DI_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP2CK_EVENT_OFFSET                                        0x00000018
#define PWRMGR_SSP2CK_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP2CK_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP2CK_EVENT_SSP2CK_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP1SYN_EVENT_OFFSET                                       0x0000001C
#define PWRMGR_SSP1SYN_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP1SYN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP1SYN_EVENT_SSP1SYN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP1DI_EVENT_OFFSET                                        0x00000020
#define PWRMGR_SSP1DI_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP1DI_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP1DI_EVENT_SSP1DI_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP1CK_EVENT_OFFSET                                        0x00000024
#define PWRMGR_SSP1CK_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP1CK_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP1CK_EVENT_SSP1CK_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP0SYN_EVENT_OFFSET                                       0x00000028
#define PWRMGR_SSP0SYN_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP0SYN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP0SYN_EVENT_SSP0SYN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP0DI_EVENT_OFFSET                                        0x0000002C
#define PWRMGR_SSP0DI_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP0DI_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP0DI_EVENT_SSP0DI_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SSP0CK_EVENT_OFFSET                                        0x00000030
#define PWRMGR_SSP0CK_EVENT_TYPE                                          UInt32
#define PWRMGR_SSP0CK_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SSP0CK_EVENT_SSP0CK_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_DIGCLKREQ_EVENT_OFFSET                                     0x00000034
#define PWRMGR_DIGCLKREQ_EVENT_TYPE                                       UInt32
#define PWRMGR_DIGCLKREQ_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_ANA_SYS_REQ_EVENT_OFFSET                                   0x00000038
#define PWRMGR_ANA_SYS_REQ_EVENT_TYPE                                     UInt32
#define PWRMGR_ANA_SYS_REQ_EVENT_RESERVED_MASK                            0xFFFFFFF8
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_CONDITION_ACTIVE_SHIFT    0
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_CONDITION_ACTIVE_MASK     0x00000001

#define PWRMGR_SYSCLKREQ_EVENT_OFFSET                                     0x0000003C
#define PWRMGR_SYSCLKREQ_EVENT_TYPE                                       UInt32
#define PWRMGR_SYSCLKREQ_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_UBRX_EVENT_OFFSET                                          0x00000040
#define PWRMGR_UBRX_EVENT_TYPE                                            UInt32
#define PWRMGR_UBRX_EVENT_RESERVED_MASK                                   0xFFFFFFF8
#define    PWRMGR_UBRX_EVENT_UBRX_POSEDGE_CONDITION_ENABLE_SHIFT          2
#define    PWRMGR_UBRX_EVENT_UBRX_POSEDGE_CONDITION_ENABLE_MASK           0x00000004
#define    PWRMGR_UBRX_EVENT_UBRX_NEGEDGE_CONDITION_ENABLE_SHIFT          1
#define    PWRMGR_UBRX_EVENT_UBRX_NEGEDGE_CONDITION_ENABLE_MASK           0x00000002
#define    PWRMGR_UBRX_EVENT_UBRX_CONDITION_ACTIVE_SHIFT                  0
#define    PWRMGR_UBRX_EVENT_UBRX_CONDITION_ACTIVE_MASK                   0x00000001

#define PWRMGR_UBCTSN_EVENT_OFFSET                                        0x00000044
#define PWRMGR_UBCTSN_EVENT_TYPE                                          UInt32
#define PWRMGR_UBCTSN_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_UBCTSN_EVENT_UBCTSN_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_UB2RX_EVENT_OFFSET                                         0x00000048
#define PWRMGR_UB2RX_EVENT_TYPE                                           UInt32
#define PWRMGR_UB2RX_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_UB2RX_EVENT_UB2RX_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_UB2RX_EVENT_UB2RX_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_UB2RX_EVENT_UB2RX_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_UB2RX_EVENT_UB2RX_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_UB2RX_EVENT_UB2RX_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_UB2RX_EVENT_UB2RX_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_UB2CTSN_EVENT_OFFSET                                       0x0000004C
#define PWRMGR_UB2CTSN_EVENT_TYPE                                         UInt32
#define PWRMGR_UB2CTSN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_UB2CTSN_EVENT_UB2CTSN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_UB3RX_EVENT_OFFSET                                         0x00000050
#define PWRMGR_UB3RX_EVENT_TYPE                                           UInt32
#define PWRMGR_UB3RX_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_UB3RX_EVENT_UB3RX_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_UB3RX_EVENT_UB3RX_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_UB3RX_EVENT_UB3RX_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_UB3RX_EVENT_UB3RX_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_UB3RX_EVENT_UB3RX_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_UB3RX_EVENT_UB3RX_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_UB3CTSN_EVENT_OFFSET                                       0x00000054
#define PWRMGR_UB3CTSN_EVENT_TYPE                                         UInt32
#define PWRMGR_UB3CTSN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_UB3CTSN_EVENT_UB3CTSN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_UB4RX_EVENT_OFFSET                                         0x00000058
#define PWRMGR_UB4RX_EVENT_TYPE                                           UInt32
#define PWRMGR_UB4RX_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_UB4RX_EVENT_UB4RX_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_UB4RX_EVENT_UB4RX_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_UB4RX_EVENT_UB4RX_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_UB4RX_EVENT_UB4RX_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_UB4RX_EVENT_UB4RX_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_UB4RX_EVENT_UB4RX_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_UB4CTSN_EVENT_OFFSET                                       0x0000005C
#define PWRMGR_UB4CTSN_EVENT_TYPE                                         UInt32
#define PWRMGR_UB4CTSN_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_UB4CTSN_EVENT_UB4CTSN_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SIMDET_EVENT_OFFSET                                        0x00000060
#define PWRMGR_SIMDET_EVENT_TYPE                                          UInt32
#define PWRMGR_SIMDET_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SIMDET_EVENT_SIMDET_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SIMDET_EVENT_SIMDET_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SIMDET_EVENT_SIMDET_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SIMDET_EVENT_SIMDET_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SIMDET_EVENT_SIMDET_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SIMDET_EVENT_SIMDET_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SIM2DET_EVENT_OFFSET                                       0x00000064
#define PWRMGR_SIM2DET_EVENT_TYPE                                         UInt32
#define PWRMGR_SIM2DET_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SIM2DET_EVENT_SIM2DET_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_MMC0D3_EVENT_OFFSET                                        0x00000068
#define PWRMGR_MMC0D3_EVENT_TYPE                                          UInt32
#define PWRMGR_MMC0D3_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MMC0D3_EVENT_MMC0D3_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MMC0D1_EVENT_OFFSET                                        0x0000006C
#define PWRMGR_MMC0D1_EVENT_TYPE                                          UInt32
#define PWRMGR_MMC0D1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MMC0D1_EVENT_MMC0D1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MMC1D3_EVENT_OFFSET                                        0x00000070
#define PWRMGR_MMC1D3_EVENT_TYPE                                          UInt32
#define PWRMGR_MMC1D3_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MMC1D3_EVENT_MMC1D3_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MMC1D1_EVENT_OFFSET                                        0x00000074
#define PWRMGR_MMC1D1_EVENT_TYPE                                          UInt32
#define PWRMGR_MMC1D1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MMC1D1_EVENT_MMC1D1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SDDAT3_EVENT_OFFSET                                        0x00000078
#define PWRMGR_SDDAT3_EVENT_TYPE                                          UInt32
#define PWRMGR_SDDAT3_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SDDAT3_EVENT_SDDAT3_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SDDAT1_EVENT_OFFSET                                        0x0000007C
#define PWRMGR_SDDAT1_EVENT_TYPE                                          UInt32
#define PWRMGR_SDDAT1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_SDDAT1_EVENT_SDDAT1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_SLB1CLK_EVENT_OFFSET                                       0x00000080
#define PWRMGR_SLB1CLK_EVENT_TYPE                                         UInt32
#define PWRMGR_SLB1CLK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SLB1CLK_EVENT_SLB1CLK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SLB1DAT_EVENT_OFFSET                                       0x00000084
#define PWRMGR_SLB1DAT_EVENT_TYPE                                         UInt32
#define PWRMGR_SLB1DAT_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SLB1DAT_EVENT_SLB1DAT_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SWCLKTCK_EVENT_OFFSET                                      0x00000088
#define PWRMGR_SWCLKTCK_EVENT_TYPE                                        UInt32
#define PWRMGR_SWCLKTCK_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SWCLKTCK_EVENT_SWCLKTCK_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SWDIOTMS_EVENT_OFFSET                                      0x0000008C
#define PWRMGR_SWDIOTMS_EVENT_TYPE                                        UInt32
#define PWRMGR_SWDIOTMS_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SWDIOTMS_EVENT_SWDIOTMS_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_KEY_R0_EVENT_OFFSET                                        0x00000090
#define PWRMGR_KEY_R0_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R0_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R1_EVENT_OFFSET                                        0x00000094
#define PWRMGR_KEY_R1_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R2_EVENT_OFFSET                                        0x00000098
#define PWRMGR_KEY_R2_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R2_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R3_EVENT_OFFSET                                        0x0000009C
#define PWRMGR_KEY_R3_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R3_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R4_EVENT_OFFSET                                        0x000000A0
#define PWRMGR_KEY_R4_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R4_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R5_EVENT_OFFSET                                        0x000000A4
#define PWRMGR_KEY_R5_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R5_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R6_EVENT_OFFSET                                        0x000000A8
#define PWRMGR_KEY_R6_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R6_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R7_EVENT_OFFSET                                        0x000000AC
#define PWRMGR_KEY_R7_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R7_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_CAWAKE_EVENT_OFFSET                                        0x000000B0
#define PWRMGR_CAWAKE_EVENT_TYPE                                          UInt32
#define PWRMGR_CAWAKE_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_CAREADY_EVENT_OFFSET                                       0x000000B4
#define PWRMGR_CAREADY_EVENT_TYPE                                         UInt32
#define PWRMGR_CAREADY_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_CAREADY_EVENT_CAREADY_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_CAREADY_EVENT_CAREADY_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_CAREADY_EVENT_CAREADY_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_CAREADY_EVENT_CAREADY_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_CAREADY_EVENT_CAREADY_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_CAREADY_EVENT_CAREADY_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_CAFLAG_EVENT_OFFSET                                        0x000000B8
#define PWRMGR_CAFLAG_EVENT_TYPE                                          UInt32
#define PWRMGR_CAFLAG_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_BATRM_EVENT_OFFSET                                         0x000000BC
#define PWRMGR_BATRM_EVENT_TYPE                                           UInt32
#define PWRMGR_BATRM_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_BATRM_EVENT_BATRM_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_BATRM_EVENT_BATRM_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_BATRM_EVENT_BATRM_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_BATRM_EVENT_BATRM_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_BATRM_EVENT_BATRM_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_BATRM_EVENT_BATRM_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_USBDP_EVENT_OFFSET                                         0x000000C0
#define PWRMGR_USBDP_EVENT_TYPE                                           UInt32
#define PWRMGR_USBDP_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_USBDP_EVENT_USBDP_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_USBDP_EVENT_USBDP_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_USBDP_EVENT_USBDP_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_USBDP_EVENT_USBDP_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_USBDP_EVENT_USBDP_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_USBDP_EVENT_USBDP_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_USBDN_EVENT_OFFSET                                         0x000000C4
#define PWRMGR_USBDN_EVENT_TYPE                                           UInt32
#define PWRMGR_USBDN_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_USBDN_EVENT_USBDN_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_USBDN_EVENT_USBDN_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_USBDN_EVENT_USBDN_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_USBDN_EVENT_USBDN_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_USBDN_EVENT_USBDN_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_USBDN_EVENT_USBDN_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_RXD0_EVENT_OFFSET                                          0x000000C8
#define PWRMGR_RXD0_EVENT_TYPE                                            UInt32
#define PWRMGR_RXD0_EVENT_RESERVED_MASK                                   0xFFFFFFF8
#define    PWRMGR_RXD0_EVENT_RXD0_POSEDGE_CONDITION_ENABLE_SHIFT          2
#define    PWRMGR_RXD0_EVENT_RXD0_POSEDGE_CONDITION_ENABLE_MASK           0x00000004
#define    PWRMGR_RXD0_EVENT_RXD0_NEGEDGE_CONDITION_ENABLE_SHIFT          1
#define    PWRMGR_RXD0_EVENT_RXD0_NEGEDGE_CONDITION_ENABLE_MASK           0x00000002
#define    PWRMGR_RXD0_EVENT_RXD0_CONDITION_ACTIVE_SHIFT                  0
#define    PWRMGR_RXD0_EVENT_RXD0_CONDITION_ACTIVE_MASK                   0x00000001

#define PWRMGR_GPIO29_A_EVENT_OFFSET                                      0x000000CC
#define PWRMGR_GPIO29_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO29_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO29_A_EVENT_GPIO29_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO32_A_EVENT_OFFSET                                      0x000000D0
#define PWRMGR_GPIO32_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO32_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO32_A_EVENT_GPIO32_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO33_A_EVENT_OFFSET                                      0x000000D4
#define PWRMGR_GPIO33_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO33_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO33_A_EVENT_GPIO33_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO43_A_EVENT_OFFSET                                      0x000000D8
#define PWRMGR_GPIO43_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO43_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO43_A_EVENT_GPIO43_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO44_A_EVENT_OFFSET                                      0x000000DC
#define PWRMGR_GPIO44_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO44_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO44_A_EVENT_GPIO44_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO45_A_EVENT_OFFSET                                      0x000000E0
#define PWRMGR_GPIO45_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO45_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO46_A_EVENT_OFFSET                                      0x000000E4
#define PWRMGR_GPIO46_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO46_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO46_A_EVENT_GPIO46_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO47_A_EVENT_OFFSET                                      0x000000E8
#define PWRMGR_GPIO47_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO47_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO47_A_EVENT_GPIO47_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO48_A_EVENT_OFFSET                                      0x000000EC
#define PWRMGR_GPIO48_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO48_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO48_A_EVENT_GPIO48_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO71_A_EVENT_OFFSET                                      0x000000F0
#define PWRMGR_GPIO71_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO71_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO72_A_EVENT_OFFSET                                      0x000000F4
#define PWRMGR_GPIO72_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO72_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO73_A_EVENT_OFFSET                                      0x000000F8
#define PWRMGR_GPIO73_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO73_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO74_A_EVENT_OFFSET                                      0x000000FC
#define PWRMGR_GPIO74_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO74_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO95_A_EVENT_OFFSET                                      0x00000100
#define PWRMGR_GPIO95_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO95_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO96_A_EVENT_OFFSET                                      0x00000104
#define PWRMGR_GPIO96_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO96_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO99_A_EVENT_OFFSET                                      0x00000108
#define PWRMGR_GPIO99_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO99_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO100_A_EVENT_OFFSET                                     0x0000010C
#define PWRMGR_GPIO100_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO100_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO100_A_EVENT_GPIO100_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO111_A_EVENT_OFFSET                                     0x00000110
#define PWRMGR_GPIO111_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO111_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO111_A_EVENT_GPIO111_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO49_A_EVENT_OFFSET                                      0x00000114
#define PWRMGR_GPIO49_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO49_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO49_A_EVENT_GPIO49_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO141_A_EVENT_OFFSET                                     0x00000118
#define PWRMGR_GPIO141_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO141_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO141_A_EVENT_GPIO141_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO142_A_EVENT_OFFSET                                     0x0000011C
#define PWRMGR_GPIO142_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO142_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO142_A_EVENT_GPIO142_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO143_A_EVENT_OFFSET                                     0x00000120
#define PWRMGR_GPIO143_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO143_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO143_A_EVENT_GPIO143_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO144_A_EVENT_OFFSET                                     0x00000124
#define PWRMGR_GPIO144_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO144_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO144_A_EVENT_GPIO144_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO156_A_EVENT_OFFSET                                     0x00000128
#define PWRMGR_GPIO156_A_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO156_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO156_A_EVENT_GPIO156_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_SPARE1_A_EVENT_OFFSET                                      0x0000012C
#define PWRMGR_SPARE1_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_A_EVENT_SPARE1_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_A_EVENT_OFFSET                                      0x00000130
#define PWRMGR_SPARE2_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_A_EVENT_SPARE2_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE3_A_EVENT_OFFSET                                      0x00000134
#define PWRMGR_SPARE3_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE3_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE3_A_EVENT_SPARE3_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE4_A_EVENT_OFFSET                                      0x00000138
#define PWRMGR_SPARE4_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE4_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE4_A_EVENT_SPARE4_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE5_A_EVENT_OFFSET                                      0x0000013C
#define PWRMGR_SPARE5_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE5_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE5_A_EVENT_SPARE5_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE6_A_EVENT_OFFSET                                      0x00000140
#define PWRMGR_SPARE6_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE6_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE6_A_EVENT_SPARE6_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE7_A_EVENT_OFFSET                                      0x00000144
#define PWRMGR_SPARE7_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE7_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE7_A_EVENT_SPARE7_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE8_A_EVENT_OFFSET                                      0x00000148
#define PWRMGR_SPARE8_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE8_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE8_A_EVENT_SPARE8_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE9_A_EVENT_OFFSET                                      0x0000014C
#define PWRMGR_SPARE9_A_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE9_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE9_A_EVENT_SPARE9_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE10_A_EVENT_OFFSET                                     0x00000150
#define PWRMGR_SPARE10_A_EVENT_TYPE                                       UInt32
#define PWRMGR_SPARE10_A_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SPARE10_A_EVENT_SPARE10_A_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO29_B_EVENT_OFFSET                                      0x00000154
#define PWRMGR_GPIO29_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO29_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO29_B_EVENT_GPIO29_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO32_B_EVENT_OFFSET                                      0x00000158
#define PWRMGR_GPIO32_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO32_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO32_B_EVENT_GPIO32_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO33_B_EVENT_OFFSET                                      0x0000015C
#define PWRMGR_GPIO33_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO33_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO33_B_EVENT_GPIO33_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO43_B_EVENT_OFFSET                                      0x00000160
#define PWRMGR_GPIO43_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO43_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO43_B_EVENT_GPIO43_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO44_B_EVENT_OFFSET                                      0x00000164
#define PWRMGR_GPIO44_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO44_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO44_B_EVENT_GPIO44_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO45_B_EVENT_OFFSET                                      0x00000168
#define PWRMGR_GPIO45_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO45_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO46_B_EVENT_OFFSET                                      0x0000016C
#define PWRMGR_GPIO46_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO46_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO46_B_EVENT_GPIO46_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO47_B_EVENT_OFFSET                                      0x00000170
#define PWRMGR_GPIO47_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO47_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO47_B_EVENT_GPIO47_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO48_B_EVENT_OFFSET                                      0x00000174
#define PWRMGR_GPIO48_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO48_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO48_B_EVENT_GPIO48_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO71_B_EVENT_OFFSET                                      0x00000178
#define PWRMGR_GPIO71_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO71_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO72_B_EVENT_OFFSET                                      0x0000017C
#define PWRMGR_GPIO72_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO72_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO73_B_EVENT_OFFSET                                      0x00000180
#define PWRMGR_GPIO73_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO73_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO74_B_EVENT_OFFSET                                      0x00000184
#define PWRMGR_GPIO74_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO74_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO95_B_EVENT_OFFSET                                      0x00000188
#define PWRMGR_GPIO95_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO95_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO96_B_EVENT_OFFSET                                      0x0000018C
#define PWRMGR_GPIO96_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO96_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO99_B_EVENT_OFFSET                                      0x00000190
#define PWRMGR_GPIO99_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO99_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO100_B_EVENT_OFFSET                                     0x00000194
#define PWRMGR_GPIO100_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO100_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO100_B_EVENT_GPIO100_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO111_B_EVENT_OFFSET                                     0x00000198
#define PWRMGR_GPIO111_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO111_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO111_B_EVENT_GPIO111_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO49_B_EVENT_OFFSET                                      0x0000019C
#define PWRMGR_GPIO49_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO49_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO49_B_EVENT_GPIO49_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO141_B_EVENT_OFFSET                                     0x000001A0
#define PWRMGR_GPIO141_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO141_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO141_B_EVENT_GPIO141_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO142_B_EVENT_OFFSET                                     0x000001A4
#define PWRMGR_GPIO142_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO142_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO142_B_EVENT_GPIO142_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO143_B_EVENT_OFFSET                                     0x000001A8
#define PWRMGR_GPIO143_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO143_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO143_B_EVENT_GPIO143_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO144_B_EVENT_OFFSET                                     0x000001AC
#define PWRMGR_GPIO144_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO144_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO144_B_EVENT_GPIO144_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_GPIO156_B_EVENT_OFFSET                                     0x000001B0
#define PWRMGR_GPIO156_B_EVENT_TYPE                                       UInt32
#define PWRMGR_GPIO156_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_GPIO156_B_EVENT_GPIO156_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_SPARE1_B_EVENT_OFFSET                                      0x000001B4
#define PWRMGR_SPARE1_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_B_EVENT_SPARE1_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_B_EVENT_OFFSET                                      0x000001B8
#define PWRMGR_SPARE2_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_B_EVENT_SPARE2_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE3_B_EVENT_OFFSET                                      0x000001BC
#define PWRMGR_SPARE3_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE3_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE3_B_EVENT_SPARE3_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE4_B_EVENT_OFFSET                                      0x000001C0
#define PWRMGR_SPARE4_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE4_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE4_B_EVENT_SPARE4_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE5_B_EVENT_OFFSET                                      0x000001C4
#define PWRMGR_SPARE5_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE5_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE5_B_EVENT_SPARE5_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE6_B_EVENT_OFFSET                                      0x000001C8
#define PWRMGR_SPARE6_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE6_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE6_B_EVENT_SPARE6_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE7_B_EVENT_OFFSET                                      0x000001CC
#define PWRMGR_SPARE7_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE7_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE7_B_EVENT_SPARE7_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE8_B_EVENT_OFFSET                                      0x000001D0
#define PWRMGR_SPARE8_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE8_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE8_B_EVENT_SPARE8_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE9_B_EVENT_OFFSET                                      0x000001D4
#define PWRMGR_SPARE9_B_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE9_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE9_B_EVENT_SPARE9_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE10_B_EVENT_OFFSET                                     0x000001D8
#define PWRMGR_SPARE10_B_EVENT_TYPE                                       UInt32
#define PWRMGR_SPARE10_B_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SPARE10_B_EVENT_SPARE10_B_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_COMMON_TIMER_0_EVENT_OFFSET                                0x000001DC
#define PWRMGR_COMMON_TIMER_0_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_0_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_1_EVENT_OFFSET                                0x000001E0
#define PWRMGR_COMMON_TIMER_1_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_1_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_2_EVENT_OFFSET                                0x000001E4
#define PWRMGR_COMMON_TIMER_2_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_2_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_3_EVENT_OFFSET                                0x000001E8
#define PWRMGR_COMMON_TIMER_3_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_3_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_4_EVENT_OFFSET                                0x000001EC
#define PWRMGR_COMMON_TIMER_4_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_4_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_MM_TIMER_EVENT_OFFSET                                      0x000001F0
#define PWRMGR_MM_TIMER_EVENT_TYPE                                        UInt32
#define PWRMGR_MM_TIMER_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_MM_TIMER_EVENT_MM_TIMER_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_COMMON_INT_TO_AC_EVENT_OFFSET                              0x000001F4
#define PWRMGR_COMMON_INT_TO_AC_EVENT_TYPE                                UInt32
#define PWRMGR_COMMON_INT_TO_AC_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_INT_TO_MM_EVENT_OFFSET                              0x000001F8
#define PWRMGR_COMMON_INT_TO_MM_EVENT_TYPE                                UInt32
#define PWRMGR_COMMON_INT_TO_MM_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_MM_EVENT_COMMON_INT_TO_MM_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_TZCFG_INT_TO_AC_EVENT_OFFSET                               0x000001FC
#define PWRMGR_TZCFG_INT_TO_AC_EVENT_TYPE                                 UInt32
#define PWRMGR_TZCFG_INT_TO_AC_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_DMA_REQUEST_EVENT_OFFSET                                   0x00000200
#define PWRMGR_DMA_REQUEST_EVENT_TYPE                                     UInt32
#define PWRMGR_DMA_REQUEST_EVENT_RESERVED_MASK                            0xFFFFFFF8
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_CONDITION_ACTIVE_SHIFT    0
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_CONDITION_ACTIVE_MASK     0x00000001

#define PWRMGR_MODEM1_EVENT_OFFSET                                        0x00000204
#define PWRMGR_MODEM1_EVENT_TYPE                                          UInt32
#define PWRMGR_MODEM1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MODEM1_EVENT_MODEM1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MODEM1_EVENT_MODEM1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MODEM1_EVENT_MODEM1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MODEM1_EVENT_MODEM1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MODEM1_EVENT_MODEM1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MODEM1_EVENT_MODEM1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MODEM2_EVENT_OFFSET                                        0x00000208
#define PWRMGR_MODEM2_EVENT_TYPE                                          UInt32
#define PWRMGR_MODEM2_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MODEM2_EVENT_MODEM2_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MODEM2_EVENT_MODEM2_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MODEM2_EVENT_MODEM2_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MODEM2_EVENT_MODEM2_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MODEM2_EVENT_MODEM2_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MODEM2_EVENT_MODEM2_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MODEM_UART_EVENT_OFFSET                                    0x0000020C
#define PWRMGR_MODEM_UART_EVENT_TYPE                                      UInt32
#define PWRMGR_MODEM_UART_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_BRIDGE_TO_AC_EVENT_OFFSET                                  0x00000210
#define PWRMGR_BRIDGE_TO_AC_EVENT_TYPE                                    UInt32
#define PWRMGR_BRIDGE_TO_AC_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_BRIDGE_TO_MODEM_EVENT_OFFSET                               0x00000214
#define PWRMGR_BRIDGE_TO_MODEM_EVENT_TYPE                                 UInt32
#define PWRMGR_BRIDGE_TO_MODEM_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_OFFSET                         0x00000218
#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_TYPE                           UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_RESERVED_MASK                  0xFFFFFFF8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_USBOTG_EVENT_OFFSET                                        0x0000021C
#define PWRMGR_USBOTG_EVENT_TYPE                                          UInt32
#define PWRMGR_USBOTG_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_USBOTG_EVENT_USBOTG_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_USBOTG_EVENT_USBOTG_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_USBOTG_EVENT_USBOTG_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_USBOTG_EVENT_USBOTG_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_USBOTG_EVENT_USBOTG_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_USBOTG_EVENT_USBOTG_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_GPIO_EXP_IRQ_EVENT_OFFSET                                  0x00000220
#define PWRMGR_GPIO_EXP_IRQ_EVENT_TYPE                                    UInt32
#define PWRMGR_GPIO_EXP_IRQ_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_DBR_IRQ_EVENT_OFFSET                                       0x00000224
#define PWRMGR_DBR_IRQ_EVENT_TYPE                                         UInt32
#define PWRMGR_DBR_IRQ_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_ACI_EVENT_OFFSET                                           0x00000228
#define PWRMGR_ACI_EVENT_TYPE                                             UInt32
#define PWRMGR_ACI_EVENT_RESERVED_MASK                                    0xFFFFFFF8
#define    PWRMGR_ACI_EVENT_ACI_POSEDGE_CONDITION_ENABLE_SHIFT            2
#define    PWRMGR_ACI_EVENT_ACI_POSEDGE_CONDITION_ENABLE_MASK             0x00000004
#define    PWRMGR_ACI_EVENT_ACI_NEGEDGE_CONDITION_ENABLE_SHIFT            1
#define    PWRMGR_ACI_EVENT_ACI_NEGEDGE_CONDITION_ENABLE_MASK             0x00000002
#define    PWRMGR_ACI_EVENT_ACI_CONDITION_ACTIVE_SHIFT                    0
#define    PWRMGR_ACI_EVENT_ACI_CONDITION_ACTIVE_MASK                     0x00000001

#define PWRMGR_SOFTWARE_0_EVENT_OFFSET                                    0x0000022C
#define PWRMGR_SOFTWARE_0_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_0_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_SOFTWARE_1_EVENT_OFFSET                                    0x00000230
#define PWRMGR_SOFTWARE_1_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_1_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_SOFTWARE_2_EVENT_OFFSET                                    0x00000234
#define PWRMGR_SOFTWARE_2_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_2_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_VPM_WAKEUP_EVENT_OFFSET                                    0x00000238
#define PWRMGR_VPM_WAKEUP_EVENT_TYPE                                      UInt32
#define PWRMGR_VPM_WAKEUP_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_VPM_WAKEUP_EVENT_VPM_WAKEUP_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_ESW_WAKEUP_EVENT_OFFSET                                    0x0000023C
#define PWRMGR_ESW_WAKEUP_EVENT_TYPE                                      UInt32
#define PWRMGR_ESW_WAKEUP_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_ESW_WAKEUP_EVENT_ESW_WAKEUP_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_HDMI_WAKEUP_EVENT_OFFSET                                   0x00000240
#define PWRMGR_HDMI_WAKEUP_EVENT_TYPE                                     UInt32
#define PWRMGR_HDMI_WAKEUP_EVENT_RESERVED_MASK                            0xFFFFFFF8
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_CONDITION_ACTIVE_SHIFT    0
#define    PWRMGR_HDMI_WAKEUP_EVENT_HDMI_WAKEUP_CONDITION_ACTIVE_MASK     0x00000001

#define PWRMGR_SDIO2_CDN_EVENT_OFFSET                                     0x00000244
#define PWRMGR_SDIO2_CDN_EVENT_TYPE                                       UInt32
#define PWRMGR_SDIO2_CDN_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SDIO2_CDN_EVENT_SDIO2_CDN_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_SDIO3_CDN_EVENT_OFFSET                                     0x00000248
#define PWRMGR_SDIO3_CDN_EVENT_TYPE                                       UInt32
#define PWRMGR_SDIO3_CDN_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SDIO3_CDN_EVENT_SDIO3_CDN_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_ULPI1_EVENT_OFFSET                                         0x0000024C
#define PWRMGR_ULPI1_EVENT_TYPE                                           UInt32
#define PWRMGR_ULPI1_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_ULPI1_EVENT_ULPI1_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_ULPI1_EVENT_ULPI1_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_ULPI1_EVENT_ULPI1_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_ULPI1_EVENT_ULPI1_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_ULPI1_EVENT_ULPI1_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_ULPI1_EVENT_ULPI1_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_ULPI2_EVENT_OFFSET                                         0x00000250
#define PWRMGR_ULPI2_EVENT_TYPE                                           UInt32
#define PWRMGR_ULPI2_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_ULPI2_EVENT_ULPI2_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_ULPI2_EVENT_ULPI2_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_ULPI2_EVENT_ULPI2_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_ULPI2_EVENT_ULPI2_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_ULPI2_EVENT_ULPI2_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_ULPI2_EVENT_ULPI2_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_OFFSET                            0x00000800
#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_OFFSET                             0x00000804
#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP2_VI_ARM_CORE_POLICY_OFFSET                             0x00000810
#define PWRMGR_SSP2_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP2_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP2_VI_ARM_CORE_POLICY_SSP2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_OFFSET                             0x0000081C
#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_OFFSET                             0x00000828
#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_OFFSET                             0x00000834
#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_ARM_CORE_POLICY_OFFSET                            0x00000840
#define PWRMGR_UART1_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_UART1_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_ARM_CORE_POLICY_OFFSET                            0x00000848
#define PWRMGR_UART2_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_UART2_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART3_VI_ARM_CORE_POLICY_OFFSET                            0x00000850
#define PWRMGR_UART3_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_UART3_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART3_VI_ARM_CORE_POLICY_UART3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_ARM_CORE_POLICY_OFFSET                              0x00000860
#define PWRMGR_SIM_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_SIM_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_MMC_VI_ARM_CORE_POLICY_OFFSET                              0x00000868
#define PWRMGR_MMC_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_MMC_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_SDIO_VI_ARM_CORE_POLICY_OFFSET                             0x00000878
#define PWRMGR_SDIO_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SDIO_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO_VI_ARM_CORE_POLICY_SDIO_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_OFFSET                          0x00000880
#define PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_TYPE                            UInt32
#define PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_RESERVED_MASK                   0xFFFFFC00
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_AC_MASK  0x00000200
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SLIMBUS_VI_ARM_CORE_POLICY_SLIMBUS_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_OFFSET                             0x00000888
#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_OFFSET                           0x00000890
#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_ARM_CORE_POLICY_OFFSET                              0x000008B0
#define PWRMGR_HSI_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_HSI_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_OFFSET                            0x000008BC
#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_ARM_CORE_POLICY_OFFSET                              0x000008C0
#define PWRMGR_USB_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_USB_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_RXD_VI_ARM_CORE_POLICY_OFFSET                              0x000008C8
#define PWRMGR_RXD_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_RXD_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_OFFSET                           0x000008CC
#define PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_A_VI_ARM_CORE_POLICY_GPIO_A_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_OFFSET                           0x00000954
#define PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_B_VI_ARM_CORE_POLICY_GPIO_B_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_OFFSET                   0x000009DC
#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_OFFSET                   0x000009E0
#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_OFFSET                   0x000009E4
#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_OFFSET                   0x000009E8
#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_OFFSET                   0x000009EC
#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_OFFSET                         0x000009F0
#define PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_TYPE                           UInt32
#define PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_RESERVED_MASK                  0xFFFFFC00
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MM_TIMER_VI_ARM_CORE_POLICY_MM_TIMER_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_OFFSET                 0x000009F4
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_TYPE                   UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK          0xFFFFFC00
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_OFFSET                 0x000009F8
#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_TYPE                   UInt32
#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_RESERVED_MASK          0xFFFFFC00
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_CORE_POLICY_COMMON_INT_TO_MM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_OFFSET                  0x000009FC
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TYPE                    UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK           0xFFFFFC00
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_OFFSET                      0x00000A00
#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_TYPE                        UInt32
#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_RESERVED_MASK               0xFFFFFC00
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_OFFSET                           0x00000A04
#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_OFFSET                           0x00000A08
#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_OFFSET                       0x00000A0C
#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_OFFSET                     0x00000A10
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_TYPE                       UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK              0xFFFFFC00
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_OFFSET                  0x00000A14
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_TYPE                    UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_RESERVED_MASK           0xFFFFFC00
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_OFFSET            0x00000A18
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_TYPE              UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_RESERVED_MASK     0xFFFFFC00
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_OFFSET                           0x00000A1C
#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_OFFSET                     0x00000A20
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_TYPE                       UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_RESERVED_MASK              0xFFFFFC00
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_OFFSET                          0x00000A24
#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_TYPE                            UInt32
#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_RESERVED_MASK                   0xFFFFFC00
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_AC_MASK  0x00000200
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_ARM_CORE_POLICY_OFFSET                              0x00000A28
#define PWRMGR_ACI_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_ACI_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_OFFSET                       0x00000A2C
#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_OFFSET                       0x00000A30
#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_OFFSET                       0x00000A34
#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VPMSW_VI_ARM_CORE_POLICY_OFFSET                            0x00000A38
#define PWRMGR_VPMSW_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_VPMSW_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_VPMSW_VI_ARM_CORE_POLICY_VPMSW_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_OFFSET                         0x00000A3C
#define PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_TYPE                           UInt32
#define PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_RESERVED_MASK                  0xFFFFFC00
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_ETHERNET_VI_ARM_CORE_POLICY_ETHERNET_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HDMI_VI_ARM_CORE_POLICY_OFFSET                             0x00000A40
#define PWRMGR_HDMI_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_HDMI_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_HDMI_VI_ARM_CORE_POLICY_HDMI_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO2_VI_ARM_CORE_POLICY_OFFSET                            0x00000A44
#define PWRMGR_SDIO2_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_SDIO2_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO2_VI_ARM_CORE_POLICY_SDIO2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO3_VI_ARM_CORE_POLICY_OFFSET                            0x00000A48
#define PWRMGR_SDIO3_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_SDIO3_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO3_VI_ARM_CORE_POLICY_SDIO3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI1_VI_ARM_CORE_POLICY_OFFSET                            0x00000A4C
#define PWRMGR_ULPI1_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_ULPI1_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI1_VI_ARM_CORE_POLICY_ULPI1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI2_VI_ARM_CORE_POLICY_OFFSET                            0x00000A50
#define PWRMGR_ULPI2_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_ULPI2_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI2_VI_ARM_CORE_POLICY_ULPI2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_LCDTE_VI_MM_POLICY_OFFSET                                  0x00001000
#define PWRMGR_LCDTE_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_LCDTE_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_SSP3_VI_MM_POLICY_OFFSET                                   0x00001004
#define PWRMGR_SSP3_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP3_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_SSP2_VI_MM_POLICY_OFFSET                                   0x00001010
#define PWRMGR_SSP2_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP2_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_SSP2_VI_MM_POLICY_SSP2_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_SSP1_VI_MM_POLICY_OFFSET                                   0x0000101C
#define PWRMGR_SSP1_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP1_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_SSP0_VI_MM_POLICY_OFFSET                                   0x00001028
#define PWRMGR_SSP0_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP0_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_CLKS_VI_MM_POLICY_OFFSET                                   0x00001034
#define PWRMGR_CLKS_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_CLKS_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_UART1_VI_MM_POLICY_OFFSET                                  0x00001040
#define PWRMGR_UART1_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_UART1_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_UART2_VI_MM_POLICY_OFFSET                                  0x00001048
#define PWRMGR_UART2_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_UART2_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_UART3_VI_MM_POLICY_OFFSET                                  0x00001050
#define PWRMGR_UART3_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_UART3_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_UART3_VI_MM_POLICY_UART3_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_SIM_VI_MM_POLICY_OFFSET                                    0x00001060
#define PWRMGR_SIM_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_SIM_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_MMC_VI_MM_POLICY_OFFSET                                    0x00001068
#define PWRMGR_MMC_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_MMC_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_SDIO_VI_MM_POLICY_OFFSET                                   0x00001078
#define PWRMGR_SDIO_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SDIO_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_SDIO_VI_MM_POLICY_SDIO_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_SLIMBUS_VI_MM_POLICY_OFFSET                                0x00001080
#define PWRMGR_SLIMBUS_VI_MM_POLICY_TYPE                                  UInt32
#define PWRMGR_SLIMBUS_VI_MM_POLICY_RESERVED_MASK                         0xF00000E0
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_AC_SHIFT        27
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_AC_MASK         0x08000000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_ATL_SHIFT       26
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_ATL_MASK        0x04000000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_POLICY_SHIFT    23
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_PM_POLICY_MASK     0x03800000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_AC_SHIFT    22
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_AC_MASK     0x00400000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_ATL_SHIFT   21
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_ATL_MASK    0x00200000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_AC_SHIFT     17
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_AC_MASK      0x00020000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_ATL_SHIFT    16
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_ATL_MASK     0x00010000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB2_PM_POLICY_MASK  0x0000E000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_AC_SHIFT          12
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_AC_MASK           0x00001000
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_ATL_SHIFT         11
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_ATL_MASK          0x00000800
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_POLICY_SHIFT      8
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_AC_SHIFT      4
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_AC_MASK       0x00000010
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_ATL_SHIFT     3
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_ATL_MASK      0x00000008
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_POLICY_SHIFT  0
#define    PWRMGR_SLIMBUS_VI_MM_POLICY_SLIMBUS_PI_MM_SUB_PM_POLICY_MASK   0x00000007

#define PWRMGR_JTAG_VI_MM_POLICY_OFFSET                                   0x00001088
#define PWRMGR_JTAG_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_JTAG_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_KEYPAD_VI_MM_POLICY_OFFSET                                 0x00001090
#define PWRMGR_KEYPAD_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_KEYPAD_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_HSI_VI_MM_POLICY_OFFSET                                    0x000010B0
#define PWRMGR_HSI_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_HSI_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_BATRM_VI_MM_POLICY_OFFSET                                  0x000010BC
#define PWRMGR_BATRM_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_BATRM_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_USB_VI_MM_POLICY_OFFSET                                    0x000010C0
#define PWRMGR_USB_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_USB_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_RXD_VI_MM_POLICY_OFFSET                                    0x000010C8
#define PWRMGR_RXD_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_RXD_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_GPIO_A_VI_MM_POLICY_OFFSET                                 0x000010CC
#define PWRMGR_GPIO_A_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_GPIO_A_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_GPIO_A_VI_MM_POLICY_GPIO_A_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_GPIO_B_VI_MM_POLICY_OFFSET                                 0x00001154
#define PWRMGR_GPIO_B_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_GPIO_B_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_GPIO_B_VI_MM_POLICY_GPIO_B_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_OFFSET                         0x000011DC
#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_RESERVED_MASK                  0xF00000E0
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_OFFSET                         0x000011E0
#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_RESERVED_MASK                  0xF00000E0
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_OFFSET                         0x000011E4
#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_RESERVED_MASK                  0xF00000E0
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_OFFSET                         0x000011E8
#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_RESERVED_MASK                  0xF00000E0
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_OFFSET                         0x000011EC
#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_RESERVED_MASK                  0xF00000E0
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_MM_TIMER_VI_MM_POLICY_OFFSET                               0x000011F0
#define PWRMGR_MM_TIMER_VI_MM_POLICY_TYPE                                 UInt32
#define PWRMGR_MM_TIMER_VI_MM_POLICY_RESERVED_MASK                        0xF00000E0
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_AC_SHIFT      27
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_AC_MASK       0x08000000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_ATL_SHIFT     26
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_ATL_MASK      0x04000000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_POLICY_SHIFT  23
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_PM_POLICY_MASK   0x03800000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_AC_SHIFT  22
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_AC_MASK   0x00400000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_ATL_MASK  0x00200000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_AC_SHIFT   17
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_AC_MASK    0x00020000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_ATL_SHIFT  16
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_ATL_MASK   0x00010000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_AC_SHIFT        12
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_AC_MASK         0x00001000
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_ATL_SHIFT       11
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_ATL_MASK        0x00000800
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_POLICY_SHIFT    8
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_PM_POLICY_MASK     0x00000700
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_AC_SHIFT    4
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_AC_MASK     0x00000010
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_ATL_SHIFT   3
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_ATL_MASK    0x00000008
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_MM_TIMER_VI_MM_POLICY_MM_TIMER_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_OFFSET                       0x000011F4
#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_TYPE                         UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_RESERVED_MASK                0xF00000E0
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_OFFSET                       0x000011F8
#define PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_TYPE                         UInt32
#define PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_RESERVED_MASK                0xF00000E0
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_MM_VI_MM_POLICY_COMMON_INT_TO_MM_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_OFFSET                        0x000011FC
#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TYPE                          UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_RESERVED_MASK                 0xF00000E0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_OFFSET                            0x00001200
#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_TYPE                              UInt32
#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_RESERVED_MASK                     0xF00000E0
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_AC_SHIFT  12
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_AC_MASK   0x00001000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_ATL_MASK  0x00000800
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_MM_POLICY_OFFSET                                 0x00001204
#define PWRMGR_MODEM1_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_MODEM1_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_MODEM2_VI_MM_POLICY_OFFSET                                 0x00001208
#define PWRMGR_MODEM2_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_MODEM2_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_MODEM_UART_VI_MM_POLICY_OFFSET                             0x0000120C
#define PWRMGR_MODEM_UART_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_MODEM_UART_VI_MM_POLICY_RESERVED_MASK                      0xF00000E0
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_AC_SHIFT  27
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_AC_MASK   0x08000000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_ATL_MASK  0x04000000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_OFFSET                           0x00001210
#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_TYPE                             UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_RESERVED_MASK                    0xF00000E0
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_OFFSET                        0x00001214
#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_TYPE                          UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_RESERVED_MASK                 0xF00000E0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_OFFSET                  0x00001218
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_TYPE                    UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_RESERVED_MASK           0xF00000E0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_MM_POLICY_OFFSET                                 0x0000121C
#define PWRMGR_USBOTG_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_USBOTG_VI_MM_POLICY_RESERVED_MASK                          0xF00000E0
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_AC_SHIFT          27
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_AC_MASK           0x08000000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_ATL_SHIFT         26
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_ATL_MASK          0x04000000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_POLICY_SHIFT      23
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_PM_POLICY_MASK       0x03800000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_AC_SHIFT      22
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_AC_MASK       0x00400000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_ATL_SHIFT     21
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_ATL_MASK      0x00200000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_POLICY_SHIFT  18
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_ESUB_SUB_PM_POLICY_MASK   0x001C0000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_AC_SHIFT       17
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_AC_MASK        0x00020000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_ATL_SHIFT      16
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_ATL_MASK       0x00010000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_POLICY_SHIFT   13
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB2_PM_POLICY_MASK    0x0000E000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_POLICY_MASK         0x00000700
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_AC_SHIFT        4
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_AC_MASK         0x00000010
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_ATL_SHIFT       3
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_ATL_MASK        0x00000008
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_POLICY_SHIFT    0
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_SUB_PM_POLICY_MASK     0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_OFFSET                           0x00001220
#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_TYPE                             UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_RESERVED_MASK                    0xF00000E0
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_AC_SHIFT 27
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_AC_MASK 0x08000000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_ATL_MASK 0x04000000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_MM_POLICY_OFFSET                                0x00001224
#define PWRMGR_DBR_IRQ_VI_MM_POLICY_TYPE                                  UInt32
#define PWRMGR_DBR_IRQ_VI_MM_POLICY_RESERVED_MASK                         0xF00000E0
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_AC_SHIFT        27
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_AC_MASK         0x08000000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_ATL_SHIFT       26
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_ATL_MASK        0x04000000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_POLICY_SHIFT    23
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_PM_POLICY_MASK     0x03800000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_AC_SHIFT    22
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_AC_MASK     0x00400000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_ATL_SHIFT   21
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_ATL_MASK    0x00200000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_AC_SHIFT     17
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_AC_MASK      0x00020000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_ATL_SHIFT    16
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_ATL_MASK     0x00010000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB2_PM_POLICY_MASK  0x0000E000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_AC_SHIFT          12
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_AC_MASK           0x00001000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_ATL_SHIFT         11
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_ATL_MASK          0x00000800
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_POLICY_SHIFT      8
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_POLICY_MASK       0x00000700
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_AC_SHIFT      4
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_AC_MASK       0x00000010
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_ATL_SHIFT     3
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_ATL_MASK      0x00000008
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_POLICY_SHIFT  0
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_SUB_PM_POLICY_MASK   0x00000007

#define PWRMGR_ACI_VI_MM_POLICY_OFFSET                                    0x00001228
#define PWRMGR_ACI_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_ACI_VI_MM_POLICY_RESERVED_MASK                             0xF00000E0
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_AC_SHIFT                27
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_AC_MASK                 0x08000000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_ATL_SHIFT               26
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_ATL_MASK                0x04000000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_POLICY_SHIFT            23
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_PM_POLICY_MASK             0x03800000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_AC_SHIFT            22
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_AC_MASK             0x00400000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_ATL_SHIFT           21
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_ATL_MASK            0x00200000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_POLICY_SHIFT        18
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_ESUB_SUB_PM_POLICY_MASK         0x001C0000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_AC_SHIFT             17
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_AC_MASK              0x00020000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_ATL_SHIFT            16
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_ATL_MASK             0x00010000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_POLICY_SHIFT         13
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB2_PM_POLICY_MASK          0x0000E000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_POLICY_MASK               0x00000700
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_AC_SHIFT              4
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_AC_MASK               0x00000010
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_ATL_SHIFT             3
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_ATL_MASK              0x00000008
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_POLICY_SHIFT          0
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_SUB_PM_POLICY_MASK           0x00000007

#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_OFFSET                             0x0000122C
#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_RESERVED_MASK                      0xF00000E0
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_AC_SHIFT  27
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_AC_MASK   0x08000000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_ATL_MASK  0x04000000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_OFFSET                             0x00001230
#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_RESERVED_MASK                      0xF00000E0
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_AC_SHIFT  27
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_AC_MASK   0x08000000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_ATL_MASK  0x04000000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_OFFSET                             0x00001234
#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_RESERVED_MASK                      0xF00000E0
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_AC_SHIFT  27
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_AC_MASK   0x08000000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_ATL_SHIFT 26
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_ATL_MASK  0x04000000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_POLICY_SHIFT 23
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_PM_POLICY_MASK 0x03800000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_AC_SHIFT 22
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_AC_MASK 0x00400000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_ATL_MASK 0x00200000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_AC_SHIFT 17
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_AC_MASK 0x00020000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_ATL_SHIFT 16
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_ATL_MASK 0x00010000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_VPMSW_VI_MM_POLICY_OFFSET                                  0x00001238
#define PWRMGR_VPMSW_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_VPMSW_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_VPMSW_VI_MM_POLICY_VPMSW_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_ETHERNET_VI_MM_POLICY_OFFSET                               0x0000123C
#define PWRMGR_ETHERNET_VI_MM_POLICY_TYPE                                 UInt32
#define PWRMGR_ETHERNET_VI_MM_POLICY_RESERVED_MASK                        0xF00000E0
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_AC_SHIFT      27
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_AC_MASK       0x08000000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_ATL_SHIFT     26
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_ATL_MASK      0x04000000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_POLICY_SHIFT  23
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_PM_POLICY_MASK   0x03800000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_AC_SHIFT  22
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_AC_MASK   0x00400000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_ATL_SHIFT 21
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_ATL_MASK  0x00200000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_POLICY_SHIFT 18
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_ESUB_SUB_PM_POLICY_MASK 0x001C0000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_AC_SHIFT   17
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_AC_MASK    0x00020000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_ATL_SHIFT  16
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_ATL_MASK   0x00010000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_POLICY_SHIFT 13
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB2_PM_POLICY_MASK 0x0000E000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_AC_SHIFT        12
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_AC_MASK         0x00001000
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_ATL_SHIFT       11
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_ATL_MASK        0x00000800
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_POLICY_SHIFT    8
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_PM_POLICY_MASK     0x00000700
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_AC_SHIFT    4
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_AC_MASK     0x00000010
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_ATL_SHIFT   3
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_ATL_MASK    0x00000008
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_POLICY_SHIFT 0
#define    PWRMGR_ETHERNET_VI_MM_POLICY_ETHERNET_PI_MM_SUB_PM_POLICY_MASK 0x00000007

#define PWRMGR_HDMI_VI_MM_POLICY_OFFSET                                   0x00001240
#define PWRMGR_HDMI_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_HDMI_VI_MM_POLICY_RESERVED_MASK                            0xF00000E0
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_AC_SHIFT              27
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_AC_MASK               0x08000000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_ATL_SHIFT             26
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_ATL_MASK              0x04000000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_POLICY_SHIFT          23
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_PM_POLICY_MASK           0x03800000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_AC_SHIFT          22
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_AC_MASK           0x00400000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_ATL_SHIFT         21
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_ATL_MASK          0x00200000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_POLICY_SHIFT      18
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_ESUB_SUB_PM_POLICY_MASK       0x001C0000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_AC_SHIFT           17
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_AC_MASK            0x00020000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_ATL_SHIFT          16
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_ATL_MASK           0x00010000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_POLICY_SHIFT       13
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB2_PM_POLICY_MASK        0x0000E000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_PM_POLICY_MASK             0x00000700
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_AC_SHIFT            4
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_AC_MASK             0x00000010
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_ATL_SHIFT           3
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_ATL_MASK            0x00000008
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_POLICY_SHIFT        0
#define    PWRMGR_HDMI_VI_MM_POLICY_HDMI_PI_MM_SUB_PM_POLICY_MASK         0x00000007

#define PWRMGR_SDIO2_VI_MM_POLICY_OFFSET                                  0x00001244
#define PWRMGR_SDIO2_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_SDIO2_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_SDIO2_VI_MM_POLICY_SDIO2_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_SDIO3_VI_MM_POLICY_OFFSET                                  0x00001248
#define PWRMGR_SDIO3_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_SDIO3_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_SDIO3_VI_MM_POLICY_SDIO3_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_ULPI1_VI_MM_POLICY_OFFSET                                  0x0000124C
#define PWRMGR_ULPI1_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_ULPI1_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_ULPI1_VI_MM_POLICY_ULPI1_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_ULPI2_VI_MM_POLICY_OFFSET                                  0x00001250
#define PWRMGR_ULPI2_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_ULPI2_VI_MM_POLICY_RESERVED_MASK                           0xF00000E0
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_AC_SHIFT            27
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_AC_MASK             0x08000000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_ATL_SHIFT           26
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_ATL_MASK            0x04000000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_POLICY_SHIFT        23
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_PM_POLICY_MASK         0x03800000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_AC_SHIFT        22
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_AC_MASK         0x00400000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_ATL_SHIFT       21
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_ATL_MASK        0x00200000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_POLICY_SHIFT    18
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_ESUB_SUB_PM_POLICY_MASK     0x001C0000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_AC_SHIFT         17
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_AC_MASK          0x00020000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_ATL_SHIFT        16
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_ATL_MASK         0x00010000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_POLICY_SHIFT     13
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB2_PM_POLICY_MASK      0x0000E000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_PM_POLICY_MASK           0x00000700
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_AC_SHIFT          4
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_AC_MASK           0x00000010
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_ATL_SHIFT         3
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_ATL_MASK          0x00000008
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_POLICY_SHIFT      0
#define    PWRMGR_ULPI2_VI_MM_POLICY_ULPI2_PI_MM_SUB_PM_POLICY_MASK       0x00000007

#define PWRMGR_LCDTE_VI_HUB_POLICY_OFFSET                                 0x00001800
#define PWRMGR_LCDTE_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_LCDTE_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_HUB_POLICY_OFFSET                                  0x00001804
#define PWRMGR_SSP3_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP3_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP2_VI_HUB_POLICY_OFFSET                                  0x00001810
#define PWRMGR_SSP2_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP2_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP2_VI_HUB_POLICY_SSP2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_HUB_POLICY_OFFSET                                  0x0000181C
#define PWRMGR_SSP1_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP1_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_HUB_POLICY_OFFSET                                  0x00001828
#define PWRMGR_SSP0_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP0_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_HUB_POLICY_OFFSET                                  0x00001834
#define PWRMGR_CLKS_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_CLKS_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_HUB_POLICY_OFFSET                                 0x00001840
#define PWRMGR_UART1_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_UART1_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_HUB_POLICY_OFFSET                                 0x00001848
#define PWRMGR_UART2_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_UART2_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART3_VI_HUB_POLICY_OFFSET                                 0x00001850
#define PWRMGR_UART3_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_UART3_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART3_VI_HUB_POLICY_UART3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_HUB_POLICY_OFFSET                                   0x00001860
#define PWRMGR_SIM_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_SIM_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_MMC_VI_HUB_POLICY_OFFSET                                   0x00001868
#define PWRMGR_MMC_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_MMC_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_SDIO_VI_HUB_POLICY_OFFSET                                  0x00001878
#define PWRMGR_SDIO_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SDIO_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO_VI_HUB_POLICY_SDIO_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SLIMBUS_VI_HUB_POLICY_OFFSET                               0x00001880
#define PWRMGR_SLIMBUS_VI_HUB_POLICY_TYPE                                 UInt32
#define PWRMGR_SLIMBUS_VI_HUB_POLICY_RESERVED_MASK                        0xFFFFE0E0
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_AC_SHIFT    12
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_AC_MASK     0x00001000
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_ATL_SHIFT   11
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_ATL_MASK    0x00000800
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SLIMBUS_VI_HUB_POLICY_SLIMBUS_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_JTAG_VI_HUB_POLICY_OFFSET                                  0x00001888
#define PWRMGR_JTAG_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_JTAG_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_HUB_POLICY_OFFSET                                0x00001890
#define PWRMGR_KEYPAD_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_KEYPAD_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_HUB_POLICY_OFFSET                                   0x000018B0
#define PWRMGR_HSI_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_HSI_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_BATRM_VI_HUB_POLICY_OFFSET                                 0x000018BC
#define PWRMGR_BATRM_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_BATRM_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_HUB_POLICY_OFFSET                                   0x000018C0
#define PWRMGR_USB_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_USB_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_RXD_VI_HUB_POLICY_OFFSET                                   0x000018C8
#define PWRMGR_RXD_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_RXD_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_GPIO_A_VI_HUB_POLICY_OFFSET                                0x000018CC
#define PWRMGR_GPIO_A_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_GPIO_A_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_A_VI_HUB_POLICY_GPIO_A_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_B_VI_HUB_POLICY_OFFSET                                0x00001954
#define PWRMGR_GPIO_B_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_GPIO_B_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_B_VI_HUB_POLICY_GPIO_B_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_OFFSET                        0x000019DC
#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_OFFSET                        0x000019E0
#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_OFFSET                        0x000019E4
#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_OFFSET                        0x000019E8
#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_OFFSET                        0x000019EC
#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MM_TIMER_VI_HUB_POLICY_OFFSET                              0x000019F0
#define PWRMGR_MM_TIMER_VI_HUB_POLICY_TYPE                                UInt32
#define PWRMGR_MM_TIMER_VI_HUB_POLICY_RESERVED_MASK                       0xFFFFE0E0
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_AC_SHIFT  12
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_AC_MASK   0x00001000
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_ATL_MASK  0x00000800
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MM_TIMER_VI_HUB_POLICY_MM_TIMER_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_OFFSET                      0x000019F4
#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_TYPE                        UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_RESERVED_MASK               0xFFFFE0E0
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_OFFSET                      0x000019F8
#define PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_TYPE                        UInt32
#define PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_RESERVED_MASK               0xFFFFE0E0
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_MM_VI_HUB_POLICY_COMMON_INT_TO_MM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_OFFSET                       0x000019FC
#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TYPE                         UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_RESERVED_MASK                0xFFFFE0E0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_OFFSET                           0x00001A00
#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_TYPE                             UInt32
#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_RESERVED_MASK                    0xFFFFE0E0
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_HUB_POLICY_OFFSET                                0x00001A04
#define PWRMGR_MODEM1_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_MODEM1_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_HUB_POLICY_OFFSET                                0x00001A08
#define PWRMGR_MODEM2_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_MODEM2_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_HUB_POLICY_OFFSET                            0x00001A0C
#define PWRMGR_MODEM_UART_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_MODEM_UART_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_OFFSET                          0x00001A10
#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_TYPE                            UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_RESERVED_MASK                   0xFFFFE0E0
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_OFFSET                       0x00001A14
#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_TYPE                         UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_RESERVED_MASK                0xFFFFE0E0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_OFFSET                 0x00001A18
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_TYPE                   UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_RESERVED_MASK          0xFFFFE0E0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_HUB_POLICY_OFFSET                                0x00001A1C
#define PWRMGR_USBOTG_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_USBOTG_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_OFFSET                          0x00001A20
#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_TYPE                            UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_RESERVED_MASK                   0xFFFFE0E0
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_OFFSET                               0x00001A24
#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_TYPE                                 UInt32
#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_RESERVED_MASK                        0xFFFFE0E0
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_AC_SHIFT    12
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_AC_MASK     0x00001000
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_ATL_SHIFT   11
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_ATL_MASK    0x00000800
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_HUB_POLICY_OFFSET                                   0x00001A28
#define PWRMGR_ACI_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_ACI_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_OFFSET                            0x00001A2C
#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_OFFSET                            0x00001A30
#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_OFFSET                            0x00001A34
#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VPMSW_VI_HUB_POLICY_OFFSET                                 0x00001A38
#define PWRMGR_VPMSW_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_VPMSW_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_VPMSW_VI_HUB_POLICY_VPMSW_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ETHERNET_VI_HUB_POLICY_OFFSET                              0x00001A3C
#define PWRMGR_ETHERNET_VI_HUB_POLICY_TYPE                                UInt32
#define PWRMGR_ETHERNET_VI_HUB_POLICY_RESERVED_MASK                       0xFFFFE0E0
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_AC_SHIFT  12
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_AC_MASK   0x00001000
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_ATL_MASK  0x00000800
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_ETHERNET_VI_HUB_POLICY_ETHERNET_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HDMI_VI_HUB_POLICY_OFFSET                                  0x00001A40
#define PWRMGR_HDMI_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_HDMI_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_HDMI_VI_HUB_POLICY_HDMI_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO2_VI_HUB_POLICY_OFFSET                                 0x00001A44
#define PWRMGR_SDIO2_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_SDIO2_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO2_VI_HUB_POLICY_SDIO2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO3_VI_HUB_POLICY_OFFSET                                 0x00001A48
#define PWRMGR_SDIO3_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_SDIO3_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO3_VI_HUB_POLICY_SDIO3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI1_VI_HUB_POLICY_OFFSET                                 0x00001A4C
#define PWRMGR_ULPI1_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_ULPI1_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI1_VI_HUB_POLICY_ULPI1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI2_VI_HUB_POLICY_OFFSET                                 0x00001A50
#define PWRMGR_ULPI2_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_ULPI2_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI2_VI_HUB_POLICY_ULPI2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002000
#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002004
#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002010
#define PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP2_VI_ARM_SUBSYSTEM_POLICY_SSP2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x0000201C
#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002028
#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002034
#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002040
#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002048
#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002050
#define PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_UART3_VI_ARM_SUBSYSTEM_POLICY_UART3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002060
#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002068
#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002078
#define PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO_VI_ARM_SUBSYSTEM_POLICY_SDIO_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_OFFSET                     0x00002080
#define PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_TYPE                       UInt32
#define PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK              0xFFFFFFE0
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SLIMBUS_VI_ARM_SUBSYSTEM_POLICY_SLIMBUS_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002088
#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x00002090
#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000020B0
#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x000020BC
#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000020C0
#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000020C8
#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x000020CC
#define PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_A_VI_ARM_SUBSYSTEM_POLICY_GPIO_A_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x00002154
#define PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_B_VI_ARM_SUBSYSTEM_POLICY_GPIO_B_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000021DC
#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000021E0
#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000021E4
#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000021E8
#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000021EC
#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_OFFSET                    0x000021F0
#define PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_TYPE                      UInt32
#define PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK             0xFFFFFFE0
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MM_TIMER_VI_ARM_SUBSYSTEM_POLICY_MM_TIMER_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET            0x000021F4
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE              UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK     0xFFFFFFE0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_OFFSET            0x000021F8
#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_TYPE              UInt32
#define PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK     0xFFFFFFE0
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_MM_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_MM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET             0x000021FC
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE               UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK      0xFFFFFFE0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_OFFSET                 0x00002200
#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_TYPE                   UInt32
#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK          0xFFFFFFE0
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x00002204
#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x00002208
#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x0000220C
#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET                0x00002210
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE                  UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK         0xFFFFFFE0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_OFFSET             0x00002214
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_TYPE               UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK      0xFFFFFFE0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_OFFSET       0x00002218
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_TYPE         UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK 0xFFFFFFE0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x0000221C
#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_OFFSET                0x00002220
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_TYPE                  UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK         0xFFFFFFE0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_OFFSET                     0x00002224
#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_TYPE                       UInt32
#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK              0xFFFFFFE0
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002228
#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x0000222C
#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x00002230
#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x00002234
#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002238
#define PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_VPMSW_VI_ARM_SUBSYSTEM_POLICY_VPMSW_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_OFFSET                    0x0000223C
#define PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_TYPE                      UInt32
#define PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK             0xFFFFFFE0
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_ETHERNET_VI_ARM_SUBSYSTEM_POLICY_ETHERNET_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002240
#define PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_HDMI_VI_ARM_SUBSYSTEM_POLICY_HDMI_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002244
#define PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO2_VI_ARM_SUBSYSTEM_POLICY_SDIO2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002248
#define PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SDIO3_VI_ARM_SUBSYSTEM_POLICY_SDIO3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x0000224C
#define PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI1_VI_ARM_SUBSYSTEM_POLICY_ULPI1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002250
#define PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_ULPI2_VI_ARM_SUBSYSTEM_POLICY_ULPI2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_OFFSET                        0x00004000
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_TYPE                          UInt32
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_RESERVED_MASK                 0xFFFFFFF0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_I2C_HARDWARE_SEMAPHORE_WRITE_VALUE_SHIFT 0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_I2C_HARDWARE_SEMAPHORE_WRITE_VALUE_MASK 0x0000000F

#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_OFFSET                         0x00004004
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_TYPE                           UInt32
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_RESERVED_MASK                  0xFFFFFFF0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_I2C_HARDWARE_SEMAPHORE_READ_VALUE_SHIFT 0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_I2C_HARDWARE_SEMAPHORE_READ_VALUE_MASK 0x0000000F

#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x00004008
#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x0000400C
#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x00004010
#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VI_TO_VO0_MAP_OFFSET                                       0x00004014
#define PWRMGR_VI_TO_VO0_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO0_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO0_MAP_VI_ESUB_TO_VO0_MAP_SHIFT                  5
#define    PWRMGR_VI_TO_VO0_MAP_VI_ESUB_TO_VO0_MAP_MASK                   0x00000020
#define    PWRMGR_VI_TO_VO0_MAP_VI_MODEM_TO_VO0_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO0_MAP_VI_MODEM_TO_VO0_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_SUBSYSTEM_TO_VO0_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_SUBSYSTEM_TO_VO0_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO0_MAP_VI_HUB_TO_VO0_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO0_MAP_VI_HUB_TO_VO0_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO0_MAP_VI_MM_TO_VO0_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO0_MAP_VI_MM_TO_VO0_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_CORE_TO_VO0_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_CORE_TO_VO0_MAP_MASK               0x00000001

#define PWRMGR_VI_TO_VO1_MAP_OFFSET                                       0x00004018
#define PWRMGR_VI_TO_VO1_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO1_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO1_MAP_VI_ESUB_TO_VO1_MAP_SHIFT                  5
#define    PWRMGR_VI_TO_VO1_MAP_VI_ESUB_TO_VO1_MAP_MASK                   0x00000020
#define    PWRMGR_VI_TO_VO1_MAP_VI_MODEM_TO_VO1_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO1_MAP_VI_MODEM_TO_VO1_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_SUBSYSTEM_TO_VO1_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_SUBSYSTEM_TO_VO1_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO1_MAP_VI_HUB_TO_VO1_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO1_MAP_VI_HUB_TO_VO1_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO1_MAP_VI_MM_TO_VO1_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO1_MAP_VI_MM_TO_VO1_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_CORE_TO_VO1_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_CORE_TO_VO1_MAP_MASK               0x00000001

#define PWRMGR_VI_TO_VO2_MAP_OFFSET                                       0x0000401C
#define PWRMGR_VI_TO_VO2_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO2_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO2_MAP_VI_ESUB_TO_VO2_MAP_SHIFT                  5
#define    PWRMGR_VI_TO_VO2_MAP_VI_ESUB_TO_VO2_MAP_MASK                   0x00000020
#define    PWRMGR_VI_TO_VO2_MAP_VI_MODEM_TO_VO2_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO2_MAP_VI_MODEM_TO_VO2_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_SUBSYSTEM_TO_VO2_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_SUBSYSTEM_TO_VO2_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO2_MAP_VI_HUB_TO_VO2_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO2_MAP_VI_HUB_TO_VO2_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO2_MAP_VI_MM_TO_VO2_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO2_MAP_VI_MM_TO_VO2_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_CORE_TO_VO2_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_CORE_TO_VO2_MAP_MASK               0x00000001

#define PWRMGR_FIXED_VOLTAGE_MAP_OFFSET                                   0x00004020
#define PWRMGR_FIXED_VOLTAGE_MAP_TYPE                                     UInt32
#define PWRMGR_FIXED_VOLTAGE_MAP_RESERVED_MASK                            0xFFFFFFC0
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ESUB_FIXED_VOLTAGE_MAP_SHIFT       5
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ESUB_FIXED_VOLTAGE_MAP_MASK        0x00000020
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MODEM_FIXED_VOLTAGE_MAP_SHIFT      4
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MODEM_FIXED_VOLTAGE_MAP_MASK       0x00000010
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_SUBSYSTEM_FIXED_VOLTAGE_MAP_SHIFT 3
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_SUBSYSTEM_FIXED_VOLTAGE_MAP_MASK 0x00000008
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_HUB_FIXED_VOLTAGE_MAP_SHIFT        2
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_HUB_FIXED_VOLTAGE_MAP_MASK         0x00000004
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MM_FIXED_VOLTAGE_MAP_SHIFT         1
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MM_FIXED_VOLTAGE_MAP_MASK          0x00000002
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_CORE_FIXED_VOLTAGE_MAP_SHIFT   0
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_CORE_FIXED_VOLTAGE_MAP_MASK    0x00000001

#define PWRMGR_PI_DEFAULT_POWER_STATE_OFFSET                              0x00004024
#define PWRMGR_PI_DEFAULT_POWER_STATE_TYPE                                UInt32
#define PWRMGR_PI_DEFAULT_POWER_STATE_RESERVED_MASK                       0x00300000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_SHIFT         24
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_MASK          0xFF000000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_SHIFT              23
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_MASK               0x00800000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_ARM_CORE_DORMANT_DISABLE_SHIFT   22
#define    PWRMGR_PI_DEFAULT_POWER_STATE_ARM_CORE_DORMANT_DISABLE_MASK    0x00400000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_RETENTION_CLAMP_DISABLE_SHIFT 19
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_RETENTION_CLAMP_DISABLE_MASK 0x00080000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_SUB_RETENTION_CLAMP_DISABLE_SHIFT 18
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_SUB_RETENTION_CLAMP_DISABLE_MASK 0x00040000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB_RETENTION_CLAMP_DISABLE_SHIFT 17
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB_RETENTION_CLAMP_DISABLE_MASK 0x00020000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_RETENTION_CLAMP_DISABLE_SHIFT 16
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_RETENTION_CLAMP_DISABLE_MASK 0x00010000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB2_RETENTION_CLAMP_DISABLE_SHIFT 15
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB2_RETENTION_CLAMP_DISABLE_MASK 0x00008000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_RETENTION_CLAMP_DISABLE_SHIFT 14
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_RETENTION_CLAMP_DISABLE_MASK 0x00004000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_RETENTION_CLAMP_DISABLE_SHIFT 13
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_RETENTION_CLAMP_DISABLE_MASK 0x00002000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_RETENTION_CLAMP_DISABLE_SHIFT 12
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_RETENTION_CLAMP_DISABLE_MASK 0x00001000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_RETENTION_CLAMP_DISABLE_SHIFT 11
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_RETENTION_CLAMP_DISABLE_MASK 0x00000800
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_RETENTION_CLAMP_DISABLE_SHIFT 10
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_RETENTION_CLAMP_DISABLE_MASK 0x00000400
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB2_WAKEUP_OVERRIDE_SHIFT 9
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB2_WAKEUP_OVERRIDE_MASK  0x00000200
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_WAKEUP_OVERRIDE_SHIFT    8
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_WAKEUP_OVERRIDE_MASK     0x00000100
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_SUB_WAKEUP_OVERRIDE_SHIFT 7
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ESUB_SUB_WAKEUP_OVERRIDE_MASK 0x00000080
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_WAKEUP_OVERRIDE_SHIFT   6
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_WAKEUP_OVERRIDE_MASK    0x00000040
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_WAKEUP_OVERRIDE_SHIFT 5
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_WAKEUP_OVERRIDE_MASK  0x00000020
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_WAKEUP_OVERRIDE_SHIFT 4
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_WAKEUP_OVERRIDE_MASK 0x00000010
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_WAKEUP_OVERRIDE_SHIFT 3
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_WAKEUP_OVERRIDE_MASK 0x00000008
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_WAKEUP_OVERRIDE_SHIFT      2
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_WAKEUP_OVERRIDE_MASK       0x00000004
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB_WAKEUP_OVERRIDE_SHIFT  1
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_SUB_WAKEUP_OVERRIDE_MASK   0x00000002
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_WAKEUP_OVERRIDE_SHIFT 0
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_WAKEUP_OVERRIDE_MASK 0x00000001

#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_OFFSET                             0x00004028
#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_TYPE                               UInt32
#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_RESERVED_MASK                      0x00000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_CLEAR_PI_COUNTERS_SHIFT         31
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_CLEAR_PI_COUNTERS_MASK          0x80000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_ATB_ID_SHIFT                    24
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_ATB_ID_MASK                     0x7F000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_DEBUG_BUS_SELECT_SHIFT          20
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_DEBUG_BUS_SELECT_MASK           0x00F00000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_VALUE_SHIFT     19
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_VALUE_MASK      0x00080000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_VALUE_SHIFT     18
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_VALUE_MASK      0x00040000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_VALUE_SHIFT     17
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_VALUE_MASK      0x00020000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_VALUE_SHIFT     16
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_VALUE_MASK      0x00010000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_ENABLE_SHIFT    15
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_ENABLE_MASK     0x00008000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_ENABLE_SHIFT    14
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_ENABLE_MASK     0x00004000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_ENABLE_SHIFT    13
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_ENABLE_MASK     0x00002000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_ENABLE_SHIFT    12
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_ENABLE_MASK     0x00001000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_VALUE_SHIFT 11
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_VALUE_MASK  0x00000800
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_VALUE_SHIFT 10
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_VALUE_MASK  0x00000400
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_VALUE_SHIFT 9
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_VALUE_MASK  0x00000200
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_VALUE_SHIFT 8
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_VALUE_MASK  0x00000100
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_ENABLE_SHIFT 7
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000080
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_ENABLE_SHIFT 6
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000040
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_ENABLE_SHIFT 5
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000020
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_ENABLE_SHIFT 4
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000010
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CURRENT_VALUE_SHIFT         3
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CURRENT_VALUE_MASK          0x00000008
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CURRENT_VALUE_SHIFT         2
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CURRENT_VALUE_MASK          0x00000004
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CURRENT_VALUE_SHIFT         1
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CURRENT_VALUE_MASK          0x00000002
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CURRENT_VALUE_SHIFT         0
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CURRENT_VALUE_MASK          0x00000001

#define PWRMGR_PI_ARM_CORE_ON_COUNTER_OFFSET                              0x0000402C
#define PWRMGR_PI_ARM_CORE_ON_COUNTER_TYPE                                UInt32
#define PWRMGR_PI_ARM_CORE_ON_COUNTER_RESERVED_MASK                       0x00000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_SHIFT     0
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_MASK      0x3FFFFFFF

#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_OFFSET                         0x00004030
#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_TYPE                           UInt32
#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_RESERVED_MASK                  0x00000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_SHIFT 0
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_MASK 0x3FFFFFFF

#define PWRMGR_PI_MODEM_ON_COUNTER_OFFSET                                 0x00004034
#define PWRMGR_PI_MODEM_ON_COUNTER_TYPE                                   UInt32
#define PWRMGR_PI_MODEM_ON_COUNTER_RESERVED_MASK                          0x00000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_ENABLE_SHIFT    31
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_ENABLE_MASK     0x80000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_OVERFLOW_SHIFT  30
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_OVERFLOW_MASK   0x40000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_SHIFT           0
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_MASK            0x3FFFFFFF

#define PWRMGR_PI_MM_SUB_ON_COUNTER_OFFSET                                0x00004038
#define PWRMGR_PI_MM_SUB_ON_COUNTER_TYPE                                  UInt32
#define PWRMGR_PI_MM_SUB_ON_COUNTER_RESERVED_MASK                         0x00000000
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_ENABLE_SHIFT  31
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_ENABLE_MASK   0x80000000
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_SHIFT         0
#define    PWRMGR_PI_MM_SUB_ON_COUNTER_PI_MM_SUB_ON_COUNTER_MASK          0x3FFFFFFF

#define PWRMGR_PI_MM_SUB2_ON_COUNTER_OFFSET                               0x0000403C
#define PWRMGR_PI_MM_SUB2_ON_COUNTER_TYPE                                 UInt32
#define PWRMGR_PI_MM_SUB2_ON_COUNTER_RESERVED_MASK                        0x00000000
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_SHIFT       0
#define    PWRMGR_PI_MM_SUB2_ON_COUNTER_PI_MM_SUB2_ON_COUNTER_MASK        0x3FFFFFFF

#define PWRMGR_PI_MM_ON_COUNTER_OFFSET                                    0x00004040
#define PWRMGR_PI_MM_ON_COUNTER_TYPE                                      UInt32
#define PWRMGR_PI_MM_ON_COUNTER_RESERVED_MASK                             0x00000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_ENABLE_SHIFT          31
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_ENABLE_MASK           0x80000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_OVERFLOW_SHIFT        30
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_OVERFLOW_MASK         0x40000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_SHIFT                 0
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_MASK                  0x3FFFFFFF

#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_OFFSET                        0x00004044
#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_TYPE                          UInt32
#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_RESERVED_MASK                 0x00000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_SHIFT 0
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_MASK 0x3FFFFFFF

#define PWRMGR_PI_HUB_AON_ON_COUNTER_OFFSET                               0x00004048
#define PWRMGR_PI_HUB_AON_ON_COUNTER_TYPE                                 UInt32
#define PWRMGR_PI_HUB_AON_ON_COUNTER_RESERVED_MASK                        0x00000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_SHIFT       0
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_MASK        0x3FFFFFFF

#define PWRMGR_PI_ESUB_ON_COUNTER_OFFSET                                  0x0000404C
#define PWRMGR_PI_ESUB_ON_COUNTER_TYPE                                    UInt32
#define PWRMGR_PI_ESUB_ON_COUNTER_RESERVED_MASK                           0x00000000
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_ENABLE_SHIFT      31
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_ENABLE_MASK       0x80000000
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_OVERFLOW_SHIFT    30
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_OVERFLOW_MASK     0x40000000
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_SHIFT             0
#define    PWRMGR_PI_ESUB_ON_COUNTER_PI_ESUB_ON_COUNTER_MASK              0x3FFFFFFF

#define PWRMGR_PI_ESUB_SUB_ON_COUNTER_OFFSET                              0x00004050
#define PWRMGR_PI_ESUB_SUB_ON_COUNTER_TYPE                                UInt32
#define PWRMGR_PI_ESUB_SUB_ON_COUNTER_RESERVED_MASK                       0x00000000
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_SHIFT     0
#define    PWRMGR_PI_ESUB_SUB_ON_COUNTER_PI_ESUB_SUB_ON_COUNTER_MASK      0x3FFFFFFF

#define PWRMGR_POWER_MANAGER_I2C_ENABLE_OFFSET                            0x00004100
#define PWRMGR_POWER_MANAGER_I2C_ENABLE_TYPE                              UInt32
#define PWRMGR_POWER_MANAGER_I2C_ENABLE_RESERVED_MASK                     0x0000FFFE
#define    PWRMGR_POWER_MANAGER_I2C_ENABLE_POWER_MANAGER_DEBUG_BUS_SHIFT  16
#define    PWRMGR_POWER_MANAGER_I2C_ENABLE_POWER_MANAGER_DEBUG_BUS_MASK   0xFFFF0000
#define    PWRMGR_POWER_MANAGER_I2C_ENABLE_POWER_MANAGER_I2C_ENABLE_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_ENABLE_POWER_MANAGER_I2C_ENABLE_MASK  0x00000001

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_OFFSET          0x00004104
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND__01_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND__01_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND_DATA__01_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND_DATA__01_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND__01_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND__01_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND_DATA__01_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_01_I2C_COMMAND_DATA__01_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_OFFSET          0x00004108
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND__02_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND__02_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND_DATA__02_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND_DATA__02_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND__02_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND__02_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND_DATA__02_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_02_I2C_COMMAND_DATA__02_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_OFFSET          0x0000410C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND__03_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND__03_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND_DATA__03_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND_DATA__03_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND__03_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND__03_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND_DATA__03_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_03_I2C_COMMAND_DATA__03_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_OFFSET          0x00004110
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND__04_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND__04_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND_DATA__04_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND_DATA__04_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND__04_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND__04_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND_DATA__04_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_04_I2C_COMMAND_DATA__04_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_OFFSET          0x00004114
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND__05_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND__05_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND_DATA__05_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND_DATA__05_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND__05_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND__05_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND_DATA__05_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_05_I2C_COMMAND_DATA__05_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_OFFSET          0x00004118
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND__06_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND__06_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND_DATA__06_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND_DATA__06_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND__06_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND__06_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND_DATA__06_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_06_I2C_COMMAND_DATA__06_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_OFFSET          0x0000411C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND__07_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND__07_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND_DATA__07_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND_DATA__07_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND__07_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND__07_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND_DATA__07_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_07_I2C_COMMAND_DATA__07_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_OFFSET          0x00004120
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND__08_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND__08_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND_DATA__08_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND_DATA__08_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND__08_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND__08_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND_DATA__08_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_08_I2C_COMMAND_DATA__08_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_OFFSET          0x00004124
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND__09_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND__09_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND_DATA__09_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND_DATA__09_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND__09_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND__09_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND_DATA__09_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_09_I2C_COMMAND_DATA__09_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_OFFSET          0x00004128
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND__10_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND__10_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND_DATA__10_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND_DATA__10_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND__10_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND__10_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND_DATA__10_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_10_I2C_COMMAND_DATA__10_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_OFFSET          0x0000412C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND__11_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND__11_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND_DATA__11_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND_DATA__11_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND__11_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND__11_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND_DATA__11_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_11_I2C_COMMAND_DATA__11_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_OFFSET          0x00004130
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND__12_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND__12_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND_DATA__12_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND_DATA__12_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND__12_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND__12_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND_DATA__12_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_12_I2C_COMMAND_DATA__12_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_OFFSET          0x00004134
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND__13_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND__13_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND_DATA__13_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND_DATA__13_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND__13_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND__13_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND_DATA__13_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_13_I2C_COMMAND_DATA__13_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_OFFSET          0x00004138
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND__14_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND__14_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND_DATA__14_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND_DATA__14_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND__14_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND__14_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND_DATA__14_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_14_I2C_COMMAND_DATA__14_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_OFFSET          0x0000413C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND__15_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND__15_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND_DATA__15_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND_DATA__15_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND__15_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND__15_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND_DATA__15_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_15_I2C_COMMAND_DATA__15_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_OFFSET          0x00004140
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND__16_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND__16_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND_DATA__16_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND_DATA__16_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND__16_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND__16_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND_DATA__16_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_16_I2C_COMMAND_DATA__16_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_OFFSET          0x00004144
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND__17_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND__17_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND_DATA__17_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND_DATA__17_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND__17_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND__17_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND_DATA__17_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_17_I2C_COMMAND_DATA__17_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_OFFSET          0x00004148
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND__18_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND__18_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND_DATA__18_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND_DATA__18_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND__18_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND__18_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND_DATA__18_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_18_I2C_COMMAND_DATA__18_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_OFFSET          0x0000414C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND__19_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND__19_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND_DATA__19_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND_DATA__19_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND__19_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND__19_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND_DATA__19_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_19_I2C_COMMAND_DATA__19_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_OFFSET          0x00004150
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND__20_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND__20_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND_DATA__20_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND_DATA__20_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND__20_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND__20_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND_DATA__20_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_20_I2C_COMMAND_DATA__20_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_OFFSET          0x00004154
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND__21_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND__21_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND_DATA__21_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND_DATA__21_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND__21_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND__21_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND_DATA__21_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_21_I2C_COMMAND_DATA__21_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_OFFSET          0x00004158
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND__22_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND__22_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND_DATA__22_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND_DATA__22_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND__22_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND__22_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND_DATA__22_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_22_I2C_COMMAND_DATA__22_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_OFFSET          0x0000415C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND__23_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND__23_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND_DATA__23_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND_DATA__23_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND__23_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND__23_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND_DATA__23_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_23_I2C_COMMAND_DATA__23_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_OFFSET          0x00004160
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND__24_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND__24_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND_DATA__24_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND_DATA__24_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND__24_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND__24_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND_DATA__24_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_24_I2C_COMMAND_DATA__24_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_OFFSET          0x00004164
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND__25_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND__25_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND_DATA__25_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND_DATA__25_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND__25_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND__25_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND_DATA__25_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_25_I2C_COMMAND_DATA__25_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_OFFSET          0x00004168
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND__26_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND__26_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND_DATA__26_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND_DATA__26_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND__26_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND__26_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND_DATA__26_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_26_I2C_COMMAND_DATA__26_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_OFFSET          0x0000416C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND__27_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND__27_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND_DATA__27_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND_DATA__27_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND__27_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND__27_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND_DATA__27_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_27_I2C_COMMAND_DATA__27_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_OFFSET          0x00004170
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND__28_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND__28_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND_DATA__28_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND_DATA__28_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND__28_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND__28_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND_DATA__28_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_28_I2C_COMMAND_DATA__28_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_OFFSET          0x00004174
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND__29_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND__29_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND_DATA__29_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND_DATA__29_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND__29_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND__29_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND_DATA__29_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_29_I2C_COMMAND_DATA__29_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_OFFSET          0x00004178
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND__30_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND__30_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND_DATA__30_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND_DATA__30_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND__30_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND__30_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND_DATA__30_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_30_I2C_COMMAND_DATA__30_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_OFFSET          0x0000417C
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND__31_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND__31_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND_DATA__31_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND_DATA__31_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND__31_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND__31_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND_DATA__31_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_31_I2C_COMMAND_DATA__31_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_OFFSET          0x00004180
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_TYPE            UInt32
#define PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_RESERVED_MASK   0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND__32_1_SHIFT 20
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND__32_1_MASK 0x00F00000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND_DATA__32_1_SHIFT 12
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND_DATA__32_1_MASK 0x000FF000
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND__32_0_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND__32_0_MASK 0x00000F00
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND_DATA__32_0_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_COMMAND_DATA_LOCATION_32_I2C_COMMAND_DATA__32_0_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_OFFSET         0x000041A0
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_00_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_00_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_01_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_01_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_02_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_02_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_03_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_03_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_OFFSET         0x000041A4
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_04_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_04_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_05_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_05_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_06_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_06_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_07_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_07_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_OFFSET         0x000041A8
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_08_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_08_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_09_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_09_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_10_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_10_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_11_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_11_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_OFFSET         0x000041AC
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_12_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_12_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_13_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_13_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_14_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_14_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_15_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_15_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_OFFSET         0x000041B0
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_16_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_16_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_17_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_17_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_18_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_18_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_19_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_19_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_OFFSET         0x000041B4
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_20_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_20_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_21_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_21_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_22_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_22_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_23_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_23_MASK 0x000000FF

#endif /* __BRCM_RDB_PWRMGR_H__ */


