/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 6/28/2011 19:1:22                                             */
/*     RDB file : /projects/BIGISLAND/revA1                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_SRCMIXER_H__
#define __BRCM_RDB_SRCMIXER_H__

#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_OFFSET                            0x00000000
#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_RESERVED_MASK                     0x7F3000E0
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_CLEAR_SHIFT        31
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_CLEAR_MASK         0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_UDF_SHIFT          23
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_UDF_MASK           0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_OVF_SHIFT          22
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_OVF_MASK           0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_EMPTY_COUNT_SHIFT  16
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_EMPTY_COUNT_MASK   0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES2_SHIFT       12
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES2_MASK        0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES1_SHIFT       8
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES1_MASK        0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_FORMAT_SHIFT       4
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_FORMAT_MASK        0x00000010
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_FILTERTYPE_SHIFT  3
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_FILTERTYPE_MASK   0x00000008
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_MODE_SHIFT        0
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_MODE_MASK         0x00000007

#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_OFFSET                            0x00000002
#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_RESERVED_MASK                     0x7F3000EF
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_CLEAR_SHIFT      31
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_CLEAR_MASK       0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_UDF_SHIFT        23
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_UDF_MASK         0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_OVF_SHIFT        22
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_OVF_MASK         0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES2_SHIFT     12
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES2_MASK      0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES1_SHIFT     8
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES1_MASK      0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_FORMAT_SHIFT     4
#define    SRCMIXER_DSP_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_FORMAT_MASK      0x00000010

#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_OFFSET                            0x00000004
#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_RESERVED_MASK                     0x7F3000E0
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_CLEAR_SHIFT        31
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_CLEAR_MASK         0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_UDF_SHIFT          23
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_UDF_MASK           0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_OVF_SHIFT          22
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_OVF_MASK           0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_EMPTY_COUNT_SHIFT  16
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_EMPTY_COUNT_MASK   0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES2_SHIFT       12
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES2_MASK        0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES1_SHIFT       8
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES1_MASK        0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_FORMAT_SHIFT       4
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_FORMAT_MASK        0x00000010
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_FILTERTYPE_SHIFT  3
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_FILTERTYPE_MASK   0x00000008
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_MODE_SHIFT        0
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_MODE_MASK         0x00000007

#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_OFFSET                            0x00000006
#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_RESERVED_MASK                     0x7F3000EF
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_CLEAR_SHIFT      31
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_CLEAR_MASK       0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_UDF_SHIFT        23
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_UDF_MASK         0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_OVF_SHIFT        22
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_OVF_MASK         0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES2_SHIFT     12
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES2_MASK      0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES1_SHIFT     8
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES1_MASK      0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_FORMAT_SHIFT     4
#define    SRCMIXER_DSP_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_FORMAT_MASK      0x00000010

#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_OFFSET                            0x00000008
#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_RESERVED_MASK                     0x7F3000E0
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_CLEAR_SHIFT        31
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_CLEAR_MASK         0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_UDF_SHIFT          23
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_UDF_MASK           0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_OVF_SHIFT          22
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_OVF_MASK           0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_EMPTY_COUNT_SHIFT  16
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_EMPTY_COUNT_MASK   0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES2_SHIFT       12
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES2_MASK        0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES1_SHIFT       8
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES1_MASK        0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_FORMAT_SHIFT       4
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_FORMAT_MASK        0x00000010
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_FILTERTYPE_SHIFT  3
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_FILTERTYPE_MASK   0x00000008
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_MODE_SHIFT        0
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_MODE_MASK         0x00000007

#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_OFFSET                            0x0000000A
#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_RESERVED_MASK                     0x7F3000EF
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_CLEAR_SHIFT      31
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_CLEAR_MASK       0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_UDF_SHIFT        23
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_UDF_MASK         0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_OVF_SHIFT        22
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_OVF_MASK         0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES2_SHIFT     12
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES2_MASK      0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES1_SHIFT     8
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES1_MASK      0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_FORMAT_SHIFT     4
#define    SRCMIXER_DSP_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_FORMAT_MASK      0x00000010

#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_OFFSET                            0x0000000C
#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_RESERVED_MASK                     0x7F3000E0
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_CLEAR_SHIFT        31
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_CLEAR_MASK         0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_UDF_SHIFT          23
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_UDF_MASK           0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_OVF_SHIFT          22
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_OVF_MASK           0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_EMPTY_COUNT_SHIFT  16
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_EMPTY_COUNT_MASK   0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES2_SHIFT       12
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES2_MASK        0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES1_SHIFT       8
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES1_MASK        0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_FORMAT_SHIFT       4
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_FORMAT_MASK        0x00000010
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_FILTERTYPE_SHIFT  3
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_FILTERTYPE_MASK   0x00000008
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_MODE_SHIFT        0
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_MODE_MASK         0x00000007

#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_OFFSET                            0x0000000E
#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_RESERVED_MASK                     0x7F3000EF
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_CLEAR_SHIFT      31
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_CLEAR_MASK       0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_UDF_SHIFT        23
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_UDF_MASK         0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_OVF_SHIFT        22
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_OVF_MASK         0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES2_SHIFT     12
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES2_MASK      0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES1_SHIFT     8
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES1_MASK      0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_FORMAT_SHIFT     4
#define    SRCMIXER_DSP_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_FORMAT_MASK      0x00000010

#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_OFFSET                            0x00000010
#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_RESERVED_MASK                     0x7F3000E3
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_CLEAR_SHIFT        31
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_CLEAR_MASK         0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_UDF_SHIFT          23
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_UDF_MASK           0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_OVF_SHIFT          22
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_OVF_MASK           0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_EMPTY_COUNT_SHIFT  16
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_EMPTY_COUNT_MASK   0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES2_SHIFT       12
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES2_MASK        0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES1_SHIFT       8
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES1_MASK        0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_FORMAT_SHIFT       4
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_FORMAT_MASK        0x00000010
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_LRSWITCH_SHIFT    3
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_LRSWITCH_MASK     0x00000008
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_MODE_SHIFT        2
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_MODE_MASK         0x00000004

#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_OFFSET                            0x00000012
#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TYPE                              UInt32
#define SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_RESERVED_MASK                     0x7F3000EF
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_CLEAR_SHIFT      31
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_CLEAR_MASK       0x80000000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_UDF_SHIFT        23
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_UDF_MASK         0x00800000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_OVF_SHIFT        22
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_OVF_MASK         0x00400000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES2_SHIFT     12
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES2_MASK      0x0000F000
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES1_SHIFT     8
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES1_MASK      0x00000F00
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_FORMAT_SHIFT     4
#define    SRCMIXER_DSP_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_FORMAT_MASK      0x00000010

#define SRCMIXER_DSP_SRC_GLOBAL_CTRL_OFFSET                               0x00000018
#define SRCMIXER_DSP_SRC_GLOBAL_CTRL_TYPE                                 UInt32
#define SRCMIXER_DSP_SRC_GLOBAL_CTRL_RESERVED_MASK                        0xFFFFFFFE
#define    SRCMIXER_DSP_SRC_GLOBAL_CTRL_SRC_GLOBAL_FIFO_CLEAR_SHIFT       0
#define    SRCMIXER_DSP_SRC_GLOBAL_CTRL_SRC_GLOBAL_FIFO_CLEAR_MASK        0x00000001

#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_OFFSET                     0x00000020
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_TYPE                       UInt32
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_RESERVED_MASK              0x7FFFFFC3
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FIFO_CLEAR_SHIFT 31
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FIFO_CLEAR_MASK 0x80000000
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FORMAT_SHIFT 4
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FORMAT_MASK 0x00000030
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_LRSWITCH_SHIFT 3
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_LRSWITCH_MASK 0x00000008
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_ENABLE_SHIFT 2
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_ENABLE_MASK 0x00000004

#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_OFFSET                     0x00000022
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_TYPE                       UInt32
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_RESERVED_MASK              0x7FFFFFC3
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FIFO_CLEAR_SHIFT 31
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FIFO_CLEAR_MASK 0x80000000
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FORMAT_SHIFT 4
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FORMAT_MASK 0x00000030
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_LRSWITCH_SHIFT 3
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_LRSWITCH_MASK 0x00000008
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_ENABLE_SHIFT 2
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_ENABLE_MASK 0x00000004

#define SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_OFFSET                       0x00000080
#define SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_OFFSET                       0x00000082
#define SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_OFFSET                       0x00000084
#define SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_OFFSET                       0x00000086
#define SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_OFFSET                       0x00000088
#define SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_OFFSET                       0x0000008A
#define SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_OFFSET                       0x0000008C
#define SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_OFFSET                       0x0000008E
#define SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_OFFSET                       0x00000090
#define SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_OFFSET                       0x00000092
#define SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_OFFSET                       0x00000098
#define SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_OFFSET                       0x0000009A
#define SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_OFFSET                       0x0000009C
#define SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_OFFSET                       0x0000009E
#define SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_OFFSET                       0x000000A0
#define SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_OFFSET                       0x000000A2
#define SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_OFFSET                       0x000000A4
#define SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_OFFSET                       0x000000A6
#define SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_OFFSET                       0x000000A8
#define SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_OFFSET                       0x000000AA
#define SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_OFFSET                       0x000000B0
#define SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_OFFSET                       0x000000B2
#define SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_OFFSET                       0x000000B4
#define SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_OFFSET                       0x000000B6
#define SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_OFFSET                       0x000000B8
#define SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_OFFSET                       0x000000BA
#define SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_OFFSET                       0x000000BC
#define SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_OFFSET                       0x000000BE
#define SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_OFFSET                       0x000000C0
#define SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_OFFSET                       0x000000C2
#define SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_OFFSET                       0x000000C8
#define SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_OFFSET                       0x000000CA
#define SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_OFFSET                       0x000000CC
#define SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_OFFSET                       0x000000CE
#define SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_OFFSET                       0x000000D0
#define SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_OFFSET                       0x000000D2
#define SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_OFFSET                       0x000000D4
#define SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_OFFSET                       0x000000D6
#define SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_OFFSET                       0x000000D8
#define SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_OFFSET                       0x000000DA
#define SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_TYPE                         UInt32
#define SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_RESERVED_MASK                0x00000000
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_ON_SHIFT    31
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_ON_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_DSP_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_OFFSET                        0x00000100
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_RESERVED_MASK                 0x38600000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_STEREO_SHIFT       31
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_STEREO_MASK        0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_ALDC_EN_SHIFT      30
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_ALDC_EN_MASK       0x40000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_BIT_SELECT_SHIFT   24
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_BIT_SELECT_MASK    0x07000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_EN_SHIFT     23
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_EN_MASK      0x00800000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_SHIFT        0
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_MASK         0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_OFFSET                        0x00000102
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_RESERVED_MASK                 0x7FE0E000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_RESET_SHIFT    31
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_RESET_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_COEFF_SHIFT    16
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_COEFF_MASK     0x001F0000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_FIXED_GAIN_SHIFT   0
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_FIXED_GAIN_MASK    0x00001FFF

#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_OFFSET                        0x00000104
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_RESERVED_MASK                 0x60000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_COMPRESSOR_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_COMPRESSOR_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_STEP_SHIFT  16
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_STEP_MASK   0x1FFF0000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_THRES_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_THRES_MASK  0x0000FFFF

#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_OFFSET                        0x00000106
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_MASK  0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_OFFSET                        0x00000108
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_SHIFT  0
#define    SRCMIXER_DSP_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_MASK   0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_OFFSET                        0x00000110
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_RESERVED_MASK                 0x38600000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_STEREO_SHIFT       31
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_STEREO_MASK        0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_ALDC_EN_SHIFT      30
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_ALDC_EN_MASK       0x40000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_BIT_SELECT_SHIFT   24
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_BIT_SELECT_MASK    0x07000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_EN_SHIFT     23
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_EN_MASK      0x00800000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_SHIFT        0
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_MASK         0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_OFFSET                        0x00000112
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_RESERVED_MASK                 0x7FE0E000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_RESET_SHIFT    31
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_RESET_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_COEFF_SHIFT    16
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_COEFF_MASK     0x001F0000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_FIXED_GAIN_SHIFT   0
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_FIXED_GAIN_MASK    0x00001FFF

#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_OFFSET                        0x00000114
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_RESERVED_MASK                 0x60000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_COMPRESSOR_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_COMPRESSOR_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_STEP_SHIFT  16
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_STEP_MASK   0x1FFF0000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_THRES_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_THRES_MASK  0x0000FFFF

#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_OFFSET                        0x00000116
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_MASK  0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_OFFSET                        0x00000118
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_SHIFT  0
#define    SRCMIXER_DSP_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_MASK   0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_OFFSET                        0x00000120
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_RESERVED_MASK                 0x38600000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_STEREO_SHIFT       31
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_STEREO_MASK        0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_ALDC_EN_SHIFT      30
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_ALDC_EN_MASK       0x40000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_BIT_SELECT_SHIFT   24
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_BIT_SELECT_MASK    0x07000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_EN_SHIFT     23
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_EN_MASK      0x00800000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_SHIFT        0
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_MASK         0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_OFFSET                        0x00000122
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_RESERVED_MASK                 0x7FE0E000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_RESET_SHIFT    31
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_RESET_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_COEFF_SHIFT    16
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_COEFF_MASK     0x001F0000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_FIXED_GAIN_SHIFT   0
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_FIXED_GAIN_MASK    0x00001FFF

#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_OFFSET                        0x00000124
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_RESERVED_MASK                 0x60000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_COMPRESSOR_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_COMPRESSOR_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_STEP_SHIFT  16
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_STEP_MASK   0x1FFF0000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_THRES_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_THRES_MASK  0x0000FFFF

#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_OFFSET                        0x00000126
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_MASK  0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_OFFSET                        0x00000128
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_SHIFT  0
#define    SRCMIXER_DSP_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_MASK   0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_OFFSET                        0x00000130
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_RESERVED_MASK                 0x38600000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_STEREO_SHIFT       31
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_STEREO_MASK        0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_ALDC_EN_SHIFT      30
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_ALDC_EN_MASK       0x40000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_BIT_SELECT_SHIFT   24
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_BIT_SELECT_MASK    0x07000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_EN_SHIFT     23
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_EN_MASK      0x00800000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_SHIFT        0
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_MASK         0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_OFFSET                        0x00000132
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_RESERVED_MASK                 0x7FE0E000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_RESET_SHIFT    31
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_RESET_MASK     0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_COEFF_SHIFT    16
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_COEFF_MASK     0x001F0000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_FIXED_GAIN_SHIFT   0
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_FIXED_GAIN_MASK    0x00001FFF

#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_OFFSET                        0x00000134
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_RESERVED_MASK                 0x60000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_COMPRESSOR_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_COMPRESSOR_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_STEP_SHIFT  16
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_STEP_MASK   0x1FFF0000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_THRES_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_THRES_MASK  0x0000FFFF

#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_OFFSET                        0x00000136
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_SHIFT 0
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_MASK  0x001FFFFF

#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_OFFSET                        0x00000138
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_TYPE                          UInt32
#define SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_RESERVED_MASK                 0x7FE00000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_EN_SHIFT 31
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_EN_MASK 0x80000000
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_SHIFT  0
#define    SRCMIXER_DSP_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_MASK   0x001FFFFF

#define SRCMIXER_DSP_SRC_CHANNEL1_INFIFO_DATA_OFFSET                      0x00000480
#define SRCMIXER_DSP_SRC_CHANNEL1_INFIFO_DATA_TYPE                        UInt32
#define SRCMIXER_DSP_SRC_CHANNEL1_INFIFO_DATA_RESERVED_MASK               0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL1_INFIFO_DATA_SRC_CHANNEL1_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL1_INFIFO_DATA_SRC_CHANNEL1_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL2_INFIFO_DATA_OFFSET                      0x00000488
#define SRCMIXER_DSP_SRC_CHANNEL2_INFIFO_DATA_TYPE                        UInt32
#define SRCMIXER_DSP_SRC_CHANNEL2_INFIFO_DATA_RESERVED_MASK               0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL2_INFIFO_DATA_SRC_CHANNEL2_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL2_INFIFO_DATA_SRC_CHANNEL2_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL3_INFIFO_DATA_OFFSET                      0x00000490
#define SRCMIXER_DSP_SRC_CHANNEL3_INFIFO_DATA_TYPE                        UInt32
#define SRCMIXER_DSP_SRC_CHANNEL3_INFIFO_DATA_RESERVED_MASK               0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL3_INFIFO_DATA_SRC_CHANNEL3_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL3_INFIFO_DATA_SRC_CHANNEL3_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL4_INFIFO_DATA_OFFSET                      0x00000498
#define SRCMIXER_DSP_SRC_CHANNEL4_INFIFO_DATA_TYPE                        UInt32
#define SRCMIXER_DSP_SRC_CHANNEL4_INFIFO_DATA_RESERVED_MASK               0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL4_INFIFO_DATA_SRC_CHANNEL4_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL4_INFIFO_DATA_SRC_CHANNEL4_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL1_OUTFIFO_DATA_OFFSET                     0x000004C0
#define SRCMIXER_DSP_SRC_CHANNEL1_OUTFIFO_DATA_TYPE                       UInt32
#define SRCMIXER_DSP_SRC_CHANNEL1_OUTFIFO_DATA_RESERVED_MASK              0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL1_OUTFIFO_DATA_SRC_CHANNEL1_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL1_OUTFIFO_DATA_SRC_CHANNEL1_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL2_OUTFIFO_DATA_OFFSET                     0x000004C8
#define SRCMIXER_DSP_SRC_CHANNEL2_OUTFIFO_DATA_TYPE                       UInt32
#define SRCMIXER_DSP_SRC_CHANNEL2_OUTFIFO_DATA_RESERVED_MASK              0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL2_OUTFIFO_DATA_SRC_CHANNEL2_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL2_OUTFIFO_DATA_SRC_CHANNEL2_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL3_OUTFIFO_DATA_OFFSET                     0x000004D0
#define SRCMIXER_DSP_SRC_CHANNEL3_OUTFIFO_DATA_TYPE                       UInt32
#define SRCMIXER_DSP_SRC_CHANNEL3_OUTFIFO_DATA_RESERVED_MASK              0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL3_OUTFIFO_DATA_SRC_CHANNEL3_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL3_OUTFIFO_DATA_SRC_CHANNEL3_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL4_OUTFIFO_DATA_OFFSET                     0x000004D8
#define SRCMIXER_DSP_SRC_CHANNEL4_OUTFIFO_DATA_TYPE                       UInt32
#define SRCMIXER_DSP_SRC_CHANNEL4_OUTFIFO_DATA_RESERVED_MASK              0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL4_OUTFIFO_DATA_SRC_CHANNEL4_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL4_OUTFIFO_DATA_SRC_CHANNEL4_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL5_INFIFO_DATA0_OFFSET                     0x00000500
#define SRCMIXER_DSP_SRC_CHANNEL5_INFIFO_DATA0_TYPE                       UInt32
#define SRCMIXER_DSP_SRC_CHANNEL5_INFIFO_DATA0_RESERVED_MASK              0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL5_INFIFO_DATA0_SRC_CHANNEL5_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL5_INFIFO_DATA0_SRC_CHANNEL5_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_SRC_CHANNEL5_OUTFIFO_DATA0_OFFSET                    0x00000508
#define SRCMIXER_DSP_SRC_CHANNEL5_OUTFIFO_DATA0_TYPE                      UInt32
#define SRCMIXER_DSP_SRC_CHANNEL5_OUTFIFO_DATA0_RESERVED_MASK             0x00000000
#define    SRCMIXER_DSP_SRC_CHANNEL5_OUTFIFO_DATA0_SRC_CHANNEL5_OUTFIFO_DATA0_SHIFT 0
#define    SRCMIXER_DSP_SRC_CHANNEL5_OUTFIFO_DATA0_SRC_CHANNEL5_OUTFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_OFFSET             0x00000580
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_TYPE               UInt32
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_RESERVED_MASK      0x00000000
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_OFFSET             0x00000588
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_TYPE               UInt32
#define SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_RESERVED_MASK      0x00000000
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_DSP_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_OFFSET                           0x00000600
#define SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_TYPE                             UInt32
#define SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_RESERVED_MASK                    0x7F3000EF
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_CLEAR_SHIFT    31
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_CLEAR_MASK     0x80000000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_UDF_SHIFT      23
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_UDF_MASK       0x00800000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_OVF_SHIFT      22
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_OVF_MASK       0x00400000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES2_SHIFT   12
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES2_MASK    0x0000F000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES1_SHIFT   8
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES1_MASK    0x00000F00
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_FORMAT_SHIFT   4
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_FORMAT_MASK    0x00000010

#define SRCMIXER_DSP_MIXER1_OUTFIFO_DATA0_OFFSET                          0x00000604
#define SRCMIXER_DSP_MIXER1_OUTFIFO_DATA0_TYPE                            UInt32
#define SRCMIXER_DSP_MIXER1_OUTFIFO_DATA0_RESERVED_MASK                   0x00000000
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_DATA0_MIXER1_OUTFIFO_DATA0_SHIFT   0
#define    SRCMIXER_DSP_MIXER1_OUTFIFO_DATA0_MIXER1_OUTFIFO_DATA0_MASK    0xFFFFFFFF

#define SRCMIXER_DSP_MIXER2_OUTFIFO1_DATA_OFFSET                          0x00000610
#define SRCMIXER_DSP_MIXER2_OUTFIFO1_DATA_TYPE                            UInt32
#define SRCMIXER_DSP_MIXER2_OUTFIFO1_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_DATA_MIXER2_OUTFIFO1_DATA_SHIFT   0
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_DATA_MIXER2_OUTFIFO1_DATA_MASK    0xFFFFFFFF

#define SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_OFFSET                          0x00000612
#define SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_TYPE                            UInt32
#define SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_RESERVED_MASK                   0x7F3000EF
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_CLEAR_SHIFT  31
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_CLEAR_MASK   0x80000000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_UDF_SHIFT    23
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_UDF_MASK     0x00800000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_OVF_SHIFT    22
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_OVF_MASK     0x00400000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES2_SHIFT 12
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES2_MASK  0x0000F000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES1_SHIFT 8
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES1_MASK  0x00000F00
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_FORMAT_SHIFT 4
#define    SRCMIXER_DSP_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_FORMAT_MASK  0x00000010

#define SRCMIXER_DSP_MIXER2_OUTFIFO2_DATA_OFFSET                          0x00000618
#define SRCMIXER_DSP_MIXER2_OUTFIFO2_DATA_TYPE                            UInt32
#define SRCMIXER_DSP_MIXER2_OUTFIFO2_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_DATA_MIXER2_OUTFIFO2_DATA_SHIFT   0
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_DATA_MIXER2_OUTFIFO2_DATA_MASK    0xFFFFFFFF

#define SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_OFFSET                          0x0000061A
#define SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_TYPE                            UInt32
#define SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_RESERVED_MASK                   0x7F3000EF
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_CLEAR_SHIFT  31
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_CLEAR_MASK   0x80000000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_UDF_SHIFT    23
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_UDF_MASK     0x00800000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_OVF_SHIFT    22
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_OVF_MASK     0x00400000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES2_SHIFT 12
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES2_MASK  0x0000F000
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES1_SHIFT 8
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES1_MASK  0x00000F00
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_FORMAT_SHIFT 4
#define    SRCMIXER_DSP_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_FORMAT_MASK  0x00000010

#define SRCMIXER_SRC_CHANNEL1_CTRL1_OFFSET                                0x00000000
#define SRCMIXER_SRC_CHANNEL1_CTRL1_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL1_CTRL1_RESERVED_MASK                         0x7F3000E0
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_CLEAR_SHIFT            31
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_CLEAR_MASK             0x80000000
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_UDF_SHIFT              23
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_UDF_MASK               0x00800000
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_OVF_SHIFT              22
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_OVF_MASK               0x00400000
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_EMPTY_COUNT_SHIFT      16
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_EMPTY_COUNT_MASK       0x000F0000
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES2_SHIFT           12
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES2_MASK            0x0000F000
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES1_SHIFT           8
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_THRES1_MASK            0x00000F00
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_FORMAT_SHIFT           4
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_TAPSUPFIFO1_FORMAT_MASK            0x00000010
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_FILTERTYPE_SHIFT      3
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_FILTERTYPE_MASK       0x00000008
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_MODE_SHIFT            0
#define    SRCMIXER_SRC_CHANNEL1_CTRL1_SRC_CHANNEL1_MODE_MASK             0x00000007

#define SRCMIXER_SRC_CHANNEL1_CTRL2_OFFSET                                0x00000004
#define SRCMIXER_SRC_CHANNEL1_CTRL2_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL1_CTRL2_RESERVED_MASK                         0x7F3000EF
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_CLEAR_SHIFT          31
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_CLEAR_MASK           0x80000000
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_UDF_SHIFT            23
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_UDF_MASK             0x00800000
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_OVF_SHIFT            22
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_OVF_MASK             0x00400000
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_ENTRY_COUNT_SHIFT    16
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_ENTRY_COUNT_MASK     0x000F0000
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES2_SHIFT         12
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES2_MASK          0x0000F000
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES1_SHIFT         8
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_THRES1_MASK          0x00000F00
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_FORMAT_SHIFT         4
#define    SRCMIXER_SRC_CHANNEL1_CTRL2_TAPSDOWNFIFO1_FORMAT_MASK          0x00000010

#define SRCMIXER_SRC_CHANNEL2_CTRL1_OFFSET                                0x00000008
#define SRCMIXER_SRC_CHANNEL2_CTRL1_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL2_CTRL1_RESERVED_MASK                         0x7F3000E0
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_CLEAR_SHIFT            31
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_CLEAR_MASK             0x80000000
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_UDF_SHIFT              23
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_UDF_MASK               0x00800000
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_OVF_SHIFT              22
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_OVF_MASK               0x00400000
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_EMPTY_COUNT_SHIFT      16
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_EMPTY_COUNT_MASK       0x000F0000
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES2_SHIFT           12
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES2_MASK            0x0000F000
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES1_SHIFT           8
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_THRES1_MASK            0x00000F00
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_FORMAT_SHIFT           4
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_TAPSUPFIFO2_FORMAT_MASK            0x00000010
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_FILTERTYPE_SHIFT      3
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_FILTERTYPE_MASK       0x00000008
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_MODE_SHIFT            0
#define    SRCMIXER_SRC_CHANNEL2_CTRL1_SRC_CHANNEL2_MODE_MASK             0x00000007

#define SRCMIXER_SRC_CHANNEL2_CTRL2_OFFSET                                0x0000000C
#define SRCMIXER_SRC_CHANNEL2_CTRL2_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL2_CTRL2_RESERVED_MASK                         0x7F3000EF
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_CLEAR_SHIFT          31
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_CLEAR_MASK           0x80000000
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_UDF_SHIFT            23
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_UDF_MASK             0x00800000
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_OVF_SHIFT            22
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_OVF_MASK             0x00400000
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_ENTRY_COUNT_SHIFT    16
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_ENTRY_COUNT_MASK     0x000F0000
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES2_SHIFT         12
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES2_MASK          0x0000F000
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES1_SHIFT         8
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_THRES1_MASK          0x00000F00
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_FORMAT_SHIFT         4
#define    SRCMIXER_SRC_CHANNEL2_CTRL2_TAPSDOWNFIFO2_FORMAT_MASK          0x00000010

#define SRCMIXER_SRC_CHANNEL3_CTRL1_OFFSET                                0x00000010
#define SRCMIXER_SRC_CHANNEL3_CTRL1_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL3_CTRL1_RESERVED_MASK                         0x7F3000E0
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_CLEAR_SHIFT            31
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_CLEAR_MASK             0x80000000
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_UDF_SHIFT              23
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_UDF_MASK               0x00800000
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_OVF_SHIFT              22
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_OVF_MASK               0x00400000
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_EMPTY_COUNT_SHIFT      16
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_EMPTY_COUNT_MASK       0x000F0000
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES2_SHIFT           12
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES2_MASK            0x0000F000
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES1_SHIFT           8
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_THRES1_MASK            0x00000F00
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_FORMAT_SHIFT           4
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_TAPSUPFIFO3_FORMAT_MASK            0x00000010
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_FILTERTYPE_SHIFT      3
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_FILTERTYPE_MASK       0x00000008
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_MODE_SHIFT            0
#define    SRCMIXER_SRC_CHANNEL3_CTRL1_SRC_CHANNEL3_MODE_MASK             0x00000007

#define SRCMIXER_SRC_CHANNEL3_CTRL2_OFFSET                                0x00000014
#define SRCMIXER_SRC_CHANNEL3_CTRL2_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL3_CTRL2_RESERVED_MASK                         0x7F3000EF
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_CLEAR_SHIFT          31
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_CLEAR_MASK           0x80000000
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_UDF_SHIFT            23
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_UDF_MASK             0x00800000
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_OVF_SHIFT            22
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_OVF_MASK             0x00400000
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_ENTRY_COUNT_SHIFT    16
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_ENTRY_COUNT_MASK     0x000F0000
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES2_SHIFT         12
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES2_MASK          0x0000F000
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES1_SHIFT         8
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_THRES1_MASK          0x00000F00
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_FORMAT_SHIFT         4
#define    SRCMIXER_SRC_CHANNEL3_CTRL2_TAPSDOWNFIFO3_FORMAT_MASK          0x00000010

#define SRCMIXER_SRC_CHANNEL4_CTRL1_OFFSET                                0x00000018
#define SRCMIXER_SRC_CHANNEL4_CTRL1_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL4_CTRL1_RESERVED_MASK                         0x7F3000E0
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_CLEAR_SHIFT            31
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_CLEAR_MASK             0x80000000
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_UDF_SHIFT              23
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_UDF_MASK               0x00800000
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_OVF_SHIFT              22
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_OVF_MASK               0x00400000
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_EMPTY_COUNT_SHIFT      16
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_EMPTY_COUNT_MASK       0x000F0000
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES2_SHIFT           12
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES2_MASK            0x0000F000
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES1_SHIFT           8
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_THRES1_MASK            0x00000F00
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_FORMAT_SHIFT           4
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_TAPSUPFIFO4_FORMAT_MASK            0x00000010
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_FILTERTYPE_SHIFT      3
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_FILTERTYPE_MASK       0x00000008
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_MODE_SHIFT            0
#define    SRCMIXER_SRC_CHANNEL4_CTRL1_SRC_CHANNEL4_MODE_MASK             0x00000007

#define SRCMIXER_SRC_CHANNEL4_CTRL2_OFFSET                                0x0000001C
#define SRCMIXER_SRC_CHANNEL4_CTRL2_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL4_CTRL2_RESERVED_MASK                         0x7F3000EF
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_CLEAR_SHIFT          31
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_CLEAR_MASK           0x80000000
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_UDF_SHIFT            23
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_UDF_MASK             0x00800000
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_OVF_SHIFT            22
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_OVF_MASK             0x00400000
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_ENTRY_COUNT_SHIFT    16
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_ENTRY_COUNT_MASK     0x000F0000
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES2_SHIFT         12
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES2_MASK          0x0000F000
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES1_SHIFT         8
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_THRES1_MASK          0x00000F00
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_FORMAT_SHIFT         4
#define    SRCMIXER_SRC_CHANNEL4_CTRL2_TAPSDOWNFIFO4_FORMAT_MASK          0x00000010

#define SRCMIXER_SRC_CHANNEL5_CTRL1_OFFSET                                0x00000020
#define SRCMIXER_SRC_CHANNEL5_CTRL1_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL5_CTRL1_RESERVED_MASK                         0x7F3000E3
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_CLEAR_SHIFT            31
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_CLEAR_MASK             0x80000000
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_UDF_SHIFT              23
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_UDF_MASK               0x00800000
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_OVF_SHIFT              22
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_OVF_MASK               0x00400000
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_EMPTY_COUNT_SHIFT      16
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_EMPTY_COUNT_MASK       0x000F0000
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES2_SHIFT           12
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES2_MASK            0x0000F000
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES1_SHIFT           8
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_THRES1_MASK            0x00000F00
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_FORMAT_SHIFT           4
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_TAPSUPFIFO5_FORMAT_MASK            0x00000010
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_LRSWITCH_SHIFT        3
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_LRSWITCH_MASK         0x00000008
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_MODE_SHIFT            2
#define    SRCMIXER_SRC_CHANNEL5_CTRL1_SRC_CHANNEL5_MODE_MASK             0x00000004

#define SRCMIXER_SRC_CHANNEL5_CTRL2_OFFSET                                0x00000024
#define SRCMIXER_SRC_CHANNEL5_CTRL2_TYPE                                  UInt32
#define SRCMIXER_SRC_CHANNEL5_CTRL2_RESERVED_MASK                         0x7F3000EF
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_CLEAR_SHIFT          31
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_CLEAR_MASK           0x80000000
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_UDF_SHIFT            23
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_UDF_MASK             0x00800000
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_OVF_SHIFT            22
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_OVF_MASK             0x00400000
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_ENTRY_COUNT_SHIFT    16
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_ENTRY_COUNT_MASK     0x000F0000
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES2_SHIFT         12
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES2_MASK          0x0000F000
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES1_SHIFT         8
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_THRES1_MASK          0x00000F00
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_FORMAT_SHIFT         4
#define    SRCMIXER_SRC_CHANNEL5_CTRL2_TAPSDOWNFIFO5_FORMAT_MASK          0x00000010

#define SRCMIXER_SRC_GLOBAL_CTRL_OFFSET                                   0x00000030
#define SRCMIXER_SRC_GLOBAL_CTRL_TYPE                                     UInt32
#define SRCMIXER_SRC_GLOBAL_CTRL_RESERVED_MASK                            0xFFFFFFFE
#define    SRCMIXER_SRC_GLOBAL_CTRL_SRC_GLOBAL_FIFO_CLEAR_SHIFT           0
#define    SRCMIXER_SRC_GLOBAL_CTRL_SRC_GLOBAL_FIFO_CLEAR_MASK            0x00000001

#define SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_OFFSET                         0x00000040
#define SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_TYPE                           UInt32
#define SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_RESERVED_MASK                  0x7FFFFFC3
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FIFO_CLEAR_SHIFT 31
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FIFO_CLEAR_MASK 0x80000000
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FORMAT_SHIFT 4
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_FORMAT_MASK 0x00000030
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_LRSWITCH_SHIFT 3
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_LRSWITCH_MASK 0x00000008
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_ENABLE_SHIFT 2
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_CTRL_PASSTHROUGH_CHANNEL1_ENABLE_MASK 0x00000004

#define SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_OFFSET                         0x00000044
#define SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_TYPE                           UInt32
#define SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_RESERVED_MASK                  0x7FFFFFC3
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FIFO_CLEAR_SHIFT 31
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FIFO_CLEAR_MASK 0x80000000
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FORMAT_SHIFT 4
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_FORMAT_MASK 0x00000030
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_LRSWITCH_SHIFT 3
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_LRSWITCH_MASK 0x00000008
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_ENABLE_SHIFT 2
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_CTRL_PASSTHROUGH_CHANNEL2_ENABLE_MASK 0x00000004

#define SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_OFFSET                           0x00000100
#define SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH1M_GAIN_CTRL_SRC_M1D0_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_OFFSET                           0x00000104
#define SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH2M_GAIN_CTRL_SRC_M1D0_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_OFFSET                           0x00000108
#define SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH3M_GAIN_CTRL_SRC_M1D0_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_OFFSET                           0x0000010C
#define SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH4M_GAIN_CTRL_SRC_M1D0_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_OFFSET                           0x00000110
#define SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH5L_GAIN_CTRL_SRC_M1D0_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_OFFSET                           0x00000114
#define SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH5R_GAIN_CTRL_SRC_M1D0_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_OFFSET                           0x00000118
#define SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH6L_GAIN_CTRL_SRC_M1D0_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_OFFSET                           0x0000011C
#define SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH6R_GAIN_CTRL_SRC_M1D0_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_OFFSET                           0x00000120
#define SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH7L_GAIN_CTRL_SRC_M1D0_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_OFFSET                           0x00000124
#define SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D0_CH7R_GAIN_CTRL_SRC_M1D0_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_OFFSET                           0x00000130
#define SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH1M_GAIN_CTRL_SRC_M1D1_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_OFFSET                           0x00000134
#define SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH2M_GAIN_CTRL_SRC_M1D1_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_OFFSET                           0x00000138
#define SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH3M_GAIN_CTRL_SRC_M1D1_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_OFFSET                           0x0000013C
#define SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH4M_GAIN_CTRL_SRC_M1D1_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_OFFSET                           0x00000140
#define SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH5L_GAIN_CTRL_SRC_M1D1_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_OFFSET                           0x00000144
#define SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH5R_GAIN_CTRL_SRC_M1D1_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_OFFSET                           0x00000148
#define SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH6L_GAIN_CTRL_SRC_M1D1_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_OFFSET                           0x0000014C
#define SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH6R_GAIN_CTRL_SRC_M1D1_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_OFFSET                           0x00000150
#define SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH7L_GAIN_CTRL_SRC_M1D1_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_OFFSET                           0x00000154
#define SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_ON_SHIFT        31
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M1D1_CH7R_GAIN_CTRL_SRC_M1D1_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_OFFSET                           0x00000160
#define SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH1M_GAIN_CTRL_SRC_M2D0_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_OFFSET                           0x00000164
#define SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH2M_GAIN_CTRL_SRC_M2D0_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_OFFSET                           0x00000168
#define SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH3M_GAIN_CTRL_SRC_M2D0_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_OFFSET                           0x0000016C
#define SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH4M_GAIN_CTRL_SRC_M2D0_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_OFFSET                           0x00000170
#define SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH5L_GAIN_CTRL_SRC_M2D0_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_OFFSET                           0x00000174
#define SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH5R_GAIN_CTRL_SRC_M2D0_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_OFFSET                           0x00000178
#define SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH6L_GAIN_CTRL_SRC_M2D0_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_OFFSET                           0x0000017C
#define SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH6R_GAIN_CTRL_SRC_M2D0_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_OFFSET                           0x00000180
#define SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH7L_GAIN_CTRL_SRC_M2D0_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_OFFSET                           0x00000184
#define SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D0_CH7R_GAIN_CTRL_SRC_M2D0_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_OFFSET                           0x00000190
#define SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH1M_GAIN_CTRL_SRC_M2D1_CH1M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_OFFSET                           0x00000194
#define SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH2M_GAIN_CTRL_SRC_M2D1_CH2M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_OFFSET                           0x00000198
#define SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH3M_GAIN_CTRL_SRC_M2D1_CH3M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_OFFSET                           0x0000019C
#define SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH4M_GAIN_CTRL_SRC_M2D1_CH4M_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_OFFSET                           0x000001A0
#define SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH5L_GAIN_CTRL_SRC_M2D1_CH5L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_OFFSET                           0x000001A4
#define SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH5R_GAIN_CTRL_SRC_M2D1_CH5R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_OFFSET                           0x000001A8
#define SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH6L_GAIN_CTRL_SRC_M2D1_CH6L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_OFFSET                           0x000001AC
#define SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH6R_GAIN_CTRL_SRC_M2D1_CH6R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_OFFSET                           0x000001B0
#define SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH7L_GAIN_CTRL_SRC_M2D1_CH7L_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_OFFSET                           0x000001B4
#define SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_TYPE                             UInt32
#define SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_RESERVED_MASK                    0x00000000
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_ON_SHIFT        31
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_ON_MASK         0x80000000
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_GAIN_RAMPSTEP_SHIFT 16
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_GAIN_RAMPSTEP_MASK 0x7FFF0000
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_TARGET_GAIN_SHIFT 0
#define    SRCMIXER_SRC_M2D1_CH7R_GAIN_CTRL_SRC_M2D1_CH7R_TARGET_GAIN_MASK 0x0000FFFF

#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_OFFSET                            0x00000200
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_RESERVED_MASK                     0x38600000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_STEREO_SHIFT           31
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_STEREO_MASK            0x80000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_ALDC_EN_SHIFT          30
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_ALDC_EN_MASK           0x40000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_BIT_SELECT_SHIFT       24
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_BIT_SELECT_MASK        0x07000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_EN_SHIFT         23
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_EN_MASK          0x00800000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_SHIFT            0
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL1_SPK0_LT_SLOPE_MASK             0x001FFFFF

#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_OFFSET                            0x00000204
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_RESERVED_MASK                     0x7FE0E000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_RESET_SHIFT        31
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_RESET_MASK         0x80000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_COEFF_SHIFT        16
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_IIR_COEFF_MASK         0x001F0000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_FIXED_GAIN_SHIFT       0
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL2_SPK0_LT_FIXED_GAIN_MASK        0x00001FFF

#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_OFFSET                            0x00000208
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_RESERVED_MASK                     0x60000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_COMPRESSOR_EN_SHIFT    31
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_COMPRESSOR_EN_MASK     0x80000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_STEP_SHIFT      16
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_STEP_MASK       0x1FFF0000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_THRES_SHIFT     0
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL3_SPK0_LT_ATTACK_THRES_MASK      0x0000FFFF

#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_OFFSET                            0x0000020C
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_EN_SHIFT  31
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_EN_MASK   0x80000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_SHIFT     0
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL4_SPK0_LT_ATTACK_SLOPE_MASK      0x001FFFFF

#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_OFFSET                            0x00000210
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_EN_SHIFT   31
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_EN_MASK    0x80000000
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_SHIFT      0
#define    SRCMIXER_SRC_SPK0_LT_GAIN_CTRL5_SPK0_LT_DECAY_SLOPE_MASK       0x001FFFFF

#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_OFFSET                            0x00000220
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_RESERVED_MASK                     0x38600000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_STEREO_SHIFT           31
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_STEREO_MASK            0x80000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_ALDC_EN_SHIFT          30
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_ALDC_EN_MASK           0x40000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_BIT_SELECT_SHIFT       24
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_BIT_SELECT_MASK        0x07000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_EN_SHIFT         23
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_EN_MASK          0x00800000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_SHIFT            0
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL1_SPK0_RT_SLOPE_MASK             0x001FFFFF

#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_OFFSET                            0x00000224
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_RESERVED_MASK                     0x7FE0E000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_RESET_SHIFT        31
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_RESET_MASK         0x80000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_COEFF_SHIFT        16
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_IIR_COEFF_MASK         0x001F0000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_FIXED_GAIN_SHIFT       0
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL2_SPK0_RT_FIXED_GAIN_MASK        0x00001FFF

#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_OFFSET                            0x00000228
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_RESERVED_MASK                     0x60000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_COMPRESSOR_EN_SHIFT    31
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_COMPRESSOR_EN_MASK     0x80000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_STEP_SHIFT      16
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_STEP_MASK       0x1FFF0000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_THRES_SHIFT     0
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL3_SPK0_RT_ATTACK_THRES_MASK      0x0000FFFF

#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_OFFSET                            0x0000022C
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_EN_SHIFT  31
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_EN_MASK   0x80000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_SHIFT     0
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL4_SPK0_RT_ATTACK_SLOPE_MASK      0x001FFFFF

#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_OFFSET                            0x00000230
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_TYPE                              UInt32
#define SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_EN_SHIFT   31
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_EN_MASK    0x80000000
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_SHIFT      0
#define    SRCMIXER_SRC_SPK0_RT_GAIN_CTRL5_SPK0_RT_DECAY_SLOPE_MASK       0x001FFFFF

#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_OFFSET                            0x00000240
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_RESERVED_MASK                     0x38600000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_STEREO_SHIFT           31
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_STEREO_MASK            0x80000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_ALDC_EN_SHIFT          30
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_ALDC_EN_MASK           0x40000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_BIT_SELECT_SHIFT       24
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_BIT_SELECT_MASK        0x07000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_EN_SHIFT         23
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_EN_MASK          0x00800000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_SHIFT            0
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL1_SPK1_LT_SLOPE_MASK             0x001FFFFF

#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_OFFSET                            0x00000244
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_RESERVED_MASK                     0x7FE0E000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_RESET_SHIFT        31
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_RESET_MASK         0x80000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_COEFF_SHIFT        16
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_IIR_COEFF_MASK         0x001F0000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_FIXED_GAIN_SHIFT       0
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL2_SPK1_LT_FIXED_GAIN_MASK        0x00001FFF

#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_OFFSET                            0x00000248
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_RESERVED_MASK                     0x60000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_COMPRESSOR_EN_SHIFT    31
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_COMPRESSOR_EN_MASK     0x80000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_STEP_SHIFT      16
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_STEP_MASK       0x1FFF0000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_THRES_SHIFT     0
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL3_SPK1_LT_ATTACK_THRES_MASK      0x0000FFFF

#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_OFFSET                            0x0000024C
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_EN_SHIFT  31
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_EN_MASK   0x80000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_SHIFT     0
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL4_SPK1_LT_ATTACK_SLOPE_MASK      0x001FFFFF

#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_OFFSET                            0x00000250
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_EN_SHIFT   31
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_EN_MASK    0x80000000
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_SHIFT      0
#define    SRCMIXER_SRC_SPK1_LT_GAIN_CTRL5_SPK1_LT_DECAY_SLOPE_MASK       0x001FFFFF

#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_OFFSET                            0x00000260
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_RESERVED_MASK                     0x38600000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_STEREO_SHIFT           31
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_STEREO_MASK            0x80000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_ALDC_EN_SHIFT          30
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_ALDC_EN_MASK           0x40000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_BIT_SELECT_SHIFT       24
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_BIT_SELECT_MASK        0x07000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_EN_SHIFT         23
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_EN_MASK          0x00800000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_SHIFT            0
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL1_SPK1_RT_SLOPE_MASK             0x001FFFFF

#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_OFFSET                            0x00000264
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_RESERVED_MASK                     0x7FE0E000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_RESET_SHIFT        31
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_RESET_MASK         0x80000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_COEFF_SHIFT        16
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_IIR_COEFF_MASK         0x001F0000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_FIXED_GAIN_SHIFT       0
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL2_SPK1_RT_FIXED_GAIN_MASK        0x00001FFF

#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_OFFSET                            0x00000268
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_RESERVED_MASK                     0x60000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_COMPRESSOR_EN_SHIFT    31
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_COMPRESSOR_EN_MASK     0x80000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_STEP_SHIFT      16
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_STEP_MASK       0x1FFF0000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_THRES_SHIFT     0
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL3_SPK1_RT_ATTACK_THRES_MASK      0x0000FFFF

#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_OFFSET                            0x0000026C
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_EN_SHIFT  31
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_EN_MASK   0x80000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_SHIFT     0
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL4_SPK1_RT_ATTACK_SLOPE_MASK      0x001FFFFF

#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_OFFSET                            0x00000270
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_TYPE                              UInt32
#define SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_RESERVED_MASK                     0x7FE00000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_EN_SHIFT   31
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_EN_MASK    0x80000000
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_SHIFT      0
#define    SRCMIXER_SRC_SPK1_RT_GAIN_CTRL5_SPK1_RT_DECAY_SLOPE_MASK       0x001FFFFF

#define SRCMIXER_SRC_CHANNEL1_INFIFO_DATA_OFFSET                          0x00000900
#define SRCMIXER_SRC_CHANNEL1_INFIFO_DATA_TYPE                            UInt32
#define SRCMIXER_SRC_CHANNEL1_INFIFO_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_SRC_CHANNEL1_INFIFO_DATA_SRC_CHANNEL1_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL1_INFIFO_DATA_SRC_CHANNEL1_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL2_INFIFO_DATA_OFFSET                          0x00000910
#define SRCMIXER_SRC_CHANNEL2_INFIFO_DATA_TYPE                            UInt32
#define SRCMIXER_SRC_CHANNEL2_INFIFO_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_SRC_CHANNEL2_INFIFO_DATA_SRC_CHANNEL2_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL2_INFIFO_DATA_SRC_CHANNEL2_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL3_INFIFO_DATA_OFFSET                          0x00000920
#define SRCMIXER_SRC_CHANNEL3_INFIFO_DATA_TYPE                            UInt32
#define SRCMIXER_SRC_CHANNEL3_INFIFO_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_SRC_CHANNEL3_INFIFO_DATA_SRC_CHANNEL3_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL3_INFIFO_DATA_SRC_CHANNEL3_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL4_INFIFO_DATA_OFFSET                          0x00000930
#define SRCMIXER_SRC_CHANNEL4_INFIFO_DATA_TYPE                            UInt32
#define SRCMIXER_SRC_CHANNEL4_INFIFO_DATA_RESERVED_MASK                   0x00000000
#define    SRCMIXER_SRC_CHANNEL4_INFIFO_DATA_SRC_CHANNEL4_INFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL4_INFIFO_DATA_SRC_CHANNEL4_INFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL1_OUTFIFO_DATA_OFFSET                         0x00000980
#define SRCMIXER_SRC_CHANNEL1_OUTFIFO_DATA_TYPE                           UInt32
#define SRCMIXER_SRC_CHANNEL1_OUTFIFO_DATA_RESERVED_MASK                  0x00000000
#define    SRCMIXER_SRC_CHANNEL1_OUTFIFO_DATA_SRC_CHANNEL1_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL1_OUTFIFO_DATA_SRC_CHANNEL1_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL2_OUTFIFO_DATA_OFFSET                         0x00000990
#define SRCMIXER_SRC_CHANNEL2_OUTFIFO_DATA_TYPE                           UInt32
#define SRCMIXER_SRC_CHANNEL2_OUTFIFO_DATA_RESERVED_MASK                  0x00000000
#define    SRCMIXER_SRC_CHANNEL2_OUTFIFO_DATA_SRC_CHANNEL2_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL2_OUTFIFO_DATA_SRC_CHANNEL2_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL3_OUTFIFO_DATA_OFFSET                         0x000009A0
#define SRCMIXER_SRC_CHANNEL3_OUTFIFO_DATA_TYPE                           UInt32
#define SRCMIXER_SRC_CHANNEL3_OUTFIFO_DATA_RESERVED_MASK                  0x00000000
#define    SRCMIXER_SRC_CHANNEL3_OUTFIFO_DATA_SRC_CHANNEL3_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL3_OUTFIFO_DATA_SRC_CHANNEL3_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL4_OUTFIFO_DATA_OFFSET                         0x000009B0
#define SRCMIXER_SRC_CHANNEL4_OUTFIFO_DATA_TYPE                           UInt32
#define SRCMIXER_SRC_CHANNEL4_OUTFIFO_DATA_RESERVED_MASK                  0x00000000
#define    SRCMIXER_SRC_CHANNEL4_OUTFIFO_DATA_SRC_CHANNEL4_OUTFIFO_DATA_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL4_OUTFIFO_DATA_SRC_CHANNEL4_OUTFIFO_DATA_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL5_INFIFO_DATA0_OFFSET                         0x00000A00
#define SRCMIXER_SRC_CHANNEL5_INFIFO_DATA0_TYPE                           UInt32
#define SRCMIXER_SRC_CHANNEL5_INFIFO_DATA0_RESERVED_MASK                  0x00000000
#define    SRCMIXER_SRC_CHANNEL5_INFIFO_DATA0_SRC_CHANNEL5_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL5_INFIFO_DATA0_SRC_CHANNEL5_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_SRC_CHANNEL5_OUTFIFO_DATA0_OFFSET                        0x00000A10
#define SRCMIXER_SRC_CHANNEL5_OUTFIFO_DATA0_TYPE                          UInt32
#define SRCMIXER_SRC_CHANNEL5_OUTFIFO_DATA0_RESERVED_MASK                 0x00000000
#define    SRCMIXER_SRC_CHANNEL5_OUTFIFO_DATA0_SRC_CHANNEL5_OUTFIFO_DATA0_SHIFT 0
#define    SRCMIXER_SRC_CHANNEL5_OUTFIFO_DATA0_SRC_CHANNEL5_OUTFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_OFFSET                 0x00000B00
#define SRCMIXER_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_TYPE                   UInt32
#define SRCMIXER_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_RESERVED_MASK          0x00000000
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_PASSTHROUGH_CHANNEL1_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_OFFSET                 0x00000B10
#define SRCMIXER_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_TYPE                   UInt32
#define SRCMIXER_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_RESERVED_MASK          0x00000000
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_SHIFT 0
#define    SRCMIXER_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_PASSTHROUGH_CHANNEL2_INFIFO_DATA0_MASK 0xFFFFFFFF

#define SRCMIXER_MIXER1_OUTFIFO_CTRL_OFFSET                               0x00000C00
#define SRCMIXER_MIXER1_OUTFIFO_CTRL_TYPE                                 UInt32
#define SRCMIXER_MIXER1_OUTFIFO_CTRL_RESERVED_MASK                        0x7F3000EF
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_CLEAR_SHIFT        31
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_CLEAR_MASK         0x80000000
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_UDF_SHIFT          23
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_UDF_MASK           0x00800000
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_OVF_SHIFT          22
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_OVF_MASK           0x00400000
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_ENTRY_COUNT_SHIFT  16
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_ENTRY_COUNT_MASK   0x000F0000
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES2_SHIFT       12
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES2_MASK        0x0000F000
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES1_SHIFT       8
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_THRES1_MASK        0x00000F00
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_FORMAT_SHIFT       4
#define    SRCMIXER_MIXER1_OUTFIFO_CTRL_MIXER1_OUTFIFO_FORMAT_MASK        0x00000010

#define SRCMIXER_MIXER1_OUTFIFO_DATA0_OFFSET                              0x00000C08
#define SRCMIXER_MIXER1_OUTFIFO_DATA0_TYPE                                UInt32
#define SRCMIXER_MIXER1_OUTFIFO_DATA0_RESERVED_MASK                       0x00000000
#define    SRCMIXER_MIXER1_OUTFIFO_DATA0_MIXER1_OUTFIFO_DATA0_SHIFT       0
#define    SRCMIXER_MIXER1_OUTFIFO_DATA0_MIXER1_OUTFIFO_DATA0_MASK        0xFFFFFFFF

#define SRCMIXER_MIXER2_OUTFIFO1_DATA_OFFSET                              0x00000C20
#define SRCMIXER_MIXER2_OUTFIFO1_DATA_TYPE                                UInt32
#define SRCMIXER_MIXER2_OUTFIFO1_DATA_RESERVED_MASK                       0x00000000
#define    SRCMIXER_MIXER2_OUTFIFO1_DATA_MIXER2_OUTFIFO1_DATA_SHIFT       0
#define    SRCMIXER_MIXER2_OUTFIFO1_DATA_MIXER2_OUTFIFO1_DATA_MASK        0xFFFFFFFF

#define SRCMIXER_MIXER2_OUTFIFO1_CTRL_OFFSET                              0x00000C24
#define SRCMIXER_MIXER2_OUTFIFO1_CTRL_TYPE                                UInt32
#define SRCMIXER_MIXER2_OUTFIFO1_CTRL_RESERVED_MASK                       0x7F3000EF
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_CLEAR_SHIFT      31
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_CLEAR_MASK       0x80000000
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_UDF_SHIFT        23
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_UDF_MASK         0x00800000
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_OVF_SHIFT        22
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_OVF_MASK         0x00400000
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES2_SHIFT     12
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES2_MASK      0x0000F000
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES1_SHIFT     8
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_THRES1_MASK      0x00000F00
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_FORMAT_SHIFT     4
#define    SRCMIXER_MIXER2_OUTFIFO1_CTRL_MIXER2_OUTFIFO1_FORMAT_MASK      0x00000010

#define SRCMIXER_MIXER2_OUTFIFO2_DATA_OFFSET                              0x00000C30
#define SRCMIXER_MIXER2_OUTFIFO2_DATA_TYPE                                UInt32
#define SRCMIXER_MIXER2_OUTFIFO2_DATA_RESERVED_MASK                       0x00000000
#define    SRCMIXER_MIXER2_OUTFIFO2_DATA_MIXER2_OUTFIFO2_DATA_SHIFT       0
#define    SRCMIXER_MIXER2_OUTFIFO2_DATA_MIXER2_OUTFIFO2_DATA_MASK        0xFFFFFFFF

#define SRCMIXER_MIXER2_OUTFIFO2_CTRL_OFFSET                              0x00000C34
#define SRCMIXER_MIXER2_OUTFIFO2_CTRL_TYPE                                UInt32
#define SRCMIXER_MIXER2_OUTFIFO2_CTRL_RESERVED_MASK                       0x7F3000EF
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_CLEAR_SHIFT      31
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_CLEAR_MASK       0x80000000
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_UDF_SHIFT        23
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_UDF_MASK         0x00800000
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_OVF_SHIFT        22
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_OVF_MASK         0x00400000
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_ENTRY_COUNT_SHIFT 16
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_ENTRY_COUNT_MASK 0x000F0000
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES2_SHIFT     12
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES2_MASK      0x0000F000
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES1_SHIFT     8
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_THRES1_MASK      0x00000F00
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_FORMAT_SHIFT     4
#define    SRCMIXER_MIXER2_OUTFIFO2_CTRL_MIXER2_OUTFIFO2_FORMAT_MASK      0x00000010

#endif /* __BRCM_RDB_SRCMIXER_H__ */


