/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_DSP_RFSPI_H__
#define __BRCM_RDB_DSP_RFSPI_H__

#define DSP_RFSPI_SPIRD_HW_R_OFFSET                                       0x00000AE4
#define DSP_RFSPI_SPIRD_HW_R_TYPE                                         UInt32
#define DSP_RFSPI_SPIRD_HW_R_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIRD_HW_R_RDDATA_SHIFT                              0
#define    DSP_RFSPI_SPIRD_HW_R_RDDATA_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIPAGE_R_OFFSET                                        0x00000AE8
#define DSP_RFSPI_SPIPAGE_R_TYPE                                          UInt32
#define DSP_RFSPI_SPIPAGE_R_RESERVED_MASK                                 0xFFFFFC00
#define    DSP_RFSPI_SPIPAGE_R_RDDATA_HARDWARE_SHIFT                      6
#define    DSP_RFSPI_SPIPAGE_R_RDDATA_HARDWARE_MASK                       0x000003C0
#define    DSP_RFSPI_SPIPAGE_R_RDDATA_SOFTWARE_SHIFT                      2
#define    DSP_RFSPI_SPIPAGE_R_RDDATA_SOFTWARE_MASK                       0x0000003C
#define    DSP_RFSPI_SPIPAGE_R_PAGE_SHIFT                                 0
#define    DSP_RFSPI_SPIPAGE_R_PAGE_MASK                                  0x00000003

#define DSP_RFSPI_SPISR_R_OFFSET                                          0x00000AEC
#define DSP_RFSPI_SPISR_R_TYPE                                            UInt32
#define DSP_RFSPI_SPISR_R_RESERVED_MASK                                   0x8C000000
#define    DSP_RFSPI_SPISR_R_STROBESEL_SHIFT                              30
#define    DSP_RFSPI_SPISR_R_STROBESEL_MASK                               0x40000000
#define    DSP_RFSPI_SPISR_R_SWSTOBE_SHIFT                                29
#define    DSP_RFSPI_SPISR_R_SWSTOBE_MASK                                 0x20000000
#define    DSP_RFSPI_SPISR_R_STATUS_SHIFT                                 28
#define    DSP_RFSPI_SPISR_R_STATUS_MASK                                  0x10000000
#define    DSP_RFSPI_SPISR_R_SWRESET_SHIFT                                25
#define    DSP_RFSPI_SPISR_R_SWRESET_MASK                                 0x02000000
#define    DSP_RFSPI_SPISR_R_WRODR_SHIFT                                  24
#define    DSP_RFSPI_SPISR_R_WRODR_MASK                                   0x01000000
#define    DSP_RFSPI_SPISR_R_RDODR_SHIFT                                  23
#define    DSP_RFSPI_SPISR_R_RDODR_MASK                                   0x00800000
#define    DSP_RFSPI_SPISR_R_FREQCNT_SHIFT                                15
#define    DSP_RFSPI_SPISR_R_FREQCNT_MASK                                 0x007F8000
#define    DSP_RFSPI_SPISR_R_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPISR_R_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPISR_R_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPISR_R_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPISR_R_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPISR_R_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRD_SW_R_OFFSET                                       0x00000AF0
#define DSP_RFSPI_SPIRD_SW_R_TYPE                                         UInt32
#define DSP_RFSPI_SPIRD_SW_R_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIRD_SW_R_RDDATA_SHIFT                              0
#define    DSP_RFSPI_SPIRD_SW_R_RDDATA_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_0_OFFSET                                       0x00000C00
#define DSP_RFSPI_SPIAR0_R_0_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_0_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_0_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_0_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_0_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_0_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_0_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_0_OFFSET                                       0x00000C04
#define DSP_RFSPI_SPIAR1_R_0_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_0_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_0_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_0_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_0_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_0_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_0_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_0_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_0_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_0_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_0_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_0_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_0_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_0_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_0_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_0_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_0_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_0_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_0_OFFSET                                       0x00000C08
#define DSP_RFSPI_SPIAR2_R_0_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_0_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_0_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_0_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_0_OFFSET                                       0x00000C0C
#define DSP_RFSPI_SPIAR3_R_0_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_0_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_0_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_0_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_1_OFFSET                                       0x00000C10
#define DSP_RFSPI_SPIAR0_R_1_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_1_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_1_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_1_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_1_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_1_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_1_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_1_OFFSET                                       0x00000C14
#define DSP_RFSPI_SPIAR1_R_1_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_1_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_1_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_1_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_1_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_1_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_1_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_1_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_1_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_1_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_1_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_1_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_1_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_1_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_1_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_1_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_1_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_1_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_1_OFFSET                                       0x00000C18
#define DSP_RFSPI_SPIAR2_R_1_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_1_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_1_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_1_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_1_OFFSET                                       0x00000C1C
#define DSP_RFSPI_SPIAR3_R_1_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_1_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_1_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_1_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_2_OFFSET                                       0x00000C20
#define DSP_RFSPI_SPIAR0_R_2_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_2_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_2_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_2_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_2_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_2_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_2_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_2_OFFSET                                       0x00000C24
#define DSP_RFSPI_SPIAR1_R_2_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_2_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_2_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_2_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_2_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_2_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_2_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_2_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_2_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_2_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_2_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_2_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_2_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_2_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_2_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_2_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_2_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_2_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_2_OFFSET                                       0x00000C28
#define DSP_RFSPI_SPIAR2_R_2_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_2_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_2_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_2_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_2_OFFSET                                       0x00000C2C
#define DSP_RFSPI_SPIAR3_R_2_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_2_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_2_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_2_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_3_OFFSET                                       0x00000C30
#define DSP_RFSPI_SPIAR0_R_3_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_3_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_3_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_3_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_3_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_3_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_3_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_3_OFFSET                                       0x00000C34
#define DSP_RFSPI_SPIAR1_R_3_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_3_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_3_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_3_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_3_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_3_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_3_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_3_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_3_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_3_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_3_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_3_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_3_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_3_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_3_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_3_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_3_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_3_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_3_OFFSET                                       0x00000C38
#define DSP_RFSPI_SPIAR2_R_3_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_3_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_3_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_3_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_3_OFFSET                                       0x00000C3C
#define DSP_RFSPI_SPIAR3_R_3_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_3_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_3_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_3_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_4_OFFSET                                       0x00000C40
#define DSP_RFSPI_SPIAR0_R_4_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_4_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_4_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_4_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_4_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_4_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_4_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_4_OFFSET                                       0x00000C44
#define DSP_RFSPI_SPIAR1_R_4_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_4_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_4_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_4_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_4_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_4_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_4_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_4_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_4_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_4_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_4_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_4_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_4_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_4_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_4_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_4_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_4_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_4_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_4_OFFSET                                       0x00000C48
#define DSP_RFSPI_SPIAR2_R_4_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_4_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_4_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_4_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_4_OFFSET                                       0x00000C4C
#define DSP_RFSPI_SPIAR3_R_4_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_4_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_4_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_4_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_5_OFFSET                                       0x00000C50
#define DSP_RFSPI_SPIAR0_R_5_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_5_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_5_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_5_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_5_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_5_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_5_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_5_OFFSET                                       0x00000C54
#define DSP_RFSPI_SPIAR1_R_5_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_5_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_5_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_5_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_5_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_5_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_5_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_5_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_5_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_5_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_5_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_5_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_5_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_5_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_5_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_5_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_5_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_5_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_5_OFFSET                                       0x00000C58
#define DSP_RFSPI_SPIAR2_R_5_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_5_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_5_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_5_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_5_OFFSET                                       0x00000C5C
#define DSP_RFSPI_SPIAR3_R_5_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_5_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_5_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_5_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_6_OFFSET                                       0x00000C60
#define DSP_RFSPI_SPIAR0_R_6_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_6_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_6_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_6_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_6_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_6_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_6_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_6_OFFSET                                       0x00000C64
#define DSP_RFSPI_SPIAR1_R_6_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_6_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_6_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_6_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_6_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_6_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_6_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_6_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_6_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_6_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_6_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_6_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_6_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_6_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_6_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_6_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_6_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_6_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_6_OFFSET                                       0x00000C68
#define DSP_RFSPI_SPIAR2_R_6_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_6_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_6_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_6_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_6_OFFSET                                       0x00000C6C
#define DSP_RFSPI_SPIAR3_R_6_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_6_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_6_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_6_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_7_OFFSET                                       0x00000C70
#define DSP_RFSPI_SPIAR0_R_7_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_7_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_7_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_7_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_7_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_7_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_7_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_7_OFFSET                                       0x00000C74
#define DSP_RFSPI_SPIAR1_R_7_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_7_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_7_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_7_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_7_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_7_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_7_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_7_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_7_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_7_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_7_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_7_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_7_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_7_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_7_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_7_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_7_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_7_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_7_OFFSET                                       0x00000C78
#define DSP_RFSPI_SPIAR2_R_7_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_7_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_7_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_7_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_7_OFFSET                                       0x00000C7C
#define DSP_RFSPI_SPIAR3_R_7_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_7_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_7_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_7_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_8_OFFSET                                       0x00000C80
#define DSP_RFSPI_SPIAR0_R_8_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_8_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_8_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_8_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_8_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_8_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_8_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_8_OFFSET                                       0x00000C84
#define DSP_RFSPI_SPIAR1_R_8_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_8_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_8_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_8_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_8_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_8_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_8_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_8_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_8_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_8_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_8_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_8_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_8_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_8_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_8_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_8_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_8_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_8_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_8_OFFSET                                       0x00000C88
#define DSP_RFSPI_SPIAR2_R_8_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_8_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_8_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_8_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_8_OFFSET                                       0x00000C8C
#define DSP_RFSPI_SPIAR3_R_8_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_8_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_8_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_8_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_9_OFFSET                                       0x00000C90
#define DSP_RFSPI_SPIAR0_R_9_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR0_R_9_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EXT_CLK_EN_SHIFT                      28
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EXT_CLK_EN_MASK                       0xF0000000
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EN0_SHIFT                             21
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EN0_MASK                              0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EN1_SHIFT                             14
#define    DSP_RFSPI_SPIAR0_R_9_SPI_EN1_MASK                              0x001FC000
#define    DSP_RFSPI_SPIAR0_R_9_SPI_OEN0_SHIFT                            7
#define    DSP_RFSPI_SPIAR0_R_9_SPI_OEN0_MASK                             0x00003F80
#define    DSP_RFSPI_SPIAR0_R_9_SPI_OEN1_SHIFT                            0
#define    DSP_RFSPI_SPIAR0_R_9_SPI_OEN1_MASK                             0x0000007F

#define DSP_RFSPI_SPIAR1_R_9_OFFSET                                       0x00000C94
#define DSP_RFSPI_SPIAR1_R_9_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR1_R_9_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR1_R_9_RDEN_INIT_SHIFT                           31
#define    DSP_RFSPI_SPIAR1_R_9_RDEN_INIT_MASK                            0x80000000
#define    DSP_RFSPI_SPIAR1_R_9_RDEN0_SHIFT                               24
#define    DSP_RFSPI_SPIAR1_R_9_RDEN0_MASK                                0x7F000000
#define    DSP_RFSPI_SPIAR1_R_9_EN_INIT_SHIFT                             23
#define    DSP_RFSPI_SPIAR1_R_9_EN_INIT_MASK                              0x00800000
#define    DSP_RFSPI_SPIAR1_R_9_RDEN1_SHIFT                               16
#define    DSP_RFSPI_SPIAR1_R_9_RDEN1_MASK                                0x007F0000
#define    DSP_RFSPI_SPIAR1_R_9_PHASE_INIT_SHIFT                          15
#define    DSP_RFSPI_SPIAR1_R_9_PHASE_INIT_MASK                           0x00008000
#define    DSP_RFSPI_SPIAR1_R_9_PHASE0_SHIFT                              8
#define    DSP_RFSPI_SPIAR1_R_9_PHASE0_MASK                               0x00007F00
#define    DSP_RFSPI_SPIAR1_R_9_OEN_INIT_SHIFT                            7
#define    DSP_RFSPI_SPIAR1_R_9_OEN_INIT_MASK                             0x00000080
#define    DSP_RFSPI_SPIAR1_R_9_LENGTH_SHIFT                              0
#define    DSP_RFSPI_SPIAR1_R_9_LENGTH_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR2_R_9_OFFSET                                       0x00000C98
#define DSP_RFSPI_SPIAR2_R_9_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR2_R_9_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR2_R_9_DATA0_SHIFT                               0
#define    DSP_RFSPI_SPIAR2_R_9_DATA0_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_9_OFFSET                                       0x00000C9C
#define DSP_RFSPI_SPIAR3_R_9_TYPE                                         UInt32
#define DSP_RFSPI_SPIAR3_R_9_RESERVED_MASK                                0x00000000
#define    DSP_RFSPI_SPIAR3_R_9_DATA1_SHIFT                               0
#define    DSP_RFSPI_SPIAR3_R_9_DATA1_MASK                                0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_10_OFFSET                                      0x00000CA0
#define DSP_RFSPI_SPIAR0_R_10_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_10_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_10_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_10_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_10_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_10_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_10_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_10_OFFSET                                      0x00000CA4
#define DSP_RFSPI_SPIAR1_R_10_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_10_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_10_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_10_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_10_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_10_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_10_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_10_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_10_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_10_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_10_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_10_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_10_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_10_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_10_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_10_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_10_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_10_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_10_OFFSET                                      0x00000CA8
#define DSP_RFSPI_SPIAR2_R_10_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_10_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_10_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_10_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_10_OFFSET                                      0x00000CAC
#define DSP_RFSPI_SPIAR3_R_10_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_10_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_10_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_10_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_11_OFFSET                                      0x00000CB0
#define DSP_RFSPI_SPIAR0_R_11_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_11_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_11_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_11_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_11_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_11_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_11_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_11_OFFSET                                      0x00000CB4
#define DSP_RFSPI_SPIAR1_R_11_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_11_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_11_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_11_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_11_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_11_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_11_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_11_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_11_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_11_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_11_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_11_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_11_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_11_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_11_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_11_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_11_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_11_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_11_OFFSET                                      0x00000CB8
#define DSP_RFSPI_SPIAR2_R_11_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_11_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_11_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_11_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_11_OFFSET                                      0x00000CBC
#define DSP_RFSPI_SPIAR3_R_11_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_11_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_11_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_11_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_12_OFFSET                                      0x00000CC0
#define DSP_RFSPI_SPIAR0_R_12_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_12_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_12_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_12_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_12_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_12_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_12_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_12_OFFSET                                      0x00000CC4
#define DSP_RFSPI_SPIAR1_R_12_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_12_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_12_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_12_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_12_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_12_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_12_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_12_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_12_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_12_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_12_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_12_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_12_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_12_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_12_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_12_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_12_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_12_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_12_OFFSET                                      0x00000CC8
#define DSP_RFSPI_SPIAR2_R_12_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_12_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_12_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_12_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_12_OFFSET                                      0x00000CCC
#define DSP_RFSPI_SPIAR3_R_12_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_12_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_12_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_12_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_13_OFFSET                                      0x00000CD0
#define DSP_RFSPI_SPIAR0_R_13_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_13_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_13_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_13_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_13_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_13_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_13_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_13_OFFSET                                      0x00000CD4
#define DSP_RFSPI_SPIAR1_R_13_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_13_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_13_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_13_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_13_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_13_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_13_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_13_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_13_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_13_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_13_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_13_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_13_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_13_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_13_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_13_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_13_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_13_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_13_OFFSET                                      0x00000CD8
#define DSP_RFSPI_SPIAR2_R_13_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_13_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_13_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_13_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_13_OFFSET                                      0x00000CDC
#define DSP_RFSPI_SPIAR3_R_13_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_13_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_13_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_13_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_14_OFFSET                                      0x00000CE0
#define DSP_RFSPI_SPIAR0_R_14_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_14_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_14_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_14_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_14_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_14_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_14_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_14_OFFSET                                      0x00000CE4
#define DSP_RFSPI_SPIAR1_R_14_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_14_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_14_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_14_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_14_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_14_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_14_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_14_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_14_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_14_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_14_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_14_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_14_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_14_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_14_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_14_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_14_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_14_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_14_OFFSET                                      0x00000CE8
#define DSP_RFSPI_SPIAR2_R_14_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_14_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_14_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_14_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_14_OFFSET                                      0x00000CEC
#define DSP_RFSPI_SPIAR3_R_14_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_14_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_14_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_14_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_R_15_OFFSET                                      0x00000CF0
#define DSP_RFSPI_SPIAR0_R_15_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR0_R_15_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EXT_CLK_EN_SHIFT                     28
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EXT_CLK_EN_MASK                      0xF0000000
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EN0_SHIFT                            21
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EN0_MASK                             0x0FE00000
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EN1_SHIFT                            14
#define    DSP_RFSPI_SPIAR0_R_15_SPI_EN1_MASK                             0x001FC000
#define    DSP_RFSPI_SPIAR0_R_15_SPI_OEN0_SHIFT                           7
#define    DSP_RFSPI_SPIAR0_R_15_SPI_OEN0_MASK                            0x00003F80
#define    DSP_RFSPI_SPIAR0_R_15_SPI_OEN1_SHIFT                           0
#define    DSP_RFSPI_SPIAR0_R_15_SPI_OEN1_MASK                            0x0000007F

#define DSP_RFSPI_SPIAR1_R_15_OFFSET                                      0x00000CF4
#define DSP_RFSPI_SPIAR1_R_15_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR1_R_15_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR1_R_15_RDEN_INIT_SHIFT                          31
#define    DSP_RFSPI_SPIAR1_R_15_RDEN_INIT_MASK                           0x80000000
#define    DSP_RFSPI_SPIAR1_R_15_RDEN0_SHIFT                              24
#define    DSP_RFSPI_SPIAR1_R_15_RDEN0_MASK                               0x7F000000
#define    DSP_RFSPI_SPIAR1_R_15_EN_INIT_SHIFT                            23
#define    DSP_RFSPI_SPIAR1_R_15_EN_INIT_MASK                             0x00800000
#define    DSP_RFSPI_SPIAR1_R_15_RDEN1_SHIFT                              16
#define    DSP_RFSPI_SPIAR1_R_15_RDEN1_MASK                               0x007F0000
#define    DSP_RFSPI_SPIAR1_R_15_PHASE_INIT_SHIFT                         15
#define    DSP_RFSPI_SPIAR1_R_15_PHASE_INIT_MASK                          0x00008000
#define    DSP_RFSPI_SPIAR1_R_15_PHASE0_SHIFT                             8
#define    DSP_RFSPI_SPIAR1_R_15_PHASE0_MASK                              0x00007F00
#define    DSP_RFSPI_SPIAR1_R_15_OEN_INIT_SHIFT                           7
#define    DSP_RFSPI_SPIAR1_R_15_OEN_INIT_MASK                            0x00000080
#define    DSP_RFSPI_SPIAR1_R_15_LENGTH_SHIFT                             0
#define    DSP_RFSPI_SPIAR1_R_15_LENGTH_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR2_R_15_OFFSET                                      0x00000CF8
#define DSP_RFSPI_SPIAR2_R_15_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR2_R_15_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR2_R_15_DATA0_SHIFT                              0
#define    DSP_RFSPI_SPIAR2_R_15_DATA0_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_R_15_OFFSET                                      0x00000CFC
#define DSP_RFSPI_SPIAR3_R_15_TYPE                                        UInt32
#define DSP_RFSPI_SPIAR3_R_15_RESERVED_MASK                               0x00000000
#define    DSP_RFSPI_SPIAR3_R_15_DATA1_SHIFT                              0
#define    DSP_RFSPI_SPIAR3_R_15_DATA1_MASK                               0xFFFFFFFF

#define DSP_RFSPI_SPITSR_R0_OFFSET                                        0x00000D00
#define DSP_RFSPI_SPITSR_R0_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R0_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R0_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R0_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R0_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R0_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R0_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R0_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R0_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R0_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R1_OFFSET                                        0x00000D04
#define DSP_RFSPI_SPITSR_R1_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R1_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R1_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R1_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R1_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R1_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R1_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R1_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R1_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R1_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R2_OFFSET                                        0x00000D08
#define DSP_RFSPI_SPITSR_R2_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R2_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R2_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R2_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R2_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R2_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R2_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R2_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R2_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R2_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R3_OFFSET                                        0x00000D0C
#define DSP_RFSPI_SPITSR_R3_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R3_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R3_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R3_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R3_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R3_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R3_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R3_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R3_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R3_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R4_OFFSET                                        0x00000D10
#define DSP_RFSPI_SPITSR_R4_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R4_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R4_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R4_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R4_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R4_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R4_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R4_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R4_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R4_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R5_OFFSET                                        0x00000D14
#define DSP_RFSPI_SPITSR_R5_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R5_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R5_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R5_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R5_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R5_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R5_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R5_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R5_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R5_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R6_OFFSET                                        0x00000D18
#define DSP_RFSPI_SPITSR_R6_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R6_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R6_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R6_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R6_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R6_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R6_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R6_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R6_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R6_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R7_OFFSET                                        0x00000D1C
#define DSP_RFSPI_SPITSR_R7_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R7_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R7_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R7_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R7_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R7_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R7_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R7_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R7_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R7_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R8_OFFSET                                        0x00000D20
#define DSP_RFSPI_SPITSR_R8_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R8_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R8_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R8_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R8_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R8_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R8_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R8_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R8_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R8_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R9_OFFSET                                        0x00000D24
#define DSP_RFSPI_SPITSR_R9_TYPE                                          UInt32
#define DSP_RFSPI_SPITSR_R9_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPITSR_R9_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPITSR_R9_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPITSR_R9_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPITSR_R9_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPITSR_R9_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPITSR_R9_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPITSR_R9_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPITSR_R9_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPITSR_R10_OFFSET                                       0x00000D28
#define DSP_RFSPI_SPITSR_R10_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R10_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R10_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R10_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R10_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R10_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R10_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R10_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R10_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R10_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R11_OFFSET                                       0x00000D2C
#define DSP_RFSPI_SPITSR_R11_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R11_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R11_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R11_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R11_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R11_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R11_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R11_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R11_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R11_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R12_OFFSET                                       0x00000D30
#define DSP_RFSPI_SPITSR_R12_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R12_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R12_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R12_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R12_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R12_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R12_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R12_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R12_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R12_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R13_OFFSET                                       0x00000D34
#define DSP_RFSPI_SPITSR_R13_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R13_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R13_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R13_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R13_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R13_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R13_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R13_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R13_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R13_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R14_OFFSET                                       0x00000D38
#define DSP_RFSPI_SPITSR_R14_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R14_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R14_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R14_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R14_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R14_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R14_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R14_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R14_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R14_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R15_OFFSET                                       0x00000D3C
#define DSP_RFSPI_SPITSR_R15_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R15_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R15_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R15_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R15_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R15_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R15_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R15_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R15_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R15_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R16_OFFSET                                       0x00000D40
#define DSP_RFSPI_SPITSR_R16_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R16_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R16_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R16_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R16_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R16_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R16_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R16_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R16_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R16_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R17_OFFSET                                       0x00000D44
#define DSP_RFSPI_SPITSR_R17_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R17_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R17_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R17_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R17_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R17_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R17_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R17_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R17_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R17_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R18_OFFSET                                       0x00000D48
#define DSP_RFSPI_SPITSR_R18_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R18_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R18_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R18_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R18_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R18_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R18_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R18_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R18_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R18_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R19_OFFSET                                       0x00000D4C
#define DSP_RFSPI_SPITSR_R19_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R19_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R19_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R19_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R19_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R19_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R19_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R19_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R19_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R19_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R20_OFFSET                                       0x00000D50
#define DSP_RFSPI_SPITSR_R20_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R20_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R20_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R20_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R20_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R20_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R20_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R20_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R20_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R20_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R21_OFFSET                                       0x00000D54
#define DSP_RFSPI_SPITSR_R21_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R21_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R21_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R21_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R21_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R21_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R21_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R21_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R21_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R21_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R22_OFFSET                                       0x00000D58
#define DSP_RFSPI_SPITSR_R22_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R22_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R22_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R22_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R22_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R22_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R22_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R22_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R22_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R22_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R23_OFFSET                                       0x00000D5C
#define DSP_RFSPI_SPITSR_R23_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R23_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R23_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R23_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R23_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R23_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R23_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R23_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R23_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R23_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R24_OFFSET                                       0x00000D60
#define DSP_RFSPI_SPITSR_R24_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R24_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R24_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R24_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R24_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R24_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R24_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R24_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R24_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R24_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R25_OFFSET                                       0x00000D64
#define DSP_RFSPI_SPITSR_R25_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R25_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R25_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R25_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R25_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R25_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R25_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R25_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R25_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R25_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R26_OFFSET                                       0x00000D68
#define DSP_RFSPI_SPITSR_R26_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R26_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R26_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R26_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R26_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R26_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R26_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R26_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R26_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R26_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R27_OFFSET                                       0x00000D6C
#define DSP_RFSPI_SPITSR_R27_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R27_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R27_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R27_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R27_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R27_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R27_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R27_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R27_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R27_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R28_OFFSET                                       0x00000D70
#define DSP_RFSPI_SPITSR_R28_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R28_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R28_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R28_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R28_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R28_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R28_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R28_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R28_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R28_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R29_OFFSET                                       0x00000D74
#define DSP_RFSPI_SPITSR_R29_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R29_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R29_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R29_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R29_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R29_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R29_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R29_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R29_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R29_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R30_OFFSET                                       0x00000D78
#define DSP_RFSPI_SPITSR_R30_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R30_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R30_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R30_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R30_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R30_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R30_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R30_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R30_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R30_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPITSR_R31_OFFSET                                       0x00000D7C
#define DSP_RFSPI_SPITSR_R31_TYPE                                         UInt32
#define DSP_RFSPI_SPITSR_R31_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPITSR_R31_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPITSR_R31_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPITSR_R31_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPITSR_R31_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPITSR_R31_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPITSR_R31_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPITSR_R31_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPITSR_R31_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR0_OFFSET                                        0x00000D80
#define DSP_RFSPI_SPIRS_RR0_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR0_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR0_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR0_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR0_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR0_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR0_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR0_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR0_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR0_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR1_OFFSET                                        0x00000D84
#define DSP_RFSPI_SPIRS_RR1_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR1_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR1_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR1_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR1_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR1_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR1_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR1_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR1_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR1_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR2_OFFSET                                        0x00000D88
#define DSP_RFSPI_SPIRS_RR2_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR2_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR2_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR2_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR2_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR2_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR2_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR2_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR2_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR2_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR3_OFFSET                                        0x00000D8C
#define DSP_RFSPI_SPIRS_RR3_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR3_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR3_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR3_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR3_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR3_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR3_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR3_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR3_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR3_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR4_OFFSET                                        0x00000D90
#define DSP_RFSPI_SPIRS_RR4_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR4_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR4_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR4_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR4_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR4_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR4_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR4_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR4_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR4_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR5_OFFSET                                        0x00000D94
#define DSP_RFSPI_SPIRS_RR5_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR5_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR5_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR5_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR5_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR5_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR5_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR5_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR5_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR5_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR6_OFFSET                                        0x00000D98
#define DSP_RFSPI_SPIRS_RR6_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR6_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR6_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR6_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR6_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR6_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR6_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR6_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR6_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR6_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR7_OFFSET                                        0x00000D9C
#define DSP_RFSPI_SPIRS_RR7_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR7_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR7_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR7_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR7_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR7_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR7_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR7_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR7_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR7_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR8_OFFSET                                        0x00000DA0
#define DSP_RFSPI_SPIRS_RR8_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR8_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR8_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR8_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR8_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR8_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR8_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR8_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR8_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR8_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR9_OFFSET                                        0x00000DA4
#define DSP_RFSPI_SPIRS_RR9_TYPE                                          UInt32
#define DSP_RFSPI_SPIRS_RR9_RESERVED_MASK                                 0xF0008000
#define    DSP_RFSPI_SPIRS_RR9_DEL_SHIFT                                  16
#define    DSP_RFSPI_SPIRS_RR9_DEL_MASK                                   0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR9_INDEX_SHIFT                                8
#define    DSP_RFSPI_SPIRS_RR9_INDEX_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIRS_RR9_ATCCOUNT_SHIFT                             4
#define    DSP_RFSPI_SPIRS_RR9_ATCCOUNT_MASK                              0x000000F0
#define    DSP_RFSPI_SPIRS_RR9_CMDN_SHIFT                                 0
#define    DSP_RFSPI_SPIRS_RR9_CMDN_MASK                                  0x0000000F

#define DSP_RFSPI_SPIRS_RR10_OFFSET                                       0x00000DA8
#define DSP_RFSPI_SPIRS_RR10_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR10_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR10_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR10_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR10_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR10_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR10_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR10_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR10_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR10_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR11_OFFSET                                       0x00000DAC
#define DSP_RFSPI_SPIRS_RR11_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR11_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR11_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR11_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR11_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR11_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR11_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR11_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR11_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR11_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR12_OFFSET                                       0x00000DB0
#define DSP_RFSPI_SPIRS_RR12_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR12_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR12_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR12_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR12_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR12_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR12_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR12_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR12_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR12_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR13_OFFSET                                       0x00000DB4
#define DSP_RFSPI_SPIRS_RR13_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR13_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR13_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR13_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR13_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR13_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR13_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR13_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR13_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR13_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR14_OFFSET                                       0x00000DB8
#define DSP_RFSPI_SPIRS_RR14_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR14_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR14_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR14_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR14_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR14_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR14_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR14_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR14_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR14_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR15_OFFSET                                       0x00000DBC
#define DSP_RFSPI_SPIRS_RR15_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR15_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR15_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR15_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR15_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR15_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR15_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR15_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR15_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR15_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR16_OFFSET                                       0x00000DC0
#define DSP_RFSPI_SPIRS_RR16_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR16_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR16_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR16_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR16_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR16_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR16_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR16_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR16_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR16_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR17_OFFSET                                       0x00000DC4
#define DSP_RFSPI_SPIRS_RR17_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR17_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR17_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR17_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR17_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR17_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR17_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR17_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR17_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR17_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR18_OFFSET                                       0x00000DC8
#define DSP_RFSPI_SPIRS_RR18_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR18_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR18_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR18_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR18_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR18_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR18_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR18_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR18_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR18_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR19_OFFSET                                       0x00000DCC
#define DSP_RFSPI_SPIRS_RR19_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR19_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR19_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR19_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR19_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR19_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR19_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR19_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR19_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR19_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR20_OFFSET                                       0x00000DD0
#define DSP_RFSPI_SPIRS_RR20_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR20_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR20_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR20_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR20_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR20_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR20_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR20_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR20_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR20_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR21_OFFSET                                       0x00000DD4
#define DSP_RFSPI_SPIRS_RR21_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR21_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR21_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR21_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR21_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR21_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR21_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR21_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR21_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR21_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR22_OFFSET                                       0x00000DD8
#define DSP_RFSPI_SPIRS_RR22_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR22_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR22_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR22_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR22_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR22_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR22_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR22_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR22_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR22_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR23_OFFSET                                       0x00000DDC
#define DSP_RFSPI_SPIRS_RR23_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR23_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR23_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR23_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR23_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR23_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR23_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR23_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR23_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR23_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR24_OFFSET                                       0x00000DE0
#define DSP_RFSPI_SPIRS_RR24_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR24_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR24_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR24_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR24_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR24_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR24_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR24_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR24_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR24_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR25_OFFSET                                       0x00000DE4
#define DSP_RFSPI_SPIRS_RR25_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR25_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR25_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR25_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR25_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR25_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR25_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR25_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR25_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR25_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR26_OFFSET                                       0x00000DE8
#define DSP_RFSPI_SPIRS_RR26_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR26_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR26_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR26_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR26_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR26_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR26_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR26_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR26_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR26_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR27_OFFSET                                       0x00000DEC
#define DSP_RFSPI_SPIRS_RR27_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR27_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR27_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR27_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR27_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR27_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR27_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR27_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR27_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR27_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR28_OFFSET                                       0x00000DF0
#define DSP_RFSPI_SPIRS_RR28_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR28_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR28_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR28_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR28_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR28_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR28_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR28_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR28_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR28_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR29_OFFSET                                       0x00000DF4
#define DSP_RFSPI_SPIRS_RR29_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR29_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR29_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR29_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR29_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR29_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR29_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR29_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR29_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR29_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR30_OFFSET                                       0x00000DF8
#define DSP_RFSPI_SPIRS_RR30_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR30_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR30_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR30_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR30_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR30_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR30_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR30_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR30_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR30_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRS_RR31_OFFSET                                       0x00000DFC
#define DSP_RFSPI_SPIRS_RR31_TYPE                                         UInt32
#define DSP_RFSPI_SPIRS_RR31_RESERVED_MASK                                0xF0008000
#define    DSP_RFSPI_SPIRS_RR31_DEL_SHIFT                                 16
#define    DSP_RFSPI_SPIRS_RR31_DEL_MASK                                  0x0FFF0000
#define    DSP_RFSPI_SPIRS_RR31_INDEX_SHIFT                               8
#define    DSP_RFSPI_SPIRS_RR31_INDEX_MASK                                0x00007F00
#define    DSP_RFSPI_SPIRS_RR31_ATCCOUNT_SHIFT                            4
#define    DSP_RFSPI_SPIRS_RR31_ATCCOUNT_MASK                             0x000000F0
#define    DSP_RFSPI_SPIRS_RR31_CMDN_SHIFT                                0
#define    DSP_RFSPI_SPIRS_RR31_CMDN_MASK                                 0x0000000F

#define DSP_RFSPI_SPIRD_HW_OFFSET                                         0x0000E572
#define DSP_RFSPI_SPIRD_HW_TYPE                                           UInt32
#define DSP_RFSPI_SPIRD_HW_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIRD_HW_RDDATA_SHIFT                                0
#define    DSP_RFSPI_SPIRD_HW_RDDATA_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIPAGE_OFFSET                                          0x0000E574
#define DSP_RFSPI_SPIPAGE_TYPE                                            UInt32
#define DSP_RFSPI_SPIPAGE_RESERVED_MASK                                   0xFFFFFC00
#define    DSP_RFSPI_SPIPAGE_RDDATA_HARDWARE_SHIFT                        6
#define    DSP_RFSPI_SPIPAGE_RDDATA_HARDWARE_MASK                         0x000003C0
#define    DSP_RFSPI_SPIPAGE_RDDATA_SOFTWARE_SHIFT                        2
#define    DSP_RFSPI_SPIPAGE_RDDATA_SOFTWARE_MASK                         0x0000003C
#define    DSP_RFSPI_SPIPAGE_PAGE_SHIFT                                   0
#define    DSP_RFSPI_SPIPAGE_PAGE_MASK                                    0x00000003

#define DSP_RFSPI_SPISR_OFFSET                                            0x0000E576
#define DSP_RFSPI_SPISR_TYPE                                              UInt32
#define DSP_RFSPI_SPISR_RESERVED_MASK                                     0x8C000000
#define    DSP_RFSPI_SPISR_STROBESEL_SHIFT                                30
#define    DSP_RFSPI_SPISR_STROBESEL_MASK                                 0x40000000
#define    DSP_RFSPI_SPISR_SWSTOBE_SHIFT                                  29
#define    DSP_RFSPI_SPISR_SWSTOBE_MASK                                   0x20000000
#define    DSP_RFSPI_SPISR_STATUS_SHIFT                                   28
#define    DSP_RFSPI_SPISR_STATUS_MASK                                    0x10000000
#define    DSP_RFSPI_SPISR_SWRESET_SHIFT                                  25
#define    DSP_RFSPI_SPISR_SWRESET_MASK                                   0x02000000
#define    DSP_RFSPI_SPISR_WRODR_SHIFT                                    24
#define    DSP_RFSPI_SPISR_WRODR_MASK                                     0x01000000
#define    DSP_RFSPI_SPISR_RDODR_SHIFT                                    23
#define    DSP_RFSPI_SPISR_RDODR_MASK                                     0x00800000
#define    DSP_RFSPI_SPISR_FREQCNT_SHIFT                                  15
#define    DSP_RFSPI_SPISR_FREQCNT_MASK                                   0x007F8000
#define    DSP_RFSPI_SPISR_INDEX_SHIFT                                    8
#define    DSP_RFSPI_SPISR_INDEX_MASK                                     0x00007F00
#define    DSP_RFSPI_SPISR_ATCCOUNT_SHIFT                                 4
#define    DSP_RFSPI_SPISR_ATCCOUNT_MASK                                  0x000000F0
#define    DSP_RFSPI_SPISR_CMDN_SHIFT                                     0
#define    DSP_RFSPI_SPISR_CMDN_MASK                                      0x0000000F

#define DSP_RFSPI_SPIRD_SW_OFFSET                                         0x0000E578
#define DSP_RFSPI_SPIRD_SW_TYPE                                           UInt32
#define DSP_RFSPI_SPIRD_SW_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIRD_SW_RDDATA_SHIFT                                0
#define    DSP_RFSPI_SPIRD_SW_RDDATA_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_0_OFFSET                                         0x0000E600
#define DSP_RFSPI_SPIAR0_0_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_0_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_0_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_0_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_0_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_0_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_0_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_0_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_0_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_0_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_0_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_0_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_0_OFFSET                                         0x0000E602
#define DSP_RFSPI_SPIAR1_0_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_0_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_0_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_0_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_0_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_0_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_0_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_0_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_0_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_0_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_0_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_0_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_0_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_0_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_0_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_0_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_0_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_0_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_0_OFFSET                                         0x0000E604
#define DSP_RFSPI_SPIAR2_0_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_0_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_0_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_0_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_0_OFFSET                                         0x0000E606
#define DSP_RFSPI_SPIAR3_0_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_0_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_0_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_0_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_1_OFFSET                                         0x0000E608
#define DSP_RFSPI_SPIAR0_1_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_1_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_1_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_1_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_1_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_1_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_1_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_1_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_1_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_1_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_1_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_1_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_1_OFFSET                                         0x0000E60A
#define DSP_RFSPI_SPIAR1_1_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_1_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_1_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_1_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_1_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_1_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_1_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_1_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_1_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_1_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_1_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_1_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_1_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_1_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_1_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_1_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_1_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_1_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_1_OFFSET                                         0x0000E60C
#define DSP_RFSPI_SPIAR2_1_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_1_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_1_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_1_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_1_OFFSET                                         0x0000E60E
#define DSP_RFSPI_SPIAR3_1_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_1_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_1_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_1_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_2_OFFSET                                         0x0000E610
#define DSP_RFSPI_SPIAR0_2_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_2_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_2_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_2_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_2_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_2_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_2_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_2_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_2_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_2_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_2_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_2_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_2_OFFSET                                         0x0000E612
#define DSP_RFSPI_SPIAR1_2_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_2_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_2_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_2_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_2_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_2_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_2_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_2_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_2_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_2_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_2_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_2_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_2_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_2_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_2_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_2_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_2_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_2_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_2_OFFSET                                         0x0000E614
#define DSP_RFSPI_SPIAR2_2_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_2_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_2_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_2_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_2_OFFSET                                         0x0000E616
#define DSP_RFSPI_SPIAR3_2_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_2_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_2_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_2_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_3_OFFSET                                         0x0000E618
#define DSP_RFSPI_SPIAR0_3_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_3_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_3_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_3_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_3_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_3_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_3_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_3_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_3_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_3_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_3_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_3_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_3_OFFSET                                         0x0000E61A
#define DSP_RFSPI_SPIAR1_3_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_3_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_3_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_3_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_3_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_3_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_3_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_3_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_3_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_3_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_3_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_3_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_3_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_3_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_3_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_3_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_3_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_3_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_3_OFFSET                                         0x0000E61C
#define DSP_RFSPI_SPIAR2_3_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_3_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_3_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_3_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_3_OFFSET                                         0x0000E61E
#define DSP_RFSPI_SPIAR3_3_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_3_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_3_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_3_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_4_OFFSET                                         0x0000E620
#define DSP_RFSPI_SPIAR0_4_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_4_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_4_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_4_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_4_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_4_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_4_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_4_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_4_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_4_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_4_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_4_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_4_OFFSET                                         0x0000E622
#define DSP_RFSPI_SPIAR1_4_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_4_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_4_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_4_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_4_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_4_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_4_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_4_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_4_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_4_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_4_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_4_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_4_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_4_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_4_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_4_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_4_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_4_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_4_OFFSET                                         0x0000E624
#define DSP_RFSPI_SPIAR2_4_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_4_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_4_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_4_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_4_OFFSET                                         0x0000E626
#define DSP_RFSPI_SPIAR3_4_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_4_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_4_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_4_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_5_OFFSET                                         0x0000E628
#define DSP_RFSPI_SPIAR0_5_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_5_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_5_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_5_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_5_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_5_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_5_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_5_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_5_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_5_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_5_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_5_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_5_OFFSET                                         0x0000E62A
#define DSP_RFSPI_SPIAR1_5_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_5_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_5_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_5_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_5_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_5_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_5_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_5_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_5_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_5_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_5_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_5_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_5_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_5_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_5_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_5_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_5_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_5_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_5_OFFSET                                         0x0000E62C
#define DSP_RFSPI_SPIAR2_5_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_5_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_5_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_5_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_5_OFFSET                                         0x0000E62E
#define DSP_RFSPI_SPIAR3_5_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_5_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_5_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_5_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_6_OFFSET                                         0x0000E630
#define DSP_RFSPI_SPIAR0_6_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_6_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_6_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_6_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_6_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_6_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_6_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_6_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_6_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_6_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_6_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_6_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_6_OFFSET                                         0x0000E632
#define DSP_RFSPI_SPIAR1_6_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_6_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_6_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_6_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_6_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_6_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_6_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_6_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_6_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_6_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_6_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_6_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_6_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_6_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_6_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_6_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_6_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_6_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_6_OFFSET                                         0x0000E634
#define DSP_RFSPI_SPIAR2_6_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_6_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_6_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_6_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_6_OFFSET                                         0x0000E636
#define DSP_RFSPI_SPIAR3_6_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_6_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_6_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_6_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_7_OFFSET                                         0x0000E638
#define DSP_RFSPI_SPIAR0_7_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_7_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_7_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_7_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_7_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_7_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_7_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_7_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_7_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_7_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_7_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_7_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_7_OFFSET                                         0x0000E63A
#define DSP_RFSPI_SPIAR1_7_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_7_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_7_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_7_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_7_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_7_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_7_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_7_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_7_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_7_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_7_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_7_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_7_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_7_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_7_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_7_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_7_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_7_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_7_OFFSET                                         0x0000E63C
#define DSP_RFSPI_SPIAR2_7_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_7_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_7_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_7_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_7_OFFSET                                         0x0000E63E
#define DSP_RFSPI_SPIAR3_7_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_7_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_7_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_7_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_8_OFFSET                                         0x0000E640
#define DSP_RFSPI_SPIAR0_8_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_8_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_8_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_8_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_8_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_8_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_8_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_8_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_8_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_8_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_8_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_8_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_8_OFFSET                                         0x0000E642
#define DSP_RFSPI_SPIAR1_8_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_8_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_8_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_8_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_8_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_8_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_8_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_8_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_8_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_8_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_8_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_8_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_8_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_8_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_8_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_8_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_8_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_8_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_8_OFFSET                                         0x0000E644
#define DSP_RFSPI_SPIAR2_8_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_8_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_8_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_8_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_8_OFFSET                                         0x0000E646
#define DSP_RFSPI_SPIAR3_8_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_8_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_8_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_8_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_9_OFFSET                                         0x0000E648
#define DSP_RFSPI_SPIAR0_9_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR0_9_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR0_9_SPI_EXT_CLK_EN_SHIFT                        28
#define    DSP_RFSPI_SPIAR0_9_SPI_EXT_CLK_EN_MASK                         0xF0000000
#define    DSP_RFSPI_SPIAR0_9_SPI_EN0_SHIFT                               21
#define    DSP_RFSPI_SPIAR0_9_SPI_EN0_MASK                                0x0FE00000
#define    DSP_RFSPI_SPIAR0_9_SPI_EN1_SHIFT                               14
#define    DSP_RFSPI_SPIAR0_9_SPI_EN1_MASK                                0x001FC000
#define    DSP_RFSPI_SPIAR0_9_SPI_OEN0_SHIFT                              7
#define    DSP_RFSPI_SPIAR0_9_SPI_OEN0_MASK                               0x00003F80
#define    DSP_RFSPI_SPIAR0_9_SPI_OEN1_SHIFT                              0
#define    DSP_RFSPI_SPIAR0_9_SPI_OEN1_MASK                               0x0000007F

#define DSP_RFSPI_SPIAR1_9_OFFSET                                         0x0000E64A
#define DSP_RFSPI_SPIAR1_9_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR1_9_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR1_9_RDEN_INIT_SHIFT                             31
#define    DSP_RFSPI_SPIAR1_9_RDEN_INIT_MASK                              0x80000000
#define    DSP_RFSPI_SPIAR1_9_RDEN0_SHIFT                                 24
#define    DSP_RFSPI_SPIAR1_9_RDEN0_MASK                                  0x7F000000
#define    DSP_RFSPI_SPIAR1_9_EN_INIT_SHIFT                               23
#define    DSP_RFSPI_SPIAR1_9_EN_INIT_MASK                                0x00800000
#define    DSP_RFSPI_SPIAR1_9_RDEN1_SHIFT                                 16
#define    DSP_RFSPI_SPIAR1_9_RDEN1_MASK                                  0x007F0000
#define    DSP_RFSPI_SPIAR1_9_PHASE_INIT_SHIFT                            15
#define    DSP_RFSPI_SPIAR1_9_PHASE_INIT_MASK                             0x00008000
#define    DSP_RFSPI_SPIAR1_9_PHASE0_SHIFT                                8
#define    DSP_RFSPI_SPIAR1_9_PHASE0_MASK                                 0x00007F00
#define    DSP_RFSPI_SPIAR1_9_OEN_INIT_SHIFT                              7
#define    DSP_RFSPI_SPIAR1_9_OEN_INIT_MASK                               0x00000080
#define    DSP_RFSPI_SPIAR1_9_LENGTH_SHIFT                                0
#define    DSP_RFSPI_SPIAR1_9_LENGTH_MASK                                 0x0000007F

#define DSP_RFSPI_SPIAR2_9_OFFSET                                         0x0000E64C
#define DSP_RFSPI_SPIAR2_9_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR2_9_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR2_9_DATA0_SHIFT                                 0
#define    DSP_RFSPI_SPIAR2_9_DATA0_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_9_OFFSET                                         0x0000E64E
#define DSP_RFSPI_SPIAR3_9_TYPE                                           UInt32
#define DSP_RFSPI_SPIAR3_9_RESERVED_MASK                                  0x00000000
#define    DSP_RFSPI_SPIAR3_9_DATA1_SHIFT                                 0
#define    DSP_RFSPI_SPIAR3_9_DATA1_MASK                                  0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_10_OFFSET                                        0x0000E650
#define DSP_RFSPI_SPIAR0_10_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_10_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_10_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_10_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_10_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_10_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_10_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_10_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_10_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_10_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_10_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_10_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_10_OFFSET                                        0x0000E652
#define DSP_RFSPI_SPIAR1_10_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_10_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_10_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_10_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_10_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_10_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_10_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_10_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_10_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_10_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_10_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_10_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_10_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_10_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_10_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_10_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_10_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_10_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_10_OFFSET                                        0x0000E654
#define DSP_RFSPI_SPIAR2_10_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_10_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_10_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_10_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_10_OFFSET                                        0x0000E656
#define DSP_RFSPI_SPIAR3_10_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_10_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_10_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_10_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_11_OFFSET                                        0x0000E658
#define DSP_RFSPI_SPIAR0_11_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_11_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_11_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_11_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_11_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_11_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_11_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_11_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_11_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_11_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_11_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_11_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_11_OFFSET                                        0x0000E65A
#define DSP_RFSPI_SPIAR1_11_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_11_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_11_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_11_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_11_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_11_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_11_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_11_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_11_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_11_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_11_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_11_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_11_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_11_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_11_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_11_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_11_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_11_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_11_OFFSET                                        0x0000E65C
#define DSP_RFSPI_SPIAR2_11_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_11_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_11_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_11_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_11_OFFSET                                        0x0000E65E
#define DSP_RFSPI_SPIAR3_11_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_11_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_11_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_11_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_12_OFFSET                                        0x0000E660
#define DSP_RFSPI_SPIAR0_12_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_12_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_12_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_12_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_12_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_12_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_12_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_12_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_12_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_12_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_12_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_12_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_12_OFFSET                                        0x0000E662
#define DSP_RFSPI_SPIAR1_12_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_12_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_12_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_12_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_12_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_12_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_12_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_12_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_12_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_12_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_12_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_12_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_12_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_12_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_12_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_12_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_12_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_12_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_12_OFFSET                                        0x0000E664
#define DSP_RFSPI_SPIAR2_12_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_12_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_12_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_12_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_12_OFFSET                                        0x0000E666
#define DSP_RFSPI_SPIAR3_12_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_12_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_12_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_12_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_13_OFFSET                                        0x0000E668
#define DSP_RFSPI_SPIAR0_13_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_13_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_13_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_13_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_13_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_13_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_13_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_13_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_13_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_13_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_13_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_13_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_13_OFFSET                                        0x0000E66A
#define DSP_RFSPI_SPIAR1_13_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_13_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_13_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_13_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_13_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_13_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_13_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_13_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_13_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_13_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_13_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_13_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_13_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_13_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_13_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_13_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_13_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_13_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_13_OFFSET                                        0x0000E66C
#define DSP_RFSPI_SPIAR2_13_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_13_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_13_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_13_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_13_OFFSET                                        0x0000E66E
#define DSP_RFSPI_SPIAR3_13_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_13_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_13_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_13_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_14_OFFSET                                        0x0000E670
#define DSP_RFSPI_SPIAR0_14_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_14_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_14_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_14_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_14_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_14_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_14_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_14_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_14_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_14_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_14_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_14_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_14_OFFSET                                        0x0000E672
#define DSP_RFSPI_SPIAR1_14_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_14_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_14_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_14_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_14_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_14_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_14_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_14_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_14_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_14_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_14_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_14_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_14_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_14_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_14_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_14_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_14_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_14_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_14_OFFSET                                        0x0000E674
#define DSP_RFSPI_SPIAR2_14_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_14_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_14_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_14_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_14_OFFSET                                        0x0000E676
#define DSP_RFSPI_SPIAR3_14_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_14_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_14_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_14_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR0_15_OFFSET                                        0x0000E678
#define DSP_RFSPI_SPIAR0_15_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR0_15_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR0_15_SPI_EXT_CLK_EN_SHIFT                       28
#define    DSP_RFSPI_SPIAR0_15_SPI_EXT_CLK_EN_MASK                        0xF0000000
#define    DSP_RFSPI_SPIAR0_15_SPI_EN0_SHIFT                              21
#define    DSP_RFSPI_SPIAR0_15_SPI_EN0_MASK                               0x0FE00000
#define    DSP_RFSPI_SPIAR0_15_SPI_EN1_SHIFT                              14
#define    DSP_RFSPI_SPIAR0_15_SPI_EN1_MASK                               0x001FC000
#define    DSP_RFSPI_SPIAR0_15_SPI_OEN0_SHIFT                             7
#define    DSP_RFSPI_SPIAR0_15_SPI_OEN0_MASK                              0x00003F80
#define    DSP_RFSPI_SPIAR0_15_SPI_OEN1_SHIFT                             0
#define    DSP_RFSPI_SPIAR0_15_SPI_OEN1_MASK                              0x0000007F

#define DSP_RFSPI_SPIAR1_15_OFFSET                                        0x0000E67A
#define DSP_RFSPI_SPIAR1_15_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR1_15_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR1_15_RDEN_INIT_SHIFT                            31
#define    DSP_RFSPI_SPIAR1_15_RDEN_INIT_MASK                             0x80000000
#define    DSP_RFSPI_SPIAR1_15_RDEN0_SHIFT                                24
#define    DSP_RFSPI_SPIAR1_15_RDEN0_MASK                                 0x7F000000
#define    DSP_RFSPI_SPIAR1_15_EN_INIT_SHIFT                              23
#define    DSP_RFSPI_SPIAR1_15_EN_INIT_MASK                               0x00800000
#define    DSP_RFSPI_SPIAR1_15_RDEN1_SHIFT                                16
#define    DSP_RFSPI_SPIAR1_15_RDEN1_MASK                                 0x007F0000
#define    DSP_RFSPI_SPIAR1_15_PHASE_INIT_SHIFT                           15
#define    DSP_RFSPI_SPIAR1_15_PHASE_INIT_MASK                            0x00008000
#define    DSP_RFSPI_SPIAR1_15_PHASE0_SHIFT                               8
#define    DSP_RFSPI_SPIAR1_15_PHASE0_MASK                                0x00007F00
#define    DSP_RFSPI_SPIAR1_15_OEN_INIT_SHIFT                             7
#define    DSP_RFSPI_SPIAR1_15_OEN_INIT_MASK                              0x00000080
#define    DSP_RFSPI_SPIAR1_15_LENGTH_SHIFT                               0
#define    DSP_RFSPI_SPIAR1_15_LENGTH_MASK                                0x0000007F

#define DSP_RFSPI_SPIAR2_15_OFFSET                                        0x0000E67C
#define DSP_RFSPI_SPIAR2_15_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR2_15_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR2_15_DATA0_SHIFT                                0
#define    DSP_RFSPI_SPIAR2_15_DATA0_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPIAR3_15_OFFSET                                        0x0000E67E
#define DSP_RFSPI_SPIAR3_15_TYPE                                          UInt32
#define DSP_RFSPI_SPIAR3_15_RESERVED_MASK                                 0x00000000
#define    DSP_RFSPI_SPIAR3_15_DATA1_SHIFT                                0
#define    DSP_RFSPI_SPIAR3_15_DATA1_MASK                                 0xFFFFFFFF

#define DSP_RFSPI_SPITSR0_OFFSET                                          0x0000E680
#define DSP_RFSPI_SPITSR0_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR0_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR0_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR0_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR0_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR0_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR0_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR0_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR0_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR0_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR1_OFFSET                                          0x0000E682
#define DSP_RFSPI_SPITSR1_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR1_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR1_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR1_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR1_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR1_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR1_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR1_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR1_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR1_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR2_OFFSET                                          0x0000E684
#define DSP_RFSPI_SPITSR2_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR2_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR2_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR2_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR2_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR2_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR2_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR2_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR2_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR2_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR3_OFFSET                                          0x0000E686
#define DSP_RFSPI_SPITSR3_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR3_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR3_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR3_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR3_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR3_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR3_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR3_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR3_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR3_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR4_OFFSET                                          0x0000E688
#define DSP_RFSPI_SPITSR4_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR4_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR4_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR4_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR4_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR4_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR4_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR4_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR4_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR4_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR5_OFFSET                                          0x0000E68A
#define DSP_RFSPI_SPITSR5_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR5_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR5_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR5_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR5_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR5_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR5_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR5_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR5_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR5_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR6_OFFSET                                          0x0000E68C
#define DSP_RFSPI_SPITSR6_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR6_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR6_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR6_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR6_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR6_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR6_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR6_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR6_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR6_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR7_OFFSET                                          0x0000E68E
#define DSP_RFSPI_SPITSR7_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR7_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR7_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR7_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR7_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR7_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR7_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR7_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR7_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR7_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR8_OFFSET                                          0x0000E690
#define DSP_RFSPI_SPITSR8_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR8_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR8_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR8_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR8_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR8_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR8_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR8_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR8_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR8_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR9_OFFSET                                          0x0000E692
#define DSP_RFSPI_SPITSR9_TYPE                                            UInt32
#define DSP_RFSPI_SPITSR9_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPITSR9_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPITSR9_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPITSR9_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPITSR9_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPITSR9_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPITSR9_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPITSR9_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPITSR9_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPITSR10_OFFSET                                         0x0000E694
#define DSP_RFSPI_SPITSR10_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR10_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR10_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR10_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR10_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR10_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR10_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR10_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR10_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR10_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR11_OFFSET                                         0x0000E696
#define DSP_RFSPI_SPITSR11_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR11_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR11_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR11_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR11_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR11_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR11_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR11_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR11_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR11_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR12_OFFSET                                         0x0000E698
#define DSP_RFSPI_SPITSR12_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR12_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR12_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR12_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR12_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR12_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR12_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR12_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR12_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR12_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR13_OFFSET                                         0x0000E69A
#define DSP_RFSPI_SPITSR13_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR13_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR13_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR13_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR13_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR13_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR13_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR13_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR13_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR13_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR14_OFFSET                                         0x0000E69C
#define DSP_RFSPI_SPITSR14_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR14_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR14_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR14_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR14_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR14_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR14_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR14_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR14_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR14_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR15_OFFSET                                         0x0000E69E
#define DSP_RFSPI_SPITSR15_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR15_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR15_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR15_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR15_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR15_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR15_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR15_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR15_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR15_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR16_OFFSET                                         0x0000E6A0
#define DSP_RFSPI_SPITSR16_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR16_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR16_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR16_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR16_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR16_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR16_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR16_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR16_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR16_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR17_OFFSET                                         0x0000E6A2
#define DSP_RFSPI_SPITSR17_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR17_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR17_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR17_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR17_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR17_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR17_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR17_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR17_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR17_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR18_OFFSET                                         0x0000E6A4
#define DSP_RFSPI_SPITSR18_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR18_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR18_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR18_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR18_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR18_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR18_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR18_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR18_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR18_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR19_OFFSET                                         0x0000E6A6
#define DSP_RFSPI_SPITSR19_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR19_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR19_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR19_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR19_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR19_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR19_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR19_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR19_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR19_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR20_OFFSET                                         0x0000E6A8
#define DSP_RFSPI_SPITSR20_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR20_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR20_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR20_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR20_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR20_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR20_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR20_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR20_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR20_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR21_OFFSET                                         0x0000E6AA
#define DSP_RFSPI_SPITSR21_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR21_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR21_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR21_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR21_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR21_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR21_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR21_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR21_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR21_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR22_OFFSET                                         0x0000E6AC
#define DSP_RFSPI_SPITSR22_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR22_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR22_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR22_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR22_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR22_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR22_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR22_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR22_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR22_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR23_OFFSET                                         0x0000E6AE
#define DSP_RFSPI_SPITSR23_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR23_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR23_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR23_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR23_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR23_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR23_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR23_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR23_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR23_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR24_OFFSET                                         0x0000E6B0
#define DSP_RFSPI_SPITSR24_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR24_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR24_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR24_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR24_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR24_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR24_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR24_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR24_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR24_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR25_OFFSET                                         0x0000E6B2
#define DSP_RFSPI_SPITSR25_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR25_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR25_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR25_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR25_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR25_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR25_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR25_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR25_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR25_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR26_OFFSET                                         0x0000E6B4
#define DSP_RFSPI_SPITSR26_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR26_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR26_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR26_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR26_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR26_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR26_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR26_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR26_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR26_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR27_OFFSET                                         0x0000E6B6
#define DSP_RFSPI_SPITSR27_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR27_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR27_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR27_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR27_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR27_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR27_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR27_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR27_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR27_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR28_OFFSET                                         0x0000E6B8
#define DSP_RFSPI_SPITSR28_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR28_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR28_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR28_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR28_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR28_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR28_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR28_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR28_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR28_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR29_OFFSET                                         0x0000E6BA
#define DSP_RFSPI_SPITSR29_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR29_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR29_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR29_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR29_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR29_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR29_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR29_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR29_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR29_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR30_OFFSET                                         0x0000E6BC
#define DSP_RFSPI_SPITSR30_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR30_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR30_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR30_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR30_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR30_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR30_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR30_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR30_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR30_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPITSR31_OFFSET                                         0x0000E6BE
#define DSP_RFSPI_SPITSR31_TYPE                                           UInt32
#define DSP_RFSPI_SPITSR31_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPITSR31_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPITSR31_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPITSR31_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPITSR31_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPITSR31_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPITSR31_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPITSR31_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPITSR31_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR0_OFFSET                                          0x0000E6C0
#define DSP_RFSPI_SPIRSR0_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR0_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR0_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR0_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR0_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR0_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR0_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR0_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR0_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR0_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR1_OFFSET                                          0x0000E6C2
#define DSP_RFSPI_SPIRSR1_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR1_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR1_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR1_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR1_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR1_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR1_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR1_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR1_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR1_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR2_OFFSET                                          0x0000E6C4
#define DSP_RFSPI_SPIRSR2_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR2_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR2_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR2_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR2_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR2_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR2_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR2_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR2_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR2_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR3_OFFSET                                          0x0000E6C6
#define DSP_RFSPI_SPIRSR3_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR3_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR3_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR3_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR3_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR3_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR3_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR3_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR3_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR3_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR4_OFFSET                                          0x0000E6C8
#define DSP_RFSPI_SPIRSR4_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR4_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR4_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR4_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR4_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR4_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR4_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR4_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR4_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR4_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR5_OFFSET                                          0x0000E6CA
#define DSP_RFSPI_SPIRSR5_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR5_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR5_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR5_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR5_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR5_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR5_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR5_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR5_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR5_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR6_OFFSET                                          0x0000E6CC
#define DSP_RFSPI_SPIRSR6_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR6_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR6_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR6_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR6_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR6_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR6_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR6_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR6_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR6_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR7_OFFSET                                          0x0000E6CE
#define DSP_RFSPI_SPIRSR7_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR7_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR7_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR7_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR7_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR7_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR7_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR7_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR7_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR7_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR8_OFFSET                                          0x0000E6D0
#define DSP_RFSPI_SPIRSR8_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR8_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR8_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR8_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR8_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR8_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR8_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR8_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR8_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR8_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR9_OFFSET                                          0x0000E6D2
#define DSP_RFSPI_SPIRSR9_TYPE                                            UInt32
#define DSP_RFSPI_SPIRSR9_RESERVED_MASK                                   0xF0008000
#define    DSP_RFSPI_SPIRSR9_DEL_SHIFT                                    16
#define    DSP_RFSPI_SPIRSR9_DEL_MASK                                     0x0FFF0000
#define    DSP_RFSPI_SPIRSR9_INDEX_SHIFT                                  8
#define    DSP_RFSPI_SPIRSR9_INDEX_MASK                                   0x00007F00
#define    DSP_RFSPI_SPIRSR9_ATCCOUNT_SHIFT                               4
#define    DSP_RFSPI_SPIRSR9_ATCCOUNT_MASK                                0x000000F0
#define    DSP_RFSPI_SPIRSR9_CMDN_SHIFT                                   0
#define    DSP_RFSPI_SPIRSR9_CMDN_MASK                                    0x0000000F

#define DSP_RFSPI_SPIRSR10_OFFSET                                         0x0000E6D4
#define DSP_RFSPI_SPIRSR10_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR10_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR10_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR10_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR10_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR10_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR10_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR10_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR10_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR10_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR11_OFFSET                                         0x0000E6D6
#define DSP_RFSPI_SPIRSR11_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR11_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR11_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR11_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR11_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR11_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR11_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR11_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR11_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR11_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR12_OFFSET                                         0x0000E6D8
#define DSP_RFSPI_SPIRSR12_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR12_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR12_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR12_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR12_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR12_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR12_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR12_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR12_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR12_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR13_OFFSET                                         0x0000E6DA
#define DSP_RFSPI_SPIRSR13_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR13_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR13_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR13_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR13_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR13_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR13_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR13_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR13_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR13_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR14_OFFSET                                         0x0000E6DC
#define DSP_RFSPI_SPIRSR14_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR14_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR14_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR14_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR14_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR14_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR14_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR14_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR14_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR14_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR15_OFFSET                                         0x0000E6DE
#define DSP_RFSPI_SPIRSR15_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR15_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR15_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR15_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR15_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR15_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR15_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR15_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR15_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR15_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR16_OFFSET                                         0x0000E6E0
#define DSP_RFSPI_SPIRSR16_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR16_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR16_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR16_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR16_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR16_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR16_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR16_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR16_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR16_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR17_OFFSET                                         0x0000E6E2
#define DSP_RFSPI_SPIRSR17_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR17_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR17_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR17_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR17_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR17_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR17_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR17_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR17_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR17_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR18_OFFSET                                         0x0000E6E4
#define DSP_RFSPI_SPIRSR18_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR18_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR18_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR18_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR18_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR18_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR18_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR18_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR18_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR18_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR19_OFFSET                                         0x0000E6E6
#define DSP_RFSPI_SPIRSR19_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR19_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR19_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR19_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR19_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR19_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR19_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR19_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR19_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR19_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR20_OFFSET                                         0x0000E6E8
#define DSP_RFSPI_SPIRSR20_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR20_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR20_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR20_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR20_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR20_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR20_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR20_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR20_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR20_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR21_OFFSET                                         0x0000E6EA
#define DSP_RFSPI_SPIRSR21_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR21_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR21_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR21_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR21_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR21_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR21_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR21_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR21_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR21_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR22_OFFSET                                         0x0000E6EC
#define DSP_RFSPI_SPIRSR22_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR22_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR22_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR22_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR22_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR22_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR22_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR22_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR22_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR22_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR23_OFFSET                                         0x0000E6EE
#define DSP_RFSPI_SPIRSR23_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR23_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR23_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR23_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR23_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR23_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR23_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR23_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR23_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR23_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR24_OFFSET                                         0x0000E6F0
#define DSP_RFSPI_SPIRSR24_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR24_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR24_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR24_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR24_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR24_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR24_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR24_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR24_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR24_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR25_OFFSET                                         0x0000E6F2
#define DSP_RFSPI_SPIRSR25_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR25_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR25_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR25_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR25_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR25_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR25_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR25_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR25_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR25_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR26_OFFSET                                         0x0000E6F4
#define DSP_RFSPI_SPIRSR26_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR26_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR26_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR26_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR26_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR26_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR26_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR26_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR26_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR26_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR27_OFFSET                                         0x0000E6F6
#define DSP_RFSPI_SPIRSR27_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR27_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR27_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR27_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR27_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR27_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR27_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR27_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR27_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR27_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR28_OFFSET                                         0x0000E6F8
#define DSP_RFSPI_SPIRSR28_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR28_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR28_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR28_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR28_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR28_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR28_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR28_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR28_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR28_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR29_OFFSET                                         0x0000E6FA
#define DSP_RFSPI_SPIRSR29_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR29_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR29_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR29_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR29_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR29_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR29_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR29_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR29_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR29_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR30_OFFSET                                         0x0000E6FC
#define DSP_RFSPI_SPIRSR30_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR30_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR30_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR30_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR30_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR30_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR30_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR30_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR30_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR30_CMDN_MASK                                   0x0000000F

#define DSP_RFSPI_SPIRSR31_OFFSET                                         0x0000E6FE
#define DSP_RFSPI_SPIRSR31_TYPE                                           UInt32
#define DSP_RFSPI_SPIRSR31_RESERVED_MASK                                  0xF0008000
#define    DSP_RFSPI_SPIRSR31_DEL_SHIFT                                   16
#define    DSP_RFSPI_SPIRSR31_DEL_MASK                                    0x0FFF0000
#define    DSP_RFSPI_SPIRSR31_INDEX_SHIFT                                 8
#define    DSP_RFSPI_SPIRSR31_INDEX_MASK                                  0x00007F00
#define    DSP_RFSPI_SPIRSR31_ATCCOUNT_SHIFT                              4
#define    DSP_RFSPI_SPIRSR31_ATCCOUNT_MASK                               0x000000F0
#define    DSP_RFSPI_SPIRSR31_CMDN_SHIFT                                  0
#define    DSP_RFSPI_SPIRSR31_CMDN_MASK                                   0x0000000F

#endif /* __BRCM_RDB_DSP_RFSPI_H__ */


