/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_GICDIST_H__
#define __BRCM_RDB_GICDIST_H__

#define GICDIST_ENABLE_S_OFFSET                                           0x00000000
#define GICDIST_ENABLE_S_TYPE                                             UInt32
#define GICDIST_ENABLE_S_RESERVED_MASK                                    0xFFFFFFFE
#define    GICDIST_ENABLE_S_ENABLE_SHIFT                                  0
#define    GICDIST_ENABLE_S_ENABLE_MASK                                   0x00000001
#define       GICDIST_ENABLE_S_ENABLE_CMD_RESTRICT                        0x00000000
#define       GICDIST_ENABLE_S_ENABLE_CMD_NO_RESTRICT                     0x00000001

#define GICDIST_IC_TYPE_REG_OFFSET                                        0x00000004
#define GICDIST_IC_TYPE_REG_TYPE                                          UInt32
#define GICDIST_IC_TYPE_REG_RESERVED_MASK                                 0xFFFF0300
#define    GICDIST_IC_TYPE_REG_LSPI_SHIFT                                 11
#define    GICDIST_IC_TYPE_REG_LSPI_MASK                                  0x0000F800
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI0                          0x00000000
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI1                          0x00000001
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI2                          0x00000002
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI3                          0x00000003
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI4                          0x00000004
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI5                          0x00000005
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI6                          0x00000006
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI7                          0x00000007
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI8                          0x00000008
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI9                          0x00000009
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI10                         0x0000000A
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI11                         0x0000000B
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI12                         0x0000000C
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI13                         0x0000000D
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI14                         0x0000000E
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI15                         0x0000000F
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI16                         0x00000010
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI17                         0x00000011
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI18                         0x00000012
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI19                         0x00000013
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI20                         0x00000014
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI21                         0x00000015
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI22                         0x00000016
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI23                         0x00000017
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI24                         0x00000018
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI25                         0x00000019
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI26                         0x0000001A
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI27                         0x0000001B
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI28                         0x0000001C
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI29                         0x0000001D
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI30                         0x0000001E
#define       GICDIST_IC_TYPE_REG_LSPI_CMD_LSPI31                         0x0000001F
#define    GICDIST_IC_TYPE_REG_TZ_SHIFT                                   10
#define    GICDIST_IC_TYPE_REG_TZ_MASK                                    0x00000400
#define       GICDIST_IC_TYPE_REG_TZ_CMD_SECURE_ONLY                      0x00000000
#define       GICDIST_IC_TYPE_REG_TZ_CMD_BOTH                             0x00000001
#define    GICDIST_IC_TYPE_REG_CPU_NUMBER_SHIFT                           5
#define    GICDIST_IC_TYPE_REG_CPU_NUMBER_MASK                            0x000000E0
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU1                     0x00000000
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU2                     0x00000001
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU3                     0x00000002
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU4                     0x00000003
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU5                     0x00000004
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU6                     0x00000005
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU7                     0x00000006
#define       GICDIST_IC_TYPE_REG_CPU_NUMBER_CMD_CPU8                     0x00000007
#define    GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_SHIFT                      0
#define    GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_MASK                       0x0000001F
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST0         0x00000000
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST1         0x00000001
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST2         0x00000002
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST3         0x00000003
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST4         0x00000004
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST5         0x00000005
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST6         0x00000006
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST7         0x00000007
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST8         0x00000008
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST9         0x00000009
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST10        0x0000000A
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST11        0x0000000B
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST12        0x0000000C
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST13        0x0000000D
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST14        0x0000000E
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST15        0x0000000F
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST16        0x00000010
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST17        0x00000011
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST18        0x00000012
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST19        0x00000013
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST20        0x00000014
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST21        0x00000015
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST22        0x00000016
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST23        0x00000017
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST24        0x00000018
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST25        0x00000019
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST26        0x0000001A
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST27        0x0000001B
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST28        0x0000001C
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST29        0x0000001D
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST30        0x0000001E
#define       GICDIST_IC_TYPE_REG_IT_LINES_NUMBER_CMD_INTID_DIST31        0x0000001F

#define GICDIST_DIST_IDENT_REG_OFFSET                                     0x00000008
#define GICDIST_DIST_IDENT_REG_TYPE                                       UInt32
#define GICDIST_DIST_IDENT_REG_RESERVED_MASK                              0xFF000000
#define    GICDIST_DIST_IDENT_REG_REVISION_NUMBER_SHIFT                   12
#define    GICDIST_DIST_IDENT_REG_REVISION_NUMBER_MASK                    0x00FFF000
#define    GICDIST_DIST_IDENT_REG_IMPLEMENTOR_SHIFT                       0
#define    GICDIST_DIST_IDENT_REG_IMPLEMENTOR_MASK                        0x00000FFF

#define GICDIST_INT_SECURITY0_OFFSET                                      0x00000080
#define GICDIST_INT_SECURITY0_TYPE                                        UInt32
#define GICDIST_INT_SECURITY0_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY0_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY0_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY0_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY1_OFFSET                                      0x00000084
#define GICDIST_INT_SECURITY1_TYPE                                        UInt32
#define GICDIST_INT_SECURITY1_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY1_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY1_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY1_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY2_OFFSET                                      0x00000088
#define GICDIST_INT_SECURITY2_TYPE                                        UInt32
#define GICDIST_INT_SECURITY2_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY2_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY2_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY2_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY3_OFFSET                                      0x0000008C
#define GICDIST_INT_SECURITY3_TYPE                                        UInt32
#define GICDIST_INT_SECURITY3_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY3_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY3_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY3_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY4_OFFSET                                      0x00000090
#define GICDIST_INT_SECURITY4_TYPE                                        UInt32
#define GICDIST_INT_SECURITY4_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY4_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY4_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY4_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY5_OFFSET                                      0x00000094
#define GICDIST_INT_SECURITY5_TYPE                                        UInt32
#define GICDIST_INT_SECURITY5_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY5_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY5_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY5_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY6_OFFSET                                      0x00000098
#define GICDIST_INT_SECURITY6_TYPE                                        UInt32
#define GICDIST_INT_SECURITY6_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY6_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY6_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY6_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_INT_SECURITY7_OFFSET                                      0x0000009C
#define GICDIST_INT_SECURITY7_TYPE                                        UInt32
#define GICDIST_INT_SECURITY7_RESERVED_MASK                               0x00000000
#define    GICDIST_INT_SECURITY7_INT_NS_SHIFT                             0
#define    GICDIST_INT_SECURITY7_INT_NS_MASK                              0xFFFFFFFF
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_0           0x00000001
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_1           0x00000002
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_2           0x00000004
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_3           0x00000008
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_4           0x00000010
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_5           0x00000020
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_6           0x00000040
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_7           0x00000080
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_8           0x00000100
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_9           0x00000200
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_10          0x00000400
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_11          0x00000800
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_12          0x00001000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_13          0x00002000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_14          0x00004000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_15          0x00008000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_16          0x00010000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_17          0x00020000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_18          0x00040000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_19          0x00080000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_20          0x00100000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_21          0x00200000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_22          0x00400000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_23          0x00800000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_24          0x01000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_25          0x02000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_26          0x04000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_27          0x08000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_28          0x10000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_29          0x20000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_30          0x40000000
#define       GICDIST_INT_SECURITY7_INT_NS_CMD_SECURITY_STATE_31          0x80000000

#define GICDIST_ENABLE_SET0_OFFSET                                        0x00000100
#define GICDIST_ENABLE_SET0_TYPE                                          UInt32
#define GICDIST_ENABLE_SET0_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET0_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET0_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET0_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET1_OFFSET                                        0x00000104
#define GICDIST_ENABLE_SET1_TYPE                                          UInt32
#define GICDIST_ENABLE_SET1_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET1_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET1_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET1_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET2_OFFSET                                        0x00000108
#define GICDIST_ENABLE_SET2_TYPE                                          UInt32
#define GICDIST_ENABLE_SET2_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET2_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET2_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET2_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET3_OFFSET                                        0x0000010C
#define GICDIST_ENABLE_SET3_TYPE                                          UInt32
#define GICDIST_ENABLE_SET3_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET3_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET3_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET3_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET4_OFFSET                                        0x00000110
#define GICDIST_ENABLE_SET4_TYPE                                          UInt32
#define GICDIST_ENABLE_SET4_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET4_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET4_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET4_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET5_OFFSET                                        0x00000114
#define GICDIST_ENABLE_SET5_TYPE                                          UInt32
#define GICDIST_ENABLE_SET5_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET5_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET5_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET5_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET6_OFFSET                                        0x00000118
#define GICDIST_ENABLE_SET6_TYPE                                          UInt32
#define GICDIST_ENABLE_SET6_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET6_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET6_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET6_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_SET7_OFFSET                                        0x0000011C
#define GICDIST_ENABLE_SET7_TYPE                                          UInt32
#define GICDIST_ENABLE_SET7_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_SET7_ENABLE_SET_SHIFT                           0
#define    GICDIST_ENABLE_SET7_ENABLE_SET_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_0             0x00000001
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_1             0x00000002
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_2             0x00000004
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_3             0x00000008
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_4             0x00000010
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_5             0x00000020
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_6             0x00000040
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_7             0x00000080
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_8             0x00000100
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_9             0x00000200
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_10            0x00000400
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_11            0x00000800
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_12            0x00001000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_13            0x00002000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_14            0x00004000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_15            0x00008000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_16            0x00010000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_17            0x00020000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_18            0x00040000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_19            0x00080000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_20            0x00100000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_21            0x00200000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_22            0x00400000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_23            0x00800000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_24            0x01000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_25            0x02000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_26            0x04000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_27            0x08000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_28            0x10000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_29            0x20000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_30            0x40000000
#define       GICDIST_ENABLE_SET7_ENABLE_SET_CMD_ENABLE_SET_31            0x80000000

#define GICDIST_ENABLE_CLR0_OFFSET                                        0x00000180
#define GICDIST_ENABLE_CLR0_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR0_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR0_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR0_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR0_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR1_OFFSET                                        0x00000184
#define GICDIST_ENABLE_CLR1_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR1_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR1_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR1_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR1_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR2_OFFSET                                        0x00000188
#define GICDIST_ENABLE_CLR2_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR2_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR2_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR2_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR2_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR3_OFFSET                                        0x0000018C
#define GICDIST_ENABLE_CLR3_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR3_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR3_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR3_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR3_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR4_OFFSET                                        0x00000190
#define GICDIST_ENABLE_CLR4_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR4_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR4_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR4_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR4_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR5_OFFSET                                        0x00000194
#define GICDIST_ENABLE_CLR5_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR5_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR5_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR5_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR5_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR6_OFFSET                                        0x00000198
#define GICDIST_ENABLE_CLR6_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR6_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR6_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR6_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR6_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_ENABLE_CLR7_OFFSET                                        0x0000019C
#define GICDIST_ENABLE_CLR7_TYPE                                          UInt32
#define GICDIST_ENABLE_CLR7_RESERVED_MASK                                 0x00000000
#define    GICDIST_ENABLE_CLR7_ENABLE_CLR_SHIFT                           0
#define    GICDIST_ENABLE_CLR7_ENABLE_CLR_MASK                            0xFFFFFFFF
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_0           0x00000001
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_1           0x00000002
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_2           0x00000004
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_3           0x00000008
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_4           0x00000010
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_5           0x00000020
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_6           0x00000040
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_7           0x00000080
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_8           0x00000100
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_9           0x00000200
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_10          0x00000400
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_11          0x00000800
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_12          0x00001000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_13          0x00002000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_14          0x00004000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_15          0x00008000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_16          0x00010000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_17          0x00020000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_18          0x00040000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_19          0x00080000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_20          0x00100000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_21          0x00200000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_22          0x00400000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_23          0x00800000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_24          0x01000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_25          0x02000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_26          0x04000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_27          0x08000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_28          0x10000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_29          0x20000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_30          0x40000000
#define       GICDIST_ENABLE_CLR7_ENABLE_CLR_CMD_ENABLE_CLEAR_31          0x80000000

#define GICDIST_PENDING_SET0_OFFSET                                       0x00000200
#define GICDIST_PENDING_SET0_TYPE                                         UInt32
#define GICDIST_PENDING_SET0_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET0_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET0_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET0_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET1_OFFSET                                       0x00000204
#define GICDIST_PENDING_SET1_TYPE                                         UInt32
#define GICDIST_PENDING_SET1_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET1_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET1_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET1_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET2_OFFSET                                       0x00000208
#define GICDIST_PENDING_SET2_TYPE                                         UInt32
#define GICDIST_PENDING_SET2_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET2_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET2_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET2_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET3_OFFSET                                       0x0000020C
#define GICDIST_PENDING_SET3_TYPE                                         UInt32
#define GICDIST_PENDING_SET3_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET3_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET3_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET3_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET4_OFFSET                                       0x00000210
#define GICDIST_PENDING_SET4_TYPE                                         UInt32
#define GICDIST_PENDING_SET4_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET4_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET4_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET4_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET5_OFFSET                                       0x00000214
#define GICDIST_PENDING_SET5_TYPE                                         UInt32
#define GICDIST_PENDING_SET5_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET5_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET5_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET5_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET6_OFFSET                                       0x00000218
#define GICDIST_PENDING_SET6_TYPE                                         UInt32
#define GICDIST_PENDING_SET6_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET6_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET6_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET6_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_SET7_OFFSET                                       0x0000021C
#define GICDIST_PENDING_SET7_TYPE                                         UInt32
#define GICDIST_PENDING_SET7_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_SET7_PENDING_SET_SHIFT                         0
#define    GICDIST_PENDING_SET7_PENDING_SET_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_0          0x00000001
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_1          0x00000002
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_2          0x00000004
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_3          0x00000008
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_4          0x00000010
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_5          0x00000020
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_6          0x00000040
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_7          0x00000080
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_8          0x00000100
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_9          0x00000200
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_10         0x00000400
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_11         0x00000800
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_12         0x00001000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_13         0x00002000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_14         0x00004000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_15         0x00008000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_16         0x00010000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_17         0x00020000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_18         0x00040000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_19         0x00080000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_20         0x00100000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_21         0x00200000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_22         0x00400000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_23         0x00800000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_24         0x01000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_25         0x02000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_26         0x04000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_27         0x08000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_28         0x10000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_29         0x20000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_30         0x40000000
#define       GICDIST_PENDING_SET7_PENDING_SET_CMD_PENDING_SET_31         0x80000000

#define GICDIST_PENDING_CLR0_OFFSET                                       0x00000280
#define GICDIST_PENDING_CLR0_TYPE                                         UInt32
#define GICDIST_PENDING_CLR0_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR0_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR0_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR0_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR1_OFFSET                                       0x00000284
#define GICDIST_PENDING_CLR1_TYPE                                         UInt32
#define GICDIST_PENDING_CLR1_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR1_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR1_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR1_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR2_OFFSET                                       0x00000288
#define GICDIST_PENDING_CLR2_TYPE                                         UInt32
#define GICDIST_PENDING_CLR2_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR2_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR2_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR2_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR3_OFFSET                                       0x0000028C
#define GICDIST_PENDING_CLR3_TYPE                                         UInt32
#define GICDIST_PENDING_CLR3_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR3_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR3_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR3_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR4_OFFSET                                       0x00000290
#define GICDIST_PENDING_CLR4_TYPE                                         UInt32
#define GICDIST_PENDING_CLR4_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR4_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR4_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR4_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR5_OFFSET                                       0x00000294
#define GICDIST_PENDING_CLR5_TYPE                                         UInt32
#define GICDIST_PENDING_CLR5_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR5_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR5_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR5_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR6_OFFSET                                       0x00000298
#define GICDIST_PENDING_CLR6_TYPE                                         UInt32
#define GICDIST_PENDING_CLR6_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR6_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR6_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR6_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_PENDING_CLR7_OFFSET                                       0x0000029C
#define GICDIST_PENDING_CLR7_TYPE                                         UInt32
#define GICDIST_PENDING_CLR7_RESERVED_MASK                                0x00000000
#define    GICDIST_PENDING_CLR7_PENDING_CLR_SHIFT                         0
#define    GICDIST_PENDING_CLR7_PENDING_CLR_MASK                          0xFFFFFFFF
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_0        0x00000001
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_1        0x00000002
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_2        0x00000004
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_3        0x00000008
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_4        0x00000010
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_5        0x00000020
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_6        0x00000040
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_7        0x00000080
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_8        0x00000100
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_9        0x00000200
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_10       0x00000400
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_11       0x00000800
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_12       0x00001000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_13       0x00002000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_14       0x00004000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_15       0x00008000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_16       0x00010000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_17       0x00020000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_18       0x00040000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_19       0x00080000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_20       0x00100000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_21       0x00200000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_22       0x00400000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_23       0x00800000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_24       0x01000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_25       0x02000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_26       0x04000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_27       0x08000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_28       0x10000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_29       0x20000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_30       0x40000000
#define       GICDIST_PENDING_CLR7_PENDING_CLR_CMD_PENDING_CLEAR_31       0x80000000

#define GICDIST_ACTIVE_STATUS0_OFFSET                                     0x00000300
#define GICDIST_ACTIVE_STATUS0_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS0_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS0_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS1_OFFSET                                     0x00000304
#define GICDIST_ACTIVE_STATUS1_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS1_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS1_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS2_OFFSET                                     0x00000308
#define GICDIST_ACTIVE_STATUS2_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS2_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS2_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS3_OFFSET                                     0x0000030C
#define GICDIST_ACTIVE_STATUS3_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS3_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS3_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS4_OFFSET                                     0x00000310
#define GICDIST_ACTIVE_STATUS4_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS4_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS4_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS5_OFFSET                                     0x00000314
#define GICDIST_ACTIVE_STATUS5_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS5_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS5_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS6_OFFSET                                     0x00000318
#define GICDIST_ACTIVE_STATUS6_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS6_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS6_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_ACTIVE_STATUS7_OFFSET                                     0x0000031C
#define GICDIST_ACTIVE_STATUS7_TYPE                                       UInt32
#define GICDIST_ACTIVE_STATUS7_RESERVED_MASK                              0x00000000
#define    GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_SHIFT                     0
#define    GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_MASK                      0xFFFFFFFF
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_0    0x00000001
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_1    0x00000002
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_2    0x00000004
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_3    0x00000008
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_4    0x00000010
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_5    0x00000020
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_6    0x00000040
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_7    0x00000080
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_8    0x00000100
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_9    0x00000200
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_10   0x00000400
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_11   0x00000800
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_12   0x00001000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_13   0x00002000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_14   0x00004000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_15   0x00008000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_16   0x00010000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_17   0x00020000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_18   0x00040000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_19   0x00080000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_20   0x00100000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_21   0x00200000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_22   0x00400000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_23   0x00800000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_24   0x01000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_25   0x02000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_26   0x04000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_27   0x08000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_28   0x10000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_29   0x20000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_30   0x40000000
#define       GICDIST_ACTIVE_STATUS7_ACTIVE_STATUS_CMD_ACTIVE_STATUS_31   0x80000000

#define GICDIST_PRIORITY_LEVEL0_OFFSET                                    0x00000400
#define GICDIST_PRIORITY_LEVEL0_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL0_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL0_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL1_OFFSET                                    0x00000401
#define GICDIST_PRIORITY_LEVEL1_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL1_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL1_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL2_OFFSET                                    0x00000402
#define GICDIST_PRIORITY_LEVEL2_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL2_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL2_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL3_OFFSET                                    0x00000403
#define GICDIST_PRIORITY_LEVEL3_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL3_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL3_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL4_OFFSET                                    0x00000404
#define GICDIST_PRIORITY_LEVEL4_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL4_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL4_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL5_OFFSET                                    0x00000405
#define GICDIST_PRIORITY_LEVEL5_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL5_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL5_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL6_OFFSET                                    0x00000406
#define GICDIST_PRIORITY_LEVEL6_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL6_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL6_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL7_OFFSET                                    0x00000407
#define GICDIST_PRIORITY_LEVEL7_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL7_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL7_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL8_OFFSET                                    0x00000408
#define GICDIST_PRIORITY_LEVEL8_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL8_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL8_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL9_OFFSET                                    0x00000409
#define GICDIST_PRIORITY_LEVEL9_TYPE                                      UInt8
#define GICDIST_PRIORITY_LEVEL9_RESERVED_MASK                             0x00000000
#define    GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_SHIFT           0
#define    GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_MASK            0x000000FF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL9_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL10_OFFSET                                   0x0000040A
#define GICDIST_PRIORITY_LEVEL10_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL10_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL10_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL11_OFFSET                                   0x0000040B
#define GICDIST_PRIORITY_LEVEL11_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL11_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL11_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL12_OFFSET                                   0x0000040C
#define GICDIST_PRIORITY_LEVEL12_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL12_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL12_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL13_OFFSET                                   0x0000040D
#define GICDIST_PRIORITY_LEVEL13_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL13_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL13_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL14_OFFSET                                   0x0000040E
#define GICDIST_PRIORITY_LEVEL14_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL14_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL14_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL15_OFFSET                                   0x0000040F
#define GICDIST_PRIORITY_LEVEL15_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL15_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL15_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL16_OFFSET                                   0x00000410
#define GICDIST_PRIORITY_LEVEL16_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL16_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL16_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL17_OFFSET                                   0x00000411
#define GICDIST_PRIORITY_LEVEL17_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL17_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL17_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL18_OFFSET                                   0x00000412
#define GICDIST_PRIORITY_LEVEL18_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL18_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL18_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL19_OFFSET                                   0x00000413
#define GICDIST_PRIORITY_LEVEL19_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL19_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL19_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL20_OFFSET                                   0x00000414
#define GICDIST_PRIORITY_LEVEL20_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL20_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL20_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL21_OFFSET                                   0x00000415
#define GICDIST_PRIORITY_LEVEL21_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL21_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL21_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL22_OFFSET                                   0x00000416
#define GICDIST_PRIORITY_LEVEL22_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL22_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL22_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL23_OFFSET                                   0x00000417
#define GICDIST_PRIORITY_LEVEL23_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL23_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL23_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL24_OFFSET                                   0x00000418
#define GICDIST_PRIORITY_LEVEL24_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL24_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL24_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL25_OFFSET                                   0x00000419
#define GICDIST_PRIORITY_LEVEL25_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL25_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL25_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL26_OFFSET                                   0x0000041A
#define GICDIST_PRIORITY_LEVEL26_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL26_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL26_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL27_OFFSET                                   0x0000041B
#define GICDIST_PRIORITY_LEVEL27_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL27_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL27_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL28_OFFSET                                   0x0000041C
#define GICDIST_PRIORITY_LEVEL28_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL28_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL28_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL29_OFFSET                                   0x0000041D
#define GICDIST_PRIORITY_LEVEL29_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL29_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL29_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL30_OFFSET                                   0x0000041E
#define GICDIST_PRIORITY_LEVEL30_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL30_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL30_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL31_OFFSET                                   0x0000041F
#define GICDIST_PRIORITY_LEVEL31_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL31_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL31_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL32_OFFSET                                   0x00000420
#define GICDIST_PRIORITY_LEVEL32_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL32_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL32_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL33_OFFSET                                   0x00000421
#define GICDIST_PRIORITY_LEVEL33_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL33_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL33_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL34_OFFSET                                   0x00000422
#define GICDIST_PRIORITY_LEVEL34_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL34_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL34_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL35_OFFSET                                   0x00000423
#define GICDIST_PRIORITY_LEVEL35_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL35_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL35_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL36_OFFSET                                   0x00000424
#define GICDIST_PRIORITY_LEVEL36_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL36_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL36_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL37_OFFSET                                   0x00000425
#define GICDIST_PRIORITY_LEVEL37_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL37_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL37_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL38_OFFSET                                   0x00000426
#define GICDIST_PRIORITY_LEVEL38_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL38_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL38_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL39_OFFSET                                   0x00000427
#define GICDIST_PRIORITY_LEVEL39_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL39_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL39_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL40_OFFSET                                   0x00000428
#define GICDIST_PRIORITY_LEVEL40_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL40_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL40_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL41_OFFSET                                   0x00000429
#define GICDIST_PRIORITY_LEVEL41_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL41_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL41_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL42_OFFSET                                   0x0000042A
#define GICDIST_PRIORITY_LEVEL42_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL42_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL42_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL43_OFFSET                                   0x0000042B
#define GICDIST_PRIORITY_LEVEL43_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL43_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL43_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL44_OFFSET                                   0x0000042C
#define GICDIST_PRIORITY_LEVEL44_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL44_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL44_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL45_OFFSET                                   0x0000042D
#define GICDIST_PRIORITY_LEVEL45_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL45_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL45_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL46_OFFSET                                   0x0000042E
#define GICDIST_PRIORITY_LEVEL46_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL46_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL46_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL47_OFFSET                                   0x0000042F
#define GICDIST_PRIORITY_LEVEL47_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL47_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL47_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL48_OFFSET                                   0x00000430
#define GICDIST_PRIORITY_LEVEL48_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL48_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL48_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL49_OFFSET                                   0x00000431
#define GICDIST_PRIORITY_LEVEL49_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL49_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL49_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL50_OFFSET                                   0x00000432
#define GICDIST_PRIORITY_LEVEL50_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL50_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL50_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL51_OFFSET                                   0x00000433
#define GICDIST_PRIORITY_LEVEL51_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL51_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL51_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL52_OFFSET                                   0x00000434
#define GICDIST_PRIORITY_LEVEL52_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL52_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL52_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL53_OFFSET                                   0x00000435
#define GICDIST_PRIORITY_LEVEL53_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL53_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL53_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL54_OFFSET                                   0x00000436
#define GICDIST_PRIORITY_LEVEL54_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL54_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL54_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL55_OFFSET                                   0x00000437
#define GICDIST_PRIORITY_LEVEL55_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL55_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL55_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL56_OFFSET                                   0x00000438
#define GICDIST_PRIORITY_LEVEL56_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL56_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL56_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL57_OFFSET                                   0x00000439
#define GICDIST_PRIORITY_LEVEL57_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL57_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL57_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL58_OFFSET                                   0x0000043A
#define GICDIST_PRIORITY_LEVEL58_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL58_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL58_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL59_OFFSET                                   0x0000043B
#define GICDIST_PRIORITY_LEVEL59_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL59_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL59_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL60_OFFSET                                   0x0000043C
#define GICDIST_PRIORITY_LEVEL60_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL60_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL60_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL61_OFFSET                                   0x0000043D
#define GICDIST_PRIORITY_LEVEL61_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL61_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL61_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL62_OFFSET                                   0x0000043E
#define GICDIST_PRIORITY_LEVEL62_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL62_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL62_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_PRIORITY_LEVEL63_OFFSET                                   0x0000043F
#define GICDIST_PRIORITY_LEVEL63_TYPE                                     UInt8
#define GICDIST_PRIORITY_LEVEL63_RESERVED_MASK                            0x00000000
#define    GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_SHIFT          0
#define    GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_MASK           0x000000FF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL1 0x00000000
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL2 0x00000001
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL3 0x00000002
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL4 0x00000003
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL5 0x00000004
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL6 0x00000005
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL7 0x00000006
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL8 0x00000007
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL9 0x00000008
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL10 0x00000009
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL11 0x0000000A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL12 0x0000000B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL13 0x0000000C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL14 0x0000000D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL15 0x0000000E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL16 0x0000000F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL17 0x00000010
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL18 0x00000011
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL19 0x00000012
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL20 0x00000013
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL21 0x00000014
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL22 0x00000015
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL23 0x00000016
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL24 0x00000017
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL25 0x00000018
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL26 0x00000019
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL27 0x0000001A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL28 0x0000001B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL29 0x0000001C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL30 0x0000001D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL31 0x0000001E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL32 0x0000001F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL33 0x00000020
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL34 0x00000021
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL35 0x00000022
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL36 0x00000023
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL37 0x00000024
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL38 0x00000025
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL39 0x00000026
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL40 0x00000027
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL41 0x00000028
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL42 0x00000029
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL43 0x0000002A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL44 0x0000002B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL45 0x0000002C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL46 0x0000002D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL47 0x0000002E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL48 0x0000002F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL49 0x00000030
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL50 0x00000031
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL51 0x00000032
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL52 0x00000033
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL53 0x00000034
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL54 0x00000035
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL55 0x00000036
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL56 0x00000037
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL57 0x00000038
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL58 0x00000039
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL59 0x0000003A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL60 0x0000003B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL61 0x0000003C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL62 0x0000003D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL63 0x0000003E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL64 0x0000003F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL65 0x00000040
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL66 0x00000041
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL67 0x00000042
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL68 0x00000043
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL69 0x00000044
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL70 0x00000045
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL71 0x00000046
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL72 0x00000047
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL73 0x00000048
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL74 0x00000049
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL75 0x0000004A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL76 0x0000004B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL77 0x0000004C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL78 0x0000004D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL79 0x0000004E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL80 0x0000004F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL81 0x00000050
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL82 0x00000051
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL83 0x00000052
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL84 0x00000053
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL85 0x00000054
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL86 0x00000055
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL87 0x00000056
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL88 0x00000057
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL89 0x00000058
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL90 0x00000059
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL91 0x0000005A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL92 0x0000005B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL93 0x0000005C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL94 0x0000005D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL95 0x0000005E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL96 0x0000005F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL97 0x00000060
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL98 0x00000061
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL99 0x00000062
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL100 0x00000063
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL101 0x00000064
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL102 0x00000065
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL103 0x00000066
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL104 0x00000067
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL105 0x00000068
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL106 0x00000069
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL107 0x0000006A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL108 0x0000006B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL109 0x0000006C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL110 0x0000006D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL111 0x0000006E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL112 0x0000006F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL113 0x00000070
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL114 0x00000071
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL115 0x00000072
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL116 0x00000073
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL117 0x00000074
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL118 0x00000075
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL119 0x00000076
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL120 0x00000077
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL121 0x00000078
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL122 0x00000079
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL123 0x0000007A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL124 0x0000007B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL125 0x0000007C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL126 0x0000007D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL127 0x0000007E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL128 0x0000007F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL129 0x00000080
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL130 0x00000081
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL131 0x00000082
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL132 0x00000083
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL133 0x00000084
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL134 0x00000085
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL135 0x00000086
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL136 0x00000087
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL137 0x00000088
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL138 0x00000089
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL139 0x0000008A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL140 0x0000008B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL141 0x0000008C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL142 0x0000008D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL143 0x0000008E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL144 0x0000008F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL145 0x00000090
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL146 0x00000091
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL147 0x00000092
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL148 0x00000093
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL149 0x00000094
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL150 0x00000095
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL151 0x00000096
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL152 0x00000097
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL153 0x00000098
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL154 0x00000099
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL155 0x0000009A
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL156 0x0000009B
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL157 0x0000009C
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL158 0x0000009D
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL159 0x0000009E
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL160 0x0000009F
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL161 0x000000A0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL162 0x000000A1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL163 0x000000A2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL164 0x000000A3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL165 0x000000A4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL166 0x000000A5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL167 0x000000A6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL168 0x000000A7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL169 0x000000A8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL170 0x000000A9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL171 0x000000AA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL172 0x000000AB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL173 0x000000AC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL174 0x000000AD
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL175 0x000000AE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL176 0x000000AF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL177 0x000000B0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL178 0x000000B1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL179 0x000000B2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL180 0x000000B3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL181 0x000000B4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL182 0x000000B5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL183 0x000000B6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL184 0x000000B7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL185 0x000000B8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL186 0x000000B9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL187 0x000000BA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL188 0x000000BB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL189 0x000000BC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL190 0x000000BD
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL191 0x000000BE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL192 0x000000BF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL193 0x000000C0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL194 0x000000C1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL195 0x000000C2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL196 0x000000C3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL197 0x000000C4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL198 0x000000C5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL199 0x000000C6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL200 0x000000C7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL201 0x000000C8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL202 0x000000C9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL203 0x000000CA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL204 0x000000CB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL205 0x000000CC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL206 0x000000CD
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL207 0x000000CE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL208 0x000000CF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL209 0x000000D0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL210 0x000000D1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL211 0x000000D2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL212 0x000000D3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL213 0x000000D4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL214 0x000000D5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL215 0x000000D6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL216 0x000000D7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL217 0x000000D8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL218 0x000000D9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL219 0x000000DA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL220 0x000000DB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL221 0x000000DC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL222 0x000000DD
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL223 0x000000DE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL224 0x000000DF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL225 0x000000E0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL226 0x000000E1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL227 0x000000E2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL228 0x000000E3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL229 0x000000E4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL230 0x000000E5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL231 0x000000E6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL232 0x000000E7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL233 0x000000E8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL234 0x000000E9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL235 0x000000EA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL236 0x000000EB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL237 0x000000EC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL238 0x000000ED
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL239 0x000000EE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL240 0x000000EF
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL241 0x000000F0
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL242 0x000000F1
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL243 0x000000F2
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL244 0x000000F3
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL245 0x000000F4
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL246 0x000000F5
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL247 0x000000F6
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL248 0x000000F7
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL249 0x000000F8
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL250 0x000000F9
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL251 0x000000FA
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL252 0x000000FB
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL253 0x000000FC
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL254 0x000000FD
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL255 0x000000FE
#define       GICDIST_PRIORITY_LEVEL63_PRIORITY_LEVEL_INTID_N_CMD_PRIORITY_LEVEL256 0x000000FF

#define GICDIST_SPI_TARGET0_OFFSET                                        0x00000800
#define GICDIST_SPI_TARGET0_TYPE                                          UInt32
#define GICDIST_SPI_TARGET0_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET0_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET1_OFFSET                                        0x00000804
#define GICDIST_SPI_TARGET1_TYPE                                          UInt32
#define GICDIST_SPI_TARGET1_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET1_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET2_OFFSET                                        0x00000808
#define GICDIST_SPI_TARGET2_TYPE                                          UInt32
#define GICDIST_SPI_TARGET2_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET2_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET3_OFFSET                                        0x0000080C
#define GICDIST_SPI_TARGET3_TYPE                                          UInt32
#define GICDIST_SPI_TARGET3_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET3_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET4_OFFSET                                        0x00000810
#define GICDIST_SPI_TARGET4_TYPE                                          UInt32
#define GICDIST_SPI_TARGET4_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET4_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET5_OFFSET                                        0x00000814
#define GICDIST_SPI_TARGET5_TYPE                                          UInt32
#define GICDIST_SPI_TARGET5_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET5_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET6_OFFSET                                        0x00000818
#define GICDIST_SPI_TARGET6_TYPE                                          UInt32
#define GICDIST_SPI_TARGET6_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET6_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET7_OFFSET                                        0x0000081C
#define GICDIST_SPI_TARGET7_TYPE                                          UInt32
#define GICDIST_SPI_TARGET7_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET7_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET8_OFFSET                                        0x00000820
#define GICDIST_SPI_TARGET8_TYPE                                          UInt32
#define GICDIST_SPI_TARGET8_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET8_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET9_OFFSET                                        0x00000824
#define GICDIST_SPI_TARGET9_TYPE                                          UInt32
#define GICDIST_SPI_TARGET9_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_SHIFT                  24
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_MASK                   0xFF000000
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_31          0x00000080
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_30          0x00000040
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_29          0x00000020
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_28          0x00000010
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_27          0x00000008
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_26          0x00000004
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_25          0x00000002
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N3_CMD_BIT_24          0x00000001
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_SHIFT                  16
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_MASK                   0x00FF0000
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_23          0x00000080
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_22          0x00000040
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_21          0x00000020
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_20          0x00000010
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_19          0x00000008
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_18          0x00000004
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_17          0x00000002
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N2_CMD_BIT_16          0x00000001
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_SHIFT                  8
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_MASK                   0x0000FF00
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_15          0x00000080
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_14          0x00000040
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_13          0x00000020
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_12          0x00000010
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_11          0x00000008
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_10          0x00000004
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_9           0x00000002
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N1_CMD_BIT_8           0x00000001
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_SHIFT                   0
#define    GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_MASK                    0x000000FF
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_7            0x00000080
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_6            0x00000040
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_5            0x00000020
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_4            0x00000010
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_3            0x00000008
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_2            0x00000004
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_1            0x00000002
#define       GICDIST_SPI_TARGET9_SPI_TARGET_INTID_N_CMD_BIT_0            0x00000001

#define GICDIST_SPI_TARGET10_OFFSET                                       0x00000828
#define GICDIST_SPI_TARGET10_TYPE                                         UInt32
#define GICDIST_SPI_TARGET10_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET10_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET11_OFFSET                                       0x0000082C
#define GICDIST_SPI_TARGET11_TYPE                                         UInt32
#define GICDIST_SPI_TARGET11_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET11_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET12_OFFSET                                       0x00000830
#define GICDIST_SPI_TARGET12_TYPE                                         UInt32
#define GICDIST_SPI_TARGET12_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET12_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET13_OFFSET                                       0x00000834
#define GICDIST_SPI_TARGET13_TYPE                                         UInt32
#define GICDIST_SPI_TARGET13_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET13_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET14_OFFSET                                       0x00000838
#define GICDIST_SPI_TARGET14_TYPE                                         UInt32
#define GICDIST_SPI_TARGET14_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET14_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET15_OFFSET                                       0x0000083C
#define GICDIST_SPI_TARGET15_TYPE                                         UInt32
#define GICDIST_SPI_TARGET15_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET15_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET16_OFFSET                                       0x00000840
#define GICDIST_SPI_TARGET16_TYPE                                         UInt32
#define GICDIST_SPI_TARGET16_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET16_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET17_OFFSET                                       0x00000844
#define GICDIST_SPI_TARGET17_TYPE                                         UInt32
#define GICDIST_SPI_TARGET17_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET17_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET18_OFFSET                                       0x00000848
#define GICDIST_SPI_TARGET18_TYPE                                         UInt32
#define GICDIST_SPI_TARGET18_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET18_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET19_OFFSET                                       0x0000084C
#define GICDIST_SPI_TARGET19_TYPE                                         UInt32
#define GICDIST_SPI_TARGET19_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET19_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET20_OFFSET                                       0x00000850
#define GICDIST_SPI_TARGET20_TYPE                                         UInt32
#define GICDIST_SPI_TARGET20_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET20_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET21_OFFSET                                       0x00000854
#define GICDIST_SPI_TARGET21_TYPE                                         UInt32
#define GICDIST_SPI_TARGET21_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET21_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET22_OFFSET                                       0x00000858
#define GICDIST_SPI_TARGET22_TYPE                                         UInt32
#define GICDIST_SPI_TARGET22_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET22_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET23_OFFSET                                       0x0000085C
#define GICDIST_SPI_TARGET23_TYPE                                         UInt32
#define GICDIST_SPI_TARGET23_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET23_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET24_OFFSET                                       0x00000860
#define GICDIST_SPI_TARGET24_TYPE                                         UInt32
#define GICDIST_SPI_TARGET24_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET24_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET25_OFFSET                                       0x00000864
#define GICDIST_SPI_TARGET25_TYPE                                         UInt32
#define GICDIST_SPI_TARGET25_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET25_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET26_OFFSET                                       0x00000868
#define GICDIST_SPI_TARGET26_TYPE                                         UInt32
#define GICDIST_SPI_TARGET26_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET26_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET27_OFFSET                                       0x0000086C
#define GICDIST_SPI_TARGET27_TYPE                                         UInt32
#define GICDIST_SPI_TARGET27_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET27_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET28_OFFSET                                       0x00000870
#define GICDIST_SPI_TARGET28_TYPE                                         UInt32
#define GICDIST_SPI_TARGET28_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET28_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET29_OFFSET                                       0x00000874
#define GICDIST_SPI_TARGET29_TYPE                                         UInt32
#define GICDIST_SPI_TARGET29_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET29_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET30_OFFSET                                       0x00000878
#define GICDIST_SPI_TARGET30_TYPE                                         UInt32
#define GICDIST_SPI_TARGET30_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET30_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET31_OFFSET                                       0x0000087C
#define GICDIST_SPI_TARGET31_TYPE                                         UInt32
#define GICDIST_SPI_TARGET31_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET31_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET32_OFFSET                                       0x00000880
#define GICDIST_SPI_TARGET32_TYPE                                         UInt32
#define GICDIST_SPI_TARGET32_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET32_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET33_OFFSET                                       0x00000884
#define GICDIST_SPI_TARGET33_TYPE                                         UInt32
#define GICDIST_SPI_TARGET33_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET33_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET34_OFFSET                                       0x00000888
#define GICDIST_SPI_TARGET34_TYPE                                         UInt32
#define GICDIST_SPI_TARGET34_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET34_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET35_OFFSET                                       0x0000088C
#define GICDIST_SPI_TARGET35_TYPE                                         UInt32
#define GICDIST_SPI_TARGET35_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET35_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET36_OFFSET                                       0x00000890
#define GICDIST_SPI_TARGET36_TYPE                                         UInt32
#define GICDIST_SPI_TARGET36_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET36_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET37_OFFSET                                       0x00000894
#define GICDIST_SPI_TARGET37_TYPE                                         UInt32
#define GICDIST_SPI_TARGET37_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET37_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET38_OFFSET                                       0x00000898
#define GICDIST_SPI_TARGET38_TYPE                                         UInt32
#define GICDIST_SPI_TARGET38_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET38_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET39_OFFSET                                       0x0000089C
#define GICDIST_SPI_TARGET39_TYPE                                         UInt32
#define GICDIST_SPI_TARGET39_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET39_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET40_OFFSET                                       0x000008A0
#define GICDIST_SPI_TARGET40_TYPE                                         UInt32
#define GICDIST_SPI_TARGET40_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET40_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET41_OFFSET                                       0x000008A4
#define GICDIST_SPI_TARGET41_TYPE                                         UInt32
#define GICDIST_SPI_TARGET41_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET41_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET42_OFFSET                                       0x000008A8
#define GICDIST_SPI_TARGET42_TYPE                                         UInt32
#define GICDIST_SPI_TARGET42_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET42_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET43_OFFSET                                       0x000008AC
#define GICDIST_SPI_TARGET43_TYPE                                         UInt32
#define GICDIST_SPI_TARGET43_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET43_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET44_OFFSET                                       0x000008B0
#define GICDIST_SPI_TARGET44_TYPE                                         UInt32
#define GICDIST_SPI_TARGET44_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET44_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET45_OFFSET                                       0x000008B4
#define GICDIST_SPI_TARGET45_TYPE                                         UInt32
#define GICDIST_SPI_TARGET45_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET45_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET46_OFFSET                                       0x000008B8
#define GICDIST_SPI_TARGET46_TYPE                                         UInt32
#define GICDIST_SPI_TARGET46_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET46_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET47_OFFSET                                       0x000008BC
#define GICDIST_SPI_TARGET47_TYPE                                         UInt32
#define GICDIST_SPI_TARGET47_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET47_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET48_OFFSET                                       0x000008C0
#define GICDIST_SPI_TARGET48_TYPE                                         UInt32
#define GICDIST_SPI_TARGET48_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET48_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET49_OFFSET                                       0x000008C4
#define GICDIST_SPI_TARGET49_TYPE                                         UInt32
#define GICDIST_SPI_TARGET49_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET49_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET50_OFFSET                                       0x000008C8
#define GICDIST_SPI_TARGET50_TYPE                                         UInt32
#define GICDIST_SPI_TARGET50_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET50_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET51_OFFSET                                       0x000008CC
#define GICDIST_SPI_TARGET51_TYPE                                         UInt32
#define GICDIST_SPI_TARGET51_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET51_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET52_OFFSET                                       0x000008D0
#define GICDIST_SPI_TARGET52_TYPE                                         UInt32
#define GICDIST_SPI_TARGET52_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET52_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET53_OFFSET                                       0x000008D4
#define GICDIST_SPI_TARGET53_TYPE                                         UInt32
#define GICDIST_SPI_TARGET53_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET53_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET54_OFFSET                                       0x000008D8
#define GICDIST_SPI_TARGET54_TYPE                                         UInt32
#define GICDIST_SPI_TARGET54_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET54_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET55_OFFSET                                       0x000008DC
#define GICDIST_SPI_TARGET55_TYPE                                         UInt32
#define GICDIST_SPI_TARGET55_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET55_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET56_OFFSET                                       0x000008E0
#define GICDIST_SPI_TARGET56_TYPE                                         UInt32
#define GICDIST_SPI_TARGET56_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET56_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET57_OFFSET                                       0x000008E4
#define GICDIST_SPI_TARGET57_TYPE                                         UInt32
#define GICDIST_SPI_TARGET57_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET57_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET58_OFFSET                                       0x000008E8
#define GICDIST_SPI_TARGET58_TYPE                                         UInt32
#define GICDIST_SPI_TARGET58_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET58_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET59_OFFSET                                       0x000008EC
#define GICDIST_SPI_TARGET59_TYPE                                         UInt32
#define GICDIST_SPI_TARGET59_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET59_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET60_OFFSET                                       0x000008F0
#define GICDIST_SPI_TARGET60_TYPE                                         UInt32
#define GICDIST_SPI_TARGET60_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET60_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET61_OFFSET                                       0x000008F4
#define GICDIST_SPI_TARGET61_TYPE                                         UInt32
#define GICDIST_SPI_TARGET61_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET61_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET62_OFFSET                                       0x000008F8
#define GICDIST_SPI_TARGET62_TYPE                                         UInt32
#define GICDIST_SPI_TARGET62_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET62_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_SPI_TARGET63_OFFSET                                       0x000008FC
#define GICDIST_SPI_TARGET63_TYPE                                         UInt32
#define GICDIST_SPI_TARGET63_RESERVED_MASK                                0x00000000
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_SHIFT                 24
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_MASK                  0xFF000000
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_31         0x00000080
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_30         0x00000040
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_29         0x00000020
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_28         0x00000010
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_27         0x00000008
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_26         0x00000004
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_25         0x00000002
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N3_CMD_BIT_24         0x00000001
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_SHIFT                 16
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_MASK                  0x00FF0000
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_23         0x00000080
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_22         0x00000040
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_21         0x00000020
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_20         0x00000010
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_19         0x00000008
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_18         0x00000004
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_17         0x00000002
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N2_CMD_BIT_16         0x00000001
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_SHIFT                 8
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_MASK                  0x0000FF00
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_15         0x00000080
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_14         0x00000040
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_13         0x00000020
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_12         0x00000010
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_11         0x00000008
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_10         0x00000004
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_9          0x00000002
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N1_CMD_BIT_8          0x00000001
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_SHIFT                  0
#define    GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_MASK                   0x000000FF
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_7           0x00000080
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_6           0x00000040
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_5           0x00000020
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_4           0x00000010
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_3           0x00000008
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_2           0x00000004
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_1           0x00000002
#define       GICDIST_SPI_TARGET63_SPI_TARGET_INTID_N_CMD_BIT_0           0x00000001

#define GICDIST_INT_CONFIG0_OFFSET                                        0x00000C00
#define GICDIST_INT_CONFIG0_TYPE                                          UInt32
#define GICDIST_INT_CONFIG0_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG0_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG0_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG0_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG1_OFFSET                                        0x00000C04
#define GICDIST_INT_CONFIG1_TYPE                                          UInt32
#define GICDIST_INT_CONFIG1_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG1_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG1_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG1_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG2_OFFSET                                        0x00000C08
#define GICDIST_INT_CONFIG2_TYPE                                          UInt32
#define GICDIST_INT_CONFIG2_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG2_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG2_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG2_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG3_OFFSET                                        0x00000C0C
#define GICDIST_INT_CONFIG3_TYPE                                          UInt32
#define GICDIST_INT_CONFIG3_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG3_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG3_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG3_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG4_OFFSET                                        0x00000C10
#define GICDIST_INT_CONFIG4_TYPE                                          UInt32
#define GICDIST_INT_CONFIG4_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG4_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG4_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG4_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG5_OFFSET                                        0x00000C14
#define GICDIST_INT_CONFIG5_TYPE                                          UInt32
#define GICDIST_INT_CONFIG5_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG5_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG5_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG5_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG6_OFFSET                                        0x00000C18
#define GICDIST_INT_CONFIG6_TYPE                                          UInt32
#define GICDIST_INT_CONFIG6_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG6_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG6_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG6_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG7_OFFSET                                        0x00000C1C
#define GICDIST_INT_CONFIG7_TYPE                                          UInt32
#define GICDIST_INT_CONFIG7_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG7_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG7_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG7_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG8_OFFSET                                        0x00000C20
#define GICDIST_INT_CONFIG8_TYPE                                          UInt32
#define GICDIST_INT_CONFIG8_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG8_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG8_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG8_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG9_OFFSET                                        0x00000C24
#define GICDIST_INT_CONFIG9_TYPE                                          UInt32
#define GICDIST_INT_CONFIG9_RESERVED_MASK                                 0x00000000
#define    GICDIST_INT_CONFIG9_INT_CONFIG_SHIFT                           0
#define    GICDIST_INT_CONFIG9_INT_CONFIG_MASK                            0xFFFFFFFF
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_0        0x00000001
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0    0x00000002
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_0        0x00000003
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_1        0x00000004
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1    0x00000008
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_1        0x0000000C
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_2        0x00000010
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2    0x00000020
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_2        0x00000030
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_3        0x00000040
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3    0x00000080
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_3        0x000000C0
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_4        0x00000100
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4    0x00000200
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_4        0x00000300
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_5        0x00000400
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5    0x00000800
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_5        0x00000C00
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_6        0x00001000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6    0x00002000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_6        0x00003000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_7        0x00004000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7    0x00008000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_7        0x0000C000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_8        0x00010000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8    0x00020000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_8        0x00030000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_9        0x00040000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9    0x00080000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_9        0x000C0000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_10       0x00100000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10   0x00200000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_10       0x00300000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_11       0x00400000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11   0x00800000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_11       0x00C00000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_12       0x01000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12   0x02000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_12       0x03000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_13       0x04000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13   0x08000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_13       0x0C000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_14       0x10000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14   0x20000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_14       0x30000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_15       0x40000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15   0x80000000
#define       GICDIST_INT_CONFIG9_INT_CONFIG_CMD_PULSE_SENSITIVE_15       0xC0000000

#define GICDIST_INT_CONFIG10_OFFSET                                       0x00000C28
#define GICDIST_INT_CONFIG10_TYPE                                         UInt32
#define GICDIST_INT_CONFIG10_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG10_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG10_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG10_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_INT_CONFIG11_OFFSET                                       0x00000C2C
#define GICDIST_INT_CONFIG11_TYPE                                         UInt32
#define GICDIST_INT_CONFIG11_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG11_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG11_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG11_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_INT_CONFIG12_OFFSET                                       0x00000C30
#define GICDIST_INT_CONFIG12_TYPE                                         UInt32
#define GICDIST_INT_CONFIG12_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG12_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG12_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG12_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_INT_CONFIG13_OFFSET                                       0x00000C34
#define GICDIST_INT_CONFIG13_TYPE                                         UInt32
#define GICDIST_INT_CONFIG13_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG13_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG13_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG13_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_INT_CONFIG14_OFFSET                                       0x00000C38
#define GICDIST_INT_CONFIG14_TYPE                                         UInt32
#define GICDIST_INT_CONFIG14_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG14_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG14_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG14_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_INT_CONFIG15_OFFSET                                       0x00000C3C
#define GICDIST_INT_CONFIG15_TYPE                                         UInt32
#define GICDIST_INT_CONFIG15_RESERVED_MASK                                0x00000000
#define    GICDIST_INT_CONFIG15_INT_CONFIG_SHIFT                          0
#define    GICDIST_INT_CONFIG15_INT_CONFIG_MASK                           0xFFFFFFFF
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_0       0x00000001
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_0   0x00000002
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_0       0x00000003
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_1       0x00000004
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_1   0x00000008
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_1       0x0000000C
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_2       0x00000010
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_2   0x00000020
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_2       0x00000030
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_3       0x00000040
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_3   0x00000080
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_3       0x000000C0
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_4       0x00000100
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_4   0x00000200
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_4       0x00000300
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_5       0x00000400
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_5   0x00000800
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_5       0x00000C00
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_6       0x00001000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_6   0x00002000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_6       0x00003000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_7       0x00004000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_7   0x00008000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_7       0x0000C000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_8       0x00010000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_8   0x00020000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_8       0x00030000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_9       0x00040000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_9   0x00080000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_9       0x000C0000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_10      0x00100000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_10  0x00200000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_10      0x00300000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_11      0x00400000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_11  0x00800000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_11      0x00C00000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_12      0x01000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_12  0x02000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_12      0x03000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_13      0x04000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_13  0x08000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_13      0x0C000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_14      0x10000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_14  0x20000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_14      0x30000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_15      0x40000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_LEVEL_SENSITIVE_STI_15  0x80000000
#define       GICDIST_INT_CONFIG15_INT_CONFIG_CMD_PULSE_SENSITIVE_15      0xC0000000

#define GICDIST_PPI_STATUS_OFFSET                                         0x00000D00
#define GICDIST_PPI_STATUS_TYPE                                           UInt32
#define GICDIST_PPI_STATUS_RESERVED_MASK                                  0xFFFF0000
#define    GICDIST_PPI_STATUS_PPI_STATUS_SHIFT                            0
#define    GICDIST_PPI_STATUS_PPI_STATUS_MASK                             0x0000FFFF
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_0              0x00000001
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_1              0x00000002
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_2              0x00000004
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_3              0x00000008
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_4              0x00000010
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_5              0x00000020
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_6              0x00000040
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_7              0x00000080
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_8              0x00000100
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_9              0x00000200
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_10             0x00000400
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_11             0x00000800
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_12             0x00001000
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_13             0x00002000
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_14             0x00004000
#define       GICDIST_PPI_STATUS_PPI_STATUS_CMD_PPI_STATUS_15             0x00008000

#define GICDIST_SPI_STATUS0_OFFSET                                        0x00000D04
#define GICDIST_SPI_STATUS0_TYPE                                          UInt32
#define GICDIST_SPI_STATUS0_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS0_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS0_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS0_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS1_OFFSET                                        0x00000D08
#define GICDIST_SPI_STATUS1_TYPE                                          UInt32
#define GICDIST_SPI_STATUS1_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS1_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS1_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS1_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS2_OFFSET                                        0x00000D0C
#define GICDIST_SPI_STATUS2_TYPE                                          UInt32
#define GICDIST_SPI_STATUS2_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS2_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS2_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS2_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS3_OFFSET                                        0x00000D10
#define GICDIST_SPI_STATUS3_TYPE                                          UInt32
#define GICDIST_SPI_STATUS3_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS3_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS3_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS3_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS4_OFFSET                                        0x00000D14
#define GICDIST_SPI_STATUS4_TYPE                                          UInt32
#define GICDIST_SPI_STATUS4_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS4_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS4_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS4_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS5_OFFSET                                        0x00000D18
#define GICDIST_SPI_STATUS5_TYPE                                          UInt32
#define GICDIST_SPI_STATUS5_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS5_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS5_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS5_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_SPI_STATUS6_OFFSET                                        0x00000D1C
#define GICDIST_SPI_STATUS6_TYPE                                          UInt32
#define GICDIST_SPI_STATUS6_RESERVED_MASK                                 0x00000000
#define    GICDIST_SPI_STATUS6_SPI_STATUS_SHIFT                           0
#define    GICDIST_SPI_STATUS6_SPI_STATUS_MASK                            0xFFFFFFFF
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_0             0x00000001
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_1             0x00000002
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_2             0x00000004
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_3             0x00000008
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_4             0x00000010
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_5             0x00000020
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_6             0x00000040
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_7             0x00000080
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_8             0x00000100
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_9             0x00000200
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_10            0x00000400
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_11            0x00000800
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_12            0x00001000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_13            0x00002000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_14            0x00004000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_15            0x00008000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_16            0x00010000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_17            0x00020000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_18            0x00040000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_19            0x00080000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_20            0x00100000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_21            0x00200000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_22            0x00400000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_23            0x00800000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_24            0x01000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_25            0x02000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_26            0x04000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_27            0x08000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_28            0x10000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_29            0x20000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_30            0x40000000
#define       GICDIST_SPI_STATUS6_SPI_STATUS_CMD_SPI_STATUS_31            0x80000000

#define GICDIST_STI_CONTROL_OFFSET                                        0x00000F00
#define GICDIST_STI_CONTROL_TYPE                                          UInt32
#define GICDIST_STI_CONTROL_RESERVED_MASK                                 0xFC007FF0
#define    GICDIST_STI_CONTROL_TARGET_LIST_FILTER_SHIFT                   24
#define    GICDIST_STI_CONTROL_TARGET_LIST_FILTER_MASK                    0x03000000
#define       GICDIST_STI_CONTROL_TARGET_LIST_FILTER_CMD_SEND_INTERRUPT_SPECIFY 0x00000000
#define       GICDIST_STI_CONTROL_TARGET_LIST_FILTER_CMD_SEND_INTERRUPT_NO_REQUEST 0x00000001
#define       GICDIST_STI_CONTROL_TARGET_LIST_FILTER_CMD_SEND_INTERRUPT_REQUEST 0x00000002
#define       GICDIST_STI_CONTROL_TARGET_LIST_FILTER_CMD_RESERVED         0x00000003
#define    GICDIST_STI_CONTROL_CPU_TARGET_LIST_SHIFT                      16
#define    GICDIST_STI_CONTROL_CPU_TARGET_LIST_MASK                       0x00FF0000
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_23              0x00000080
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_22              0x00000040
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_21              0x00000020
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_20              0x00000010
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_19              0x00000008
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_18              0x00000004
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_17              0x00000002
#define       GICDIST_STI_CONTROL_CPU_TARGET_LIST_CMD_BIT_16              0x00000001
#define    GICDIST_STI_CONTROL_SATT_SHIFT                                 15
#define    GICDIST_STI_CONTROL_SATT_MASK                                  0x00008000
#define       GICDIST_STI_CONTROL_SATT_CMD_SECURE                         0x00000000
#define       GICDIST_STI_CONTROL_SATT_CMD_NON_SECURE                     0x00000001
#define    GICDIST_STI_CONTROL_STI_INTID_SHIFT                            0
#define    GICDIST_STI_CONTROL_STI_INTID_MASK                             0x0000000F
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID0                    0x00000000
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID1                    0x00000001
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID2                    0x00000002
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID3                    0x00000003
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID4                    0x00000004
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID5                    0x00000005
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID6                    0x00000006
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID7                    0x00000007
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID8                    0x00000008
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID9                    0x00000009
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID10                   0x0000000A
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID11                   0x0000000B
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID12                   0x0000000C
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID13                   0x0000000D
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID14                   0x0000000E
#define       GICDIST_STI_CONTROL_STI_INTID_CMD_INTID15                   0x0000000F

#define GICDIST_PERIPH_ID_1_OFFSET                                        0x00000FD4
#define GICDIST_PERIPH_ID_1_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_1_RESERVED_MASK                                 0xFFFFFF00
#define    GICDIST_PERIPH_ID_1_DESIGNER_0_SHIFT                           4
#define    GICDIST_PERIPH_ID_1_DESIGNER_0_MASK                            0x000000F0
#define    GICDIST_PERIPH_ID_1_PART_NUMBER_1_SHIFT                        0
#define    GICDIST_PERIPH_ID_1_PART_NUMBER_1_MASK                         0x0000000F

#define GICDIST_PERIPH_ID_2_OFFSET                                        0x00000FD8
#define GICDIST_PERIPH_ID_2_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_2_RESERVED_MASK                                 0xFFFFFF00
#define    GICDIST_PERIPH_ID_2_REVISION_SHIFT                             4
#define    GICDIST_PERIPH_ID_2_REVISION_MASK                              0x000000F0
#define    GICDIST_PERIPH_ID_2_DESIGNER_1_SHIFT                           0
#define    GICDIST_PERIPH_ID_2_DESIGNER_1_MASK                            0x0000000F

#define GICDIST_PERIPH_ID_3_OFFSET                                        0x00000FDC
#define GICDIST_PERIPH_ID_3_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_3_RESERVED_MASK                                 0xFFFFFF00
#define    GICDIST_PERIPH_ID_3_PPI_NUMBER_0_SHIFT                         5
#define    GICDIST_PERIPH_ID_3_PPI_NUMBER_0_MASK                          0x000000E0
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_0              0x00000000
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_1              0x00000001
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_2              0x00000002
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_3              0x00000003
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_4              0x00000004
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_5              0x00000005
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_6              0x00000006
#define       GICDIST_PERIPH_ID_3_PPI_NUMBER_0_CMD_PPI_LOW_7              0x00000007
#define    GICDIST_PERIPH_ID_3_STI_NUMBER_SHIFT                           0
#define    GICDIST_PERIPH_ID_3_STI_NUMBER_MASK                            0x0000001F
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_0                    0x00000000
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_1                    0x00000001
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_2                    0x00000002
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_3                    0x00000003
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_4                    0x00000004
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_5                    0x00000005
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_6                    0x00000006
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_7                    0x00000007
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_8                    0x00000008
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_9                    0x00000009
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_10                   0x0000000A
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_11                   0x0000000B
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_12                   0x0000000C
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_13                   0x0000000D
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_14                   0x0000000E
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_15                   0x0000000F
#define       GICDIST_PERIPH_ID_3_STI_NUMBER_CMD_STI_16                   0x00000010

#define GICDIST_PERIPH_ID_4_OFFSET                                        0x00000FE0
#define GICDIST_PERIPH_ID_4_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_4_RESERVED_MASK                                 0xFFFFFF00
#define    GICDIST_PERIPH_ID_4_SPI_NUMBER_0_SHIFT                         2
#define    GICDIST_PERIPH_ID_4_SPI_NUMBER_0_MASK                          0x000000FC
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_0              0x00000000
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_1              0x00000001
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_2              0x00000002
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_3              0x00000003
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_4              0x00000004
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_5              0x00000005
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_6              0x00000006
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_7              0x00000007
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_8              0x00000008
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_9              0x00000009
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_10             0x0000000A
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_11             0x0000000B
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_12             0x0000000C
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_13             0x0000000D
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_14             0x0000000E
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_15             0x0000000F
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_16             0x00000010
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_17             0x00000011
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_18             0x00000012
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_19             0x00000013
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_20             0x00000014
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_21             0x00000015
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_22             0x00000016
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_23             0x00000017
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_24             0x00000018
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_25             0x00000019
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_26             0x0000001A
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_27             0x0000001B
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_28             0x0000001C
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_29             0x0000001D
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_30             0x0000001E
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_31             0x0000001F
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_32             0x00000020
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_33             0x00000021
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_34             0x00000022
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_35             0x00000023
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_36             0x00000024
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_37             0x00000025
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_38             0x00000026
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_39             0x00000027
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_40             0x00000028
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_41             0x00000029
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_42             0x0000002A
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_43             0x0000002B
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_44             0x0000002C
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_45             0x0000002D
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_46             0x0000002E
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_47             0x0000002F
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_48             0x00000030
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_49             0x00000031
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_50             0x00000032
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_51             0x00000033
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_52             0x00000034
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_53             0x00000035
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_54             0x00000036
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_55             0x00000037
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_56             0x00000038
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_57             0x00000039
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_58             0x0000003A
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_59             0x0000003B
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_60             0x0000003C
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_61             0x0000003D
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_62             0x0000003E
#define       GICDIST_PERIPH_ID_4_SPI_NUMBER_0_CMD_SPI_LOW_63             0x0000003F
#define    GICDIST_PERIPH_ID_4_PPI_NUMBER_1_SHIFT                         0
#define    GICDIST_PERIPH_ID_4_PPI_NUMBER_1_MASK                          0x00000003
#define       GICDIST_PERIPH_ID_4_PPI_NUMBER_1_CMD_PPI_UPPER_0            0x00000000
#define       GICDIST_PERIPH_ID_4_PPI_NUMBER_1_CMD_PPI_UPPER_1            0x00000001
#define       GICDIST_PERIPH_ID_4_PPI_NUMBER_1_CMD_PPI_UPPER_2            0x00000002

#define GICDIST_PERIPH_ID_5_OFFSET                                        0x00000FE4
#define GICDIST_PERIPH_ID_5_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_5_RESERVED_MASK                                 0xFFFFFF00
#define    GICDIST_PERIPH_ID_5_TZ_SHIFT                                   7
#define    GICDIST_PERIPH_ID_5_TZ_MASK                                    0x00000080
#define       GICDIST_PERIPH_ID_5_TZ_CMD_SECURE_ONLY                      0x00000000
#define       GICDIST_PERIPH_ID_5_TZ_CMD_SECURE_NON_SECURE                0x00000001
#define    GICDIST_PERIPH_ID_5_PRIORITY_SHIFT                             4
#define    GICDIST_PERIPH_ID_5_PRIORITY_MASK                              0x00000070
#define       GICDIST_PERIPH_ID_5_PRIORITY_CMD_PRIORITY_16                0x00000000
#define       GICDIST_PERIPH_ID_5_PRIORITY_CMD_PRIORITY_32                0x00000001
#define       GICDIST_PERIPH_ID_5_PRIORITY_CMD_PRIORITY_64                0x00000002
#define       GICDIST_PERIPH_ID_5_PRIORITY_CMD_PRIORITY_128               0x00000003
#define       GICDIST_PERIPH_ID_5_PRIORITY_CMD_PRIORITY_256               0x00000004
#define    GICDIST_PERIPH_ID_5_SPI_NUMBER_1_SHIFT                         0
#define    GICDIST_PERIPH_ID_5_SPI_NUMBER_1_MASK                          0x0000000F
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_0             0x00000000
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_1             0x00000001
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_2             0x00000002
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_3             0x00000003
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_4             0x00000004
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_5             0x00000005
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_6             0x00000006
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_7             0x00000007
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_8             0x00000008
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_9             0x00000009
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_10            0x0000000A
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_11            0x0000000B
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_12            0x0000000C
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_13            0x0000000D
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_14            0x0000000E
#define       GICDIST_PERIPH_ID_5_SPI_NUMBER_1_CMD_SPI_HIGH_15            0x0000000F

#define GICDIST_PERIPH_ID_6_OFFSET                                        0x00000FE8
#define GICDIST_PERIPH_ID_6_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_6_RESERVED_MASK                                 0xFFFFFF20
#define    GICDIST_PERIPH_ID_6_IF_TYPE_SHIFT                              6
#define    GICDIST_PERIPH_ID_6_IF_TYPE_MASK                               0x000000C0
#define       GICDIST_PERIPH_ID_6_IF_TYPE_CMD_AXI                         0x00000000
#define       GICDIST_PERIPH_ID_6_IF_TYPE_CMD_AHB_LITE                    0x00000001
#define    GICDIST_PERIPH_ID_6_CPU_IF_SHIFT                               2
#define    GICDIST_PERIPH_ID_6_CPU_IF_MASK                                0x0000001C
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_1              0x00000000
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_2              0x00000001
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_3              0x00000002
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_4              0x00000003
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_5              0x00000004
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_6              0x00000005
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_7              0x00000006
#define       GICDIST_PERIPH_ID_6_CPU_IF_CMD_CPU_INTERFACE_8              0x00000007
#define    GICDIST_PERIPH_ID_6_FIQ_LEGACY_SHIFT                           1
#define    GICDIST_PERIPH_ID_6_FIQ_LEGACY_MASK                            0x00000002
#define       GICDIST_PERIPH_ID_6_FIQ_LEGACY_CMD_NO_LEGACY                0x00000000
#define       GICDIST_PERIPH_ID_6_FIQ_LEGACY_CMD_LEGACY                   0x00000001
#define    GICDIST_PERIPH_ID_6_IRQ_LEGACY_SHIFT                           0
#define    GICDIST_PERIPH_ID_6_IRQ_LEGACY_MASK                            0x00000001
#define       GICDIST_PERIPH_ID_6_IRQ_LEGACY_CMD_NO_LEGACY                0x00000000
#define       GICDIST_PERIPH_ID_6_IRQ_LEGACY_CMD_LEGACY                   0x00000001

#define GICDIST_PERIPH_ID_7_OFFSET                                        0x00000FEC
#define GICDIST_PERIPH_ID_7_TYPE                                          UInt32
#define GICDIST_PERIPH_ID_7_RESERVED_MASK                                 0xFFFFFFFE
#define    GICDIST_PERIPH_ID_7_IDENTIFIER_SHIFT                           0
#define    GICDIST_PERIPH_ID_7_IDENTIFIER_MASK                            0x00000001
#define       GICDIST_PERIPH_ID_7_IDENTIFIER_CMD_DISTRIBUTOR              0x00000000
#define       GICDIST_PERIPH_ID_7_IDENTIFIER_CMD_CPU_INTERFACE            0x00000001

#define GICDIST_PCELL_ID_0_OFFSET                                         0x00000FF0
#define GICDIST_PCELL_ID_0_TYPE                                           UInt32
#define GICDIST_PCELL_ID_0_RESERVED_MASK                                  0xFFFFFF00
#define    GICDIST_PCELL_ID_0_PCELL_ID_0_SHIFT                            0
#define    GICDIST_PCELL_ID_0_PCELL_ID_0_MASK                             0x000000FF

#define GICDIST_PCELL_ID_1_OFFSET                                         0x00000FF4
#define GICDIST_PCELL_ID_1_TYPE                                           UInt32
#define GICDIST_PCELL_ID_1_RESERVED_MASK                                  0xFFFFFF00
#define    GICDIST_PCELL_ID_1_PCELL_ID_1_SHIFT                            0
#define    GICDIST_PCELL_ID_1_PCELL_ID_1_MASK                             0x000000FF

#define GICDIST_PCELL_ID_2_OFFSET                                         0x00000FF8
#define GICDIST_PCELL_ID_2_TYPE                                           UInt32
#define GICDIST_PCELL_ID_2_RESERVED_MASK                                  0xFFFFFF00
#define    GICDIST_PCELL_ID_2_PCELL_ID_2_SHIFT                            0
#define    GICDIST_PCELL_ID_2_PCELL_ID_2_MASK                             0x000000FF

#define GICDIST_PCELL_ID_3_OFFSET                                         0x00000FFC
#define GICDIST_PCELL_ID_3_TYPE                                           UInt32
#define GICDIST_PCELL_ID_3_RESERVED_MASK                                  0xFFFFFF00
#define    GICDIST_PCELL_ID_3_PCELL_ID_3_SHIFT                            0
#define    GICDIST_PCELL_ID_3_PCELL_ID_3_MASK                             0x000000FF

#endif /* __BRCM_RDB_GICDIST_H__ */


