/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_PADCTRLREG_H__
#define __BRCM_RDB_PADCTRLREG_H__

#define PADCTRLREG_ADCSYN_OFFSET                                          0x00000000
#define PADCTRLREG_ADCSYN_TYPE                                            UInt32
#define PADCTRLREG_ADCSYN_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_ADCSYN_PINSEL_ADCSYN_SHIFT                          8
#define    PADCTRLREG_ADCSYN_PINSEL_ADCSYN_MASK                           0x00000700
#define    PADCTRLREG_ADCSYN_HYS_EN_ADCSYN_SHIFT                          7
#define    PADCTRLREG_ADCSYN_HYS_EN_ADCSYN_MASK                           0x00000080
#define    PADCTRLREG_ADCSYN_PDN_ADCSYN_SHIFT                             6
#define    PADCTRLREG_ADCSYN_PDN_ADCSYN_MASK                              0x00000040
#define    PADCTRLREG_ADCSYN_PUP_ADCSYN_SHIFT                             5
#define    PADCTRLREG_ADCSYN_PUP_ADCSYN_MASK                              0x00000020
#define    PADCTRLREG_ADCSYN_SRC_ADCSYN_SHIFT                             4
#define    PADCTRLREG_ADCSYN_SRC_ADCSYN_MASK                              0x00000010
#define    PADCTRLREG_ADCSYN_IND_ADCSYN_SHIFT                             3
#define    PADCTRLREG_ADCSYN_IND_ADCSYN_MASK                              0x00000008
#define    PADCTRLREG_ADCSYN_SEL_2_ADCSYN_SHIFT                           2
#define    PADCTRLREG_ADCSYN_SEL_2_ADCSYN_MASK                            0x00000004
#define    PADCTRLREG_ADCSYN_SEL_1_ADCSYN_SHIFT                           1
#define    PADCTRLREG_ADCSYN_SEL_1_ADCSYN_MASK                            0x00000002
#define    PADCTRLREG_ADCSYN_SEL_0_ADCSYN_SHIFT                           0
#define    PADCTRLREG_ADCSYN_SEL_0_ADCSYN_MASK                            0x00000001

#define PADCTRLREG_BATRM_OFFSET                                           0x00000004
#define PADCTRLREG_BATRM_TYPE                                             UInt32
#define PADCTRLREG_BATRM_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_BATRM_PINSEL_BATRM_SHIFT                            8
#define    PADCTRLREG_BATRM_PINSEL_BATRM_MASK                             0x00000700
#define    PADCTRLREG_BATRM_HYS_EN_BATRM_SHIFT                            7
#define    PADCTRLREG_BATRM_HYS_EN_BATRM_MASK                             0x00000080
#define    PADCTRLREG_BATRM_PDN_BATRM_SHIFT                               6
#define    PADCTRLREG_BATRM_PDN_BATRM_MASK                                0x00000040
#define    PADCTRLREG_BATRM_PUP_BATRM_SHIFT                               5
#define    PADCTRLREG_BATRM_PUP_BATRM_MASK                                0x00000020
#define    PADCTRLREG_BATRM_SRC_BATRM_SHIFT                               4
#define    PADCTRLREG_BATRM_SRC_BATRM_MASK                                0x00000010
#define    PADCTRLREG_BATRM_IND_BATRM_SHIFT                               3
#define    PADCTRLREG_BATRM_IND_BATRM_MASK                                0x00000008
#define    PADCTRLREG_BATRM_SEL_2_BATRM_SHIFT                             2
#define    PADCTRLREG_BATRM_SEL_2_BATRM_MASK                              0x00000004
#define    PADCTRLREG_BATRM_SEL_1_BATRM_SHIFT                             1
#define    PADCTRLREG_BATRM_SEL_1_BATRM_MASK                              0x00000002
#define    PADCTRLREG_BATRM_SEL_0_BATRM_SHIFT                             0
#define    PADCTRLREG_BATRM_SEL_0_BATRM_MASK                              0x00000001

#define PADCTRLREG_BSC1CLK_OFFSET                                         0x00000008
#define PADCTRLREG_BSC1CLK_TYPE                                           UInt32
#define PADCTRLREG_BSC1CLK_RESERVED_MASK                                  0xFFFFF8C7
#define    PADCTRLREG_BSC1CLK_PINSEL_BSC1CLK_SHIFT                        8
#define    PADCTRLREG_BSC1CLK_PINSEL_BSC1CLK_MASK                         0x00000700
#define    PADCTRLREG_BSC1CLK_PUP_BSC1CLK_SHIFT                           5
#define    PADCTRLREG_BSC1CLK_PUP_BSC1CLK_MASK                            0x00000020
#define    PADCTRLREG_BSC1CLK_SRC_BSC1CLK_SHIFT                           4
#define    PADCTRLREG_BSC1CLK_SRC_BSC1CLK_MASK                            0x00000010
#define    PADCTRLREG_BSC1CLK_IND_BSC1CLK_SHIFT                           3
#define    PADCTRLREG_BSC1CLK_IND_BSC1CLK_MASK                            0x00000008

#define PADCTRLREG_BSC1DAT_OFFSET                                         0x0000000C
#define PADCTRLREG_BSC1DAT_TYPE                                           UInt32
#define PADCTRLREG_BSC1DAT_RESERVED_MASK                                  0xFFFFF8C7
#define    PADCTRLREG_BSC1DAT_PINSEL_BSC1DAT_SHIFT                        8
#define    PADCTRLREG_BSC1DAT_PINSEL_BSC1DAT_MASK                         0x00000700
#define    PADCTRLREG_BSC1DAT_PUP_BSC1DAT_SHIFT                           5
#define    PADCTRLREG_BSC1DAT_PUP_BSC1DAT_MASK                            0x00000020
#define    PADCTRLREG_BSC1DAT_SRC_BSC1DAT_SHIFT                           4
#define    PADCTRLREG_BSC1DAT_SRC_BSC1DAT_MASK                            0x00000010
#define    PADCTRLREG_BSC1DAT_IND_BSC1DAT_SHIFT                           3
#define    PADCTRLREG_BSC1DAT_IND_BSC1DAT_MASK                            0x00000008

#define PADCTRLREG_CAMCS0_OFFSET                                          0x00000010
#define PADCTRLREG_CAMCS0_TYPE                                            UInt32
#define PADCTRLREG_CAMCS0_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_CAMCS0_PINSEL_CAMCS0_SHIFT                          8
#define    PADCTRLREG_CAMCS0_PINSEL_CAMCS0_MASK                           0x00000700
#define    PADCTRLREG_CAMCS0_HYS_EN_CAMCS0_SHIFT                          7
#define    PADCTRLREG_CAMCS0_HYS_EN_CAMCS0_MASK                           0x00000080
#define    PADCTRLREG_CAMCS0_PDN_CAMCS0_SHIFT                             6
#define    PADCTRLREG_CAMCS0_PDN_CAMCS0_MASK                              0x00000040
#define    PADCTRLREG_CAMCS0_PUP_CAMCS0_SHIFT                             5
#define    PADCTRLREG_CAMCS0_PUP_CAMCS0_MASK                              0x00000020
#define    PADCTRLREG_CAMCS0_SRC_CAMCS0_SHIFT                             4
#define    PADCTRLREG_CAMCS0_SRC_CAMCS0_MASK                              0x00000010
#define    PADCTRLREG_CAMCS0_IND_CAMCS0_SHIFT                             3
#define    PADCTRLREG_CAMCS0_IND_CAMCS0_MASK                              0x00000008
#define    PADCTRLREG_CAMCS0_SEL_2_CAMCS0_SHIFT                           2
#define    PADCTRLREG_CAMCS0_SEL_2_CAMCS0_MASK                            0x00000004
#define    PADCTRLREG_CAMCS0_SEL_1_CAMCS0_SHIFT                           1
#define    PADCTRLREG_CAMCS0_SEL_1_CAMCS0_MASK                            0x00000002
#define    PADCTRLREG_CAMCS0_SEL_0_CAMCS0_SHIFT                           0
#define    PADCTRLREG_CAMCS0_SEL_0_CAMCS0_MASK                            0x00000001

#define PADCTRLREG_CAMCS1_OFFSET                                          0x00000014
#define PADCTRLREG_CAMCS1_TYPE                                            UInt32
#define PADCTRLREG_CAMCS1_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_CAMCS1_PINSEL_CAMCS1_SHIFT                          8
#define    PADCTRLREG_CAMCS1_PINSEL_CAMCS1_MASK                           0x00000700
#define    PADCTRLREG_CAMCS1_HYS_EN_CAMCS1_SHIFT                          7
#define    PADCTRLREG_CAMCS1_HYS_EN_CAMCS1_MASK                           0x00000080
#define    PADCTRLREG_CAMCS1_PDN_CAMCS1_SHIFT                             6
#define    PADCTRLREG_CAMCS1_PDN_CAMCS1_MASK                              0x00000040
#define    PADCTRLREG_CAMCS1_PUP_CAMCS1_SHIFT                             5
#define    PADCTRLREG_CAMCS1_PUP_CAMCS1_MASK                              0x00000020
#define    PADCTRLREG_CAMCS1_SRC_CAMCS1_SHIFT                             4
#define    PADCTRLREG_CAMCS1_SRC_CAMCS1_MASK                              0x00000010
#define    PADCTRLREG_CAMCS1_IND_CAMCS1_SHIFT                             3
#define    PADCTRLREG_CAMCS1_IND_CAMCS1_MASK                              0x00000008
#define    PADCTRLREG_CAMCS1_SEL_2_CAMCS1_SHIFT                           2
#define    PADCTRLREG_CAMCS1_SEL_2_CAMCS1_MASK                            0x00000004
#define    PADCTRLREG_CAMCS1_SEL_1_CAMCS1_SHIFT                           1
#define    PADCTRLREG_CAMCS1_SEL_1_CAMCS1_MASK                            0x00000002
#define    PADCTRLREG_CAMCS1_SEL_0_CAMCS1_SHIFT                           0
#define    PADCTRLREG_CAMCS1_SEL_0_CAMCS1_MASK                            0x00000001

#define PADCTRLREG_CLK32K_OFFSET                                          0x00000018
#define PADCTRLREG_CLK32K_TYPE                                            UInt32
#define PADCTRLREG_CLK32K_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_CLK32K_PINSEL_CLK32K_SHIFT                          8
#define    PADCTRLREG_CLK32K_PINSEL_CLK32K_MASK                           0x00000700
#define    PADCTRLREG_CLK32K_HYS_EN_CLK32K_SHIFT                          7
#define    PADCTRLREG_CLK32K_HYS_EN_CLK32K_MASK                           0x00000080
#define    PADCTRLREG_CLK32K_PDN_CLK32K_SHIFT                             6
#define    PADCTRLREG_CLK32K_PDN_CLK32K_MASK                              0x00000040
#define    PADCTRLREG_CLK32K_PUP_CLK32K_SHIFT                             5
#define    PADCTRLREG_CLK32K_PUP_CLK32K_MASK                              0x00000020
#define    PADCTRLREG_CLK32K_SRC_CLK32K_SHIFT                             4
#define    PADCTRLREG_CLK32K_SRC_CLK32K_MASK                              0x00000010
#define    PADCTRLREG_CLK32K_IND_CLK32K_SHIFT                             3
#define    PADCTRLREG_CLK32K_IND_CLK32K_MASK                              0x00000008
#define    PADCTRLREG_CLK32K_SEL_2_CLK32K_SHIFT                           2
#define    PADCTRLREG_CLK32K_SEL_2_CLK32K_MASK                            0x00000004
#define    PADCTRLREG_CLK32K_SEL_1_CLK32K_SHIFT                           1
#define    PADCTRLREG_CLK32K_SEL_1_CLK32K_MASK                            0x00000002
#define    PADCTRLREG_CLK32K_SEL_0_CLK32K_SHIFT                           0
#define    PADCTRLREG_CLK32K_SEL_0_CLK32K_MASK                            0x00000001

#define PADCTRLREG_CLK_CX8_OFFSET                                         0x0000001C
#define PADCTRLREG_CLK_CX8_TYPE                                           UInt32
#define PADCTRLREG_CLK_CX8_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_CLK_CX8_PINSEL_CLK_CX8_SHIFT                        8
#define    PADCTRLREG_CLK_CX8_PINSEL_CLK_CX8_MASK                         0x00000700
#define    PADCTRLREG_CLK_CX8_HYS_EN_CLK_CX8_SHIFT                        7
#define    PADCTRLREG_CLK_CX8_HYS_EN_CLK_CX8_MASK                         0x00000080
#define    PADCTRLREG_CLK_CX8_PDN_CLK_CX8_SHIFT                           6
#define    PADCTRLREG_CLK_CX8_PDN_CLK_CX8_MASK                            0x00000040
#define    PADCTRLREG_CLK_CX8_PUP_CLK_CX8_SHIFT                           5
#define    PADCTRLREG_CLK_CX8_PUP_CLK_CX8_MASK                            0x00000020
#define    PADCTRLREG_CLK_CX8_SRC_CLK_CX8_SHIFT                           4
#define    PADCTRLREG_CLK_CX8_SRC_CLK_CX8_MASK                            0x00000010
#define    PADCTRLREG_CLK_CX8_IND_CLK_CX8_SHIFT                           3
#define    PADCTRLREG_CLK_CX8_IND_CLK_CX8_MASK                            0x00000008
#define    PADCTRLREG_CLK_CX8_SEL_2_CLK_CX8_SHIFT                         2
#define    PADCTRLREG_CLK_CX8_SEL_2_CLK_CX8_MASK                          0x00000004
#define    PADCTRLREG_CLK_CX8_SEL_1_CLK_CX8_SHIFT                         1
#define    PADCTRLREG_CLK_CX8_SEL_1_CLK_CX8_MASK                          0x00000002
#define    PADCTRLREG_CLK_CX8_SEL_0_CLK_CX8_SHIFT                         0
#define    PADCTRLREG_CLK_CX8_SEL_0_CLK_CX8_MASK                          0x00000001

#define PADCTRLREG_DCLK1_OFFSET                                           0x00000020
#define PADCTRLREG_DCLK1_TYPE                                             UInt32
#define PADCTRLREG_DCLK1_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_DCLK1_PINSEL_DCLK1_SHIFT                            8
#define    PADCTRLREG_DCLK1_PINSEL_DCLK1_MASK                             0x00000700
#define    PADCTRLREG_DCLK1_HYS_EN_DCLK1_SHIFT                            7
#define    PADCTRLREG_DCLK1_HYS_EN_DCLK1_MASK                             0x00000080
#define    PADCTRLREG_DCLK1_PDN_DCLK1_SHIFT                               6
#define    PADCTRLREG_DCLK1_PDN_DCLK1_MASK                                0x00000040
#define    PADCTRLREG_DCLK1_PUP_DCLK1_SHIFT                               5
#define    PADCTRLREG_DCLK1_PUP_DCLK1_MASK                                0x00000020
#define    PADCTRLREG_DCLK1_SRC_DCLK1_SHIFT                               4
#define    PADCTRLREG_DCLK1_SRC_DCLK1_MASK                                0x00000010
#define    PADCTRLREG_DCLK1_IND_DCLK1_SHIFT                               3
#define    PADCTRLREG_DCLK1_IND_DCLK1_MASK                                0x00000008
#define    PADCTRLREG_DCLK1_SEL_2_DCLK1_SHIFT                             2
#define    PADCTRLREG_DCLK1_SEL_2_DCLK1_MASK                              0x00000004
#define    PADCTRLREG_DCLK1_SEL_1_DCLK1_SHIFT                             1
#define    PADCTRLREG_DCLK1_SEL_1_DCLK1_MASK                              0x00000002
#define    PADCTRLREG_DCLK1_SEL_0_DCLK1_SHIFT                             0
#define    PADCTRLREG_DCLK1_SEL_0_DCLK1_MASK                              0x00000001

#define PADCTRLREG_DCLK4_OFFSET                                           0x00000024
#define PADCTRLREG_DCLK4_TYPE                                             UInt32
#define PADCTRLREG_DCLK4_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_DCLK4_PINSEL_DCLK4_SHIFT                            8
#define    PADCTRLREG_DCLK4_PINSEL_DCLK4_MASK                             0x00000700
#define    PADCTRLREG_DCLK4_HYS_EN_DCLK4_SHIFT                            7
#define    PADCTRLREG_DCLK4_HYS_EN_DCLK4_MASK                             0x00000080
#define    PADCTRLREG_DCLK4_PDN_DCLK4_SHIFT                               6
#define    PADCTRLREG_DCLK4_PDN_DCLK4_MASK                                0x00000040
#define    PADCTRLREG_DCLK4_PUP_DCLK4_SHIFT                               5
#define    PADCTRLREG_DCLK4_PUP_DCLK4_MASK                                0x00000020
#define    PADCTRLREG_DCLK4_SRC_DCLK4_SHIFT                               4
#define    PADCTRLREG_DCLK4_SRC_DCLK4_MASK                                0x00000010
#define    PADCTRLREG_DCLK4_IND_DCLK4_SHIFT                               3
#define    PADCTRLREG_DCLK4_IND_DCLK4_MASK                                0x00000008
#define    PADCTRLREG_DCLK4_SEL_2_DCLK4_SHIFT                             2
#define    PADCTRLREG_DCLK4_SEL_2_DCLK4_MASK                              0x00000004
#define    PADCTRLREG_DCLK4_SEL_1_DCLK4_SHIFT                             1
#define    PADCTRLREG_DCLK4_SEL_1_DCLK4_MASK                              0x00000002
#define    PADCTRLREG_DCLK4_SEL_0_DCLK4_SHIFT                             0
#define    PADCTRLREG_DCLK4_SEL_0_DCLK4_MASK                              0x00000001

#define PADCTRLREG_DCLKREQ1_OFFSET                                        0x00000028
#define PADCTRLREG_DCLKREQ1_TYPE                                          UInt32
#define PADCTRLREG_DCLKREQ1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_DCLKREQ1_PINSEL_DCLKREQ1_SHIFT                      8
#define    PADCTRLREG_DCLKREQ1_PINSEL_DCLKREQ1_MASK                       0x00000700
#define    PADCTRLREG_DCLKREQ1_HYS_EN_DCLKREQ1_SHIFT                      7
#define    PADCTRLREG_DCLKREQ1_HYS_EN_DCLKREQ1_MASK                       0x00000080
#define    PADCTRLREG_DCLKREQ1_PDN_DCLKREQ1_SHIFT                         6
#define    PADCTRLREG_DCLKREQ1_PDN_DCLKREQ1_MASK                          0x00000040
#define    PADCTRLREG_DCLKREQ1_PUP_DCLKREQ1_SHIFT                         5
#define    PADCTRLREG_DCLKREQ1_PUP_DCLKREQ1_MASK                          0x00000020
#define    PADCTRLREG_DCLKREQ1_SRC_DCLKREQ1_SHIFT                         4
#define    PADCTRLREG_DCLKREQ1_SRC_DCLKREQ1_MASK                          0x00000010
#define    PADCTRLREG_DCLKREQ1_IND_DCLKREQ1_SHIFT                         3
#define    PADCTRLREG_DCLKREQ1_IND_DCLKREQ1_MASK                          0x00000008
#define    PADCTRLREG_DCLKREQ1_SEL_2_DCLKREQ1_SHIFT                       2
#define    PADCTRLREG_DCLKREQ1_SEL_2_DCLKREQ1_MASK                        0x00000004
#define    PADCTRLREG_DCLKREQ1_SEL_1_DCLKREQ1_SHIFT                       1
#define    PADCTRLREG_DCLKREQ1_SEL_1_DCLKREQ1_MASK                        0x00000002
#define    PADCTRLREG_DCLKREQ1_SEL_0_DCLKREQ1_SHIFT                       0
#define    PADCTRLREG_DCLKREQ1_SEL_0_DCLKREQ1_MASK                        0x00000001

#define PADCTRLREG_DCLKREQ4_OFFSET                                        0x0000002C
#define PADCTRLREG_DCLKREQ4_TYPE                                          UInt32
#define PADCTRLREG_DCLKREQ4_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_DCLKREQ4_PINSEL_DCLKREQ4_SHIFT                      8
#define    PADCTRLREG_DCLKREQ4_PINSEL_DCLKREQ4_MASK                       0x00000700
#define    PADCTRLREG_DCLKREQ4_HYS_EN_DCLKREQ4_SHIFT                      7
#define    PADCTRLREG_DCLKREQ4_HYS_EN_DCLKREQ4_MASK                       0x00000080
#define    PADCTRLREG_DCLKREQ4_PDN_DCLKREQ4_SHIFT                         6
#define    PADCTRLREG_DCLKREQ4_PDN_DCLKREQ4_MASK                          0x00000040
#define    PADCTRLREG_DCLKREQ4_PUP_DCLKREQ4_SHIFT                         5
#define    PADCTRLREG_DCLKREQ4_PUP_DCLKREQ4_MASK                          0x00000020
#define    PADCTRLREG_DCLKREQ4_SRC_DCLKREQ4_SHIFT                         4
#define    PADCTRLREG_DCLKREQ4_SRC_DCLKREQ4_MASK                          0x00000010
#define    PADCTRLREG_DCLKREQ4_IND_DCLKREQ4_SHIFT                         3
#define    PADCTRLREG_DCLKREQ4_IND_DCLKREQ4_MASK                          0x00000008
#define    PADCTRLREG_DCLKREQ4_SEL_2_DCLKREQ4_SHIFT                       2
#define    PADCTRLREG_DCLKREQ4_SEL_2_DCLKREQ4_MASK                        0x00000004
#define    PADCTRLREG_DCLKREQ4_SEL_1_DCLKREQ4_SHIFT                       1
#define    PADCTRLREG_DCLKREQ4_SEL_1_DCLKREQ4_MASK                        0x00000002
#define    PADCTRLREG_DCLKREQ4_SEL_0_DCLKREQ4_SHIFT                       0
#define    PADCTRLREG_DCLKREQ4_SEL_0_DCLKREQ4_MASK                        0x00000001

#define PADCTRLREG_DMIC0CLK_OFFSET                                        0x00000030
#define PADCTRLREG_DMIC0CLK_TYPE                                          UInt32
#define PADCTRLREG_DMIC0CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_DMIC0CLK_PINSEL_DMIC0CLK_SHIFT                      8
#define    PADCTRLREG_DMIC0CLK_PINSEL_DMIC0CLK_MASK                       0x00000700
#define    PADCTRLREG_DMIC0CLK_HYS_EN_DMIC0CLK_SHIFT                      7
#define    PADCTRLREG_DMIC0CLK_HYS_EN_DMIC0CLK_MASK                       0x00000080
#define    PADCTRLREG_DMIC0CLK_PDN_DMIC0CLK_SHIFT                         6
#define    PADCTRLREG_DMIC0CLK_PDN_DMIC0CLK_MASK                          0x00000040
#define    PADCTRLREG_DMIC0CLK_PUP_DMIC0CLK_SHIFT                         5
#define    PADCTRLREG_DMIC0CLK_PUP_DMIC0CLK_MASK                          0x00000020
#define    PADCTRLREG_DMIC0CLK_SRC_DMIC0CLK_SHIFT                         4
#define    PADCTRLREG_DMIC0CLK_SRC_DMIC0CLK_MASK                          0x00000010
#define    PADCTRLREG_DMIC0CLK_IND_DMIC0CLK_SHIFT                         3
#define    PADCTRLREG_DMIC0CLK_IND_DMIC0CLK_MASK                          0x00000008
#define    PADCTRLREG_DMIC0CLK_SEL_2_DMIC0CLK_SHIFT                       2
#define    PADCTRLREG_DMIC0CLK_SEL_2_DMIC0CLK_MASK                        0x00000004
#define    PADCTRLREG_DMIC0CLK_SEL_1_DMIC0CLK_SHIFT                       1
#define    PADCTRLREG_DMIC0CLK_SEL_1_DMIC0CLK_MASK                        0x00000002
#define    PADCTRLREG_DMIC0CLK_SEL_0_DMIC0CLK_SHIFT                       0
#define    PADCTRLREG_DMIC0CLK_SEL_0_DMIC0CLK_MASK                        0x00000001

#define PADCTRLREG_DMIC0DQ_OFFSET                                         0x00000034
#define PADCTRLREG_DMIC0DQ_TYPE                                           UInt32
#define PADCTRLREG_DMIC0DQ_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_DMIC0DQ_PINSEL_DMIC0DQ_SHIFT                        8
#define    PADCTRLREG_DMIC0DQ_PINSEL_DMIC0DQ_MASK                         0x00000700
#define    PADCTRLREG_DMIC0DQ_HYS_EN_DMIC0DQ_SHIFT                        7
#define    PADCTRLREG_DMIC0DQ_HYS_EN_DMIC0DQ_MASK                         0x00000080
#define    PADCTRLREG_DMIC0DQ_PDN_DMIC0DQ_SHIFT                           6
#define    PADCTRLREG_DMIC0DQ_PDN_DMIC0DQ_MASK                            0x00000040
#define    PADCTRLREG_DMIC0DQ_PUP_DMIC0DQ_SHIFT                           5
#define    PADCTRLREG_DMIC0DQ_PUP_DMIC0DQ_MASK                            0x00000020
#define    PADCTRLREG_DMIC0DQ_SRC_DMIC0DQ_SHIFT                           4
#define    PADCTRLREG_DMIC0DQ_SRC_DMIC0DQ_MASK                            0x00000010
#define    PADCTRLREG_DMIC0DQ_IND_DMIC0DQ_SHIFT                           3
#define    PADCTRLREG_DMIC0DQ_IND_DMIC0DQ_MASK                            0x00000008
#define    PADCTRLREG_DMIC0DQ_SEL_2_DMIC0DQ_SHIFT                         2
#define    PADCTRLREG_DMIC0DQ_SEL_2_DMIC0DQ_MASK                          0x00000004
#define    PADCTRLREG_DMIC0DQ_SEL_1_DMIC0DQ_SHIFT                         1
#define    PADCTRLREG_DMIC0DQ_SEL_1_DMIC0DQ_MASK                          0x00000002
#define    PADCTRLREG_DMIC0DQ_SEL_0_DMIC0DQ_SHIFT                         0
#define    PADCTRLREG_DMIC0DQ_SEL_0_DMIC0DQ_MASK                          0x00000001

#define PADCTRLREG_DSI0TE_OFFSET                                          0x00000038
#define PADCTRLREG_DSI0TE_TYPE                                            UInt32
#define PADCTRLREG_DSI0TE_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_DSI0TE_PINSEL_DSI0TE_SHIFT                          8
#define    PADCTRLREG_DSI0TE_PINSEL_DSI0TE_MASK                           0x00000700
#define    PADCTRLREG_DSI0TE_HYS_EN_DSI0TE_SHIFT                          7
#define    PADCTRLREG_DSI0TE_HYS_EN_DSI0TE_MASK                           0x00000080
#define    PADCTRLREG_DSI0TE_PDN_DSI0TE_SHIFT                             6
#define    PADCTRLREG_DSI0TE_PDN_DSI0TE_MASK                              0x00000040
#define    PADCTRLREG_DSI0TE_PUP_DSI0TE_SHIFT                             5
#define    PADCTRLREG_DSI0TE_PUP_DSI0TE_MASK                              0x00000020
#define    PADCTRLREG_DSI0TE_SRC_DSI0TE_SHIFT                             4
#define    PADCTRLREG_DSI0TE_SRC_DSI0TE_MASK                              0x00000010
#define    PADCTRLREG_DSI0TE_IND_DSI0TE_SHIFT                             3
#define    PADCTRLREG_DSI0TE_IND_DSI0TE_MASK                              0x00000008
#define    PADCTRLREG_DSI0TE_SEL_2_DSI0TE_SHIFT                           2
#define    PADCTRLREG_DSI0TE_SEL_2_DSI0TE_MASK                            0x00000004
#define    PADCTRLREG_DSI0TE_SEL_1_DSI0TE_SHIFT                           1
#define    PADCTRLREG_DSI0TE_SEL_1_DSI0TE_MASK                            0x00000002
#define    PADCTRLREG_DSI0TE_SEL_0_DSI0TE_SHIFT                           0
#define    PADCTRLREG_DSI0TE_SEL_0_DSI0TE_MASK                            0x00000001

#define PADCTRLREG_GPIO00_OFFSET                                          0x0000003C
#define PADCTRLREG_GPIO00_TYPE                                            UInt32
#define PADCTRLREG_GPIO00_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO00_PINSEL_GPIO00_SHIFT                          8
#define    PADCTRLREG_GPIO00_PINSEL_GPIO00_MASK                           0x00000700
#define    PADCTRLREG_GPIO00_HYS_EN_GPIO00_SHIFT                          7
#define    PADCTRLREG_GPIO00_HYS_EN_GPIO00_MASK                           0x00000080
#define    PADCTRLREG_GPIO00_PDN_GPIO00_SHIFT                             6
#define    PADCTRLREG_GPIO00_PDN_GPIO00_MASK                              0x00000040
#define    PADCTRLREG_GPIO00_PUP_GPIO00_SHIFT                             5
#define    PADCTRLREG_GPIO00_PUP_GPIO00_MASK                              0x00000020
#define    PADCTRLREG_GPIO00_SRC_GPIO00_SHIFT                             4
#define    PADCTRLREG_GPIO00_SRC_GPIO00_MASK                              0x00000010
#define    PADCTRLREG_GPIO00_IND_GPIO00_SHIFT                             3
#define    PADCTRLREG_GPIO00_IND_GPIO00_MASK                              0x00000008
#define    PADCTRLREG_GPIO00_SEL_2_GPIO00_SHIFT                           2
#define    PADCTRLREG_GPIO00_SEL_2_GPIO00_MASK                            0x00000004
#define    PADCTRLREG_GPIO00_SEL_1_GPIO00_SHIFT                           1
#define    PADCTRLREG_GPIO00_SEL_1_GPIO00_MASK                            0x00000002
#define    PADCTRLREG_GPIO00_SEL_0_GPIO00_SHIFT                           0
#define    PADCTRLREG_GPIO00_SEL_0_GPIO00_MASK                            0x00000001

#define PADCTRLREG_GPIO01_OFFSET                                          0x00000040
#define PADCTRLREG_GPIO01_TYPE                                            UInt32
#define PADCTRLREG_GPIO01_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO01_PINSEL_GPIO01_SHIFT                          8
#define    PADCTRLREG_GPIO01_PINSEL_GPIO01_MASK                           0x00000700
#define    PADCTRLREG_GPIO01_HYS_EN_GPIO01_SHIFT                          7
#define    PADCTRLREG_GPIO01_HYS_EN_GPIO01_MASK                           0x00000080
#define    PADCTRLREG_GPIO01_PDN_GPIO01_SHIFT                             6
#define    PADCTRLREG_GPIO01_PDN_GPIO01_MASK                              0x00000040
#define    PADCTRLREG_GPIO01_PUP_GPIO01_SHIFT                             5
#define    PADCTRLREG_GPIO01_PUP_GPIO01_MASK                              0x00000020
#define    PADCTRLREG_GPIO01_SRC_GPIO01_SHIFT                             4
#define    PADCTRLREG_GPIO01_SRC_GPIO01_MASK                              0x00000010
#define    PADCTRLREG_GPIO01_IND_GPIO01_SHIFT                             3
#define    PADCTRLREG_GPIO01_IND_GPIO01_MASK                              0x00000008
#define    PADCTRLREG_GPIO01_SEL_2_GPIO01_SHIFT                           2
#define    PADCTRLREG_GPIO01_SEL_2_GPIO01_MASK                            0x00000004
#define    PADCTRLREG_GPIO01_SEL_1_GPIO01_SHIFT                           1
#define    PADCTRLREG_GPIO01_SEL_1_GPIO01_MASK                            0x00000002
#define    PADCTRLREG_GPIO01_SEL_0_GPIO01_SHIFT                           0
#define    PADCTRLREG_GPIO01_SEL_0_GPIO01_MASK                            0x00000001

#define PADCTRLREG_GPIO02_OFFSET                                          0x00000044
#define PADCTRLREG_GPIO02_TYPE                                            UInt32
#define PADCTRLREG_GPIO02_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO02_PINSEL_GPIO02_SHIFT                          8
#define    PADCTRLREG_GPIO02_PINSEL_GPIO02_MASK                           0x00000700
#define    PADCTRLREG_GPIO02_HYS_EN_GPIO02_SHIFT                          7
#define    PADCTRLREG_GPIO02_HYS_EN_GPIO02_MASK                           0x00000080
#define    PADCTRLREG_GPIO02_PDN_GPIO02_SHIFT                             6
#define    PADCTRLREG_GPIO02_PDN_GPIO02_MASK                              0x00000040
#define    PADCTRLREG_GPIO02_PUP_GPIO02_SHIFT                             5
#define    PADCTRLREG_GPIO02_PUP_GPIO02_MASK                              0x00000020
#define    PADCTRLREG_GPIO02_SRC_GPIO02_SHIFT                             4
#define    PADCTRLREG_GPIO02_SRC_GPIO02_MASK                              0x00000010
#define    PADCTRLREG_GPIO02_IND_GPIO02_SHIFT                             3
#define    PADCTRLREG_GPIO02_IND_GPIO02_MASK                              0x00000008
#define    PADCTRLREG_GPIO02_SEL_2_GPIO02_SHIFT                           2
#define    PADCTRLREG_GPIO02_SEL_2_GPIO02_MASK                            0x00000004
#define    PADCTRLREG_GPIO02_SEL_1_GPIO02_SHIFT                           1
#define    PADCTRLREG_GPIO02_SEL_1_GPIO02_MASK                            0x00000002
#define    PADCTRLREG_GPIO02_SEL_0_GPIO02_SHIFT                           0
#define    PADCTRLREG_GPIO02_SEL_0_GPIO02_MASK                            0x00000001

#define PADCTRLREG_GPIO03_OFFSET                                          0x00000048
#define PADCTRLREG_GPIO03_TYPE                                            UInt32
#define PADCTRLREG_GPIO03_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO03_PINSEL_GPIO03_SHIFT                          8
#define    PADCTRLREG_GPIO03_PINSEL_GPIO03_MASK                           0x00000700
#define    PADCTRLREG_GPIO03_HYS_EN_GPIO03_SHIFT                          7
#define    PADCTRLREG_GPIO03_HYS_EN_GPIO03_MASK                           0x00000080
#define    PADCTRLREG_GPIO03_PDN_GPIO03_SHIFT                             6
#define    PADCTRLREG_GPIO03_PDN_GPIO03_MASK                              0x00000040
#define    PADCTRLREG_GPIO03_PUP_GPIO03_SHIFT                             5
#define    PADCTRLREG_GPIO03_PUP_GPIO03_MASK                              0x00000020
#define    PADCTRLREG_GPIO03_SRC_GPIO03_SHIFT                             4
#define    PADCTRLREG_GPIO03_SRC_GPIO03_MASK                              0x00000010
#define    PADCTRLREG_GPIO03_IND_GPIO03_SHIFT                             3
#define    PADCTRLREG_GPIO03_IND_GPIO03_MASK                              0x00000008
#define    PADCTRLREG_GPIO03_SEL_2_GPIO03_SHIFT                           2
#define    PADCTRLREG_GPIO03_SEL_2_GPIO03_MASK                            0x00000004
#define    PADCTRLREG_GPIO03_SEL_1_GPIO03_SHIFT                           1
#define    PADCTRLREG_GPIO03_SEL_1_GPIO03_MASK                            0x00000002
#define    PADCTRLREG_GPIO03_SEL_0_GPIO03_SHIFT                           0
#define    PADCTRLREG_GPIO03_SEL_0_GPIO03_MASK                            0x00000001

#define PADCTRLREG_GPIO04_OFFSET                                          0x0000004C
#define PADCTRLREG_GPIO04_TYPE                                            UInt32
#define PADCTRLREG_GPIO04_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO04_PINSEL_GPIO04_SHIFT                          8
#define    PADCTRLREG_GPIO04_PINSEL_GPIO04_MASK                           0x00000700
#define    PADCTRLREG_GPIO04_HYS_EN_GPIO04_SHIFT                          7
#define    PADCTRLREG_GPIO04_HYS_EN_GPIO04_MASK                           0x00000080
#define    PADCTRLREG_GPIO04_PDN_GPIO04_SHIFT                             6
#define    PADCTRLREG_GPIO04_PDN_GPIO04_MASK                              0x00000040
#define    PADCTRLREG_GPIO04_PUP_GPIO04_SHIFT                             5
#define    PADCTRLREG_GPIO04_PUP_GPIO04_MASK                              0x00000020
#define    PADCTRLREG_GPIO04_SRC_GPIO04_SHIFT                             4
#define    PADCTRLREG_GPIO04_SRC_GPIO04_MASK                              0x00000010
#define    PADCTRLREG_GPIO04_IND_GPIO04_SHIFT                             3
#define    PADCTRLREG_GPIO04_IND_GPIO04_MASK                              0x00000008
#define    PADCTRLREG_GPIO04_SEL_2_GPIO04_SHIFT                           2
#define    PADCTRLREG_GPIO04_SEL_2_GPIO04_MASK                            0x00000004
#define    PADCTRLREG_GPIO04_SEL_1_GPIO04_SHIFT                           1
#define    PADCTRLREG_GPIO04_SEL_1_GPIO04_MASK                            0x00000002
#define    PADCTRLREG_GPIO04_SEL_0_GPIO04_SHIFT                           0
#define    PADCTRLREG_GPIO04_SEL_0_GPIO04_MASK                            0x00000001

#define PADCTRLREG_GPIO05_OFFSET                                          0x00000050
#define PADCTRLREG_GPIO05_TYPE                                            UInt32
#define PADCTRLREG_GPIO05_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO05_PINSEL_GPIO05_SHIFT                          8
#define    PADCTRLREG_GPIO05_PINSEL_GPIO05_MASK                           0x00000700
#define    PADCTRLREG_GPIO05_HYS_EN_GPIO05_SHIFT                          7
#define    PADCTRLREG_GPIO05_HYS_EN_GPIO05_MASK                           0x00000080
#define    PADCTRLREG_GPIO05_PDN_GPIO05_SHIFT                             6
#define    PADCTRLREG_GPIO05_PDN_GPIO05_MASK                              0x00000040
#define    PADCTRLREG_GPIO05_PUP_GPIO05_SHIFT                             5
#define    PADCTRLREG_GPIO05_PUP_GPIO05_MASK                              0x00000020
#define    PADCTRLREG_GPIO05_SRC_GPIO05_SHIFT                             4
#define    PADCTRLREG_GPIO05_SRC_GPIO05_MASK                              0x00000010
#define    PADCTRLREG_GPIO05_IND_GPIO05_SHIFT                             3
#define    PADCTRLREG_GPIO05_IND_GPIO05_MASK                              0x00000008
#define    PADCTRLREG_GPIO05_SEL_2_GPIO05_SHIFT                           2
#define    PADCTRLREG_GPIO05_SEL_2_GPIO05_MASK                            0x00000004
#define    PADCTRLREG_GPIO05_SEL_1_GPIO05_SHIFT                           1
#define    PADCTRLREG_GPIO05_SEL_1_GPIO05_MASK                            0x00000002
#define    PADCTRLREG_GPIO05_SEL_0_GPIO05_SHIFT                           0
#define    PADCTRLREG_GPIO05_SEL_0_GPIO05_MASK                            0x00000001

#define PADCTRLREG_GPIO06_OFFSET                                          0x00000054
#define PADCTRLREG_GPIO06_TYPE                                            UInt32
#define PADCTRLREG_GPIO06_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO06_PINSEL_GPIO06_SHIFT                          8
#define    PADCTRLREG_GPIO06_PINSEL_GPIO06_MASK                           0x00000700
#define    PADCTRLREG_GPIO06_HYS_EN_GPIO06_SHIFT                          7
#define    PADCTRLREG_GPIO06_HYS_EN_GPIO06_MASK                           0x00000080
#define    PADCTRLREG_GPIO06_PDN_GPIO06_SHIFT                             6
#define    PADCTRLREG_GPIO06_PDN_GPIO06_MASK                              0x00000040
#define    PADCTRLREG_GPIO06_PUP_GPIO06_SHIFT                             5
#define    PADCTRLREG_GPIO06_PUP_GPIO06_MASK                              0x00000020
#define    PADCTRLREG_GPIO06_SRC_GPIO06_SHIFT                             4
#define    PADCTRLREG_GPIO06_SRC_GPIO06_MASK                              0x00000010
#define    PADCTRLREG_GPIO06_IND_GPIO06_SHIFT                             3
#define    PADCTRLREG_GPIO06_IND_GPIO06_MASK                              0x00000008
#define    PADCTRLREG_GPIO06_SEL_2_GPIO06_SHIFT                           2
#define    PADCTRLREG_GPIO06_SEL_2_GPIO06_MASK                            0x00000004
#define    PADCTRLREG_GPIO06_SEL_1_GPIO06_SHIFT                           1
#define    PADCTRLREG_GPIO06_SEL_1_GPIO06_MASK                            0x00000002
#define    PADCTRLREG_GPIO06_SEL_0_GPIO06_SHIFT                           0
#define    PADCTRLREG_GPIO06_SEL_0_GPIO06_MASK                            0x00000001

#define PADCTRLREG_GPIO07_OFFSET                                          0x00000058
#define PADCTRLREG_GPIO07_TYPE                                            UInt32
#define PADCTRLREG_GPIO07_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO07_PINSEL_GPIO07_SHIFT                          8
#define    PADCTRLREG_GPIO07_PINSEL_GPIO07_MASK                           0x00000700
#define    PADCTRLREG_GPIO07_HYS_EN_GPIO07_SHIFT                          7
#define    PADCTRLREG_GPIO07_HYS_EN_GPIO07_MASK                           0x00000080
#define    PADCTRLREG_GPIO07_PDN_GPIO07_SHIFT                             6
#define    PADCTRLREG_GPIO07_PDN_GPIO07_MASK                              0x00000040
#define    PADCTRLREG_GPIO07_PUP_GPIO07_SHIFT                             5
#define    PADCTRLREG_GPIO07_PUP_GPIO07_MASK                              0x00000020
#define    PADCTRLREG_GPIO07_SRC_GPIO07_SHIFT                             4
#define    PADCTRLREG_GPIO07_SRC_GPIO07_MASK                              0x00000010
#define    PADCTRLREG_GPIO07_IND_GPIO07_SHIFT                             3
#define    PADCTRLREG_GPIO07_IND_GPIO07_MASK                              0x00000008
#define    PADCTRLREG_GPIO07_SEL_2_GPIO07_SHIFT                           2
#define    PADCTRLREG_GPIO07_SEL_2_GPIO07_MASK                            0x00000004
#define    PADCTRLREG_GPIO07_SEL_1_GPIO07_SHIFT                           1
#define    PADCTRLREG_GPIO07_SEL_1_GPIO07_MASK                            0x00000002
#define    PADCTRLREG_GPIO07_SEL_0_GPIO07_SHIFT                           0
#define    PADCTRLREG_GPIO07_SEL_0_GPIO07_MASK                            0x00000001

#define PADCTRLREG_GPIO08_OFFSET                                          0x0000005C
#define PADCTRLREG_GPIO08_TYPE                                            UInt32
#define PADCTRLREG_GPIO08_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO08_PINSEL_GPIO08_SHIFT                          8
#define    PADCTRLREG_GPIO08_PINSEL_GPIO08_MASK                           0x00000700
#define    PADCTRLREG_GPIO08_HYS_EN_GPIO08_SHIFT                          7
#define    PADCTRLREG_GPIO08_HYS_EN_GPIO08_MASK                           0x00000080
#define    PADCTRLREG_GPIO08_PDN_GPIO08_SHIFT                             6
#define    PADCTRLREG_GPIO08_PDN_GPIO08_MASK                              0x00000040
#define    PADCTRLREG_GPIO08_PUP_GPIO08_SHIFT                             5
#define    PADCTRLREG_GPIO08_PUP_GPIO08_MASK                              0x00000020
#define    PADCTRLREG_GPIO08_SRC_GPIO08_SHIFT                             4
#define    PADCTRLREG_GPIO08_SRC_GPIO08_MASK                              0x00000010
#define    PADCTRLREG_GPIO08_IND_GPIO08_SHIFT                             3
#define    PADCTRLREG_GPIO08_IND_GPIO08_MASK                              0x00000008
#define    PADCTRLREG_GPIO08_SEL_2_GPIO08_SHIFT                           2
#define    PADCTRLREG_GPIO08_SEL_2_GPIO08_MASK                            0x00000004
#define    PADCTRLREG_GPIO08_SEL_1_GPIO08_SHIFT                           1
#define    PADCTRLREG_GPIO08_SEL_1_GPIO08_MASK                            0x00000002
#define    PADCTRLREG_GPIO08_SEL_0_GPIO08_SHIFT                           0
#define    PADCTRLREG_GPIO08_SEL_0_GPIO08_MASK                            0x00000001

#define PADCTRLREG_GPIO09_OFFSET                                          0x00000060
#define PADCTRLREG_GPIO09_TYPE                                            UInt32
#define PADCTRLREG_GPIO09_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO09_PINSEL_GPIO09_SHIFT                          8
#define    PADCTRLREG_GPIO09_PINSEL_GPIO09_MASK                           0x00000700
#define    PADCTRLREG_GPIO09_HYS_EN_GPIO09_SHIFT                          7
#define    PADCTRLREG_GPIO09_HYS_EN_GPIO09_MASK                           0x00000080
#define    PADCTRLREG_GPIO09_PDN_GPIO09_SHIFT                             6
#define    PADCTRLREG_GPIO09_PDN_GPIO09_MASK                              0x00000040
#define    PADCTRLREG_GPIO09_PUP_GPIO09_SHIFT                             5
#define    PADCTRLREG_GPIO09_PUP_GPIO09_MASK                              0x00000020
#define    PADCTRLREG_GPIO09_SRC_GPIO09_SHIFT                             4
#define    PADCTRLREG_GPIO09_SRC_GPIO09_MASK                              0x00000010
#define    PADCTRLREG_GPIO09_IND_GPIO09_SHIFT                             3
#define    PADCTRLREG_GPIO09_IND_GPIO09_MASK                              0x00000008
#define    PADCTRLREG_GPIO09_SEL_2_GPIO09_SHIFT                           2
#define    PADCTRLREG_GPIO09_SEL_2_GPIO09_MASK                            0x00000004
#define    PADCTRLREG_GPIO09_SEL_1_GPIO09_SHIFT                           1
#define    PADCTRLREG_GPIO09_SEL_1_GPIO09_MASK                            0x00000002
#define    PADCTRLREG_GPIO09_SEL_0_GPIO09_SHIFT                           0
#define    PADCTRLREG_GPIO09_SEL_0_GPIO09_MASK                            0x00000001

#define PADCTRLREG_GPIO10_OFFSET                                          0x00000064
#define PADCTRLREG_GPIO10_TYPE                                            UInt32
#define PADCTRLREG_GPIO10_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO10_PINSEL_GPIO10_SHIFT                          8
#define    PADCTRLREG_GPIO10_PINSEL_GPIO10_MASK                           0x00000700
#define    PADCTRLREG_GPIO10_HYS_EN_GPIO10_SHIFT                          7
#define    PADCTRLREG_GPIO10_HYS_EN_GPIO10_MASK                           0x00000080
#define    PADCTRLREG_GPIO10_PDN_GPIO10_SHIFT                             6
#define    PADCTRLREG_GPIO10_PDN_GPIO10_MASK                              0x00000040
#define    PADCTRLREG_GPIO10_PUP_GPIO10_SHIFT                             5
#define    PADCTRLREG_GPIO10_PUP_GPIO10_MASK                              0x00000020
#define    PADCTRLREG_GPIO10_SRC_GPIO10_SHIFT                             4
#define    PADCTRLREG_GPIO10_SRC_GPIO10_MASK                              0x00000010
#define    PADCTRLREG_GPIO10_IND_GPIO10_SHIFT                             3
#define    PADCTRLREG_GPIO10_IND_GPIO10_MASK                              0x00000008
#define    PADCTRLREG_GPIO10_SEL_2_GPIO10_SHIFT                           2
#define    PADCTRLREG_GPIO10_SEL_2_GPIO10_MASK                            0x00000004
#define    PADCTRLREG_GPIO10_SEL_1_GPIO10_SHIFT                           1
#define    PADCTRLREG_GPIO10_SEL_1_GPIO10_MASK                            0x00000002
#define    PADCTRLREG_GPIO10_SEL_0_GPIO10_SHIFT                           0
#define    PADCTRLREG_GPIO10_SEL_0_GPIO10_MASK                            0x00000001

#define PADCTRLREG_GPIO11_OFFSET                                          0x00000068
#define PADCTRLREG_GPIO11_TYPE                                            UInt32
#define PADCTRLREG_GPIO11_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO11_PINSEL_GPIO11_SHIFT                          8
#define    PADCTRLREG_GPIO11_PINSEL_GPIO11_MASK                           0x00000700
#define    PADCTRLREG_GPIO11_HYS_EN_GPIO11_SHIFT                          7
#define    PADCTRLREG_GPIO11_HYS_EN_GPIO11_MASK                           0x00000080
#define    PADCTRLREG_GPIO11_PDN_GPIO11_SHIFT                             6
#define    PADCTRLREG_GPIO11_PDN_GPIO11_MASK                              0x00000040
#define    PADCTRLREG_GPIO11_PUP_GPIO11_SHIFT                             5
#define    PADCTRLREG_GPIO11_PUP_GPIO11_MASK                              0x00000020
#define    PADCTRLREG_GPIO11_SRC_GPIO11_SHIFT                             4
#define    PADCTRLREG_GPIO11_SRC_GPIO11_MASK                              0x00000010
#define    PADCTRLREG_GPIO11_IND_GPIO11_SHIFT                             3
#define    PADCTRLREG_GPIO11_IND_GPIO11_MASK                              0x00000008
#define    PADCTRLREG_GPIO11_SEL_2_GPIO11_SHIFT                           2
#define    PADCTRLREG_GPIO11_SEL_2_GPIO11_MASK                            0x00000004
#define    PADCTRLREG_GPIO11_SEL_1_GPIO11_SHIFT                           1
#define    PADCTRLREG_GPIO11_SEL_1_GPIO11_MASK                            0x00000002
#define    PADCTRLREG_GPIO11_SEL_0_GPIO11_SHIFT                           0
#define    PADCTRLREG_GPIO11_SEL_0_GPIO11_MASK                            0x00000001

#define PADCTRLREG_GPIO12_OFFSET                                          0x0000006C
#define PADCTRLREG_GPIO12_TYPE                                            UInt32
#define PADCTRLREG_GPIO12_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO12_PINSEL_GPIO12_SHIFT                          8
#define    PADCTRLREG_GPIO12_PINSEL_GPIO12_MASK                           0x00000700
#define    PADCTRLREG_GPIO12_HYS_EN_GPIO12_SHIFT                          7
#define    PADCTRLREG_GPIO12_HYS_EN_GPIO12_MASK                           0x00000080
#define    PADCTRLREG_GPIO12_PDN_GPIO12_SHIFT                             6
#define    PADCTRLREG_GPIO12_PDN_GPIO12_MASK                              0x00000040
#define    PADCTRLREG_GPIO12_PUP_GPIO12_SHIFT                             5
#define    PADCTRLREG_GPIO12_PUP_GPIO12_MASK                              0x00000020
#define    PADCTRLREG_GPIO12_SRC_GPIO12_SHIFT                             4
#define    PADCTRLREG_GPIO12_SRC_GPIO12_MASK                              0x00000010
#define    PADCTRLREG_GPIO12_IND_GPIO12_SHIFT                             3
#define    PADCTRLREG_GPIO12_IND_GPIO12_MASK                              0x00000008
#define    PADCTRLREG_GPIO12_SEL_2_GPIO12_SHIFT                           2
#define    PADCTRLREG_GPIO12_SEL_2_GPIO12_MASK                            0x00000004
#define    PADCTRLREG_GPIO12_SEL_1_GPIO12_SHIFT                           1
#define    PADCTRLREG_GPIO12_SEL_1_GPIO12_MASK                            0x00000002
#define    PADCTRLREG_GPIO12_SEL_0_GPIO12_SHIFT                           0
#define    PADCTRLREG_GPIO12_SEL_0_GPIO12_MASK                            0x00000001

#define PADCTRLREG_GPIO13_OFFSET                                          0x00000070
#define PADCTRLREG_GPIO13_TYPE                                            UInt32
#define PADCTRLREG_GPIO13_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO13_PINSEL_GPIO13_SHIFT                          8
#define    PADCTRLREG_GPIO13_PINSEL_GPIO13_MASK                           0x00000700
#define    PADCTRLREG_GPIO13_HYS_EN_GPIO13_SHIFT                          7
#define    PADCTRLREG_GPIO13_HYS_EN_GPIO13_MASK                           0x00000080
#define    PADCTRLREG_GPIO13_PDN_GPIO13_SHIFT                             6
#define    PADCTRLREG_GPIO13_PDN_GPIO13_MASK                              0x00000040
#define    PADCTRLREG_GPIO13_PUP_GPIO13_SHIFT                             5
#define    PADCTRLREG_GPIO13_PUP_GPIO13_MASK                              0x00000020
#define    PADCTRLREG_GPIO13_SRC_GPIO13_SHIFT                             4
#define    PADCTRLREG_GPIO13_SRC_GPIO13_MASK                              0x00000010
#define    PADCTRLREG_GPIO13_IND_GPIO13_SHIFT                             3
#define    PADCTRLREG_GPIO13_IND_GPIO13_MASK                              0x00000008
#define    PADCTRLREG_GPIO13_SEL_2_GPIO13_SHIFT                           2
#define    PADCTRLREG_GPIO13_SEL_2_GPIO13_MASK                            0x00000004
#define    PADCTRLREG_GPIO13_SEL_1_GPIO13_SHIFT                           1
#define    PADCTRLREG_GPIO13_SEL_1_GPIO13_MASK                            0x00000002
#define    PADCTRLREG_GPIO13_SEL_0_GPIO13_SHIFT                           0
#define    PADCTRLREG_GPIO13_SEL_0_GPIO13_MASK                            0x00000001

#define PADCTRLREG_GPIO14_OFFSET                                          0x00000074
#define PADCTRLREG_GPIO14_TYPE                                            UInt32
#define PADCTRLREG_GPIO14_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO14_PINSEL_GPIO14_SHIFT                          8
#define    PADCTRLREG_GPIO14_PINSEL_GPIO14_MASK                           0x00000700
#define    PADCTRLREG_GPIO14_HYS_EN_GPIO14_SHIFT                          7
#define    PADCTRLREG_GPIO14_HYS_EN_GPIO14_MASK                           0x00000080
#define    PADCTRLREG_GPIO14_PDN_GPIO14_SHIFT                             6
#define    PADCTRLREG_GPIO14_PDN_GPIO14_MASK                              0x00000040
#define    PADCTRLREG_GPIO14_PUP_GPIO14_SHIFT                             5
#define    PADCTRLREG_GPIO14_PUP_GPIO14_MASK                              0x00000020
#define    PADCTRLREG_GPIO14_SRC_GPIO14_SHIFT                             4
#define    PADCTRLREG_GPIO14_SRC_GPIO14_MASK                              0x00000010
#define    PADCTRLREG_GPIO14_IND_GPIO14_SHIFT                             3
#define    PADCTRLREG_GPIO14_IND_GPIO14_MASK                              0x00000008
#define    PADCTRLREG_GPIO14_SEL_2_GPIO14_SHIFT                           2
#define    PADCTRLREG_GPIO14_SEL_2_GPIO14_MASK                            0x00000004
#define    PADCTRLREG_GPIO14_SEL_1_GPIO14_SHIFT                           1
#define    PADCTRLREG_GPIO14_SEL_1_GPIO14_MASK                            0x00000002
#define    PADCTRLREG_GPIO14_SEL_0_GPIO14_SHIFT                           0
#define    PADCTRLREG_GPIO14_SEL_0_GPIO14_MASK                            0x00000001

#define PADCTRLREG_GPIO15_OFFSET                                          0x00000078
#define PADCTRLREG_GPIO15_TYPE                                            UInt32
#define PADCTRLREG_GPIO15_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO15_PINSEL_GPIO15_SHIFT                          8
#define    PADCTRLREG_GPIO15_PINSEL_GPIO15_MASK                           0x00000700
#define    PADCTRLREG_GPIO15_HYS_EN_GPIO15_SHIFT                          7
#define    PADCTRLREG_GPIO15_HYS_EN_GPIO15_MASK                           0x00000080
#define    PADCTRLREG_GPIO15_PDN_GPIO15_SHIFT                             6
#define    PADCTRLREG_GPIO15_PDN_GPIO15_MASK                              0x00000040
#define    PADCTRLREG_GPIO15_PUP_GPIO15_SHIFT                             5
#define    PADCTRLREG_GPIO15_PUP_GPIO15_MASK                              0x00000020
#define    PADCTRLREG_GPIO15_SRC_GPIO15_SHIFT                             4
#define    PADCTRLREG_GPIO15_SRC_GPIO15_MASK                              0x00000010
#define    PADCTRLREG_GPIO15_IND_GPIO15_SHIFT                             3
#define    PADCTRLREG_GPIO15_IND_GPIO15_MASK                              0x00000008
#define    PADCTRLREG_GPIO15_SEL_2_GPIO15_SHIFT                           2
#define    PADCTRLREG_GPIO15_SEL_2_GPIO15_MASK                            0x00000004
#define    PADCTRLREG_GPIO15_SEL_1_GPIO15_SHIFT                           1
#define    PADCTRLREG_GPIO15_SEL_1_GPIO15_MASK                            0x00000002
#define    PADCTRLREG_GPIO15_SEL_0_GPIO15_SHIFT                           0
#define    PADCTRLREG_GPIO15_SEL_0_GPIO15_MASK                            0x00000001

#define PADCTRLREG_GPIO16_OFFSET                                          0x0000007C
#define PADCTRLREG_GPIO16_TYPE                                            UInt32
#define PADCTRLREG_GPIO16_RESERVED_MASK                                   0xFFFFF8C7
#define    PADCTRLREG_GPIO16_PINSEL_GPIO16_SHIFT                          8
#define    PADCTRLREG_GPIO16_PINSEL_GPIO16_MASK                           0x00000700
#define    PADCTRLREG_GPIO16_PUP_GPIO16_SHIFT                             5
#define    PADCTRLREG_GPIO16_PUP_GPIO16_MASK                              0x00000020
#define    PADCTRLREG_GPIO16_SRC_GPIO16_SHIFT                             4
#define    PADCTRLREG_GPIO16_SRC_GPIO16_MASK                              0x00000010
#define    PADCTRLREG_GPIO16_IND_GPIO16_SHIFT                             3
#define    PADCTRLREG_GPIO16_IND_GPIO16_MASK                              0x00000008

#define PADCTRLREG_GPIO17_OFFSET                                          0x00000080
#define PADCTRLREG_GPIO17_TYPE                                            UInt32
#define PADCTRLREG_GPIO17_RESERVED_MASK                                   0xFFFFF8C7
#define    PADCTRLREG_GPIO17_PINSEL_GPIO17_SHIFT                          8
#define    PADCTRLREG_GPIO17_PINSEL_GPIO17_MASK                           0x00000700
#define    PADCTRLREG_GPIO17_PUP_GPIO17_SHIFT                             5
#define    PADCTRLREG_GPIO17_PUP_GPIO17_MASK                              0x00000020
#define    PADCTRLREG_GPIO17_SRC_GPIO17_SHIFT                             4
#define    PADCTRLREG_GPIO17_SRC_GPIO17_MASK                              0x00000010
#define    PADCTRLREG_GPIO17_IND_GPIO17_SHIFT                             3
#define    PADCTRLREG_GPIO17_IND_GPIO17_MASK                              0x00000008

#define PADCTRLREG_GPIO18_OFFSET                                          0x00000084
#define PADCTRLREG_GPIO18_TYPE                                            UInt32
#define PADCTRLREG_GPIO18_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO18_PINSEL_GPIO18_SHIFT                          8
#define    PADCTRLREG_GPIO18_PINSEL_GPIO18_MASK                           0x00000700
#define    PADCTRLREG_GPIO18_HYS_EN_GPIO18_SHIFT                          7
#define    PADCTRLREG_GPIO18_HYS_EN_GPIO18_MASK                           0x00000080
#define    PADCTRLREG_GPIO18_PDN_GPIO18_SHIFT                             6
#define    PADCTRLREG_GPIO18_PDN_GPIO18_MASK                              0x00000040
#define    PADCTRLREG_GPIO18_PUP_GPIO18_SHIFT                             5
#define    PADCTRLREG_GPIO18_PUP_GPIO18_MASK                              0x00000020
#define    PADCTRLREG_GPIO18_SRC_GPIO18_SHIFT                             4
#define    PADCTRLREG_GPIO18_SRC_GPIO18_MASK                              0x00000010
#define    PADCTRLREG_GPIO18_IND_GPIO18_SHIFT                             3
#define    PADCTRLREG_GPIO18_IND_GPIO18_MASK                              0x00000008
#define    PADCTRLREG_GPIO18_SEL_2_GPIO18_SHIFT                           2
#define    PADCTRLREG_GPIO18_SEL_2_GPIO18_MASK                            0x00000004
#define    PADCTRLREG_GPIO18_SEL_1_GPIO18_SHIFT                           1
#define    PADCTRLREG_GPIO18_SEL_1_GPIO18_MASK                            0x00000002
#define    PADCTRLREG_GPIO18_SEL_0_GPIO18_SHIFT                           0
#define    PADCTRLREG_GPIO18_SEL_0_GPIO18_MASK                            0x00000001

#define PADCTRLREG_GPIO19_OFFSET                                          0x00000088
#define PADCTRLREG_GPIO19_TYPE                                            UInt32
#define PADCTRLREG_GPIO19_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO19_PINSEL_GPIO19_SHIFT                          8
#define    PADCTRLREG_GPIO19_PINSEL_GPIO19_MASK                           0x00000700
#define    PADCTRLREG_GPIO19_HYS_EN_GPIO19_SHIFT                          7
#define    PADCTRLREG_GPIO19_HYS_EN_GPIO19_MASK                           0x00000080
#define    PADCTRLREG_GPIO19_PDN_GPIO19_SHIFT                             6
#define    PADCTRLREG_GPIO19_PDN_GPIO19_MASK                              0x00000040
#define    PADCTRLREG_GPIO19_PUP_GPIO19_SHIFT                             5
#define    PADCTRLREG_GPIO19_PUP_GPIO19_MASK                              0x00000020
#define    PADCTRLREG_GPIO19_SRC_GPIO19_SHIFT                             4
#define    PADCTRLREG_GPIO19_SRC_GPIO19_MASK                              0x00000010
#define    PADCTRLREG_GPIO19_IND_GPIO19_SHIFT                             3
#define    PADCTRLREG_GPIO19_IND_GPIO19_MASK                              0x00000008
#define    PADCTRLREG_GPIO19_SEL_2_GPIO19_SHIFT                           2
#define    PADCTRLREG_GPIO19_SEL_2_GPIO19_MASK                            0x00000004
#define    PADCTRLREG_GPIO19_SEL_1_GPIO19_SHIFT                           1
#define    PADCTRLREG_GPIO19_SEL_1_GPIO19_MASK                            0x00000002
#define    PADCTRLREG_GPIO19_SEL_0_GPIO19_SHIFT                           0
#define    PADCTRLREG_GPIO19_SEL_0_GPIO19_MASK                            0x00000001

#define PADCTRLREG_GPIO20_OFFSET                                          0x0000008C
#define PADCTRLREG_GPIO20_TYPE                                            UInt32
#define PADCTRLREG_GPIO20_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO20_PINSEL_GPIO20_SHIFT                          8
#define    PADCTRLREG_GPIO20_PINSEL_GPIO20_MASK                           0x00000700
#define    PADCTRLREG_GPIO20_HYS_EN_GPIO20_SHIFT                          7
#define    PADCTRLREG_GPIO20_HYS_EN_GPIO20_MASK                           0x00000080
#define    PADCTRLREG_GPIO20_PDN_GPIO20_SHIFT                             6
#define    PADCTRLREG_GPIO20_PDN_GPIO20_MASK                              0x00000040
#define    PADCTRLREG_GPIO20_PUP_GPIO20_SHIFT                             5
#define    PADCTRLREG_GPIO20_PUP_GPIO20_MASK                              0x00000020
#define    PADCTRLREG_GPIO20_SRC_GPIO20_SHIFT                             4
#define    PADCTRLREG_GPIO20_SRC_GPIO20_MASK                              0x00000010
#define    PADCTRLREG_GPIO20_IND_GPIO20_SHIFT                             3
#define    PADCTRLREG_GPIO20_IND_GPIO20_MASK                              0x00000008
#define    PADCTRLREG_GPIO20_SEL_2_GPIO20_SHIFT                           2
#define    PADCTRLREG_GPIO20_SEL_2_GPIO20_MASK                            0x00000004
#define    PADCTRLREG_GPIO20_SEL_1_GPIO20_SHIFT                           1
#define    PADCTRLREG_GPIO20_SEL_1_GPIO20_MASK                            0x00000002
#define    PADCTRLREG_GPIO20_SEL_0_GPIO20_SHIFT                           0
#define    PADCTRLREG_GPIO20_SEL_0_GPIO20_MASK                            0x00000001

#define PADCTRLREG_GPIO21_OFFSET                                          0x00000090
#define PADCTRLREG_GPIO21_TYPE                                            UInt32
#define PADCTRLREG_GPIO21_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO21_PINSEL_GPIO21_SHIFT                          8
#define    PADCTRLREG_GPIO21_PINSEL_GPIO21_MASK                           0x00000700
#define    PADCTRLREG_GPIO21_HYS_EN_GPIO21_SHIFT                          7
#define    PADCTRLREG_GPIO21_HYS_EN_GPIO21_MASK                           0x00000080
#define    PADCTRLREG_GPIO21_PDN_GPIO21_SHIFT                             6
#define    PADCTRLREG_GPIO21_PDN_GPIO21_MASK                              0x00000040
#define    PADCTRLREG_GPIO21_PUP_GPIO21_SHIFT                             5
#define    PADCTRLREG_GPIO21_PUP_GPIO21_MASK                              0x00000020
#define    PADCTRLREG_GPIO21_SRC_GPIO21_SHIFT                             4
#define    PADCTRLREG_GPIO21_SRC_GPIO21_MASK                              0x00000010
#define    PADCTRLREG_GPIO21_IND_GPIO21_SHIFT                             3
#define    PADCTRLREG_GPIO21_IND_GPIO21_MASK                              0x00000008
#define    PADCTRLREG_GPIO21_SEL_2_GPIO21_SHIFT                           2
#define    PADCTRLREG_GPIO21_SEL_2_GPIO21_MASK                            0x00000004
#define    PADCTRLREG_GPIO21_SEL_1_GPIO21_SHIFT                           1
#define    PADCTRLREG_GPIO21_SEL_1_GPIO21_MASK                            0x00000002
#define    PADCTRLREG_GPIO21_SEL_0_GPIO21_SHIFT                           0
#define    PADCTRLREG_GPIO21_SEL_0_GPIO21_MASK                            0x00000001

#define PADCTRLREG_GPIO22_OFFSET                                          0x00000094
#define PADCTRLREG_GPIO22_TYPE                                            UInt32
#define PADCTRLREG_GPIO22_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO22_PINSEL_GPIO22_SHIFT                          8
#define    PADCTRLREG_GPIO22_PINSEL_GPIO22_MASK                           0x00000700
#define    PADCTRLREG_GPIO22_HYS_EN_GPIO22_SHIFT                          7
#define    PADCTRLREG_GPIO22_HYS_EN_GPIO22_MASK                           0x00000080
#define    PADCTRLREG_GPIO22_PDN_GPIO22_SHIFT                             6
#define    PADCTRLREG_GPIO22_PDN_GPIO22_MASK                              0x00000040
#define    PADCTRLREG_GPIO22_PUP_GPIO22_SHIFT                             5
#define    PADCTRLREG_GPIO22_PUP_GPIO22_MASK                              0x00000020
#define    PADCTRLREG_GPIO22_SRC_GPIO22_SHIFT                             4
#define    PADCTRLREG_GPIO22_SRC_GPIO22_MASK                              0x00000010
#define    PADCTRLREG_GPIO22_IND_GPIO22_SHIFT                             3
#define    PADCTRLREG_GPIO22_IND_GPIO22_MASK                              0x00000008
#define    PADCTRLREG_GPIO22_SEL_2_GPIO22_SHIFT                           2
#define    PADCTRLREG_GPIO22_SEL_2_GPIO22_MASK                            0x00000004
#define    PADCTRLREG_GPIO22_SEL_1_GPIO22_SHIFT                           1
#define    PADCTRLREG_GPIO22_SEL_1_GPIO22_MASK                            0x00000002
#define    PADCTRLREG_GPIO22_SEL_0_GPIO22_SHIFT                           0
#define    PADCTRLREG_GPIO22_SEL_0_GPIO22_MASK                            0x00000001

#define PADCTRLREG_GPIO23_OFFSET                                          0x00000098
#define PADCTRLREG_GPIO23_TYPE                                            UInt32
#define PADCTRLREG_GPIO23_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO23_PINSEL_GPIO23_SHIFT                          8
#define    PADCTRLREG_GPIO23_PINSEL_GPIO23_MASK                           0x00000700
#define    PADCTRLREG_GPIO23_HYS_EN_GPIO23_SHIFT                          7
#define    PADCTRLREG_GPIO23_HYS_EN_GPIO23_MASK                           0x00000080
#define    PADCTRLREG_GPIO23_PDN_GPIO23_SHIFT                             6
#define    PADCTRLREG_GPIO23_PDN_GPIO23_MASK                              0x00000040
#define    PADCTRLREG_GPIO23_PUP_GPIO23_SHIFT                             5
#define    PADCTRLREG_GPIO23_PUP_GPIO23_MASK                              0x00000020
#define    PADCTRLREG_GPIO23_SRC_GPIO23_SHIFT                             4
#define    PADCTRLREG_GPIO23_SRC_GPIO23_MASK                              0x00000010
#define    PADCTRLREG_GPIO23_IND_GPIO23_SHIFT                             3
#define    PADCTRLREG_GPIO23_IND_GPIO23_MASK                              0x00000008
#define    PADCTRLREG_GPIO23_SEL_2_GPIO23_SHIFT                           2
#define    PADCTRLREG_GPIO23_SEL_2_GPIO23_MASK                            0x00000004
#define    PADCTRLREG_GPIO23_SEL_1_GPIO23_SHIFT                           1
#define    PADCTRLREG_GPIO23_SEL_1_GPIO23_MASK                            0x00000002
#define    PADCTRLREG_GPIO23_SEL_0_GPIO23_SHIFT                           0
#define    PADCTRLREG_GPIO23_SEL_0_GPIO23_MASK                            0x00000001

#define PADCTRLREG_GPIO24_OFFSET                                          0x0000009C
#define PADCTRLREG_GPIO24_TYPE                                            UInt32
#define PADCTRLREG_GPIO24_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO24_PINSEL_GPIO24_SHIFT                          8
#define    PADCTRLREG_GPIO24_PINSEL_GPIO24_MASK                           0x00000700
#define    PADCTRLREG_GPIO24_HYS_EN_GPIO24_SHIFT                          7
#define    PADCTRLREG_GPIO24_HYS_EN_GPIO24_MASK                           0x00000080
#define    PADCTRLREG_GPIO24_PDN_GPIO24_SHIFT                             6
#define    PADCTRLREG_GPIO24_PDN_GPIO24_MASK                              0x00000040
#define    PADCTRLREG_GPIO24_PUP_GPIO24_SHIFT                             5
#define    PADCTRLREG_GPIO24_PUP_GPIO24_MASK                              0x00000020
#define    PADCTRLREG_GPIO24_SRC_GPIO24_SHIFT                             4
#define    PADCTRLREG_GPIO24_SRC_GPIO24_MASK                              0x00000010
#define    PADCTRLREG_GPIO24_IND_GPIO24_SHIFT                             3
#define    PADCTRLREG_GPIO24_IND_GPIO24_MASK                              0x00000008
#define    PADCTRLREG_GPIO24_SEL_2_GPIO24_SHIFT                           2
#define    PADCTRLREG_GPIO24_SEL_2_GPIO24_MASK                            0x00000004
#define    PADCTRLREG_GPIO24_SEL_1_GPIO24_SHIFT                           1
#define    PADCTRLREG_GPIO24_SEL_1_GPIO24_MASK                            0x00000002
#define    PADCTRLREG_GPIO24_SEL_0_GPIO24_SHIFT                           0
#define    PADCTRLREG_GPIO24_SEL_0_GPIO24_MASK                            0x00000001

#define PADCTRLREG_GPIO25_OFFSET                                          0x000000A0
#define PADCTRLREG_GPIO25_TYPE                                            UInt32
#define PADCTRLREG_GPIO25_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO25_PINSEL_GPIO25_SHIFT                          8
#define    PADCTRLREG_GPIO25_PINSEL_GPIO25_MASK                           0x00000700
#define    PADCTRLREG_GPIO25_HYS_EN_GPIO25_SHIFT                          7
#define    PADCTRLREG_GPIO25_HYS_EN_GPIO25_MASK                           0x00000080
#define    PADCTRLREG_GPIO25_PDN_GPIO25_SHIFT                             6
#define    PADCTRLREG_GPIO25_PDN_GPIO25_MASK                              0x00000040
#define    PADCTRLREG_GPIO25_PUP_GPIO25_SHIFT                             5
#define    PADCTRLREG_GPIO25_PUP_GPIO25_MASK                              0x00000020
#define    PADCTRLREG_GPIO25_SRC_GPIO25_SHIFT                             4
#define    PADCTRLREG_GPIO25_SRC_GPIO25_MASK                              0x00000010
#define    PADCTRLREG_GPIO25_IND_GPIO25_SHIFT                             3
#define    PADCTRLREG_GPIO25_IND_GPIO25_MASK                              0x00000008
#define    PADCTRLREG_GPIO25_SEL_2_GPIO25_SHIFT                           2
#define    PADCTRLREG_GPIO25_SEL_2_GPIO25_MASK                            0x00000004
#define    PADCTRLREG_GPIO25_SEL_1_GPIO25_SHIFT                           1
#define    PADCTRLREG_GPIO25_SEL_1_GPIO25_MASK                            0x00000002
#define    PADCTRLREG_GPIO25_SEL_0_GPIO25_SHIFT                           0
#define    PADCTRLREG_GPIO25_SEL_0_GPIO25_MASK                            0x00000001

#define PADCTRLREG_GPIO26_OFFSET                                          0x000000A4
#define PADCTRLREG_GPIO26_TYPE                                            UInt32
#define PADCTRLREG_GPIO26_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO26_PINSEL_GPIO26_SHIFT                          8
#define    PADCTRLREG_GPIO26_PINSEL_GPIO26_MASK                           0x00000700
#define    PADCTRLREG_GPIO26_HYS_EN_GPIO26_SHIFT                          7
#define    PADCTRLREG_GPIO26_HYS_EN_GPIO26_MASK                           0x00000080
#define    PADCTRLREG_GPIO26_PDN_GPIO26_SHIFT                             6
#define    PADCTRLREG_GPIO26_PDN_GPIO26_MASK                              0x00000040
#define    PADCTRLREG_GPIO26_PUP_GPIO26_SHIFT                             5
#define    PADCTRLREG_GPIO26_PUP_GPIO26_MASK                              0x00000020
#define    PADCTRLREG_GPIO26_SRC_GPIO26_SHIFT                             4
#define    PADCTRLREG_GPIO26_SRC_GPIO26_MASK                              0x00000010
#define    PADCTRLREG_GPIO26_IND_GPIO26_SHIFT                             3
#define    PADCTRLREG_GPIO26_IND_GPIO26_MASK                              0x00000008
#define    PADCTRLREG_GPIO26_SEL_2_GPIO26_SHIFT                           2
#define    PADCTRLREG_GPIO26_SEL_2_GPIO26_MASK                            0x00000004
#define    PADCTRLREG_GPIO26_SEL_1_GPIO26_SHIFT                           1
#define    PADCTRLREG_GPIO26_SEL_1_GPIO26_MASK                            0x00000002
#define    PADCTRLREG_GPIO26_SEL_0_GPIO26_SHIFT                           0
#define    PADCTRLREG_GPIO26_SEL_0_GPIO26_MASK                            0x00000001

#define PADCTRLREG_GPIO27_OFFSET                                          0x000000A8
#define PADCTRLREG_GPIO27_TYPE                                            UInt32
#define PADCTRLREG_GPIO27_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO27_PINSEL_GPIO27_SHIFT                          8
#define    PADCTRLREG_GPIO27_PINSEL_GPIO27_MASK                           0x00000700
#define    PADCTRLREG_GPIO27_HYS_EN_GPIO27_SHIFT                          7
#define    PADCTRLREG_GPIO27_HYS_EN_GPIO27_MASK                           0x00000080
#define    PADCTRLREG_GPIO27_PDN_GPIO27_SHIFT                             6
#define    PADCTRLREG_GPIO27_PDN_GPIO27_MASK                              0x00000040
#define    PADCTRLREG_GPIO27_PUP_GPIO27_SHIFT                             5
#define    PADCTRLREG_GPIO27_PUP_GPIO27_MASK                              0x00000020
#define    PADCTRLREG_GPIO27_SRC_GPIO27_SHIFT                             4
#define    PADCTRLREG_GPIO27_SRC_GPIO27_MASK                              0x00000010
#define    PADCTRLREG_GPIO27_IND_GPIO27_SHIFT                             3
#define    PADCTRLREG_GPIO27_IND_GPIO27_MASK                              0x00000008
#define    PADCTRLREG_GPIO27_SEL_2_GPIO27_SHIFT                           2
#define    PADCTRLREG_GPIO27_SEL_2_GPIO27_MASK                            0x00000004
#define    PADCTRLREG_GPIO27_SEL_1_GPIO27_SHIFT                           1
#define    PADCTRLREG_GPIO27_SEL_1_GPIO27_MASK                            0x00000002
#define    PADCTRLREG_GPIO27_SEL_0_GPIO27_SHIFT                           0
#define    PADCTRLREG_GPIO27_SEL_0_GPIO27_MASK                            0x00000001

#define PADCTRLREG_GPIO28_OFFSET                                          0x000000AC
#define PADCTRLREG_GPIO28_TYPE                                            UInt32
#define PADCTRLREG_GPIO28_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO28_PINSEL_GPIO28_SHIFT                          8
#define    PADCTRLREG_GPIO28_PINSEL_GPIO28_MASK                           0x00000700
#define    PADCTRLREG_GPIO28_HYS_EN_GPIO28_SHIFT                          7
#define    PADCTRLREG_GPIO28_HYS_EN_GPIO28_MASK                           0x00000080
#define    PADCTRLREG_GPIO28_PDN_GPIO28_SHIFT                             6
#define    PADCTRLREG_GPIO28_PDN_GPIO28_MASK                              0x00000040
#define    PADCTRLREG_GPIO28_PUP_GPIO28_SHIFT                             5
#define    PADCTRLREG_GPIO28_PUP_GPIO28_MASK                              0x00000020
#define    PADCTRLREG_GPIO28_SRC_GPIO28_SHIFT                             4
#define    PADCTRLREG_GPIO28_SRC_GPIO28_MASK                              0x00000010
#define    PADCTRLREG_GPIO28_IND_GPIO28_SHIFT                             3
#define    PADCTRLREG_GPIO28_IND_GPIO28_MASK                              0x00000008
#define    PADCTRLREG_GPIO28_SEL_2_GPIO28_SHIFT                           2
#define    PADCTRLREG_GPIO28_SEL_2_GPIO28_MASK                            0x00000004
#define    PADCTRLREG_GPIO28_SEL_1_GPIO28_SHIFT                           1
#define    PADCTRLREG_GPIO28_SEL_1_GPIO28_MASK                            0x00000002
#define    PADCTRLREG_GPIO28_SEL_0_GPIO28_SHIFT                           0
#define    PADCTRLREG_GPIO28_SEL_0_GPIO28_MASK                            0x00000001

#define PADCTRLREG_GPIO32_OFFSET                                          0x000000B0
#define PADCTRLREG_GPIO32_TYPE                                            UInt32
#define PADCTRLREG_GPIO32_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO32_PINSEL_GPIO32_SHIFT                          8
#define    PADCTRLREG_GPIO32_PINSEL_GPIO32_MASK                           0x00000700
#define    PADCTRLREG_GPIO32_HYS_EN_GPIO32_SHIFT                          7
#define    PADCTRLREG_GPIO32_HYS_EN_GPIO32_MASK                           0x00000080
#define    PADCTRLREG_GPIO32_PDN_GPIO32_SHIFT                             6
#define    PADCTRLREG_GPIO32_PDN_GPIO32_MASK                              0x00000040
#define    PADCTRLREG_GPIO32_PUP_GPIO32_SHIFT                             5
#define    PADCTRLREG_GPIO32_PUP_GPIO32_MASK                              0x00000020
#define    PADCTRLREG_GPIO32_SRC_GPIO32_SHIFT                             4
#define    PADCTRLREG_GPIO32_SRC_GPIO32_MASK                              0x00000010
#define    PADCTRLREG_GPIO32_IND_GPIO32_SHIFT                             3
#define    PADCTRLREG_GPIO32_IND_GPIO32_MASK                              0x00000008
#define    PADCTRLREG_GPIO32_SEL_2_GPIO32_SHIFT                           2
#define    PADCTRLREG_GPIO32_SEL_2_GPIO32_MASK                            0x00000004
#define    PADCTRLREG_GPIO32_SEL_1_GPIO32_SHIFT                           1
#define    PADCTRLREG_GPIO32_SEL_1_GPIO32_MASK                            0x00000002
#define    PADCTRLREG_GPIO32_SEL_0_GPIO32_SHIFT                           0
#define    PADCTRLREG_GPIO32_SEL_0_GPIO32_MASK                            0x00000001

#define PADCTRLREG_GPIO33_OFFSET                                          0x000000B4
#define PADCTRLREG_GPIO33_TYPE                                            UInt32
#define PADCTRLREG_GPIO33_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO33_PINSEL_GPIO33_SHIFT                          8
#define    PADCTRLREG_GPIO33_PINSEL_GPIO33_MASK                           0x00000700
#define    PADCTRLREG_GPIO33_HYS_EN_GPIO33_SHIFT                          7
#define    PADCTRLREG_GPIO33_HYS_EN_GPIO33_MASK                           0x00000080
#define    PADCTRLREG_GPIO33_PDN_GPIO33_SHIFT                             6
#define    PADCTRLREG_GPIO33_PDN_GPIO33_MASK                              0x00000040
#define    PADCTRLREG_GPIO33_PUP_GPIO33_SHIFT                             5
#define    PADCTRLREG_GPIO33_PUP_GPIO33_MASK                              0x00000020
#define    PADCTRLREG_GPIO33_SRC_GPIO33_SHIFT                             4
#define    PADCTRLREG_GPIO33_SRC_GPIO33_MASK                              0x00000010
#define    PADCTRLREG_GPIO33_IND_GPIO33_SHIFT                             3
#define    PADCTRLREG_GPIO33_IND_GPIO33_MASK                              0x00000008
#define    PADCTRLREG_GPIO33_SEL_2_GPIO33_SHIFT                           2
#define    PADCTRLREG_GPIO33_SEL_2_GPIO33_MASK                            0x00000004
#define    PADCTRLREG_GPIO33_SEL_1_GPIO33_SHIFT                           1
#define    PADCTRLREG_GPIO33_SEL_1_GPIO33_MASK                            0x00000002
#define    PADCTRLREG_GPIO33_SEL_0_GPIO33_SHIFT                           0
#define    PADCTRLREG_GPIO33_SEL_0_GPIO33_MASK                            0x00000001

#define PADCTRLREG_GPIO34_OFFSET                                          0x000000B8
#define PADCTRLREG_GPIO34_TYPE                                            UInt32
#define PADCTRLREG_GPIO34_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO34_PINSEL_GPIO34_SHIFT                          8
#define    PADCTRLREG_GPIO34_PINSEL_GPIO34_MASK                           0x00000700
#define    PADCTRLREG_GPIO34_HYS_EN_GPIO34_SHIFT                          7
#define    PADCTRLREG_GPIO34_HYS_EN_GPIO34_MASK                           0x00000080
#define    PADCTRLREG_GPIO34_PDN_GPIO34_SHIFT                             6
#define    PADCTRLREG_GPIO34_PDN_GPIO34_MASK                              0x00000040
#define    PADCTRLREG_GPIO34_PUP_GPIO34_SHIFT                             5
#define    PADCTRLREG_GPIO34_PUP_GPIO34_MASK                              0x00000020
#define    PADCTRLREG_GPIO34_SRC_GPIO34_SHIFT                             4
#define    PADCTRLREG_GPIO34_SRC_GPIO34_MASK                              0x00000010
#define    PADCTRLREG_GPIO34_IND_GPIO34_SHIFT                             3
#define    PADCTRLREG_GPIO34_IND_GPIO34_MASK                              0x00000008
#define    PADCTRLREG_GPIO34_SEL_2_GPIO34_SHIFT                           2
#define    PADCTRLREG_GPIO34_SEL_2_GPIO34_MASK                            0x00000004
#define    PADCTRLREG_GPIO34_SEL_1_GPIO34_SHIFT                           1
#define    PADCTRLREG_GPIO34_SEL_1_GPIO34_MASK                            0x00000002
#define    PADCTRLREG_GPIO34_SEL_0_GPIO34_SHIFT                           0
#define    PADCTRLREG_GPIO34_SEL_0_GPIO34_MASK                            0x00000001

#define PADCTRLREG_GPS_CALREQ_OFFSET                                      0x000000BC
#define PADCTRLREG_GPS_CALREQ_TYPE                                        UInt32
#define PADCTRLREG_GPS_CALREQ_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_GPS_CALREQ_PINSEL_GPS_CALREQ_SHIFT                  8
#define    PADCTRLREG_GPS_CALREQ_PINSEL_GPS_CALREQ_MASK                   0x00000700
#define    PADCTRLREG_GPS_CALREQ_HYS_EN_GPS_CALREQ_SHIFT                  7
#define    PADCTRLREG_GPS_CALREQ_HYS_EN_GPS_CALREQ_MASK                   0x00000080
#define    PADCTRLREG_GPS_CALREQ_PDN_GPS_CALREQ_SHIFT                     6
#define    PADCTRLREG_GPS_CALREQ_PDN_GPS_CALREQ_MASK                      0x00000040
#define    PADCTRLREG_GPS_CALREQ_PUP_GPS_CALREQ_SHIFT                     5
#define    PADCTRLREG_GPS_CALREQ_PUP_GPS_CALREQ_MASK                      0x00000020
#define    PADCTRLREG_GPS_CALREQ_SRC_GPS_CALREQ_SHIFT                     4
#define    PADCTRLREG_GPS_CALREQ_SRC_GPS_CALREQ_MASK                      0x00000010
#define    PADCTRLREG_GPS_CALREQ_IND_GPS_CALREQ_SHIFT                     3
#define    PADCTRLREG_GPS_CALREQ_IND_GPS_CALREQ_MASK                      0x00000008
#define    PADCTRLREG_GPS_CALREQ_SEL_2_GPS_CALREQ_SHIFT                   2
#define    PADCTRLREG_GPS_CALREQ_SEL_2_GPS_CALREQ_MASK                    0x00000004
#define    PADCTRLREG_GPS_CALREQ_SEL_1_GPS_CALREQ_SHIFT                   1
#define    PADCTRLREG_GPS_CALREQ_SEL_1_GPS_CALREQ_MASK                    0x00000002
#define    PADCTRLREG_GPS_CALREQ_SEL_0_GPS_CALREQ_SHIFT                   0
#define    PADCTRLREG_GPS_CALREQ_SEL_0_GPS_CALREQ_MASK                    0x00000001

#define PADCTRLREG_GPS_HOSTREQ_OFFSET                                     0x000000C0
#define PADCTRLREG_GPS_HOSTREQ_TYPE                                       UInt32
#define PADCTRLREG_GPS_HOSTREQ_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_GPS_HOSTREQ_PINSEL_GPS_HOSTREQ_SHIFT                8
#define    PADCTRLREG_GPS_HOSTREQ_PINSEL_GPS_HOSTREQ_MASK                 0x00000700
#define    PADCTRLREG_GPS_HOSTREQ_HYS_EN_GPS_HOSTREQ_SHIFT                7
#define    PADCTRLREG_GPS_HOSTREQ_HYS_EN_GPS_HOSTREQ_MASK                 0x00000080
#define    PADCTRLREG_GPS_HOSTREQ_PDN_GPS_HOSTREQ_SHIFT                   6
#define    PADCTRLREG_GPS_HOSTREQ_PDN_GPS_HOSTREQ_MASK                    0x00000040
#define    PADCTRLREG_GPS_HOSTREQ_PUP_GPS_HOSTREQ_SHIFT                   5
#define    PADCTRLREG_GPS_HOSTREQ_PUP_GPS_HOSTREQ_MASK                    0x00000020
#define    PADCTRLREG_GPS_HOSTREQ_SRC_GPS_HOSTREQ_SHIFT                   4
#define    PADCTRLREG_GPS_HOSTREQ_SRC_GPS_HOSTREQ_MASK                    0x00000010
#define    PADCTRLREG_GPS_HOSTREQ_IND_GPS_HOSTREQ_SHIFT                   3
#define    PADCTRLREG_GPS_HOSTREQ_IND_GPS_HOSTREQ_MASK                    0x00000008
#define    PADCTRLREG_GPS_HOSTREQ_SEL_2_GPS_HOSTREQ_SHIFT                 2
#define    PADCTRLREG_GPS_HOSTREQ_SEL_2_GPS_HOSTREQ_MASK                  0x00000004
#define    PADCTRLREG_GPS_HOSTREQ_SEL_1_GPS_HOSTREQ_SHIFT                 1
#define    PADCTRLREG_GPS_HOSTREQ_SEL_1_GPS_HOSTREQ_MASK                  0x00000002
#define    PADCTRLREG_GPS_HOSTREQ_SEL_0_GPS_HOSTREQ_SHIFT                 0
#define    PADCTRLREG_GPS_HOSTREQ_SEL_0_GPS_HOSTREQ_MASK                  0x00000001

#define PADCTRLREG_GPS_PABLANK_OFFSET                                     0x000000C4
#define PADCTRLREG_GPS_PABLANK_TYPE                                       UInt32
#define PADCTRLREG_GPS_PABLANK_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_GPS_PABLANK_PINSEL_GPS_PABLANK_SHIFT                8
#define    PADCTRLREG_GPS_PABLANK_PINSEL_GPS_PABLANK_MASK                 0x00000700
#define    PADCTRLREG_GPS_PABLANK_HYS_EN_GPS_PABLANK_SHIFT                7
#define    PADCTRLREG_GPS_PABLANK_HYS_EN_GPS_PABLANK_MASK                 0x00000080
#define    PADCTRLREG_GPS_PABLANK_PDN_GPS_PABLANK_SHIFT                   6
#define    PADCTRLREG_GPS_PABLANK_PDN_GPS_PABLANK_MASK                    0x00000040
#define    PADCTRLREG_GPS_PABLANK_PUP_GPS_PABLANK_SHIFT                   5
#define    PADCTRLREG_GPS_PABLANK_PUP_GPS_PABLANK_MASK                    0x00000020
#define    PADCTRLREG_GPS_PABLANK_SRC_GPS_PABLANK_SHIFT                   4
#define    PADCTRLREG_GPS_PABLANK_SRC_GPS_PABLANK_MASK                    0x00000010
#define    PADCTRLREG_GPS_PABLANK_IND_GPS_PABLANK_SHIFT                   3
#define    PADCTRLREG_GPS_PABLANK_IND_GPS_PABLANK_MASK                    0x00000008
#define    PADCTRLREG_GPS_PABLANK_SEL_2_GPS_PABLANK_SHIFT                 2
#define    PADCTRLREG_GPS_PABLANK_SEL_2_GPS_PABLANK_MASK                  0x00000004
#define    PADCTRLREG_GPS_PABLANK_SEL_1_GPS_PABLANK_SHIFT                 1
#define    PADCTRLREG_GPS_PABLANK_SEL_1_GPS_PABLANK_MASK                  0x00000002
#define    PADCTRLREG_GPS_PABLANK_SEL_0_GPS_PABLANK_SHIFT                 0
#define    PADCTRLREG_GPS_PABLANK_SEL_0_GPS_PABLANK_MASK                  0x00000001

#define PADCTRLREG_GPS_TMARK_OFFSET                                       0x000000C8
#define PADCTRLREG_GPS_TMARK_TYPE                                         UInt32
#define PADCTRLREG_GPS_TMARK_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_GPS_TMARK_PINSEL_GPS_TMARK_SHIFT                    8
#define    PADCTRLREG_GPS_TMARK_PINSEL_GPS_TMARK_MASK                     0x00000700
#define    PADCTRLREG_GPS_TMARK_HYS_EN_GPS_TMARK_SHIFT                    7
#define    PADCTRLREG_GPS_TMARK_HYS_EN_GPS_TMARK_MASK                     0x00000080
#define    PADCTRLREG_GPS_TMARK_PDN_GPS_TMARK_SHIFT                       6
#define    PADCTRLREG_GPS_TMARK_PDN_GPS_TMARK_MASK                        0x00000040
#define    PADCTRLREG_GPS_TMARK_PUP_GPS_TMARK_SHIFT                       5
#define    PADCTRLREG_GPS_TMARK_PUP_GPS_TMARK_MASK                        0x00000020
#define    PADCTRLREG_GPS_TMARK_SRC_GPS_TMARK_SHIFT                       4
#define    PADCTRLREG_GPS_TMARK_SRC_GPS_TMARK_MASK                        0x00000010
#define    PADCTRLREG_GPS_TMARK_IND_GPS_TMARK_SHIFT                       3
#define    PADCTRLREG_GPS_TMARK_IND_GPS_TMARK_MASK                        0x00000008
#define    PADCTRLREG_GPS_TMARK_SEL_2_GPS_TMARK_SHIFT                     2
#define    PADCTRLREG_GPS_TMARK_SEL_2_GPS_TMARK_MASK                      0x00000004
#define    PADCTRLREG_GPS_TMARK_SEL_1_GPS_TMARK_SHIFT                     1
#define    PADCTRLREG_GPS_TMARK_SEL_1_GPS_TMARK_MASK                      0x00000002
#define    PADCTRLREG_GPS_TMARK_SEL_0_GPS_TMARK_SHIFT                     0
#define    PADCTRLREG_GPS_TMARK_SEL_0_GPS_TMARK_MASK                      0x00000001

#define PADCTRLREG_ICUSBDM_OFFSET                                         0x000000CC
#define PADCTRLREG_ICUSBDM_TYPE                                           UInt32
#define PADCTRLREG_ICUSBDM_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_ICUSBDM_PINSEL_ICUSBDM_SHIFT                        8
#define    PADCTRLREG_ICUSBDM_PINSEL_ICUSBDM_MASK                         0x00000700
#define    PADCTRLREG_ICUSBDM_HYS_EN_ICUSBDM_SHIFT                        7
#define    PADCTRLREG_ICUSBDM_HYS_EN_ICUSBDM_MASK                         0x00000080
#define    PADCTRLREG_ICUSBDM_PDN_ICUSBDM_SHIFT                           6
#define    PADCTRLREG_ICUSBDM_PDN_ICUSBDM_MASK                            0x00000040
#define    PADCTRLREG_ICUSBDM_PUP_ICUSBDM_SHIFT                           5
#define    PADCTRLREG_ICUSBDM_PUP_ICUSBDM_MASK                            0x00000020
#define    PADCTRLREG_ICUSBDM_SRC_ICUSBDM_SHIFT                           4
#define    PADCTRLREG_ICUSBDM_SRC_ICUSBDM_MASK                            0x00000010
#define    PADCTRLREG_ICUSBDM_IND_ICUSBDM_SHIFT                           3
#define    PADCTRLREG_ICUSBDM_IND_ICUSBDM_MASK                            0x00000008
#define    PADCTRLREG_ICUSBDM_SEL_2_ICUSBDM_SHIFT                         2
#define    PADCTRLREG_ICUSBDM_SEL_2_ICUSBDM_MASK                          0x00000004
#define    PADCTRLREG_ICUSBDM_SEL_1_ICUSBDM_SHIFT                         1
#define    PADCTRLREG_ICUSBDM_SEL_1_ICUSBDM_MASK                          0x00000002
#define    PADCTRLREG_ICUSBDM_SEL_0_ICUSBDM_SHIFT                         0
#define    PADCTRLREG_ICUSBDM_SEL_0_ICUSBDM_MASK                          0x00000001

#define PADCTRLREG_ICUSBDP_OFFSET                                         0x000000D0
#define PADCTRLREG_ICUSBDP_TYPE                                           UInt32
#define PADCTRLREG_ICUSBDP_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_ICUSBDP_PINSEL_ICUSBDP_SHIFT                        8
#define    PADCTRLREG_ICUSBDP_PINSEL_ICUSBDP_MASK                         0x00000700
#define    PADCTRLREG_ICUSBDP_HYS_EN_ICUSBDP_SHIFT                        7
#define    PADCTRLREG_ICUSBDP_HYS_EN_ICUSBDP_MASK                         0x00000080
#define    PADCTRLREG_ICUSBDP_PDN_ICUSBDP_SHIFT                           6
#define    PADCTRLREG_ICUSBDP_PDN_ICUSBDP_MASK                            0x00000040
#define    PADCTRLREG_ICUSBDP_PUP_ICUSBDP_SHIFT                           5
#define    PADCTRLREG_ICUSBDP_PUP_ICUSBDP_MASK                            0x00000020
#define    PADCTRLREG_ICUSBDP_SRC_ICUSBDP_SHIFT                           4
#define    PADCTRLREG_ICUSBDP_SRC_ICUSBDP_MASK                            0x00000010
#define    PADCTRLREG_ICUSBDP_IND_ICUSBDP_SHIFT                           3
#define    PADCTRLREG_ICUSBDP_IND_ICUSBDP_MASK                            0x00000008
#define    PADCTRLREG_ICUSBDP_SEL_2_ICUSBDP_SHIFT                         2
#define    PADCTRLREG_ICUSBDP_SEL_2_ICUSBDP_MASK                          0x00000004
#define    PADCTRLREG_ICUSBDP_SEL_1_ICUSBDP_SHIFT                         1
#define    PADCTRLREG_ICUSBDP_SEL_1_ICUSBDP_MASK                          0x00000002
#define    PADCTRLREG_ICUSBDP_SEL_0_ICUSBDP_SHIFT                         0
#define    PADCTRLREG_ICUSBDP_SEL_0_ICUSBDP_MASK                          0x00000001

#define PADCTRLREG_LCDCS0_OFFSET                                          0x000000D4
#define PADCTRLREG_LCDCS0_TYPE                                            UInt32
#define PADCTRLREG_LCDCS0_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCDCS0_PINSEL_LCDCS0_SHIFT                          8
#define    PADCTRLREG_LCDCS0_PINSEL_LCDCS0_MASK                           0x00000700
#define    PADCTRLREG_LCDCS0_HYS_EN_LCDCS0_SHIFT                          7
#define    PADCTRLREG_LCDCS0_HYS_EN_LCDCS0_MASK                           0x00000080
#define    PADCTRLREG_LCDCS0_PDN_LCDCS0_SHIFT                             6
#define    PADCTRLREG_LCDCS0_PDN_LCDCS0_MASK                              0x00000040
#define    PADCTRLREG_LCDCS0_PUP_LCDCS0_SHIFT                             5
#define    PADCTRLREG_LCDCS0_PUP_LCDCS0_MASK                              0x00000020
#define    PADCTRLREG_LCDCS0_SRC_LCDCS0_SHIFT                             4
#define    PADCTRLREG_LCDCS0_SRC_LCDCS0_MASK                              0x00000010
#define    PADCTRLREG_LCDCS0_IND_LCDCS0_SHIFT                             3
#define    PADCTRLREG_LCDCS0_IND_LCDCS0_MASK                              0x00000008
#define    PADCTRLREG_LCDCS0_SEL_2_LCDCS0_SHIFT                           2
#define    PADCTRLREG_LCDCS0_SEL_2_LCDCS0_MASK                            0x00000004
#define    PADCTRLREG_LCDCS0_SEL_1_LCDCS0_SHIFT                           1
#define    PADCTRLREG_LCDCS0_SEL_1_LCDCS0_MASK                            0x00000002
#define    PADCTRLREG_LCDCS0_SEL_0_LCDCS0_SHIFT                           0
#define    PADCTRLREG_LCDCS0_SEL_0_LCDCS0_MASK                            0x00000001

#define PADCTRLREG_LCDRES_OFFSET                                          0x000000D8
#define PADCTRLREG_LCDRES_TYPE                                            UInt32
#define PADCTRLREG_LCDRES_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCDRES_PINSEL_LCDRES_SHIFT                          8
#define    PADCTRLREG_LCDRES_PINSEL_LCDRES_MASK                           0x00000700
#define    PADCTRLREG_LCDRES_HYS_EN_LCDRES_SHIFT                          7
#define    PADCTRLREG_LCDRES_HYS_EN_LCDRES_MASK                           0x00000080
#define    PADCTRLREG_LCDRES_PDN_LCDRES_SHIFT                             6
#define    PADCTRLREG_LCDRES_PDN_LCDRES_MASK                              0x00000040
#define    PADCTRLREG_LCDRES_PUP_LCDRES_SHIFT                             5
#define    PADCTRLREG_LCDRES_PUP_LCDRES_MASK                              0x00000020
#define    PADCTRLREG_LCDRES_SRC_LCDRES_SHIFT                             4
#define    PADCTRLREG_LCDRES_SRC_LCDRES_MASK                              0x00000010
#define    PADCTRLREG_LCDRES_IND_LCDRES_SHIFT                             3
#define    PADCTRLREG_LCDRES_IND_LCDRES_MASK                              0x00000008
#define    PADCTRLREG_LCDRES_SEL_2_LCDRES_SHIFT                           2
#define    PADCTRLREG_LCDRES_SEL_2_LCDRES_MASK                            0x00000004
#define    PADCTRLREG_LCDRES_SEL_1_LCDRES_SHIFT                           1
#define    PADCTRLREG_LCDRES_SEL_1_LCDRES_MASK                            0x00000002
#define    PADCTRLREG_LCDRES_SEL_0_LCDRES_SHIFT                           0
#define    PADCTRLREG_LCDRES_SEL_0_LCDRES_MASK                            0x00000001

#define PADCTRLREG_LCDSCL_OFFSET                                          0x000000DC
#define PADCTRLREG_LCDSCL_TYPE                                            UInt32
#define PADCTRLREG_LCDSCL_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCDSCL_PINSEL_LCDSCL_SHIFT                          8
#define    PADCTRLREG_LCDSCL_PINSEL_LCDSCL_MASK                           0x00000700
#define    PADCTRLREG_LCDSCL_HYS_EN_LCDSCL_SHIFT                          7
#define    PADCTRLREG_LCDSCL_HYS_EN_LCDSCL_MASK                           0x00000080
#define    PADCTRLREG_LCDSCL_PDN_LCDSCL_SHIFT                             6
#define    PADCTRLREG_LCDSCL_PDN_LCDSCL_MASK                              0x00000040
#define    PADCTRLREG_LCDSCL_PUP_LCDSCL_SHIFT                             5
#define    PADCTRLREG_LCDSCL_PUP_LCDSCL_MASK                              0x00000020
#define    PADCTRLREG_LCDSCL_SRC_LCDSCL_SHIFT                             4
#define    PADCTRLREG_LCDSCL_SRC_LCDSCL_MASK                              0x00000010
#define    PADCTRLREG_LCDSCL_IND_LCDSCL_SHIFT                             3
#define    PADCTRLREG_LCDSCL_IND_LCDSCL_MASK                              0x00000008
#define    PADCTRLREG_LCDSCL_SEL_2_LCDSCL_SHIFT                           2
#define    PADCTRLREG_LCDSCL_SEL_2_LCDSCL_MASK                            0x00000004
#define    PADCTRLREG_LCDSCL_SEL_1_LCDSCL_SHIFT                           1
#define    PADCTRLREG_LCDSCL_SEL_1_LCDSCL_MASK                            0x00000002
#define    PADCTRLREG_LCDSCL_SEL_0_LCDSCL_SHIFT                           0
#define    PADCTRLREG_LCDSCL_SEL_0_LCDSCL_MASK                            0x00000001

#define PADCTRLREG_LCDSDA_OFFSET                                          0x000000E0
#define PADCTRLREG_LCDSDA_TYPE                                            UInt32
#define PADCTRLREG_LCDSDA_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCDSDA_PINSEL_LCDSDA_SHIFT                          8
#define    PADCTRLREG_LCDSDA_PINSEL_LCDSDA_MASK                           0x00000700
#define    PADCTRLREG_LCDSDA_HYS_EN_LCDSDA_SHIFT                          7
#define    PADCTRLREG_LCDSDA_HYS_EN_LCDSDA_MASK                           0x00000080
#define    PADCTRLREG_LCDSDA_PDN_LCDSDA_SHIFT                             6
#define    PADCTRLREG_LCDSDA_PDN_LCDSDA_MASK                              0x00000040
#define    PADCTRLREG_LCDSDA_PUP_LCDSDA_SHIFT                             5
#define    PADCTRLREG_LCDSDA_PUP_LCDSDA_MASK                              0x00000020
#define    PADCTRLREG_LCDSDA_SRC_LCDSDA_SHIFT                             4
#define    PADCTRLREG_LCDSDA_SRC_LCDSDA_MASK                              0x00000010
#define    PADCTRLREG_LCDSDA_IND_LCDSDA_SHIFT                             3
#define    PADCTRLREG_LCDSDA_IND_LCDSDA_MASK                              0x00000008
#define    PADCTRLREG_LCDSDA_SEL_2_LCDSDA_SHIFT                           2
#define    PADCTRLREG_LCDSDA_SEL_2_LCDSDA_MASK                            0x00000004
#define    PADCTRLREG_LCDSDA_SEL_1_LCDSDA_SHIFT                           1
#define    PADCTRLREG_LCDSDA_SEL_1_LCDSDA_MASK                            0x00000002
#define    PADCTRLREG_LCDSDA_SEL_0_LCDSDA_SHIFT                           0
#define    PADCTRLREG_LCDSDA_SEL_0_LCDSDA_MASK                            0x00000001

#define PADCTRLREG_LCDTE_OFFSET                                           0x000000E4
#define PADCTRLREG_LCDTE_TYPE                                             UInt32
#define PADCTRLREG_LCDTE_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_LCDTE_PINSEL_LCDTE_SHIFT                            8
#define    PADCTRLREG_LCDTE_PINSEL_LCDTE_MASK                             0x00000700
#define    PADCTRLREG_LCDTE_HYS_EN_LCDTE_SHIFT                            7
#define    PADCTRLREG_LCDTE_HYS_EN_LCDTE_MASK                             0x00000080
#define    PADCTRLREG_LCDTE_PDN_LCDTE_SHIFT                               6
#define    PADCTRLREG_LCDTE_PDN_LCDTE_MASK                                0x00000040
#define    PADCTRLREG_LCDTE_PUP_LCDTE_SHIFT                               5
#define    PADCTRLREG_LCDTE_PUP_LCDTE_MASK                                0x00000020
#define    PADCTRLREG_LCDTE_SRC_LCDTE_SHIFT                               4
#define    PADCTRLREG_LCDTE_SRC_LCDTE_MASK                                0x00000010
#define    PADCTRLREG_LCDTE_IND_LCDTE_SHIFT                               3
#define    PADCTRLREG_LCDTE_IND_LCDTE_MASK                                0x00000008
#define    PADCTRLREG_LCDTE_SEL_2_LCDTE_SHIFT                             2
#define    PADCTRLREG_LCDTE_SEL_2_LCDTE_MASK                              0x00000004
#define    PADCTRLREG_LCDTE_SEL_1_LCDTE_SHIFT                             1
#define    PADCTRLREG_LCDTE_SEL_1_LCDTE_MASK                              0x00000002
#define    PADCTRLREG_LCDTE_SEL_0_LCDTE_SHIFT                             0
#define    PADCTRLREG_LCDTE_SEL_0_LCDTE_MASK                              0x00000001

#define PADCTRLREG_MDMGPIO00_OFFSET                                       0x000000E8
#define PADCTRLREG_MDMGPIO00_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO00_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO00_PINSEL_MDMGPIO00_SHIFT                    8
#define    PADCTRLREG_MDMGPIO00_PINSEL_MDMGPIO00_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO00_HYS_EN_MDMGPIO00_SHIFT                    7
#define    PADCTRLREG_MDMGPIO00_HYS_EN_MDMGPIO00_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO00_PDN_MDMGPIO00_SHIFT                       6
#define    PADCTRLREG_MDMGPIO00_PDN_MDMGPIO00_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO00_PUP_MDMGPIO00_SHIFT                       5
#define    PADCTRLREG_MDMGPIO00_PUP_MDMGPIO00_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO00_SRC_MDMGPIO00_SHIFT                       4
#define    PADCTRLREG_MDMGPIO00_SRC_MDMGPIO00_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO00_IND_MDMGPIO00_SHIFT                       3
#define    PADCTRLREG_MDMGPIO00_IND_MDMGPIO00_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO00_SEL_2_MDMGPIO00_SHIFT                     2
#define    PADCTRLREG_MDMGPIO00_SEL_2_MDMGPIO00_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO00_SEL_1_MDMGPIO00_SHIFT                     1
#define    PADCTRLREG_MDMGPIO00_SEL_1_MDMGPIO00_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO00_SEL_0_MDMGPIO00_SHIFT                     0
#define    PADCTRLREG_MDMGPIO00_SEL_0_MDMGPIO00_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO01_OFFSET                                       0x000000EC
#define PADCTRLREG_MDMGPIO01_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO01_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO01_PINSEL_MDMGPIO01_SHIFT                    8
#define    PADCTRLREG_MDMGPIO01_PINSEL_MDMGPIO01_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO01_HYS_EN_MDMGPIO01_SHIFT                    7
#define    PADCTRLREG_MDMGPIO01_HYS_EN_MDMGPIO01_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO01_PDN_MDMGPIO01_SHIFT                       6
#define    PADCTRLREG_MDMGPIO01_PDN_MDMGPIO01_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO01_PUP_MDMGPIO01_SHIFT                       5
#define    PADCTRLREG_MDMGPIO01_PUP_MDMGPIO01_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO01_SRC_MDMGPIO01_SHIFT                       4
#define    PADCTRLREG_MDMGPIO01_SRC_MDMGPIO01_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO01_IND_MDMGPIO01_SHIFT                       3
#define    PADCTRLREG_MDMGPIO01_IND_MDMGPIO01_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO01_SEL_2_MDMGPIO01_SHIFT                     2
#define    PADCTRLREG_MDMGPIO01_SEL_2_MDMGPIO01_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO01_SEL_1_MDMGPIO01_SHIFT                     1
#define    PADCTRLREG_MDMGPIO01_SEL_1_MDMGPIO01_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO01_SEL_0_MDMGPIO01_SHIFT                     0
#define    PADCTRLREG_MDMGPIO01_SEL_0_MDMGPIO01_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO02_OFFSET                                       0x000000F0
#define PADCTRLREG_MDMGPIO02_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO02_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO02_PINSEL_MDMGPIO02_SHIFT                    8
#define    PADCTRLREG_MDMGPIO02_PINSEL_MDMGPIO02_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO02_HYS_EN_MDMGPIO02_SHIFT                    7
#define    PADCTRLREG_MDMGPIO02_HYS_EN_MDMGPIO02_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO02_PDN_MDMGPIO02_SHIFT                       6
#define    PADCTRLREG_MDMGPIO02_PDN_MDMGPIO02_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO02_PUP_MDMGPIO02_SHIFT                       5
#define    PADCTRLREG_MDMGPIO02_PUP_MDMGPIO02_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO02_SRC_MDMGPIO02_SHIFT                       4
#define    PADCTRLREG_MDMGPIO02_SRC_MDMGPIO02_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO02_IND_MDMGPIO02_SHIFT                       3
#define    PADCTRLREG_MDMGPIO02_IND_MDMGPIO02_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO02_SEL_2_MDMGPIO02_SHIFT                     2
#define    PADCTRLREG_MDMGPIO02_SEL_2_MDMGPIO02_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO02_SEL_1_MDMGPIO02_SHIFT                     1
#define    PADCTRLREG_MDMGPIO02_SEL_1_MDMGPIO02_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO02_SEL_0_MDMGPIO02_SHIFT                     0
#define    PADCTRLREG_MDMGPIO02_SEL_0_MDMGPIO02_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO03_OFFSET                                       0x000000F4
#define PADCTRLREG_MDMGPIO03_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO03_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO03_PINSEL_MDMGPIO03_SHIFT                    8
#define    PADCTRLREG_MDMGPIO03_PINSEL_MDMGPIO03_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO03_HYS_EN_MDMGPIO03_SHIFT                    7
#define    PADCTRLREG_MDMGPIO03_HYS_EN_MDMGPIO03_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO03_PDN_MDMGPIO03_SHIFT                       6
#define    PADCTRLREG_MDMGPIO03_PDN_MDMGPIO03_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO03_PUP_MDMGPIO03_SHIFT                       5
#define    PADCTRLREG_MDMGPIO03_PUP_MDMGPIO03_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO03_SRC_MDMGPIO03_SHIFT                       4
#define    PADCTRLREG_MDMGPIO03_SRC_MDMGPIO03_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO03_IND_MDMGPIO03_SHIFT                       3
#define    PADCTRLREG_MDMGPIO03_IND_MDMGPIO03_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO03_SEL_2_MDMGPIO03_SHIFT                     2
#define    PADCTRLREG_MDMGPIO03_SEL_2_MDMGPIO03_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO03_SEL_1_MDMGPIO03_SHIFT                     1
#define    PADCTRLREG_MDMGPIO03_SEL_1_MDMGPIO03_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO03_SEL_0_MDMGPIO03_SHIFT                     0
#define    PADCTRLREG_MDMGPIO03_SEL_0_MDMGPIO03_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO04_OFFSET                                       0x000000F8
#define PADCTRLREG_MDMGPIO04_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO04_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO04_PINSEL_MDMGPIO04_SHIFT                    8
#define    PADCTRLREG_MDMGPIO04_PINSEL_MDMGPIO04_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO04_HYS_EN_MDMGPIO04_SHIFT                    7
#define    PADCTRLREG_MDMGPIO04_HYS_EN_MDMGPIO04_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO04_PDN_MDMGPIO04_SHIFT                       6
#define    PADCTRLREG_MDMGPIO04_PDN_MDMGPIO04_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO04_PUP_MDMGPIO04_SHIFT                       5
#define    PADCTRLREG_MDMGPIO04_PUP_MDMGPIO04_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO04_SRC_MDMGPIO04_SHIFT                       4
#define    PADCTRLREG_MDMGPIO04_SRC_MDMGPIO04_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO04_IND_MDMGPIO04_SHIFT                       3
#define    PADCTRLREG_MDMGPIO04_IND_MDMGPIO04_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO04_SEL_2_MDMGPIO04_SHIFT                     2
#define    PADCTRLREG_MDMGPIO04_SEL_2_MDMGPIO04_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO04_SEL_1_MDMGPIO04_SHIFT                     1
#define    PADCTRLREG_MDMGPIO04_SEL_1_MDMGPIO04_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO04_SEL_0_MDMGPIO04_SHIFT                     0
#define    PADCTRLREG_MDMGPIO04_SEL_0_MDMGPIO04_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO05_OFFSET                                       0x000000FC
#define PADCTRLREG_MDMGPIO05_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO05_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO05_PINSEL_MDMGPIO05_SHIFT                    8
#define    PADCTRLREG_MDMGPIO05_PINSEL_MDMGPIO05_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO05_HYS_EN_MDMGPIO05_SHIFT                    7
#define    PADCTRLREG_MDMGPIO05_HYS_EN_MDMGPIO05_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO05_PDN_MDMGPIO05_SHIFT                       6
#define    PADCTRLREG_MDMGPIO05_PDN_MDMGPIO05_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO05_PUP_MDMGPIO05_SHIFT                       5
#define    PADCTRLREG_MDMGPIO05_PUP_MDMGPIO05_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO05_SRC_MDMGPIO05_SHIFT                       4
#define    PADCTRLREG_MDMGPIO05_SRC_MDMGPIO05_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO05_IND_MDMGPIO05_SHIFT                       3
#define    PADCTRLREG_MDMGPIO05_IND_MDMGPIO05_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO05_SEL_2_MDMGPIO05_SHIFT                     2
#define    PADCTRLREG_MDMGPIO05_SEL_2_MDMGPIO05_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO05_SEL_1_MDMGPIO05_SHIFT                     1
#define    PADCTRLREG_MDMGPIO05_SEL_1_MDMGPIO05_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO05_SEL_0_MDMGPIO05_SHIFT                     0
#define    PADCTRLREG_MDMGPIO05_SEL_0_MDMGPIO05_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO06_OFFSET                                       0x00000100
#define PADCTRLREG_MDMGPIO06_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO06_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO06_PINSEL_MDMGPIO06_SHIFT                    8
#define    PADCTRLREG_MDMGPIO06_PINSEL_MDMGPIO06_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO06_HYS_EN_MDMGPIO06_SHIFT                    7
#define    PADCTRLREG_MDMGPIO06_HYS_EN_MDMGPIO06_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO06_PDN_MDMGPIO06_SHIFT                       6
#define    PADCTRLREG_MDMGPIO06_PDN_MDMGPIO06_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO06_PUP_MDMGPIO06_SHIFT                       5
#define    PADCTRLREG_MDMGPIO06_PUP_MDMGPIO06_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO06_SRC_MDMGPIO06_SHIFT                       4
#define    PADCTRLREG_MDMGPIO06_SRC_MDMGPIO06_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO06_IND_MDMGPIO06_SHIFT                       3
#define    PADCTRLREG_MDMGPIO06_IND_MDMGPIO06_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO06_SEL_2_MDMGPIO06_SHIFT                     2
#define    PADCTRLREG_MDMGPIO06_SEL_2_MDMGPIO06_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO06_SEL_1_MDMGPIO06_SHIFT                     1
#define    PADCTRLREG_MDMGPIO06_SEL_1_MDMGPIO06_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO06_SEL_0_MDMGPIO06_SHIFT                     0
#define    PADCTRLREG_MDMGPIO06_SEL_0_MDMGPIO06_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO07_OFFSET                                       0x00000104
#define PADCTRLREG_MDMGPIO07_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO07_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO07_PINSEL_MDMGPIO07_SHIFT                    8
#define    PADCTRLREG_MDMGPIO07_PINSEL_MDMGPIO07_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO07_HYS_EN_MDMGPIO07_SHIFT                    7
#define    PADCTRLREG_MDMGPIO07_HYS_EN_MDMGPIO07_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO07_PDN_MDMGPIO07_SHIFT                       6
#define    PADCTRLREG_MDMGPIO07_PDN_MDMGPIO07_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO07_PUP_MDMGPIO07_SHIFT                       5
#define    PADCTRLREG_MDMGPIO07_PUP_MDMGPIO07_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO07_SRC_MDMGPIO07_SHIFT                       4
#define    PADCTRLREG_MDMGPIO07_SRC_MDMGPIO07_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO07_IND_MDMGPIO07_SHIFT                       3
#define    PADCTRLREG_MDMGPIO07_IND_MDMGPIO07_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO07_SEL_2_MDMGPIO07_SHIFT                     2
#define    PADCTRLREG_MDMGPIO07_SEL_2_MDMGPIO07_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO07_SEL_1_MDMGPIO07_SHIFT                     1
#define    PADCTRLREG_MDMGPIO07_SEL_1_MDMGPIO07_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO07_SEL_0_MDMGPIO07_SHIFT                     0
#define    PADCTRLREG_MDMGPIO07_SEL_0_MDMGPIO07_MASK                      0x00000001

#define PADCTRLREG_MDMGPIO08_OFFSET                                       0x00000108
#define PADCTRLREG_MDMGPIO08_TYPE                                         UInt32
#define PADCTRLREG_MDMGPIO08_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_MDMGPIO08_PINSEL_MDMGPIO08_SHIFT                    8
#define    PADCTRLREG_MDMGPIO08_PINSEL_MDMGPIO08_MASK                     0x00000700
#define    PADCTRLREG_MDMGPIO08_HYS_EN_MDMGPIO08_SHIFT                    7
#define    PADCTRLREG_MDMGPIO08_HYS_EN_MDMGPIO08_MASK                     0x00000080
#define    PADCTRLREG_MDMGPIO08_PDN_MDMGPIO08_SHIFT                       6
#define    PADCTRLREG_MDMGPIO08_PDN_MDMGPIO08_MASK                        0x00000040
#define    PADCTRLREG_MDMGPIO08_PUP_MDMGPIO08_SHIFT                       5
#define    PADCTRLREG_MDMGPIO08_PUP_MDMGPIO08_MASK                        0x00000020
#define    PADCTRLREG_MDMGPIO08_SRC_MDMGPIO08_SHIFT                       4
#define    PADCTRLREG_MDMGPIO08_SRC_MDMGPIO08_MASK                        0x00000010
#define    PADCTRLREG_MDMGPIO08_IND_MDMGPIO08_SHIFT                       3
#define    PADCTRLREG_MDMGPIO08_IND_MDMGPIO08_MASK                        0x00000008
#define    PADCTRLREG_MDMGPIO08_SEL_2_MDMGPIO08_SHIFT                     2
#define    PADCTRLREG_MDMGPIO08_SEL_2_MDMGPIO08_MASK                      0x00000004
#define    PADCTRLREG_MDMGPIO08_SEL_1_MDMGPIO08_SHIFT                     1
#define    PADCTRLREG_MDMGPIO08_SEL_1_MDMGPIO08_MASK                      0x00000002
#define    PADCTRLREG_MDMGPIO08_SEL_0_MDMGPIO08_SHIFT                     0
#define    PADCTRLREG_MDMGPIO08_SEL_0_MDMGPIO08_MASK                      0x00000001

#define PADCTRLREG_MMC0CK_OFFSET                                          0x0000010C
#define PADCTRLREG_MMC0CK_TYPE                                            UInt32
#define PADCTRLREG_MMC0CK_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_MMC0CK_PINSEL_MMC0CK_SHIFT                          8
#define    PADCTRLREG_MMC0CK_PINSEL_MMC0CK_MASK                           0x00000700
#define    PADCTRLREG_MMC0CK_HYS_EN_MMC0CK_SHIFT                          7
#define    PADCTRLREG_MMC0CK_HYS_EN_MMC0CK_MASK                           0x00000080
#define    PADCTRLREG_MMC0CK_PDN_MMC0CK_SHIFT                             6
#define    PADCTRLREG_MMC0CK_PDN_MMC0CK_MASK                              0x00000040
#define    PADCTRLREG_MMC0CK_PUP_MMC0CK_SHIFT                             5
#define    PADCTRLREG_MMC0CK_PUP_MMC0CK_MASK                              0x00000020
#define    PADCTRLREG_MMC0CK_SRC_MMC0CK_SHIFT                             4
#define    PADCTRLREG_MMC0CK_SRC_MMC0CK_MASK                              0x00000010
#define    PADCTRLREG_MMC0CK_IND_MMC0CK_SHIFT                             3
#define    PADCTRLREG_MMC0CK_IND_MMC0CK_MASK                              0x00000008
#define    PADCTRLREG_MMC0CK_SEL_2_MMC0CK_SHIFT                           2
#define    PADCTRLREG_MMC0CK_SEL_2_MMC0CK_MASK                            0x00000004
#define    PADCTRLREG_MMC0CK_SEL_1_MMC0CK_SHIFT                           1
#define    PADCTRLREG_MMC0CK_SEL_1_MMC0CK_MASK                            0x00000002
#define    PADCTRLREG_MMC0CK_SEL_0_MMC0CK_SHIFT                           0
#define    PADCTRLREG_MMC0CK_SEL_0_MMC0CK_MASK                            0x00000001

#define PADCTRLREG_MMC0CMD_OFFSET                                         0x00000110
#define PADCTRLREG_MMC0CMD_TYPE                                           UInt32
#define PADCTRLREG_MMC0CMD_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC0CMD_PINSEL_MMC0CMD_SHIFT                        8
#define    PADCTRLREG_MMC0CMD_PINSEL_MMC0CMD_MASK                         0x00000700
#define    PADCTRLREG_MMC0CMD_HYS_EN_MMC0CMD_SHIFT                        7
#define    PADCTRLREG_MMC0CMD_HYS_EN_MMC0CMD_MASK                         0x00000080
#define    PADCTRLREG_MMC0CMD_PDN_MMC0CMD_SHIFT                           6
#define    PADCTRLREG_MMC0CMD_PDN_MMC0CMD_MASK                            0x00000040
#define    PADCTRLREG_MMC0CMD_PUP_MMC0CMD_SHIFT                           5
#define    PADCTRLREG_MMC0CMD_PUP_MMC0CMD_MASK                            0x00000020
#define    PADCTRLREG_MMC0CMD_SRC_MMC0CMD_SHIFT                           4
#define    PADCTRLREG_MMC0CMD_SRC_MMC0CMD_MASK                            0x00000010
#define    PADCTRLREG_MMC0CMD_IND_MMC0CMD_SHIFT                           3
#define    PADCTRLREG_MMC0CMD_IND_MMC0CMD_MASK                            0x00000008
#define    PADCTRLREG_MMC0CMD_SEL_2_MMC0CMD_SHIFT                         2
#define    PADCTRLREG_MMC0CMD_SEL_2_MMC0CMD_MASK                          0x00000004
#define    PADCTRLREG_MMC0CMD_SEL_1_MMC0CMD_SHIFT                         1
#define    PADCTRLREG_MMC0CMD_SEL_1_MMC0CMD_MASK                          0x00000002
#define    PADCTRLREG_MMC0CMD_SEL_0_MMC0CMD_SHIFT                         0
#define    PADCTRLREG_MMC0CMD_SEL_0_MMC0CMD_MASK                          0x00000001

#define PADCTRLREG_MMC0DAT0_OFFSET                                        0x00000114
#define PADCTRLREG_MMC0DAT0_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT0_PINSEL_MMC0DAT0_SHIFT                      8
#define    PADCTRLREG_MMC0DAT0_PINSEL_MMC0DAT0_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT0_HYS_EN_MMC0DAT0_SHIFT                      7
#define    PADCTRLREG_MMC0DAT0_HYS_EN_MMC0DAT0_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT0_PDN_MMC0DAT0_SHIFT                         6
#define    PADCTRLREG_MMC0DAT0_PDN_MMC0DAT0_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT0_PUP_MMC0DAT0_SHIFT                         5
#define    PADCTRLREG_MMC0DAT0_PUP_MMC0DAT0_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT0_SRC_MMC0DAT0_SHIFT                         4
#define    PADCTRLREG_MMC0DAT0_SRC_MMC0DAT0_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT0_IND_MMC0DAT0_SHIFT                         3
#define    PADCTRLREG_MMC0DAT0_IND_MMC0DAT0_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT0_SEL_2_MMC0DAT0_SHIFT                       2
#define    PADCTRLREG_MMC0DAT0_SEL_2_MMC0DAT0_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT0_SEL_1_MMC0DAT0_SHIFT                       1
#define    PADCTRLREG_MMC0DAT0_SEL_1_MMC0DAT0_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT0_SEL_0_MMC0DAT0_SHIFT                       0
#define    PADCTRLREG_MMC0DAT0_SEL_0_MMC0DAT0_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT1_OFFSET                                        0x00000118
#define PADCTRLREG_MMC0DAT1_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT1_PINSEL_MMC0DAT1_SHIFT                      8
#define    PADCTRLREG_MMC0DAT1_PINSEL_MMC0DAT1_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT1_HYS_EN_MMC0DAT1_SHIFT                      7
#define    PADCTRLREG_MMC0DAT1_HYS_EN_MMC0DAT1_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT1_PDN_MMC0DAT1_SHIFT                         6
#define    PADCTRLREG_MMC0DAT1_PDN_MMC0DAT1_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT1_PUP_MMC0DAT1_SHIFT                         5
#define    PADCTRLREG_MMC0DAT1_PUP_MMC0DAT1_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT1_SRC_MMC0DAT1_SHIFT                         4
#define    PADCTRLREG_MMC0DAT1_SRC_MMC0DAT1_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT1_IND_MMC0DAT1_SHIFT                         3
#define    PADCTRLREG_MMC0DAT1_IND_MMC0DAT1_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT1_SEL_2_MMC0DAT1_SHIFT                       2
#define    PADCTRLREG_MMC0DAT1_SEL_2_MMC0DAT1_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT1_SEL_1_MMC0DAT1_SHIFT                       1
#define    PADCTRLREG_MMC0DAT1_SEL_1_MMC0DAT1_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT1_SEL_0_MMC0DAT1_SHIFT                       0
#define    PADCTRLREG_MMC0DAT1_SEL_0_MMC0DAT1_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT2_OFFSET                                        0x0000011C
#define PADCTRLREG_MMC0DAT2_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT2_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT2_PINSEL_MMC0DAT2_SHIFT                      8
#define    PADCTRLREG_MMC0DAT2_PINSEL_MMC0DAT2_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT2_HYS_EN_MMC0DAT2_SHIFT                      7
#define    PADCTRLREG_MMC0DAT2_HYS_EN_MMC0DAT2_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT2_PDN_MMC0DAT2_SHIFT                         6
#define    PADCTRLREG_MMC0DAT2_PDN_MMC0DAT2_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT2_PUP_MMC0DAT2_SHIFT                         5
#define    PADCTRLREG_MMC0DAT2_PUP_MMC0DAT2_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT2_SRC_MMC0DAT2_SHIFT                         4
#define    PADCTRLREG_MMC0DAT2_SRC_MMC0DAT2_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT2_IND_MMC0DAT2_SHIFT                         3
#define    PADCTRLREG_MMC0DAT2_IND_MMC0DAT2_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT2_SEL_2_MMC0DAT2_SHIFT                       2
#define    PADCTRLREG_MMC0DAT2_SEL_2_MMC0DAT2_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT2_SEL_1_MMC0DAT2_SHIFT                       1
#define    PADCTRLREG_MMC0DAT2_SEL_1_MMC0DAT2_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT2_SEL_0_MMC0DAT2_SHIFT                       0
#define    PADCTRLREG_MMC0DAT2_SEL_0_MMC0DAT2_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT3_OFFSET                                        0x00000120
#define PADCTRLREG_MMC0DAT3_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT3_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT3_PINSEL_MMC0DAT3_SHIFT                      8
#define    PADCTRLREG_MMC0DAT3_PINSEL_MMC0DAT3_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT3_HYS_EN_MMC0DAT3_SHIFT                      7
#define    PADCTRLREG_MMC0DAT3_HYS_EN_MMC0DAT3_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT3_PDN_MMC0DAT3_SHIFT                         6
#define    PADCTRLREG_MMC0DAT3_PDN_MMC0DAT3_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT3_PUP_MMC0DAT3_SHIFT                         5
#define    PADCTRLREG_MMC0DAT3_PUP_MMC0DAT3_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT3_SRC_MMC0DAT3_SHIFT                         4
#define    PADCTRLREG_MMC0DAT3_SRC_MMC0DAT3_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT3_IND_MMC0DAT3_SHIFT                         3
#define    PADCTRLREG_MMC0DAT3_IND_MMC0DAT3_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT3_SEL_2_MMC0DAT3_SHIFT                       2
#define    PADCTRLREG_MMC0DAT3_SEL_2_MMC0DAT3_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT3_SEL_1_MMC0DAT3_SHIFT                       1
#define    PADCTRLREG_MMC0DAT3_SEL_1_MMC0DAT3_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT3_SEL_0_MMC0DAT3_SHIFT                       0
#define    PADCTRLREG_MMC0DAT3_SEL_0_MMC0DAT3_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT4_OFFSET                                        0x00000124
#define PADCTRLREG_MMC0DAT4_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT4_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT4_PINSEL_MMC0DAT4_SHIFT                      8
#define    PADCTRLREG_MMC0DAT4_PINSEL_MMC0DAT4_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT4_HYS_EN_MMC0DAT4_SHIFT                      7
#define    PADCTRLREG_MMC0DAT4_HYS_EN_MMC0DAT4_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT4_PDN_MMC0DAT4_SHIFT                         6
#define    PADCTRLREG_MMC0DAT4_PDN_MMC0DAT4_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT4_PUP_MMC0DAT4_SHIFT                         5
#define    PADCTRLREG_MMC0DAT4_PUP_MMC0DAT4_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT4_SRC_MMC0DAT4_SHIFT                         4
#define    PADCTRLREG_MMC0DAT4_SRC_MMC0DAT4_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT4_IND_MMC0DAT4_SHIFT                         3
#define    PADCTRLREG_MMC0DAT4_IND_MMC0DAT4_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT4_SEL_2_MMC0DAT4_SHIFT                       2
#define    PADCTRLREG_MMC0DAT4_SEL_2_MMC0DAT4_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT4_SEL_1_MMC0DAT4_SHIFT                       1
#define    PADCTRLREG_MMC0DAT4_SEL_1_MMC0DAT4_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT4_SEL_0_MMC0DAT4_SHIFT                       0
#define    PADCTRLREG_MMC0DAT4_SEL_0_MMC0DAT4_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT5_OFFSET                                        0x00000128
#define PADCTRLREG_MMC0DAT5_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT5_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT5_PINSEL_MMC0DAT5_SHIFT                      8
#define    PADCTRLREG_MMC0DAT5_PINSEL_MMC0DAT5_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT5_HYS_EN_MMC0DAT5_SHIFT                      7
#define    PADCTRLREG_MMC0DAT5_HYS_EN_MMC0DAT5_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT5_PDN_MMC0DAT5_SHIFT                         6
#define    PADCTRLREG_MMC0DAT5_PDN_MMC0DAT5_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT5_PUP_MMC0DAT5_SHIFT                         5
#define    PADCTRLREG_MMC0DAT5_PUP_MMC0DAT5_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT5_SRC_MMC0DAT5_SHIFT                         4
#define    PADCTRLREG_MMC0DAT5_SRC_MMC0DAT5_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT5_IND_MMC0DAT5_SHIFT                         3
#define    PADCTRLREG_MMC0DAT5_IND_MMC0DAT5_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT5_SEL_2_MMC0DAT5_SHIFT                       2
#define    PADCTRLREG_MMC0DAT5_SEL_2_MMC0DAT5_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT5_SEL_1_MMC0DAT5_SHIFT                       1
#define    PADCTRLREG_MMC0DAT5_SEL_1_MMC0DAT5_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT5_SEL_0_MMC0DAT5_SHIFT                       0
#define    PADCTRLREG_MMC0DAT5_SEL_0_MMC0DAT5_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT6_OFFSET                                        0x0000012C
#define PADCTRLREG_MMC0DAT6_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT6_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT6_PINSEL_MMC0DAT6_SHIFT                      8
#define    PADCTRLREG_MMC0DAT6_PINSEL_MMC0DAT6_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT6_HYS_EN_MMC0DAT6_SHIFT                      7
#define    PADCTRLREG_MMC0DAT6_HYS_EN_MMC0DAT6_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT6_PDN_MMC0DAT6_SHIFT                         6
#define    PADCTRLREG_MMC0DAT6_PDN_MMC0DAT6_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT6_PUP_MMC0DAT6_SHIFT                         5
#define    PADCTRLREG_MMC0DAT6_PUP_MMC0DAT6_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT6_SRC_MMC0DAT6_SHIFT                         4
#define    PADCTRLREG_MMC0DAT6_SRC_MMC0DAT6_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT6_IND_MMC0DAT6_SHIFT                         3
#define    PADCTRLREG_MMC0DAT6_IND_MMC0DAT6_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT6_SEL_2_MMC0DAT6_SHIFT                       2
#define    PADCTRLREG_MMC0DAT6_SEL_2_MMC0DAT6_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT6_SEL_1_MMC0DAT6_SHIFT                       1
#define    PADCTRLREG_MMC0DAT6_SEL_1_MMC0DAT6_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT6_SEL_0_MMC0DAT6_SHIFT                       0
#define    PADCTRLREG_MMC0DAT6_SEL_0_MMC0DAT6_MASK                        0x00000001

#define PADCTRLREG_MMC0DAT7_OFFSET                                        0x00000130
#define PADCTRLREG_MMC0DAT7_TYPE                                          UInt32
#define PADCTRLREG_MMC0DAT7_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC0DAT7_PINSEL_MMC0DAT7_SHIFT                      8
#define    PADCTRLREG_MMC0DAT7_PINSEL_MMC0DAT7_MASK                       0x00000700
#define    PADCTRLREG_MMC0DAT7_HYS_EN_MMC0DAT7_SHIFT                      7
#define    PADCTRLREG_MMC0DAT7_HYS_EN_MMC0DAT7_MASK                       0x00000080
#define    PADCTRLREG_MMC0DAT7_PDN_MMC0DAT7_SHIFT                         6
#define    PADCTRLREG_MMC0DAT7_PDN_MMC0DAT7_MASK                          0x00000040
#define    PADCTRLREG_MMC0DAT7_PUP_MMC0DAT7_SHIFT                         5
#define    PADCTRLREG_MMC0DAT7_PUP_MMC0DAT7_MASK                          0x00000020
#define    PADCTRLREG_MMC0DAT7_SRC_MMC0DAT7_SHIFT                         4
#define    PADCTRLREG_MMC0DAT7_SRC_MMC0DAT7_MASK                          0x00000010
#define    PADCTRLREG_MMC0DAT7_IND_MMC0DAT7_SHIFT                         3
#define    PADCTRLREG_MMC0DAT7_IND_MMC0DAT7_MASK                          0x00000008
#define    PADCTRLREG_MMC0DAT7_SEL_2_MMC0DAT7_SHIFT                       2
#define    PADCTRLREG_MMC0DAT7_SEL_2_MMC0DAT7_MASK                        0x00000004
#define    PADCTRLREG_MMC0DAT7_SEL_1_MMC0DAT7_SHIFT                       1
#define    PADCTRLREG_MMC0DAT7_SEL_1_MMC0DAT7_MASK                        0x00000002
#define    PADCTRLREG_MMC0DAT7_SEL_0_MMC0DAT7_SHIFT                       0
#define    PADCTRLREG_MMC0DAT7_SEL_0_MMC0DAT7_MASK                        0x00000001

#define PADCTRLREG_MMC0RST_OFFSET                                         0x00000134
#define PADCTRLREG_MMC0RST_TYPE                                           UInt32
#define PADCTRLREG_MMC0RST_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC0RST_PINSEL_MMC0RST_SHIFT                        8
#define    PADCTRLREG_MMC0RST_PINSEL_MMC0RST_MASK                         0x00000700
#define    PADCTRLREG_MMC0RST_HYS_EN_MMC0RST_SHIFT                        7
#define    PADCTRLREG_MMC0RST_HYS_EN_MMC0RST_MASK                         0x00000080
#define    PADCTRLREG_MMC0RST_PDN_MMC0RST_SHIFT                           6
#define    PADCTRLREG_MMC0RST_PDN_MMC0RST_MASK                            0x00000040
#define    PADCTRLREG_MMC0RST_PUP_MMC0RST_SHIFT                           5
#define    PADCTRLREG_MMC0RST_PUP_MMC0RST_MASK                            0x00000020
#define    PADCTRLREG_MMC0RST_SRC_MMC0RST_SHIFT                           4
#define    PADCTRLREG_MMC0RST_SRC_MMC0RST_MASK                            0x00000010
#define    PADCTRLREG_MMC0RST_IND_MMC0RST_SHIFT                           3
#define    PADCTRLREG_MMC0RST_IND_MMC0RST_MASK                            0x00000008
#define    PADCTRLREG_MMC0RST_SEL_2_MMC0RST_SHIFT                         2
#define    PADCTRLREG_MMC0RST_SEL_2_MMC0RST_MASK                          0x00000004
#define    PADCTRLREG_MMC0RST_SEL_1_MMC0RST_SHIFT                         1
#define    PADCTRLREG_MMC0RST_SEL_1_MMC0RST_MASK                          0x00000002
#define    PADCTRLREG_MMC0RST_SEL_0_MMC0RST_SHIFT                         0
#define    PADCTRLREG_MMC0RST_SEL_0_MMC0RST_MASK                          0x00000001

#define PADCTRLREG_MMC1CK_OFFSET                                          0x00000138
#define PADCTRLREG_MMC1CK_TYPE                                            UInt32
#define PADCTRLREG_MMC1CK_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_MMC1CK_PINSEL_MMC1CK_SHIFT                          8
#define    PADCTRLREG_MMC1CK_PINSEL_MMC1CK_MASK                           0x00000700
#define    PADCTRLREG_MMC1CK_HYS_EN_MMC1CK_SHIFT                          7
#define    PADCTRLREG_MMC1CK_HYS_EN_MMC1CK_MASK                           0x00000080
#define    PADCTRLREG_MMC1CK_PDN_MMC1CK_SHIFT                             6
#define    PADCTRLREG_MMC1CK_PDN_MMC1CK_MASK                              0x00000040
#define    PADCTRLREG_MMC1CK_PUP_MMC1CK_SHIFT                             5
#define    PADCTRLREG_MMC1CK_PUP_MMC1CK_MASK                              0x00000020
#define    PADCTRLREG_MMC1CK_SRC_MMC1CK_SHIFT                             4
#define    PADCTRLREG_MMC1CK_SRC_MMC1CK_MASK                              0x00000010
#define    PADCTRLREG_MMC1CK_IND_MMC1CK_SHIFT                             3
#define    PADCTRLREG_MMC1CK_IND_MMC1CK_MASK                              0x00000008
#define    PADCTRLREG_MMC1CK_SEL_2_MMC1CK_SHIFT                           2
#define    PADCTRLREG_MMC1CK_SEL_2_MMC1CK_MASK                            0x00000004
#define    PADCTRLREG_MMC1CK_SEL_1_MMC1CK_SHIFT                           1
#define    PADCTRLREG_MMC1CK_SEL_1_MMC1CK_MASK                            0x00000002
#define    PADCTRLREG_MMC1CK_SEL_0_MMC1CK_SHIFT                           0
#define    PADCTRLREG_MMC1CK_SEL_0_MMC1CK_MASK                            0x00000001

#define PADCTRLREG_MMC1CMD_OFFSET                                         0x0000013C
#define PADCTRLREG_MMC1CMD_TYPE                                           UInt32
#define PADCTRLREG_MMC1CMD_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC1CMD_PINSEL_MMC1CMD_SHIFT                        8
#define    PADCTRLREG_MMC1CMD_PINSEL_MMC1CMD_MASK                         0x00000700
#define    PADCTRLREG_MMC1CMD_HYS_EN_MMC1CMD_SHIFT                        7
#define    PADCTRLREG_MMC1CMD_HYS_EN_MMC1CMD_MASK                         0x00000080
#define    PADCTRLREG_MMC1CMD_PDN_MMC1CMD_SHIFT                           6
#define    PADCTRLREG_MMC1CMD_PDN_MMC1CMD_MASK                            0x00000040
#define    PADCTRLREG_MMC1CMD_PUP_MMC1CMD_SHIFT                           5
#define    PADCTRLREG_MMC1CMD_PUP_MMC1CMD_MASK                            0x00000020
#define    PADCTRLREG_MMC1CMD_SRC_MMC1CMD_SHIFT                           4
#define    PADCTRLREG_MMC1CMD_SRC_MMC1CMD_MASK                            0x00000010
#define    PADCTRLREG_MMC1CMD_IND_MMC1CMD_SHIFT                           3
#define    PADCTRLREG_MMC1CMD_IND_MMC1CMD_MASK                            0x00000008
#define    PADCTRLREG_MMC1CMD_SEL_2_MMC1CMD_SHIFT                         2
#define    PADCTRLREG_MMC1CMD_SEL_2_MMC1CMD_MASK                          0x00000004
#define    PADCTRLREG_MMC1CMD_SEL_1_MMC1CMD_SHIFT                         1
#define    PADCTRLREG_MMC1CMD_SEL_1_MMC1CMD_MASK                          0x00000002
#define    PADCTRLREG_MMC1CMD_SEL_0_MMC1CMD_SHIFT                         0
#define    PADCTRLREG_MMC1CMD_SEL_0_MMC1CMD_MASK                          0x00000001

#define PADCTRLREG_MMC1DAT0_OFFSET                                        0x00000140
#define PADCTRLREG_MMC1DAT0_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT0_PINSEL_MMC1DAT0_SHIFT                      8
#define    PADCTRLREG_MMC1DAT0_PINSEL_MMC1DAT0_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT0_HYS_EN_MMC1DAT0_SHIFT                      7
#define    PADCTRLREG_MMC1DAT0_HYS_EN_MMC1DAT0_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT0_PDN_MMC1DAT0_SHIFT                         6
#define    PADCTRLREG_MMC1DAT0_PDN_MMC1DAT0_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT0_PUP_MMC1DAT0_SHIFT                         5
#define    PADCTRLREG_MMC1DAT0_PUP_MMC1DAT0_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT0_SRC_MMC1DAT0_SHIFT                         4
#define    PADCTRLREG_MMC1DAT0_SRC_MMC1DAT0_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT0_IND_MMC1DAT0_SHIFT                         3
#define    PADCTRLREG_MMC1DAT0_IND_MMC1DAT0_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT0_SEL_2_MMC1DAT0_SHIFT                       2
#define    PADCTRLREG_MMC1DAT0_SEL_2_MMC1DAT0_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT0_SEL_1_MMC1DAT0_SHIFT                       1
#define    PADCTRLREG_MMC1DAT0_SEL_1_MMC1DAT0_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT0_SEL_0_MMC1DAT0_SHIFT                       0
#define    PADCTRLREG_MMC1DAT0_SEL_0_MMC1DAT0_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT1_OFFSET                                        0x00000144
#define PADCTRLREG_MMC1DAT1_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT1_PINSEL_MMC1DAT1_SHIFT                      8
#define    PADCTRLREG_MMC1DAT1_PINSEL_MMC1DAT1_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT1_HYS_EN_MMC1DAT1_SHIFT                      7
#define    PADCTRLREG_MMC1DAT1_HYS_EN_MMC1DAT1_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT1_PDN_MMC1DAT1_SHIFT                         6
#define    PADCTRLREG_MMC1DAT1_PDN_MMC1DAT1_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT1_PUP_MMC1DAT1_SHIFT                         5
#define    PADCTRLREG_MMC1DAT1_PUP_MMC1DAT1_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT1_SRC_MMC1DAT1_SHIFT                         4
#define    PADCTRLREG_MMC1DAT1_SRC_MMC1DAT1_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT1_IND_MMC1DAT1_SHIFT                         3
#define    PADCTRLREG_MMC1DAT1_IND_MMC1DAT1_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT1_SEL_2_MMC1DAT1_SHIFT                       2
#define    PADCTRLREG_MMC1DAT1_SEL_2_MMC1DAT1_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT1_SEL_1_MMC1DAT1_SHIFT                       1
#define    PADCTRLREG_MMC1DAT1_SEL_1_MMC1DAT1_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT1_SEL_0_MMC1DAT1_SHIFT                       0
#define    PADCTRLREG_MMC1DAT1_SEL_0_MMC1DAT1_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT2_OFFSET                                        0x00000148
#define PADCTRLREG_MMC1DAT2_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT2_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT2_PINSEL_MMC1DAT2_SHIFT                      8
#define    PADCTRLREG_MMC1DAT2_PINSEL_MMC1DAT2_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT2_HYS_EN_MMC1DAT2_SHIFT                      7
#define    PADCTRLREG_MMC1DAT2_HYS_EN_MMC1DAT2_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT2_PDN_MMC1DAT2_SHIFT                         6
#define    PADCTRLREG_MMC1DAT2_PDN_MMC1DAT2_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT2_PUP_MMC1DAT2_SHIFT                         5
#define    PADCTRLREG_MMC1DAT2_PUP_MMC1DAT2_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT2_SRC_MMC1DAT2_SHIFT                         4
#define    PADCTRLREG_MMC1DAT2_SRC_MMC1DAT2_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT2_IND_MMC1DAT2_SHIFT                         3
#define    PADCTRLREG_MMC1DAT2_IND_MMC1DAT2_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT2_SEL_2_MMC1DAT2_SHIFT                       2
#define    PADCTRLREG_MMC1DAT2_SEL_2_MMC1DAT2_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT2_SEL_1_MMC1DAT2_SHIFT                       1
#define    PADCTRLREG_MMC1DAT2_SEL_1_MMC1DAT2_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT2_SEL_0_MMC1DAT2_SHIFT                       0
#define    PADCTRLREG_MMC1DAT2_SEL_0_MMC1DAT2_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT3_OFFSET                                        0x0000014C
#define PADCTRLREG_MMC1DAT3_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT3_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT3_PINSEL_MMC1DAT3_SHIFT                      8
#define    PADCTRLREG_MMC1DAT3_PINSEL_MMC1DAT3_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT3_HYS_EN_MMC1DAT3_SHIFT                      7
#define    PADCTRLREG_MMC1DAT3_HYS_EN_MMC1DAT3_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT3_PDN_MMC1DAT3_SHIFT                         6
#define    PADCTRLREG_MMC1DAT3_PDN_MMC1DAT3_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT3_PUP_MMC1DAT3_SHIFT                         5
#define    PADCTRLREG_MMC1DAT3_PUP_MMC1DAT3_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT3_SRC_MMC1DAT3_SHIFT                         4
#define    PADCTRLREG_MMC1DAT3_SRC_MMC1DAT3_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT3_IND_MMC1DAT3_SHIFT                         3
#define    PADCTRLREG_MMC1DAT3_IND_MMC1DAT3_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT3_SEL_2_MMC1DAT3_SHIFT                       2
#define    PADCTRLREG_MMC1DAT3_SEL_2_MMC1DAT3_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT3_SEL_1_MMC1DAT3_SHIFT                       1
#define    PADCTRLREG_MMC1DAT3_SEL_1_MMC1DAT3_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT3_SEL_0_MMC1DAT3_SHIFT                       0
#define    PADCTRLREG_MMC1DAT3_SEL_0_MMC1DAT3_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT4_OFFSET                                        0x00000150
#define PADCTRLREG_MMC1DAT4_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT4_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT4_PINSEL_MMC1DAT4_SHIFT                      8
#define    PADCTRLREG_MMC1DAT4_PINSEL_MMC1DAT4_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT4_HYS_EN_MMC1DAT4_SHIFT                      7
#define    PADCTRLREG_MMC1DAT4_HYS_EN_MMC1DAT4_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT4_PDN_MMC1DAT4_SHIFT                         6
#define    PADCTRLREG_MMC1DAT4_PDN_MMC1DAT4_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT4_PUP_MMC1DAT4_SHIFT                         5
#define    PADCTRLREG_MMC1DAT4_PUP_MMC1DAT4_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT4_SRC_MMC1DAT4_SHIFT                         4
#define    PADCTRLREG_MMC1DAT4_SRC_MMC1DAT4_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT4_IND_MMC1DAT4_SHIFT                         3
#define    PADCTRLREG_MMC1DAT4_IND_MMC1DAT4_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT4_SEL_2_MMC1DAT4_SHIFT                       2
#define    PADCTRLREG_MMC1DAT4_SEL_2_MMC1DAT4_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT4_SEL_1_MMC1DAT4_SHIFT                       1
#define    PADCTRLREG_MMC1DAT4_SEL_1_MMC1DAT4_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT4_SEL_0_MMC1DAT4_SHIFT                       0
#define    PADCTRLREG_MMC1DAT4_SEL_0_MMC1DAT4_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT5_OFFSET                                        0x00000154
#define PADCTRLREG_MMC1DAT5_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT5_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT5_PINSEL_MMC1DAT5_SHIFT                      8
#define    PADCTRLREG_MMC1DAT5_PINSEL_MMC1DAT5_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT5_HYS_EN_MMC1DAT5_SHIFT                      7
#define    PADCTRLREG_MMC1DAT5_HYS_EN_MMC1DAT5_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT5_PDN_MMC1DAT5_SHIFT                         6
#define    PADCTRLREG_MMC1DAT5_PDN_MMC1DAT5_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT5_PUP_MMC1DAT5_SHIFT                         5
#define    PADCTRLREG_MMC1DAT5_PUP_MMC1DAT5_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT5_SRC_MMC1DAT5_SHIFT                         4
#define    PADCTRLREG_MMC1DAT5_SRC_MMC1DAT5_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT5_IND_MMC1DAT5_SHIFT                         3
#define    PADCTRLREG_MMC1DAT5_IND_MMC1DAT5_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT5_SEL_2_MMC1DAT5_SHIFT                       2
#define    PADCTRLREG_MMC1DAT5_SEL_2_MMC1DAT5_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT5_SEL_1_MMC1DAT5_SHIFT                       1
#define    PADCTRLREG_MMC1DAT5_SEL_1_MMC1DAT5_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT5_SEL_0_MMC1DAT5_SHIFT                       0
#define    PADCTRLREG_MMC1DAT5_SEL_0_MMC1DAT5_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT6_OFFSET                                        0x00000158
#define PADCTRLREG_MMC1DAT6_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT6_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT6_PINSEL_MMC1DAT6_SHIFT                      8
#define    PADCTRLREG_MMC1DAT6_PINSEL_MMC1DAT6_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT6_HYS_EN_MMC1DAT6_SHIFT                      7
#define    PADCTRLREG_MMC1DAT6_HYS_EN_MMC1DAT6_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT6_PDN_MMC1DAT6_SHIFT                         6
#define    PADCTRLREG_MMC1DAT6_PDN_MMC1DAT6_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT6_PUP_MMC1DAT6_SHIFT                         5
#define    PADCTRLREG_MMC1DAT6_PUP_MMC1DAT6_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT6_SRC_MMC1DAT6_SHIFT                         4
#define    PADCTRLREG_MMC1DAT6_SRC_MMC1DAT6_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT6_IND_MMC1DAT6_SHIFT                         3
#define    PADCTRLREG_MMC1DAT6_IND_MMC1DAT6_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT6_SEL_2_MMC1DAT6_SHIFT                       2
#define    PADCTRLREG_MMC1DAT6_SEL_2_MMC1DAT6_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT6_SEL_1_MMC1DAT6_SHIFT                       1
#define    PADCTRLREG_MMC1DAT6_SEL_1_MMC1DAT6_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT6_SEL_0_MMC1DAT6_SHIFT                       0
#define    PADCTRLREG_MMC1DAT6_SEL_0_MMC1DAT6_MASK                        0x00000001

#define PADCTRLREG_MMC1DAT7_OFFSET                                        0x0000015C
#define PADCTRLREG_MMC1DAT7_TYPE                                          UInt32
#define PADCTRLREG_MMC1DAT7_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC1DAT7_PINSEL_MMC1DAT7_SHIFT                      8
#define    PADCTRLREG_MMC1DAT7_PINSEL_MMC1DAT7_MASK                       0x00000700
#define    PADCTRLREG_MMC1DAT7_HYS_EN_MMC1DAT7_SHIFT                      7
#define    PADCTRLREG_MMC1DAT7_HYS_EN_MMC1DAT7_MASK                       0x00000080
#define    PADCTRLREG_MMC1DAT7_PDN_MMC1DAT7_SHIFT                         6
#define    PADCTRLREG_MMC1DAT7_PDN_MMC1DAT7_MASK                          0x00000040
#define    PADCTRLREG_MMC1DAT7_PUP_MMC1DAT7_SHIFT                         5
#define    PADCTRLREG_MMC1DAT7_PUP_MMC1DAT7_MASK                          0x00000020
#define    PADCTRLREG_MMC1DAT7_SRC_MMC1DAT7_SHIFT                         4
#define    PADCTRLREG_MMC1DAT7_SRC_MMC1DAT7_MASK                          0x00000010
#define    PADCTRLREG_MMC1DAT7_IND_MMC1DAT7_SHIFT                         3
#define    PADCTRLREG_MMC1DAT7_IND_MMC1DAT7_MASK                          0x00000008
#define    PADCTRLREG_MMC1DAT7_SEL_2_MMC1DAT7_SHIFT                       2
#define    PADCTRLREG_MMC1DAT7_SEL_2_MMC1DAT7_MASK                        0x00000004
#define    PADCTRLREG_MMC1DAT7_SEL_1_MMC1DAT7_SHIFT                       1
#define    PADCTRLREG_MMC1DAT7_SEL_1_MMC1DAT7_MASK                        0x00000002
#define    PADCTRLREG_MMC1DAT7_SEL_0_MMC1DAT7_SHIFT                       0
#define    PADCTRLREG_MMC1DAT7_SEL_0_MMC1DAT7_MASK                        0x00000001

#define PADCTRLREG_MMC1RST_OFFSET                                         0x00000160
#define PADCTRLREG_MMC1RST_TYPE                                           UInt32
#define PADCTRLREG_MMC1RST_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC1RST_PINSEL_MMC1RST_SHIFT                        8
#define    PADCTRLREG_MMC1RST_PINSEL_MMC1RST_MASK                         0x00000700
#define    PADCTRLREG_MMC1RST_HYS_EN_MMC1RST_SHIFT                        7
#define    PADCTRLREG_MMC1RST_HYS_EN_MMC1RST_MASK                         0x00000080
#define    PADCTRLREG_MMC1RST_PDN_MMC1RST_SHIFT                           6
#define    PADCTRLREG_MMC1RST_PDN_MMC1RST_MASK                            0x00000040
#define    PADCTRLREG_MMC1RST_PUP_MMC1RST_SHIFT                           5
#define    PADCTRLREG_MMC1RST_PUP_MMC1RST_MASK                            0x00000020
#define    PADCTRLREG_MMC1RST_SRC_MMC1RST_SHIFT                           4
#define    PADCTRLREG_MMC1RST_SRC_MMC1RST_MASK                            0x00000010
#define    PADCTRLREG_MMC1RST_IND_MMC1RST_SHIFT                           3
#define    PADCTRLREG_MMC1RST_IND_MMC1RST_MASK                            0x00000008
#define    PADCTRLREG_MMC1RST_SEL_2_MMC1RST_SHIFT                         2
#define    PADCTRLREG_MMC1RST_SEL_2_MMC1RST_MASK                          0x00000004
#define    PADCTRLREG_MMC1RST_SEL_1_MMC1RST_SHIFT                         1
#define    PADCTRLREG_MMC1RST_SEL_1_MMC1RST_MASK                          0x00000002
#define    PADCTRLREG_MMC1RST_SEL_0_MMC1RST_SHIFT                         0
#define    PADCTRLREG_MMC1RST_SEL_0_MMC1RST_MASK                          0x00000001

#define PADCTRLREG_PC1_OFFSET                                             0x00000164
#define PADCTRLREG_PC1_TYPE                                               UInt32
#define PADCTRLREG_PC1_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_PC1_PINSEL_PC1_SHIFT                                8
#define    PADCTRLREG_PC1_PINSEL_PC1_MASK                                 0x00000700
#define    PADCTRLREG_PC1_HYS_EN_PC1_SHIFT                                7
#define    PADCTRLREG_PC1_HYS_EN_PC1_MASK                                 0x00000080
#define    PADCTRLREG_PC1_PDN_PC1_SHIFT                                   6
#define    PADCTRLREG_PC1_PDN_PC1_MASK                                    0x00000040
#define    PADCTRLREG_PC1_PUP_PC1_SHIFT                                   5
#define    PADCTRLREG_PC1_PUP_PC1_MASK                                    0x00000020
#define    PADCTRLREG_PC1_SRC_PC1_SHIFT                                   4
#define    PADCTRLREG_PC1_SRC_PC1_MASK                                    0x00000010
#define    PADCTRLREG_PC1_IND_PC1_SHIFT                                   3
#define    PADCTRLREG_PC1_IND_PC1_MASK                                    0x00000008
#define    PADCTRLREG_PC1_SEL_2_PC1_SHIFT                                 2
#define    PADCTRLREG_PC1_SEL_2_PC1_MASK                                  0x00000004
#define    PADCTRLREG_PC1_SEL_1_PC1_SHIFT                                 1
#define    PADCTRLREG_PC1_SEL_1_PC1_MASK                                  0x00000002
#define    PADCTRLREG_PC1_SEL_0_PC1_SHIFT                                 0
#define    PADCTRLREG_PC1_SEL_0_PC1_MASK                                  0x00000001

#define PADCTRLREG_PC2_OFFSET                                             0x00000168
#define PADCTRLREG_PC2_TYPE                                               UInt32
#define PADCTRLREG_PC2_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_PC2_PINSEL_PC2_SHIFT                                8
#define    PADCTRLREG_PC2_PINSEL_PC2_MASK                                 0x00000700
#define    PADCTRLREG_PC2_HYS_EN_PC2_SHIFT                                7
#define    PADCTRLREG_PC2_HYS_EN_PC2_MASK                                 0x00000080
#define    PADCTRLREG_PC2_PDN_PC2_SHIFT                                   6
#define    PADCTRLREG_PC2_PDN_PC2_MASK                                    0x00000040
#define    PADCTRLREG_PC2_PUP_PC2_SHIFT                                   5
#define    PADCTRLREG_PC2_PUP_PC2_MASK                                    0x00000020
#define    PADCTRLREG_PC2_SRC_PC2_SHIFT                                   4
#define    PADCTRLREG_PC2_SRC_PC2_MASK                                    0x00000010
#define    PADCTRLREG_PC2_IND_PC2_SHIFT                                   3
#define    PADCTRLREG_PC2_IND_PC2_MASK                                    0x00000008
#define    PADCTRLREG_PC2_SEL_2_PC2_SHIFT                                 2
#define    PADCTRLREG_PC2_SEL_2_PC2_MASK                                  0x00000004
#define    PADCTRLREG_PC2_SEL_1_PC2_SHIFT                                 1
#define    PADCTRLREG_PC2_SEL_1_PC2_MASK                                  0x00000002
#define    PADCTRLREG_PC2_SEL_0_PC2_SHIFT                                 0
#define    PADCTRLREG_PC2_SEL_0_PC2_MASK                                  0x00000001

#define PADCTRLREG_PMBSCCLK_OFFSET                                        0x0000016C
#define PADCTRLREG_PMBSCCLK_TYPE                                          UInt32
#define PADCTRLREG_PMBSCCLK_RESERVED_MASK                                 0xFFFFF8C7
#define    PADCTRLREG_PMBSCCLK_PINSEL_PMBSCCLK_SHIFT                      8
#define    PADCTRLREG_PMBSCCLK_PINSEL_PMBSCCLK_MASK                       0x00000700
#define    PADCTRLREG_PMBSCCLK_PUP_PMBSCCLK_SHIFT                         5
#define    PADCTRLREG_PMBSCCLK_PUP_PMBSCCLK_MASK                          0x00000020
#define    PADCTRLREG_PMBSCCLK_SRC_PMBSCCLK_SHIFT                         4
#define    PADCTRLREG_PMBSCCLK_SRC_PMBSCCLK_MASK                          0x00000010
#define    PADCTRLREG_PMBSCCLK_IND_PMBSCCLK_SHIFT                         3
#define    PADCTRLREG_PMBSCCLK_IND_PMBSCCLK_MASK                          0x00000008

#define PADCTRLREG_PMBSCDAT_OFFSET                                        0x00000170
#define PADCTRLREG_PMBSCDAT_TYPE                                          UInt32
#define PADCTRLREG_PMBSCDAT_RESERVED_MASK                                 0xFFFFF8C7
#define    PADCTRLREG_PMBSCDAT_PINSEL_PMBSCDAT_SHIFT                      8
#define    PADCTRLREG_PMBSCDAT_PINSEL_PMBSCDAT_MASK                       0x00000700
#define    PADCTRLREG_PMBSCDAT_PUP_PMBSCDAT_SHIFT                         5
#define    PADCTRLREG_PMBSCDAT_PUP_PMBSCDAT_MASK                          0x00000020
#define    PADCTRLREG_PMBSCDAT_SRC_PMBSCDAT_SHIFT                         4
#define    PADCTRLREG_PMBSCDAT_SRC_PMBSCDAT_MASK                          0x00000010
#define    PADCTRLREG_PMBSCDAT_IND_PMBSCDAT_SHIFT                         3
#define    PADCTRLREG_PMBSCDAT_IND_PMBSCDAT_MASK                          0x00000008

#define PADCTRLREG_PMUINT_OFFSET                                          0x00000174
#define PADCTRLREG_PMUINT_TYPE                                            UInt32
#define PADCTRLREG_PMUINT_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_PMUINT_PINSEL_PMUINT_SHIFT                          8
#define    PADCTRLREG_PMUINT_PINSEL_PMUINT_MASK                           0x00000700
#define    PADCTRLREG_PMUINT_HYS_EN_PMUINT_SHIFT                          7
#define    PADCTRLREG_PMUINT_HYS_EN_PMUINT_MASK                           0x00000080
#define    PADCTRLREG_PMUINT_PDN_PMUINT_SHIFT                             6
#define    PADCTRLREG_PMUINT_PDN_PMUINT_MASK                              0x00000040
#define    PADCTRLREG_PMUINT_PUP_PMUINT_SHIFT                             5
#define    PADCTRLREG_PMUINT_PUP_PMUINT_MASK                              0x00000020
#define    PADCTRLREG_PMUINT_SRC_PMUINT_SHIFT                             4
#define    PADCTRLREG_PMUINT_SRC_PMUINT_MASK                              0x00000010
#define    PADCTRLREG_PMUINT_IND_PMUINT_SHIFT                             3
#define    PADCTRLREG_PMUINT_IND_PMUINT_MASK                              0x00000008
#define    PADCTRLREG_PMUINT_SEL_2_PMUINT_SHIFT                           2
#define    PADCTRLREG_PMUINT_SEL_2_PMUINT_MASK                            0x00000004
#define    PADCTRLREG_PMUINT_SEL_1_PMUINT_SHIFT                           1
#define    PADCTRLREG_PMUINT_SEL_1_PMUINT_MASK                            0x00000002
#define    PADCTRLREG_PMUINT_SEL_0_PMUINT_SHIFT                           0
#define    PADCTRLREG_PMUINT_SEL_0_PMUINT_MASK                            0x00000001

#define PADCTRLREG_RESETN_OFFSET                                          0x00000178
#define PADCTRLREG_RESETN_TYPE                                            UInt32
#define PADCTRLREG_RESETN_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_RESETN_PINSEL_RESETN_SHIFT                          8
#define    PADCTRLREG_RESETN_PINSEL_RESETN_MASK                           0x00000700
#define    PADCTRLREG_RESETN_HYS_EN_RESETN_SHIFT                          7
#define    PADCTRLREG_RESETN_HYS_EN_RESETN_MASK                           0x00000080
#define    PADCTRLREG_RESETN_PDN_RESETN_SHIFT                             6
#define    PADCTRLREG_RESETN_PDN_RESETN_MASK                              0x00000040
#define    PADCTRLREG_RESETN_PUP_RESETN_SHIFT                             5
#define    PADCTRLREG_RESETN_PUP_RESETN_MASK                              0x00000020
#define    PADCTRLREG_RESETN_SRC_RESETN_SHIFT                             4
#define    PADCTRLREG_RESETN_SRC_RESETN_MASK                              0x00000010
#define    PADCTRLREG_RESETN_IND_RESETN_SHIFT                             3
#define    PADCTRLREG_RESETN_IND_RESETN_MASK                              0x00000008
#define    PADCTRLREG_RESETN_SEL_2_RESETN_SHIFT                           2
#define    PADCTRLREG_RESETN_SEL_2_RESETN_MASK                            0x00000004
#define    PADCTRLREG_RESETN_SEL_1_RESETN_SHIFT                           1
#define    PADCTRLREG_RESETN_SEL_1_RESETN_MASK                            0x00000002
#define    PADCTRLREG_RESETN_SEL_0_RESETN_SHIFT                           0
#define    PADCTRLREG_RESETN_SEL_0_RESETN_MASK                            0x00000001

#define PADCTRLREG_RFST2G_MTSLOTEN3G_OFFSET                               0x0000017C
#define PADCTRLREG_RFST2G_MTSLOTEN3G_TYPE                                 UInt32
#define PADCTRLREG_RFST2G_MTSLOTEN3G_RESERVED_MASK                        0xFFFFF800
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PINSEL_RFST2G_MTSLOTEN3G_SHIFT    8
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PINSEL_RFST2G_MTSLOTEN3G_MASK     0x00000700
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_HYS_EN_RFST2G_MTSLOTEN3G_SHIFT    7
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_HYS_EN_RFST2G_MTSLOTEN3G_MASK     0x00000080
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PDN_RFST2G_MTSLOTEN3G_SHIFT       6
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PDN_RFST2G_MTSLOTEN3G_MASK        0x00000040
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PUP_RFST2G_MTSLOTEN3G_SHIFT       5
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_PUP_RFST2G_MTSLOTEN3G_MASK        0x00000020
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SRC_RFST2G_MTSLOTEN3G_SHIFT       4
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SRC_RFST2G_MTSLOTEN3G_MASK        0x00000010
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_IND_RFST2G_MTSLOTEN3G_SHIFT       3
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_IND_RFST2G_MTSLOTEN3G_MASK        0x00000008
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_2_RFST2G_MTSLOTEN3G_SHIFT     2
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_2_RFST2G_MTSLOTEN3G_MASK      0x00000004
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_1_RFST2G_MTSLOTEN3G_SHIFT     1
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_1_RFST2G_MTSLOTEN3G_MASK      0x00000002
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_0_RFST2G_MTSLOTEN3G_SHIFT     0
#define    PADCTRLREG_RFST2G_MTSLOTEN3G_SEL_0_RFST2G_MTSLOTEN3G_MASK      0x00000001

#define PADCTRLREG_RTXDATA2G_TXDATA3G1_OFFSET                             0x00000180
#define PADCTRLREG_RTXDATA2G_TXDATA3G1_TYPE                               UInt32
#define PADCTRLREG_RTXDATA2G_TXDATA3G1_RESERVED_MASK                      0xFFFFF800
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PINSEL_RTXDATA2G_TXDATA3G1_SHIFT 8
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PINSEL_RTXDATA2G_TXDATA3G1_MASK 0x00000700
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_HYS_EN_RTXDATA2G_TXDATA3G1_SHIFT 7
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_HYS_EN_RTXDATA2G_TXDATA3G1_MASK 0x00000080
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PDN_RTXDATA2G_TXDATA3G1_SHIFT   6
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PDN_RTXDATA2G_TXDATA3G1_MASK    0x00000040
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PUP_RTXDATA2G_TXDATA3G1_SHIFT   5
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_PUP_RTXDATA2G_TXDATA3G1_MASK    0x00000020
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SRC_RTXDATA2G_TXDATA3G1_SHIFT   4
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SRC_RTXDATA2G_TXDATA3G1_MASK    0x00000010
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_IND_RTXDATA2G_TXDATA3G1_SHIFT   3
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_IND_RTXDATA2G_TXDATA3G1_MASK    0x00000008
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_2_RTXDATA2G_TXDATA3G1_SHIFT 2
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_2_RTXDATA2G_TXDATA3G1_MASK  0x00000004
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_1_RTXDATA2G_TXDATA3G1_SHIFT 1
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_1_RTXDATA2G_TXDATA3G1_MASK  0x00000002
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_0_RTXDATA2G_TXDATA3G1_SHIFT 0
#define    PADCTRLREG_RTXDATA2G_TXDATA3G1_SEL_0_RTXDATA2G_TXDATA3G1_MASK  0x00000001

#define PADCTRLREG_RTXEN2G_TXDATA3G2_OFFSET                               0x00000184
#define PADCTRLREG_RTXEN2G_TXDATA3G2_TYPE                                 UInt32
#define PADCTRLREG_RTXEN2G_TXDATA3G2_RESERVED_MASK                        0xFFFFF800
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PINSEL_RTXEN2G_TXDATA3G2_SHIFT    8
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PINSEL_RTXEN2G_TXDATA3G2_MASK     0x00000700
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_HYS_EN_RTXEN2G_TXDATA3G2_SHIFT    7
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_HYS_EN_RTXEN2G_TXDATA3G2_MASK     0x00000080
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PDN_RTXEN2G_TXDATA3G2_SHIFT       6
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PDN_RTXEN2G_TXDATA3G2_MASK        0x00000040
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PUP_RTXEN2G_TXDATA3G2_SHIFT       5
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_PUP_RTXEN2G_TXDATA3G2_MASK        0x00000020
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SRC_RTXEN2G_TXDATA3G2_SHIFT       4
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SRC_RTXEN2G_TXDATA3G2_MASK        0x00000010
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_IND_RTXEN2G_TXDATA3G2_SHIFT       3
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_IND_RTXEN2G_TXDATA3G2_MASK        0x00000008
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_2_RTXEN2G_TXDATA3G2_SHIFT     2
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_2_RTXEN2G_TXDATA3G2_MASK      0x00000004
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_1_RTXEN2G_TXDATA3G2_SHIFT     1
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_1_RTXEN2G_TXDATA3G2_MASK      0x00000002
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_0_RTXEN2G_TXDATA3G2_SHIFT     0
#define    PADCTRLREG_RTXEN2G_TXDATA3G2_SEL_0_RTXEN2G_TXDATA3G2_MASK      0x00000001

#define PADCTRLREG_RXDATA3G0_OFFSET                                       0x00000188
#define PADCTRLREG_RXDATA3G0_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G0_PINSEL_RXDATA3G0_SHIFT                    8
#define    PADCTRLREG_RXDATA3G0_PINSEL_RXDATA3G0_MASK                     0x00000700
#define    PADCTRLREG_RXDATA3G0_HYS_EN_RXDATA3G0_SHIFT                    7
#define    PADCTRLREG_RXDATA3G0_HYS_EN_RXDATA3G0_MASK                     0x00000080
#define    PADCTRLREG_RXDATA3G0_PDN_RXDATA3G0_SHIFT                       6
#define    PADCTRLREG_RXDATA3G0_PDN_RXDATA3G0_MASK                        0x00000040
#define    PADCTRLREG_RXDATA3G0_PUP_RXDATA3G0_SHIFT                       5
#define    PADCTRLREG_RXDATA3G0_PUP_RXDATA3G0_MASK                        0x00000020
#define    PADCTRLREG_RXDATA3G0_SRC_RXDATA3G0_SHIFT                       4
#define    PADCTRLREG_RXDATA3G0_SRC_RXDATA3G0_MASK                        0x00000010
#define    PADCTRLREG_RXDATA3G0_IND_RXDATA3G0_SHIFT                       3
#define    PADCTRLREG_RXDATA3G0_IND_RXDATA3G0_MASK                        0x00000008
#define    PADCTRLREG_RXDATA3G0_SEL_2_RXDATA3G0_SHIFT                     2
#define    PADCTRLREG_RXDATA3G0_SEL_2_RXDATA3G0_MASK                      0x00000004
#define    PADCTRLREG_RXDATA3G0_SEL_1_RXDATA3G0_SHIFT                     1
#define    PADCTRLREG_RXDATA3G0_SEL_1_RXDATA3G0_MASK                      0x00000002
#define    PADCTRLREG_RXDATA3G0_SEL_0_RXDATA3G0_SHIFT                     0
#define    PADCTRLREG_RXDATA3G0_SEL_0_RXDATA3G0_MASK                      0x00000001

#define PADCTRLREG_RXDATA3G1_OFFSET                                       0x0000018C
#define PADCTRLREG_RXDATA3G1_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G1_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G1_PINSEL_RXDATA3G1_SHIFT                    8
#define    PADCTRLREG_RXDATA3G1_PINSEL_RXDATA3G1_MASK                     0x00000700
#define    PADCTRLREG_RXDATA3G1_HYS_EN_RXDATA3G1_SHIFT                    7
#define    PADCTRLREG_RXDATA3G1_HYS_EN_RXDATA3G1_MASK                     0x00000080
#define    PADCTRLREG_RXDATA3G1_PDN_RXDATA3G1_SHIFT                       6
#define    PADCTRLREG_RXDATA3G1_PDN_RXDATA3G1_MASK                        0x00000040
#define    PADCTRLREG_RXDATA3G1_PUP_RXDATA3G1_SHIFT                       5
#define    PADCTRLREG_RXDATA3G1_PUP_RXDATA3G1_MASK                        0x00000020
#define    PADCTRLREG_RXDATA3G1_SRC_RXDATA3G1_SHIFT                       4
#define    PADCTRLREG_RXDATA3G1_SRC_RXDATA3G1_MASK                        0x00000010
#define    PADCTRLREG_RXDATA3G1_IND_RXDATA3G1_SHIFT                       3
#define    PADCTRLREG_RXDATA3G1_IND_RXDATA3G1_MASK                        0x00000008
#define    PADCTRLREG_RXDATA3G1_SEL_2_RXDATA3G1_SHIFT                     2
#define    PADCTRLREG_RXDATA3G1_SEL_2_RXDATA3G1_MASK                      0x00000004
#define    PADCTRLREG_RXDATA3G1_SEL_1_RXDATA3G1_SHIFT                     1
#define    PADCTRLREG_RXDATA3G1_SEL_1_RXDATA3G1_MASK                      0x00000002
#define    PADCTRLREG_RXDATA3G1_SEL_0_RXDATA3G1_SHIFT                     0
#define    PADCTRLREG_RXDATA3G1_SEL_0_RXDATA3G1_MASK                      0x00000001

#define PADCTRLREG_RXDATA3G2_OFFSET                                       0x00000190
#define PADCTRLREG_RXDATA3G2_TYPE                                         UInt32
#define PADCTRLREG_RXDATA3G2_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_RXDATA3G2_PINSEL_RXDATA3G2_SHIFT                    8
#define    PADCTRLREG_RXDATA3G2_PINSEL_RXDATA3G2_MASK                     0x00000700
#define    PADCTRLREG_RXDATA3G2_HYS_EN_RXDATA3G2_SHIFT                    7
#define    PADCTRLREG_RXDATA3G2_HYS_EN_RXDATA3G2_MASK                     0x00000080
#define    PADCTRLREG_RXDATA3G2_PDN_RXDATA3G2_SHIFT                       6
#define    PADCTRLREG_RXDATA3G2_PDN_RXDATA3G2_MASK                        0x00000040
#define    PADCTRLREG_RXDATA3G2_PUP_RXDATA3G2_SHIFT                       5
#define    PADCTRLREG_RXDATA3G2_PUP_RXDATA3G2_MASK                        0x00000020
#define    PADCTRLREG_RXDATA3G2_SRC_RXDATA3G2_SHIFT                       4
#define    PADCTRLREG_RXDATA3G2_SRC_RXDATA3G2_MASK                        0x00000010
#define    PADCTRLREG_RXDATA3G2_IND_RXDATA3G2_SHIFT                       3
#define    PADCTRLREG_RXDATA3G2_IND_RXDATA3G2_MASK                        0x00000008
#define    PADCTRLREG_RXDATA3G2_SEL_2_RXDATA3G2_SHIFT                     2
#define    PADCTRLREG_RXDATA3G2_SEL_2_RXDATA3G2_MASK                      0x00000004
#define    PADCTRLREG_RXDATA3G2_SEL_1_RXDATA3G2_SHIFT                     1
#define    PADCTRLREG_RXDATA3G2_SEL_1_RXDATA3G2_MASK                      0x00000002
#define    PADCTRLREG_RXDATA3G2_SEL_0_RXDATA3G2_SHIFT                     0
#define    PADCTRLREG_RXDATA3G2_SEL_0_RXDATA3G2_MASK                      0x00000001

#define PADCTRLREG_SDCK_OFFSET                                            0x00000194
#define PADCTRLREG_SDCK_TYPE                                              UInt32
#define PADCTRLREG_SDCK_RESERVED_MASK                                     0xFFFFF800
#define    PADCTRLREG_SDCK_PINSEL_SDCK_SHIFT                              8
#define    PADCTRLREG_SDCK_PINSEL_SDCK_MASK                               0x00000700
#define    PADCTRLREG_SDCK_HYS_EN_SDCK_SHIFT                              7
#define    PADCTRLREG_SDCK_HYS_EN_SDCK_MASK                               0x00000080
#define    PADCTRLREG_SDCK_PDN_SDCK_SHIFT                                 6
#define    PADCTRLREG_SDCK_PDN_SDCK_MASK                                  0x00000040
#define    PADCTRLREG_SDCK_PUP_SDCK_SHIFT                                 5
#define    PADCTRLREG_SDCK_PUP_SDCK_MASK                                  0x00000020
#define    PADCTRLREG_SDCK_SRC_SDCK_SHIFT                                 4
#define    PADCTRLREG_SDCK_SRC_SDCK_MASK                                  0x00000010
#define    PADCTRLREG_SDCK_IND_SDCK_SHIFT                                 3
#define    PADCTRLREG_SDCK_IND_SDCK_MASK                                  0x00000008
#define    PADCTRLREG_SDCK_SEL_2_SDCK_SHIFT                               2
#define    PADCTRLREG_SDCK_SEL_2_SDCK_MASK                                0x00000004
#define    PADCTRLREG_SDCK_SEL_1_SDCK_SHIFT                               1
#define    PADCTRLREG_SDCK_SEL_1_SDCK_MASK                                0x00000002
#define    PADCTRLREG_SDCK_SEL_0_SDCK_SHIFT                               0
#define    PADCTRLREG_SDCK_SEL_0_SDCK_MASK                                0x00000001

#define PADCTRLREG_SDCMD_OFFSET                                           0x00000198
#define PADCTRLREG_SDCMD_TYPE                                             UInt32
#define PADCTRLREG_SDCMD_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SDCMD_PINSEL_SDCMD_SHIFT                            8
#define    PADCTRLREG_SDCMD_PINSEL_SDCMD_MASK                             0x00000700
#define    PADCTRLREG_SDCMD_HYS_EN_SDCMD_SHIFT                            7
#define    PADCTRLREG_SDCMD_HYS_EN_SDCMD_MASK                             0x00000080
#define    PADCTRLREG_SDCMD_PDN_SDCMD_SHIFT                               6
#define    PADCTRLREG_SDCMD_PDN_SDCMD_MASK                                0x00000040
#define    PADCTRLREG_SDCMD_PUP_SDCMD_SHIFT                               5
#define    PADCTRLREG_SDCMD_PUP_SDCMD_MASK                                0x00000020
#define    PADCTRLREG_SDCMD_SRC_SDCMD_SHIFT                               4
#define    PADCTRLREG_SDCMD_SRC_SDCMD_MASK                                0x00000010
#define    PADCTRLREG_SDCMD_IND_SDCMD_SHIFT                               3
#define    PADCTRLREG_SDCMD_IND_SDCMD_MASK                                0x00000008
#define    PADCTRLREG_SDCMD_SEL_2_SDCMD_SHIFT                             2
#define    PADCTRLREG_SDCMD_SEL_2_SDCMD_MASK                              0x00000004
#define    PADCTRLREG_SDCMD_SEL_1_SDCMD_SHIFT                             1
#define    PADCTRLREG_SDCMD_SEL_1_SDCMD_MASK                              0x00000002
#define    PADCTRLREG_SDCMD_SEL_0_SDCMD_SHIFT                             0
#define    PADCTRLREG_SDCMD_SEL_0_SDCMD_MASK                              0x00000001

#define PADCTRLREG_SDDAT0_OFFSET                                          0x0000019C
#define PADCTRLREG_SDDAT0_TYPE                                            UInt32
#define PADCTRLREG_SDDAT0_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SDDAT0_PINSEL_SDDAT0_SHIFT                          8
#define    PADCTRLREG_SDDAT0_PINSEL_SDDAT0_MASK                           0x00000700
#define    PADCTRLREG_SDDAT0_HYS_EN_SDDAT0_SHIFT                          7
#define    PADCTRLREG_SDDAT0_HYS_EN_SDDAT0_MASK                           0x00000080
#define    PADCTRLREG_SDDAT0_PDN_SDDAT0_SHIFT                             6
#define    PADCTRLREG_SDDAT0_PDN_SDDAT0_MASK                              0x00000040
#define    PADCTRLREG_SDDAT0_PUP_SDDAT0_SHIFT                             5
#define    PADCTRLREG_SDDAT0_PUP_SDDAT0_MASK                              0x00000020
#define    PADCTRLREG_SDDAT0_SRC_SDDAT0_SHIFT                             4
#define    PADCTRLREG_SDDAT0_SRC_SDDAT0_MASK                              0x00000010
#define    PADCTRLREG_SDDAT0_IND_SDDAT0_SHIFT                             3
#define    PADCTRLREG_SDDAT0_IND_SDDAT0_MASK                              0x00000008
#define    PADCTRLREG_SDDAT0_SEL_2_SDDAT0_SHIFT                           2
#define    PADCTRLREG_SDDAT0_SEL_2_SDDAT0_MASK                            0x00000004
#define    PADCTRLREG_SDDAT0_SEL_1_SDDAT0_SHIFT                           1
#define    PADCTRLREG_SDDAT0_SEL_1_SDDAT0_MASK                            0x00000002
#define    PADCTRLREG_SDDAT0_SEL_0_SDDAT0_SHIFT                           0
#define    PADCTRLREG_SDDAT0_SEL_0_SDDAT0_MASK                            0x00000001

#define PADCTRLREG_SDDAT1_OFFSET                                          0x000001A0
#define PADCTRLREG_SDDAT1_TYPE                                            UInt32
#define PADCTRLREG_SDDAT1_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SDDAT1_PINSEL_SDDAT1_SHIFT                          8
#define    PADCTRLREG_SDDAT1_PINSEL_SDDAT1_MASK                           0x00000700
#define    PADCTRLREG_SDDAT1_HYS_EN_SDDAT1_SHIFT                          7
#define    PADCTRLREG_SDDAT1_HYS_EN_SDDAT1_MASK                           0x00000080
#define    PADCTRLREG_SDDAT1_PDN_SDDAT1_SHIFT                             6
#define    PADCTRLREG_SDDAT1_PDN_SDDAT1_MASK                              0x00000040
#define    PADCTRLREG_SDDAT1_PUP_SDDAT1_SHIFT                             5
#define    PADCTRLREG_SDDAT1_PUP_SDDAT1_MASK                              0x00000020
#define    PADCTRLREG_SDDAT1_SRC_SDDAT1_SHIFT                             4
#define    PADCTRLREG_SDDAT1_SRC_SDDAT1_MASK                              0x00000010
#define    PADCTRLREG_SDDAT1_IND_SDDAT1_SHIFT                             3
#define    PADCTRLREG_SDDAT1_IND_SDDAT1_MASK                              0x00000008
#define    PADCTRLREG_SDDAT1_SEL_2_SDDAT1_SHIFT                           2
#define    PADCTRLREG_SDDAT1_SEL_2_SDDAT1_MASK                            0x00000004
#define    PADCTRLREG_SDDAT1_SEL_1_SDDAT1_SHIFT                           1
#define    PADCTRLREG_SDDAT1_SEL_1_SDDAT1_MASK                            0x00000002
#define    PADCTRLREG_SDDAT1_SEL_0_SDDAT1_SHIFT                           0
#define    PADCTRLREG_SDDAT1_SEL_0_SDDAT1_MASK                            0x00000001

#define PADCTRLREG_SDDAT2_OFFSET                                          0x000001A4
#define PADCTRLREG_SDDAT2_TYPE                                            UInt32
#define PADCTRLREG_SDDAT2_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SDDAT2_PINSEL_SDDAT2_SHIFT                          8
#define    PADCTRLREG_SDDAT2_PINSEL_SDDAT2_MASK                           0x00000700
#define    PADCTRLREG_SDDAT2_HYS_EN_SDDAT2_SHIFT                          7
#define    PADCTRLREG_SDDAT2_HYS_EN_SDDAT2_MASK                           0x00000080
#define    PADCTRLREG_SDDAT2_PDN_SDDAT2_SHIFT                             6
#define    PADCTRLREG_SDDAT2_PDN_SDDAT2_MASK                              0x00000040
#define    PADCTRLREG_SDDAT2_PUP_SDDAT2_SHIFT                             5
#define    PADCTRLREG_SDDAT2_PUP_SDDAT2_MASK                              0x00000020
#define    PADCTRLREG_SDDAT2_SRC_SDDAT2_SHIFT                             4
#define    PADCTRLREG_SDDAT2_SRC_SDDAT2_MASK                              0x00000010
#define    PADCTRLREG_SDDAT2_IND_SDDAT2_SHIFT                             3
#define    PADCTRLREG_SDDAT2_IND_SDDAT2_MASK                              0x00000008
#define    PADCTRLREG_SDDAT2_SEL_2_SDDAT2_SHIFT                           2
#define    PADCTRLREG_SDDAT2_SEL_2_SDDAT2_MASK                            0x00000004
#define    PADCTRLREG_SDDAT2_SEL_1_SDDAT2_SHIFT                           1
#define    PADCTRLREG_SDDAT2_SEL_1_SDDAT2_MASK                            0x00000002
#define    PADCTRLREG_SDDAT2_SEL_0_SDDAT2_SHIFT                           0
#define    PADCTRLREG_SDDAT2_SEL_0_SDDAT2_MASK                            0x00000001

#define PADCTRLREG_SDDAT3_OFFSET                                          0x000001A8
#define PADCTRLREG_SDDAT3_TYPE                                            UInt32
#define PADCTRLREG_SDDAT3_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SDDAT3_PINSEL_SDDAT3_SHIFT                          8
#define    PADCTRLREG_SDDAT3_PINSEL_SDDAT3_MASK                           0x00000700
#define    PADCTRLREG_SDDAT3_HYS_EN_SDDAT3_SHIFT                          7
#define    PADCTRLREG_SDDAT3_HYS_EN_SDDAT3_MASK                           0x00000080
#define    PADCTRLREG_SDDAT3_PDN_SDDAT3_SHIFT                             6
#define    PADCTRLREG_SDDAT3_PDN_SDDAT3_MASK                              0x00000040
#define    PADCTRLREG_SDDAT3_PUP_SDDAT3_SHIFT                             5
#define    PADCTRLREG_SDDAT3_PUP_SDDAT3_MASK                              0x00000020
#define    PADCTRLREG_SDDAT3_SRC_SDDAT3_SHIFT                             4
#define    PADCTRLREG_SDDAT3_SRC_SDDAT3_MASK                              0x00000010
#define    PADCTRLREG_SDDAT3_IND_SDDAT3_SHIFT                             3
#define    PADCTRLREG_SDDAT3_IND_SDDAT3_MASK                              0x00000008
#define    PADCTRLREG_SDDAT3_SEL_2_SDDAT3_SHIFT                           2
#define    PADCTRLREG_SDDAT3_SEL_2_SDDAT3_MASK                            0x00000004
#define    PADCTRLREG_SDDAT3_SEL_1_SDDAT3_SHIFT                           1
#define    PADCTRLREG_SDDAT3_SEL_1_SDDAT3_MASK                            0x00000002
#define    PADCTRLREG_SDDAT3_SEL_0_SDDAT3_SHIFT                           0
#define    PADCTRLREG_SDDAT3_SEL_0_SDDAT3_MASK                            0x00000001

#define PADCTRLREG_SIMCLK_OFFSET                                          0x000001AC
#define PADCTRLREG_SIMCLK_TYPE                                            UInt32
#define PADCTRLREG_SIMCLK_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SIMCLK_PINSEL_SIMCLK_SHIFT                          8
#define    PADCTRLREG_SIMCLK_PINSEL_SIMCLK_MASK                           0x00000700
#define    PADCTRLREG_SIMCLK_HYS_EN_SIMCLK_SHIFT                          7
#define    PADCTRLREG_SIMCLK_HYS_EN_SIMCLK_MASK                           0x00000080
#define    PADCTRLREG_SIMCLK_PDN_SIMCLK_SHIFT                             6
#define    PADCTRLREG_SIMCLK_PDN_SIMCLK_MASK                              0x00000040
#define    PADCTRLREG_SIMCLK_PUP_SIMCLK_SHIFT                             5
#define    PADCTRLREG_SIMCLK_PUP_SIMCLK_MASK                              0x00000020
#define    PADCTRLREG_SIMCLK_SRC_SIMCLK_SHIFT                             4
#define    PADCTRLREG_SIMCLK_SRC_SIMCLK_MASK                              0x00000010
#define    PADCTRLREG_SIMCLK_IND_SIMCLK_SHIFT                             3
#define    PADCTRLREG_SIMCLK_IND_SIMCLK_MASK                              0x00000008
#define    PADCTRLREG_SIMCLK_SEL_2_SIMCLK_SHIFT                           2
#define    PADCTRLREG_SIMCLK_SEL_2_SIMCLK_MASK                            0x00000004
#define    PADCTRLREG_SIMCLK_SEL_1_SIMCLK_SHIFT                           1
#define    PADCTRLREG_SIMCLK_SEL_1_SIMCLK_MASK                            0x00000002
#define    PADCTRLREG_SIMCLK_SEL_0_SIMCLK_SHIFT                           0
#define    PADCTRLREG_SIMCLK_SEL_0_SIMCLK_MASK                            0x00000001

#define PADCTRLREG_SIMDAT_OFFSET                                          0x000001B0
#define PADCTRLREG_SIMDAT_TYPE                                            UInt32
#define PADCTRLREG_SIMDAT_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SIMDAT_PINSEL_SIMDAT_SHIFT                          8
#define    PADCTRLREG_SIMDAT_PINSEL_SIMDAT_MASK                           0x00000700
#define    PADCTRLREG_SIMDAT_HYS_EN_SIMDAT_SHIFT                          7
#define    PADCTRLREG_SIMDAT_HYS_EN_SIMDAT_MASK                           0x00000080
#define    PADCTRLREG_SIMDAT_PDN_SIMDAT_SHIFT                             6
#define    PADCTRLREG_SIMDAT_PDN_SIMDAT_MASK                              0x00000040
#define    PADCTRLREG_SIMDAT_PUP_SIMDAT_SHIFT                             5
#define    PADCTRLREG_SIMDAT_PUP_SIMDAT_MASK                              0x00000020
#define    PADCTRLREG_SIMDAT_SRC_SIMDAT_SHIFT                             4
#define    PADCTRLREG_SIMDAT_SRC_SIMDAT_MASK                              0x00000010
#define    PADCTRLREG_SIMDAT_IND_SIMDAT_SHIFT                             3
#define    PADCTRLREG_SIMDAT_IND_SIMDAT_MASK                              0x00000008
#define    PADCTRLREG_SIMDAT_SEL_2_SIMDAT_SHIFT                           2
#define    PADCTRLREG_SIMDAT_SEL_2_SIMDAT_MASK                            0x00000004
#define    PADCTRLREG_SIMDAT_SEL_1_SIMDAT_SHIFT                           1
#define    PADCTRLREG_SIMDAT_SEL_1_SIMDAT_MASK                            0x00000002
#define    PADCTRLREG_SIMDAT_SEL_0_SIMDAT_SHIFT                           0
#define    PADCTRLREG_SIMDAT_SEL_0_SIMDAT_MASK                            0x00000001

#define PADCTRLREG_SIMDET_OFFSET                                          0x000001B4
#define PADCTRLREG_SIMDET_TYPE                                            UInt32
#define PADCTRLREG_SIMDET_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SIMDET_PINSEL_SIMDET_SHIFT                          8
#define    PADCTRLREG_SIMDET_PINSEL_SIMDET_MASK                           0x00000700
#define    PADCTRLREG_SIMDET_HYS_EN_SIMDET_SHIFT                          7
#define    PADCTRLREG_SIMDET_HYS_EN_SIMDET_MASK                           0x00000080
#define    PADCTRLREG_SIMDET_PDN_SIMDET_SHIFT                             6
#define    PADCTRLREG_SIMDET_PDN_SIMDET_MASK                              0x00000040
#define    PADCTRLREG_SIMDET_PUP_SIMDET_SHIFT                             5
#define    PADCTRLREG_SIMDET_PUP_SIMDET_MASK                              0x00000020
#define    PADCTRLREG_SIMDET_SRC_SIMDET_SHIFT                             4
#define    PADCTRLREG_SIMDET_SRC_SIMDET_MASK                              0x00000010
#define    PADCTRLREG_SIMDET_IND_SIMDET_SHIFT                             3
#define    PADCTRLREG_SIMDET_IND_SIMDET_MASK                              0x00000008
#define    PADCTRLREG_SIMDET_SEL_2_SIMDET_SHIFT                           2
#define    PADCTRLREG_SIMDET_SEL_2_SIMDET_MASK                            0x00000004
#define    PADCTRLREG_SIMDET_SEL_1_SIMDET_SHIFT                           1
#define    PADCTRLREG_SIMDET_SEL_1_SIMDET_MASK                            0x00000002
#define    PADCTRLREG_SIMDET_SEL_0_SIMDET_SHIFT                           0
#define    PADCTRLREG_SIMDET_SEL_0_SIMDET_MASK                            0x00000001

#define PADCTRLREG_SIMRST_OFFSET                                          0x000001B8
#define PADCTRLREG_SIMRST_TYPE                                            UInt32
#define PADCTRLREG_SIMRST_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SIMRST_PINSEL_SIMRST_SHIFT                          8
#define    PADCTRLREG_SIMRST_PINSEL_SIMRST_MASK                           0x00000700
#define    PADCTRLREG_SIMRST_HYS_EN_SIMRST_SHIFT                          7
#define    PADCTRLREG_SIMRST_HYS_EN_SIMRST_MASK                           0x00000080
#define    PADCTRLREG_SIMRST_PDN_SIMRST_SHIFT                             6
#define    PADCTRLREG_SIMRST_PDN_SIMRST_MASK                              0x00000040
#define    PADCTRLREG_SIMRST_PUP_SIMRST_SHIFT                             5
#define    PADCTRLREG_SIMRST_PUP_SIMRST_MASK                              0x00000020
#define    PADCTRLREG_SIMRST_SRC_SIMRST_SHIFT                             4
#define    PADCTRLREG_SIMRST_SRC_SIMRST_MASK                              0x00000010
#define    PADCTRLREG_SIMRST_IND_SIMRST_SHIFT                             3
#define    PADCTRLREG_SIMRST_IND_SIMRST_MASK                              0x00000008
#define    PADCTRLREG_SIMRST_SEL_2_SIMRST_SHIFT                           2
#define    PADCTRLREG_SIMRST_SEL_2_SIMRST_MASK                            0x00000004
#define    PADCTRLREG_SIMRST_SEL_1_SIMRST_SHIFT                           1
#define    PADCTRLREG_SIMRST_SEL_1_SIMRST_MASK                            0x00000002
#define    PADCTRLREG_SIMRST_SEL_0_SIMRST_SHIFT                           0
#define    PADCTRLREG_SIMRST_SEL_0_SIMRST_MASK                            0x00000001

#define PADCTRLREG_GPIO93_OFFSET                                          0x000001BC
#define PADCTRLREG_GPIO93_TYPE                                            UInt32
#define PADCTRLREG_GPIO93_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO93_PINSEL_GPIO93_SHIFT                          8
#define    PADCTRLREG_GPIO93_PINSEL_GPIO93_MASK                           0x00000700
#define    PADCTRLREG_GPIO93_HYS_EN_GPIO93_SHIFT                          7
#define    PADCTRLREG_GPIO93_HYS_EN_GPIO93_MASK                           0x00000080
#define    PADCTRLREG_GPIO93_PDN_GPIO93_SHIFT                             6
#define    PADCTRLREG_GPIO93_PDN_GPIO93_MASK                              0x00000040
#define    PADCTRLREG_GPIO93_PUP_GPIO93_SHIFT                             5
#define    PADCTRLREG_GPIO93_PUP_GPIO93_MASK                              0x00000020
#define    PADCTRLREG_GPIO93_SRC_GPIO93_SHIFT                             4
#define    PADCTRLREG_GPIO93_SRC_GPIO93_MASK                              0x00000010
#define    PADCTRLREG_GPIO93_IND_GPIO93_SHIFT                             3
#define    PADCTRLREG_GPIO93_IND_GPIO93_MASK                              0x00000008
#define    PADCTRLREG_GPIO93_SEL_2_GPIO93_SHIFT                           2
#define    PADCTRLREG_GPIO93_SEL_2_GPIO93_MASK                            0x00000004
#define    PADCTRLREG_GPIO93_SEL_1_GPIO93_SHIFT                           1
#define    PADCTRLREG_GPIO93_SEL_1_GPIO93_MASK                            0x00000002
#define    PADCTRLREG_GPIO93_SEL_0_GPIO93_SHIFT                           0
#define    PADCTRLREG_GPIO93_SEL_0_GPIO93_MASK                            0x00000001

#define PADCTRLREG_GPIO94_OFFSET                                          0x000001C0
#define PADCTRLREG_GPIO94_TYPE                                            UInt32
#define PADCTRLREG_GPIO94_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO94_PINSEL_GPIO94_SHIFT                          8
#define    PADCTRLREG_GPIO94_PINSEL_GPIO94_MASK                           0x00000700
#define    PADCTRLREG_GPIO94_HYS_EN_GPIO94_SHIFT                          7
#define    PADCTRLREG_GPIO94_HYS_EN_GPIO94_MASK                           0x00000080
#define    PADCTRLREG_GPIO94_PDN_GPIO94_SHIFT                             6
#define    PADCTRLREG_GPIO94_PDN_GPIO94_MASK                              0x00000040
#define    PADCTRLREG_GPIO94_PUP_GPIO94_SHIFT                             5
#define    PADCTRLREG_GPIO94_PUP_GPIO94_MASK                              0x00000020
#define    PADCTRLREG_GPIO94_SRC_GPIO94_SHIFT                             4
#define    PADCTRLREG_GPIO94_SRC_GPIO94_MASK                              0x00000010
#define    PADCTRLREG_GPIO94_IND_GPIO94_SHIFT                             3
#define    PADCTRLREG_GPIO94_IND_GPIO94_MASK                              0x00000008
#define    PADCTRLREG_GPIO94_SEL_2_GPIO94_SHIFT                           2
#define    PADCTRLREG_GPIO94_SEL_2_GPIO94_MASK                            0x00000004
#define    PADCTRLREG_GPIO94_SEL_1_GPIO94_SHIFT                           1
#define    PADCTRLREG_GPIO94_SEL_1_GPIO94_MASK                            0x00000002
#define    PADCTRLREG_GPIO94_SEL_0_GPIO94_SHIFT                           0
#define    PADCTRLREG_GPIO94_SEL_0_GPIO94_MASK                            0x00000001

#define PADCTRLREG_SPI0CLK_OFFSET                                         0x000001C4
#define PADCTRLREG_SPI0CLK_TYPE                                           UInt32
#define PADCTRLREG_SPI0CLK_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI0CLK_PINSEL_SPI0CLK_SHIFT                        8
#define    PADCTRLREG_SPI0CLK_PINSEL_SPI0CLK_MASK                         0x00000700
#define    PADCTRLREG_SPI0CLK_HYS_EN_SPI0CLK_SHIFT                        7
#define    PADCTRLREG_SPI0CLK_HYS_EN_SPI0CLK_MASK                         0x00000080
#define    PADCTRLREG_SPI0CLK_PDN_SPI0CLK_SHIFT                           6
#define    PADCTRLREG_SPI0CLK_PDN_SPI0CLK_MASK                            0x00000040
#define    PADCTRLREG_SPI0CLK_PUP_SPI0CLK_SHIFT                           5
#define    PADCTRLREG_SPI0CLK_PUP_SPI0CLK_MASK                            0x00000020
#define    PADCTRLREG_SPI0CLK_SRC_SPI0CLK_SHIFT                           4
#define    PADCTRLREG_SPI0CLK_SRC_SPI0CLK_MASK                            0x00000010
#define    PADCTRLREG_SPI0CLK_IND_SPI0CLK_SHIFT                           3
#define    PADCTRLREG_SPI0CLK_IND_SPI0CLK_MASK                            0x00000008
#define    PADCTRLREG_SPI0CLK_SEL_2_SPI0CLK_SHIFT                         2
#define    PADCTRLREG_SPI0CLK_SEL_2_SPI0CLK_MASK                          0x00000004
#define    PADCTRLREG_SPI0CLK_SEL_1_SPI0CLK_SHIFT                         1
#define    PADCTRLREG_SPI0CLK_SEL_1_SPI0CLK_MASK                          0x00000002
#define    PADCTRLREG_SPI0CLK_SEL_0_SPI0CLK_SHIFT                         0
#define    PADCTRLREG_SPI0CLK_SEL_0_SPI0CLK_MASK                          0x00000001

#define PADCTRLREG_SPI0FSS_OFFSET                                         0x000001C8
#define PADCTRLREG_SPI0FSS_TYPE                                           UInt32
#define PADCTRLREG_SPI0FSS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI0FSS_PINSEL_SPI0FSS_SHIFT                        8
#define    PADCTRLREG_SPI0FSS_PINSEL_SPI0FSS_MASK                         0x00000700
#define    PADCTRLREG_SPI0FSS_HYS_EN_SPI0FSS_SHIFT                        7
#define    PADCTRLREG_SPI0FSS_HYS_EN_SPI0FSS_MASK                         0x00000080
#define    PADCTRLREG_SPI0FSS_PDN_SPI0FSS_SHIFT                           6
#define    PADCTRLREG_SPI0FSS_PDN_SPI0FSS_MASK                            0x00000040
#define    PADCTRLREG_SPI0FSS_PUP_SPI0FSS_SHIFT                           5
#define    PADCTRLREG_SPI0FSS_PUP_SPI0FSS_MASK                            0x00000020
#define    PADCTRLREG_SPI0FSS_SRC_SPI0FSS_SHIFT                           4
#define    PADCTRLREG_SPI0FSS_SRC_SPI0FSS_MASK                            0x00000010
#define    PADCTRLREG_SPI0FSS_IND_SPI0FSS_SHIFT                           3
#define    PADCTRLREG_SPI0FSS_IND_SPI0FSS_MASK                            0x00000008
#define    PADCTRLREG_SPI0FSS_SEL_2_SPI0FSS_SHIFT                         2
#define    PADCTRLREG_SPI0FSS_SEL_2_SPI0FSS_MASK                          0x00000004
#define    PADCTRLREG_SPI0FSS_SEL_1_SPI0FSS_SHIFT                         1
#define    PADCTRLREG_SPI0FSS_SEL_1_SPI0FSS_MASK                          0x00000002
#define    PADCTRLREG_SPI0FSS_SEL_0_SPI0FSS_SHIFT                         0
#define    PADCTRLREG_SPI0FSS_SEL_0_SPI0FSS_MASK                          0x00000001

#define PADCTRLREG_SPI0RXD_OFFSET                                         0x000001CC
#define PADCTRLREG_SPI0RXD_TYPE                                           UInt32
#define PADCTRLREG_SPI0RXD_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI0RXD_PINSEL_SPI0RXD_SHIFT                        8
#define    PADCTRLREG_SPI0RXD_PINSEL_SPI0RXD_MASK                         0x00000700
#define    PADCTRLREG_SPI0RXD_HYS_EN_SPI0RXD_SHIFT                        7
#define    PADCTRLREG_SPI0RXD_HYS_EN_SPI0RXD_MASK                         0x00000080
#define    PADCTRLREG_SPI0RXD_PDN_SPI0RXD_SHIFT                           6
#define    PADCTRLREG_SPI0RXD_PDN_SPI0RXD_MASK                            0x00000040
#define    PADCTRLREG_SPI0RXD_PUP_SPI0RXD_SHIFT                           5
#define    PADCTRLREG_SPI0RXD_PUP_SPI0RXD_MASK                            0x00000020
#define    PADCTRLREG_SPI0RXD_SRC_SPI0RXD_SHIFT                           4
#define    PADCTRLREG_SPI0RXD_SRC_SPI0RXD_MASK                            0x00000010
#define    PADCTRLREG_SPI0RXD_IND_SPI0RXD_SHIFT                           3
#define    PADCTRLREG_SPI0RXD_IND_SPI0RXD_MASK                            0x00000008
#define    PADCTRLREG_SPI0RXD_SEL_2_SPI0RXD_SHIFT                         2
#define    PADCTRLREG_SPI0RXD_SEL_2_SPI0RXD_MASK                          0x00000004
#define    PADCTRLREG_SPI0RXD_SEL_1_SPI0RXD_SHIFT                         1
#define    PADCTRLREG_SPI0RXD_SEL_1_SPI0RXD_MASK                          0x00000002
#define    PADCTRLREG_SPI0RXD_SEL_0_SPI0RXD_SHIFT                         0
#define    PADCTRLREG_SPI0RXD_SEL_0_SPI0RXD_MASK                          0x00000001

#define PADCTRLREG_SPI0TXD_OFFSET                                         0x000001D0
#define PADCTRLREG_SPI0TXD_TYPE                                           UInt32
#define PADCTRLREG_SPI0TXD_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI0TXD_PINSEL_SPI0TXD_SHIFT                        8
#define    PADCTRLREG_SPI0TXD_PINSEL_SPI0TXD_MASK                         0x00000700
#define    PADCTRLREG_SPI0TXD_HYS_EN_SPI0TXD_SHIFT                        7
#define    PADCTRLREG_SPI0TXD_HYS_EN_SPI0TXD_MASK                         0x00000080
#define    PADCTRLREG_SPI0TXD_PDN_SPI0TXD_SHIFT                           6
#define    PADCTRLREG_SPI0TXD_PDN_SPI0TXD_MASK                            0x00000040
#define    PADCTRLREG_SPI0TXD_PUP_SPI0TXD_SHIFT                           5
#define    PADCTRLREG_SPI0TXD_PUP_SPI0TXD_MASK                            0x00000020
#define    PADCTRLREG_SPI0TXD_SRC_SPI0TXD_SHIFT                           4
#define    PADCTRLREG_SPI0TXD_SRC_SPI0TXD_MASK                            0x00000010
#define    PADCTRLREG_SPI0TXD_IND_SPI0TXD_SHIFT                           3
#define    PADCTRLREG_SPI0TXD_IND_SPI0TXD_MASK                            0x00000008
#define    PADCTRLREG_SPI0TXD_SEL_2_SPI0TXD_SHIFT                         2
#define    PADCTRLREG_SPI0TXD_SEL_2_SPI0TXD_MASK                          0x00000004
#define    PADCTRLREG_SPI0TXD_SEL_1_SPI0TXD_SHIFT                         1
#define    PADCTRLREG_SPI0TXD_SEL_1_SPI0TXD_MASK                          0x00000002
#define    PADCTRLREG_SPI0TXD_SEL_0_SPI0TXD_SHIFT                         0
#define    PADCTRLREG_SPI0TXD_SEL_0_SPI0TXD_MASK                          0x00000001

#define PADCTRLREG_SRI_C_OFFSET                                           0x000001D4
#define PADCTRLREG_SRI_C_TYPE                                             UInt32
#define PADCTRLREG_SRI_C_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_C_PINSEL_SRI_C_SHIFT                            8
#define    PADCTRLREG_SRI_C_PINSEL_SRI_C_MASK                             0x00000700
#define    PADCTRLREG_SRI_C_HYS_EN_SRI_C_SHIFT                            7
#define    PADCTRLREG_SRI_C_HYS_EN_SRI_C_MASK                             0x00000080
#define    PADCTRLREG_SRI_C_PDN_SRI_C_SHIFT                               6
#define    PADCTRLREG_SRI_C_PDN_SRI_C_MASK                                0x00000040
#define    PADCTRLREG_SRI_C_PUP_SRI_C_SHIFT                               5
#define    PADCTRLREG_SRI_C_PUP_SRI_C_MASK                                0x00000020
#define    PADCTRLREG_SRI_C_SRC_SRI_C_SHIFT                               4
#define    PADCTRLREG_SRI_C_SRC_SRI_C_MASK                                0x00000010
#define    PADCTRLREG_SRI_C_IND_SRI_C_SHIFT                               3
#define    PADCTRLREG_SRI_C_IND_SRI_C_MASK                                0x00000008
#define    PADCTRLREG_SRI_C_SEL_2_SRI_C_SHIFT                             2
#define    PADCTRLREG_SRI_C_SEL_2_SRI_C_MASK                              0x00000004
#define    PADCTRLREG_SRI_C_SEL_1_SRI_C_SHIFT                             1
#define    PADCTRLREG_SRI_C_SEL_1_SRI_C_MASK                              0x00000002
#define    PADCTRLREG_SRI_C_SEL_0_SRI_C_SHIFT                             0
#define    PADCTRLREG_SRI_C_SEL_0_SRI_C_MASK                              0x00000001

#define PADCTRLREG_SRI_D_OFFSET                                           0x000001D8
#define PADCTRLREG_SRI_D_TYPE                                             UInt32
#define PADCTRLREG_SRI_D_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_D_PINSEL_SRI_D_SHIFT                            8
#define    PADCTRLREG_SRI_D_PINSEL_SRI_D_MASK                             0x00000700
#define    PADCTRLREG_SRI_D_HYS_EN_SRI_D_SHIFT                            7
#define    PADCTRLREG_SRI_D_HYS_EN_SRI_D_MASK                             0x00000080
#define    PADCTRLREG_SRI_D_PDN_SRI_D_SHIFT                               6
#define    PADCTRLREG_SRI_D_PDN_SRI_D_MASK                                0x00000040
#define    PADCTRLREG_SRI_D_PUP_SRI_D_SHIFT                               5
#define    PADCTRLREG_SRI_D_PUP_SRI_D_MASK                                0x00000020
#define    PADCTRLREG_SRI_D_SRC_SRI_D_SHIFT                               4
#define    PADCTRLREG_SRI_D_SRC_SRI_D_MASK                                0x00000010
#define    PADCTRLREG_SRI_D_IND_SRI_D_SHIFT                               3
#define    PADCTRLREG_SRI_D_IND_SRI_D_MASK                                0x00000008
#define    PADCTRLREG_SRI_D_SEL_2_SRI_D_SHIFT                             2
#define    PADCTRLREG_SRI_D_SEL_2_SRI_D_MASK                              0x00000004
#define    PADCTRLREG_SRI_D_SEL_1_SRI_D_SHIFT                             1
#define    PADCTRLREG_SRI_D_SEL_1_SRI_D_MASK                              0x00000002
#define    PADCTRLREG_SRI_D_SEL_0_SRI_D_SHIFT                             0
#define    PADCTRLREG_SRI_D_SEL_0_SRI_D_MASK                              0x00000001

#define PADCTRLREG_SRI_E_OFFSET                                           0x000001DC
#define PADCTRLREG_SRI_E_TYPE                                             UInt32
#define PADCTRLREG_SRI_E_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SRI_E_PINSEL_SRI_E_SHIFT                            8
#define    PADCTRLREG_SRI_E_PINSEL_SRI_E_MASK                             0x00000700
#define    PADCTRLREG_SRI_E_HYS_EN_SRI_E_SHIFT                            7
#define    PADCTRLREG_SRI_E_HYS_EN_SRI_E_MASK                             0x00000080
#define    PADCTRLREG_SRI_E_PDN_SRI_E_SHIFT                               6
#define    PADCTRLREG_SRI_E_PDN_SRI_E_MASK                                0x00000040
#define    PADCTRLREG_SRI_E_PUP_SRI_E_SHIFT                               5
#define    PADCTRLREG_SRI_E_PUP_SRI_E_MASK                                0x00000020
#define    PADCTRLREG_SRI_E_SRC_SRI_E_SHIFT                               4
#define    PADCTRLREG_SRI_E_SRC_SRI_E_MASK                                0x00000010
#define    PADCTRLREG_SRI_E_IND_SRI_E_SHIFT                               3
#define    PADCTRLREG_SRI_E_IND_SRI_E_MASK                                0x00000008
#define    PADCTRLREG_SRI_E_SEL_2_SRI_E_SHIFT                             2
#define    PADCTRLREG_SRI_E_SEL_2_SRI_E_MASK                              0x00000004
#define    PADCTRLREG_SRI_E_SEL_1_SRI_E_SHIFT                             1
#define    PADCTRLREG_SRI_E_SEL_1_SRI_E_MASK                              0x00000002
#define    PADCTRLREG_SRI_E_SEL_0_SRI_E_SHIFT                             0
#define    PADCTRLREG_SRI_E_SEL_0_SRI_E_MASK                              0x00000001

#define PADCTRLREG_SSPCK_OFFSET                                           0x000001E0
#define PADCTRLREG_SSPCK_TYPE                                             UInt32
#define PADCTRLREG_SSPCK_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SSPCK_PINSEL_SSPCK_SHIFT                            8
#define    PADCTRLREG_SSPCK_PINSEL_SSPCK_MASK                             0x00000700
#define    PADCTRLREG_SSPCK_HYS_EN_SSPCK_SHIFT                            7
#define    PADCTRLREG_SSPCK_HYS_EN_SSPCK_MASK                             0x00000080
#define    PADCTRLREG_SSPCK_PDN_SSPCK_SHIFT                               6
#define    PADCTRLREG_SSPCK_PDN_SSPCK_MASK                                0x00000040
#define    PADCTRLREG_SSPCK_PUP_SSPCK_SHIFT                               5
#define    PADCTRLREG_SSPCK_PUP_SSPCK_MASK                                0x00000020
#define    PADCTRLREG_SSPCK_SRC_SSPCK_SHIFT                               4
#define    PADCTRLREG_SSPCK_SRC_SSPCK_MASK                                0x00000010
#define    PADCTRLREG_SSPCK_IND_SSPCK_SHIFT                               3
#define    PADCTRLREG_SSPCK_IND_SSPCK_MASK                                0x00000008
#define    PADCTRLREG_SSPCK_SEL_2_SSPCK_SHIFT                             2
#define    PADCTRLREG_SSPCK_SEL_2_SSPCK_MASK                              0x00000004
#define    PADCTRLREG_SSPCK_SEL_1_SSPCK_SHIFT                             1
#define    PADCTRLREG_SSPCK_SEL_1_SSPCK_MASK                              0x00000002
#define    PADCTRLREG_SSPCK_SEL_0_SSPCK_SHIFT                             0
#define    PADCTRLREG_SSPCK_SEL_0_SSPCK_MASK                              0x00000001

#define PADCTRLREG_SSPDI_OFFSET                                           0x000001E4
#define PADCTRLREG_SSPDI_TYPE                                             UInt32
#define PADCTRLREG_SSPDI_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SSPDI_PINSEL_SSPDI_SHIFT                            8
#define    PADCTRLREG_SSPDI_PINSEL_SSPDI_MASK                             0x00000700
#define    PADCTRLREG_SSPDI_HYS_EN_SSPDI_SHIFT                            7
#define    PADCTRLREG_SSPDI_HYS_EN_SSPDI_MASK                             0x00000080
#define    PADCTRLREG_SSPDI_PDN_SSPDI_SHIFT                               6
#define    PADCTRLREG_SSPDI_PDN_SSPDI_MASK                                0x00000040
#define    PADCTRLREG_SSPDI_PUP_SSPDI_SHIFT                               5
#define    PADCTRLREG_SSPDI_PUP_SSPDI_MASK                                0x00000020
#define    PADCTRLREG_SSPDI_SRC_SSPDI_SHIFT                               4
#define    PADCTRLREG_SSPDI_SRC_SSPDI_MASK                                0x00000010
#define    PADCTRLREG_SSPDI_IND_SSPDI_SHIFT                               3
#define    PADCTRLREG_SSPDI_IND_SSPDI_MASK                                0x00000008
#define    PADCTRLREG_SSPDI_SEL_2_SSPDI_SHIFT                             2
#define    PADCTRLREG_SSPDI_SEL_2_SSPDI_MASK                              0x00000004
#define    PADCTRLREG_SSPDI_SEL_1_SSPDI_SHIFT                             1
#define    PADCTRLREG_SSPDI_SEL_1_SSPDI_MASK                              0x00000002
#define    PADCTRLREG_SSPDI_SEL_0_SSPDI_SHIFT                             0
#define    PADCTRLREG_SSPDI_SEL_0_SSPDI_MASK                              0x00000001

#define PADCTRLREG_SSPDO_OFFSET                                           0x000001E8
#define PADCTRLREG_SSPDO_TYPE                                             UInt32
#define PADCTRLREG_SSPDO_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_SSPDO_PINSEL_SSPDO_SHIFT                            8
#define    PADCTRLREG_SSPDO_PINSEL_SSPDO_MASK                             0x00000700
#define    PADCTRLREG_SSPDO_HYS_EN_SSPDO_SHIFT                            7
#define    PADCTRLREG_SSPDO_HYS_EN_SSPDO_MASK                             0x00000080
#define    PADCTRLREG_SSPDO_PDN_SSPDO_SHIFT                               6
#define    PADCTRLREG_SSPDO_PDN_SSPDO_MASK                                0x00000040
#define    PADCTRLREG_SSPDO_PUP_SSPDO_SHIFT                               5
#define    PADCTRLREG_SSPDO_PUP_SSPDO_MASK                                0x00000020
#define    PADCTRLREG_SSPDO_SRC_SSPDO_SHIFT                               4
#define    PADCTRLREG_SSPDO_SRC_SSPDO_MASK                                0x00000010
#define    PADCTRLREG_SSPDO_IND_SSPDO_SHIFT                               3
#define    PADCTRLREG_SSPDO_IND_SSPDO_MASK                                0x00000008
#define    PADCTRLREG_SSPDO_SEL_2_SSPDO_SHIFT                             2
#define    PADCTRLREG_SSPDO_SEL_2_SSPDO_MASK                              0x00000004
#define    PADCTRLREG_SSPDO_SEL_1_SSPDO_SHIFT                             1
#define    PADCTRLREG_SSPDO_SEL_1_SSPDO_MASK                              0x00000002
#define    PADCTRLREG_SSPDO_SEL_0_SSPDO_SHIFT                             0
#define    PADCTRLREG_SSPDO_SEL_0_SSPDO_MASK                              0x00000001

#define PADCTRLREG_SSPSYN_OFFSET                                          0x000001EC
#define PADCTRLREG_SSPSYN_TYPE                                            UInt32
#define PADCTRLREG_SSPSYN_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SSPSYN_PINSEL_SSPSYN_SHIFT                          8
#define    PADCTRLREG_SSPSYN_PINSEL_SSPSYN_MASK                           0x00000700
#define    PADCTRLREG_SSPSYN_HYS_EN_SSPSYN_SHIFT                          7
#define    PADCTRLREG_SSPSYN_HYS_EN_SSPSYN_MASK                           0x00000080
#define    PADCTRLREG_SSPSYN_PDN_SSPSYN_SHIFT                             6
#define    PADCTRLREG_SSPSYN_PDN_SSPSYN_MASK                              0x00000040
#define    PADCTRLREG_SSPSYN_PUP_SSPSYN_SHIFT                             5
#define    PADCTRLREG_SSPSYN_PUP_SSPSYN_MASK                              0x00000020
#define    PADCTRLREG_SSPSYN_SRC_SSPSYN_SHIFT                             4
#define    PADCTRLREG_SSPSYN_SRC_SSPSYN_MASK                              0x00000010
#define    PADCTRLREG_SSPSYN_IND_SSPSYN_SHIFT                             3
#define    PADCTRLREG_SSPSYN_IND_SSPSYN_MASK                              0x00000008
#define    PADCTRLREG_SSPSYN_SEL_2_SSPSYN_SHIFT                           2
#define    PADCTRLREG_SSPSYN_SEL_2_SSPSYN_MASK                            0x00000004
#define    PADCTRLREG_SSPSYN_SEL_1_SSPSYN_SHIFT                           1
#define    PADCTRLREG_SSPSYN_SEL_1_SSPSYN_MASK                            0x00000002
#define    PADCTRLREG_SSPSYN_SEL_0_SSPSYN_SHIFT                           0
#define    PADCTRLREG_SSPSYN_SEL_0_SSPSYN_MASK                            0x00000001

#define PADCTRLREG_STAT1_OFFSET                                           0x000001F0
#define PADCTRLREG_STAT1_TYPE                                             UInt32
#define PADCTRLREG_STAT1_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_STAT1_PINSEL_STAT1_SHIFT                            8
#define    PADCTRLREG_STAT1_PINSEL_STAT1_MASK                             0x00000700
#define    PADCTRLREG_STAT1_HYS_EN_STAT1_SHIFT                            7
#define    PADCTRLREG_STAT1_HYS_EN_STAT1_MASK                             0x00000080
#define    PADCTRLREG_STAT1_PDN_STAT1_SHIFT                               6
#define    PADCTRLREG_STAT1_PDN_STAT1_MASK                                0x00000040
#define    PADCTRLREG_STAT1_PUP_STAT1_SHIFT                               5
#define    PADCTRLREG_STAT1_PUP_STAT1_MASK                                0x00000020
#define    PADCTRLREG_STAT1_SRC_STAT1_SHIFT                               4
#define    PADCTRLREG_STAT1_SRC_STAT1_MASK                                0x00000010
#define    PADCTRLREG_STAT1_IND_STAT1_SHIFT                               3
#define    PADCTRLREG_STAT1_IND_STAT1_MASK                                0x00000008
#define    PADCTRLREG_STAT1_SEL_2_STAT1_SHIFT                             2
#define    PADCTRLREG_STAT1_SEL_2_STAT1_MASK                              0x00000004
#define    PADCTRLREG_STAT1_SEL_1_STAT1_SHIFT                             1
#define    PADCTRLREG_STAT1_SEL_1_STAT1_MASK                              0x00000002
#define    PADCTRLREG_STAT1_SEL_0_STAT1_SHIFT                             0
#define    PADCTRLREG_STAT1_SEL_0_STAT1_MASK                              0x00000001

#define PADCTRLREG_STAT2_OFFSET                                           0x000001F4
#define PADCTRLREG_STAT2_TYPE                                             UInt32
#define PADCTRLREG_STAT2_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_STAT2_PINSEL_STAT2_SHIFT                            8
#define    PADCTRLREG_STAT2_PINSEL_STAT2_MASK                             0x00000700
#define    PADCTRLREG_STAT2_HYS_EN_STAT2_SHIFT                            7
#define    PADCTRLREG_STAT2_HYS_EN_STAT2_MASK                             0x00000080
#define    PADCTRLREG_STAT2_PDN_STAT2_SHIFT                               6
#define    PADCTRLREG_STAT2_PDN_STAT2_MASK                                0x00000040
#define    PADCTRLREG_STAT2_PUP_STAT2_SHIFT                               5
#define    PADCTRLREG_STAT2_PUP_STAT2_MASK                                0x00000020
#define    PADCTRLREG_STAT2_SRC_STAT2_SHIFT                               4
#define    PADCTRLREG_STAT2_SRC_STAT2_MASK                                0x00000010
#define    PADCTRLREG_STAT2_IND_STAT2_SHIFT                               3
#define    PADCTRLREG_STAT2_IND_STAT2_MASK                                0x00000008
#define    PADCTRLREG_STAT2_SEL_2_STAT2_SHIFT                             2
#define    PADCTRLREG_STAT2_SEL_2_STAT2_MASK                              0x00000004
#define    PADCTRLREG_STAT2_SEL_1_STAT2_SHIFT                             1
#define    PADCTRLREG_STAT2_SEL_1_STAT2_MASK                              0x00000002
#define    PADCTRLREG_STAT2_SEL_0_STAT2_SHIFT                             0
#define    PADCTRLREG_STAT2_SEL_0_STAT2_MASK                              0x00000001

#define PADCTRLREG_SWCLKTCK_OFFSET                                        0x000001F8
#define PADCTRLREG_SWCLKTCK_TYPE                                          UInt32
#define PADCTRLREG_SWCLKTCK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SWCLKTCK_PINSEL_SWCLKTCK_SHIFT                      8
#define    PADCTRLREG_SWCLKTCK_PINSEL_SWCLKTCK_MASK                       0x00000700
#define    PADCTRLREG_SWCLKTCK_HYS_EN_SWCLKTCK_SHIFT                      7
#define    PADCTRLREG_SWCLKTCK_HYS_EN_SWCLKTCK_MASK                       0x00000080
#define    PADCTRLREG_SWCLKTCK_PDN_SWCLKTCK_SHIFT                         6
#define    PADCTRLREG_SWCLKTCK_PDN_SWCLKTCK_MASK                          0x00000040
#define    PADCTRLREG_SWCLKTCK_PUP_SWCLKTCK_SHIFT                         5
#define    PADCTRLREG_SWCLKTCK_PUP_SWCLKTCK_MASK                          0x00000020
#define    PADCTRLREG_SWCLKTCK_SRC_SWCLKTCK_SHIFT                         4
#define    PADCTRLREG_SWCLKTCK_SRC_SWCLKTCK_MASK                          0x00000010
#define    PADCTRLREG_SWCLKTCK_IND_SWCLKTCK_SHIFT                         3
#define    PADCTRLREG_SWCLKTCK_IND_SWCLKTCK_MASK                          0x00000008
#define    PADCTRLREG_SWCLKTCK_SEL_2_SWCLKTCK_SHIFT                       2
#define    PADCTRLREG_SWCLKTCK_SEL_2_SWCLKTCK_MASK                        0x00000004
#define    PADCTRLREG_SWCLKTCK_SEL_1_SWCLKTCK_SHIFT                       1
#define    PADCTRLREG_SWCLKTCK_SEL_1_SWCLKTCK_MASK                        0x00000002
#define    PADCTRLREG_SWCLKTCK_SEL_0_SWCLKTCK_SHIFT                       0
#define    PADCTRLREG_SWCLKTCK_SEL_0_SWCLKTCK_MASK                        0x00000001

#define PADCTRLREG_SWDIOTMS_OFFSET                                        0x000001FC
#define PADCTRLREG_SWDIOTMS_TYPE                                          UInt32
#define PADCTRLREG_SWDIOTMS_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SWDIOTMS_PINSEL_SWDIOTMS_SHIFT                      8
#define    PADCTRLREG_SWDIOTMS_PINSEL_SWDIOTMS_MASK                       0x00000700
#define    PADCTRLREG_SWDIOTMS_HYS_EN_SWDIOTMS_SHIFT                      7
#define    PADCTRLREG_SWDIOTMS_HYS_EN_SWDIOTMS_MASK                       0x00000080
#define    PADCTRLREG_SWDIOTMS_PDN_SWDIOTMS_SHIFT                         6
#define    PADCTRLREG_SWDIOTMS_PDN_SWDIOTMS_MASK                          0x00000040
#define    PADCTRLREG_SWDIOTMS_PUP_SWDIOTMS_SHIFT                         5
#define    PADCTRLREG_SWDIOTMS_PUP_SWDIOTMS_MASK                          0x00000020
#define    PADCTRLREG_SWDIOTMS_SRC_SWDIOTMS_SHIFT                         4
#define    PADCTRLREG_SWDIOTMS_SRC_SWDIOTMS_MASK                          0x00000010
#define    PADCTRLREG_SWDIOTMS_IND_SWDIOTMS_SHIFT                         3
#define    PADCTRLREG_SWDIOTMS_IND_SWDIOTMS_MASK                          0x00000008
#define    PADCTRLREG_SWDIOTMS_SEL_2_SWDIOTMS_SHIFT                       2
#define    PADCTRLREG_SWDIOTMS_SEL_2_SWDIOTMS_MASK                        0x00000004
#define    PADCTRLREG_SWDIOTMS_SEL_1_SWDIOTMS_SHIFT                       1
#define    PADCTRLREG_SWDIOTMS_SEL_1_SWDIOTMS_MASK                        0x00000002
#define    PADCTRLREG_SWDIOTMS_SEL_0_SWDIOTMS_SHIFT                       0
#define    PADCTRLREG_SWDIOTMS_SEL_0_SWDIOTMS_MASK                        0x00000001

#define PADCTRLREG_SYSCLKEN_OFFSET                                        0x00000200
#define PADCTRLREG_SYSCLKEN_TYPE                                          UInt32
#define PADCTRLREG_SYSCLKEN_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SYSCLKEN_PINSEL_SYSCLKEN_SHIFT                      8
#define    PADCTRLREG_SYSCLKEN_PINSEL_SYSCLKEN_MASK                       0x00000700
#define    PADCTRLREG_SYSCLKEN_HYS_EN_SYSCLKEN_SHIFT                      7
#define    PADCTRLREG_SYSCLKEN_HYS_EN_SYSCLKEN_MASK                       0x00000080
#define    PADCTRLREG_SYSCLKEN_PDN_SYSCLKEN_SHIFT                         6
#define    PADCTRLREG_SYSCLKEN_PDN_SYSCLKEN_MASK                          0x00000040
#define    PADCTRLREG_SYSCLKEN_PUP_SYSCLKEN_SHIFT                         5
#define    PADCTRLREG_SYSCLKEN_PUP_SYSCLKEN_MASK                          0x00000020
#define    PADCTRLREG_SYSCLKEN_SRC_SYSCLKEN_SHIFT                         4
#define    PADCTRLREG_SYSCLKEN_SRC_SYSCLKEN_MASK                          0x00000010
#define    PADCTRLREG_SYSCLKEN_IND_SYSCLKEN_SHIFT                         3
#define    PADCTRLREG_SYSCLKEN_IND_SYSCLKEN_MASK                          0x00000008
#define    PADCTRLREG_SYSCLKEN_SEL_2_SYSCLKEN_SHIFT                       2
#define    PADCTRLREG_SYSCLKEN_SEL_2_SYSCLKEN_MASK                        0x00000004
#define    PADCTRLREG_SYSCLKEN_SEL_1_SYSCLKEN_SHIFT                       1
#define    PADCTRLREG_SYSCLKEN_SEL_1_SYSCLKEN_MASK                        0x00000002
#define    PADCTRLREG_SYSCLKEN_SEL_0_SYSCLKEN_SHIFT                       0
#define    PADCTRLREG_SYSCLKEN_SEL_0_SYSCLKEN_MASK                        0x00000001

#define PADCTRLREG_TDI_OFFSET                                             0x00000204
#define PADCTRLREG_TDI_TYPE                                               UInt32
#define PADCTRLREG_TDI_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_TDI_PINSEL_TDI_SHIFT                                8
#define    PADCTRLREG_TDI_PINSEL_TDI_MASK                                 0x00000700
#define    PADCTRLREG_TDI_HYS_EN_TDI_SHIFT                                7
#define    PADCTRLREG_TDI_HYS_EN_TDI_MASK                                 0x00000080
#define    PADCTRLREG_TDI_PDN_TDI_SHIFT                                   6
#define    PADCTRLREG_TDI_PDN_TDI_MASK                                    0x00000040
#define    PADCTRLREG_TDI_PUP_TDI_SHIFT                                   5
#define    PADCTRLREG_TDI_PUP_TDI_MASK                                    0x00000020
#define    PADCTRLREG_TDI_SRC_TDI_SHIFT                                   4
#define    PADCTRLREG_TDI_SRC_TDI_MASK                                    0x00000010
#define    PADCTRLREG_TDI_IND_TDI_SHIFT                                   3
#define    PADCTRLREG_TDI_IND_TDI_MASK                                    0x00000008
#define    PADCTRLREG_TDI_SEL_2_TDI_SHIFT                                 2
#define    PADCTRLREG_TDI_SEL_2_TDI_MASK                                  0x00000004
#define    PADCTRLREG_TDI_SEL_1_TDI_SHIFT                                 1
#define    PADCTRLREG_TDI_SEL_1_TDI_MASK                                  0x00000002
#define    PADCTRLREG_TDI_SEL_0_TDI_SHIFT                                 0
#define    PADCTRLREG_TDI_SEL_0_TDI_MASK                                  0x00000001

#define PADCTRLREG_TDO_OFFSET                                             0x00000208
#define PADCTRLREG_TDO_TYPE                                               UInt32
#define PADCTRLREG_TDO_RESERVED_MASK                                      0xFFFFF800
#define    PADCTRLREG_TDO_PINSEL_TDO_SHIFT                                8
#define    PADCTRLREG_TDO_PINSEL_TDO_MASK                                 0x00000700
#define    PADCTRLREG_TDO_HYS_EN_TDO_SHIFT                                7
#define    PADCTRLREG_TDO_HYS_EN_TDO_MASK                                 0x00000080
#define    PADCTRLREG_TDO_PDN_TDO_SHIFT                                   6
#define    PADCTRLREG_TDO_PDN_TDO_MASK                                    0x00000040
#define    PADCTRLREG_TDO_PUP_TDO_SHIFT                                   5
#define    PADCTRLREG_TDO_PUP_TDO_MASK                                    0x00000020
#define    PADCTRLREG_TDO_SRC_TDO_SHIFT                                   4
#define    PADCTRLREG_TDO_SRC_TDO_MASK                                    0x00000010
#define    PADCTRLREG_TDO_IND_TDO_SHIFT                                   3
#define    PADCTRLREG_TDO_IND_TDO_MASK                                    0x00000008
#define    PADCTRLREG_TDO_SEL_2_TDO_SHIFT                                 2
#define    PADCTRLREG_TDO_SEL_2_TDO_MASK                                  0x00000004
#define    PADCTRLREG_TDO_SEL_1_TDO_SHIFT                                 1
#define    PADCTRLREG_TDO_SEL_1_TDO_MASK                                  0x00000002
#define    PADCTRLREG_TDO_SEL_0_TDO_SHIFT                                 0
#define    PADCTRLREG_TDO_SEL_0_TDO_MASK                                  0x00000001

#define PADCTRLREG_TESTMODE_OFFSET                                        0x0000020C
#define PADCTRLREG_TESTMODE_TYPE                                          UInt32
#define PADCTRLREG_TESTMODE_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_TESTMODE_PINSEL_TESTMODE_SHIFT                      8
#define    PADCTRLREG_TESTMODE_PINSEL_TESTMODE_MASK                       0x00000700
#define    PADCTRLREG_TESTMODE_HYS_EN_TESTMODE_SHIFT                      7
#define    PADCTRLREG_TESTMODE_HYS_EN_TESTMODE_MASK                       0x00000080
#define    PADCTRLREG_TESTMODE_PDN_TESTMODE_SHIFT                         6
#define    PADCTRLREG_TESTMODE_PDN_TESTMODE_MASK                          0x00000040
#define    PADCTRLREG_TESTMODE_PUP_TESTMODE_SHIFT                         5
#define    PADCTRLREG_TESTMODE_PUP_TESTMODE_MASK                          0x00000020
#define    PADCTRLREG_TESTMODE_SRC_TESTMODE_SHIFT                         4
#define    PADCTRLREG_TESTMODE_SRC_TESTMODE_MASK                          0x00000010
#define    PADCTRLREG_TESTMODE_IND_TESTMODE_SHIFT                         3
#define    PADCTRLREG_TESTMODE_IND_TESTMODE_MASK                          0x00000008
#define    PADCTRLREG_TESTMODE_SEL_2_TESTMODE_SHIFT                       2
#define    PADCTRLREG_TESTMODE_SEL_2_TESTMODE_MASK                        0x00000004
#define    PADCTRLREG_TESTMODE_SEL_1_TESTMODE_SHIFT                       1
#define    PADCTRLREG_TESTMODE_SEL_1_TESTMODE_MASK                        0x00000002
#define    PADCTRLREG_TESTMODE_SEL_0_TESTMODE_SHIFT                       0
#define    PADCTRLREG_TESTMODE_SEL_0_TESTMODE_MASK                        0x00000001

#define PADCTRLREG_TRACECLK_OFFSET                                        0x00000210
#define PADCTRLREG_TRACECLK_TYPE                                          UInt32
#define PADCTRLREG_TRACECLK_RESERVED_MASK                                 0xFFFFF804
#define    PADCTRLREG_TRACECLK_PINSEL_TRACECLK_SHIFT                      8
#define    PADCTRLREG_TRACECLK_PINSEL_TRACECLK_MASK                       0x00000700
#define    PADCTRLREG_TRACECLK_HYS_EN_TRACECLK_SHIFT                      7
#define    PADCTRLREG_TRACECLK_HYS_EN_TRACECLK_MASK                       0x00000080
#define    PADCTRLREG_TRACECLK_PDN_TRACECLK_SHIFT                         6
#define    PADCTRLREG_TRACECLK_PDN_TRACECLK_MASK                          0x00000040
#define    PADCTRLREG_TRACECLK_PUP_TRACECLK_SHIFT                         5
#define    PADCTRLREG_TRACECLK_PUP_TRACECLK_MASK                          0x00000020
#define    PADCTRLREG_TRACECLK_SRC_TRACECLK_SHIFT                         4
#define    PADCTRLREG_TRACECLK_SRC_TRACECLK_MASK                          0x00000010
#define    PADCTRLREG_TRACECLK_IND_TRACECLK_SHIFT                         3
#define    PADCTRLREG_TRACECLK_IND_TRACECLK_MASK                          0x00000008
#define    PADCTRLREG_TRACECLK_SEL_1_TRACECLK_SHIFT                       1
#define    PADCTRLREG_TRACECLK_SEL_1_TRACECLK_MASK                        0x00000002
#define    PADCTRLREG_TRACECLK_SEL_0_TRACECLK_SHIFT                       0
#define    PADCTRLREG_TRACECLK_SEL_0_TRACECLK_MASK                        0x00000001

#define PADCTRLREG_TRACEDT00_OFFSET                                       0x00000214
#define PADCTRLREG_TRACEDT00_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT00_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT00_PINSEL_TRACEDT00_SHIFT                    8
#define    PADCTRLREG_TRACEDT00_PINSEL_TRACEDT00_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT00_HYS_EN_TRACEDT00_SHIFT                    7
#define    PADCTRLREG_TRACEDT00_HYS_EN_TRACEDT00_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT00_PDN_TRACEDT00_SHIFT                       6
#define    PADCTRLREG_TRACEDT00_PDN_TRACEDT00_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT00_PUP_TRACEDT00_SHIFT                       5
#define    PADCTRLREG_TRACEDT00_PUP_TRACEDT00_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT00_SRC_TRACEDT00_SHIFT                       4
#define    PADCTRLREG_TRACEDT00_SRC_TRACEDT00_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT00_IND_TRACEDT00_SHIFT                       3
#define    PADCTRLREG_TRACEDT00_IND_TRACEDT00_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT00_SEL_1_TRACEDT00_SHIFT                     1
#define    PADCTRLREG_TRACEDT00_SEL_1_TRACEDT00_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT00_SEL_0_TRACEDT00_SHIFT                     0
#define    PADCTRLREG_TRACEDT00_SEL_0_TRACEDT00_MASK                      0x00000001

#define PADCTRLREG_TRACEDT01_OFFSET                                       0x00000218
#define PADCTRLREG_TRACEDT01_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT01_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT01_PINSEL_TRACEDT01_SHIFT                    8
#define    PADCTRLREG_TRACEDT01_PINSEL_TRACEDT01_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT01_HYS_EN_TRACEDT01_SHIFT                    7
#define    PADCTRLREG_TRACEDT01_HYS_EN_TRACEDT01_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT01_PDN_TRACEDT01_SHIFT                       6
#define    PADCTRLREG_TRACEDT01_PDN_TRACEDT01_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT01_PUP_TRACEDT01_SHIFT                       5
#define    PADCTRLREG_TRACEDT01_PUP_TRACEDT01_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT01_SRC_TRACEDT01_SHIFT                       4
#define    PADCTRLREG_TRACEDT01_SRC_TRACEDT01_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT01_IND_TRACEDT01_SHIFT                       3
#define    PADCTRLREG_TRACEDT01_IND_TRACEDT01_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT01_SEL_1_TRACEDT01_SHIFT                     1
#define    PADCTRLREG_TRACEDT01_SEL_1_TRACEDT01_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT01_SEL_0_TRACEDT01_SHIFT                     0
#define    PADCTRLREG_TRACEDT01_SEL_0_TRACEDT01_MASK                      0x00000001

#define PADCTRLREG_TRACEDT02_OFFSET                                       0x0000021C
#define PADCTRLREG_TRACEDT02_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT02_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT02_PINSEL_TRACEDT02_SHIFT                    8
#define    PADCTRLREG_TRACEDT02_PINSEL_TRACEDT02_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT02_HYS_EN_TRACEDT02_SHIFT                    7
#define    PADCTRLREG_TRACEDT02_HYS_EN_TRACEDT02_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT02_PDN_TRACEDT02_SHIFT                       6
#define    PADCTRLREG_TRACEDT02_PDN_TRACEDT02_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT02_PUP_TRACEDT02_SHIFT                       5
#define    PADCTRLREG_TRACEDT02_PUP_TRACEDT02_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT02_SRC_TRACEDT02_SHIFT                       4
#define    PADCTRLREG_TRACEDT02_SRC_TRACEDT02_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT02_IND_TRACEDT02_SHIFT                       3
#define    PADCTRLREG_TRACEDT02_IND_TRACEDT02_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT02_SEL_1_TRACEDT02_SHIFT                     1
#define    PADCTRLREG_TRACEDT02_SEL_1_TRACEDT02_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT02_SEL_0_TRACEDT02_SHIFT                     0
#define    PADCTRLREG_TRACEDT02_SEL_0_TRACEDT02_MASK                      0x00000001

#define PADCTRLREG_TRACEDT03_OFFSET                                       0x00000220
#define PADCTRLREG_TRACEDT03_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT03_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT03_PINSEL_TRACEDT03_SHIFT                    8
#define    PADCTRLREG_TRACEDT03_PINSEL_TRACEDT03_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT03_HYS_EN_TRACEDT03_SHIFT                    7
#define    PADCTRLREG_TRACEDT03_HYS_EN_TRACEDT03_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT03_PDN_TRACEDT03_SHIFT                       6
#define    PADCTRLREG_TRACEDT03_PDN_TRACEDT03_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT03_PUP_TRACEDT03_SHIFT                       5
#define    PADCTRLREG_TRACEDT03_PUP_TRACEDT03_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT03_SRC_TRACEDT03_SHIFT                       4
#define    PADCTRLREG_TRACEDT03_SRC_TRACEDT03_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT03_IND_TRACEDT03_SHIFT                       3
#define    PADCTRLREG_TRACEDT03_IND_TRACEDT03_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT03_SEL_1_TRACEDT03_SHIFT                     1
#define    PADCTRLREG_TRACEDT03_SEL_1_TRACEDT03_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT03_SEL_0_TRACEDT03_SHIFT                     0
#define    PADCTRLREG_TRACEDT03_SEL_0_TRACEDT03_MASK                      0x00000001

#define PADCTRLREG_TRACEDT04_OFFSET                                       0x00000224
#define PADCTRLREG_TRACEDT04_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT04_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT04_PINSEL_TRACEDT04_SHIFT                    8
#define    PADCTRLREG_TRACEDT04_PINSEL_TRACEDT04_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT04_HYS_EN_TRACEDT04_SHIFT                    7
#define    PADCTRLREG_TRACEDT04_HYS_EN_TRACEDT04_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT04_PDN_TRACEDT04_SHIFT                       6
#define    PADCTRLREG_TRACEDT04_PDN_TRACEDT04_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT04_PUP_TRACEDT04_SHIFT                       5
#define    PADCTRLREG_TRACEDT04_PUP_TRACEDT04_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT04_SRC_TRACEDT04_SHIFT                       4
#define    PADCTRLREG_TRACEDT04_SRC_TRACEDT04_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT04_IND_TRACEDT04_SHIFT                       3
#define    PADCTRLREG_TRACEDT04_IND_TRACEDT04_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT04_SEL_1_TRACEDT04_SHIFT                     1
#define    PADCTRLREG_TRACEDT04_SEL_1_TRACEDT04_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT04_SEL_0_TRACEDT04_SHIFT                     0
#define    PADCTRLREG_TRACEDT04_SEL_0_TRACEDT04_MASK                      0x00000001

#define PADCTRLREG_TRACEDT05_OFFSET                                       0x00000228
#define PADCTRLREG_TRACEDT05_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT05_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT05_PINSEL_TRACEDT05_SHIFT                    8
#define    PADCTRLREG_TRACEDT05_PINSEL_TRACEDT05_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT05_HYS_EN_TRACEDT05_SHIFT                    7
#define    PADCTRLREG_TRACEDT05_HYS_EN_TRACEDT05_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT05_PDN_TRACEDT05_SHIFT                       6
#define    PADCTRLREG_TRACEDT05_PDN_TRACEDT05_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT05_PUP_TRACEDT05_SHIFT                       5
#define    PADCTRLREG_TRACEDT05_PUP_TRACEDT05_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT05_SRC_TRACEDT05_SHIFT                       4
#define    PADCTRLREG_TRACEDT05_SRC_TRACEDT05_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT05_IND_TRACEDT05_SHIFT                       3
#define    PADCTRLREG_TRACEDT05_IND_TRACEDT05_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT05_SEL_1_TRACEDT05_SHIFT                     1
#define    PADCTRLREG_TRACEDT05_SEL_1_TRACEDT05_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT05_SEL_0_TRACEDT05_SHIFT                     0
#define    PADCTRLREG_TRACEDT05_SEL_0_TRACEDT05_MASK                      0x00000001

#define PADCTRLREG_TRACEDT06_OFFSET                                       0x0000022C
#define PADCTRLREG_TRACEDT06_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT06_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT06_PINSEL_TRACEDT06_SHIFT                    8
#define    PADCTRLREG_TRACEDT06_PINSEL_TRACEDT06_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT06_HYS_EN_TRACEDT06_SHIFT                    7
#define    PADCTRLREG_TRACEDT06_HYS_EN_TRACEDT06_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT06_PDN_TRACEDT06_SHIFT                       6
#define    PADCTRLREG_TRACEDT06_PDN_TRACEDT06_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT06_PUP_TRACEDT06_SHIFT                       5
#define    PADCTRLREG_TRACEDT06_PUP_TRACEDT06_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT06_SRC_TRACEDT06_SHIFT                       4
#define    PADCTRLREG_TRACEDT06_SRC_TRACEDT06_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT06_IND_TRACEDT06_SHIFT                       3
#define    PADCTRLREG_TRACEDT06_IND_TRACEDT06_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT06_SEL_1_TRACEDT06_SHIFT                     1
#define    PADCTRLREG_TRACEDT06_SEL_1_TRACEDT06_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT06_SEL_0_TRACEDT06_SHIFT                     0
#define    PADCTRLREG_TRACEDT06_SEL_0_TRACEDT06_MASK                      0x00000001

#define PADCTRLREG_TRACEDT07_OFFSET                                       0x00000230
#define PADCTRLREG_TRACEDT07_TYPE                                         UInt32
#define PADCTRLREG_TRACEDT07_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACEDT07_PINSEL_TRACEDT07_SHIFT                    8
#define    PADCTRLREG_TRACEDT07_PINSEL_TRACEDT07_MASK                     0x00000700
#define    PADCTRLREG_TRACEDT07_HYS_EN_TRACEDT07_SHIFT                    7
#define    PADCTRLREG_TRACEDT07_HYS_EN_TRACEDT07_MASK                     0x00000080
#define    PADCTRLREG_TRACEDT07_PDN_TRACEDT07_SHIFT                       6
#define    PADCTRLREG_TRACEDT07_PDN_TRACEDT07_MASK                        0x00000040
#define    PADCTRLREG_TRACEDT07_PUP_TRACEDT07_SHIFT                       5
#define    PADCTRLREG_TRACEDT07_PUP_TRACEDT07_MASK                        0x00000020
#define    PADCTRLREG_TRACEDT07_SRC_TRACEDT07_SHIFT                       4
#define    PADCTRLREG_TRACEDT07_SRC_TRACEDT07_MASK                        0x00000010
#define    PADCTRLREG_TRACEDT07_IND_TRACEDT07_SHIFT                       3
#define    PADCTRLREG_TRACEDT07_IND_TRACEDT07_MASK                        0x00000008
#define    PADCTRLREG_TRACEDT07_SEL_1_TRACEDT07_SHIFT                     1
#define    PADCTRLREG_TRACEDT07_SEL_1_TRACEDT07_MASK                      0x00000002
#define    PADCTRLREG_TRACEDT07_SEL_0_TRACEDT07_SHIFT                     0
#define    PADCTRLREG_TRACEDT07_SEL_0_TRACEDT07_MASK                      0x00000001

#define PADCTRLREG_TRSTB_OFFSET                                           0x00000234
#define PADCTRLREG_TRSTB_TYPE                                             UInt32
#define PADCTRLREG_TRSTB_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_TRSTB_PINSEL_TRSTB_SHIFT                            8
#define    PADCTRLREG_TRSTB_PINSEL_TRSTB_MASK                             0x00000700
#define    PADCTRLREG_TRSTB_HYS_EN_TRSTB_SHIFT                            7
#define    PADCTRLREG_TRSTB_HYS_EN_TRSTB_MASK                             0x00000080
#define    PADCTRLREG_TRSTB_PDN_TRSTB_SHIFT                               6
#define    PADCTRLREG_TRSTB_PDN_TRSTB_MASK                                0x00000040
#define    PADCTRLREG_TRSTB_PUP_TRSTB_SHIFT                               5
#define    PADCTRLREG_TRSTB_PUP_TRSTB_MASK                                0x00000020
#define    PADCTRLREG_TRSTB_SRC_TRSTB_SHIFT                               4
#define    PADCTRLREG_TRSTB_SRC_TRSTB_MASK                                0x00000010
#define    PADCTRLREG_TRSTB_IND_TRSTB_SHIFT                               3
#define    PADCTRLREG_TRSTB_IND_TRSTB_MASK                                0x00000008
#define    PADCTRLREG_TRSTB_SEL_2_TRSTB_SHIFT                             2
#define    PADCTRLREG_TRSTB_SEL_2_TRSTB_MASK                              0x00000004
#define    PADCTRLREG_TRSTB_SEL_1_TRSTB_SHIFT                             1
#define    PADCTRLREG_TRSTB_SEL_1_TRSTB_MASK                              0x00000002
#define    PADCTRLREG_TRSTB_SEL_0_TRSTB_SHIFT                             0
#define    PADCTRLREG_TRSTB_SEL_0_TRSTB_MASK                              0x00000001

#define PADCTRLREG_TXDATA3G0_OFFSET                                       0x00000238
#define PADCTRLREG_TXDATA3G0_TYPE                                         UInt32
#define PADCTRLREG_TXDATA3G0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_TXDATA3G0_PINSEL_TXDATA3G0_SHIFT                    8
#define    PADCTRLREG_TXDATA3G0_PINSEL_TXDATA3G0_MASK                     0x00000700
#define    PADCTRLREG_TXDATA3G0_HYS_EN_TXDATA3G0_SHIFT                    7
#define    PADCTRLREG_TXDATA3G0_HYS_EN_TXDATA3G0_MASK                     0x00000080
#define    PADCTRLREG_TXDATA3G0_PDN_TXDATA3G0_SHIFT                       6
#define    PADCTRLREG_TXDATA3G0_PDN_TXDATA3G0_MASK                        0x00000040
#define    PADCTRLREG_TXDATA3G0_PUP_TXDATA3G0_SHIFT                       5
#define    PADCTRLREG_TXDATA3G0_PUP_TXDATA3G0_MASK                        0x00000020
#define    PADCTRLREG_TXDATA3G0_SRC_TXDATA3G0_SHIFT                       4
#define    PADCTRLREG_TXDATA3G0_SRC_TXDATA3G0_MASK                        0x00000010
#define    PADCTRLREG_TXDATA3G0_IND_TXDATA3G0_SHIFT                       3
#define    PADCTRLREG_TXDATA3G0_IND_TXDATA3G0_MASK                        0x00000008
#define    PADCTRLREG_TXDATA3G0_SEL_2_TXDATA3G0_SHIFT                     2
#define    PADCTRLREG_TXDATA3G0_SEL_2_TXDATA3G0_MASK                      0x00000004
#define    PADCTRLREG_TXDATA3G0_SEL_1_TXDATA3G0_SHIFT                     1
#define    PADCTRLREG_TXDATA3G0_SEL_1_TXDATA3G0_MASK                      0x00000002
#define    PADCTRLREG_TXDATA3G0_SEL_0_TXDATA3G0_SHIFT                     0
#define    PADCTRLREG_TXDATA3G0_SEL_0_TXDATA3G0_MASK                      0x00000001

#define PADCTRLREG_UBCTSN_OFFSET                                          0x0000023C
#define PADCTRLREG_UBCTSN_TYPE                                            UInt32
#define PADCTRLREG_UBCTSN_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_UBCTSN_PINSEL_UBCTSN_SHIFT                          8
#define    PADCTRLREG_UBCTSN_PINSEL_UBCTSN_MASK                           0x00000700
#define    PADCTRLREG_UBCTSN_HYS_EN_UBCTSN_SHIFT                          7
#define    PADCTRLREG_UBCTSN_HYS_EN_UBCTSN_MASK                           0x00000080
#define    PADCTRLREG_UBCTSN_PDN_UBCTSN_SHIFT                             6
#define    PADCTRLREG_UBCTSN_PDN_UBCTSN_MASK                              0x00000040
#define    PADCTRLREG_UBCTSN_PUP_UBCTSN_SHIFT                             5
#define    PADCTRLREG_UBCTSN_PUP_UBCTSN_MASK                              0x00000020
#define    PADCTRLREG_UBCTSN_SRC_UBCTSN_SHIFT                             4
#define    PADCTRLREG_UBCTSN_SRC_UBCTSN_MASK                              0x00000010
#define    PADCTRLREG_UBCTSN_IND_UBCTSN_SHIFT                             3
#define    PADCTRLREG_UBCTSN_IND_UBCTSN_MASK                              0x00000008
#define    PADCTRLREG_UBCTSN_SEL_2_UBCTSN_SHIFT                           2
#define    PADCTRLREG_UBCTSN_SEL_2_UBCTSN_MASK                            0x00000004
#define    PADCTRLREG_UBCTSN_SEL_1_UBCTSN_SHIFT                           1
#define    PADCTRLREG_UBCTSN_SEL_1_UBCTSN_MASK                            0x00000002
#define    PADCTRLREG_UBCTSN_SEL_0_UBCTSN_SHIFT                           0
#define    PADCTRLREG_UBCTSN_SEL_0_UBCTSN_MASK                            0x00000001

#define PADCTRLREG_UBRTSN_OFFSET                                          0x00000240
#define PADCTRLREG_UBRTSN_TYPE                                            UInt32
#define PADCTRLREG_UBRTSN_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_UBRTSN_PINSEL_UBRTSN_SHIFT                          8
#define    PADCTRLREG_UBRTSN_PINSEL_UBRTSN_MASK                           0x00000700
#define    PADCTRLREG_UBRTSN_HYS_EN_UBRTSN_SHIFT                          7
#define    PADCTRLREG_UBRTSN_HYS_EN_UBRTSN_MASK                           0x00000080
#define    PADCTRLREG_UBRTSN_PDN_UBRTSN_SHIFT                             6
#define    PADCTRLREG_UBRTSN_PDN_UBRTSN_MASK                              0x00000040
#define    PADCTRLREG_UBRTSN_PUP_UBRTSN_SHIFT                             5
#define    PADCTRLREG_UBRTSN_PUP_UBRTSN_MASK                              0x00000020
#define    PADCTRLREG_UBRTSN_SRC_UBRTSN_SHIFT                             4
#define    PADCTRLREG_UBRTSN_SRC_UBRTSN_MASK                              0x00000010
#define    PADCTRLREG_UBRTSN_IND_UBRTSN_SHIFT                             3
#define    PADCTRLREG_UBRTSN_IND_UBRTSN_MASK                              0x00000008
#define    PADCTRLREG_UBRTSN_SEL_2_UBRTSN_SHIFT                           2
#define    PADCTRLREG_UBRTSN_SEL_2_UBRTSN_MASK                            0x00000004
#define    PADCTRLREG_UBRTSN_SEL_1_UBRTSN_SHIFT                           1
#define    PADCTRLREG_UBRTSN_SEL_1_UBRTSN_MASK                            0x00000002
#define    PADCTRLREG_UBRTSN_SEL_0_UBRTSN_SHIFT                           0
#define    PADCTRLREG_UBRTSN_SEL_0_UBRTSN_MASK                            0x00000001

#define PADCTRLREG_UBRX_OFFSET                                            0x00000244
#define PADCTRLREG_UBRX_TYPE                                              UInt32
#define PADCTRLREG_UBRX_RESERVED_MASK                                     0xFFFFF800
#define    PADCTRLREG_UBRX_PINSEL_UBRX_SHIFT                              8
#define    PADCTRLREG_UBRX_PINSEL_UBRX_MASK                               0x00000700
#define    PADCTRLREG_UBRX_HYS_EN_UBRX_SHIFT                              7
#define    PADCTRLREG_UBRX_HYS_EN_UBRX_MASK                               0x00000080
#define    PADCTRLREG_UBRX_PDN_UBRX_SHIFT                                 6
#define    PADCTRLREG_UBRX_PDN_UBRX_MASK                                  0x00000040
#define    PADCTRLREG_UBRX_PUP_UBRX_SHIFT                                 5
#define    PADCTRLREG_UBRX_PUP_UBRX_MASK                                  0x00000020
#define    PADCTRLREG_UBRX_SRC_UBRX_SHIFT                                 4
#define    PADCTRLREG_UBRX_SRC_UBRX_MASK                                  0x00000010
#define    PADCTRLREG_UBRX_IND_UBRX_SHIFT                                 3
#define    PADCTRLREG_UBRX_IND_UBRX_MASK                                  0x00000008
#define    PADCTRLREG_UBRX_SEL_2_UBRX_SHIFT                               2
#define    PADCTRLREG_UBRX_SEL_2_UBRX_MASK                                0x00000004
#define    PADCTRLREG_UBRX_SEL_1_UBRX_SHIFT                               1
#define    PADCTRLREG_UBRX_SEL_1_UBRX_MASK                                0x00000002
#define    PADCTRLREG_UBRX_SEL_0_UBRX_SHIFT                               0
#define    PADCTRLREG_UBRX_SEL_0_UBRX_MASK                                0x00000001

#define PADCTRLREG_UBTX_OFFSET                                            0x00000248
#define PADCTRLREG_UBTX_TYPE                                              UInt32
#define PADCTRLREG_UBTX_RESERVED_MASK                                     0xFFFFF800
#define    PADCTRLREG_UBTX_PINSEL_UBTX_SHIFT                              8
#define    PADCTRLREG_UBTX_PINSEL_UBTX_MASK                               0x00000700
#define    PADCTRLREG_UBTX_HYS_EN_UBTX_SHIFT                              7
#define    PADCTRLREG_UBTX_HYS_EN_UBTX_MASK                               0x00000080
#define    PADCTRLREG_UBTX_PDN_UBTX_SHIFT                                 6
#define    PADCTRLREG_UBTX_PDN_UBTX_MASK                                  0x00000040
#define    PADCTRLREG_UBTX_PUP_UBTX_SHIFT                                 5
#define    PADCTRLREG_UBTX_PUP_UBTX_MASK                                  0x00000020
#define    PADCTRLREG_UBTX_SRC_UBTX_SHIFT                                 4
#define    PADCTRLREG_UBTX_SRC_UBTX_MASK                                  0x00000010
#define    PADCTRLREG_UBTX_IND_UBTX_SHIFT                                 3
#define    PADCTRLREG_UBTX_IND_UBTX_MASK                                  0x00000008
#define    PADCTRLREG_UBTX_SEL_2_UBTX_SHIFT                               2
#define    PADCTRLREG_UBTX_SEL_2_UBTX_MASK                                0x00000004
#define    PADCTRLREG_UBTX_SEL_1_UBTX_SHIFT                               1
#define    PADCTRLREG_UBTX_SEL_1_UBTX_MASK                                0x00000002
#define    PADCTRLREG_UBTX_SEL_0_UBTX_SHIFT                               0
#define    PADCTRLREG_UBTX_SEL_0_UBTX_MASK                                0x00000001

#define PADCTRLREG_ACCESS_LOCK0_OFFSET                                    0x00000780
#define PADCTRLREG_ACCESS_LOCK0_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK0_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK0_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK0_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK1_OFFSET                                    0x00000784
#define PADCTRLREG_ACCESS_LOCK1_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK1_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK1_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK1_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK2_OFFSET                                    0x00000788
#define PADCTRLREG_ACCESS_LOCK2_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK2_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK2_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK2_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK3_OFFSET                                    0x0000078C
#define PADCTRLREG_ACCESS_LOCK3_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK3_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK3_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK3_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK4_OFFSET                                    0x00000790
#define PADCTRLREG_ACCESS_LOCK4_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK4_RESERVED_MASK                             0xFFF80000
#define    PADCTRLREG_ACCESS_LOCK4_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK4_ACCESS_LOCK_MASK                       0x0007FFFF

#define PADCTRLREG_WR_ACCESS_OFFSET                                       0x000007F0
#define PADCTRLREG_WR_ACCESS_TYPE                                         UInt32
#define PADCTRLREG_WR_ACCESS_RESERVED_MASK                                0xFF0000FE
#define    PADCTRLREG_WR_ACCESS_PASSWORD_SHIFT                            8
#define    PADCTRLREG_WR_ACCESS_PASSWORD_MASK                             0x00FFFF00
#define    PADCTRLREG_WR_ACCESS_PADCTRL_ACCESS_SHIFT                      0
#define    PADCTRLREG_WR_ACCESS_PADCTRL_ACCESS_MASK                       0x00000001

#endif /* __BRCM_RDB_PADCTRLREG_H__ */


