/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 10/18/2011 12:16:18                                             */
/*     RDB file : //RHEA/                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_SSPIL_H__
#define __BRCM_RDB_SSPIL_H__

#define SSPIL_DSP_CONTROL_OFFSET                                          0x00000000
#define SSPIL_DSP_CONTROL_TYPE                                            UInt32
#define SSPIL_DSP_CONTROL_RESERVED_MASK                                   0x60FFFFFC
#define    SSPIL_DSP_CONTROL_SSPI_SOFT_RESET_SHIFT                        31
#define    SSPIL_DSP_CONTROL_SSPI_SOFT_RESET_MASK                         0x80000000
#define    SSPIL_DSP_CONTROL_SSPI_DBG_BYPASS_SHIFT                        28
#define    SSPIL_DSP_CONTROL_SSPI_DBG_BYPASS_MASK                         0x10000000
#define    SSPIL_DSP_CONTROL_SSPI_DBG_SELECT_SHIFT                        24
#define    SSPIL_DSP_CONTROL_SSPI_DBG_SELECT_MASK                         0x0F000000
#define    SSPIL_DSP_CONTROL_SSPI_SLAVE_SHIFT                             1
#define    SSPIL_DSP_CONTROL_SSPI_SLAVE_MASK                              0x00000002
#define    SSPIL_DSP_CONTROL_SSPI_ENABLE_SHIFT                            0
#define    SSPIL_DSP_CONTROL_SSPI_ENABLE_MASK                             0x00000001

#define SSPIL_DSP_CONFIGURATION_CHECK_OFFSET                              0x00000002
#define SSPIL_DSP_CONFIGURATION_CHECK_TYPE                                UInt32
#define SSPIL_DSP_CONFIGURATION_CHECK_RESERVED_MASK                       0xF0F80000
#define    SSPIL_DSP_CONFIGURATION_CHECK_FIFO_MAXSIZE_SHIFT               24
#define    SSPIL_DSP_CONFIGURATION_CHECK_FIFO_MAXSIZE_MASK                0x0F000000
#define    SSPIL_DSP_CONFIGURATION_CHECK_DMA_NUMBER_SHIFT                 17
#define    SSPIL_DSP_CONFIGURATION_CHECK_DMA_NUMBER_MASK                  0x00060000
#define    SSPIL_DSP_CONFIGURATION_CHECK_SEQUENCE_NUMBER_SHIFT            12
#define    SSPIL_DSP_CONFIGURATION_CHECK_SEQUENCE_NUMBER_MASK             0x0001F000
#define    SSPIL_DSP_CONFIGURATION_CHECK_FRAME_NUMBER_SHIFT               9
#define    SSPIL_DSP_CONFIGURATION_CHECK_FRAME_NUMBER_MASK                0x00000E00
#define    SSPIL_DSP_CONFIGURATION_CHECK_TASK_NUMBER_SHIFT                6
#define    SSPIL_DSP_CONFIGURATION_CHECK_TASK_NUMBER_MASK                 0x000001C0
#define    SSPIL_DSP_CONFIGURATION_CHECK_FIFO_NUMBER_SHIFT                4
#define    SSPIL_DSP_CONFIGURATION_CHECK_FIFO_NUMBER_MASK                 0x00000030
#define    SSPIL_DSP_CONFIGURATION_CHECK_TX_NUMBER_SHIFT                  3
#define    SSPIL_DSP_CONFIGURATION_CHECK_TX_NUMBER_MASK                   0x00000008
#define    SSPIL_DSP_CONFIGURATION_CHECK_CS_NUMBER_SHIFT                  1
#define    SSPIL_DSP_CONFIGURATION_CHECK_CS_NUMBER_MASK                   0x00000006
#define    SSPIL_DSP_CONFIGURATION_CHECK_SIDETONE_ON_SHIFT                0
#define    SSPIL_DSP_CONFIGURATION_CHECK_SIDETONE_ON_MASK                 0x00000001

#define SSPIL_DSP_INTERRUPT_STATUS_OFFSET                                 0x00000008
#define SSPIL_DSP_INTERRUPT_STATUS_TYPE                                   UInt32
#define SSPIL_DSP_INTERRUPT_STATUS_RESERVED_MASK                          0x0FF8F800
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_TX0_STATUS_SHIFT                31
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_TX0_STATUS_MASK                 0x80000000
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_RX0_STATUS_SHIFT                30
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_RX0_STATUS_MASK                 0x40000000
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_TX1_STATUS_SHIFT                29
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_TX1_STATUS_MASK                 0x20000000
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_RX1_STATUS_SHIFT                28
#define    SSPIL_DSP_INTERRUPT_STATUS_DMA_RX1_STATUS_MASK                 0x10000000
#define    SSPIL_DSP_INTERRUPT_STATUS_AJUMP_STATUS_SHIFT                  18
#define    SSPIL_DSP_INTERRUPT_STATUS_AJUMP_STATUS_MASK                   0x00040000
#define    SSPIL_DSP_INTERRUPT_STATUS_FIFO_OVERRUN_STATUS_SHIFT           17
#define    SSPIL_DSP_INTERRUPT_STATUS_FIFO_OVERRUN_STATUS_MASK            0x00020000
#define    SSPIL_DSP_INTERRUPT_STATUS_FIFO_UNDERRUN_STATUS_SHIFT          16
#define    SSPIL_DSP_INTERRUPT_STATUS_FIFO_UNDERRUN_STATUS_MASK           0x00010000
#define    SSPIL_DSP_INTERRUPT_STATUS_MASTER_CLKEXT_TIMEOUT_STATUS_SHIFT  10
#define    SSPIL_DSP_INTERRUPT_STATUS_MASTER_CLKEXT_TIMEOUT_STATUS_MASK   0x00000400
#define    SSPIL_DSP_INTERRUPT_STATUS_SLAVE_TIMEOUT_STATUS_SHIFT          9
#define    SSPIL_DSP_INTERRUPT_STATUS_SLAVE_TIMEOUT_STATUS_MASK           0x00000200
#define    SSPIL_DSP_INTERRUPT_STATUS_SLAVE_PROTOCOL_STATUS_SHIFT         8
#define    SSPIL_DSP_INTERRUPT_STATUS_SLAVE_PROTOCOL_STATUS_MASK          0x00000100
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_TX_START_STATUS_SHIFT           7
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_TX_START_STATUS_MASK            0x00000080
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_TX_STOP_STATUS_SHIFT            6
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_TX_STOP_STATUS_MASK             0x00000040
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_RX_START_STATUS_SHIFT           5
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_RX_START_STATUS_MASK            0x00000020
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_RX_STOP_STATUS_SHIFT            4
#define    SSPIL_DSP_INTERRUPT_STATUS_PIO_RX_STOP_STATUS_MASK             0x00000010
#define    SSPIL_DSP_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_STATUS_SHIFT    3
#define    SSPIL_DSP_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_STATUS_MASK     0x00000008
#define    SSPIL_DSP_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_STATUS_SHIFT    2
#define    SSPIL_DSP_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_STATUS_MASK     0x00000004
#define    SSPIL_DSP_INTERRUPT_STATUS_SCHEDULER_STATUS_SHIFT              1
#define    SSPIL_DSP_INTERRUPT_STATUS_SCHEDULER_STATUS_MASK               0x00000002
#define    SSPIL_DSP_INTERRUPT_STATUS_COPY_SSPI_INT_SHIFT                 0
#define    SSPIL_DSP_INTERRUPT_STATUS_COPY_SSPI_INT_MASK                  0x00000001

#define SSPIL_DSP_INTERRUPT_ENABLE_OFFSET                                 0x0000000A
#define SSPIL_DSP_INTERRUPT_ENABLE_TYPE                                   UInt32
#define SSPIL_DSP_INTERRUPT_ENABLE_RESERVED_MASK                          0x0FF8F801
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_TX0_INTERRUPT_ENB_SHIFT         31
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_TX0_INTERRUPT_ENB_MASK          0x80000000
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_RX0_INTERRUPT_ENB_SHIFT         30
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_RX0_INTERRUPT_ENB_MASK          0x40000000
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_TX1_INTERRUPT_ENB_SHIFT         29
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_TX1_INTERRUPT_ENB_MASK          0x20000000
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_RX1_INTERRUPT_ENB_SHIFT         28
#define    SSPIL_DSP_INTERRUPT_ENABLE_DMA_RX1_INTERRUPT_ENB_MASK          0x10000000
#define    SSPIL_DSP_INTERRUPT_ENABLE_AJUMP_INTERRUPT_ENB_SHIFT           18
#define    SSPIL_DSP_INTERRUPT_ENABLE_AJUMP_INTERRUPT_ENB_MASK            0x00040000
#define    SSPIL_DSP_INTERRUPT_ENABLE_FIFO_OVERRUN_INTERRUPT_ENB_SHIFT    17
#define    SSPIL_DSP_INTERRUPT_ENABLE_FIFO_OVERRUN_INTERRUPT_ENB_MASK     0x00020000
#define    SSPIL_DSP_INTERRUPT_ENABLE_FIFO_UNDERRUN_INTERRUPT_ENB_SHIFT   16
#define    SSPIL_DSP_INTERRUPT_ENABLE_FIFO_UNDERRUN_INTERRUPT_ENB_MASK    0x00010000
#define    SSPIL_DSP_INTERRUPT_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ENB_SHIFT 10
#define    SSPIL_DSP_INTERRUPT_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ENB_MASK 0x00000400
#define    SSPIL_DSP_INTERRUPT_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ENB_SHIFT   9
#define    SSPIL_DSP_INTERRUPT_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ENB_MASK    0x00000200
#define    SSPIL_DSP_INTERRUPT_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ENB_SHIFT  8
#define    SSPIL_DSP_INTERRUPT_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ENB_MASK   0x00000100
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_TX_START_INTERRUPT_ENB_SHIFT    7
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_TX_START_INTERRUPT_ENB_MASK     0x00000080
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_TX_STOP_INTERRUPT_ENB_SHIFT     6
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_TX_STOP_INTERRUPT_ENB_MASK      0x00000040
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_RX_START_INTERRUPT_ENB_SHIFT    5
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_RX_START_INTERRUPT_ENB_MASK     0x00000020
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_RX_STOP_INTERRUPT_ENB_SHIFT     4
#define    SSPIL_DSP_INTERRUPT_ENABLE_PIO_RX_STOP_INTERRUPT_ENB_MASK      0x00000010
#define    SSPIL_DSP_INTERRUPT_ENABLE_APB_TX_ERROR_INTERRUPT_ENB_SHIFT    3
#define    SSPIL_DSP_INTERRUPT_ENABLE_APB_TX_ERROR_INTERRUPT_ENB_MASK     0x00000008
#define    SSPIL_DSP_INTERRUPT_ENABLE_APB_RX_ERROR_INTERRUPT_ENB_SHIFT    2
#define    SSPIL_DSP_INTERRUPT_ENABLE_APB_RX_ERROR_INTERRUPT_ENB_MASK     0x00000004
#define    SSPIL_DSP_INTERRUPT_ENABLE_SCHEDULER_INTERRUPT_ENB_SHIFT       1
#define    SSPIL_DSP_INTERRUPT_ENABLE_SCHEDULER_INTERRUPT_ENB_MASK        0x00000002

#define SSPIL_DSP_DETAIL_INTERRUPT_STATUS_OFFSET                          0x0000000C
#define SSPIL_DSP_DETAIL_INTERRUPT_STATUS_TYPE                            UInt32
#define SSPIL_DSP_DETAIL_INTERRUPT_STATUS_RESERVED_MASK                   0x00000000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_FIFO_OVERRUN_VECTOR_SHIFT    28
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_FIFO_OVERRUN_VECTOR_MASK     0xF0000000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_FIFO_UNDERRUN_VECTOR_SHIFT   24
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_FIFO_UNDERRUN_VECTOR_MASK    0x0F000000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_TX_START_VECTOR_SHIFT    20
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_TX_START_VECTOR_MASK     0x00F00000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_TX_STOP_VECTOR_SHIFT     16
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_TX_STOP_VECTOR_MASK      0x000F0000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_RX_START_VECTOR_SHIFT    12
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_RX_START_VECTOR_MASK     0x0000F000
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_RX_STOP_VECTOR_SHIFT     8
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_PIO_RX_STOP_VECTOR_MASK      0x00000F00
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_VECTOR_SHIFT 4
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_VECTOR_MASK 0x000000F0
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_VECTOR_SHIFT 0
#define    SSPIL_DSP_DETAIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_VECTOR_MASK 0x0000000F

#define SSPIL_DSP_INTERRUPT_ERROR_ENABLE_OFFSET                           0x0000000E
#define SSPIL_DSP_INTERRUPT_ERROR_ENABLE_TYPE                             UInt32
#define SSPIL_DSP_INTERRUPT_ERROR_ENABLE_RESERVED_MASK                    0x0FF8F801
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_TX0_INTERRUPT_ERROR_ENB_SHIFT 31
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_TX0_INTERRUPT_ERROR_ENB_MASK 0x80000000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_RX0_INTERRUPT_ERROR_ENB_SHIFT 30
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_RX0_INTERRUPT_ERROR_ENB_MASK 0x40000000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_TX1_INTERRUPT_ERROR_ENB_SHIFT 29
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_TX1_INTERRUPT_ERROR_ENB_MASK 0x20000000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_RX1_INTERRUPT_ERROR_ENB_SHIFT 28
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_DMA_RX1_INTERRUPT_ERROR_ENB_MASK 0x10000000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_AJUMP_INTERRUPT_ERROR_ENB_SHIFT 18
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_AJUMP_INTERRUPT_ERROR_ENB_MASK 0x00040000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_FIFO_OVERRUN_INTERRUPT_ERROR_ENB_SHIFT 17
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_FIFO_OVERRUN_INTERRUPT_ERROR_ENB_MASK 0x00020000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_FIFO_UNDERRUN_INTERRUPT_ERROR_ENB_SHIFT 16
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_FIFO_UNDERRUN_INTERRUPT_ERROR_ENB_MASK 0x00010000
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ERROR__ENB_SHIFT 10
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ERROR__ENB_MASK 0x00000400
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ERROR_ENB_SHIFT 9
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ERROR_ENB_MASK 0x00000200
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ERROR_ENB_SHIFT 8
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ERROR_ENB_MASK 0x00000100
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_TX_START_INTERRUPT_ERROR_ENB_SHIFT 7
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_TX_START_INTERRUPT_ERROR_ENB_MASK 0x00000080
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_TX_STOP_INTERRUPT_ERROR_ENB_SHIFT 6
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_TX_STOP_INTERRUPT_ERROR_ENB_MASK 0x00000040
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_RX_START_INTERRUPT_ERROR_ENB_SHIFT 5
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_RX_START_INTERRUPT_ERROR_ENB_MASK 0x00000020
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_RX_STOP_INTERRUPT_ERROR_ENB_SHIFT 4
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_PIO_RX_STOP_INTERRUPT_ERROR_ENB_MASK 0x00000010
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_APB_TX_ERROR_INTERRUPT_ERROR_ENB_SHIFT 3
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_APB_TX_ERROR_INTERRUPT_ERROR_ENB_MASK 0x00000008
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_APB_RX_ERROR_INTERRUPT_ERROR_ENB_SHIFT 2
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_APB_RX_ERROR_INTERRUPT_ERROR_ENB_MASK 0x00000004
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SCHEDULER_INTERRUPT_ERROR_ENB_SHIFT 1
#define    SSPIL_DSP_INTERRUPT_ERROR_ENABLE_SCHEDULER_INTERRUPT_ERROR_ENB_MASK 0x00000002

#define SSPIL_DSP_SCHEDULER_CONTROL_OFFSET                                0x00000010
#define SSPIL_DSP_SCHEDULER_CONTROL_TYPE                                  UInt32
#define SSPIL_DSP_SCHEDULER_CONTROL_RESERVED_MASK                         0x03FFFFC2
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_CURRENT_TASK_SHIFT             29
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_CURRENT_TASK_MASK              0xE0000000
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_WAIT_BEFORE_START_SHIFT        28
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_WAIT_BEFORE_START_MASK         0x10000000
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_NO_TASK_ENABLED_SHIFT          27
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_NO_TASK_ENABLED_MASK           0x08000000
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_SLAVE_TRANSFERSTARTED_SHIFT    26
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_SLAVE_TRANSFERSTARTED_MASK     0x04000000
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_INITIAL_TASK_SHIFT             3
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_INITIAL_TASK_MASK              0x00000038
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_INITIAL_CHOOSEN_SHIFT          2
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_INITIAL_CHOOSEN_MASK           0x00000004
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_ENABLE_SHIFT                   0
#define    SSPIL_DSP_SCHEDULER_CONTROL_SCH_ENABLE_MASK                    0x00000001

#define SSPIL_DSP_SEQUENCE_CONTROL_OFFSET                                 0x00000012
#define SSPIL_DSP_SEQUENCE_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_SEQUENCE_CONTROL_RESERVED_MASK                          0x0400FFFF
#define    SSPIL_DSP_SEQUENCE_CONTROL_PC_SHIFT                            27
#define    SSPIL_DSP_SEQUENCE_CONTROL_PC_MASK                             0xF8000000
#define    SSPIL_DSP_SEQUENCE_CONTROL_LOOP_REGISTER_SHIFT                 16
#define    SSPIL_DSP_SEQUENCE_CONTROL_LOOP_REGISTER_MASK                  0x03FF0000

#define SSPIL_DSP_STATE_MACHINE_CONTROL_OFFSET                            0x00000014
#define SSPIL_DSP_STATE_MACHINE_CONTROL_TYPE                              UInt32
#define SSPIL_DSP_STATE_MACHINE_CONTROL_RESERVED_MASK                     0xFFFFFF0C
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_CSOEN0_IDLE_SHIFT       7
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_CSOEN0_IDLE_MASK        0x00000080
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_CS0_IDLE_SHIFT          6
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_CS0_IDLE_MASK           0x00000040
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_SCLKOEN_IDLE_SHIFT      5
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_SCLKOEN_IDLE_MASK       0x00000020
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_SCLK_IDLE_SHIFT         4
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MASTER_SCLK_IDLE_MASK          0x00000010
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MS_TXOEN0_IDLE_SHIFT           1
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MS_TXOEN0_IDLE_MASK            0x00000002
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MS_TX0_IDLE_SHIFT              0
#define    SSPIL_DSP_STATE_MACHINE_CONTROL_MS_TX0_IDLE_MASK               0x00000001

#define SSPIL_DSP_STATE_MACHINE_TIMEOUT_OFFSET                            0x00000016
#define SSPIL_DSP_STATE_MACHINE_TIMEOUT_TYPE                              UInt32
#define SSPIL_DSP_STATE_MACHINE_TIMEOUT_RESERVED_MASK                     0x00000000
#define    SSPIL_DSP_STATE_MACHINE_TIMEOUT_SLAVE_TIMEOUT_VALUE_SHIFT      16
#define    SSPIL_DSP_STATE_MACHINE_TIMEOUT_SLAVE_TIMEOUT_VALUE_MASK       0xFFFF0000
#define    SSPIL_DSP_STATE_MACHINE_TIMEOUT_SCLKEXT_TIMEOUT_VALUE_SHIFT    0
#define    SSPIL_DSP_STATE_MACHINE_TIMEOUT_SCLKEXT_TIMEOUT_VALUE_MASK     0x0000FFFF

#define SSPIL_DSP_FIFO_SHARING_OFFSET                                     0x00000018
#define SSPIL_DSP_FIFO_SHARING_TYPE                                       UInt32
#define SSPIL_DSP_FIFO_SHARING_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_3_SIZE_SHIFT                    14
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_3_SIZE_MASK                     0x0000C000
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_2_SIZE_SHIFT                    12
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_2_SIZE_MASK                     0x00003000
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_1_SIZE_SHIFT                    10
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_1_SIZE_MASK                     0x00000C00
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_0_SIZE_SHIFT                    8
#define    SSPIL_DSP_FIFO_SHARING_FIFO_RX_0_SIZE_MASK                     0x00000300
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_3_SIZE_SHIFT                    6
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_3_SIZE_MASK                     0x000000C0
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_2_SIZE_SHIFT                    4
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_2_SIZE_MASK                     0x00000030
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_1_SIZE_SHIFT                    2
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_1_SIZE_MASK                     0x0000000C
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_0_SIZE_SHIFT                    0
#define    SSPIL_DSP_FIFO_SHARING_FIFO_TX_0_SIZE_MASK                     0x00000003

#define SSPIL_DSP_CLKDIV_OFFSET                                           0x0000001A
#define SSPIL_DSP_CLKDIV_TYPE                                             UInt32
#define SSPIL_DSP_CLKDIV_RESERVED_MASK                                    0x3F80F000
#define    SSPIL_DSP_CLKDIV_CLK_CHOICE_SHIFT                              30
#define    SSPIL_DSP_CLKDIV_CLK_CHOICE_MASK                               0xC0000000
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_REF_SHIFT                       16
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_REF_MASK                        0x007F0000
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_2_SHIFT                         8
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_2_MASK                          0x00000F00
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_1_SHIFT                         4
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_1_MASK                          0x000000F0
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_0_SHIFT                         0
#define    SSPIL_DSP_CLKDIV_CLKDIV_FACTOR_0_MASK                          0x0000000F

#define SSPIL_DSP_CLKGEN_OFFSET                                           0x0000001C
#define SSPIL_DSP_CLKGEN_TYPE                                             UInt32
#define SSPIL_DSP_CLKGEN_RESERVED_MASK                                    0x03000000
#define    SSPIL_DSP_CLKGEN_CLKGEN_RESYNC_ENABLE_SHIFT                    31
#define    SSPIL_DSP_CLKGEN_CLKGEN_RESYNC_ENABLE_MASK                     0x80000000
#define    SSPIL_DSP_CLKGEN_CLKGEN_TRIGGER_SEL_SHIFT                      26
#define    SSPIL_DSP_CLKGEN_CLKGEN_TRIGGER_SEL_MASK                       0x7C000000
#define    SSPIL_DSP_CLKGEN_CLKGEN_NB_CYCLE_EDGE_SHIFT                    12
#define    SSPIL_DSP_CLKGEN_CLKGEN_NB_CYCLE_EDGE_MASK                     0x00FFF000
#define    SSPIL_DSP_CLKGEN_CLKGEN_NB_EDGES_SHIFT                         0
#define    SSPIL_DSP_CLKGEN_CLKGEN_NB_EDGES_MASK                          0x00000FFF

#define SSPIL_DSP_FIFOTX_0_CONTROL_OFFSET                                 0x00000020
#define SSPIL_DSP_FIFOTX_0_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFOTX_0_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_REPEAT_READ_SHIFT           8
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_REPEAT_READ_MASK            0x00000F00
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_DATA_WRITE_SIZE_SHIFT       3
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_DATA_WRITE_SIZE_MASK        0x00000018
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFOTX_0_CONTROL_FIFOTX0_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFOTX_0_THRESHOLD_OFFSET                               0x00000022
#define SSPIL_DSP_FIFOTX_0_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFOTX_0_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFOTX_0_THRESHOLD_FIFOTX0_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFOTX_0_THRESHOLD_FIFOTX0_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFORX_0_CONTROL_OFFSET                                 0x00000024
#define SSPIL_DSP_FIFORX_0_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFORX_0_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_REPEAT_WRITE_SHIFT          8
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_REPEAT_WRITE_MASK           0x00000F00
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_DATA_READ_SIZE_SHIFT        3
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_DATA_READ_SIZE_MASK         0x00000018
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFORX_0_CONTROL_FIFORX0_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFORX_0_THRESHOLD_OFFSET                               0x00000026
#define SSPIL_DSP_FIFORX_0_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFORX_0_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFORX_0_THRESHOLD_FIFORX0_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFORX_0_THRESHOLD_FIFORX0_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFOTX_1_CONTROL_OFFSET                                 0x00000028
#define SSPIL_DSP_FIFOTX_1_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFOTX_1_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_REPEAT_READ_SHIFT           8
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_REPEAT_READ_MASK            0x00000F00
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_DATA_WRITE_SIZE_SHIFT       3
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_DATA_WRITE_SIZE_MASK        0x00000018
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFOTX_1_CONTROL_FIFOTX1_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFOTX_1_THRESHOLD_OFFSET                               0x0000002A
#define SSPIL_DSP_FIFOTX_1_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFOTX_1_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFOTX_1_THRESHOLD_FIFOTX1_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFOTX_1_THRESHOLD_FIFOTX1_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFORX_1_CONTROL_OFFSET                                 0x0000002C
#define SSPIL_DSP_FIFORX_1_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFORX_1_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_REPEAT_WRITE_SHIFT          8
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_REPEAT_WRITE_MASK           0x00000F00
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_DATA_READ_SIZE_SHIFT        3
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_DATA_READ_SIZE_MASK         0x00000018
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFORX_1_CONTROL_FIFORX1_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFORX_1_THRESHOLD_OFFSET                               0x0000002E
#define SSPIL_DSP_FIFORX_1_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFORX_1_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFORX_1_THRESHOLD_FIFORX1_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFORX_1_THRESHOLD_FIFORX1_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFOTX_2_CONTROL_OFFSET                                 0x00000030
#define SSPIL_DSP_FIFOTX_2_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFOTX_2_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_REPEAT_READ_SHIFT           8
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_REPEAT_READ_MASK            0x00000F00
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_DATA_WRITE_SIZE_SHIFT       3
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_DATA_WRITE_SIZE_MASK        0x00000018
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFOTX_2_CONTROL_FIFOTX2_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFOTX_2_THRESHOLD_OFFSET                               0x00000032
#define SSPIL_DSP_FIFOTX_2_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFOTX_2_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFOTX_2_THRESHOLD_FIFOTX2_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFOTX_2_THRESHOLD_FIFOTX2_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFORX_2_CONTROL_OFFSET                                 0x00000034
#define SSPIL_DSP_FIFORX_2_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFORX_2_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_REPEAT_WRITE_SHIFT          8
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_REPEAT_WRITE_MASK           0x00000F00
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_DATA_READ_SIZE_SHIFT        3
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_DATA_READ_SIZE_MASK         0x00000018
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFORX_2_CONTROL_FIFORX2_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFORX_2_THRESHOLD_OFFSET                               0x00000036
#define SSPIL_DSP_FIFORX_2_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFORX_2_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFORX_2_THRESHOLD_FIFORX2_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFORX_2_THRESHOLD_FIFORX2_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFOTX_3_CONTROL_OFFSET                                 0x00000038
#define SSPIL_DSP_FIFOTX_3_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFOTX_3_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_REPEAT_READ_SHIFT           8
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_REPEAT_READ_MASK            0x00000F00
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_DATA_WRITE_SIZE_SHIFT       3
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_DATA_WRITE_SIZE_MASK        0x00000018
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFOTX_3_CONTROL_FIFOTX3_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFOTX_3_THRESHOLD_OFFSET                               0x0000003A
#define SSPIL_DSP_FIFOTX_3_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFOTX_3_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFOTX_3_THRESHOLD_FIFOTX3_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFOTX_3_THRESHOLD_FIFOTX3_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_FIFORX_3_CONTROL_OFFSET                                 0x0000003C
#define SSPIL_DSP_FIFORX_3_CONTROL_TYPE                                   UInt32
#define SSPIL_DSP_FIFORX_3_CONTROL_RESERVED_MASK                          0x0003F000
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_LEVEL_SHIFT                 20
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_LEVEL_MASK                  0xFFF00000
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_EMPTY_SHIFT                 19
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_EMPTY_MASK                  0x00080000
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_FULL_SHIFT                  18
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_FULL_MASK                   0x00040000
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_REPEAT_WRITE_SHIFT          8
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_REPEAT_WRITE_MASK           0x00000F00
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_PIO_START_ENABLE_SHIFT      7
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_PIO_START_ENABLE_MASK       0x00000080
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_PIO_STOP_ENABLE_SHIFT       6
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_PIO_STOP_ENABLE_MASK        0x00000040
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_ENDIANESS_SHIFT             5
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_ENDIANESS_MASK              0x00000020
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_DATA_READ_SIZE_SHIFT        3
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_DATA_READ_SIZE_MASK         0x00000018
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_DATA_PACKING_SHIFT          1
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_DATA_PACKING_MASK           0x00000006
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_RESET_SHIFT                 0
#define    SSPIL_DSP_FIFORX_3_CONTROL_FIFORX3_RESET_MASK                  0x00000001

#define SSPIL_DSP_FIFORX_3_THRESHOLD_OFFSET                               0x0000003E
#define SSPIL_DSP_FIFORX_3_THRESHOLD_TYPE                                 UInt32
#define SSPIL_DSP_FIFORX_3_THRESHOLD_RESERVED_MASK                        0x000FFFFF
#define    SSPIL_DSP_FIFORX_3_THRESHOLD_FIFORX3_TRESHOLD_SHIFT            20
#define    SSPIL_DSP_FIFORX_3_THRESHOLD_FIFORX3_TRESHOLD_MASK             0xFFF00000

#define SSPIL_DSP_DMA_RX0_CONTROL_OFFSET                                  0x00000040
#define SSPIL_DSP_DMA_RX0_CONTROL_TYPE                                    UInt32
#define SSPIL_DSP_DMA_RX0_CONTROL_RESERVED_MASK                           0xFFFFFFE0
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_FLUSH_SHIFT                  4
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_FLUSH_MASK                   0x00000010
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_LINK_FIFO_SHIFT              2
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_LINK_FIFO_MASK               0x0000000C
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_BURSTSIZE_SHIFT              1
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_BURSTSIZE_MASK               0x00000002
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_ENABLE_SHIFT                 0
#define    SSPIL_DSP_DMA_RX0_CONTROL_DMA_RX0_ENABLE_MASK                  0x00000001

#define SSPIL_DSP_DMA_TX0_CONTROL_OFFSET                                  0x00000042
#define SSPIL_DSP_DMA_TX0_CONTROL_TYPE                                    UInt32
#define SSPIL_DSP_DMA_TX0_CONTROL_RESERVED_MASK                           0x0003FFF0
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_SIZE_SHIFT                   18
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_SIZE_MASK                    0xFFFC0000
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_LINK_FIFO_SHIFT              2
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_LINK_FIFO_MASK               0x0000000C
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_BURSTSIZE_SHIFT              1
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_BURSTSIZE_MASK               0x00000002
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_ENABLE_SHIFT                 0
#define    SSPIL_DSP_DMA_TX0_CONTROL_DMA_TX0_ENABLE_MASK                  0x00000001

#define SSPIL_DSP_DMA_RX1_CONTROL_OFFSET                                  0x00000044
#define SSPIL_DSP_DMA_RX1_CONTROL_TYPE                                    UInt32
#define SSPIL_DSP_DMA_RX1_CONTROL_RESERVED_MASK                           0xFFFFFFE0
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_FLUSH_SHIFT                  4
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_FLUSH_MASK                   0x00000010
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_LINK_FIFO_SHIFT              2
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_LINK_FIFO_MASK               0x0000000C
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_BURSTSIZE_SHIFT              1
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_BURSTSIZE_MASK               0x00000002
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_ENABLE_SHIFT                 0
#define    SSPIL_DSP_DMA_RX1_CONTROL_DMA_RX1_ENABLE_MASK                  0x00000001

#define SSPIL_DSP_DMA_TX1_CONTROL_OFFSET                                  0x00000046
#define SSPIL_DSP_DMA_TX1_CONTROL_TYPE                                    UInt32
#define SSPIL_DSP_DMA_TX1_CONTROL_RESERVED_MASK                           0x0003FFF0
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_SIZE_SHIFT                   18
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_SIZE_MASK                    0xFFFC0000
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_LINK_FIFO_SHIFT              2
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_LINK_FIFO_MASK               0x0000000C
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_BURSTSIZE_SHIFT              1
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_BURSTSIZE_MASK               0x00000002
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_ENABLE_SHIFT                 0
#define    SSPIL_DSP_DMA_TX1_CONTROL_DMA_TX1_ENABLE_MASK                  0x00000001

#define SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_OFFSET                           0x00000050
#define SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_OFFSET                           0x00000052
#define SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_OFFSET                           0x00000054
#define SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_OFFSET                           0x00000056
#define SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_OFFSET                           0x00000058
#define SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_OFFSET                           0x0000005A
#define SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_OFFSET                           0x0000005C
#define SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_OFFSET                           0x0000005E
#define SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_TYPE                             UInt32
#define SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_RESERVED_MASK                    0xC0000000
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_THRESH_SHIFT 20
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_THRESH_MASK  0x3FF00000
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_START_THRESH_SHIFT 10
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_START_THRESH_MASK 0x000FFC00
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_DSP_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_ERR_THRESH_MASK 0x000003FF

#define SSPIL_DSP_PATTERN_0_SCLK_OFFSET                                   0x00000060
#define SSPIL_DSP_PATTERN_0_SCLK_TYPE                                     UInt32
#define SSPIL_DSP_PATTERN_0_SCLK_RESERVED_MASK                            0xFFFF0000
#define    SSPIL_DSP_PATTERN_0_SCLK_PATTERN0_SCLK_SHIFT                   0
#define    SSPIL_DSP_PATTERN_0_SCLK_PATTERN0_SCLK_MASK                    0x0000FFFF

#define SSPIL_DSP_PATTERN_0_CS_OFFSET                                     0x00000062
#define SSPIL_DSP_PATTERN_0_CS_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_0_CS_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_0_CS_PATTERN0_CS_SHIFT                       0
#define    SSPIL_DSP_PATTERN_0_CS_PATTERN0_CS_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_0_TX_OFFSET                                     0x00000064
#define SSPIL_DSP_PATTERN_0_TX_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_0_TX_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_0_TX_PATTERN0_TX_SHIFT                       0
#define    SSPIL_DSP_PATTERN_0_TX_PATTERN0_TX_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_0_TXOEN_OFFSET                                  0x00000066
#define SSPIL_DSP_PATTERN_0_TXOEN_TYPE                                    UInt32
#define SSPIL_DSP_PATTERN_0_TXOEN_RESERVED_MASK                           0xFFFF0000
#define    SSPIL_DSP_PATTERN_0_TXOEN_PATTERN0_TXOEN_SHIFT                 0
#define    SSPIL_DSP_PATTERN_0_TXOEN_PATTERN0_TXOEN_MASK                  0x0000FFFF

#define SSPIL_DSP_PATTERN_1_SCLK_OFFSET                                   0x00000068
#define SSPIL_DSP_PATTERN_1_SCLK_TYPE                                     UInt32
#define SSPIL_DSP_PATTERN_1_SCLK_RESERVED_MASK                            0xFFFF0000
#define    SSPIL_DSP_PATTERN_1_SCLK_PATTERN1_SCLK_SHIFT                   0
#define    SSPIL_DSP_PATTERN_1_SCLK_PATTERN1_SCLK_MASK                    0x0000FFFF

#define SSPIL_DSP_PATTERN_1_CS_OFFSET                                     0x0000006A
#define SSPIL_DSP_PATTERN_1_CS_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_1_CS_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_1_CS_PATTERN1_CS_SHIFT                       0
#define    SSPIL_DSP_PATTERN_1_CS_PATTERN1_CS_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_1_TX_OFFSET                                     0x0000006C
#define SSPIL_DSP_PATTERN_1_TX_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_1_TX_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_1_TX_PATTERN1_TX_SHIFT                       0
#define    SSPIL_DSP_PATTERN_1_TX_PATTERN1_TX_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_1_TXOEN_OFFSET                                  0x0000006E
#define SSPIL_DSP_PATTERN_1_TXOEN_TYPE                                    UInt32
#define SSPIL_DSP_PATTERN_1_TXOEN_RESERVED_MASK                           0xFFFF0000
#define    SSPIL_DSP_PATTERN_1_TXOEN_PATTERN1_TXOEN_SHIFT                 0
#define    SSPIL_DSP_PATTERN_1_TXOEN_PATTERN1_TXOEN_MASK                  0x0000FFFF

#define SSPIL_DSP_PATTERN_2_SCLK_OFFSET                                   0x00000070
#define SSPIL_DSP_PATTERN_2_SCLK_TYPE                                     UInt32
#define SSPIL_DSP_PATTERN_2_SCLK_RESERVED_MASK                            0xFFFF0000
#define    SSPIL_DSP_PATTERN_2_SCLK_PATTERN2_SCLK_SHIFT                   0
#define    SSPIL_DSP_PATTERN_2_SCLK_PATTERN2_SCLK_MASK                    0x0000FFFF

#define SSPIL_DSP_PATTERN_2_CS_OFFSET                                     0x00000072
#define SSPIL_DSP_PATTERN_2_CS_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_2_CS_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_2_CS_PATTERN2_CS_SHIFT                       0
#define    SSPIL_DSP_PATTERN_2_CS_PATTERN2_CS_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_2_TX_OFFSET                                     0x00000074
#define SSPIL_DSP_PATTERN_2_TX_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_2_TX_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_2_TX_PATTERN2_TX_SHIFT                       0
#define    SSPIL_DSP_PATTERN_2_TX_PATTERN2_TX_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_2_TXOEN_OFFSET                                  0x00000076
#define SSPIL_DSP_PATTERN_2_TXOEN_TYPE                                    UInt32
#define SSPIL_DSP_PATTERN_2_TXOEN_RESERVED_MASK                           0xFFFF0000
#define    SSPIL_DSP_PATTERN_2_TXOEN_PATTERN2_TXOEN_SHIFT                 0
#define    SSPIL_DSP_PATTERN_2_TXOEN_PATTERN2_TXOEN_MASK                  0x0000FFFF

#define SSPIL_DSP_PATTERN_3_SCLK_OFFSET                                   0x00000078
#define SSPIL_DSP_PATTERN_3_SCLK_TYPE                                     UInt32
#define SSPIL_DSP_PATTERN_3_SCLK_RESERVED_MASK                            0xFFFF0000
#define    SSPIL_DSP_PATTERN_3_SCLK_PATTERN3_SCLK_SHIFT                   0
#define    SSPIL_DSP_PATTERN_3_SCLK_PATTERN3_SCLK_MASK                    0x0000FFFF

#define SSPIL_DSP_PATTERN_3_CS_OFFSET                                     0x0000007A
#define SSPIL_DSP_PATTERN_3_CS_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_3_CS_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_3_CS_PATTERN3_CS_SHIFT                       0
#define    SSPIL_DSP_PATTERN_3_CS_PATTERN3_CS_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_3_TX_OFFSET                                     0x0000007C
#define SSPIL_DSP_PATTERN_3_TX_TYPE                                       UInt32
#define SSPIL_DSP_PATTERN_3_TX_RESERVED_MASK                              0xFFFF0000
#define    SSPIL_DSP_PATTERN_3_TX_PATTERN3_TX_SHIFT                       0
#define    SSPIL_DSP_PATTERN_3_TX_PATTERN3_TX_MASK                        0x0000FFFF

#define SSPIL_DSP_PATTERN_3_TXOEN_OFFSET                                  0x0000007E
#define SSPIL_DSP_PATTERN_3_TXOEN_TYPE                                    UInt32
#define SSPIL_DSP_PATTERN_3_TXOEN_RESERVED_MASK                           0xFFFF0000
#define    SSPIL_DSP_PATTERN_3_TXOEN_PATTERN3_TXOEN_SHIFT                 0
#define    SSPIL_DSP_PATTERN_3_TXOEN_PATTERN3_TXOEN_MASK                  0x0000FFFF

#define SSPIL_DSP_TASK0_DESC_MSB_OFFSET                                   0x00000080
#define SSPIL_DSP_TASK0_DESC_MSB_TYPE                                     UInt32
#define SSPIL_DSP_TASK0_DESC_MSB_RESERVED_MASK                            0x0000000C
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_ENABLE_SHIFT                    31
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_ENABLE_MASK                     0x80000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_DO_ONCE_ONLY_SHIFT              30
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_DO_ONCE_ONLY_MASK               0x40000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SKIP_SHIFT                      29
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SKIP_MASK                       0x20000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_WBS_SHIFT                       28
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_WBS_MASK                        0x10000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_FIFO_BEH_SHIFT                  27
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_FIFO_BEH_MASK                   0x08000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_STOP_SCHEDULER_SHIFT            26
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_STOP_SCHEDULER_MASK             0x04000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_FIFOERROR_STOP_SHIFT            25
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_FIFOERROR_STOP_MASK             0x02000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CONTINUOUS_SHIFT                24
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CONTINUOUS_MASK                 0x01000000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_LSBFIRST_SHIFT                  23
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_LSBFIRST_MASK                   0x00800000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_DONE_INT_SHIFT                  22
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_DONE_INT_MASK                   0x00400000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RESET_REPEATCOUNTER_SHIFT       21
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RESET_REPEATCOUNTER_MASK        0x00200000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SLAVECHECK_LARGER_ON_SHIFT      20
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SLAVECHECK_LARGER_ON_MASK       0x00100000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RX_SIGN_EXTENSION_SHIFT         19
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RX_SIGN_EXTENSION_MASK          0x00080000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_ASYNC_CS_MODE_SHIFT             18
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_ASYNC_CS_MODE_MASK              0x00040000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SCLK_IDLE_EXTENSION_SHIFT       17
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SCLK_IDLE_EXTENSION_MASK        0x00020000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TX_TXOEN_SEL_SHIFT              15
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TX_TXOEN_SEL_MASK               0x00018000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CS_CSOEN_SEL_SHIFT              13
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CS_CSOEN_SEL_MASK               0x00006000
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SCLK_SCLKOEN_SEL_SHIFT          11
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_SCLK_SCLKOEN_SEL_MASK           0x00001800
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TXOEN_CS_SEL_SHIFT              8
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TXOEN_CS_SEL_MASK               0x00000700
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TX_SELECT_SHIFT                 6
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_TX_SELECT_MASK                  0x000000C0
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RX_SELECT_SHIFT                 4
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_RX_SELECT_MASK                  0x00000030
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CLK_SELECT_SHIFT                0
#define    SSPIL_DSP_TASK0_DESC_MSB_TASK0_CLK_SELECT_MASK                 0x00000003

#define SSPIL_DSP_TASK0_DESC_LSB_OFFSET                                   0x00000082
#define SSPIL_DSP_TASK0_DESC_LSB_TYPE                                     UInt32
#define SSPIL_DSP_TASK0_DESC_LSB_RESERVED_MASK                            0x80FC0000
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_SEQ_POINTER_SHIFT               26
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_SEQ_POINTER_MASK                0x7C000000
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_RX_ERRORSTOP_CHK_SHIFT          24
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_RX_ERRORSTOP_CHK_MASK           0x03000000
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_LOOP_SHIFT                      8
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_LOOP_MASK                       0x0003FF00
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_INITIAL_CONDITION_SHIFT         0
#define    SSPIL_DSP_TASK0_DESC_LSB_TASK0_INITIAL_CONDITION_MASK          0x000000FF

#define SSPIL_DSP_TASK1_DESC_MSB_OFFSET                                   0x00000084
#define SSPIL_DSP_TASK1_DESC_MSB_TYPE                                     UInt32
#define SSPIL_DSP_TASK1_DESC_MSB_RESERVED_MASK                            0x0000000C
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_ENABLE_SHIFT                    31
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_ENABLE_MASK                     0x80000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_DO_ONCE_ONLY_SHIFT              30
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_DO_ONCE_ONLY_MASK               0x40000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SKIP_SHIFT                      29
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SKIP_MASK                       0x20000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_WBS_SHIFT                       28
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_WBS_MASK                        0x10000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_FIFO_BEH_SHIFT                  27
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_FIFO_BEH_MASK                   0x08000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_STOP_SCHEDULER_SHIFT            26
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_STOP_SCHEDULER_MASK             0x04000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_FIFOERROR_STOP_SHIFT            25
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_FIFOERROR_STOP_MASK             0x02000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CONTINUOUS_SHIFT                24
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CONTINUOUS_MASK                 0x01000000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_LSBFIRST_SHIFT                  23
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_LSBFIRST_MASK                   0x00800000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_DONE_INT_SHIFT                  22
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_DONE_INT_MASK                   0x00400000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RESET_REPEATCOUNTER_SHIFT       21
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RESET_REPEATCOUNTER_MASK        0x00200000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SLAVECHECK_LARGER_ON_SHIFT      20
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SLAVECHECK_LARGER_ON_MASK       0x00100000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RX_SIGN_EXTENSION_SHIFT         19
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RX_SIGN_EXTENSION_MASK          0x00080000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_ASYNC_CS_MODE_SHIFT             18
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_ASYNC_CS_MODE_MASK              0x00040000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SCLK_IDLE_EXTENSION_SHIFT       17
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SCLK_IDLE_EXTENSION_MASK        0x00020000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TX_TXOEN_SEL_SHIFT              15
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TX_TXOEN_SEL_MASK               0x00018000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CS_CSOEN_SEL_SHIFT              13
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CS_CSOEN_SEL_MASK               0x00006000
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SCLK_SCLKOEN_SEL_SHIFT          11
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_SCLK_SCLKOEN_SEL_MASK           0x00001800
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TXOEN_CS_SEL_SHIFT              8
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TXOEN_CS_SEL_MASK               0x00000700
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TX_SELECT_SHIFT                 6
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_TX_SELECT_MASK                  0x000000C0
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RX_SELECT_SHIFT                 4
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_RX_SELECT_MASK                  0x00000030
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CLK_SELECT_SHIFT                0
#define    SSPIL_DSP_TASK1_DESC_MSB_TASK1_CLK_SELECT_MASK                 0x00000003

#define SSPIL_DSP_TASK1_DESC_LSB_OFFSET                                   0x00000086
#define SSPIL_DSP_TASK1_DESC_LSB_TYPE                                     UInt32
#define SSPIL_DSP_TASK1_DESC_LSB_RESERVED_MASK                            0x80FC0000
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_SEQ_POINTER_SHIFT               26
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_SEQ_POINTER_MASK                0x7C000000
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_RX_ERRORSTOP_CHK_SHIFT          24
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_RX_ERRORSTOP_CHK_MASK           0x03000000
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_LOOP_SHIFT                      8
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_LOOP_MASK                       0x0003FF00
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_INITIAL_CONDITION_SHIFT         0
#define    SSPIL_DSP_TASK1_DESC_LSB_TASK1_INITIAL_CONDITION_MASK          0x000000FF

#define SSPIL_DSP_PATTERN_0_CONTROL_OFFSET                                0x000000D0
#define SSPIL_DSP_PATTERN_0_CONTROL_TYPE                                  UInt32
#define SSPIL_DSP_PATTERN_0_CONTROL_RESERVED_MASK                         0xFFFC00E0
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_EXTENSION_CHECK_SHIFT     17
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_EXTENSION_CHECK_MASK      0x00020000
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_IDLE_EXTENSION_SHIFT      16
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_IDLE_EXTENSION_MASK       0x00010000
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_FINAL_SHIFT               12
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_FINAL_MASK                0x0000F000
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_INITIAL_SHIFT             8
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_INITIAL_MASK              0x00000F00
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_LENGTH_SHIFT              0
#define    SSPIL_DSP_PATTERN_0_CONTROL_PATTERN0_LENGTH_MASK               0x0000001F

#define SSPIL_DSP_PATTERN_1_CONTROL_OFFSET                                0x000000D2
#define SSPIL_DSP_PATTERN_1_CONTROL_TYPE                                  UInt32
#define SSPIL_DSP_PATTERN_1_CONTROL_RESERVED_MASK                         0xFFFC00E0
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_EXTENSION_CHECK_SHIFT     17
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_EXTENSION_CHECK_MASK      0x00020000
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_IDLE_EXTENSION_SHIFT      16
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_IDLE_EXTENSION_MASK       0x00010000
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_FINAL_SHIFT               12
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_FINAL_MASK                0x0000F000
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_INITIAL_SHIFT             8
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_INITIAL_MASK              0x00000F00
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_LENGTH_SHIFT              0
#define    SSPIL_DSP_PATTERN_1_CONTROL_PATTERN1_LENGTH_MASK               0x0000001F

#define SSPIL_DSP_PATTERN_2_CONTROL_OFFSET                                0x000000D4
#define SSPIL_DSP_PATTERN_2_CONTROL_TYPE                                  UInt32
#define SSPIL_DSP_PATTERN_2_CONTROL_RESERVED_MASK                         0xFFFC00E0
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_EXTENSION_CHECK_SHIFT     17
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_EXTENSION_CHECK_MASK      0x00020000
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_IDLE_EXTENSION_SHIFT      16
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_IDLE_EXTENSION_MASK       0x00010000
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_FINAL_SHIFT               12
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_FINAL_MASK                0x0000F000
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_INITIAL_SHIFT             8
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_INITIAL_MASK              0x00000F00
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_LENGTH_SHIFT              0
#define    SSPIL_DSP_PATTERN_2_CONTROL_PATTERN2_LENGTH_MASK               0x0000001F

#define SSPIL_DSP_PATTERN_3_CONTROL_OFFSET                                0x000000D6
#define SSPIL_DSP_PATTERN_3_CONTROL_TYPE                                  UInt32
#define SSPIL_DSP_PATTERN_3_CONTROL_RESERVED_MASK                         0xFFFC00E0
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_EXTENSION_CHECK_SHIFT     17
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_EXTENSION_CHECK_MASK      0x00020000
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_IDLE_EXTENSION_SHIFT      16
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_IDLE_EXTENSION_MASK       0x00010000
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_FINAL_SHIFT               12
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_FINAL_MASK                0x0000F000
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_INITIAL_SHIFT             8
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_INITIAL_MASK              0x00000F00
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_LENGTH_SHIFT              0
#define    SSPIL_DSP_PATTERN_3_CONTROL_PATTERN3_LENGTH_MASK               0x0000001F

#define SSPIL_DSP_SEQUENCE_0_OFFSET                                       0x00000100
#define SSPIL_DSP_SEQUENCE_0_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_0_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_0_SEQ0_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_1_OFFSET                                       0x00000102
#define SSPIL_DSP_SEQUENCE_1_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_1_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_1_SEQ1_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_2_OFFSET                                       0x00000104
#define SSPIL_DSP_SEQUENCE_2_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_2_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_2_SEQ2_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_3_OFFSET                                       0x00000106
#define SSPIL_DSP_SEQUENCE_3_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_3_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_3_SEQ3_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_4_OFFSET                                       0x00000108
#define SSPIL_DSP_SEQUENCE_4_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_4_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_4_SEQ4_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_5_OFFSET                                       0x0000010A
#define SSPIL_DSP_SEQUENCE_5_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_5_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_5_SEQ5_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_6_OFFSET                                       0x0000010C
#define SSPIL_DSP_SEQUENCE_6_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_6_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_6_SEQ6_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_SEQUENCE_7_OFFSET                                       0x0000010E
#define SSPIL_DSP_SEQUENCE_7_TYPE                                         UInt32
#define SSPIL_DSP_SEQUENCE_7_RESERVED_MASK                                0x00001021
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_OPCODE_SHIFT                         30
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_OPCODE_MASK                          0xC0000000
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_PATTERNMODE_SHIFT                    29
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_PATTERNMODE_MASK                     0x20000000
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_NEXT_PC_SHIFT                        24
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_NEXT_PC_MASK                         0x1F000000
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_REPEAT_COUNT_SHIFT                   16
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_REPEAT_COUNT_MASK                    0x00FF0000
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FRAME_DEF_SEL_SHIFT                  13
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FRAME_DEF_SEL_MASK                   0x0000E000
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CLK_IDLE_SHIFT                       11
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CLK_IDLE_MASK                        0x00000800
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CS_ACTIVATE_SHIFT                    10
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CS_ACTIVATE_MASK                     0x00000400
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CS_DEACTIVATE_SHIFT                  9
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_CS_DEACTIVATE_MASK                   0x00000200
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_TRANSMIT_SHIFT                       8
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_TRANSMIT_MASK                        0x00000100
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FIFOTX_SEL_SHIFT                     6
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FIFOTX_SEL_MASK                      0x000000C0
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_TXOEN_ACTIVE_SHIFT                   4
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_TXOEN_ACTIVE_MASK                    0x00000010
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_RECEIVE_SHIFT                        3
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_RECEIVE_MASK                         0x00000008
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FIFORX_SEL_SHIFT                     1
#define    SSPIL_DSP_SEQUENCE_7_SEQ7_FIFORX_SEL_MASK                      0x00000006

#define SSPIL_DSP_FRAME0_CS_IDLE_DEF_OFFSET                               0x00000180
#define SSPIL_DSP_FRAME0_CS_IDLE_DEF_TYPE                                 UInt32
#define SSPIL_DSP_FRAME0_CS_IDLE_DEF_RESERVED_MASK                        0x8080FFC0
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_ACTIVE_SHIFT            24
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_ACTIVE_MASK             0x7F000000
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_SIZE_SHIFT              16
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_SIZE_MASK               0x007F0000
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_ACTIVE_EDGE_SHIFT     5
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_ACTIVE_EDGE_MASK      0x00000020
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_INITIAL_VALUE_SHIFT     4
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_INITIAL_VALUE_MASK      0x00000010
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_TXOEN_IDLE_VALUE_SHIFT     3
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_TXOEN_IDLE_VALUE_MASK      0x00000008
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_TX_IDLE_VALUE_SHIFT        2
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_TX_IDLE_VALUE_MASK         0x00000004
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_IDLE_VALUE_SHIFT      1
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_IDLE_VALUE_MASK       0x00000002
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_IDLE_VALUE_SHIFT        0
#define    SSPIL_DSP_FRAME0_CS_IDLE_DEF_FRAME0_CS_IDLE_VALUE_MASK         0x00000001

#define SSPIL_DSP_FRAME0_SCLK_DEF_OFFSET                                  0x00000182
#define SSPIL_DSP_FRAME0_SCLK_DEF_TYPE                                    UInt32
#define SSPIL_DSP_FRAME0_SCLK_DEF_RESERVED_MASK                           0xFF800FF1
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_END_SHIFT                16
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_END_MASK                 0x007F0000
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_START_SHIFT              12
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_START_MASK               0x0000F000
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_DUTY_SHIFT               3
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_DUTY_MASK                0x00000008
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_RATIO_SHIFT              1
#define    SSPIL_DSP_FRAME0_SCLK_DEF_FRAME0_SCLK_RATIO_MASK               0x00000006

#define SSPIL_DSP_FRAME0_TX_DEF_OFFSET                                    0x00000184
#define SSPIL_DSP_FRAME0_TX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME0_TX_DEF_RESERVED_MASK                             0x80808004
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TXOEN_END_SHIFT                 24
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TXOEN_END_MASK                  0x7F000000
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TXOEN_START_SHIFT               16
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TXOEN_START_MASK                0x007F0000
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_WORD_LENGTH_MASK             0x000000F8
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LEFT_SHIFT          1
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LEFT_MASK           0x00000002
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_RIGHT_SHIFT         0
#define    SSPIL_DSP_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_RIGHT_MASK          0x00000001

#define SSPIL_DSP_FRAME0_RX_DEF_OFFSET                                    0x00000186
#define SSPIL_DSP_FRAME0_RX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME0_RX_DEF_RESERVED_MASK                             0xFFFF8007
#define    SSPIL_DSP_FRAME0_RX_DEF_FRAME0_RX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME0_RX_DEF_FRAME0_RX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME0_RX_DEF_FRAME0_RX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME0_RX_DEF_FRAME0_RX_WORD_LENGTH_MASK             0x000000F8

#define SSPIL_DSP_FRAME1_CS_IDLE_DEF_OFFSET                               0x00000188
#define SSPIL_DSP_FRAME1_CS_IDLE_DEF_TYPE                                 UInt32
#define SSPIL_DSP_FRAME1_CS_IDLE_DEF_RESERVED_MASK                        0x8080FFC0
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_ACTIVE_SHIFT            24
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_ACTIVE_MASK             0x7F000000
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_SIZE_SHIFT              16
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_SIZE_MASK               0x007F0000
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_ACTIVE_EDGE_SHIFT     5
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_ACTIVE_EDGE_MASK      0x00000020
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_INITIAL_VALUE_SHIFT     4
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_INITIAL_VALUE_MASK      0x00000010
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_TXOEN_IDLE_VALUE_SHIFT     3
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_TXOEN_IDLE_VALUE_MASK      0x00000008
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_TX_IDLE_VALUE_SHIFT        2
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_TX_IDLE_VALUE_MASK         0x00000004
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_IDLE_VALUE_SHIFT      1
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_IDLE_VALUE_MASK       0x00000002
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_IDLE_VALUE_SHIFT        0
#define    SSPIL_DSP_FRAME1_CS_IDLE_DEF_FRAME1_CS_IDLE_VALUE_MASK         0x00000001

#define SSPIL_DSP_FRAME1_SCLK_DEF_OFFSET                                  0x0000018A
#define SSPIL_DSP_FRAME1_SCLK_DEF_TYPE                                    UInt32
#define SSPIL_DSP_FRAME1_SCLK_DEF_RESERVED_MASK                           0xFF800FF1
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_END_SHIFT                16
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_END_MASK                 0x007F0000
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_START_SHIFT              12
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_START_MASK               0x0000F000
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_DUTY_SHIFT               3
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_DUTY_MASK                0x00000008
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_RATIO_SHIFT              1
#define    SSPIL_DSP_FRAME1_SCLK_DEF_FRAME1_SCLK_RATIO_MASK               0x00000006

#define SSPIL_DSP_FRAME1_TX_DEF_OFFSET                                    0x0000018C
#define SSPIL_DSP_FRAME1_TX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME1_TX_DEF_RESERVED_MASK                             0x80808004
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TXOEN_END_SHIFT                 24
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TXOEN_END_MASK                  0x7F000000
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TXOEN_START_SHIFT               16
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TXOEN_START_MASK                0x007F0000
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_WORD_LENGTH_MASK             0x000000F8
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_LEFT_SHIFT          1
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_LEFT_MASK           0x00000002
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_RIGHT_SHIFT         0
#define    SSPIL_DSP_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_RIGHT_MASK          0x00000001

#define SSPIL_DSP_FRAME1_RX_DEF_OFFSET                                    0x0000018E
#define SSPIL_DSP_FRAME1_RX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME1_RX_DEF_RESERVED_MASK                             0xFFFF8007
#define    SSPIL_DSP_FRAME1_RX_DEF_FRAME1_RX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME1_RX_DEF_FRAME1_RX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME1_RX_DEF_FRAME1_RX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME1_RX_DEF_FRAME1_RX_WORD_LENGTH_MASK             0x000000F8

#define SSPIL_DSP_FRAME2_CS_IDLE_DEF_OFFSET                               0x00000190
#define SSPIL_DSP_FRAME2_CS_IDLE_DEF_TYPE                                 UInt32
#define SSPIL_DSP_FRAME2_CS_IDLE_DEF_RESERVED_MASK                        0x8080FFC0
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_ACTIVE_SHIFT            24
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_ACTIVE_MASK             0x7F000000
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_SIZE_SHIFT              16
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_SIZE_MASK               0x007F0000
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_ACTIVE_EDGE_SHIFT     5
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_ACTIVE_EDGE_MASK      0x00000020
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_INITIAL_VALUE_SHIFT     4
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_INITIAL_VALUE_MASK      0x00000010
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_TXOEN_IDLE_VALUE_SHIFT     3
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_TXOEN_IDLE_VALUE_MASK      0x00000008
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_TX_IDLE_VALUE_SHIFT        2
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_TX_IDLE_VALUE_MASK         0x00000004
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_IDLE_VALUE_SHIFT      1
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_IDLE_VALUE_MASK       0x00000002
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_IDLE_VALUE_SHIFT        0
#define    SSPIL_DSP_FRAME2_CS_IDLE_DEF_FRAME2_CS_IDLE_VALUE_MASK         0x00000001

#define SSPIL_DSP_FRAME2_SCLK_DEF_OFFSET                                  0x00000192
#define SSPIL_DSP_FRAME2_SCLK_DEF_TYPE                                    UInt32
#define SSPIL_DSP_FRAME2_SCLK_DEF_RESERVED_MASK                           0xFF800FF1
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_END_SHIFT                16
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_END_MASK                 0x007F0000
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_START_SHIFT              12
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_START_MASK               0x0000F000
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_DUTY_SHIFT               3
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_DUTY_MASK                0x00000008
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_RATIO_SHIFT              1
#define    SSPIL_DSP_FRAME2_SCLK_DEF_FRAME2_SCLK_RATIO_MASK               0x00000006

#define SSPIL_DSP_FRAME2_TX_DEF_OFFSET                                    0x00000194
#define SSPIL_DSP_FRAME2_TX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME2_TX_DEF_RESERVED_MASK                             0x80808004
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TXOEN_END_SHIFT                 24
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TXOEN_END_MASK                  0x7F000000
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TXOEN_START_SHIFT               16
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TXOEN_START_MASK                0x007F0000
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_WORD_LENGTH_MASK             0x000000F8
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_LEFT_SHIFT          1
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_LEFT_MASK           0x00000002
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_RIGHT_SHIFT         0
#define    SSPIL_DSP_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_RIGHT_MASK          0x00000001

#define SSPIL_DSP_FRAME2_RX_DEF_OFFSET                                    0x00000196
#define SSPIL_DSP_FRAME2_RX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME2_RX_DEF_RESERVED_MASK                             0xFFFF8007
#define    SSPIL_DSP_FRAME2_RX_DEF_FRAME2_RX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME2_RX_DEF_FRAME2_RX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME2_RX_DEF_FRAME2_RX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME2_RX_DEF_FRAME2_RX_WORD_LENGTH_MASK             0x000000F8

#define SSPIL_DSP_FRAME3_CS_IDLE_DEF_OFFSET                               0x00000198
#define SSPIL_DSP_FRAME3_CS_IDLE_DEF_TYPE                                 UInt32
#define SSPIL_DSP_FRAME3_CS_IDLE_DEF_RESERVED_MASK                        0x8080FFC0
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_ACTIVE_SHIFT            24
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_ACTIVE_MASK             0x7F000000
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_SIZE_SHIFT              16
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_SIZE_MASK               0x007F0000
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_ACTIVE_EDGE_SHIFT     5
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_ACTIVE_EDGE_MASK      0x00000020
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_INITIAL_VALUE_SHIFT     4
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_INITIAL_VALUE_MASK      0x00000010
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_TXOEN_IDLE_VALUE_SHIFT     3
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_TXOEN_IDLE_VALUE_MASK      0x00000008
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_TX_IDLE_VALUE_SHIFT        2
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_TX_IDLE_VALUE_MASK         0x00000004
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_IDLE_VALUE_SHIFT      1
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_IDLE_VALUE_MASK       0x00000002
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_IDLE_VALUE_SHIFT        0
#define    SSPIL_DSP_FRAME3_CS_IDLE_DEF_FRAME3_CS_IDLE_VALUE_MASK         0x00000001

#define SSPIL_DSP_FRAME3_SCLK_DEF_OFFSET                                  0x0000019A
#define SSPIL_DSP_FRAME3_SCLK_DEF_TYPE                                    UInt32
#define SSPIL_DSP_FRAME3_SCLK_DEF_RESERVED_MASK                           0xFF800FF1
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_END_SHIFT                16
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_END_MASK                 0x007F0000
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_START_SHIFT              12
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_START_MASK               0x0000F000
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_DUTY_SHIFT               3
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_DUTY_MASK                0x00000008
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_RATIO_SHIFT              1
#define    SSPIL_DSP_FRAME3_SCLK_DEF_FRAME3_SCLK_RATIO_MASK               0x00000006

#define SSPIL_DSP_FRAME3_TX_DEF_OFFSET                                    0x0000019C
#define SSPIL_DSP_FRAME3_TX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME3_TX_DEF_RESERVED_MASK                             0x80808004
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TXOEN_END_SHIFT                 24
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TXOEN_END_MASK                  0x7F000000
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TXOEN_START_SHIFT               16
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TXOEN_START_MASK                0x007F0000
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_WORD_LENGTH_MASK             0x000000F8
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_LEFT_SHIFT          1
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_LEFT_MASK           0x00000002
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_RIGHT_SHIFT         0
#define    SSPIL_DSP_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_RIGHT_MASK          0x00000001

#define SSPIL_DSP_FRAME3_RX_DEF_OFFSET                                    0x0000019E
#define SSPIL_DSP_FRAME3_RX_DEF_TYPE                                      UInt32
#define SSPIL_DSP_FRAME3_RX_DEF_RESERVED_MASK                             0xFFFF8007
#define    SSPIL_DSP_FRAME3_RX_DEF_FRAME3_RX_START_SHIFT                  8
#define    SSPIL_DSP_FRAME3_RX_DEF_FRAME3_RX_START_MASK                   0x00007F00
#define    SSPIL_DSP_FRAME3_RX_DEF_FRAME3_RX_WORD_LENGTH_SHIFT            3
#define    SSPIL_DSP_FRAME3_RX_DEF_FRAME3_RX_WORD_LENGTH_MASK             0x000000F8

#define SSPIL_DSP_FIFO_ENTRY0TX_OFFSET                                    0x00000200
#define SSPIL_DSP_FIFO_ENTRY0TX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY0TX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY0TX_FIFO_ENTRY0TX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY0TX_FIFO_ENTRY0TX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY1TX_OFFSET                                    0x00000240
#define SSPIL_DSP_FIFO_ENTRY1TX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY1TX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY1TX_FIFO_ENTRY1TX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY1TX_FIFO_ENTRY1TX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY2TX_OFFSET                                    0x00000280
#define SSPIL_DSP_FIFO_ENTRY2TX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY2TX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY2TX_FIFO_ENTRY2TX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY2TX_FIFO_ENTRY2TX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY3TX_OFFSET                                    0x000002C0
#define SSPIL_DSP_FIFO_ENTRY3TX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY3TX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY3TX_FIFO_ENTRY3TX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY3TX_FIFO_ENTRY3TX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY0RX_OFFSET                                    0x00000300
#define SSPIL_DSP_FIFO_ENTRY0RX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY0RX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY0RX_FIFO_ENTRY0RX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY0RX_FIFO_ENTRY0RX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY1RX_OFFSET                                    0x00000340
#define SSPIL_DSP_FIFO_ENTRY1RX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY1RX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY1RX_FIFO_ENTRY1RX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY1RX_FIFO_ENTRY1RX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY2RX_OFFSET                                    0x00000380
#define SSPIL_DSP_FIFO_ENTRY2RX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY2RX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY2RX_FIFO_ENTRY2RX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY2RX_FIFO_ENTRY2RX_MASK                     0xFFFFFFFF

#define SSPIL_DSP_FIFO_ENTRY3RX_OFFSET                                    0x000003C0
#define SSPIL_DSP_FIFO_ENTRY3RX_TYPE                                      UInt32
#define SSPIL_DSP_FIFO_ENTRY3RX_RESERVED_MASK                             0x00000000
#define    SSPIL_DSP_FIFO_ENTRY3RX_FIFO_ENTRY3RX_SHIFT                    0
#define    SSPIL_DSP_FIFO_ENTRY3RX_FIFO_ENTRY3RX_MASK                     0xFFFFFFFF

#define SSPIL_CONTROL_OFFSET                                              0x00000000
#define SSPIL_CONTROL_TYPE                                                UInt32
#define SSPIL_CONTROL_RESERVED_MASK                                       0x60FFFFFC
#define    SSPIL_CONTROL_SSPI_SOFT_RESET_SHIFT                            31
#define    SSPIL_CONTROL_SSPI_SOFT_RESET_MASK                             0x80000000
#define    SSPIL_CONTROL_SSPI_DBG_BYPASS_SHIFT                            28
#define    SSPIL_CONTROL_SSPI_DBG_BYPASS_MASK                             0x10000000
#define    SSPIL_CONTROL_SSPI_DBG_SELECT_SHIFT                            24
#define    SSPIL_CONTROL_SSPI_DBG_SELECT_MASK                             0x0F000000
#define    SSPIL_CONTROL_SSPI_SLAVE_SHIFT                                 1
#define    SSPIL_CONTROL_SSPI_SLAVE_MASK                                  0x00000002
#define    SSPIL_CONTROL_SSPI_ENABLE_SHIFT                                0
#define    SSPIL_CONTROL_SSPI_ENABLE_MASK                                 0x00000001

#define SSPIL_CONFIGURATION_CHECK_OFFSET                                  0x00000004
#define SSPIL_CONFIGURATION_CHECK_TYPE                                    UInt32
#define SSPIL_CONFIGURATION_CHECK_RESERVED_MASK                           0xF0F80000
#define    SSPIL_CONFIGURATION_CHECK_FIFO_MAXSIZE_SHIFT                   24
#define    SSPIL_CONFIGURATION_CHECK_FIFO_MAXSIZE_MASK                    0x0F000000
#define    SSPIL_CONFIGURATION_CHECK_DMA_NUMBER_SHIFT                     17
#define    SSPIL_CONFIGURATION_CHECK_DMA_NUMBER_MASK                      0x00060000
#define    SSPIL_CONFIGURATION_CHECK_SEQUENCE_NUMBER_SHIFT                12
#define    SSPIL_CONFIGURATION_CHECK_SEQUENCE_NUMBER_MASK                 0x0001F000
#define    SSPIL_CONFIGURATION_CHECK_FRAME_NUMBER_SHIFT                   9
#define    SSPIL_CONFIGURATION_CHECK_FRAME_NUMBER_MASK                    0x00000E00
#define    SSPIL_CONFIGURATION_CHECK_TASK_NUMBER_SHIFT                    6
#define    SSPIL_CONFIGURATION_CHECK_TASK_NUMBER_MASK                     0x000001C0
#define    SSPIL_CONFIGURATION_CHECK_FIFO_NUMBER_SHIFT                    4
#define    SSPIL_CONFIGURATION_CHECK_FIFO_NUMBER_MASK                     0x00000030
#define    SSPIL_CONFIGURATION_CHECK_TX_NUMBER_SHIFT                      3
#define    SSPIL_CONFIGURATION_CHECK_TX_NUMBER_MASK                       0x00000008
#define    SSPIL_CONFIGURATION_CHECK_CS_NUMBER_SHIFT                      1
#define    SSPIL_CONFIGURATION_CHECK_CS_NUMBER_MASK                       0x00000006
#define    SSPIL_CONFIGURATION_CHECK_SIDETONE_ON_SHIFT                    0
#define    SSPIL_CONFIGURATION_CHECK_SIDETONE_ON_MASK                     0x00000001

#define SSPIL_INTERRUPT_STATUS_OFFSET                                     0x00000010
#define SSPIL_INTERRUPT_STATUS_TYPE                                       UInt32
#define SSPIL_INTERRUPT_STATUS_RESERVED_MASK                              0x0FF8F800
#define    SSPIL_INTERRUPT_STATUS_DMA_TX0_STATUS_SHIFT                    31
#define    SSPIL_INTERRUPT_STATUS_DMA_TX0_STATUS_MASK                     0x80000000
#define    SSPIL_INTERRUPT_STATUS_DMA_RX0_STATUS_SHIFT                    30
#define    SSPIL_INTERRUPT_STATUS_DMA_RX0_STATUS_MASK                     0x40000000
#define    SSPIL_INTERRUPT_STATUS_DMA_TX1_STATUS_SHIFT                    29
#define    SSPIL_INTERRUPT_STATUS_DMA_TX1_STATUS_MASK                     0x20000000
#define    SSPIL_INTERRUPT_STATUS_DMA_RX1_STATUS_SHIFT                    28
#define    SSPIL_INTERRUPT_STATUS_DMA_RX1_STATUS_MASK                     0x10000000
#define    SSPIL_INTERRUPT_STATUS_AJUMP_STATUS_SHIFT                      18
#define    SSPIL_INTERRUPT_STATUS_AJUMP_STATUS_MASK                       0x00040000
#define    SSPIL_INTERRUPT_STATUS_FIFO_OVERRUN_STATUS_SHIFT               17
#define    SSPIL_INTERRUPT_STATUS_FIFO_OVERRUN_STATUS_MASK                0x00020000
#define    SSPIL_INTERRUPT_STATUS_FIFO_UNDERRUN_STATUS_SHIFT              16
#define    SSPIL_INTERRUPT_STATUS_FIFO_UNDERRUN_STATUS_MASK               0x00010000
#define    SSPIL_INTERRUPT_STATUS_MASTER_CLKEXT_TIMEOUT_STATUS_SHIFT      10
#define    SSPIL_INTERRUPT_STATUS_MASTER_CLKEXT_TIMEOUT_STATUS_MASK       0x00000400
#define    SSPIL_INTERRUPT_STATUS_SLAVE_TIMEOUT_STATUS_SHIFT              9
#define    SSPIL_INTERRUPT_STATUS_SLAVE_TIMEOUT_STATUS_MASK               0x00000200
#define    SSPIL_INTERRUPT_STATUS_SLAVE_PROTOCOL_STATUS_SHIFT             8
#define    SSPIL_INTERRUPT_STATUS_SLAVE_PROTOCOL_STATUS_MASK              0x00000100
#define    SSPIL_INTERRUPT_STATUS_PIO_TX_START_STATUS_SHIFT               7
#define    SSPIL_INTERRUPT_STATUS_PIO_TX_START_STATUS_MASK                0x00000080
#define    SSPIL_INTERRUPT_STATUS_PIO_TX_STOP_STATUS_SHIFT                6
#define    SSPIL_INTERRUPT_STATUS_PIO_TX_STOP_STATUS_MASK                 0x00000040
#define    SSPIL_INTERRUPT_STATUS_PIO_RX_START_STATUS_SHIFT               5
#define    SSPIL_INTERRUPT_STATUS_PIO_RX_START_STATUS_MASK                0x00000020
#define    SSPIL_INTERRUPT_STATUS_PIO_RX_STOP_STATUS_SHIFT                4
#define    SSPIL_INTERRUPT_STATUS_PIO_RX_STOP_STATUS_MASK                 0x00000010
#define    SSPIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_STATUS_SHIFT        3
#define    SSPIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_STATUS_MASK         0x00000008
#define    SSPIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_STATUS_SHIFT        2
#define    SSPIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_STATUS_MASK         0x00000004
#define    SSPIL_INTERRUPT_STATUS_SCHEDULER_STATUS_SHIFT                  1
#define    SSPIL_INTERRUPT_STATUS_SCHEDULER_STATUS_MASK                   0x00000002
#define    SSPIL_INTERRUPT_STATUS_COPY_SSPI_INT_SHIFT                     0
#define    SSPIL_INTERRUPT_STATUS_COPY_SSPI_INT_MASK                      0x00000001

#define SSPIL_INTERRUPT_ENABLE_OFFSET                                     0x00000014
#define SSPIL_INTERRUPT_ENABLE_TYPE                                       UInt32
#define SSPIL_INTERRUPT_ENABLE_RESERVED_MASK                              0x0FF8F801
#define    SSPIL_INTERRUPT_ENABLE_DMA_TX0_INTERRUPT_ENB_SHIFT             31
#define    SSPIL_INTERRUPT_ENABLE_DMA_TX0_INTERRUPT_ENB_MASK              0x80000000
#define    SSPIL_INTERRUPT_ENABLE_DMA_RX0_INTERRUPT_ENB_SHIFT             30
#define    SSPIL_INTERRUPT_ENABLE_DMA_RX0_INTERRUPT_ENB_MASK              0x40000000
#define    SSPIL_INTERRUPT_ENABLE_DMA_TX1_INTERRUPT_ENB_SHIFT             29
#define    SSPIL_INTERRUPT_ENABLE_DMA_TX1_INTERRUPT_ENB_MASK              0x20000000
#define    SSPIL_INTERRUPT_ENABLE_DMA_RX1_INTERRUPT_ENB_SHIFT             28
#define    SSPIL_INTERRUPT_ENABLE_DMA_RX1_INTERRUPT_ENB_MASK              0x10000000
#define    SSPIL_INTERRUPT_ENABLE_AJUMP_INTERRUPT_ENB_SHIFT               18
#define    SSPIL_INTERRUPT_ENABLE_AJUMP_INTERRUPT_ENB_MASK                0x00040000
#define    SSPIL_INTERRUPT_ENABLE_FIFO_OVERRUN_INTERRUPT_ENB_SHIFT        17
#define    SSPIL_INTERRUPT_ENABLE_FIFO_OVERRUN_INTERRUPT_ENB_MASK         0x00020000
#define    SSPIL_INTERRUPT_ENABLE_FIFO_UNDERRUN_INTERRUPT_ENB_SHIFT       16
#define    SSPIL_INTERRUPT_ENABLE_FIFO_UNDERRUN_INTERRUPT_ENB_MASK        0x00010000
#define    SSPIL_INTERRUPT_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ENB_SHIFT 10
#define    SSPIL_INTERRUPT_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ENB_MASK 0x00000400
#define    SSPIL_INTERRUPT_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ENB_SHIFT       9
#define    SSPIL_INTERRUPT_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ENB_MASK        0x00000200
#define    SSPIL_INTERRUPT_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ENB_SHIFT      8
#define    SSPIL_INTERRUPT_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ENB_MASK       0x00000100
#define    SSPIL_INTERRUPT_ENABLE_PIO_TX_START_INTERRUPT_ENB_SHIFT        7
#define    SSPIL_INTERRUPT_ENABLE_PIO_TX_START_INTERRUPT_ENB_MASK         0x00000080
#define    SSPIL_INTERRUPT_ENABLE_PIO_TX_STOP_INTERRUPT_ENB_SHIFT         6
#define    SSPIL_INTERRUPT_ENABLE_PIO_TX_STOP_INTERRUPT_ENB_MASK          0x00000040
#define    SSPIL_INTERRUPT_ENABLE_PIO_RX_START_INTERRUPT_ENB_SHIFT        5
#define    SSPIL_INTERRUPT_ENABLE_PIO_RX_START_INTERRUPT_ENB_MASK         0x00000020
#define    SSPIL_INTERRUPT_ENABLE_PIO_RX_STOP_INTERRUPT_ENB_SHIFT         4
#define    SSPIL_INTERRUPT_ENABLE_PIO_RX_STOP_INTERRUPT_ENB_MASK          0x00000010
#define    SSPIL_INTERRUPT_ENABLE_APB_TX_ERROR_INTERRUPT_ENB_SHIFT        3
#define    SSPIL_INTERRUPT_ENABLE_APB_TX_ERROR_INTERRUPT_ENB_MASK         0x00000008
#define    SSPIL_INTERRUPT_ENABLE_APB_RX_ERROR_INTERRUPT_ENB_SHIFT        2
#define    SSPIL_INTERRUPT_ENABLE_APB_RX_ERROR_INTERRUPT_ENB_MASK         0x00000004
#define    SSPIL_INTERRUPT_ENABLE_SCHEDULER_INTERRUPT_ENB_SHIFT           1
#define    SSPIL_INTERRUPT_ENABLE_SCHEDULER_INTERRUPT_ENB_MASK            0x00000002

#define SSPIL_DETAIL_INTERRUPT_STATUS_OFFSET                              0x00000018
#define SSPIL_DETAIL_INTERRUPT_STATUS_TYPE                                UInt32
#define SSPIL_DETAIL_INTERRUPT_STATUS_RESERVED_MASK                       0x00000000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_FIFO_OVERRUN_VECTOR_SHIFT        28
#define    SSPIL_DETAIL_INTERRUPT_STATUS_FIFO_OVERRUN_VECTOR_MASK         0xF0000000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_FIFO_UNDERRUN_VECTOR_SHIFT       24
#define    SSPIL_DETAIL_INTERRUPT_STATUS_FIFO_UNDERRUN_VECTOR_MASK        0x0F000000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_TX_START_VECTOR_SHIFT        20
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_TX_START_VECTOR_MASK         0x00F00000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_TX_STOP_VECTOR_SHIFT         16
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_TX_STOP_VECTOR_MASK          0x000F0000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_RX_START_VECTOR_SHIFT        12
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_RX_START_VECTOR_MASK         0x0000F000
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_RX_STOP_VECTOR_SHIFT         8
#define    SSPIL_DETAIL_INTERRUPT_STATUS_PIO_RX_STOP_VECTOR_MASK          0x00000F00
#define    SSPIL_DETAIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_VECTOR_SHIFT 4
#define    SSPIL_DETAIL_INTERRUPT_STATUS_APB_TX_ERROR_ACCESS_VECTOR_MASK  0x000000F0
#define    SSPIL_DETAIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_VECTOR_SHIFT 0
#define    SSPIL_DETAIL_INTERRUPT_STATUS_APB_RX_ERROR_ACCESS_VECTOR_MASK  0x0000000F

#define SSPIL_INTERRUPT_ERROR_ENABLE_OFFSET                               0x0000001C
#define SSPIL_INTERRUPT_ERROR_ENABLE_TYPE                                 UInt32
#define SSPIL_INTERRUPT_ERROR_ENABLE_RESERVED_MASK                        0x0FF8F801
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_TX0_INTERRUPT_ERROR_ENB_SHIFT 31
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_TX0_INTERRUPT_ERROR_ENB_MASK  0x80000000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_RX0_INTERRUPT_ERROR_ENB_SHIFT 30
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_RX0_INTERRUPT_ERROR_ENB_MASK  0x40000000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_TX1_INTERRUPT_ERROR_ENB_SHIFT 29
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_TX1_INTERRUPT_ERROR_ENB_MASK  0x20000000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_RX1_INTERRUPT_ERROR_ENB_SHIFT 28
#define    SSPIL_INTERRUPT_ERROR_ENABLE_DMA_RX1_INTERRUPT_ERROR_ENB_MASK  0x10000000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_AJUMP_INTERRUPT_ERROR_ENB_SHIFT   18
#define    SSPIL_INTERRUPT_ERROR_ENABLE_AJUMP_INTERRUPT_ERROR_ENB_MASK    0x00040000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_FIFO_OVERRUN_INTERRUPT_ERROR_ENB_SHIFT 17
#define    SSPIL_INTERRUPT_ERROR_ENABLE_FIFO_OVERRUN_INTERRUPT_ERROR_ENB_MASK 0x00020000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_FIFO_UNDERRUN_INTERRUPT_ERROR_ENB_SHIFT 16
#define    SSPIL_INTERRUPT_ERROR_ENABLE_FIFO_UNDERRUN_INTERRUPT_ERROR_ENB_MASK 0x00010000
#define    SSPIL_INTERRUPT_ERROR_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ERROR__ENB_SHIFT 10
#define    SSPIL_INTERRUPT_ERROR_ENABLE_MASTER_CLKEXT_TIMEOUT_INTERRUPT_ERROR__ENB_MASK 0x00000400
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ERROR_ENB_SHIFT 9
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SLAVE_TIMEOUT_INTERRUPT_ERROR_ENB_MASK 0x00000200
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ERROR_ENB_SHIFT 8
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SLAVE_PROTOCOL_INTERRUPT_ERROR_ENB_MASK 0x00000100
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_TX_START_INTERRUPT_ERROR_ENB_SHIFT 7
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_TX_START_INTERRUPT_ERROR_ENB_MASK 0x00000080
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_TX_STOP_INTERRUPT_ERROR_ENB_SHIFT 6
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_TX_STOP_INTERRUPT_ERROR_ENB_MASK 0x00000040
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_RX_START_INTERRUPT_ERROR_ENB_SHIFT 5
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_RX_START_INTERRUPT_ERROR_ENB_MASK 0x00000020
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_RX_STOP_INTERRUPT_ERROR_ENB_SHIFT 4
#define    SSPIL_INTERRUPT_ERROR_ENABLE_PIO_RX_STOP_INTERRUPT_ERROR_ENB_MASK 0x00000010
#define    SSPIL_INTERRUPT_ERROR_ENABLE_APB_TX_ERROR_INTERRUPT_ERROR_ENB_SHIFT 3
#define    SSPIL_INTERRUPT_ERROR_ENABLE_APB_TX_ERROR_INTERRUPT_ERROR_ENB_MASK 0x00000008
#define    SSPIL_INTERRUPT_ERROR_ENABLE_APB_RX_ERROR_INTERRUPT_ERROR_ENB_SHIFT 2
#define    SSPIL_INTERRUPT_ERROR_ENABLE_APB_RX_ERROR_INTERRUPT_ERROR_ENB_MASK 0x00000004
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SCHEDULER_INTERRUPT_ERROR_ENB_SHIFT 1
#define    SSPIL_INTERRUPT_ERROR_ENABLE_SCHEDULER_INTERRUPT_ERROR_ENB_MASK 0x00000002

#define SSPIL_SCHEDULER_CONTROL_OFFSET                                    0x00000020
#define SSPIL_SCHEDULER_CONTROL_TYPE                                      UInt32
#define SSPIL_SCHEDULER_CONTROL_RESERVED_MASK                             0x03FFFFC2
#define    SSPIL_SCHEDULER_CONTROL_SCH_CURRENT_TASK_SHIFT                 29
#define    SSPIL_SCHEDULER_CONTROL_SCH_CURRENT_TASK_MASK                  0xE0000000
#define    SSPIL_SCHEDULER_CONTROL_SCH_WAIT_BEFORE_START_SHIFT            28
#define    SSPIL_SCHEDULER_CONTROL_SCH_WAIT_BEFORE_START_MASK             0x10000000
#define    SSPIL_SCHEDULER_CONTROL_SCH_NO_TASK_ENABLED_SHIFT              27
#define    SSPIL_SCHEDULER_CONTROL_SCH_NO_TASK_ENABLED_MASK               0x08000000
#define    SSPIL_SCHEDULER_CONTROL_SCH_SLAVE_TRANSFERSTARTED_SHIFT        26
#define    SSPIL_SCHEDULER_CONTROL_SCH_SLAVE_TRANSFERSTARTED_MASK         0x04000000
#define    SSPIL_SCHEDULER_CONTROL_SCH_INITIAL_TASK_SHIFT                 3
#define    SSPIL_SCHEDULER_CONTROL_SCH_INITIAL_TASK_MASK                  0x00000038
#define    SSPIL_SCHEDULER_CONTROL_SCH_INITIAL_CHOOSEN_SHIFT              2
#define    SSPIL_SCHEDULER_CONTROL_SCH_INITIAL_CHOOSEN_MASK               0x00000004
#define    SSPIL_SCHEDULER_CONTROL_SCH_ENABLE_SHIFT                       0
#define    SSPIL_SCHEDULER_CONTROL_SCH_ENABLE_MASK                        0x00000001

#define SSPIL_SEQUENCE_CONTROL_OFFSET                                     0x00000024
#define SSPIL_SEQUENCE_CONTROL_TYPE                                       UInt32
#define SSPIL_SEQUENCE_CONTROL_RESERVED_MASK                              0x0400FFFF
#define    SSPIL_SEQUENCE_CONTROL_PC_SHIFT                                27
#define    SSPIL_SEQUENCE_CONTROL_PC_MASK                                 0xF8000000
#define    SSPIL_SEQUENCE_CONTROL_LOOP_REGISTER_SHIFT                     16
#define    SSPIL_SEQUENCE_CONTROL_LOOP_REGISTER_MASK                      0x03FF0000

#define SSPIL_STATE_MACHINE_CONTROL_OFFSET                                0x00000028
#define SSPIL_STATE_MACHINE_CONTROL_TYPE                                  UInt32
#define SSPIL_STATE_MACHINE_CONTROL_RESERVED_MASK                         0xFFFFFF0C
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_CSOEN0_IDLE_SHIFT           7
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_CSOEN0_IDLE_MASK            0x00000080
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_CS0_IDLE_SHIFT              6
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_CS0_IDLE_MASK               0x00000040
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_SCLKOEN_IDLE_SHIFT          5
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_SCLKOEN_IDLE_MASK           0x00000020
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_SCLK_IDLE_SHIFT             4
#define    SSPIL_STATE_MACHINE_CONTROL_MASTER_SCLK_IDLE_MASK              0x00000010
#define    SSPIL_STATE_MACHINE_CONTROL_MS_TXOEN0_IDLE_SHIFT               1
#define    SSPIL_STATE_MACHINE_CONTROL_MS_TXOEN0_IDLE_MASK                0x00000002
#define    SSPIL_STATE_MACHINE_CONTROL_MS_TX0_IDLE_SHIFT                  0
#define    SSPIL_STATE_MACHINE_CONTROL_MS_TX0_IDLE_MASK                   0x00000001

#define SSPIL_STATE_MACHINE_TIMEOUT_OFFSET                                0x0000002C
#define SSPIL_STATE_MACHINE_TIMEOUT_TYPE                                  UInt32
#define SSPIL_STATE_MACHINE_TIMEOUT_RESERVED_MASK                         0x00000000
#define    SSPIL_STATE_MACHINE_TIMEOUT_SLAVE_TIMEOUT_VALUE_SHIFT          16
#define    SSPIL_STATE_MACHINE_TIMEOUT_SLAVE_TIMEOUT_VALUE_MASK           0xFFFF0000
#define    SSPIL_STATE_MACHINE_TIMEOUT_SCLKEXT_TIMEOUT_VALUE_SHIFT        0
#define    SSPIL_STATE_MACHINE_TIMEOUT_SCLKEXT_TIMEOUT_VALUE_MASK         0x0000FFFF

#define SSPIL_FIFO_SHARING_OFFSET                                         0x00000030
#define SSPIL_FIFO_SHARING_TYPE                                           UInt32
#define SSPIL_FIFO_SHARING_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_FIFO_SHARING_FIFO_RX_3_SIZE_SHIFT                        14
#define    SSPIL_FIFO_SHARING_FIFO_RX_3_SIZE_MASK                         0x0000C000
#define    SSPIL_FIFO_SHARING_FIFO_RX_2_SIZE_SHIFT                        12
#define    SSPIL_FIFO_SHARING_FIFO_RX_2_SIZE_MASK                         0x00003000
#define    SSPIL_FIFO_SHARING_FIFO_RX_1_SIZE_SHIFT                        10
#define    SSPIL_FIFO_SHARING_FIFO_RX_1_SIZE_MASK                         0x00000C00
#define    SSPIL_FIFO_SHARING_FIFO_RX_0_SIZE_SHIFT                        8
#define    SSPIL_FIFO_SHARING_FIFO_RX_0_SIZE_MASK                         0x00000300
#define    SSPIL_FIFO_SHARING_FIFO_TX_3_SIZE_SHIFT                        6
#define    SSPIL_FIFO_SHARING_FIFO_TX_3_SIZE_MASK                         0x000000C0
#define    SSPIL_FIFO_SHARING_FIFO_TX_2_SIZE_SHIFT                        4
#define    SSPIL_FIFO_SHARING_FIFO_TX_2_SIZE_MASK                         0x00000030
#define    SSPIL_FIFO_SHARING_FIFO_TX_1_SIZE_SHIFT                        2
#define    SSPIL_FIFO_SHARING_FIFO_TX_1_SIZE_MASK                         0x0000000C
#define    SSPIL_FIFO_SHARING_FIFO_TX_0_SIZE_SHIFT                        0
#define    SSPIL_FIFO_SHARING_FIFO_TX_0_SIZE_MASK                         0x00000003

#define SSPIL_CLKDIV_OFFSET                                               0x00000034
#define SSPIL_CLKDIV_TYPE                                                 UInt32
#define SSPIL_CLKDIV_RESERVED_MASK                                        0x3F80F000
#define    SSPIL_CLKDIV_CLK_CHOICE_SHIFT                                  30
#define    SSPIL_CLKDIV_CLK_CHOICE_MASK                                   0xC0000000
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_REF_SHIFT                           16
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_REF_MASK                            0x007F0000
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_2_SHIFT                             8
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_2_MASK                              0x00000F00
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_1_SHIFT                             4
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_1_MASK                              0x000000F0
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_0_SHIFT                             0
#define    SSPIL_CLKDIV_CLKDIV_FACTOR_0_MASK                              0x0000000F

#define SSPIL_CLKGEN_OFFSET                                               0x00000038
#define SSPIL_CLKGEN_TYPE                                                 UInt32
#define SSPIL_CLKGEN_RESERVED_MASK                                        0x03000000
#define    SSPIL_CLKGEN_CLKGEN_RESYNC_ENABLE_SHIFT                        31
#define    SSPIL_CLKGEN_CLKGEN_RESYNC_ENABLE_MASK                         0x80000000
#define    SSPIL_CLKGEN_CLKGEN_TRIGGER_SEL_SHIFT                          26
#define    SSPIL_CLKGEN_CLKGEN_TRIGGER_SEL_MASK                           0x7C000000
#define    SSPIL_CLKGEN_CLKGEN_NB_CYCLE_EDGE_SHIFT                        12
#define    SSPIL_CLKGEN_CLKGEN_NB_CYCLE_EDGE_MASK                         0x00FFF000
#define    SSPIL_CLKGEN_CLKGEN_NB_EDGES_SHIFT                             0
#define    SSPIL_CLKGEN_CLKGEN_NB_EDGES_MASK                              0x00000FFF

#define SSPIL_FIFOTX_0_CONTROL_OFFSET                                     0x00000040
#define SSPIL_FIFOTX_0_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFOTX_0_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_LEVEL_SHIFT                     20
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_EMPTY_SHIFT                     19
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_FULL_SHIFT                      18
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_FULL_MASK                       0x00040000
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_REPEAT_READ_SHIFT               8
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_REPEAT_READ_MASK                0x00000F00
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_DATA_WRITE_SIZE_SHIFT           3
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_DATA_WRITE_SIZE_MASK            0x00000018
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_RESET_SHIFT                     0
#define    SSPIL_FIFOTX_0_CONTROL_FIFOTX0_RESET_MASK                      0x00000001

#define SSPIL_FIFOTX_0_THRESHOLD_OFFSET                                   0x00000044
#define SSPIL_FIFOTX_0_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFOTX_0_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFOTX_0_THRESHOLD_FIFOTX0_TRESHOLD_SHIFT                20
#define    SSPIL_FIFOTX_0_THRESHOLD_FIFOTX0_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFORX_0_CONTROL_OFFSET                                     0x00000048
#define SSPIL_FIFORX_0_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFORX_0_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_LEVEL_SHIFT                     20
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_EMPTY_SHIFT                     19
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_FULL_SHIFT                      18
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_FULL_MASK                       0x00040000
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_REPEAT_WRITE_SHIFT              8
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_REPEAT_WRITE_MASK               0x00000F00
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_DATA_READ_SIZE_SHIFT            3
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_DATA_READ_SIZE_MASK             0x00000018
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_RESET_SHIFT                     0
#define    SSPIL_FIFORX_0_CONTROL_FIFORX0_RESET_MASK                      0x00000001

#define SSPIL_FIFORX_0_THRESHOLD_OFFSET                                   0x0000004C
#define SSPIL_FIFORX_0_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFORX_0_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFORX_0_THRESHOLD_FIFORX0_TRESHOLD_SHIFT                20
#define    SSPIL_FIFORX_0_THRESHOLD_FIFORX0_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFOTX_1_CONTROL_OFFSET                                     0x00000050
#define SSPIL_FIFOTX_1_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFOTX_1_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_LEVEL_SHIFT                     20
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_EMPTY_SHIFT                     19
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_FULL_SHIFT                      18
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_FULL_MASK                       0x00040000
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_REPEAT_READ_SHIFT               8
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_REPEAT_READ_MASK                0x00000F00
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_DATA_WRITE_SIZE_SHIFT           3
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_DATA_WRITE_SIZE_MASK            0x00000018
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_RESET_SHIFT                     0
#define    SSPIL_FIFOTX_1_CONTROL_FIFOTX1_RESET_MASK                      0x00000001

#define SSPIL_FIFOTX_1_THRESHOLD_OFFSET                                   0x00000054
#define SSPIL_FIFOTX_1_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFOTX_1_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFOTX_1_THRESHOLD_FIFOTX1_TRESHOLD_SHIFT                20
#define    SSPIL_FIFOTX_1_THRESHOLD_FIFOTX1_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFORX_1_CONTROL_OFFSET                                     0x00000058
#define SSPIL_FIFORX_1_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFORX_1_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_LEVEL_SHIFT                     20
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_EMPTY_SHIFT                     19
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_FULL_SHIFT                      18
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_FULL_MASK                       0x00040000
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_REPEAT_WRITE_SHIFT              8
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_REPEAT_WRITE_MASK               0x00000F00
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_DATA_READ_SIZE_SHIFT            3
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_DATA_READ_SIZE_MASK             0x00000018
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_RESET_SHIFT                     0
#define    SSPIL_FIFORX_1_CONTROL_FIFORX1_RESET_MASK                      0x00000001

#define SSPIL_FIFORX_1_THRESHOLD_OFFSET                                   0x0000005C
#define SSPIL_FIFORX_1_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFORX_1_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFORX_1_THRESHOLD_FIFORX1_TRESHOLD_SHIFT                20
#define    SSPIL_FIFORX_1_THRESHOLD_FIFORX1_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFOTX_2_CONTROL_OFFSET                                     0x00000060
#define SSPIL_FIFOTX_2_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFOTX_2_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_LEVEL_SHIFT                     20
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_EMPTY_SHIFT                     19
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_FULL_SHIFT                      18
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_FULL_MASK                       0x00040000
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_REPEAT_READ_SHIFT               8
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_REPEAT_READ_MASK                0x00000F00
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_DATA_WRITE_SIZE_SHIFT           3
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_DATA_WRITE_SIZE_MASK            0x00000018
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_RESET_SHIFT                     0
#define    SSPIL_FIFOTX_2_CONTROL_FIFOTX2_RESET_MASK                      0x00000001

#define SSPIL_FIFOTX_2_THRESHOLD_OFFSET                                   0x00000064
#define SSPIL_FIFOTX_2_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFOTX_2_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFOTX_2_THRESHOLD_FIFOTX2_TRESHOLD_SHIFT                20
#define    SSPIL_FIFOTX_2_THRESHOLD_FIFOTX2_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFORX_2_CONTROL_OFFSET                                     0x00000068
#define SSPIL_FIFORX_2_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFORX_2_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_LEVEL_SHIFT                     20
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_EMPTY_SHIFT                     19
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_FULL_SHIFT                      18
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_FULL_MASK                       0x00040000
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_REPEAT_WRITE_SHIFT              8
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_REPEAT_WRITE_MASK               0x00000F00
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_DATA_READ_SIZE_SHIFT            3
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_DATA_READ_SIZE_MASK             0x00000018
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_RESET_SHIFT                     0
#define    SSPIL_FIFORX_2_CONTROL_FIFORX2_RESET_MASK                      0x00000001

#define SSPIL_FIFORX_2_THRESHOLD_OFFSET                                   0x0000006C
#define SSPIL_FIFORX_2_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFORX_2_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFORX_2_THRESHOLD_FIFORX2_TRESHOLD_SHIFT                20
#define    SSPIL_FIFORX_2_THRESHOLD_FIFORX2_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFOTX_3_CONTROL_OFFSET                                     0x00000070
#define SSPIL_FIFOTX_3_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFOTX_3_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_LEVEL_SHIFT                     20
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_EMPTY_SHIFT                     19
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_FULL_SHIFT                      18
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_FULL_MASK                       0x00040000
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_REPEAT_READ_SHIFT               8
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_REPEAT_READ_MASK                0x00000F00
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_DATA_WRITE_SIZE_SHIFT           3
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_DATA_WRITE_SIZE_MASK            0x00000018
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_RESET_SHIFT                     0
#define    SSPIL_FIFOTX_3_CONTROL_FIFOTX3_RESET_MASK                      0x00000001

#define SSPIL_FIFOTX_3_THRESHOLD_OFFSET                                   0x00000074
#define SSPIL_FIFOTX_3_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFOTX_3_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFOTX_3_THRESHOLD_FIFOTX3_TRESHOLD_SHIFT                20
#define    SSPIL_FIFOTX_3_THRESHOLD_FIFOTX3_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_FIFORX_3_CONTROL_OFFSET                                     0x00000078
#define SSPIL_FIFORX_3_CONTROL_TYPE                                       UInt32
#define SSPIL_FIFORX_3_CONTROL_RESERVED_MASK                              0x0003F000
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_LEVEL_SHIFT                     20
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_LEVEL_MASK                      0xFFF00000
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_EMPTY_SHIFT                     19
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_EMPTY_MASK                      0x00080000
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_FULL_SHIFT                      18
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_FULL_MASK                       0x00040000
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_REPEAT_WRITE_SHIFT              8
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_REPEAT_WRITE_MASK               0x00000F00
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_PIO_START_ENABLE_SHIFT          7
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_PIO_START_ENABLE_MASK           0x00000080
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_PIO_STOP_ENABLE_SHIFT           6
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_PIO_STOP_ENABLE_MASK            0x00000040
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_ENDIANESS_SHIFT                 5
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_ENDIANESS_MASK                  0x00000020
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_DATA_READ_SIZE_SHIFT            3
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_DATA_READ_SIZE_MASK             0x00000018
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_DATA_PACKING_SHIFT              1
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_DATA_PACKING_MASK               0x00000006
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_RESET_SHIFT                     0
#define    SSPIL_FIFORX_3_CONTROL_FIFORX3_RESET_MASK                      0x00000001

#define SSPIL_FIFORX_3_THRESHOLD_OFFSET                                   0x0000007C
#define SSPIL_FIFORX_3_THRESHOLD_TYPE                                     UInt32
#define SSPIL_FIFORX_3_THRESHOLD_RESERVED_MASK                            0x000FFFFF
#define    SSPIL_FIFORX_3_THRESHOLD_FIFORX3_TRESHOLD_SHIFT                20
#define    SSPIL_FIFORX_3_THRESHOLD_FIFORX3_TRESHOLD_MASK                 0xFFF00000

#define SSPIL_DMA_RX0_CONTROL_OFFSET                                      0x00000080
#define SSPIL_DMA_RX0_CONTROL_TYPE                                        UInt32
#define SSPIL_DMA_RX0_CONTROL_RESERVED_MASK                               0xFFFFFFE0
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_FLUSH_SHIFT                      4
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_FLUSH_MASK                       0x00000010
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_LINK_FIFO_SHIFT                  2
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_LINK_FIFO_MASK                   0x0000000C
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_BURSTSIZE_SHIFT                  1
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_BURSTSIZE_MASK                   0x00000002
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_ENABLE_SHIFT                     0
#define    SSPIL_DMA_RX0_CONTROL_DMA_RX0_ENABLE_MASK                      0x00000001

#define SSPIL_DMA_TX0_CONTROL_OFFSET                                      0x00000084
#define SSPIL_DMA_TX0_CONTROL_TYPE                                        UInt32
#define SSPIL_DMA_TX0_CONTROL_RESERVED_MASK                               0x0003FFF0
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_SIZE_SHIFT                       18
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_SIZE_MASK                        0xFFFC0000
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_LINK_FIFO_SHIFT                  2
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_LINK_FIFO_MASK                   0x0000000C
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_BURSTSIZE_SHIFT                  1
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_BURSTSIZE_MASK                   0x00000002
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_ENABLE_SHIFT                     0
#define    SSPIL_DMA_TX0_CONTROL_DMA_TX0_ENABLE_MASK                      0x00000001

#define SSPIL_DMA_RX1_CONTROL_OFFSET                                      0x00000088
#define SSPIL_DMA_RX1_CONTROL_TYPE                                        UInt32
#define SSPIL_DMA_RX1_CONTROL_RESERVED_MASK                               0xFFFFFFE0
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_FLUSH_SHIFT                      4
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_FLUSH_MASK                       0x00000010
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_LINK_FIFO_SHIFT                  2
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_LINK_FIFO_MASK                   0x0000000C
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_BURSTSIZE_SHIFT                  1
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_BURSTSIZE_MASK                   0x00000002
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_ENABLE_SHIFT                     0
#define    SSPIL_DMA_RX1_CONTROL_DMA_RX1_ENABLE_MASK                      0x00000001

#define SSPIL_DMA_TX1_CONTROL_OFFSET                                      0x0000008C
#define SSPIL_DMA_TX1_CONTROL_TYPE                                        UInt32
#define SSPIL_DMA_TX1_CONTROL_RESERVED_MASK                               0x0003FFF0
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_SIZE_SHIFT                       18
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_SIZE_MASK                        0xFFFC0000
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_LINK_FIFO_SHIFT                  2
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_LINK_FIFO_MASK                   0x0000000C
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_BURSTSIZE_SHIFT                  1
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_BURSTSIZE_MASK                   0x00000002
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_ENABLE_SHIFT                     0
#define    SSPIL_DMA_TX1_CONTROL_DMA_TX1_ENABLE_MASK                      0x00000001

#define SSPIL_FIFOTX_0_PIO_THRESHOLD_OFFSET                               0x000000A0
#define SSPIL_FIFOTX_0_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFOTX_0_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFOTX_0_PIO_THRESHOLD_FIFOTX0_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFOTX_1_PIO_THRESHOLD_OFFSET                               0x000000A4
#define SSPIL_FIFOTX_1_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFOTX_1_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFOTX_1_PIO_THRESHOLD_FIFOTX1_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFOTX_2_PIO_THRESHOLD_OFFSET                               0x000000A8
#define SSPIL_FIFOTX_2_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFOTX_2_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFOTX_2_PIO_THRESHOLD_FIFOTX2_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFOTX_3_PIO_THRESHOLD_OFFSET                               0x000000AC
#define SSPIL_FIFOTX_3_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFOTX_3_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFOTX_3_PIO_THRESHOLD_FIFOTX3_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFORX_0_PIO_THRESHOLD_OFFSET                               0x000000B0
#define SSPIL_FIFORX_0_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFORX_0_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFORX_0_PIO_THRESHOLD_FIFORX0_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFORX_1_PIO_THRESHOLD_OFFSET                               0x000000B4
#define SSPIL_FIFORX_1_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFORX_1_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFORX_1_PIO_THRESHOLD_FIFORX1_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFORX_2_PIO_THRESHOLD_OFFSET                               0x000000B8
#define SSPIL_FIFORX_2_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFORX_2_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFORX_2_PIO_THRESHOLD_FIFORX2_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_FIFORX_3_PIO_THRESHOLD_OFFSET                               0x000000BC
#define SSPIL_FIFORX_3_PIO_THRESHOLD_TYPE                                 UInt32
#define SSPIL_FIFORX_3_PIO_THRESHOLD_RESERVED_MASK                        0xC0000000
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_THRESH_SHIFT     20
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_THRESH_MASK      0x3FF00000
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_START_THRESH_SHIFT    10
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_START_THRESH_MASK     0x000FFC00
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_ERR_THRESH_SHIFT 0
#define    SSPIL_FIFORX_3_PIO_THRESHOLD_FIFORX3_PIO_STOP_ERR_THRESH_MASK  0x000003FF

#define SSPIL_PATTERN_0_SCLK_OFFSET                                       0x000000C0
#define SSPIL_PATTERN_0_SCLK_TYPE                                         UInt32
#define SSPIL_PATTERN_0_SCLK_RESERVED_MASK                                0xFFFF0000
#define    SSPIL_PATTERN_0_SCLK_PATTERN0_SCLK_SHIFT                       0
#define    SSPIL_PATTERN_0_SCLK_PATTERN0_SCLK_MASK                        0x0000FFFF

#define SSPIL_PATTERN_0_CS_OFFSET                                         0x000000C4
#define SSPIL_PATTERN_0_CS_TYPE                                           UInt32
#define SSPIL_PATTERN_0_CS_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_0_CS_PATTERN0_CS_SHIFT                           0
#define    SSPIL_PATTERN_0_CS_PATTERN0_CS_MASK                            0x0000FFFF

#define SSPIL_PATTERN_0_TX_OFFSET                                         0x000000C8
#define SSPIL_PATTERN_0_TX_TYPE                                           UInt32
#define SSPIL_PATTERN_0_TX_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_0_TX_PATTERN0_TX_SHIFT                           0
#define    SSPIL_PATTERN_0_TX_PATTERN0_TX_MASK                            0x0000FFFF

#define SSPIL_PATTERN_0_TXOEN_OFFSET                                      0x000000CC
#define SSPIL_PATTERN_0_TXOEN_TYPE                                        UInt32
#define SSPIL_PATTERN_0_TXOEN_RESERVED_MASK                               0xFFFF0000
#define    SSPIL_PATTERN_0_TXOEN_PATTERN0_TXOEN_SHIFT                     0
#define    SSPIL_PATTERN_0_TXOEN_PATTERN0_TXOEN_MASK                      0x0000FFFF

#define SSPIL_PATTERN_1_SCLK_OFFSET                                       0x000000D0
#define SSPIL_PATTERN_1_SCLK_TYPE                                         UInt32
#define SSPIL_PATTERN_1_SCLK_RESERVED_MASK                                0xFFFF0000
#define    SSPIL_PATTERN_1_SCLK_PATTERN1_SCLK_SHIFT                       0
#define    SSPIL_PATTERN_1_SCLK_PATTERN1_SCLK_MASK                        0x0000FFFF

#define SSPIL_PATTERN_1_CS_OFFSET                                         0x000000D4
#define SSPIL_PATTERN_1_CS_TYPE                                           UInt32
#define SSPIL_PATTERN_1_CS_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_1_CS_PATTERN1_CS_SHIFT                           0
#define    SSPIL_PATTERN_1_CS_PATTERN1_CS_MASK                            0x0000FFFF

#define SSPIL_PATTERN_1_TX_OFFSET                                         0x000000D8
#define SSPIL_PATTERN_1_TX_TYPE                                           UInt32
#define SSPIL_PATTERN_1_TX_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_1_TX_PATTERN1_TX_SHIFT                           0
#define    SSPIL_PATTERN_1_TX_PATTERN1_TX_MASK                            0x0000FFFF

#define SSPIL_PATTERN_1_TXOEN_OFFSET                                      0x000000DC
#define SSPIL_PATTERN_1_TXOEN_TYPE                                        UInt32
#define SSPIL_PATTERN_1_TXOEN_RESERVED_MASK                               0xFFFF0000
#define    SSPIL_PATTERN_1_TXOEN_PATTERN1_TXOEN_SHIFT                     0
#define    SSPIL_PATTERN_1_TXOEN_PATTERN1_TXOEN_MASK                      0x0000FFFF

#define SSPIL_PATTERN_2_SCLK_OFFSET                                       0x000000E0
#define SSPIL_PATTERN_2_SCLK_TYPE                                         UInt32
#define SSPIL_PATTERN_2_SCLK_RESERVED_MASK                                0xFFFF0000
#define    SSPIL_PATTERN_2_SCLK_PATTERN2_SCLK_SHIFT                       0
#define    SSPIL_PATTERN_2_SCLK_PATTERN2_SCLK_MASK                        0x0000FFFF

#define SSPIL_PATTERN_2_CS_OFFSET                                         0x000000E4
#define SSPIL_PATTERN_2_CS_TYPE                                           UInt32
#define SSPIL_PATTERN_2_CS_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_2_CS_PATTERN2_CS_SHIFT                           0
#define    SSPIL_PATTERN_2_CS_PATTERN2_CS_MASK                            0x0000FFFF

#define SSPIL_PATTERN_2_TX_OFFSET                                         0x000000E8
#define SSPIL_PATTERN_2_TX_TYPE                                           UInt32
#define SSPIL_PATTERN_2_TX_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_2_TX_PATTERN2_TX_SHIFT                           0
#define    SSPIL_PATTERN_2_TX_PATTERN2_TX_MASK                            0x0000FFFF

#define SSPIL_PATTERN_2_TXOEN_OFFSET                                      0x000000EC
#define SSPIL_PATTERN_2_TXOEN_TYPE                                        UInt32
#define SSPIL_PATTERN_2_TXOEN_RESERVED_MASK                               0xFFFF0000
#define    SSPIL_PATTERN_2_TXOEN_PATTERN2_TXOEN_SHIFT                     0
#define    SSPIL_PATTERN_2_TXOEN_PATTERN2_TXOEN_MASK                      0x0000FFFF

#define SSPIL_PATTERN_3_SCLK_OFFSET                                       0x000000F0
#define SSPIL_PATTERN_3_SCLK_TYPE                                         UInt32
#define SSPIL_PATTERN_3_SCLK_RESERVED_MASK                                0xFFFF0000
#define    SSPIL_PATTERN_3_SCLK_PATTERN3_SCLK_SHIFT                       0
#define    SSPIL_PATTERN_3_SCLK_PATTERN3_SCLK_MASK                        0x0000FFFF

#define SSPIL_PATTERN_3_CS_OFFSET                                         0x000000F4
#define SSPIL_PATTERN_3_CS_TYPE                                           UInt32
#define SSPIL_PATTERN_3_CS_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_3_CS_PATTERN3_CS_SHIFT                           0
#define    SSPIL_PATTERN_3_CS_PATTERN3_CS_MASK                            0x0000FFFF

#define SSPIL_PATTERN_3_TX_OFFSET                                         0x000000F8
#define SSPIL_PATTERN_3_TX_TYPE                                           UInt32
#define SSPIL_PATTERN_3_TX_RESERVED_MASK                                  0xFFFF0000
#define    SSPIL_PATTERN_3_TX_PATTERN3_TX_SHIFT                           0
#define    SSPIL_PATTERN_3_TX_PATTERN3_TX_MASK                            0x0000FFFF

#define SSPIL_PATTERN_3_TXOEN_OFFSET                                      0x000000FC
#define SSPIL_PATTERN_3_TXOEN_TYPE                                        UInt32
#define SSPIL_PATTERN_3_TXOEN_RESERVED_MASK                               0xFFFF0000
#define    SSPIL_PATTERN_3_TXOEN_PATTERN3_TXOEN_SHIFT                     0
#define    SSPIL_PATTERN_3_TXOEN_PATTERN3_TXOEN_MASK                      0x0000FFFF

#define SSPIL_TASK0_DESC_MSB_OFFSET                                       0x00000100
#define SSPIL_TASK0_DESC_MSB_TYPE                                         UInt32
#define SSPIL_TASK0_DESC_MSB_RESERVED_MASK                                0x0000000C
#define    SSPIL_TASK0_DESC_MSB_TASK0_ENABLE_SHIFT                        31
#define    SSPIL_TASK0_DESC_MSB_TASK0_ENABLE_MASK                         0x80000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_DO_ONCE_ONLY_SHIFT                  30
#define    SSPIL_TASK0_DESC_MSB_TASK0_DO_ONCE_ONLY_MASK                   0x40000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_SKIP_SHIFT                          29
#define    SSPIL_TASK0_DESC_MSB_TASK0_SKIP_MASK                           0x20000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_WBS_SHIFT                           28
#define    SSPIL_TASK0_DESC_MSB_TASK0_WBS_MASK                            0x10000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_FIFO_BEH_SHIFT                      27
#define    SSPIL_TASK0_DESC_MSB_TASK0_FIFO_BEH_MASK                       0x08000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_STOP_SCHEDULER_SHIFT                26
#define    SSPIL_TASK0_DESC_MSB_TASK0_STOP_SCHEDULER_MASK                 0x04000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_FIFOERROR_STOP_SHIFT                25
#define    SSPIL_TASK0_DESC_MSB_TASK0_FIFOERROR_STOP_MASK                 0x02000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_CONTINUOUS_SHIFT                    24
#define    SSPIL_TASK0_DESC_MSB_TASK0_CONTINUOUS_MASK                     0x01000000
#define    SSPIL_TASK0_DESC_MSB_TASK0_LSBFIRST_SHIFT                      23
#define    SSPIL_TASK0_DESC_MSB_TASK0_LSBFIRST_MASK                       0x00800000
#define    SSPIL_TASK0_DESC_MSB_TASK0_DONE_INT_SHIFT                      22
#define    SSPIL_TASK0_DESC_MSB_TASK0_DONE_INT_MASK                       0x00400000
#define    SSPIL_TASK0_DESC_MSB_TASK0_RESET_REPEATCOUNTER_SHIFT           21
#define    SSPIL_TASK0_DESC_MSB_TASK0_RESET_REPEATCOUNTER_MASK            0x00200000
#define    SSPIL_TASK0_DESC_MSB_TASK0_SLAVECHECK_LARGER_ON_SHIFT          20
#define    SSPIL_TASK0_DESC_MSB_TASK0_SLAVECHECK_LARGER_ON_MASK           0x00100000
#define    SSPIL_TASK0_DESC_MSB_TASK0_RX_SIGN_EXTENSION_SHIFT             19
#define    SSPIL_TASK0_DESC_MSB_TASK0_RX_SIGN_EXTENSION_MASK              0x00080000
#define    SSPIL_TASK0_DESC_MSB_TASK0_ASYNC_CS_MODE_SHIFT                 18
#define    SSPIL_TASK0_DESC_MSB_TASK0_ASYNC_CS_MODE_MASK                  0x00040000
#define    SSPIL_TASK0_DESC_MSB_TASK0_SCLK_IDLE_EXTENSION_SHIFT           17
#define    SSPIL_TASK0_DESC_MSB_TASK0_SCLK_IDLE_EXTENSION_MASK            0x00020000
#define    SSPIL_TASK0_DESC_MSB_TASK0_TX_TXOEN_SEL_SHIFT                  15
#define    SSPIL_TASK0_DESC_MSB_TASK0_TX_TXOEN_SEL_MASK                   0x00018000
#define    SSPIL_TASK0_DESC_MSB_TASK0_CS_CSOEN_SEL_SHIFT                  13
#define    SSPIL_TASK0_DESC_MSB_TASK0_CS_CSOEN_SEL_MASK                   0x00006000
#define    SSPIL_TASK0_DESC_MSB_TASK0_SCLK_SCLKOEN_SEL_SHIFT              11
#define    SSPIL_TASK0_DESC_MSB_TASK0_SCLK_SCLKOEN_SEL_MASK               0x00001800
#define    SSPIL_TASK0_DESC_MSB_TASK0_TXOEN_CS_SEL_SHIFT                  8
#define    SSPIL_TASK0_DESC_MSB_TASK0_TXOEN_CS_SEL_MASK                   0x00000700
#define    SSPIL_TASK0_DESC_MSB_TASK0_TX_SELECT_SHIFT                     6
#define    SSPIL_TASK0_DESC_MSB_TASK0_TX_SELECT_MASK                      0x000000C0
#define    SSPIL_TASK0_DESC_MSB_TASK0_RX_SELECT_SHIFT                     4
#define    SSPIL_TASK0_DESC_MSB_TASK0_RX_SELECT_MASK                      0x00000030
#define    SSPIL_TASK0_DESC_MSB_TASK0_CLK_SELECT_SHIFT                    0
#define    SSPIL_TASK0_DESC_MSB_TASK0_CLK_SELECT_MASK                     0x00000003

#define SSPIL_TASK0_DESC_LSB_OFFSET                                       0x00000104
#define SSPIL_TASK0_DESC_LSB_TYPE                                         UInt32
#define SSPIL_TASK0_DESC_LSB_RESERVED_MASK                                0x80FC0000
#define    SSPIL_TASK0_DESC_LSB_TASK0_SEQ_POINTER_SHIFT                   26
#define    SSPIL_TASK0_DESC_LSB_TASK0_SEQ_POINTER_MASK                    0x7C000000
#define    SSPIL_TASK0_DESC_LSB_TASK0_RX_ERRORSTOP_CHK_SHIFT              24
#define    SSPIL_TASK0_DESC_LSB_TASK0_RX_ERRORSTOP_CHK_MASK               0x03000000
#define    SSPIL_TASK0_DESC_LSB_TASK0_LOOP_SHIFT                          8
#define    SSPIL_TASK0_DESC_LSB_TASK0_LOOP_MASK                           0x0003FF00
#define    SSPIL_TASK0_DESC_LSB_TASK0_INITIAL_CONDITION_SHIFT             0
#define    SSPIL_TASK0_DESC_LSB_TASK0_INITIAL_CONDITION_MASK              0x000000FF

#define SSPIL_TASK1_DESC_MSB_OFFSET                                       0x00000108
#define SSPIL_TASK1_DESC_MSB_TYPE                                         UInt32
#define SSPIL_TASK1_DESC_MSB_RESERVED_MASK                                0x0000000C
#define    SSPIL_TASK1_DESC_MSB_TASK1_ENABLE_SHIFT                        31
#define    SSPIL_TASK1_DESC_MSB_TASK1_ENABLE_MASK                         0x80000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_DO_ONCE_ONLY_SHIFT                  30
#define    SSPIL_TASK1_DESC_MSB_TASK1_DO_ONCE_ONLY_MASK                   0x40000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_SKIP_SHIFT                          29
#define    SSPIL_TASK1_DESC_MSB_TASK1_SKIP_MASK                           0x20000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_WBS_SHIFT                           28
#define    SSPIL_TASK1_DESC_MSB_TASK1_WBS_MASK                            0x10000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_FIFO_BEH_SHIFT                      27
#define    SSPIL_TASK1_DESC_MSB_TASK1_FIFO_BEH_MASK                       0x08000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_STOP_SCHEDULER_SHIFT                26
#define    SSPIL_TASK1_DESC_MSB_TASK1_STOP_SCHEDULER_MASK                 0x04000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_FIFOERROR_STOP_SHIFT                25
#define    SSPIL_TASK1_DESC_MSB_TASK1_FIFOERROR_STOP_MASK                 0x02000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_CONTINUOUS_SHIFT                    24
#define    SSPIL_TASK1_DESC_MSB_TASK1_CONTINUOUS_MASK                     0x01000000
#define    SSPIL_TASK1_DESC_MSB_TASK1_LSBFIRST_SHIFT                      23
#define    SSPIL_TASK1_DESC_MSB_TASK1_LSBFIRST_MASK                       0x00800000
#define    SSPIL_TASK1_DESC_MSB_TASK1_DONE_INT_SHIFT                      22
#define    SSPIL_TASK1_DESC_MSB_TASK1_DONE_INT_MASK                       0x00400000
#define    SSPIL_TASK1_DESC_MSB_TASK1_RESET_REPEATCOUNTER_SHIFT           21
#define    SSPIL_TASK1_DESC_MSB_TASK1_RESET_REPEATCOUNTER_MASK            0x00200000
#define    SSPIL_TASK1_DESC_MSB_TASK1_SLAVECHECK_LARGER_ON_SHIFT          20
#define    SSPIL_TASK1_DESC_MSB_TASK1_SLAVECHECK_LARGER_ON_MASK           0x00100000
#define    SSPIL_TASK1_DESC_MSB_TASK1_RX_SIGN_EXTENSION_SHIFT             19
#define    SSPIL_TASK1_DESC_MSB_TASK1_RX_SIGN_EXTENSION_MASK              0x00080000
#define    SSPIL_TASK1_DESC_MSB_TASK1_ASYNC_CS_MODE_SHIFT                 18
#define    SSPIL_TASK1_DESC_MSB_TASK1_ASYNC_CS_MODE_MASK                  0x00040000
#define    SSPIL_TASK1_DESC_MSB_TASK1_SCLK_IDLE_EXTENSION_SHIFT           17
#define    SSPIL_TASK1_DESC_MSB_TASK1_SCLK_IDLE_EXTENSION_MASK            0x00020000
#define    SSPIL_TASK1_DESC_MSB_TASK1_TX_TXOEN_SEL_SHIFT                  15
#define    SSPIL_TASK1_DESC_MSB_TASK1_TX_TXOEN_SEL_MASK                   0x00018000
#define    SSPIL_TASK1_DESC_MSB_TASK1_CS_CSOEN_SEL_SHIFT                  13
#define    SSPIL_TASK1_DESC_MSB_TASK1_CS_CSOEN_SEL_MASK                   0x00006000
#define    SSPIL_TASK1_DESC_MSB_TASK1_SCLK_SCLKOEN_SEL_SHIFT              11
#define    SSPIL_TASK1_DESC_MSB_TASK1_SCLK_SCLKOEN_SEL_MASK               0x00001800
#define    SSPIL_TASK1_DESC_MSB_TASK1_TXOEN_CS_SEL_SHIFT                  8
#define    SSPIL_TASK1_DESC_MSB_TASK1_TXOEN_CS_SEL_MASK                   0x00000700
#define    SSPIL_TASK1_DESC_MSB_TASK1_TX_SELECT_SHIFT                     6
#define    SSPIL_TASK1_DESC_MSB_TASK1_TX_SELECT_MASK                      0x000000C0
#define    SSPIL_TASK1_DESC_MSB_TASK1_RX_SELECT_SHIFT                     4
#define    SSPIL_TASK1_DESC_MSB_TASK1_RX_SELECT_MASK                      0x00000030
#define    SSPIL_TASK1_DESC_MSB_TASK1_CLK_SELECT_SHIFT                    0
#define    SSPIL_TASK1_DESC_MSB_TASK1_CLK_SELECT_MASK                     0x00000003

#define SSPIL_TASK1_DESC_LSB_OFFSET                                       0x0000010C
#define SSPIL_TASK1_DESC_LSB_TYPE                                         UInt32
#define SSPIL_TASK1_DESC_LSB_RESERVED_MASK                                0x80FC0000
#define    SSPIL_TASK1_DESC_LSB_TASK1_SEQ_POINTER_SHIFT                   26
#define    SSPIL_TASK1_DESC_LSB_TASK1_SEQ_POINTER_MASK                    0x7C000000
#define    SSPIL_TASK1_DESC_LSB_TASK1_RX_ERRORSTOP_CHK_SHIFT              24
#define    SSPIL_TASK1_DESC_LSB_TASK1_RX_ERRORSTOP_CHK_MASK               0x03000000
#define    SSPIL_TASK1_DESC_LSB_TASK1_LOOP_SHIFT                          8
#define    SSPIL_TASK1_DESC_LSB_TASK1_LOOP_MASK                           0x0003FF00
#define    SSPIL_TASK1_DESC_LSB_TASK1_INITIAL_CONDITION_SHIFT             0
#define    SSPIL_TASK1_DESC_LSB_TASK1_INITIAL_CONDITION_MASK              0x000000FF

#define SSPIL_PATTERN_0_CONTROL_OFFSET                                    0x000001A0
#define SSPIL_PATTERN_0_CONTROL_TYPE                                      UInt32
#define SSPIL_PATTERN_0_CONTROL_RESERVED_MASK                             0xFFFC00E0
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_EXTENSION_CHECK_SHIFT         17
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_EXTENSION_CHECK_MASK          0x00020000
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_IDLE_EXTENSION_SHIFT          16
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_IDLE_EXTENSION_MASK           0x00010000
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_FINAL_SHIFT                   12
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_FINAL_MASK                    0x0000F000
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_INITIAL_SHIFT                 8
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_INITIAL_MASK                  0x00000F00
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_LENGTH_SHIFT                  0
#define    SSPIL_PATTERN_0_CONTROL_PATTERN0_LENGTH_MASK                   0x0000001F

#define SSPIL_PATTERN_1_CONTROL_OFFSET                                    0x000001A4
#define SSPIL_PATTERN_1_CONTROL_TYPE                                      UInt32
#define SSPIL_PATTERN_1_CONTROL_RESERVED_MASK                             0xFFFC00E0
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_EXTENSION_CHECK_SHIFT         17
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_EXTENSION_CHECK_MASK          0x00020000
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_IDLE_EXTENSION_SHIFT          16
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_IDLE_EXTENSION_MASK           0x00010000
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_FINAL_SHIFT                   12
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_FINAL_MASK                    0x0000F000
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_INITIAL_SHIFT                 8
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_INITIAL_MASK                  0x00000F00
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_LENGTH_SHIFT                  0
#define    SSPIL_PATTERN_1_CONTROL_PATTERN1_LENGTH_MASK                   0x0000001F

#define SSPIL_PATTERN_2_CONTROL_OFFSET                                    0x000001A8
#define SSPIL_PATTERN_2_CONTROL_TYPE                                      UInt32
#define SSPIL_PATTERN_2_CONTROL_RESERVED_MASK                             0xFFFC00E0
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_EXTENSION_CHECK_SHIFT         17
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_EXTENSION_CHECK_MASK          0x00020000
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_IDLE_EXTENSION_SHIFT          16
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_IDLE_EXTENSION_MASK           0x00010000
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_FINAL_SHIFT                   12
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_FINAL_MASK                    0x0000F000
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_INITIAL_SHIFT                 8
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_INITIAL_MASK                  0x00000F00
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_LENGTH_SHIFT                  0
#define    SSPIL_PATTERN_2_CONTROL_PATTERN2_LENGTH_MASK                   0x0000001F

#define SSPIL_PATTERN_3_CONTROL_OFFSET                                    0x000001AC
#define SSPIL_PATTERN_3_CONTROL_TYPE                                      UInt32
#define SSPIL_PATTERN_3_CONTROL_RESERVED_MASK                             0xFFFC00E0
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_EXTENSION_CHECK_SHIFT         17
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_EXTENSION_CHECK_MASK          0x00020000
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_IDLE_EXTENSION_SHIFT          16
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_IDLE_EXTENSION_MASK           0x00010000
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_FINAL_SHIFT                   12
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_FINAL_MASK                    0x0000F000
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_INITIAL_SHIFT                 8
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_INITIAL_MASK                  0x00000F00
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_LENGTH_SHIFT                  0
#define    SSPIL_PATTERN_3_CONTROL_PATTERN3_LENGTH_MASK                   0x0000001F

#define SSPIL_SEQUENCE_0_OFFSET                                           0x00000200
#define SSPIL_SEQUENCE_0_TYPE                                             UInt32
#define SSPIL_SEQUENCE_0_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_0_SEQ0_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_0_SEQ0_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_0_SEQ0_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_0_SEQ0_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_0_SEQ0_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_0_SEQ0_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_0_SEQ0_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_0_SEQ0_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_0_SEQ0_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_0_SEQ0_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_0_SEQ0_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_0_SEQ0_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_0_SEQ0_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_0_SEQ0_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_0_SEQ0_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_0_SEQ0_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_0_SEQ0_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_0_SEQ0_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_0_SEQ0_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_0_SEQ0_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_0_SEQ0_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_0_SEQ0_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_0_SEQ0_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_0_SEQ0_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_0_SEQ0_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_0_SEQ0_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_1_OFFSET                                           0x00000204
#define SSPIL_SEQUENCE_1_TYPE                                             UInt32
#define SSPIL_SEQUENCE_1_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_1_SEQ1_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_1_SEQ1_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_1_SEQ1_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_1_SEQ1_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_1_SEQ1_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_1_SEQ1_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_1_SEQ1_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_1_SEQ1_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_1_SEQ1_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_1_SEQ1_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_1_SEQ1_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_1_SEQ1_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_1_SEQ1_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_1_SEQ1_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_1_SEQ1_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_1_SEQ1_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_1_SEQ1_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_1_SEQ1_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_1_SEQ1_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_1_SEQ1_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_1_SEQ1_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_1_SEQ1_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_1_SEQ1_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_1_SEQ1_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_1_SEQ1_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_1_SEQ1_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_2_OFFSET                                           0x00000208
#define SSPIL_SEQUENCE_2_TYPE                                             UInt32
#define SSPIL_SEQUENCE_2_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_2_SEQ2_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_2_SEQ2_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_2_SEQ2_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_2_SEQ2_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_2_SEQ2_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_2_SEQ2_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_2_SEQ2_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_2_SEQ2_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_2_SEQ2_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_2_SEQ2_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_2_SEQ2_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_2_SEQ2_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_2_SEQ2_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_2_SEQ2_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_2_SEQ2_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_2_SEQ2_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_2_SEQ2_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_2_SEQ2_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_2_SEQ2_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_2_SEQ2_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_2_SEQ2_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_2_SEQ2_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_2_SEQ2_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_2_SEQ2_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_2_SEQ2_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_2_SEQ2_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_3_OFFSET                                           0x0000020C
#define SSPIL_SEQUENCE_3_TYPE                                             UInt32
#define SSPIL_SEQUENCE_3_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_3_SEQ3_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_3_SEQ3_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_3_SEQ3_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_3_SEQ3_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_3_SEQ3_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_3_SEQ3_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_3_SEQ3_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_3_SEQ3_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_3_SEQ3_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_3_SEQ3_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_3_SEQ3_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_3_SEQ3_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_3_SEQ3_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_3_SEQ3_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_3_SEQ3_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_3_SEQ3_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_3_SEQ3_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_3_SEQ3_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_3_SEQ3_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_3_SEQ3_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_3_SEQ3_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_3_SEQ3_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_3_SEQ3_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_3_SEQ3_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_3_SEQ3_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_3_SEQ3_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_4_OFFSET                                           0x00000210
#define SSPIL_SEQUENCE_4_TYPE                                             UInt32
#define SSPIL_SEQUENCE_4_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_4_SEQ4_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_4_SEQ4_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_4_SEQ4_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_4_SEQ4_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_4_SEQ4_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_4_SEQ4_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_4_SEQ4_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_4_SEQ4_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_4_SEQ4_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_4_SEQ4_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_4_SEQ4_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_4_SEQ4_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_4_SEQ4_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_4_SEQ4_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_4_SEQ4_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_4_SEQ4_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_4_SEQ4_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_4_SEQ4_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_4_SEQ4_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_4_SEQ4_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_4_SEQ4_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_4_SEQ4_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_4_SEQ4_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_4_SEQ4_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_4_SEQ4_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_4_SEQ4_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_5_OFFSET                                           0x00000214
#define SSPIL_SEQUENCE_5_TYPE                                             UInt32
#define SSPIL_SEQUENCE_5_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_5_SEQ5_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_5_SEQ5_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_5_SEQ5_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_5_SEQ5_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_5_SEQ5_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_5_SEQ5_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_5_SEQ5_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_5_SEQ5_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_5_SEQ5_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_5_SEQ5_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_5_SEQ5_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_5_SEQ5_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_5_SEQ5_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_5_SEQ5_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_5_SEQ5_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_5_SEQ5_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_5_SEQ5_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_5_SEQ5_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_5_SEQ5_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_5_SEQ5_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_5_SEQ5_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_5_SEQ5_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_5_SEQ5_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_5_SEQ5_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_5_SEQ5_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_5_SEQ5_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_6_OFFSET                                           0x00000218
#define SSPIL_SEQUENCE_6_TYPE                                             UInt32
#define SSPIL_SEQUENCE_6_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_6_SEQ6_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_6_SEQ6_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_6_SEQ6_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_6_SEQ6_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_6_SEQ6_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_6_SEQ6_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_6_SEQ6_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_6_SEQ6_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_6_SEQ6_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_6_SEQ6_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_6_SEQ6_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_6_SEQ6_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_6_SEQ6_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_6_SEQ6_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_6_SEQ6_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_6_SEQ6_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_6_SEQ6_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_6_SEQ6_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_6_SEQ6_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_6_SEQ6_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_6_SEQ6_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_6_SEQ6_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_6_SEQ6_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_6_SEQ6_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_6_SEQ6_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_6_SEQ6_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_SEQUENCE_7_OFFSET                                           0x0000021C
#define SSPIL_SEQUENCE_7_TYPE                                             UInt32
#define SSPIL_SEQUENCE_7_RESERVED_MASK                                    0x00001021
#define    SSPIL_SEQUENCE_7_SEQ7_OPCODE_SHIFT                             30
#define    SSPIL_SEQUENCE_7_SEQ7_OPCODE_MASK                              0xC0000000
#define    SSPIL_SEQUENCE_7_SEQ7_PATTERNMODE_SHIFT                        29
#define    SSPIL_SEQUENCE_7_SEQ7_PATTERNMODE_MASK                         0x20000000
#define    SSPIL_SEQUENCE_7_SEQ7_NEXT_PC_SHIFT                            24
#define    SSPIL_SEQUENCE_7_SEQ7_NEXT_PC_MASK                             0x1F000000
#define    SSPIL_SEQUENCE_7_SEQ7_REPEAT_COUNT_SHIFT                       16
#define    SSPIL_SEQUENCE_7_SEQ7_REPEAT_COUNT_MASK                        0x00FF0000
#define    SSPIL_SEQUENCE_7_SEQ7_FRAME_DEF_SEL_SHIFT                      13
#define    SSPIL_SEQUENCE_7_SEQ7_FRAME_DEF_SEL_MASK                       0x0000E000
#define    SSPIL_SEQUENCE_7_SEQ7_CLK_IDLE_SHIFT                           11
#define    SSPIL_SEQUENCE_7_SEQ7_CLK_IDLE_MASK                            0x00000800
#define    SSPIL_SEQUENCE_7_SEQ7_CS_ACTIVATE_SHIFT                        10
#define    SSPIL_SEQUENCE_7_SEQ7_CS_ACTIVATE_MASK                         0x00000400
#define    SSPIL_SEQUENCE_7_SEQ7_CS_DEACTIVATE_SHIFT                      9
#define    SSPIL_SEQUENCE_7_SEQ7_CS_DEACTIVATE_MASK                       0x00000200
#define    SSPIL_SEQUENCE_7_SEQ7_TRANSMIT_SHIFT                           8
#define    SSPIL_SEQUENCE_7_SEQ7_TRANSMIT_MASK                            0x00000100
#define    SSPIL_SEQUENCE_7_SEQ7_FIFOTX_SEL_SHIFT                         6
#define    SSPIL_SEQUENCE_7_SEQ7_FIFOTX_SEL_MASK                          0x000000C0
#define    SSPIL_SEQUENCE_7_SEQ7_TXOEN_ACTIVE_SHIFT                       4
#define    SSPIL_SEQUENCE_7_SEQ7_TXOEN_ACTIVE_MASK                        0x00000010
#define    SSPIL_SEQUENCE_7_SEQ7_RECEIVE_SHIFT                            3
#define    SSPIL_SEQUENCE_7_SEQ7_RECEIVE_MASK                             0x00000008
#define    SSPIL_SEQUENCE_7_SEQ7_FIFORX_SEL_SHIFT                         1
#define    SSPIL_SEQUENCE_7_SEQ7_FIFORX_SEL_MASK                          0x00000006

#define SSPIL_FRAME0_CS_IDLE_DEF_OFFSET                                   0x00000300
#define SSPIL_FRAME0_CS_IDLE_DEF_TYPE                                     UInt32
#define SSPIL_FRAME0_CS_IDLE_DEF_RESERVED_MASK                            0x8080FFC0
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_ACTIVE_SHIFT                24
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_ACTIVE_MASK                 0x7F000000
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_SIZE_SHIFT                  16
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_SIZE_MASK                   0x007F0000
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_ACTIVE_EDGE_SHIFT         5
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_ACTIVE_EDGE_MASK          0x00000020
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_INITIAL_VALUE_SHIFT         4
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_INITIAL_VALUE_MASK          0x00000010
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_TXOEN_IDLE_VALUE_SHIFT         3
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_TXOEN_IDLE_VALUE_MASK          0x00000008
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_TX_IDLE_VALUE_SHIFT            2
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_TX_IDLE_VALUE_MASK             0x00000004
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_IDLE_VALUE_SHIFT          1
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_SCLK_IDLE_VALUE_MASK           0x00000002
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_IDLE_VALUE_SHIFT            0
#define    SSPIL_FRAME0_CS_IDLE_DEF_FRAME0_CS_IDLE_VALUE_MASK             0x00000001

#define SSPIL_FRAME0_SCLK_DEF_OFFSET                                      0x00000304
#define SSPIL_FRAME0_SCLK_DEF_TYPE                                        UInt32
#define SSPIL_FRAME0_SCLK_DEF_RESERVED_MASK                               0xFF800FF1
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_END_SHIFT                    16
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_END_MASK                     0x007F0000
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_START_SHIFT                  12
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_START_MASK                   0x0000F000
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_DUTY_SHIFT                   3
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_DUTY_MASK                    0x00000008
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_RATIO_SHIFT                  1
#define    SSPIL_FRAME0_SCLK_DEF_FRAME0_SCLK_RATIO_MASK                   0x00000006

#define SSPIL_FRAME0_TX_DEF_OFFSET                                        0x00000308
#define SSPIL_FRAME0_TX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME0_TX_DEF_RESERVED_MASK                                 0x80808004
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TXOEN_END_SHIFT                     24
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TXOEN_END_MASK                      0x7F000000
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TXOEN_START_SHIFT                   16
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TXOEN_START_MASK                    0x007F0000
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_START_SHIFT                      8
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_START_MASK                       0x00007F00
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_WORD_LENGTH_MASK                 0x000000F8
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LEFT_SHIFT              1
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_LEFT_MASK               0x00000002
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_RIGHT_SHIFT             0
#define    SSPIL_FRAME0_TX_DEF_FRAME0_TX_EXTENDED_RIGHT_MASK              0x00000001

#define SSPIL_FRAME0_RX_DEF_OFFSET                                        0x0000030C
#define SSPIL_FRAME0_RX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME0_RX_DEF_RESERVED_MASK                                 0xFFFF8007
#define    SSPIL_FRAME0_RX_DEF_FRAME0_RX_START_SHIFT                      8
#define    SSPIL_FRAME0_RX_DEF_FRAME0_RX_START_MASK                       0x00007F00
#define    SSPIL_FRAME0_RX_DEF_FRAME0_RX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME0_RX_DEF_FRAME0_RX_WORD_LENGTH_MASK                 0x000000F8

#define SSPIL_FRAME1_CS_IDLE_DEF_OFFSET                                   0x00000310
#define SSPIL_FRAME1_CS_IDLE_DEF_TYPE                                     UInt32
#define SSPIL_FRAME1_CS_IDLE_DEF_RESERVED_MASK                            0x8080FFC0
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_ACTIVE_SHIFT                24
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_ACTIVE_MASK                 0x7F000000
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_SIZE_SHIFT                  16
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_SIZE_MASK                   0x007F0000
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_ACTIVE_EDGE_SHIFT         5
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_ACTIVE_EDGE_MASK          0x00000020
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_INITIAL_VALUE_SHIFT         4
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_INITIAL_VALUE_MASK          0x00000010
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_TXOEN_IDLE_VALUE_SHIFT         3
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_TXOEN_IDLE_VALUE_MASK          0x00000008
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_TX_IDLE_VALUE_SHIFT            2
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_TX_IDLE_VALUE_MASK             0x00000004
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_IDLE_VALUE_SHIFT          1
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_SCLK_IDLE_VALUE_MASK           0x00000002
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_IDLE_VALUE_SHIFT            0
#define    SSPIL_FRAME1_CS_IDLE_DEF_FRAME1_CS_IDLE_VALUE_MASK             0x00000001

#define SSPIL_FRAME1_SCLK_DEF_OFFSET                                      0x00000314
#define SSPIL_FRAME1_SCLK_DEF_TYPE                                        UInt32
#define SSPIL_FRAME1_SCLK_DEF_RESERVED_MASK                               0xFF800FF1
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_END_SHIFT                    16
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_END_MASK                     0x007F0000
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_START_SHIFT                  12
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_START_MASK                   0x0000F000
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_DUTY_SHIFT                   3
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_DUTY_MASK                    0x00000008
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_RATIO_SHIFT                  1
#define    SSPIL_FRAME1_SCLK_DEF_FRAME1_SCLK_RATIO_MASK                   0x00000006

#define SSPIL_FRAME1_TX_DEF_OFFSET                                        0x00000318
#define SSPIL_FRAME1_TX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME1_TX_DEF_RESERVED_MASK                                 0x80808004
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TXOEN_END_SHIFT                     24
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TXOEN_END_MASK                      0x7F000000
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TXOEN_START_SHIFT                   16
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TXOEN_START_MASK                    0x007F0000
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_START_SHIFT                      8
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_START_MASK                       0x00007F00
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_WORD_LENGTH_MASK                 0x000000F8
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_LEFT_SHIFT              1
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_LEFT_MASK               0x00000002
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_RIGHT_SHIFT             0
#define    SSPIL_FRAME1_TX_DEF_FRAME1_TX_EXTENDED_RIGHT_MASK              0x00000001

#define SSPIL_FRAME1_RX_DEF_OFFSET                                        0x0000031C
#define SSPIL_FRAME1_RX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME1_RX_DEF_RESERVED_MASK                                 0xFFFF8007
#define    SSPIL_FRAME1_RX_DEF_FRAME1_RX_START_SHIFT                      8
#define    SSPIL_FRAME1_RX_DEF_FRAME1_RX_START_MASK                       0x00007F00
#define    SSPIL_FRAME1_RX_DEF_FRAME1_RX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME1_RX_DEF_FRAME1_RX_WORD_LENGTH_MASK                 0x000000F8

#define SSPIL_FRAME2_CS_IDLE_DEF_OFFSET                                   0x00000320
#define SSPIL_FRAME2_CS_IDLE_DEF_TYPE                                     UInt32
#define SSPIL_FRAME2_CS_IDLE_DEF_RESERVED_MASK                            0x8080FFC0
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_ACTIVE_SHIFT                24
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_ACTIVE_MASK                 0x7F000000
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_SIZE_SHIFT                  16
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_SIZE_MASK                   0x007F0000
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_ACTIVE_EDGE_SHIFT         5
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_ACTIVE_EDGE_MASK          0x00000020
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_INITIAL_VALUE_SHIFT         4
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_INITIAL_VALUE_MASK          0x00000010
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_TXOEN_IDLE_VALUE_SHIFT         3
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_TXOEN_IDLE_VALUE_MASK          0x00000008
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_TX_IDLE_VALUE_SHIFT            2
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_TX_IDLE_VALUE_MASK             0x00000004
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_IDLE_VALUE_SHIFT          1
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_SCLK_IDLE_VALUE_MASK           0x00000002
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_IDLE_VALUE_SHIFT            0
#define    SSPIL_FRAME2_CS_IDLE_DEF_FRAME2_CS_IDLE_VALUE_MASK             0x00000001

#define SSPIL_FRAME2_SCLK_DEF_OFFSET                                      0x00000324
#define SSPIL_FRAME2_SCLK_DEF_TYPE                                        UInt32
#define SSPIL_FRAME2_SCLK_DEF_RESERVED_MASK                               0xFF800FF1
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_END_SHIFT                    16
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_END_MASK                     0x007F0000
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_START_SHIFT                  12
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_START_MASK                   0x0000F000
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_DUTY_SHIFT                   3
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_DUTY_MASK                    0x00000008
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_RATIO_SHIFT                  1
#define    SSPIL_FRAME2_SCLK_DEF_FRAME2_SCLK_RATIO_MASK                   0x00000006

#define SSPIL_FRAME2_TX_DEF_OFFSET                                        0x00000328
#define SSPIL_FRAME2_TX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME2_TX_DEF_RESERVED_MASK                                 0x80808004
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TXOEN_END_SHIFT                     24
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TXOEN_END_MASK                      0x7F000000
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TXOEN_START_SHIFT                   16
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TXOEN_START_MASK                    0x007F0000
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_START_SHIFT                      8
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_START_MASK                       0x00007F00
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_WORD_LENGTH_MASK                 0x000000F8
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_LEFT_SHIFT              1
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_LEFT_MASK               0x00000002
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_RIGHT_SHIFT             0
#define    SSPIL_FRAME2_TX_DEF_FRAME2_TX_EXTENDED_RIGHT_MASK              0x00000001

#define SSPIL_FRAME2_RX_DEF_OFFSET                                        0x0000032C
#define SSPIL_FRAME2_RX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME2_RX_DEF_RESERVED_MASK                                 0xFFFF8007
#define    SSPIL_FRAME2_RX_DEF_FRAME2_RX_START_SHIFT                      8
#define    SSPIL_FRAME2_RX_DEF_FRAME2_RX_START_MASK                       0x00007F00
#define    SSPIL_FRAME2_RX_DEF_FRAME2_RX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME2_RX_DEF_FRAME2_RX_WORD_LENGTH_MASK                 0x000000F8

#define SSPIL_FRAME3_CS_IDLE_DEF_OFFSET                                   0x00000330
#define SSPIL_FRAME3_CS_IDLE_DEF_TYPE                                     UInt32
#define SSPIL_FRAME3_CS_IDLE_DEF_RESERVED_MASK                            0x8080FFC0
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_ACTIVE_SHIFT                24
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_ACTIVE_MASK                 0x7F000000
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_SIZE_SHIFT                  16
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_SIZE_MASK                   0x007F0000
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_ACTIVE_EDGE_SHIFT         5
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_ACTIVE_EDGE_MASK          0x00000020
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_INITIAL_VALUE_SHIFT         4
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_INITIAL_VALUE_MASK          0x00000010
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_TXOEN_IDLE_VALUE_SHIFT         3
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_TXOEN_IDLE_VALUE_MASK          0x00000008
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_TX_IDLE_VALUE_SHIFT            2
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_TX_IDLE_VALUE_MASK             0x00000004
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_IDLE_VALUE_SHIFT          1
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_SCLK_IDLE_VALUE_MASK           0x00000002
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_IDLE_VALUE_SHIFT            0
#define    SSPIL_FRAME3_CS_IDLE_DEF_FRAME3_CS_IDLE_VALUE_MASK             0x00000001

#define SSPIL_FRAME3_SCLK_DEF_OFFSET                                      0x00000334
#define SSPIL_FRAME3_SCLK_DEF_TYPE                                        UInt32
#define SSPIL_FRAME3_SCLK_DEF_RESERVED_MASK                               0xFF800FF1
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_END_SHIFT                    16
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_END_MASK                     0x007F0000
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_START_SHIFT                  12
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_START_MASK                   0x0000F000
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_DUTY_SHIFT                   3
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_DUTY_MASK                    0x00000008
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_RATIO_SHIFT                  1
#define    SSPIL_FRAME3_SCLK_DEF_FRAME3_SCLK_RATIO_MASK                   0x00000006

#define SSPIL_FRAME3_TX_DEF_OFFSET                                        0x00000338
#define SSPIL_FRAME3_TX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME3_TX_DEF_RESERVED_MASK                                 0x80808004
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TXOEN_END_SHIFT                     24
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TXOEN_END_MASK                      0x7F000000
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TXOEN_START_SHIFT                   16
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TXOEN_START_MASK                    0x007F0000
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_START_SHIFT                      8
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_START_MASK                       0x00007F00
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_WORD_LENGTH_MASK                 0x000000F8
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_LEFT_SHIFT              1
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_LEFT_MASK               0x00000002
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_RIGHT_SHIFT             0
#define    SSPIL_FRAME3_TX_DEF_FRAME3_TX_EXTENDED_RIGHT_MASK              0x00000001

#define SSPIL_FRAME3_RX_DEF_OFFSET                                        0x0000033C
#define SSPIL_FRAME3_RX_DEF_TYPE                                          UInt32
#define SSPIL_FRAME3_RX_DEF_RESERVED_MASK                                 0xFFFF8007
#define    SSPIL_FRAME3_RX_DEF_FRAME3_RX_START_SHIFT                      8
#define    SSPIL_FRAME3_RX_DEF_FRAME3_RX_START_MASK                       0x00007F00
#define    SSPIL_FRAME3_RX_DEF_FRAME3_RX_WORD_LENGTH_SHIFT                3
#define    SSPIL_FRAME3_RX_DEF_FRAME3_RX_WORD_LENGTH_MASK                 0x000000F8

#define SSPIL_FIFO_ENTRY0TX_OFFSET                                        0x00000400
#define SSPIL_FIFO_ENTRY0TX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY0TX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY0TX_FIFO_ENTRY0TX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY0TX_FIFO_ENTRY0TX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY1TX_OFFSET                                        0x00000480
#define SSPIL_FIFO_ENTRY1TX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY1TX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY1TX_FIFO_ENTRY1TX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY1TX_FIFO_ENTRY1TX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY2TX_OFFSET                                        0x00000500
#define SSPIL_FIFO_ENTRY2TX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY2TX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY2TX_FIFO_ENTRY2TX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY2TX_FIFO_ENTRY2TX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY3TX_OFFSET                                        0x00000580
#define SSPIL_FIFO_ENTRY3TX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY3TX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY3TX_FIFO_ENTRY3TX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY3TX_FIFO_ENTRY3TX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY0RX_OFFSET                                        0x00000600
#define SSPIL_FIFO_ENTRY0RX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY0RX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY0RX_FIFO_ENTRY0RX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY0RX_FIFO_ENTRY0RX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY1RX_OFFSET                                        0x00000680
#define SSPIL_FIFO_ENTRY1RX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY1RX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY1RX_FIFO_ENTRY1RX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY1RX_FIFO_ENTRY1RX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY2RX_OFFSET                                        0x00000700
#define SSPIL_FIFO_ENTRY2RX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY2RX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY2RX_FIFO_ENTRY2RX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY2RX_FIFO_ENTRY2RX_MASK                         0xFFFFFFFF

#define SSPIL_FIFO_ENTRY3RX_OFFSET                                        0x00000780
#define SSPIL_FIFO_ENTRY3RX_TYPE                                          UInt32
#define SSPIL_FIFO_ENTRY3RX_RESERVED_MASK                                 0x00000000
#define    SSPIL_FIFO_ENTRY3RX_FIFO_ENTRY3RX_SHIFT                        0
#define    SSPIL_FIFO_ENTRY3RX_FIFO_ENTRY3RX_MASK                         0xFFFFFFFF

#endif /* __BRCM_RDB_SSPIL_H__ */


