/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 5/5/2011 18:12:54                                             */
/*     RDB file : /projects/SAMOA/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_HSOTG_H__
#define __BRCM_RDB_HSOTG_H__

#define HSOTG_OTGCTL_OFFSET                                               0x00000000
#define HSOTG_OTGCTL_TYPE                                                 UInt32
#define HSOTG_OTGCTL_RESERVED_MASK                                        0xFFE0F0FC
#define    HSOTG_OTGCTL_OTG_VERSION_SHIFT                                 20
#define    HSOTG_OTGCTL_OTG_VERSION_MASK                                  0x00100000
#define    HSOTG_OTGCTL_BSESVLD_SHIFT                                     19
#define    HSOTG_OTGCTL_BSESVLD_MASK                                      0x00080000
#define    HSOTG_OTGCTL_ASESVLD_SHIFT                                     18
#define    HSOTG_OTGCTL_ASESVLD_MASK                                      0x00040000
#define    HSOTG_OTGCTL_DBNCTIME_SHIFT                                    17
#define    HSOTG_OTGCTL_DBNCTIME_MASK                                     0x00020000
#define    HSOTG_OTGCTL_CONIDSTS_SHIFT                                    16
#define    HSOTG_OTGCTL_CONIDSTS_MASK                                     0x00010000
#define    HSOTG_OTGCTL_DEVHNPEN_SHIFT                                    11
#define    HSOTG_OTGCTL_DEVHNPEN_MASK                                     0x00000800
#define    HSOTG_OTGCTL_HSTSETHNPEN_SHIFT                                 10
#define    HSOTG_OTGCTL_HSTSETHNPEN_MASK                                  0x00000400
#define    HSOTG_OTGCTL_HNPREQ_SHIFT                                      9
#define    HSOTG_OTGCTL_HNPREQ_MASK                                       0x00000200
#define    HSOTG_OTGCTL_HSTNEGSCS_SHIFT                                   8
#define    HSOTG_OTGCTL_HSTNEGSCS_MASK                                    0x00000100
#define    HSOTG_OTGCTL_SESREQ_SHIFT                                      1
#define    HSOTG_OTGCTL_SESREQ_MASK                                       0x00000002
#define    HSOTG_OTGCTL_SESREQSCS_SHIFT                                   0
#define    HSOTG_OTGCTL_SESREQSCS_MASK                                    0x00000001

#define HSOTG_OTGINT_OFFSET                                               0x00000004
#define HSOTG_OTGINT_TYPE                                                 UInt32
#define HSOTG_OTGINT_RESERVED_MASK                                        0xFFF1FCFB
#define    HSOTG_OTGINT_DBNCEDONE_SHIFT                                   19
#define    HSOTG_OTGINT_DBNCEDONE_MASK                                    0x00080000
#define    HSOTG_OTGINT_ADEVTOUTCHG_SHIFT                                 18
#define    HSOTG_OTGINT_ADEVTOUTCHG_MASK                                  0x00040000
#define    HSOTG_OTGINT_HSTNEGDET_SHIFT                                   17
#define    HSOTG_OTGINT_HSTNEGDET_MASK                                    0x00020000
#define    HSOTG_OTGINT_HSTNEGSUCSTSCHNG_SHIFT                            9
#define    HSOTG_OTGINT_HSTNEGSUCSTSCHNG_MASK                             0x00000200
#define    HSOTG_OTGINT_SESREQSUCSTSCHNG_SHIFT                            8
#define    HSOTG_OTGINT_SESREQSUCSTSCHNG_MASK                             0x00000100
#define    HSOTG_OTGINT_SESENDDET_SHIFT                                   2
#define    HSOTG_OTGINT_SESENDDET_MASK                                    0x00000004

#define HSOTG_AHBCFG_OFFSET                                               0x00000008
#define HSOTG_AHBCFG_TYPE                                                 UInt32
#define HSOTG_AHBCFG_RESERVED_MASK                                        0xFFFFFE40
#define    HSOTG_AHBCFG_PTXFEMPLVL_SHIFT                                  8
#define    HSOTG_AHBCFG_PTXFEMPLVL_MASK                                   0x00000100
#define    HSOTG_AHBCFG_NPTXFEMPLVL_SHIFT                                 7
#define    HSOTG_AHBCFG_NPTXFEMPLVL_MASK                                  0x00000080
#define    HSOTG_AHBCFG_DMAEN_SHIFT                                       5
#define    HSOTG_AHBCFG_DMAEN_MASK                                        0x00000020
#define    HSOTG_AHBCFG_HBSTLEN_SHIFT                                     1
#define    HSOTG_AHBCFG_HBSTLEN_MASK                                      0x0000001E
#define    HSOTG_AHBCFG_GLBLINTRMSK_SHIFT                                 0
#define    HSOTG_AHBCFG_GLBLINTRMSK_MASK                                  0x00000001

#define HSOTG_CFG_OFFSET                                                  0x0000000C
#define HSOTG_CFG_TYPE                                                    UInt32
#define HSOTG_CFG_RESERVED_MASK                                           0x1F804000
#define    HSOTG_CFG_CORRUPTTXPACKET_SHIFT                                31
#define    HSOTG_CFG_CORRUPTTXPACKET_MASK                                 0x80000000
#define    HSOTG_CFG_FORCEDEVMODE_SHIFT                                   30
#define    HSOTG_CFG_FORCEDEVMODE_MASK                                    0x40000000
#define    HSOTG_CFG_FORCEHSTMODE_SHIFT                                   29
#define    HSOTG_CFG_FORCEHSTMODE_MASK                                    0x20000000
#define    HSOTG_CFG_TERMSELDLPULSE_SHIFT                                 22
#define    HSOTG_CFG_TERMSELDLPULSE_MASK                                  0x00400000
#define    HSOTG_CFG_ULPIEXTVBUSINDICATOR_SHIFT                           21
#define    HSOTG_CFG_ULPIEXTVBUSINDICATOR_MASK                            0x00200000
#define    HSOTG_CFG_ULPIEXTVBUSDRV_SHIFT                                 20
#define    HSOTG_CFG_ULPIEXTVBUSDRV_MASK                                  0x00100000
#define    HSOTG_CFG_ULPICLKSUSM_SHIFT                                    19
#define    HSOTG_CFG_ULPICLKSUSM_MASK                                     0x00080000
#define    HSOTG_CFG_ULPIAUTORES_SHIFT                                    18
#define    HSOTG_CFG_ULPIAUTORES_MASK                                     0x00040000
#define    HSOTG_CFG_ULPIFSLS_SHIFT                                       17
#define    HSOTG_CFG_ULPIFSLS_MASK                                        0x00020000
#define    HSOTG_CFG_OTGI2CSEL_SHIFT                                      16
#define    HSOTG_CFG_OTGI2CSEL_MASK                                       0x00010000
#define    HSOTG_CFG_PHYLPWRCLKSEL_SHIFT                                  15
#define    HSOTG_CFG_PHYLPWRCLKSEL_MASK                                   0x00008000
#define    HSOTG_CFG_USBTRDTIM_SHIFT                                      10
#define    HSOTG_CFG_USBTRDTIM_MASK                                       0x00003C00
#define    HSOTG_CFG_HNPCAP_SHIFT                                         9
#define    HSOTG_CFG_HNPCAP_MASK                                          0x00000200
#define    HSOTG_CFG_SRPCAP_SHIFT                                         8
#define    HSOTG_CFG_SRPCAP_MASK                                          0x00000100
#define    HSOTG_CFG_DDRSEL_SHIFT                                         7
#define    HSOTG_CFG_DDRSEL_MASK                                          0x00000080
#define    HSOTG_CFG_PHYSEL_SHIFT                                         6
#define    HSOTG_CFG_PHYSEL_MASK                                          0x00000040
#define    HSOTG_CFG_FSINTF_SHIFT                                         5
#define    HSOTG_CFG_FSINTF_MASK                                          0x00000020
#define    HSOTG_CFG_ULPI_UTMI_SEL_SHIFT                                  4
#define    HSOTG_CFG_ULPI_UTMI_SEL_MASK                                   0x00000010
#define    HSOTG_CFG_PHYIF_SHIFT                                          3
#define    HSOTG_CFG_PHYIF_MASK                                           0x00000008
#define    HSOTG_CFG_TOUTCAL_SHIFT                                        0
#define    HSOTG_CFG_TOUTCAL_MASK                                         0x00000007

#define HSOTG_RSTCTL_OFFSET                                               0x00000010
#define HSOTG_RSTCTL_TYPE                                                 UInt32
#define HSOTG_RSTCTL_RESERVED_MASK                                        0x3FFFF800
#define    HSOTG_RSTCTL_AHBIDLE_SHIFT                                     31
#define    HSOTG_RSTCTL_AHBIDLE_MASK                                      0x80000000
#define    HSOTG_RSTCTL_DMAREQ_SHIFT                                      30
#define    HSOTG_RSTCTL_DMAREQ_MASK                                       0x40000000
#define    HSOTG_RSTCTL_TXFNUM_SHIFT                                      6
#define    HSOTG_RSTCTL_TXFNUM_MASK                                       0x000007C0
#define    HSOTG_RSTCTL_TXFFLSH_SHIFT                                     5
#define    HSOTG_RSTCTL_TXFFLSH_MASK                                      0x00000020
#define    HSOTG_RSTCTL_RXFFLSH_SHIFT                                     4
#define    HSOTG_RSTCTL_RXFFLSH_MASK                                      0x00000010
#define    HSOTG_RSTCTL_INTKNQFLSH_SHIFT                                  3
#define    HSOTG_RSTCTL_INTKNQFLSH_MASK                                   0x00000008
#define    HSOTG_RSTCTL_FRMCNTRRST_SHIFT                                  2
#define    HSOTG_RSTCTL_FRMCNTRRST_MASK                                   0x00000004
#define    HSOTG_RSTCTL_HSFTRST_SHIFT                                     1
#define    HSOTG_RSTCTL_HSFTRST_MASK                                      0x00000002
#define    HSOTG_RSTCTL_CSFTRST_SHIFT                                     0
#define    HSOTG_RSTCTL_CSFTRST_MASK                                      0x00000001

#define HSOTG_INTSTS_OFFSET                                               0x00000014
#define HSOTG_INTSTS_TYPE                                                 UInt32
#define HSOTG_INTSTS_RESERVED_MASK                                        0x00010000
#define    HSOTG_INTSTS_WKUPINT_SHIFT                                     31
#define    HSOTG_INTSTS_WKUPINT_MASK                                      0x80000000
#define    HSOTG_INTSTS_SESSREQINT_SHIFT                                  30
#define    HSOTG_INTSTS_SESSREQINT_MASK                                   0x40000000
#define    HSOTG_INTSTS_DISCONNINT_SHIFT                                  29
#define    HSOTG_INTSTS_DISCONNINT_MASK                                   0x20000000
#define    HSOTG_INTSTS_CONIDSTSCHNG_SHIFT                                28
#define    HSOTG_INTSTS_CONIDSTSCHNG_MASK                                 0x10000000
#define    HSOTG_INTSTS_LPM_INT_SHIFT                                     27
#define    HSOTG_INTSTS_LPM_INT_MASK                                      0x08000000
#define    HSOTG_INTSTS_PTXFEMP_SHIFT                                     26
#define    HSOTG_INTSTS_PTXFEMP_MASK                                      0x04000000
#define    HSOTG_INTSTS_HCHINT_SHIFT                                      25
#define    HSOTG_INTSTS_HCHINT_MASK                                       0x02000000
#define    HSOTG_INTSTS_PRTINT_SHIFT                                      24
#define    HSOTG_INTSTS_PRTINT_MASK                                       0x01000000
#define    HSOTG_INTSTS_RESETDET_SHIFT                                    23
#define    HSOTG_INTSTS_RESETDET_MASK                                     0x00800000
#define    HSOTG_INTSTS_FETSUSP_SHIFT                                     22
#define    HSOTG_INTSTS_FETSUSP_MASK                                      0x00400000
#define    HSOTG_INTSTS_INCOMPLP_SHIFT                                    21
#define    HSOTG_INTSTS_INCOMPLP_MASK                                     0x00200000
#define    HSOTG_INTSTS_INCOMPISOIN_SHIFT                                 20
#define    HSOTG_INTSTS_INCOMPISOIN_MASK                                  0x00100000
#define    HSOTG_INTSTS_OEPINT_SHIFT                                      19
#define    HSOTG_INTSTS_OEPINT_MASK                                       0x00080000
#define    HSOTG_INTSTS_IEPINT_SHIFT                                      18
#define    HSOTG_INTSTS_IEPINT_MASK                                       0x00040000
#define    HSOTG_INTSTS_EPMIS_SHIFT                                       17
#define    HSOTG_INTSTS_EPMIS_MASK                                        0x00020000
#define    HSOTG_INTSTS_EOPF_SHIFT                                        15
#define    HSOTG_INTSTS_EOPF_MASK                                         0x00008000
#define    HSOTG_INTSTS_ISOOUTDROP_SHIFT                                  14
#define    HSOTG_INTSTS_ISOOUTDROP_MASK                                   0x00004000
#define    HSOTG_INTSTS_ENUMDONE_SHIFT                                    13
#define    HSOTG_INTSTS_ENUMDONE_MASK                                     0x00002000
#define    HSOTG_INTSTS_USBRST_SHIFT                                      12
#define    HSOTG_INTSTS_USBRST_MASK                                       0x00001000
#define    HSOTG_INTSTS_USBSUSP_SHIFT                                     11
#define    HSOTG_INTSTS_USBSUSP_MASK                                      0x00000800
#define    HSOTG_INTSTS_ERLYSUSP_SHIFT                                    10
#define    HSOTG_INTSTS_ERLYSUSP_MASK                                     0x00000400
#define    HSOTG_INTSTS_I2CINT_SHIFT                                      9
#define    HSOTG_INTSTS_I2CINT_MASK                                       0x00000200
#define    HSOTG_INTSTS_ULPICKINT_SHIFT                                   8
#define    HSOTG_INTSTS_ULPICKINT_MASK                                    0x00000100
#define    HSOTG_INTSTS_GOUTNAKEFF_SHIFT                                  7
#define    HSOTG_INTSTS_GOUTNAKEFF_MASK                                   0x00000080
#define    HSOTG_INTSTS_GINNAKEFF_SHIFT                                   6
#define    HSOTG_INTSTS_GINNAKEFF_MASK                                    0x00000040
#define    HSOTG_INTSTS_NPTXFEMP_SHIFT                                    5
#define    HSOTG_INTSTS_NPTXFEMP_MASK                                     0x00000020
#define    HSOTG_INTSTS_RXFLVL_SHIFT                                      4
#define    HSOTG_INTSTS_RXFLVL_MASK                                       0x00000010
#define    HSOTG_INTSTS_SOF_SHIFT                                         3
#define    HSOTG_INTSTS_SOF_MASK                                          0x00000008
#define    HSOTG_INTSTS_OTGINT_SHIFT                                      2
#define    HSOTG_INTSTS_OTGINT_MASK                                       0x00000004
#define    HSOTG_INTSTS_MODEMIS_SHIFT                                     1
#define    HSOTG_INTSTS_MODEMIS_MASK                                      0x00000002
#define    HSOTG_INTSTS_CURMOD_SHIFT                                      0
#define    HSOTG_INTSTS_CURMOD_MASK                                       0x00000001

#define HSOTG_INTMSK_OFFSET                                               0x00000018
#define HSOTG_INTMSK_TYPE                                                 UInt32
#define HSOTG_INTMSK_RESERVED_MASK                                        0x08810001
#define    HSOTG_INTMSK_WKUPINTMSK_SHIFT                                  31
#define    HSOTG_INTMSK_WKUPINTMSK_MASK                                   0x80000000
#define    HSOTG_INTMSK_SESSREQINTMSK_SHIFT                               30
#define    HSOTG_INTMSK_SESSREQINTMSK_MASK                                0x40000000
#define    HSOTG_INTMSK_DISCONNINTMSK_SHIFT                               29
#define    HSOTG_INTMSK_DISCONNINTMSK_MASK                                0x20000000
#define    HSOTG_INTMSK_CONIDSTSCHNGMSK_SHIFT                             28
#define    HSOTG_INTMSK_CONIDSTSCHNGMSK_MASK                              0x10000000
#define    HSOTG_INTMSK_PTXFEMPMSK_SHIFT                                  26
#define    HSOTG_INTMSK_PTXFEMPMSK_MASK                                   0x04000000
#define    HSOTG_INTMSK_HCHINTMSK_SHIFT                                   25
#define    HSOTG_INTMSK_HCHINTMSK_MASK                                    0x02000000
#define    HSOTG_INTMSK_PRTINTMSK_SHIFT                                   24
#define    HSOTG_INTMSK_PRTINTMSK_MASK                                    0x01000000
#define    HSOTG_INTMSK_FETSUSPMSK_SHIFT                                  22
#define    HSOTG_INTMSK_FETSUSPMSK_MASK                                   0x00400000
#define    HSOTG_INTMSK_INCOMPLPMSK_SHIFT                                 21
#define    HSOTG_INTMSK_INCOMPLPMSK_MASK                                  0x00200000
#define    HSOTG_INTMSK_INCOMPISOINMSK_SHIFT                              20
#define    HSOTG_INTMSK_INCOMPISOINMSK_MASK                               0x00100000
#define    HSOTG_INTMSK_OEPINTMSK_SHIFT                                   19
#define    HSOTG_INTMSK_OEPINTMSK_MASK                                    0x00080000
#define    HSOTG_INTMSK_INEPINTMSK_SHIFT                                  18
#define    HSOTG_INTMSK_INEPINTMSK_MASK                                   0x00040000
#define    HSOTG_INTMSK_EPMISMSK_SHIFT                                    17
#define    HSOTG_INTMSK_EPMISMSK_MASK                                     0x00020000
#define    HSOTG_INTMSK_EOPFMSK_SHIFT                                     15
#define    HSOTG_INTMSK_EOPFMSK_MASK                                      0x00008000
#define    HSOTG_INTMSK_ISOOUTDROPMSK_SHIFT                               14
#define    HSOTG_INTMSK_ISOOUTDROPMSK_MASK                                0x00004000
#define    HSOTG_INTMSK_ENUMDONEMSK_SHIFT                                 13
#define    HSOTG_INTMSK_ENUMDONEMSK_MASK                                  0x00002000
#define    HSOTG_INTMSK_USBRSTMSK_SHIFT                                   12
#define    HSOTG_INTMSK_USBRSTMSK_MASK                                    0x00001000
#define    HSOTG_INTMSK_USBSUSPMSK_SHIFT                                  11
#define    HSOTG_INTMSK_USBSUSPMSK_MASK                                   0x00000800
#define    HSOTG_INTMSK_ERLYSUSPMSK_SHIFT                                 10
#define    HSOTG_INTMSK_ERLYSUSPMSK_MASK                                  0x00000400
#define    HSOTG_INTMSK_I2CINT_SHIFT                                      9
#define    HSOTG_INTMSK_I2CINT_MASK                                       0x00000200
#define    HSOTG_INTMSK_ULPICKINTMSK_SHIFT                                8
#define    HSOTG_INTMSK_ULPICKINTMSK_MASK                                 0x00000100
#define    HSOTG_INTMSK_GOUTNAKEFFMSK_SHIFT                               7
#define    HSOTG_INTMSK_GOUTNAKEFFMSK_MASK                                0x00000080
#define    HSOTG_INTMSK_GINNAKEFFMSK_SHIFT                                6
#define    HSOTG_INTMSK_GINNAKEFFMSK_MASK                                 0x00000040
#define    HSOTG_INTMSK_NPTXFEMPMSK_SHIFT                                 5
#define    HSOTG_INTMSK_NPTXFEMPMSK_MASK                                  0x00000020
#define    HSOTG_INTMSK_RXFLVLMSK_SHIFT                                   4
#define    HSOTG_INTMSK_RXFLVLMSK_MASK                                    0x00000010
#define    HSOTG_INTMSK_SOFMSK_SHIFT                                      3
#define    HSOTG_INTMSK_SOFMSK_MASK                                       0x00000008
#define    HSOTG_INTMSK_OTGINTMSK_SHIFT                                   2
#define    HSOTG_INTMSK_OTGINTMSK_MASK                                    0x00000004
#define    HSOTG_INTMSK_MODEMISMSK_SHIFT                                  1
#define    HSOTG_INTMSK_MODEMISMSK_MASK                                   0x00000002

#define HSOTG_RXSTSR_OFFSET                                               0x0000001C
#define HSOTG_RXSTSR_TYPE                                                 UInt32
#define HSOTG_RXSTSR_RESERVED_MASK                                        0xFFE00000
#define    HSOTG_RXSTSR_PKTSTS_SHIFT                                      17
#define    HSOTG_RXSTSR_PKTSTS_MASK                                       0x001E0000
#define    HSOTG_RXSTSR_DPID_SHIFT                                        15
#define    HSOTG_RXSTSR_DPID_MASK                                         0x00018000
#define    HSOTG_RXSTSR_BCNT_SHIFT                                        4
#define    HSOTG_RXSTSR_BCNT_MASK                                         0x00007FF0
#define    HSOTG_RXSTSR_CHNUM_SHIFT                                       0
#define    HSOTG_RXSTSR_CHNUM_MASK                                        0x0000000F

#define HSOTG_RXSTSP_OFFSET                                               0x00000020
#define HSOTG_RXSTSP_TYPE                                                 UInt32
#define HSOTG_RXSTSP_RESERVED_MASK                                        0xFE000000
#define    HSOTG_RXSTSP_FN_SHIFT                                          21
#define    HSOTG_RXSTSP_FN_MASK                                           0x01E00000
#define    HSOTG_RXSTSP_PKTSTS_SHIFT                                      17
#define    HSOTG_RXSTSP_PKTSTS_MASK                                       0x001E0000
#define    HSOTG_RXSTSP_DPID_SHIFT                                        15
#define    HSOTG_RXSTSP_DPID_MASK                                         0x00018000
#define    HSOTG_RXSTSP_BCNT_SHIFT                                        4
#define    HSOTG_RXSTSP_BCNT_MASK                                         0x00007FF0
#define    HSOTG_RXSTSP_EPNUM_SHIFT                                       0
#define    HSOTG_RXSTSP_EPNUM_MASK                                        0x0000000F

#define HSOTG_RXFSIZ_OFFSET                                               0x00000024
#define HSOTG_RXFSIZ_TYPE                                                 UInt32
#define HSOTG_RXFSIZ_RESERVED_MASK                                        0xFFFF0000
#define    HSOTG_RXFSIZ_RXFDEP_SHIFT                                      0
#define    HSOTG_RXFSIZ_RXFDEP_MASK                                       0x0000FFFF

#define HSOTG_NPTXFSIZ_OFFSET                                             0x00000028
#define HSOTG_NPTXFSIZ_TYPE                                               UInt32
#define HSOTG_NPTXFSIZ_RESERVED_MASK                                      0x00000000
#define    HSOTG_NPTXFSIZ_NPTXFDEP_SHIFT                                  16
#define    HSOTG_NPTXFSIZ_NPTXFDEP_MASK                                   0xFFFF0000
#define    HSOTG_NPTXFSIZ_NPTXFSTADDR_SHIFT                               0
#define    HSOTG_NPTXFSIZ_NPTXFSTADDR_MASK                                0x0000FFFF

#define HSOTG_NPTXSTS_OFFSET                                              0x0000002C
#define HSOTG_NPTXSTS_TYPE                                                UInt32
#define HSOTG_NPTXSTS_RESERVED_MASK                                       0x80000000
#define    HSOTG_NPTXSTS_NPTXQTOP_SHIFT                                   24
#define    HSOTG_NPTXSTS_NPTXQTOP_MASK                                    0x7F000000
#define    HSOTG_NPTXSTS_NPTXQSPCAVAIL_SHIFT                              16
#define    HSOTG_NPTXSTS_NPTXQSPCAVAIL_MASK                               0x00FF0000
#define    HSOTG_NPTXSTS_NPTXFSPCAVAIL_SHIFT                              0
#define    HSOTG_NPTXSTS_NPTXFSPCAVAIL_MASK                               0x0000FFFF

#define HSOTG_I2CCTL_OFFSET                                               0x00000030
#define HSOTG_I2CCTL_TYPE                                                 UInt32
#define HSOTG_I2CCTL_RESERVED_MASK                                        0x20000000
#define    HSOTG_I2CCTL_BSYDNE_SHIFT                                      31
#define    HSOTG_I2CCTL_BSYDNE_MASK                                       0x80000000
#define    HSOTG_I2CCTL_RW_SHIFT                                          30
#define    HSOTG_I2CCTL_RW_MASK                                           0x40000000
#define    HSOTG_I2CCTL_I2CDATSE0_SHIFT                                   28
#define    HSOTG_I2CCTL_I2CDATSE0_MASK                                    0x10000000
#define    HSOTG_I2CCTL_I2CDEVADR_SHIFT                                   26
#define    HSOTG_I2CCTL_I2CDEVADR_MASK                                    0x0C000000
#define    HSOTG_I2CCTL_I2CSUSPCTL_SHIFT                                  25
#define    HSOTG_I2CCTL_I2CSUSPCTL_MASK                                   0x02000000
#define    HSOTG_I2CCTL_ACK_SHIFT                                         24
#define    HSOTG_I2CCTL_ACK_MASK                                          0x01000000
#define    HSOTG_I2CCTL_I2CEN_SHIFT                                       23
#define    HSOTG_I2CCTL_I2CEN_MASK                                        0x00800000
#define    HSOTG_I2CCTL_ADDR_SHIFT                                        16
#define    HSOTG_I2CCTL_ADDR_MASK                                         0x007F0000
#define    HSOTG_I2CCTL_REGADDR_SHIFT                                     8
#define    HSOTG_I2CCTL_REGADDR_MASK                                      0x0000FF00
#define    HSOTG_I2CCTL_RWDATA_SHIFT                                      0
#define    HSOTG_I2CCTL_RWDATA_MASK                                       0x000000FF

#define HSOTG_PVNDCTL_OFFSET                                              0x00000034
#define HSOTG_PVNDCTL_TYPE                                                UInt32
#define HSOTG_PVNDCTL_RESERVED_MASK                                       0x71800000
#define    HSOTG_PVNDCTL_DISULPIDRVR_SHIFT                                31
#define    HSOTG_PVNDCTL_DISULPIDRVR_MASK                                 0x80000000
#define    HSOTG_PVNDCTL_VSTSDONE_SHIFT                                   27
#define    HSOTG_PVNDCTL_VSTSDONE_MASK                                    0x08000000
#define    HSOTG_PVNDCTL_VSTSBSY_SHIFT                                    26
#define    HSOTG_PVNDCTL_VSTSBSY_MASK                                     0x04000000
#define    HSOTG_PVNDCTL_NEWREGREQ_SHIFT                                  25
#define    HSOTG_PVNDCTL_NEWREGREQ_MASK                                   0x02000000
#define    HSOTG_PVNDCTL_REGWR_SHIFT                                      22
#define    HSOTG_PVNDCTL_REGWR_MASK                                       0x00400000
#define    HSOTG_PVNDCTL_REGADDR_SHIFT                                    16
#define    HSOTG_PVNDCTL_REGADDR_MASK                                     0x003F0000
#define    HSOTG_PVNDCTL_VCTRL_SHIFT                                      8
#define    HSOTG_PVNDCTL_VCTRL_MASK                                       0x0000FF00
#define    HSOTG_PVNDCTL_REGDATA_SHIFT                                    0
#define    HSOTG_PVNDCTL_REGDATA_MASK                                     0x000000FF

#define HSOTG_UID_OFFSET                                                  0x0000003C
#define HSOTG_UID_TYPE                                                    UInt32
#define HSOTG_UID_RESERVED_MASK                                           0x00000000
#define    HSOTG_UID_USERID_SHIFT                                         0
#define    HSOTG_UID_USERID_MASK                                          0xFFFFFFFF

#define HSOTG_SNPSID_OFFSET                                               0x00000040
#define HSOTG_SNPSID_TYPE                                                 UInt32
#define HSOTG_SNPSID_RESERVED_MASK                                        0x00000000
#define    HSOTG_SNPSID_SYNOPSYSID_SHIFT                                  0
#define    HSOTG_SNPSID_SYNOPSYSID_MASK                                   0xFFFFFFFF

#define HSOTG_HWCFG1_OFFSET                                               0x00000044
#define HSOTG_HWCFG1_TYPE                                                 UInt32
#define HSOTG_HWCFG1_RESERVED_MASK                                        0x00000000
#define    HSOTG_HWCFG1_EPDIR_SHIFT                                       0
#define    HSOTG_HWCFG1_EPDIR_MASK                                        0xFFFFFFFF

#define HSOTG_HWCFG2_OFFSET                                               0x00000048
#define HSOTG_HWCFG2_TYPE                                                 UInt32
#define HSOTG_HWCFG2_RESERVED_MASK                                        0xC0200000
#define    HSOTG_HWCFG2_TKNQDEPTH_SHIFT                                   26
#define    HSOTG_HWCFG2_TKNQDEPTH_MASK                                    0x3C000000
#define    HSOTG_HWCFG2_PTXQDEPTH_SHIFT                                   24
#define    HSOTG_HWCFG2_PTXQDEPTH_MASK                                    0x03000000
#define    HSOTG_HWCFG2_NPTXQDEPTH_SHIFT                                  22
#define    HSOTG_HWCFG2_NPTXQDEPTH_MASK                                   0x00C00000
#define    HSOTG_HWCFG2_MULTIPROCINTRPT_SHIFT                             20
#define    HSOTG_HWCFG2_MULTIPROCINTRPT_MASK                              0x00100000
#define    HSOTG_HWCFG2_DYNFIFOSIZING_SHIFT                               19
#define    HSOTG_HWCFG2_DYNFIFOSIZING_MASK                                0x00080000
#define    HSOTG_HWCFG2_PERIOSUPPORT_SHIFT                                18
#define    HSOTG_HWCFG2_PERIOSUPPORT_MASK                                 0x00040000
#define    HSOTG_HWCFG2_NUMHSTCHNL_SHIFT                                  14
#define    HSOTG_HWCFG2_NUMHSTCHNL_MASK                                   0x0003C000
#define    HSOTG_HWCFG2_NUMDEVEPS_SHIFT                                   10
#define    HSOTG_HWCFG2_NUMDEVEPS_MASK                                    0x00003C00
#define    HSOTG_HWCFG2_FSPHYTYPE_SHIFT                                   8
#define    HSOTG_HWCFG2_FSPHYTYPE_MASK                                    0x00000300
#define    HSOTG_HWCFG2_HSPHYTYPE_SHIFT                                   6
#define    HSOTG_HWCFG2_HSPHYTYPE_MASK                                    0x000000C0
#define    HSOTG_HWCFG2_SINGPNT_SHIFT                                     5
#define    HSOTG_HWCFG2_SINGPNT_MASK                                      0x00000020
#define    HSOTG_HWCFG2_OTGARCH_SHIFT                                     3
#define    HSOTG_HWCFG2_OTGARCH_MASK                                      0x00000018
#define    HSOTG_HWCFG2_OTGMODE_SHIFT                                     0
#define    HSOTG_HWCFG2_OTGMODE_MASK                                      0x00000007

#define HSOTG_HWCFG3_OFFSET                                               0x0000004C
#define HSOTG_HWCFG3_TYPE                                                 UInt32
#define HSOTG_HWCFG3_RESERVED_MASK                                        0x00002000
#define    HSOTG_HWCFG3_DFIFODEPTH_SHIFT                                  16
#define    HSOTG_HWCFG3_DFIFODEPTH_MASK                                   0xFFFF0000
#define    HSOTG_HWCFG3_OTG_ENABLE_LPM_SHIFT                              15
#define    HSOTG_HWCFG3_OTG_ENABLE_LPM_MASK                               0x00008000
#define    HSOTG_HWCFG3_OTG_BC_SUPPORT_SHIFT                              14
#define    HSOTG_HWCFG3_OTG_BC_SUPPORT_MASK                               0x00004000
#define    HSOTG_HWCFG3_OTG_ENABLE_IC_USB_SHIFT                           12
#define    HSOTG_HWCFG3_OTG_ENABLE_IC_USB_MASK                            0x00001000
#define    HSOTG_HWCFG3_RSTTYPE_SHIFT                                     11
#define    HSOTG_HWCFG3_RSTTYPE_MASK                                      0x00000800
#define    HSOTG_HWCFG3_OPTFEATURE_SHIFT                                  10
#define    HSOTG_HWCFG3_OPTFEATURE_MASK                                   0x00000400
#define    HSOTG_HWCFG3_VENDORCONTROL_SHIFT                               9
#define    HSOTG_HWCFG3_VENDORCONTROL_MASK                                0x00000200
#define    HSOTG_HWCFG3_I2CEN_SHIFT                                       8
#define    HSOTG_HWCFG3_I2CEN_MASK                                        0x00000100
#define    HSOTG_HWCFG3_OTGEN_SHIFT                                       7
#define    HSOTG_HWCFG3_OTGEN_MASK                                        0x00000080
#define    HSOTG_HWCFG3_PKTSIZEWIDTH_SHIFT                                4
#define    HSOTG_HWCFG3_PKTSIZEWIDTH_MASK                                 0x00000070
#define    HSOTG_HWCFG3_XFERSIZEWIDTH_SHIFT                               0
#define    HSOTG_HWCFG3_XFERSIZEWIDTH_MASK                                0x0000000F

#define HSOTG_HWCFG4_OFFSET                                               0x00000050
#define HSOTG_HWCFG4_TYPE                                                 UInt32
#define HSOTG_HWCFG4_RESERVED_MASK                                        0x00003FC0
#define    HSOTG_HWCFG4_SCATGAT_DMA_SHIFT                                 31
#define    HSOTG_HWCFG4_SCATGAT_DMA_MASK                                  0x80000000
#define    HSOTG_HWCFG4_SCATGAT2_DMA_SHIFT                                30
#define    HSOTG_HWCFG4_SCATGAT2_DMA_MASK                                 0x40000000
#define    HSOTG_HWCFG4_INEPS_SHIFT                                       26
#define    HSOTG_HWCFG4_INEPS_MASK                                        0x3C000000
#define    HSOTG_HWCFG4_DEDFIFOMODE_SHIFT                                 25
#define    HSOTG_HWCFG4_DEDFIFOMODE_MASK                                  0x02000000
#define    HSOTG_HWCFG4_SESSENDFLTR_SHIFT                                 24
#define    HSOTG_HWCFG4_SESSENDFLTR_MASK                                  0x01000000
#define    HSOTG_HWCFG4_BVALIDFLTR_SHIFT                                  23
#define    HSOTG_HWCFG4_BVALIDFLTR_MASK                                   0x00800000
#define    HSOTG_HWCFG4_AVALIDFLTR_SHIFT                                  22
#define    HSOTG_HWCFG4_AVALIDFLTR_MASK                                   0x00400000
#define    HSOTG_HWCFG4_VBUSVALIDFLTR_SHIFT                               21
#define    HSOTG_HWCFG4_VBUSVALIDFLTR_MASK                                0x00200000
#define    HSOTG_HWCFG4_IDDGFLTR_SHIFT                                    20
#define    HSOTG_HWCFG4_IDDGFLTR_MASK                                     0x00100000
#define    HSOTG_HWCFG4_NUMCTLEPS_SHIFT                                   16
#define    HSOTG_HWCFG4_NUMCTLEPS_MASK                                    0x000F0000
#define    HSOTG_HWCFG4_PHYDATAWIDTH_SHIFT                                14
#define    HSOTG_HWCFG4_PHYDATAWIDTH_MASK                                 0x0000C000
#define    HSOTG_HWCFG4_AHBFREQ_SHIFT                                     5
#define    HSOTG_HWCFG4_AHBFREQ_MASK                                      0x00000020
#define    HSOTG_HWCFG4_ENABLEPWROPT_SHIFT                                4
#define    HSOTG_HWCFG4_ENABLEPWROPT_MASK                                 0x00000010
#define    HSOTG_HWCFG4_NUMDEVPERIOEPS_SHIFT                              0
#define    HSOTG_HWCFG4_NUMDEVPERIOEPS_MASK                               0x0000000F

#define HSOTG_LPMCFG_OFFSET                                               0x00000054
#define HSOTG_LPMCFG_TYPE                                                 UInt32
#define HSOTG_LPMCFG_RESERVED_MASK                                        0xF0000000
#define    HSOTG_LPMCFG_LPM_RETRYCNT_STS_SHIFT                            25
#define    HSOTG_LPMCFG_LPM_RETRYCNT_STS_MASK                             0x0E000000
#define    HSOTG_LPMCFG_SNDLPM_SHIFT                                      24
#define    HSOTG_LPMCFG_SNDLPM_MASK                                       0x01000000
#define    HSOTG_LPMCFG_LPM_RETRY_CNT_SHIFT                               21
#define    HSOTG_LPMCFG_LPM_RETRY_CNT_MASK                                0x00E00000
#define    HSOTG_LPMCFG_LPM_CHNL_INDX_SHIFT                               17
#define    HSOTG_LPMCFG_LPM_CHNL_INDX_MASK                                0x001E0000
#define    HSOTG_LPMCFG_L1RESUMEOK_SHIFT                                  16
#define    HSOTG_LPMCFG_L1RESUMEOK_MASK                                   0x00010000
#define    HSOTG_LPMCFG_SLPSTS_SHIFT                                      15
#define    HSOTG_LPMCFG_SLPSTS_MASK                                       0x00008000
#define    HSOTG_LPMCFG_COREL1RES_SHIFT                                   13
#define    HSOTG_LPMCFG_COREL1RES_MASK                                    0x00006000
#define    HSOTG_LPMCFG_HIRD_THRES_SHIFT                                  8
#define    HSOTG_LPMCFG_HIRD_THRES_MASK                                   0x00001F00
#define    HSOTG_LPMCFG_ENBLSLPM_SHIFT                                    7
#define    HSOTG_LPMCFG_ENBLSLPM_MASK                                     0x00000080
#define    HSOTG_LPMCFG_REMOTEWAKE_SHIFT                                  6
#define    HSOTG_LPMCFG_REMOTEWAKE_MASK                                   0x00000040
#define    HSOTG_LPMCFG_HIRD_SHIFT                                        2
#define    HSOTG_LPMCFG_HIRD_MASK                                         0x0000003C
#define    HSOTG_LPMCFG_APPL1RES_SHIFT                                    1
#define    HSOTG_LPMCFG_APPL1RES_MASK                                     0x00000002
#define    HSOTG_LPMCFG_LPMCAP_SHIFT                                      0
#define    HSOTG_LPMCFG_LPMCAP_MASK                                       0x00000001

#define HSOTG_HPTXFSIZ_OFFSET                                             0x00000100
#define HSOTG_HPTXFSIZ_TYPE                                               UInt32
#define HSOTG_HPTXFSIZ_RESERVED_MASK                                      0x00000000
#define    HSOTG_HPTXFSIZ_PTXFSIZE_SHIFT                                  16
#define    HSOTG_HPTXFSIZ_PTXFSIZE_MASK                                   0xFFFF0000
#define    HSOTG_HPTXFSIZ_PTXFSTADDR_SHIFT                                0
#define    HSOTG_HPTXFSIZ_PTXFSTADDR_MASK                                 0x0000FFFF

#define HSOTG_DIEPTXF1_OFFSET                                             0x00000104
#define HSOTG_DIEPTXF1_TYPE                                               UInt32
#define HSOTG_DIEPTXF1_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF1_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF1_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF1_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF1_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF2_OFFSET                                             0x00000108
#define HSOTG_DIEPTXF2_TYPE                                               UInt32
#define HSOTG_DIEPTXF2_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF2_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF2_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF2_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF2_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF3_OFFSET                                             0x0000010C
#define HSOTG_DIEPTXF3_TYPE                                               UInt32
#define HSOTG_DIEPTXF3_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF3_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF3_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF3_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF3_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF4_OFFSET                                             0x00000110
#define HSOTG_DIEPTXF4_TYPE                                               UInt32
#define HSOTG_DIEPTXF4_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF4_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF4_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF4_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF4_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF5_OFFSET                                             0x00000114
#define HSOTG_DIEPTXF5_TYPE                                               UInt32
#define HSOTG_DIEPTXF5_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF5_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF5_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF5_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF5_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF6_OFFSET                                             0x00000118
#define HSOTG_DIEPTXF6_TYPE                                               UInt32
#define HSOTG_DIEPTXF6_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF6_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF6_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF6_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF6_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF7_OFFSET                                             0x0000011C
#define HSOTG_DIEPTXF7_TYPE                                               UInt32
#define HSOTG_DIEPTXF7_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF7_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF7_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF7_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF7_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF8_OFFSET                                             0x00000120
#define HSOTG_DIEPTXF8_TYPE                                               UInt32
#define HSOTG_DIEPTXF8_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF8_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF8_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF8_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF8_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF9_OFFSET                                             0x00000124
#define HSOTG_DIEPTXF9_TYPE                                               UInt32
#define HSOTG_DIEPTXF9_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPTXF9_INEPNTXFDEP_SHIFT                               16
#define    HSOTG_DIEPTXF9_INEPNTXFDEP_MASK                                0xFFFF0000
#define    HSOTG_DIEPTXF9_INEPNTXFSTADDR_SHIFT                            0
#define    HSOTG_DIEPTXF9_INEPNTXFSTADDR_MASK                             0x0000FFFF

#define HSOTG_DIEPTXF10_OFFSET                                            0x00000128
#define HSOTG_DIEPTXF10_TYPE                                              UInt32
#define HSOTG_DIEPTXF10_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF10_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF10_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF10_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF10_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_DIEPTXF11_OFFSET                                            0x0000012C
#define HSOTG_DIEPTXF11_TYPE                                              UInt32
#define HSOTG_DIEPTXF11_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF11_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF11_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF11_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF11_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_DIEPTXF12_OFFSET                                            0x00000130
#define HSOTG_DIEPTXF12_TYPE                                              UInt32
#define HSOTG_DIEPTXF12_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF12_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF12_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF12_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF12_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_DIEPTXF13_OFFSET                                            0x00000134
#define HSOTG_DIEPTXF13_TYPE                                              UInt32
#define HSOTG_DIEPTXF13_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF13_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF13_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF13_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF13_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_DIEPTXF14_OFFSET                                            0x00000138
#define HSOTG_DIEPTXF14_TYPE                                              UInt32
#define HSOTG_DIEPTXF14_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF14_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF14_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF14_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF14_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_DIEPTXF15_OFFSET                                            0x0000013C
#define HSOTG_DIEPTXF15_TYPE                                              UInt32
#define HSOTG_DIEPTXF15_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPTXF15_INEPNTXFDEP_SHIFT                              16
#define    HSOTG_DIEPTXF15_INEPNTXFDEP_MASK                               0xFFFF0000
#define    HSOTG_DIEPTXF15_INEPNTXFSTADDR_SHIFT                           0
#define    HSOTG_DIEPTXF15_INEPNTXFSTADDR_MASK                            0x0000FFFF

#define HSOTG_HCFG_OFFSET                                                 0x00000400
#define HSOTG_HCFG_TYPE                                                   UInt32
#define HSOTG_HCFG_RESERVED_MASK                                          0xF8000078
#define    HSOTG_HCFG_PERSCHEDENA_SHIFT                                   26
#define    HSOTG_HCFG_PERSCHEDENA_MASK                                    0x04000000
#define    HSOTG_HCFG_FRLISTEN_SHIFT                                      24
#define    HSOTG_HCFG_FRLISTEN_MASK                                       0x03000000
#define    HSOTG_HCFG_DESCDMA_SHIFT                                       23
#define    HSOTG_HCFG_DESCDMA_MASK                                        0x00800000
#define    HSOTG_HCFG_RSVD_SHIFT                                          16
#define    HSOTG_HCFG_RSVD_MASK                                           0x007F0000
#define    HSOTG_HCFG_RESVALID_SHIFT                                      8
#define    HSOTG_HCFG_RESVALID_MASK                                       0x0000FF00
#define    HSOTG_HCFG_ENA32KHZS_SHIFT                                     7
#define    HSOTG_HCFG_ENA32KHZS_MASK                                      0x00000080
#define    HSOTG_HCFG_FSLSSUPP_SHIFT                                      2
#define    HSOTG_HCFG_FSLSSUPP_MASK                                       0x00000004
#define    HSOTG_HCFG_FSLSPCLKSEL_SHIFT                                   0
#define    HSOTG_HCFG_FSLSPCLKSEL_MASK                                    0x00000003

#define HSOTG_HFIR_OFFSET                                                 0x00000404
#define HSOTG_HFIR_TYPE                                                   UInt32
#define HSOTG_HFIR_RESERVED_MASK                                          0xFFFF0000
#define    HSOTG_HFIR_FRINT_SHIFT                                         0
#define    HSOTG_HFIR_FRINT_MASK                                          0x0000FFFF

#define HSOTG_HFNUM_OFFSET                                                0x00000408
#define HSOTG_HFNUM_TYPE                                                  UInt32
#define HSOTG_HFNUM_RESERVED_MASK                                         0x00000000
#define    HSOTG_HFNUM_FRREM_SHIFT                                        16
#define    HSOTG_HFNUM_FRREM_MASK                                         0xFFFF0000
#define    HSOTG_HFNUM_FRNUM_SHIFT                                        0
#define    HSOTG_HFNUM_FRNUM_MASK                                         0x0000FFFF

#define HSOTG_HPTXSTS_OFFSET                                              0x00000410
#define HSOTG_HPTXSTS_TYPE                                                UInt32
#define HSOTG_HPTXSTS_RESERVED_MASK                                       0x00000000
#define    HSOTG_HPTXSTS_PTXQTOP_SHIFT                                    24
#define    HSOTG_HPTXSTS_PTXQTOP_MASK                                     0xFF000000
#define    HSOTG_HPTXSTS_PTXQSPCAVAIL_SHIFT                               16
#define    HSOTG_HPTXSTS_PTXQSPCAVAIL_MASK                                0x00FF0000
#define    HSOTG_HPTXSTS_PTXFSPCAVAIL_SHIFT                               0
#define    HSOTG_HPTXSTS_PTXFSPCAVAIL_MASK                                0x0000FFFF

#define HSOTG_HAINT_OFFSET                                                0x00000414
#define HSOTG_HAINT_TYPE                                                  UInt32
#define HSOTG_HAINT_RESERVED_MASK                                         0xFFFF0000
#define    HSOTG_HAINT_HAINT_SHIFT                                        0
#define    HSOTG_HAINT_HAINT_MASK                                         0x0000FFFF

#define HSOTG_HAINTMSK_OFFSET                                             0x00000418
#define HSOTG_HAINTMSK_TYPE                                               UInt32
#define HSOTG_HAINTMSK_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_HAINTMSK_HAINTM_SHIFT                                    0
#define    HSOTG_HAINTMSK_HAINTM_MASK                                     0x0000FFFF

#define HSOTG_HFLBADDR_OFFSET                                             0x0000041C
#define HSOTG_HFLBADDR_TYPE                                               UInt32
#define HSOTG_HFLBADDR_RESERVED_MASK                                      0x00000000
#define    HSOTG_HFLBADDR_HFLBADDR_SHIFT                                  0
#define    HSOTG_HFLBADDR_HFLBADDR_MASK                                   0xFFFFFFFF

#define HSOTG_HPRT_OFFSET                                                 0x00000440
#define HSOTG_HPRT_TYPE                                                   UInt32
#define HSOTG_HPRT_RESERVED_MASK                                          0xFFF80200
#define    HSOTG_HPRT_PRTSPD_SHIFT                                        17
#define    HSOTG_HPRT_PRTSPD_MASK                                         0x00060000
#define    HSOTG_HPRT_PRTTSTCTL_SHIFT                                     13
#define    HSOTG_HPRT_PRTTSTCTL_MASK                                      0x0001E000
#define    HSOTG_HPRT_PRTPWR_SHIFT                                        12
#define    HSOTG_HPRT_PRTPWR_MASK                                         0x00001000
#define    HSOTG_HPRT_PRTLNSTS_SHIFT                                      10
#define    HSOTG_HPRT_PRTLNSTS_MASK                                       0x00000C00
#define    HSOTG_HPRT_PRTRST_SHIFT                                        8
#define    HSOTG_HPRT_PRTRST_MASK                                         0x00000100
#define    HSOTG_HPRT_PRTSUSP_SHIFT                                       7
#define    HSOTG_HPRT_PRTSUSP_MASK                                        0x00000080
#define    HSOTG_HPRT_PRTRES_SHIFT                                        6
#define    HSOTG_HPRT_PRTRES_MASK                                         0x00000040
#define    HSOTG_HPRT_PRTOVRCURRCHNG_SHIFT                                5
#define    HSOTG_HPRT_PRTOVRCURRCHNG_MASK                                 0x00000020
#define    HSOTG_HPRT_PRTOVRCURRACT_SHIFT                                 4
#define    HSOTG_HPRT_PRTOVRCURRACT_MASK                                  0x00000010
#define    HSOTG_HPRT_PRTENCHNG_SHIFT                                     3
#define    HSOTG_HPRT_PRTENCHNG_MASK                                      0x00000008
#define    HSOTG_HPRT_PRTENA_SHIFT                                        2
#define    HSOTG_HPRT_PRTENA_MASK                                         0x00000004
#define    HSOTG_HPRT_PRTCONNDET_SHIFT                                    1
#define    HSOTG_HPRT_PRTCONNDET_MASK                                     0x00000002
#define    HSOTG_HPRT_PRTCONNSTS_SHIFT                                    0
#define    HSOTG_HPRT_PRTCONNSTS_MASK                                     0x00000001

#define HSOTG_HCCHAR0_OFFSET                                              0x00000500
#define HSOTG_HCCHAR0_TYPE                                                UInt32
#define HSOTG_HCCHAR0_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR0_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR0_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR0_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR0_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR0_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR0_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR0_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR0_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR0_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR0_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR0_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR0_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR0_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR0_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR0_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR0_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR0_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR0_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR0_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR0_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT0_OFFSET                                              0x00000504
#define HSOTG_HCSPLT0_TYPE                                                UInt32
#define HSOTG_HCSPLT0_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT0_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT0_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT0_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT0_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT0_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT0_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT0_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT0_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT0_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT0_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT0_OFFSET                                               0x00000508
#define HSOTG_HCINT0_TYPE                                                 UInt32
#define HSOTG_HCINT0_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT0_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT0_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT0_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT0_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT0_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT0_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT0_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT0_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT0_NYET_SHIFT                                        6
#define    HSOTG_HCINT0_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT0_ACK_SHIFT                                         5
#define    HSOTG_HCINT0_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT0_NAK_SHIFT                                         4
#define    HSOTG_HCINT0_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT0_STALL_SHIFT                                       3
#define    HSOTG_HCINT0_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT0_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT0_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT0_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT0_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT0_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT0_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK0_OFFSET                                            0x0000050C
#define HSOTG_HCINTMSK0_TYPE                                              UInt32
#define HSOTG_HCINTMSK0_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK0_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK0_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK0_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK0_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK0_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK0_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK0_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK0_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK0_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK0_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK0_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK0_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK0_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK0_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK0_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK0_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK0_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK0_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK0_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK0_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK0_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK0_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ0_OFFSET                                              0x00000510
#define HSOTG_HCTSIZ0_TYPE                                                UInt32
#define HSOTG_HCTSIZ0_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ0_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ0_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ0_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ0_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ0_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ0_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ0_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ0_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA0_OFFSET                                               0x00000514
#define HSOTG_HCDMA0_TYPE                                                 UInt32
#define HSOTG_HCDMA0_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA0_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA0_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB0_OFFSET                                              0x0000051C
#define HSOTG_HCDMAB0_TYPE                                                UInt32
#define HSOTG_HCDMAB0_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB0_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB0_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR1_OFFSET                                              0x00000520
#define HSOTG_HCCHAR1_TYPE                                                UInt32
#define HSOTG_HCCHAR1_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR1_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR1_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR1_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR1_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR1_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR1_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR1_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR1_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR1_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR1_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR1_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR1_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR1_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR1_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR1_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR1_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR1_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR1_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR1_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR1_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT1_OFFSET                                              0x00000524
#define HSOTG_HCSPLT1_TYPE                                                UInt32
#define HSOTG_HCSPLT1_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT1_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT1_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT1_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT1_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT1_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT1_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT1_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT1_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT1_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT1_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT1_OFFSET                                               0x00000528
#define HSOTG_HCINT1_TYPE                                                 UInt32
#define HSOTG_HCINT1_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT1_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT1_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT1_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT1_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT1_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT1_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT1_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT1_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT1_NYET_SHIFT                                        6
#define    HSOTG_HCINT1_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT1_ACK_SHIFT                                         5
#define    HSOTG_HCINT1_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT1_NAK_SHIFT                                         4
#define    HSOTG_HCINT1_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT1_STALL_SHIFT                                       3
#define    HSOTG_HCINT1_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT1_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT1_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT1_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT1_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT1_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT1_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK1_OFFSET                                            0x0000052C
#define HSOTG_HCINTMSK1_TYPE                                              UInt32
#define HSOTG_HCINTMSK1_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK1_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK1_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK1_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK1_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK1_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK1_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK1_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK1_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK1_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK1_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK1_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK1_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK1_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK1_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK1_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK1_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK1_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK1_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK1_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK1_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK1_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK1_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ1_OFFSET                                              0x00000530
#define HSOTG_HCTSIZ1_TYPE                                                UInt32
#define HSOTG_HCTSIZ1_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ1_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ1_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ1_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ1_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ1_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ1_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ1_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ1_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA1_OFFSET                                               0x00000534
#define HSOTG_HCDMA1_TYPE                                                 UInt32
#define HSOTG_HCDMA1_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA1_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA1_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB1_OFFSET                                              0x0000053C
#define HSOTG_HCDMAB1_TYPE                                                UInt32
#define HSOTG_HCDMAB1_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB1_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB1_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR2_OFFSET                                              0x00000540
#define HSOTG_HCCHAR2_TYPE                                                UInt32
#define HSOTG_HCCHAR2_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR2_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR2_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR2_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR2_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR2_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR2_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR2_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR2_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR2_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR2_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR2_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR2_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR2_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR2_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR2_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR2_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR2_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR2_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR2_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR2_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT2_OFFSET                                              0x00000544
#define HSOTG_HCSPLT2_TYPE                                                UInt32
#define HSOTG_HCSPLT2_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT2_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT2_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT2_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT2_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT2_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT2_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT2_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT2_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT2_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT2_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT2_OFFSET                                               0x00000548
#define HSOTG_HCINT2_TYPE                                                 UInt32
#define HSOTG_HCINT2_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT2_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT2_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT2_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT2_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT2_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT2_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT2_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT2_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT2_NYET_SHIFT                                        6
#define    HSOTG_HCINT2_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT2_ACK_SHIFT                                         5
#define    HSOTG_HCINT2_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT2_NAK_SHIFT                                         4
#define    HSOTG_HCINT2_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT2_STALL_SHIFT                                       3
#define    HSOTG_HCINT2_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT2_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT2_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT2_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT2_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT2_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT2_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK2_OFFSET                                            0x0000054C
#define HSOTG_HCINTMSK2_TYPE                                              UInt32
#define HSOTG_HCINTMSK2_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK2_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK2_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK2_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK2_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK2_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK2_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK2_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK2_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK2_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK2_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK2_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK2_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK2_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK2_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK2_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK2_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK2_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK2_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK2_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK2_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK2_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK2_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ2_OFFSET                                              0x00000550
#define HSOTG_HCTSIZ2_TYPE                                                UInt32
#define HSOTG_HCTSIZ2_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ2_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ2_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ2_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ2_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ2_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ2_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ2_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ2_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA2_OFFSET                                               0x00000554
#define HSOTG_HCDMA2_TYPE                                                 UInt32
#define HSOTG_HCDMA2_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA2_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA2_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB2_OFFSET                                              0x0000055C
#define HSOTG_HCDMAB2_TYPE                                                UInt32
#define HSOTG_HCDMAB2_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB2_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB2_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR3_OFFSET                                              0x00000560
#define HSOTG_HCCHAR3_TYPE                                                UInt32
#define HSOTG_HCCHAR3_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR3_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR3_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR3_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR3_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR3_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR3_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR3_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR3_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR3_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR3_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR3_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR3_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR3_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR3_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR3_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR3_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR3_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR3_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR3_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR3_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT3_OFFSET                                              0x00000564
#define HSOTG_HCSPLT3_TYPE                                                UInt32
#define HSOTG_HCSPLT3_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT3_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT3_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT3_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT3_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT3_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT3_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT3_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT3_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT3_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT3_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT3_OFFSET                                               0x00000568
#define HSOTG_HCINT3_TYPE                                                 UInt32
#define HSOTG_HCINT3_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT3_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT3_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT3_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT3_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT3_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT3_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT3_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT3_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT3_NYET_SHIFT                                        6
#define    HSOTG_HCINT3_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT3_ACK_SHIFT                                         5
#define    HSOTG_HCINT3_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT3_NAK_SHIFT                                         4
#define    HSOTG_HCINT3_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT3_STALL_SHIFT                                       3
#define    HSOTG_HCINT3_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT3_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT3_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT3_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT3_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT3_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT3_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK3_OFFSET                                            0x0000056C
#define HSOTG_HCINTMSK3_TYPE                                              UInt32
#define HSOTG_HCINTMSK3_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK3_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK3_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK3_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK3_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK3_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK3_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK3_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK3_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK3_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK3_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK3_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK3_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK3_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK3_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK3_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK3_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK3_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK3_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK3_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK3_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK3_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK3_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ3_OFFSET                                              0x00000570
#define HSOTG_HCTSIZ3_TYPE                                                UInt32
#define HSOTG_HCTSIZ3_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ3_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ3_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ3_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ3_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ3_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ3_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ3_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ3_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA3_OFFSET                                               0x00000574
#define HSOTG_HCDMA3_TYPE                                                 UInt32
#define HSOTG_HCDMA3_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA3_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA3_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB3_OFFSET                                              0x0000057C
#define HSOTG_HCDMAB3_TYPE                                                UInt32
#define HSOTG_HCDMAB3_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB3_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB3_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR4_OFFSET                                              0x00000580
#define HSOTG_HCCHAR4_TYPE                                                UInt32
#define HSOTG_HCCHAR4_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR4_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR4_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR4_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR4_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR4_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR4_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR4_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR4_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR4_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR4_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR4_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR4_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR4_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR4_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR4_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR4_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR4_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR4_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR4_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR4_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT4_OFFSET                                              0x00000584
#define HSOTG_HCSPLT4_TYPE                                                UInt32
#define HSOTG_HCSPLT4_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT4_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT4_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT4_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT4_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT4_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT4_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT4_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT4_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT4_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT4_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT4_OFFSET                                               0x00000588
#define HSOTG_HCINT4_TYPE                                                 UInt32
#define HSOTG_HCINT4_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT4_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT4_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT4_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT4_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT4_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT4_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT4_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT4_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT4_NYET_SHIFT                                        6
#define    HSOTG_HCINT4_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT4_ACK_SHIFT                                         5
#define    HSOTG_HCINT4_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT4_NAK_SHIFT                                         4
#define    HSOTG_HCINT4_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT4_STALL_SHIFT                                       3
#define    HSOTG_HCINT4_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT4_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT4_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT4_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT4_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT4_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT4_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK4_OFFSET                                            0x0000058C
#define HSOTG_HCINTMSK4_TYPE                                              UInt32
#define HSOTG_HCINTMSK4_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK4_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK4_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK4_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK4_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK4_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK4_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK4_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK4_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK4_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK4_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK4_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK4_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK4_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK4_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK4_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK4_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK4_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK4_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK4_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK4_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK4_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK4_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ4_OFFSET                                              0x00000590
#define HSOTG_HCTSIZ4_TYPE                                                UInt32
#define HSOTG_HCTSIZ4_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ4_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ4_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ4_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ4_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ4_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ4_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ4_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ4_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA4_OFFSET                                               0x00000594
#define HSOTG_HCDMA4_TYPE                                                 UInt32
#define HSOTG_HCDMA4_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA4_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA4_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB4_OFFSET                                              0x0000059C
#define HSOTG_HCDMAB4_TYPE                                                UInt32
#define HSOTG_HCDMAB4_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB4_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB4_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR5_OFFSET                                              0x000005A0
#define HSOTG_HCCHAR5_TYPE                                                UInt32
#define HSOTG_HCCHAR5_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR5_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR5_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR5_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR5_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR5_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR5_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR5_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR5_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR5_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR5_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR5_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR5_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR5_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR5_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR5_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR5_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR5_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR5_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR5_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR5_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT5_OFFSET                                              0x000005A4
#define HSOTG_HCSPLT5_TYPE                                                UInt32
#define HSOTG_HCSPLT5_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT5_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT5_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT5_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT5_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT5_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT5_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT5_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT5_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT5_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT5_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT5_OFFSET                                               0x000005A8
#define HSOTG_HCINT5_TYPE                                                 UInt32
#define HSOTG_HCINT5_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT5_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT5_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT5_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT5_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT5_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT5_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT5_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT5_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT5_NYET_SHIFT                                        6
#define    HSOTG_HCINT5_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT5_ACK_SHIFT                                         5
#define    HSOTG_HCINT5_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT5_NAK_SHIFT                                         4
#define    HSOTG_HCINT5_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT5_STALL_SHIFT                                       3
#define    HSOTG_HCINT5_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT5_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT5_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT5_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT5_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT5_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT5_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK5_OFFSET                                            0x000005AC
#define HSOTG_HCINTMSK5_TYPE                                              UInt32
#define HSOTG_HCINTMSK5_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK5_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK5_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK5_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK5_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK5_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK5_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK5_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK5_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK5_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK5_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK5_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK5_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK5_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK5_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK5_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK5_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK5_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK5_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK5_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK5_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK5_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK5_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ5_OFFSET                                              0x000005B0
#define HSOTG_HCTSIZ5_TYPE                                                UInt32
#define HSOTG_HCTSIZ5_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ5_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ5_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ5_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ5_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ5_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ5_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ5_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ5_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA5_OFFSET                                               0x000005B4
#define HSOTG_HCDMA5_TYPE                                                 UInt32
#define HSOTG_HCDMA5_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA5_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA5_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB5_OFFSET                                              0x000005BC
#define HSOTG_HCDMAB5_TYPE                                                UInt32
#define HSOTG_HCDMAB5_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB5_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB5_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR6_OFFSET                                              0x000005C0
#define HSOTG_HCCHAR6_TYPE                                                UInt32
#define HSOTG_HCCHAR6_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR6_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR6_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR6_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR6_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR6_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR6_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR6_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR6_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR6_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR6_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR6_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR6_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR6_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR6_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR6_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR6_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR6_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR6_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR6_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR6_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT6_OFFSET                                              0x000005C4
#define HSOTG_HCSPLT6_TYPE                                                UInt32
#define HSOTG_HCSPLT6_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT6_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT6_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT6_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT6_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT6_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT6_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT6_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT6_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT6_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT6_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT6_OFFSET                                               0x000005C8
#define HSOTG_HCINT6_TYPE                                                 UInt32
#define HSOTG_HCINT6_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT6_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT6_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT6_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT6_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT6_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT6_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT6_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT6_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT6_NYET_SHIFT                                        6
#define    HSOTG_HCINT6_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT6_ACK_SHIFT                                         5
#define    HSOTG_HCINT6_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT6_NAK_SHIFT                                         4
#define    HSOTG_HCINT6_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT6_STALL_SHIFT                                       3
#define    HSOTG_HCINT6_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT6_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT6_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT6_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT6_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT6_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT6_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK6_OFFSET                                            0x000005CC
#define HSOTG_HCINTMSK6_TYPE                                              UInt32
#define HSOTG_HCINTMSK6_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK6_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK6_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK6_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK6_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK6_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK6_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK6_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK6_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK6_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK6_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK6_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK6_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK6_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK6_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK6_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK6_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK6_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK6_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK6_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK6_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK6_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK6_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ6_OFFSET                                              0x000005D0
#define HSOTG_HCTSIZ6_TYPE                                                UInt32
#define HSOTG_HCTSIZ6_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ6_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ6_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ6_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ6_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ6_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ6_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ6_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ6_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA6_OFFSET                                               0x000005D4
#define HSOTG_HCDMA6_TYPE                                                 UInt32
#define HSOTG_HCDMA6_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA6_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA6_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB6_OFFSET                                              0x000005DC
#define HSOTG_HCDMAB6_TYPE                                                UInt32
#define HSOTG_HCDMAB6_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB6_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB6_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR7_OFFSET                                              0x000005E0
#define HSOTG_HCCHAR7_TYPE                                                UInt32
#define HSOTG_HCCHAR7_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR7_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR7_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR7_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR7_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR7_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR7_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR7_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR7_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR7_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR7_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR7_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR7_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR7_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR7_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR7_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR7_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR7_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR7_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR7_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR7_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT7_OFFSET                                              0x000005E4
#define HSOTG_HCSPLT7_TYPE                                                UInt32
#define HSOTG_HCSPLT7_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT7_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT7_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT7_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT7_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT7_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT7_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT7_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT7_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT7_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT7_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT7_OFFSET                                               0x000005E8
#define HSOTG_HCINT7_TYPE                                                 UInt32
#define HSOTG_HCINT7_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT7_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT7_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT7_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT7_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT7_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT7_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT7_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT7_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT7_NYET_SHIFT                                        6
#define    HSOTG_HCINT7_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT7_ACK_SHIFT                                         5
#define    HSOTG_HCINT7_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT7_NAK_SHIFT                                         4
#define    HSOTG_HCINT7_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT7_STALL_SHIFT                                       3
#define    HSOTG_HCINT7_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT7_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT7_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT7_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT7_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT7_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT7_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK7_OFFSET                                            0x000005EC
#define HSOTG_HCINTMSK7_TYPE                                              UInt32
#define HSOTG_HCINTMSK7_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK7_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK7_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK7_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK7_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK7_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK7_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK7_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK7_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK7_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK7_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK7_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK7_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK7_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK7_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK7_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK7_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK7_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK7_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK7_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK7_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK7_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK7_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ7_OFFSET                                              0x000005F0
#define HSOTG_HCTSIZ7_TYPE                                                UInt32
#define HSOTG_HCTSIZ7_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ7_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ7_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ7_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ7_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ7_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ7_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ7_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ7_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA7_OFFSET                                               0x000005F4
#define HSOTG_HCDMA7_TYPE                                                 UInt32
#define HSOTG_HCDMA7_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA7_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA7_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB7_OFFSET                                              0x000005FC
#define HSOTG_HCDMAB7_TYPE                                                UInt32
#define HSOTG_HCDMAB7_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB7_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB7_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR8_OFFSET                                              0x00000600
#define HSOTG_HCCHAR8_TYPE                                                UInt32
#define HSOTG_HCCHAR8_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR8_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR8_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR8_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR8_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR8_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR8_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR8_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR8_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR8_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR8_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR8_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR8_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR8_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR8_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR8_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR8_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR8_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR8_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR8_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR8_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT8_OFFSET                                              0x00000604
#define HSOTG_HCSPLT8_TYPE                                                UInt32
#define HSOTG_HCSPLT8_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT8_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT8_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT8_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT8_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT8_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT8_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT8_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT8_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT8_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT8_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT8_OFFSET                                               0x00000608
#define HSOTG_HCINT8_TYPE                                                 UInt32
#define HSOTG_HCINT8_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT8_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT8_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT8_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT8_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT8_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT8_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT8_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT8_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT8_NYET_SHIFT                                        6
#define    HSOTG_HCINT8_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT8_ACK_SHIFT                                         5
#define    HSOTG_HCINT8_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT8_NAK_SHIFT                                         4
#define    HSOTG_HCINT8_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT8_STALL_SHIFT                                       3
#define    HSOTG_HCINT8_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT8_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT8_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT8_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT8_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT8_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT8_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK8_OFFSET                                            0x0000060C
#define HSOTG_HCINTMSK8_TYPE                                              UInt32
#define HSOTG_HCINTMSK8_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK8_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK8_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK8_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK8_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK8_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK8_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK8_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK8_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK8_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK8_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK8_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK8_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK8_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK8_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK8_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK8_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK8_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK8_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK8_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK8_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK8_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK8_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ8_OFFSET                                              0x00000610
#define HSOTG_HCTSIZ8_TYPE                                                UInt32
#define HSOTG_HCTSIZ8_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ8_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ8_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ8_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ8_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ8_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ8_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ8_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ8_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA8_OFFSET                                               0x00000614
#define HSOTG_HCDMA8_TYPE                                                 UInt32
#define HSOTG_HCDMA8_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA8_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA8_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB8_OFFSET                                              0x0000061C
#define HSOTG_HCDMAB8_TYPE                                                UInt32
#define HSOTG_HCDMAB8_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB8_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB8_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR9_OFFSET                                              0x00000620
#define HSOTG_HCCHAR9_TYPE                                                UInt32
#define HSOTG_HCCHAR9_RESERVED_MASK                                       0x00010000
#define    HSOTG_HCCHAR9_CHENA_SHIFT                                      31
#define    HSOTG_HCCHAR9_CHENA_MASK                                       0x80000000
#define    HSOTG_HCCHAR9_CHDIS_SHIFT                                      30
#define    HSOTG_HCCHAR9_CHDIS_MASK                                       0x40000000
#define    HSOTG_HCCHAR9_ODDFRM_SHIFT                                     29
#define    HSOTG_HCCHAR9_ODDFRM_MASK                                      0x20000000
#define    HSOTG_HCCHAR9_DEVADDR_SHIFT                                    22
#define    HSOTG_HCCHAR9_DEVADDR_MASK                                     0x1FC00000
#define    HSOTG_HCCHAR9_MCEC_SHIFT                                       20
#define    HSOTG_HCCHAR9_MCEC_MASK                                        0x00300000
#define    HSOTG_HCCHAR9_EPTYPE_SHIFT                                     18
#define    HSOTG_HCCHAR9_EPTYPE_MASK                                      0x000C0000
#define    HSOTG_HCCHAR9_LSPDDEV_SHIFT                                    17
#define    HSOTG_HCCHAR9_LSPDDEV_MASK                                     0x00020000
#define    HSOTG_HCCHAR9_EPDIR_SHIFT                                      15
#define    HSOTG_HCCHAR9_EPDIR_MASK                                       0x00008000
#define    HSOTG_HCCHAR9_EPNUM_SHIFT                                      11
#define    HSOTG_HCCHAR9_EPNUM_MASK                                       0x00007800
#define    HSOTG_HCCHAR9_MPS_SHIFT                                        0
#define    HSOTG_HCCHAR9_MPS_MASK                                         0x000007FF

#define HSOTG_HCSPLT9_OFFSET                                              0x00000624
#define HSOTG_HCSPLT9_TYPE                                                UInt32
#define HSOTG_HCSPLT9_RESERVED_MASK                                       0x7FFE0000
#define    HSOTG_HCSPLT9_SPLTENA_SHIFT                                    31
#define    HSOTG_HCSPLT9_SPLTENA_MASK                                     0x80000000
#define    HSOTG_HCSPLT9_COMPSPLT_SHIFT                                   16
#define    HSOTG_HCSPLT9_COMPSPLT_MASK                                    0x00010000
#define    HSOTG_HCSPLT9_XACTPOS_SHIFT                                    14
#define    HSOTG_HCSPLT9_XACTPOS_MASK                                     0x0000C000
#define    HSOTG_HCSPLT9_HUBADDR_SHIFT                                    7
#define    HSOTG_HCSPLT9_HUBADDR_MASK                                     0x00003F80
#define    HSOTG_HCSPLT9_PRTADDR_SHIFT                                    0
#define    HSOTG_HCSPLT9_PRTADDR_MASK                                     0x0000007F

#define HSOTG_HCINT9_OFFSET                                               0x00000628
#define HSOTG_HCINT9_TYPE                                                 UInt32
#define HSOTG_HCINT9_RESERVED_MASK                                        0xFFFFF800
#define    HSOTG_HCINT9_DATATGLERR_SHIFT                                  10
#define    HSOTG_HCINT9_DATATGLERR_MASK                                   0x00000400
#define    HSOTG_HCINT9_FRMOVRUN_SHIFT                                    9
#define    HSOTG_HCINT9_FRMOVRUN_MASK                                     0x00000200
#define    HSOTG_HCINT9_BBLERR_SHIFT                                      8
#define    HSOTG_HCINT9_BBLERR_MASK                                       0x00000100
#define    HSOTG_HCINT9_XACTERR_SHIFT                                     7
#define    HSOTG_HCINT9_XACTERR_MASK                                      0x00000080
#define    HSOTG_HCINT9_NYET_SHIFT                                        6
#define    HSOTG_HCINT9_NYET_MASK                                         0x00000040
#define    HSOTG_HCINT9_ACK_SHIFT                                         5
#define    HSOTG_HCINT9_ACK_MASK                                          0x00000020
#define    HSOTG_HCINT9_NAK_SHIFT                                         4
#define    HSOTG_HCINT9_NAK_MASK                                          0x00000010
#define    HSOTG_HCINT9_STALL_SHIFT                                       3
#define    HSOTG_HCINT9_STALL_MASK                                        0x00000008
#define    HSOTG_HCINT9_AHBERR_SHIFT                                      2
#define    HSOTG_HCINT9_AHBERR_MASK                                       0x00000004
#define    HSOTG_HCINT9_CHHLTD_SHIFT                                      1
#define    HSOTG_HCINT9_CHHLTD_MASK                                       0x00000002
#define    HSOTG_HCINT9_XFERCOMPL_SHIFT                                   0
#define    HSOTG_HCINT9_XFERCOMPL_MASK                                    0x00000001

#define HSOTG_HCINTMSK9_OFFSET                                            0x0000062C
#define HSOTG_HCINTMSK9_TYPE                                              UInt32
#define HSOTG_HCINTMSK9_RESERVED_MASK                                     0xFFFFF800
#define    HSOTG_HCINTMSK9_DATATGLERRMSK_SHIFT                            10
#define    HSOTG_HCINTMSK9_DATATGLERRMSK_MASK                             0x00000400
#define    HSOTG_HCINTMSK9_FRMOVRUNMSK_SHIFT                              9
#define    HSOTG_HCINTMSK9_FRMOVRUNMSK_MASK                               0x00000200
#define    HSOTG_HCINTMSK9_BBLERRMSK_SHIFT                                8
#define    HSOTG_HCINTMSK9_BBLERRMSK_MASK                                 0x00000100
#define    HSOTG_HCINTMSK9_XACTERRMSK_SHIFT                               7
#define    HSOTG_HCINTMSK9_XACTERRMSK_MASK                                0x00000080
#define    HSOTG_HCINTMSK9_NYETMSK_SHIFT                                  6
#define    HSOTG_HCINTMSK9_NYETMSK_MASK                                   0x00000040
#define    HSOTG_HCINTMSK9_ACKMSK_SHIFT                                   5
#define    HSOTG_HCINTMSK9_ACKMSK_MASK                                    0x00000020
#define    HSOTG_HCINTMSK9_NAKMSK_SHIFT                                   4
#define    HSOTG_HCINTMSK9_NAKMSK_MASK                                    0x00000010
#define    HSOTG_HCINTMSK9_STALLMSK_SHIFT                                 3
#define    HSOTG_HCINTMSK9_STALLMSK_MASK                                  0x00000008
#define    HSOTG_HCINTMSK9_AHBERRMSK_SHIFT                                2
#define    HSOTG_HCINTMSK9_AHBERRMSK_MASK                                 0x00000004
#define    HSOTG_HCINTMSK9_CHHLTDMSK_SHIFT                                1
#define    HSOTG_HCINTMSK9_CHHLTDMSK_MASK                                 0x00000002
#define    HSOTG_HCINTMSK9_XFERCOMPLMSK_SHIFT                             0
#define    HSOTG_HCINTMSK9_XFERCOMPLMSK_MASK                              0x00000001

#define HSOTG_HCTSIZ9_OFFSET                                              0x00000630
#define HSOTG_HCTSIZ9_TYPE                                                UInt32
#define HSOTG_HCTSIZ9_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCTSIZ9_DOPNG_SHIFT                                      31
#define    HSOTG_HCTSIZ9_DOPNG_MASK                                       0x80000000
#define    HSOTG_HCTSIZ9_PID_SHIFT                                        29
#define    HSOTG_HCTSIZ9_PID_MASK                                         0x60000000
#define    HSOTG_HCTSIZ9_PKTCNT_SHIFT                                     19
#define    HSOTG_HCTSIZ9_PKTCNT_MASK                                      0x1FF80000
#define    HSOTG_HCTSIZ9_XFERSIZE_SHIFT                                   0
#define    HSOTG_HCTSIZ9_XFERSIZE_MASK                                    0x0007FFFF

#define HSOTG_HCDMA9_OFFSET                                               0x00000634
#define HSOTG_HCDMA9_TYPE                                                 UInt32
#define HSOTG_HCDMA9_RESERVED_MASK                                        0x00000000
#define    HSOTG_HCDMA9_DMAADDR_SHIFT                                     0
#define    HSOTG_HCDMA9_DMAADDR_MASK                                      0xFFFFFFFF

#define HSOTG_HCDMAB9_OFFSET                                              0x0000063C
#define HSOTG_HCDMAB9_TYPE                                                UInt32
#define HSOTG_HCDMAB9_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMAB9_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMAB9_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCCHAR10_OFFSET                                             0x00000640
#define HSOTG_HCCHAR10_TYPE                                               UInt32
#define HSOTG_HCCHAR10_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR10_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR10_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR10_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR10_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR10_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR10_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR10_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR10_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR10_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR10_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR10_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR10_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR10_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR10_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR10_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR10_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR10_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR10_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR10_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR10_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT10_OFFSET                                             0x00000644
#define HSOTG_HCSPLT10_TYPE                                               UInt32
#define HSOTG_HCSPLT10_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT10_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT10_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT10_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT10_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT10_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT10_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT10_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT10_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT10_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT10_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT10_OFFSET                                              0x00000648
#define HSOTG_HCINT10_TYPE                                                UInt32
#define HSOTG_HCINT10_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT10_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT10_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT10_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT10_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT10_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT10_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT10_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT10_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT10_NYET_SHIFT                                       6
#define    HSOTG_HCINT10_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT10_ACK_SHIFT                                        5
#define    HSOTG_HCINT10_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT10_NAK_SHIFT                                        4
#define    HSOTG_HCINT10_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT10_STALL_SHIFT                                      3
#define    HSOTG_HCINT10_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT10_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT10_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT10_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT10_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT10_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT10_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK10_OFFSET                                           0x0000064C
#define HSOTG_HCINTMSK10_TYPE                                             UInt32
#define HSOTG_HCINTMSK10_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK10_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK10_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK10_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK10_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK10_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK10_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK10_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK10_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK10_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK10_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK10_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK10_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK10_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK10_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK10_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK10_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK10_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK10_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK10_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK10_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK10_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK10_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ10_OFFSET                                             0x00000650
#define HSOTG_HCTSIZ10_TYPE                                               UInt32
#define HSOTG_HCTSIZ10_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ10_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ10_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ10_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ10_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ10_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ10_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ10_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ10_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA10_OFFSET                                              0x00000654
#define HSOTG_HCDMA10_TYPE                                                UInt32
#define HSOTG_HCDMA10_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA10_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA10_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB10_OFFSET                                             0x0000065C
#define HSOTG_HCDMAB10_TYPE                                               UInt32
#define HSOTG_HCDMAB10_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB10_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB10_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_HCCHAR11_OFFSET                                             0x00000660
#define HSOTG_HCCHAR11_TYPE                                               UInt32
#define HSOTG_HCCHAR11_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR11_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR11_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR11_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR11_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR11_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR11_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR11_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR11_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR11_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR11_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR11_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR11_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR11_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR11_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR11_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR11_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR11_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR11_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR11_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR11_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT11_OFFSET                                             0x00000664
#define HSOTG_HCSPLT11_TYPE                                               UInt32
#define HSOTG_HCSPLT11_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT11_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT11_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT11_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT11_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT11_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT11_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT11_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT11_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT11_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT11_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT11_OFFSET                                              0x00000668
#define HSOTG_HCINT11_TYPE                                                UInt32
#define HSOTG_HCINT11_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT11_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT11_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT11_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT11_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT11_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT11_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT11_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT11_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT11_NYET_SHIFT                                       6
#define    HSOTG_HCINT11_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT11_ACK_SHIFT                                        5
#define    HSOTG_HCINT11_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT11_NAK_SHIFT                                        4
#define    HSOTG_HCINT11_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT11_STALL_SHIFT                                      3
#define    HSOTG_HCINT11_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT11_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT11_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT11_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT11_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT11_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT11_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK11_OFFSET                                           0x0000066C
#define HSOTG_HCINTMSK11_TYPE                                             UInt32
#define HSOTG_HCINTMSK11_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK11_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK11_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK11_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK11_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK11_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK11_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK11_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK11_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK11_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK11_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK11_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK11_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK11_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK11_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK11_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK11_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK11_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK11_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK11_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK11_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK11_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK11_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ11_OFFSET                                             0x00000670
#define HSOTG_HCTSIZ11_TYPE                                               UInt32
#define HSOTG_HCTSIZ11_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ11_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ11_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ11_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ11_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ11_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ11_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ11_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ11_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA11_OFFSET                                              0x00000674
#define HSOTG_HCDMA11_TYPE                                                UInt32
#define HSOTG_HCDMA11_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA11_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA11_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB11_OFFSET                                             0x0000067C
#define HSOTG_HCDMAB11_TYPE                                               UInt32
#define HSOTG_HCDMAB11_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB11_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB11_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_HCCHAR12_OFFSET                                             0x00000680
#define HSOTG_HCCHAR12_TYPE                                               UInt32
#define HSOTG_HCCHAR12_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR12_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR12_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR12_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR12_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR12_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR12_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR12_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR12_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR12_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR12_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR12_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR12_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR12_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR12_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR12_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR12_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR12_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR12_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR12_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR12_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT12_OFFSET                                             0x00000684
#define HSOTG_HCSPLT12_TYPE                                               UInt32
#define HSOTG_HCSPLT12_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT12_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT12_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT12_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT12_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT12_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT12_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT12_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT12_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT12_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT12_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT12_OFFSET                                              0x00000688
#define HSOTG_HCINT12_TYPE                                                UInt32
#define HSOTG_HCINT12_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT12_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT12_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT12_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT12_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT12_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT12_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT12_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT12_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT12_NYET_SHIFT                                       6
#define    HSOTG_HCINT12_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT12_ACK_SHIFT                                        5
#define    HSOTG_HCINT12_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT12_NAK_SHIFT                                        4
#define    HSOTG_HCINT12_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT12_STALL_SHIFT                                      3
#define    HSOTG_HCINT12_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT12_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT12_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT12_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT12_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT12_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT12_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK12_OFFSET                                           0x0000068C
#define HSOTG_HCINTMSK12_TYPE                                             UInt32
#define HSOTG_HCINTMSK12_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK12_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK12_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK12_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK12_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK12_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK12_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK12_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK12_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK12_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK12_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK12_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK12_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK12_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK12_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK12_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK12_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK12_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK12_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK12_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK12_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK12_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK12_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ12_OFFSET                                             0x00000690
#define HSOTG_HCTSIZ12_TYPE                                               UInt32
#define HSOTG_HCTSIZ12_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ12_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ12_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ12_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ12_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ12_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ12_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ12_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ12_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA12_OFFSET                                              0x00000694
#define HSOTG_HCDMA12_TYPE                                                UInt32
#define HSOTG_HCDMA12_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA12_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA12_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB12_OFFSET                                             0x0000069C
#define HSOTG_HCDMAB12_TYPE                                               UInt32
#define HSOTG_HCDMAB12_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB12_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB12_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_HCCHAR13_OFFSET                                             0x000006A0
#define HSOTG_HCCHAR13_TYPE                                               UInt32
#define HSOTG_HCCHAR13_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR13_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR13_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR13_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR13_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR13_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR13_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR13_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR13_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR13_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR13_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR13_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR13_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR13_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR13_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR13_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR13_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR13_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR13_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR13_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR13_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT13_OFFSET                                             0x000006A4
#define HSOTG_HCSPLT13_TYPE                                               UInt32
#define HSOTG_HCSPLT13_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT13_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT13_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT13_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT13_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT13_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT13_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT13_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT13_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT13_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT13_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT13_OFFSET                                              0x000006A8
#define HSOTG_HCINT13_TYPE                                                UInt32
#define HSOTG_HCINT13_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT13_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT13_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT13_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT13_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT13_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT13_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT13_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT13_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT13_NYET_SHIFT                                       6
#define    HSOTG_HCINT13_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT13_ACK_SHIFT                                        5
#define    HSOTG_HCINT13_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT13_NAK_SHIFT                                        4
#define    HSOTG_HCINT13_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT13_STALL_SHIFT                                      3
#define    HSOTG_HCINT13_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT13_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT13_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT13_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT13_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT13_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT13_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK13_OFFSET                                           0x000006AC
#define HSOTG_HCINTMSK13_TYPE                                             UInt32
#define HSOTG_HCINTMSK13_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK13_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK13_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK13_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK13_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK13_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK13_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK13_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK13_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK13_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK13_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK13_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK13_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK13_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK13_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK13_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK13_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK13_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK13_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK13_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK13_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK13_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK13_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ13_OFFSET                                             0x000006B0
#define HSOTG_HCTSIZ13_TYPE                                               UInt32
#define HSOTG_HCTSIZ13_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ13_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ13_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ13_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ13_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ13_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ13_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ13_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ13_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA13_OFFSET                                              0x000006B4
#define HSOTG_HCDMA13_TYPE                                                UInt32
#define HSOTG_HCDMA13_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA13_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA13_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB13_OFFSET                                             0x000006BC
#define HSOTG_HCDMAB13_TYPE                                               UInt32
#define HSOTG_HCDMAB13_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB13_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB13_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_HCCHAR14_OFFSET                                             0x000006C0
#define HSOTG_HCCHAR14_TYPE                                               UInt32
#define HSOTG_HCCHAR14_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR14_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR14_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR14_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR14_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR14_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR14_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR14_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR14_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR14_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR14_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR14_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR14_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR14_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR14_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR14_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR14_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR14_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR14_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR14_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR14_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT14_OFFSET                                             0x000006C4
#define HSOTG_HCSPLT14_TYPE                                               UInt32
#define HSOTG_HCSPLT14_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT14_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT14_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT14_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT14_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT14_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT14_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT14_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT14_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT14_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT14_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT14_OFFSET                                              0x000006C8
#define HSOTG_HCINT14_TYPE                                                UInt32
#define HSOTG_HCINT14_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT14_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT14_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT14_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT14_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT14_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT14_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT14_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT14_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT14_NYET_SHIFT                                       6
#define    HSOTG_HCINT14_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT14_ACK_SHIFT                                        5
#define    HSOTG_HCINT14_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT14_NAK_SHIFT                                        4
#define    HSOTG_HCINT14_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT14_STALL_SHIFT                                      3
#define    HSOTG_HCINT14_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT14_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT14_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT14_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT14_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT14_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT14_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK14_OFFSET                                           0x000006CC
#define HSOTG_HCINTMSK14_TYPE                                             UInt32
#define HSOTG_HCINTMSK14_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK14_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK14_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK14_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK14_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK14_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK14_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK14_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK14_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK14_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK14_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK14_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK14_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK14_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK14_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK14_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK14_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK14_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK14_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK14_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK14_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK14_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK14_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ14_OFFSET                                             0x000006D0
#define HSOTG_HCTSIZ14_TYPE                                               UInt32
#define HSOTG_HCTSIZ14_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ14_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ14_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ14_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ14_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ14_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ14_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ14_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ14_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA14_OFFSET                                              0x000006D4
#define HSOTG_HCDMA14_TYPE                                                UInt32
#define HSOTG_HCDMA14_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA14_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA14_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB14_OFFSET                                             0x000006DC
#define HSOTG_HCDMAB14_TYPE                                               UInt32
#define HSOTG_HCDMAB14_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB14_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB14_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_HCCHAR15_OFFSET                                             0x000006E0
#define HSOTG_HCCHAR15_TYPE                                               UInt32
#define HSOTG_HCCHAR15_RESERVED_MASK                                      0x00010000
#define    HSOTG_HCCHAR15_CHENA_SHIFT                                     31
#define    HSOTG_HCCHAR15_CHENA_MASK                                      0x80000000
#define    HSOTG_HCCHAR15_CHDIS_SHIFT                                     30
#define    HSOTG_HCCHAR15_CHDIS_MASK                                      0x40000000
#define    HSOTG_HCCHAR15_ODDFRM_SHIFT                                    29
#define    HSOTG_HCCHAR15_ODDFRM_MASK                                     0x20000000
#define    HSOTG_HCCHAR15_DEVADDR_SHIFT                                   22
#define    HSOTG_HCCHAR15_DEVADDR_MASK                                    0x1FC00000
#define    HSOTG_HCCHAR15_MCEC_SHIFT                                      20
#define    HSOTG_HCCHAR15_MCEC_MASK                                       0x00300000
#define    HSOTG_HCCHAR15_EPTYPE_SHIFT                                    18
#define    HSOTG_HCCHAR15_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_HCCHAR15_LSPDDEV_SHIFT                                   17
#define    HSOTG_HCCHAR15_LSPDDEV_MASK                                    0x00020000
#define    HSOTG_HCCHAR15_EPDIR_SHIFT                                     15
#define    HSOTG_HCCHAR15_EPDIR_MASK                                      0x00008000
#define    HSOTG_HCCHAR15_EPNUM_SHIFT                                     11
#define    HSOTG_HCCHAR15_EPNUM_MASK                                      0x00007800
#define    HSOTG_HCCHAR15_MPS_SHIFT                                       0
#define    HSOTG_HCCHAR15_MPS_MASK                                        0x000007FF

#define HSOTG_HCSPLT15_OFFSET                                             0x000006E4
#define HSOTG_HCSPLT15_TYPE                                               UInt32
#define HSOTG_HCSPLT15_RESERVED_MASK                                      0x7FFE0000
#define    HSOTG_HCSPLT15_SPLTENA_SHIFT                                   31
#define    HSOTG_HCSPLT15_SPLTENA_MASK                                    0x80000000
#define    HSOTG_HCSPLT15_COMPSPLT_SHIFT                                  16
#define    HSOTG_HCSPLT15_COMPSPLT_MASK                                   0x00010000
#define    HSOTG_HCSPLT15_XACTPOS_SHIFT                                   14
#define    HSOTG_HCSPLT15_XACTPOS_MASK                                    0x0000C000
#define    HSOTG_HCSPLT15_HUBADDR_SHIFT                                   7
#define    HSOTG_HCSPLT15_HUBADDR_MASK                                    0x00003F80
#define    HSOTG_HCSPLT15_PRTADDR_SHIFT                                   0
#define    HSOTG_HCSPLT15_PRTADDR_MASK                                    0x0000007F

#define HSOTG_HCINT15_OFFSET                                              0x000006E8
#define HSOTG_HCINT15_TYPE                                                UInt32
#define HSOTG_HCINT15_RESERVED_MASK                                       0xFFFFF800
#define    HSOTG_HCINT15_DATATGLERR_SHIFT                                 10
#define    HSOTG_HCINT15_DATATGLERR_MASK                                  0x00000400
#define    HSOTG_HCINT15_FRMOVRUN_SHIFT                                   9
#define    HSOTG_HCINT15_FRMOVRUN_MASK                                    0x00000200
#define    HSOTG_HCINT15_BBLERR_SHIFT                                     8
#define    HSOTG_HCINT15_BBLERR_MASK                                      0x00000100
#define    HSOTG_HCINT15_XACTERR_SHIFT                                    7
#define    HSOTG_HCINT15_XACTERR_MASK                                     0x00000080
#define    HSOTG_HCINT15_NYET_SHIFT                                       6
#define    HSOTG_HCINT15_NYET_MASK                                        0x00000040
#define    HSOTG_HCINT15_ACK_SHIFT                                        5
#define    HSOTG_HCINT15_ACK_MASK                                         0x00000020
#define    HSOTG_HCINT15_NAK_SHIFT                                        4
#define    HSOTG_HCINT15_NAK_MASK                                         0x00000010
#define    HSOTG_HCINT15_STALL_SHIFT                                      3
#define    HSOTG_HCINT15_STALL_MASK                                       0x00000008
#define    HSOTG_HCINT15_AHBERR_SHIFT                                     2
#define    HSOTG_HCINT15_AHBERR_MASK                                      0x00000004
#define    HSOTG_HCINT15_CHHLTD_SHIFT                                     1
#define    HSOTG_HCINT15_CHHLTD_MASK                                      0x00000002
#define    HSOTG_HCINT15_XFERCOMPL_SHIFT                                  0
#define    HSOTG_HCINT15_XFERCOMPL_MASK                                   0x00000001

#define HSOTG_HCINTMSK15_OFFSET                                           0x000006EC
#define HSOTG_HCINTMSK15_TYPE                                             UInt32
#define HSOTG_HCINTMSK15_RESERVED_MASK                                    0xFFFFF800
#define    HSOTG_HCINTMSK15_DATATGLERRMSK_SHIFT                           10
#define    HSOTG_HCINTMSK15_DATATGLERRMSK_MASK                            0x00000400
#define    HSOTG_HCINTMSK15_FRMOVRUNMSK_SHIFT                             9
#define    HSOTG_HCINTMSK15_FRMOVRUNMSK_MASK                              0x00000200
#define    HSOTG_HCINTMSK15_BBLERRMSK_SHIFT                               8
#define    HSOTG_HCINTMSK15_BBLERRMSK_MASK                                0x00000100
#define    HSOTG_HCINTMSK15_XACTERRMSK_SHIFT                              7
#define    HSOTG_HCINTMSK15_XACTERRMSK_MASK                               0x00000080
#define    HSOTG_HCINTMSK15_NYETMSK_SHIFT                                 6
#define    HSOTG_HCINTMSK15_NYETMSK_MASK                                  0x00000040
#define    HSOTG_HCINTMSK15_ACKMSK_SHIFT                                  5
#define    HSOTG_HCINTMSK15_ACKMSK_MASK                                   0x00000020
#define    HSOTG_HCINTMSK15_NAKMSK_SHIFT                                  4
#define    HSOTG_HCINTMSK15_NAKMSK_MASK                                   0x00000010
#define    HSOTG_HCINTMSK15_STALLMSK_SHIFT                                3
#define    HSOTG_HCINTMSK15_STALLMSK_MASK                                 0x00000008
#define    HSOTG_HCINTMSK15_AHBERRMSK_SHIFT                               2
#define    HSOTG_HCINTMSK15_AHBERRMSK_MASK                                0x00000004
#define    HSOTG_HCINTMSK15_CHHLTDMSK_SHIFT                               1
#define    HSOTG_HCINTMSK15_CHHLTDMSK_MASK                                0x00000002
#define    HSOTG_HCINTMSK15_XFERCOMPLMSK_SHIFT                            0
#define    HSOTG_HCINTMSK15_XFERCOMPLMSK_MASK                             0x00000001

#define HSOTG_HCTSIZ15_OFFSET                                             0x000006F0
#define HSOTG_HCTSIZ15_TYPE                                               UInt32
#define HSOTG_HCTSIZ15_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCTSIZ15_DOPNG_SHIFT                                     31
#define    HSOTG_HCTSIZ15_DOPNG_MASK                                      0x80000000
#define    HSOTG_HCTSIZ15_PID_SHIFT                                       29
#define    HSOTG_HCTSIZ15_PID_MASK                                        0x60000000
#define    HSOTG_HCTSIZ15_PKTCNT_SHIFT                                    19
#define    HSOTG_HCTSIZ15_PKTCNT_MASK                                     0x1FF80000
#define    HSOTG_HCTSIZ15_XFERSIZE_SHIFT                                  0
#define    HSOTG_HCTSIZ15_XFERSIZE_MASK                                   0x0007FFFF

#define HSOTG_HCDMA15_OFFSET                                              0x000006F4
#define HSOTG_HCDMA15_TYPE                                                UInt32
#define HSOTG_HCDMA15_RESERVED_MASK                                       0x00000000
#define    HSOTG_HCDMA15_DMAADDR_SHIFT                                    0
#define    HSOTG_HCDMA15_DMAADDR_MASK                                     0xFFFFFFFF

#define HSOTG_HCDMAB15_OFFSET                                             0x000006FC
#define HSOTG_HCDMAB15_TYPE                                               UInt32
#define HSOTG_HCDMAB15_RESERVED_MASK                                      0x00000000
#define    HSOTG_HCDMAB15_DMAADDR_SHIFT                                   0
#define    HSOTG_HCDMAB15_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DCFG_OFFSET                                                 0x00000800
#define HSOTG_DCFG_TYPE                                                   UInt32
#define HSOTG_DCFG_RESERVED_MASK                                          0xFC03E008
#define    HSOTG_DCFG_PERSCHINTVL_SHIFT                                   24
#define    HSOTG_DCFG_PERSCHINTVL_MASK                                    0x03000000
#define    HSOTG_DCFG_DESCDMA_SHIFT                                       23
#define    HSOTG_DCFG_DESCDMA_MASK                                        0x00800000
#define    HSOTG_DCFG_EPMISCNT_SHIFT                                      18
#define    HSOTG_DCFG_EPMISCNT_MASK                                       0x007C0000
#define    HSOTG_DCFG_PERFRINT_SHIFT                                      11
#define    HSOTG_DCFG_PERFRINT_MASK                                       0x00001800
#define    HSOTG_DCFG_DEVADDR_SHIFT                                       4
#define    HSOTG_DCFG_DEVADDR_MASK                                        0x000007F0
#define    HSOTG_DCFG_NZSTSOUTHSHK_SHIFT                                  2
#define    HSOTG_DCFG_NZSTSOUTHSHK_MASK                                   0x00000004
#define    HSOTG_DCFG_DEVSPD_SHIFT                                        0
#define    HSOTG_DCFG_DEVSPD_MASK                                         0x00000003

#define HSOTG_DCTL_OFFSET                                                 0x00000804
#define HSOTG_DCTL_TYPE                                                   UInt32
#define HSOTG_DCTL_RESERVED_MASK                                          0xFFFE1000
#define    HSOTG_DCTL_NAKONBBLE_SHIFT                                     16
#define    HSOTG_DCTL_NAKONBBLE_MASK                                      0x00010000
#define    HSOTG_DCTL_IGNRFRMNUM_SHIFT                                    15
#define    HSOTG_DCTL_IGNRFRMNUM_MASK                                     0x00008000
#define    HSOTG_DCTL_GMC_SHIFT                                           13
#define    HSOTG_DCTL_GMC_MASK                                            0x00006000
#define    HSOTG_DCTL_PWRONPRGDONE_SHIFT                                  11
#define    HSOTG_DCTL_PWRONPRGDONE_MASK                                   0x00000800
#define    HSOTG_DCTL_CGOUTNAK_SHIFT                                      10
#define    HSOTG_DCTL_CGOUTNAK_MASK                                       0x00000400
#define    HSOTG_DCTL_SGOUTNAK_SHIFT                                      9
#define    HSOTG_DCTL_SGOUTNAK_MASK                                       0x00000200
#define    HSOTG_DCTL_CGNPINNAK_SHIFT                                     8
#define    HSOTG_DCTL_CGNPINNAK_MASK                                      0x00000100
#define    HSOTG_DCTL_SGNPINNAK_SHIFT                                     7
#define    HSOTG_DCTL_SGNPINNAK_MASK                                      0x00000080
#define    HSOTG_DCTL_TSTCTL_SHIFT                                        4
#define    HSOTG_DCTL_TSTCTL_MASK                                         0x00000070
#define    HSOTG_DCTL_GOUTNAKSTS_SHIFT                                    3
#define    HSOTG_DCTL_GOUTNAKSTS_MASK                                     0x00000008
#define    HSOTG_DCTL_GNPINNAKSTS_SHIFT                                   2
#define    HSOTG_DCTL_GNPINNAKSTS_MASK                                    0x00000004
#define    HSOTG_DCTL_SFTDISCON_SHIFT                                     1
#define    HSOTG_DCTL_SFTDISCON_MASK                                      0x00000002
#define    HSOTG_DCTL_RMTWKUPSIG_SHIFT                                    0
#define    HSOTG_DCTL_RMTWKUPSIG_MASK                                     0x00000001

#define HSOTG_DSTS_OFFSET                                                 0x00000808
#define HSOTG_DSTS_TYPE                                                   UInt32
#define HSOTG_DSTS_RESERVED_MASK                                          0xFFC000F0
#define    HSOTG_DSTS_SOFFN_SHIFT                                         8
#define    HSOTG_DSTS_SOFFN_MASK                                          0x003FFF00
#define    HSOTG_DSTS_ERRTICERR_SHIFT                                     3
#define    HSOTG_DSTS_ERRTICERR_MASK                                      0x00000008
#define    HSOTG_DSTS_ENUMSPD_SHIFT                                       1
#define    HSOTG_DSTS_ENUMSPD_MASK                                        0x00000006
#define    HSOTG_DSTS_SUSPSTS_SHIFT                                       0
#define    HSOTG_DSTS_SUSPSTS_MASK                                        0x00000001

#define HSOTG_DIEPMSK_OFFSET                                              0x00000810
#define HSOTG_DIEPMSK_TYPE                                                UInt32
#define HSOTG_DIEPMSK_RESERVED_MASK                                       0xFFFFFE80
#define    HSOTG_DIEPMSK_TXFIFOUNDRNMSK_SHIFT                             8
#define    HSOTG_DIEPMSK_TXFIFOUNDRNMSK_MASK                              0x00000100
#define    HSOTG_DIEPMSK_INEPNAKEFFMSK_SHIFT                              6
#define    HSOTG_DIEPMSK_INEPNAKEFFMSK_MASK                               0x00000040
#define    HSOTG_DIEPMSK_INTKNEPMISMSK_SHIFT                              5
#define    HSOTG_DIEPMSK_INTKNEPMISMSK_MASK                               0x00000020
#define    HSOTG_DIEPMSK_INTKNTXFEMPMSK_SHIFT                             4
#define    HSOTG_DIEPMSK_INTKNTXFEMPMSK_MASK                              0x00000010
#define    HSOTG_DIEPMSK_TIMEOUTMSK_SHIFT                                 3
#define    HSOTG_DIEPMSK_TIMEOUTMSK_MASK                                  0x00000008
#define    HSOTG_DIEPMSK_AHBERRMSK_SHIFT                                  2
#define    HSOTG_DIEPMSK_AHBERRMSK_MASK                                   0x00000004
#define    HSOTG_DIEPMSK_EPDISBLDMSK_SHIFT                                1
#define    HSOTG_DIEPMSK_EPDISBLDMSK_MASK                                 0x00000002
#define    HSOTG_DIEPMSK_XFERCOMPLMSK_SHIFT                               0
#define    HSOTG_DIEPMSK_XFERCOMPLMSK_MASK                                0x00000001

#define HSOTG_DOEPMSK_OFFSET                                              0x00000814
#define HSOTG_DOEPMSK_TYPE                                                UInt32
#define HSOTG_DOEPMSK_RESERVED_MASK                                       0xFFFFFEA0
#define    HSOTG_DOEPMSK_OUTPKTERRMSK_SHIFT                               8
#define    HSOTG_DOEPMSK_OUTPKTERRMSK_MASK                                0x00000100
#define    HSOTG_DOEPMSK_BACK2BACKSETUP_SHIFT                             6
#define    HSOTG_DOEPMSK_BACK2BACKSETUP_MASK                              0x00000040
#define    HSOTG_DOEPMSK_OUTTKNEPDISMSK_SHIFT                             4
#define    HSOTG_DOEPMSK_OUTTKNEPDISMSK_MASK                              0x00000010
#define    HSOTG_DOEPMSK_SETUPMSK_SHIFT                                   3
#define    HSOTG_DOEPMSK_SETUPMSK_MASK                                    0x00000008
#define    HSOTG_DOEPMSK_AHBERRMSK_SHIFT                                  2
#define    HSOTG_DOEPMSK_AHBERRMSK_MASK                                   0x00000004
#define    HSOTG_DOEPMSK_EPDISBLDMSK_SHIFT                                1
#define    HSOTG_DOEPMSK_EPDISBLDMSK_MASK                                 0x00000002
#define    HSOTG_DOEPMSK_XFERCOMPLMSK_SHIFT                               0
#define    HSOTG_DOEPMSK_XFERCOMPLMSK_MASK                                0x00000001

#define HSOTG_DAINT_OFFSET                                                0x00000818
#define HSOTG_DAINT_TYPE                                                  UInt32
#define HSOTG_DAINT_RESERVED_MASK                                         0x00000000
#define    HSOTG_DAINT_OUTEPINT_SHIFT                                     16
#define    HSOTG_DAINT_OUTEPINT_MASK                                      0xFFFF0000
#define    HSOTG_DAINT_INEPINT_SHIFT                                      0
#define    HSOTG_DAINT_INEPINT_MASK                                       0x0000FFFF

#define HSOTG_DAINTMSK_OFFSET                                             0x0000081C
#define HSOTG_DAINTMSK_TYPE                                               UInt32
#define HSOTG_DAINTMSK_RESERVED_MASK                                      0x00000000
#define    HSOTG_DAINTMSK_OUTEPMSK_SHIFT                                  16
#define    HSOTG_DAINTMSK_OUTEPMSK_MASK                                   0xFFFF0000
#define    HSOTG_DAINTMSK_INEPMSK_SHIFT                                   0
#define    HSOTG_DAINTMSK_INEPMSK_MASK                                    0x0000FFFF

#define HSOTG_DTKNQR1_OFFSET                                              0x00000820
#define HSOTG_DTKNQR1_TYPE                                                UInt32
#define HSOTG_DTKNQR1_RESERVED_MASK                                       0x00000060
#define    HSOTG_DTKNQR1_EPTKN_SHIFT                                      8
#define    HSOTG_DTKNQR1_EPTKN_MASK                                       0xFFFFFF00
#define    HSOTG_DTKNQR1_WRAPBIT_SHIFT                                    7
#define    HSOTG_DTKNQR1_WRAPBIT_MASK                                     0x00000080
#define    HSOTG_DTKNQR1_INTKNWPTR_SHIFT                                  0
#define    HSOTG_DTKNQR1_INTKNWPTR_MASK                                   0x0000001F

#define HSOTG_DTKNQR2_OFFSET                                              0x00000824
#define HSOTG_DTKNQR2_TYPE                                                UInt32
#define HSOTG_DTKNQR2_RESERVED_MASK                                       0x00000000
#define    HSOTG_DTKNQR2_EPTKN_SHIFT                                      0
#define    HSOTG_DTKNQR2_EPTKN_MASK                                       0xFFFFFFFF

#define HSOTG_DVBUSDIS_OFFSET                                             0x00000828
#define HSOTG_DVBUSDIS_TYPE                                               UInt32
#define HSOTG_DVBUSDIS_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DVBUSDIS_DVBUSDIS_SHIFT                                  0
#define    HSOTG_DVBUSDIS_DVBUSDIS_MASK                                   0x0000FFFF

#define HSOTG_DVBUSPULSE_OFFSET                                           0x0000082C
#define HSOTG_DVBUSPULSE_TYPE                                             UInt32
#define HSOTG_DVBUSPULSE_RESERVED_MASK                                    0xFFFFF000
#define    HSOTG_DVBUSPULSE_DVBUSPULSE_SHIFT                              0
#define    HSOTG_DVBUSPULSE_DVBUSPULSE_MASK                               0x00000FFF

#define HSOTG_DTHRCTL_OFFSET                                              0x00000830
#define HSOTG_DTHRCTL_TYPE                                                UInt32
#define HSOTG_DTHRCTL_RESERVED_MASK                                       0xF000F800
#define    HSOTG_DTHRCTL_ARBPRKEN_SHIFT                                   27
#define    HSOTG_DTHRCTL_ARBPRKEN_MASK                                    0x08000000
#define    HSOTG_DTHRCTL_RSVD_SHIFT                                       26
#define    HSOTG_DTHRCTL_RSVD_MASK                                        0x04000000
#define    HSOTG_DTHRCTL_RXTHRLEN_SHIFT                                   17
#define    HSOTG_DTHRCTL_RXTHRLEN_MASK                                    0x03FE0000
#define    HSOTG_DTHRCTL_RXTHREN_SHIFT                                    16
#define    HSOTG_DTHRCTL_RXTHREN_MASK                                     0x00010000
#define    HSOTG_DTHRCTL_TXTHRLEN_SHIFT                                   2
#define    HSOTG_DTHRCTL_TXTHRLEN_MASK                                    0x000007FC
#define    HSOTG_DTHRCTL_ISOTHREN_SHIFT                                   1
#define    HSOTG_DTHRCTL_ISOTHREN_MASK                                    0x00000002
#define    HSOTG_DTHRCTL_NONISOTHREN_SHIFT                                0
#define    HSOTG_DTHRCTL_NONISOTHREN_MASK                                 0x00000001

#define HSOTG_DIEPEMPMSK_OFFSET                                           0x00000834
#define HSOTG_DIEPEMPMSK_TYPE                                             UInt32
#define HSOTG_DIEPEMPMSK_RESERVED_MASK                                    0xFFFF0000
#define    HSOTG_DIEPEMPMSK_INEPTXFEMPMSK_SHIFT                           0
#define    HSOTG_DIEPEMPMSK_INEPTXFEMPMSK_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL0_OFFSET                                             0x00000900
#define HSOTG_DIEPCTL0_TYPE                                               UInt32
#define HSOTG_DIEPCTL0_RESERVED_MASK                                      0x301107FC
#define    HSOTG_DIEPCTL0_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL0_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL0_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL0_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL0_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL0_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL0_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL0_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL0_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL0_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL0_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL0_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL0_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL0_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL0_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL0_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL0_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL0_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL0_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL0_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL0_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL0_MPS_MASK                                        0x00000003

#define HSOTG_DIEPINT0_OFFSET                                             0x00000908
#define HSOTG_DIEPINT0_TYPE                                               UInt32
#define HSOTG_DIEPINT0_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT0_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT0_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT0_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT0_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT0_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT0_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT0_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT0_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT0_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT0_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT0_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT0_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT0_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT0_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT0_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT0_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT0_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT0_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT0_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT0_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT0_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT0_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT0_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT0_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT0_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT0_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT0_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT0_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ0_OFFSET                                            0x00000910
#define HSOTG_DIEPTSIZ0_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ0_RESERVED_MASK                                     0xFFE7FF80
#define    HSOTG_DIEPTSIZ0_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ0_PKTCNT_MASK                                    0x00180000
#define    HSOTG_DIEPTSIZ0_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ0_XFERSIZE_MASK                                  0x0000007F

#define HSOTG_DIEPDMA0_OFFSET                                             0x00000914
#define HSOTG_DIEPDMA0_TYPE                                               UInt32
#define HSOTG_DIEPDMA0_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA0_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA0_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS0_OFFSET                                             0x00000918
#define HSOTG_DTXFSTS0_TYPE                                               UInt32
#define HSOTG_DTXFSTS0_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS0_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS0_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL1_OFFSET                                             0x00000920
#define HSOTG_DIEPCTL1_TYPE                                               UInt32
#define HSOTG_DIEPCTL1_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL1_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL1_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL1_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL1_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL1_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL1_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL1_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL1_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL1_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL1_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL1_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL1_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL1_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL1_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL1_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL1_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL1_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL1_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL1_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL1_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL1_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL1_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL1_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL1_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL1_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL1_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL1_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL1_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL1_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL1_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT1_OFFSET                                             0x00000928
#define HSOTG_DIEPINT1_TYPE                                               UInt32
#define HSOTG_DIEPINT1_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT1_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT1_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT1_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT1_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT1_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT1_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT1_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT1_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT1_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT1_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT1_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT1_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT1_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT1_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT1_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT1_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT1_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT1_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT1_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT1_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT1_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT1_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT1_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT1_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT1_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT1_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT1_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT1_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ1_OFFSET                                            0x00000930
#define HSOTG_DIEPTSIZ1_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ1_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ1_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ1_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ1_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ1_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ1_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ1_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA1_OFFSET                                             0x00000934
#define HSOTG_DIEPDMA1_TYPE                                               UInt32
#define HSOTG_DIEPDMA1_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA1_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA1_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS1_OFFSET                                             0x00000938
#define HSOTG_DTXFSTS1_TYPE                                               UInt32
#define HSOTG_DTXFSTS1_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS1_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS1_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL2_OFFSET                                             0x00000940
#define HSOTG_DIEPCTL2_TYPE                                               UInt32
#define HSOTG_DIEPCTL2_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL2_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL2_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL2_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL2_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL2_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL2_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL2_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL2_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL2_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL2_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL2_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL2_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL2_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL2_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL2_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL2_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL2_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL2_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL2_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL2_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL2_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL2_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL2_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL2_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL2_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL2_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL2_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL2_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL2_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL2_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT2_OFFSET                                             0x00000948
#define HSOTG_DIEPINT2_TYPE                                               UInt32
#define HSOTG_DIEPINT2_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT2_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT2_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT2_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT2_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT2_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT2_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT2_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT2_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT2_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT2_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT2_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT2_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT2_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT2_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT2_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT2_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT2_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT2_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT2_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT2_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT2_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT2_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT2_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT2_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT2_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT2_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT2_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT2_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ2_OFFSET                                            0x00000950
#define HSOTG_DIEPTSIZ2_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ2_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ2_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ2_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ2_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ2_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ2_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ2_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA2_OFFSET                                             0x00000954
#define HSOTG_DIEPDMA2_TYPE                                               UInt32
#define HSOTG_DIEPDMA2_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA2_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA2_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS2_OFFSET                                             0x00000958
#define HSOTG_DTXFSTS2_TYPE                                               UInt32
#define HSOTG_DTXFSTS2_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS2_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS2_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL3_OFFSET                                             0x00000960
#define HSOTG_DIEPCTL3_TYPE                                               UInt32
#define HSOTG_DIEPCTL3_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL3_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL3_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL3_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL3_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL3_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL3_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL3_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL3_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL3_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL3_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL3_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL3_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL3_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL3_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL3_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL3_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL3_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL3_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL3_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL3_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL3_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL3_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL3_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL3_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL3_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL3_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL3_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL3_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL3_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL3_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT3_OFFSET                                             0x00000968
#define HSOTG_DIEPINT3_TYPE                                               UInt32
#define HSOTG_DIEPINT3_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT3_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT3_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT3_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT3_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT3_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT3_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT3_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT3_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT3_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT3_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT3_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT3_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT3_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT3_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT3_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT3_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT3_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT3_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT3_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT3_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT3_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT3_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT3_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT3_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT3_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT3_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT3_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT3_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ3_OFFSET                                            0x00000970
#define HSOTG_DIEPTSIZ3_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ3_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ3_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ3_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ3_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ3_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ3_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ3_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA3_OFFSET                                             0x00000974
#define HSOTG_DIEPDMA3_TYPE                                               UInt32
#define HSOTG_DIEPDMA3_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA3_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA3_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS3_OFFSET                                             0x00000978
#define HSOTG_DTXFSTS3_TYPE                                               UInt32
#define HSOTG_DTXFSTS3_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS3_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS3_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL4_OFFSET                                             0x00000980
#define HSOTG_DIEPCTL4_TYPE                                               UInt32
#define HSOTG_DIEPCTL4_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL4_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL4_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL4_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL4_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL4_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL4_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL4_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL4_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL4_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL4_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL4_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL4_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL4_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL4_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL4_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL4_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL4_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL4_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL4_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL4_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL4_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL4_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL4_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL4_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL4_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL4_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL4_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL4_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL4_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL4_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT4_OFFSET                                             0x00000988
#define HSOTG_DIEPINT4_TYPE                                               UInt32
#define HSOTG_DIEPINT4_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT4_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT4_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT4_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT4_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT4_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT4_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT4_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT4_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT4_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT4_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT4_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT4_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT4_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT4_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT4_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT4_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT4_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT4_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT4_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT4_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT4_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT4_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT4_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT4_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT4_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT4_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT4_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT4_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ4_OFFSET                                            0x00000990
#define HSOTG_DIEPTSIZ4_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ4_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ4_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ4_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ4_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ4_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ4_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ4_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA4_OFFSET                                             0x00000994
#define HSOTG_DIEPDMA4_TYPE                                               UInt32
#define HSOTG_DIEPDMA4_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA4_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA4_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS4_OFFSET                                             0x00000998
#define HSOTG_DTXFSTS4_TYPE                                               UInt32
#define HSOTG_DTXFSTS4_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS4_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS4_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL5_OFFSET                                             0x000009A0
#define HSOTG_DIEPCTL5_TYPE                                               UInt32
#define HSOTG_DIEPCTL5_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL5_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL5_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL5_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL5_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL5_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL5_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL5_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL5_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL5_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL5_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL5_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL5_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL5_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL5_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL5_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL5_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL5_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL5_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL5_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL5_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL5_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL5_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL5_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL5_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL5_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL5_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL5_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL5_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL5_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL5_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT5_OFFSET                                             0x000009A8
#define HSOTG_DIEPINT5_TYPE                                               UInt32
#define HSOTG_DIEPINT5_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT5_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT5_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT5_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT5_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT5_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT5_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT5_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT5_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT5_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT5_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT5_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT5_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT5_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT5_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT5_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT5_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT5_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT5_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT5_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT5_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT5_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT5_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT5_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT5_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT5_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT5_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT5_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT5_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ5_OFFSET                                            0x000009B0
#define HSOTG_DIEPTSIZ5_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ5_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ5_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ5_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ5_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ5_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ5_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ5_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA5_OFFSET                                             0x000009B4
#define HSOTG_DIEPDMA5_TYPE                                               UInt32
#define HSOTG_DIEPDMA5_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA5_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA5_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS5_OFFSET                                             0x000009B8
#define HSOTG_DTXFSTS5_TYPE                                               UInt32
#define HSOTG_DTXFSTS5_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS5_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS5_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL6_OFFSET                                             0x000009C0
#define HSOTG_DIEPCTL6_TYPE                                               UInt32
#define HSOTG_DIEPCTL6_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL6_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL6_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL6_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL6_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL6_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL6_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL6_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL6_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL6_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL6_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL6_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL6_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL6_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL6_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL6_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL6_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL6_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL6_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL6_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL6_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL6_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL6_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL6_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL6_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL6_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL6_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL6_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL6_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL6_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL6_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT6_OFFSET                                             0x000009C8
#define HSOTG_DIEPINT6_TYPE                                               UInt32
#define HSOTG_DIEPINT6_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT6_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT6_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT6_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT6_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT6_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT6_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT6_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT6_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT6_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT6_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT6_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT6_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT6_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT6_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT6_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT6_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT6_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT6_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT6_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT6_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT6_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT6_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT6_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT6_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT6_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT6_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT6_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT6_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ6_OFFSET                                            0x000009D0
#define HSOTG_DIEPTSIZ6_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ6_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ6_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ6_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ6_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ6_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ6_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ6_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA6_OFFSET                                             0x000009D4
#define HSOTG_DIEPDMA6_TYPE                                               UInt32
#define HSOTG_DIEPDMA6_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA6_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA6_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS6_OFFSET                                             0x000009D8
#define HSOTG_DTXFSTS6_TYPE                                               UInt32
#define HSOTG_DTXFSTS6_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS6_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS6_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL7_OFFSET                                             0x000009E0
#define HSOTG_DIEPCTL7_TYPE                                               UInt32
#define HSOTG_DIEPCTL7_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL7_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL7_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL7_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL7_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL7_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL7_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL7_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL7_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL7_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL7_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL7_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL7_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL7_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL7_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL7_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL7_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL7_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL7_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL7_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL7_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL7_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL7_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL7_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL7_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL7_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL7_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL7_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL7_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL7_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL7_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT7_OFFSET                                             0x000009E8
#define HSOTG_DIEPINT7_TYPE                                               UInt32
#define HSOTG_DIEPINT7_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT7_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT7_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT7_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT7_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT7_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT7_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT7_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT7_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT7_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT7_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT7_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT7_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT7_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT7_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT7_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT7_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT7_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT7_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT7_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT7_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT7_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT7_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT7_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT7_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT7_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT7_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT7_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT7_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ7_OFFSET                                            0x000009F0
#define HSOTG_DIEPTSIZ7_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ7_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ7_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ7_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ7_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ7_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ7_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ7_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA7_OFFSET                                             0x000009F4
#define HSOTG_DIEPDMA7_TYPE                                               UInt32
#define HSOTG_DIEPDMA7_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA7_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA7_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS7_OFFSET                                             0x000009F8
#define HSOTG_DTXFSTS7_TYPE                                               UInt32
#define HSOTG_DTXFSTS7_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS7_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS7_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL8_OFFSET                                             0x00000A00
#define HSOTG_DIEPCTL8_TYPE                                               UInt32
#define HSOTG_DIEPCTL8_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL8_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL8_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL8_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL8_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL8_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL8_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL8_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL8_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL8_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL8_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL8_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL8_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL8_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL8_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL8_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL8_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL8_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL8_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL8_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL8_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL8_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL8_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL8_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL8_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL8_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL8_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL8_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL8_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL8_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL8_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT8_OFFSET                                             0x00000A08
#define HSOTG_DIEPINT8_TYPE                                               UInt32
#define HSOTG_DIEPINT8_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT8_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT8_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT8_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT8_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT8_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT8_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT8_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT8_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT8_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT8_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT8_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT8_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT8_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT8_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT8_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT8_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT8_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT8_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT8_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT8_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT8_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT8_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT8_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT8_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT8_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT8_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT8_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT8_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ8_OFFSET                                            0x00000A10
#define HSOTG_DIEPTSIZ8_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ8_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ8_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ8_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ8_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ8_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ8_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ8_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA8_OFFSET                                             0x00000A14
#define HSOTG_DIEPDMA8_TYPE                                               UInt32
#define HSOTG_DIEPDMA8_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA8_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA8_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS8_OFFSET                                             0x00000A18
#define HSOTG_DTXFSTS8_TYPE                                               UInt32
#define HSOTG_DTXFSTS8_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS8_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS8_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL9_OFFSET                                             0x00000A20
#define HSOTG_DIEPCTL9_TYPE                                               UInt32
#define HSOTG_DIEPCTL9_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPCTL9_EPENA_SHIFT                                     31
#define    HSOTG_DIEPCTL9_EPENA_MASK                                      0x80000000
#define    HSOTG_DIEPCTL9_EPDIS_SHIFT                                     30
#define    HSOTG_DIEPCTL9_EPDIS_MASK                                      0x40000000
#define    HSOTG_DIEPCTL9_SETD1PID_SHIFT                                  29
#define    HSOTG_DIEPCTL9_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DIEPCTL9_SETD0PID_SHIFT                                  28
#define    HSOTG_DIEPCTL9_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DIEPCTL9_SNAK_SHIFT                                      27
#define    HSOTG_DIEPCTL9_SNAK_MASK                                       0x08000000
#define    HSOTG_DIEPCTL9_CNAK_SHIFT                                      26
#define    HSOTG_DIEPCTL9_CNAK_MASK                                       0x04000000
#define    HSOTG_DIEPCTL9_TXFNUM_SHIFT                                    22
#define    HSOTG_DIEPCTL9_TXFNUM_MASK                                     0x03C00000
#define    HSOTG_DIEPCTL9_STALL_SHIFT                                     21
#define    HSOTG_DIEPCTL9_STALL_MASK                                      0x00200000
#define    HSOTG_DIEPCTL9_SNP_SHIFT                                       20
#define    HSOTG_DIEPCTL9_SNP_MASK                                        0x00100000
#define    HSOTG_DIEPCTL9_EPTYPE_SHIFT                                    18
#define    HSOTG_DIEPCTL9_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DIEPCTL9_NAKSTS_SHIFT                                    17
#define    HSOTG_DIEPCTL9_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DIEPCTL9_DPID_SHIFT                                      16
#define    HSOTG_DIEPCTL9_DPID_MASK                                       0x00010000
#define    HSOTG_DIEPCTL9_USBACTEP_SHIFT                                  15
#define    HSOTG_DIEPCTL9_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DIEPCTL9_NEXTEP_SHIFT                                    11
#define    HSOTG_DIEPCTL9_NEXTEP_MASK                                     0x00007800
#define    HSOTG_DIEPCTL9_MPS_SHIFT                                       0
#define    HSOTG_DIEPCTL9_MPS_MASK                                        0x000007FF

#define HSOTG_DIEPINT9_OFFSET                                             0x00000A28
#define HSOTG_DIEPINT9_TYPE                                               UInt32
#define HSOTG_DIEPINT9_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DIEPINT9_NYETINTRPT_SHIFT                                14
#define    HSOTG_DIEPINT9_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DIEPINT9_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DIEPINT9_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DIEPINT9_BBLEERRINT_SHIFT                                12
#define    HSOTG_DIEPINT9_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DIEPINT9_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DIEPINT9_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DIEPINT9_BNA_SHIFT                                       9
#define    HSOTG_DIEPINT9_BNA_MASK                                        0x00000200
#define    HSOTG_DIEPINT9_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DIEPINT9_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DIEPINT9_TXFEMP_SHIFT                                    7
#define    HSOTG_DIEPINT9_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DIEPINT9_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DIEPINT9_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DIEPINT9_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DIEPINT9_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DIEPINT9_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DIEPINT9_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DIEPINT9_TIMEOUT_SHIFT                                   3
#define    HSOTG_DIEPINT9_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DIEPINT9_AHBERR_SHIFT                                    2
#define    HSOTG_DIEPINT9_AHBERR_MASK                                     0x00000004
#define    HSOTG_DIEPINT9_EPDISBLD_SHIFT                                  1
#define    HSOTG_DIEPINT9_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DIEPINT9_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DIEPINT9_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DIEPTSIZ9_OFFSET                                            0x00000A30
#define HSOTG_DIEPTSIZ9_TYPE                                              UInt32
#define HSOTG_DIEPTSIZ9_RESERVED_MASK                                     0x80000000
#define    HSOTG_DIEPTSIZ9_MC_SHIFT                                       29
#define    HSOTG_DIEPTSIZ9_MC_MASK                                        0x60000000
#define    HSOTG_DIEPTSIZ9_PKTCNT_SHIFT                                   19
#define    HSOTG_DIEPTSIZ9_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DIEPTSIZ9_XFERSIZE_SHIFT                                 0
#define    HSOTG_DIEPTSIZ9_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DIEPDMA9_OFFSET                                             0x00000A34
#define HSOTG_DIEPDMA9_TYPE                                               UInt32
#define HSOTG_DIEPDMA9_RESERVED_MASK                                      0x00000000
#define    HSOTG_DIEPDMA9_DMAADDR_SHIFT                                   0
#define    HSOTG_DIEPDMA9_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DTXFSTS9_OFFSET                                             0x00000A38
#define HSOTG_DTXFSTS9_TYPE                                               UInt32
#define HSOTG_DTXFSTS9_RESERVED_MASK                                      0xFFFF0000
#define    HSOTG_DTXFSTS9_INEPTXFSPCAVAIL_SHIFT                           0
#define    HSOTG_DTXFSTS9_INEPTXFSPCAVAIL_MASK                            0x0000FFFF

#define HSOTG_DIEPCTL10_OFFSET                                            0x00000A40
#define HSOTG_DIEPCTL10_TYPE                                              UInt32
#define HSOTG_DIEPCTL10_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL10_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL10_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL10_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL10_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL10_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL10_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL10_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL10_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL10_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL10_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL10_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL10_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL10_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL10_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL10_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL10_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL10_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL10_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL10_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL10_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL10_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL10_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL10_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL10_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL10_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL10_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL10_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL10_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL10_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL10_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT10_OFFSET                                            0x00000A48
#define HSOTG_DIEPINT10_TYPE                                              UInt32
#define HSOTG_DIEPINT10_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT10_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT10_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT10_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT10_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT10_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT10_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT10_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT10_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT10_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT10_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT10_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT10_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT10_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT10_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT10_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT10_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT10_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT10_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT10_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT10_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT10_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT10_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT10_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT10_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT10_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT10_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT10_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT10_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ10_OFFSET                                           0x00000A50
#define HSOTG_DIEPTSIZ10_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ10_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ10_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ10_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ10_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ10_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ10_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ10_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA10_OFFSET                                            0x00000A54
#define HSOTG_DIEPDMA10_TYPE                                              UInt32
#define HSOTG_DIEPDMA10_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA10_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA10_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS10_OFFSET                                            0x00000A58
#define HSOTG_DTXFSTS10_TYPE                                              UInt32
#define HSOTG_DTXFSTS10_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS10_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS10_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DIEPCTL11_OFFSET                                            0x00000A60
#define HSOTG_DIEPCTL11_TYPE                                              UInt32
#define HSOTG_DIEPCTL11_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL11_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL11_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL11_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL11_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL11_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL11_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL11_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL11_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL11_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL11_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL11_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL11_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL11_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL11_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL11_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL11_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL11_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL11_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL11_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL11_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL11_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL11_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL11_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL11_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL11_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL11_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL11_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL11_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL11_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL11_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT11_OFFSET                                            0x00000A68
#define HSOTG_DIEPINT11_TYPE                                              UInt32
#define HSOTG_DIEPINT11_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT11_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT11_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT11_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT11_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT11_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT11_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT11_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT11_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT11_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT11_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT11_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT11_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT11_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT11_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT11_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT11_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT11_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT11_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT11_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT11_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT11_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT11_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT11_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT11_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT11_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT11_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT11_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT11_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ11_OFFSET                                           0x00000A70
#define HSOTG_DIEPTSIZ11_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ11_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ11_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ11_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ11_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ11_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ11_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ11_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA11_OFFSET                                            0x00000A74
#define HSOTG_DIEPDMA11_TYPE                                              UInt32
#define HSOTG_DIEPDMA11_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA11_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA11_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS11_OFFSET                                            0x00000A78
#define HSOTG_DTXFSTS11_TYPE                                              UInt32
#define HSOTG_DTXFSTS11_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS11_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS11_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DIEPCTL12_OFFSET                                            0x00000A80
#define HSOTG_DIEPCTL12_TYPE                                              UInt32
#define HSOTG_DIEPCTL12_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL12_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL12_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL12_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL12_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL12_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL12_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL12_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL12_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL12_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL12_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL12_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL12_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL12_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL12_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL12_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL12_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL12_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL12_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL12_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL12_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL12_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL12_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL12_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL12_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL12_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL12_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL12_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL12_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL12_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL12_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT12_OFFSET                                            0x00000A88
#define HSOTG_DIEPINT12_TYPE                                              UInt32
#define HSOTG_DIEPINT12_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT12_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT12_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT12_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT12_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT12_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT12_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT12_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT12_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT12_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT12_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT12_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT12_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT12_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT12_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT12_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT12_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT12_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT12_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT12_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT12_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT12_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT12_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT12_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT12_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT12_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT12_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT12_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT12_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ12_OFFSET                                           0x00000A90
#define HSOTG_DIEPTSIZ12_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ12_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ12_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ12_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ12_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ12_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ12_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ12_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA12_OFFSET                                            0x00000A94
#define HSOTG_DIEPDMA12_TYPE                                              UInt32
#define HSOTG_DIEPDMA12_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA12_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA12_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS12_OFFSET                                            0x00000A98
#define HSOTG_DTXFSTS12_TYPE                                              UInt32
#define HSOTG_DTXFSTS12_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS12_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS12_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DIEPCTL13_OFFSET                                            0x00000AA0
#define HSOTG_DIEPCTL13_TYPE                                              UInt32
#define HSOTG_DIEPCTL13_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL13_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL13_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL13_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL13_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL13_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL13_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL13_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL13_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL13_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL13_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL13_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL13_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL13_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL13_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL13_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL13_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL13_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL13_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL13_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL13_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL13_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL13_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL13_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL13_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL13_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL13_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL13_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL13_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL13_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL13_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT13_OFFSET                                            0x00000AA8
#define HSOTG_DIEPINT13_TYPE                                              UInt32
#define HSOTG_DIEPINT13_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT13_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT13_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT13_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT13_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT13_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT13_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT13_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT13_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT13_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT13_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT13_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT13_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT13_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT13_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT13_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT13_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT13_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT13_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT13_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT13_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT13_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT13_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT13_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT13_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT13_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT13_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT13_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT13_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ13_OFFSET                                           0x00000AB0
#define HSOTG_DIEPTSIZ13_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ13_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ13_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ13_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ13_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ13_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ13_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ13_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA13_OFFSET                                            0x00000AB4
#define HSOTG_DIEPDMA13_TYPE                                              UInt32
#define HSOTG_DIEPDMA13_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA13_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA13_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS13_OFFSET                                            0x00000AB8
#define HSOTG_DTXFSTS13_TYPE                                              UInt32
#define HSOTG_DTXFSTS13_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS13_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS13_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DIEPCTL14_OFFSET                                            0x00000AC0
#define HSOTG_DIEPCTL14_TYPE                                              UInt32
#define HSOTG_DIEPCTL14_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL14_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL14_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL14_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL14_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL14_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL14_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL14_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL14_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL14_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL14_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL14_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL14_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL14_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL14_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL14_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL14_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL14_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL14_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL14_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL14_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL14_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL14_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL14_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL14_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL14_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL14_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL14_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL14_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL14_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL14_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT14_OFFSET                                            0x00000AC8
#define HSOTG_DIEPINT14_TYPE                                              UInt32
#define HSOTG_DIEPINT14_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT14_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT14_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT14_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT14_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT14_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT14_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT14_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT14_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT14_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT14_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT14_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT14_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT14_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT14_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT14_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT14_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT14_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT14_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT14_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT14_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT14_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT14_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT14_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT14_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT14_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT14_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT14_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT14_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ14_OFFSET                                           0x00000AD0
#define HSOTG_DIEPTSIZ14_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ14_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ14_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ14_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ14_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ14_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ14_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ14_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA14_OFFSET                                            0x00000AD4
#define HSOTG_DIEPDMA14_TYPE                                              UInt32
#define HSOTG_DIEPDMA14_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA14_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA14_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS14_OFFSET                                            0x00000AD8
#define HSOTG_DTXFSTS14_TYPE                                              UInt32
#define HSOTG_DTXFSTS14_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS14_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS14_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DIEPCTL15_OFFSET                                            0x00000AE0
#define HSOTG_DIEPCTL15_TYPE                                              UInt32
#define HSOTG_DIEPCTL15_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPCTL15_EPENA_SHIFT                                    31
#define    HSOTG_DIEPCTL15_EPENA_MASK                                     0x80000000
#define    HSOTG_DIEPCTL15_EPDIS_SHIFT                                    30
#define    HSOTG_DIEPCTL15_EPDIS_MASK                                     0x40000000
#define    HSOTG_DIEPCTL15_SETD1PID_SHIFT                                 29
#define    HSOTG_DIEPCTL15_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DIEPCTL15_SETD0PID_SHIFT                                 28
#define    HSOTG_DIEPCTL15_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DIEPCTL15_SNAK_SHIFT                                     27
#define    HSOTG_DIEPCTL15_SNAK_MASK                                      0x08000000
#define    HSOTG_DIEPCTL15_CNAK_SHIFT                                     26
#define    HSOTG_DIEPCTL15_CNAK_MASK                                      0x04000000
#define    HSOTG_DIEPCTL15_TXFNUM_SHIFT                                   22
#define    HSOTG_DIEPCTL15_TXFNUM_MASK                                    0x03C00000
#define    HSOTG_DIEPCTL15_STALL_SHIFT                                    21
#define    HSOTG_DIEPCTL15_STALL_MASK                                     0x00200000
#define    HSOTG_DIEPCTL15_SNP_SHIFT                                      20
#define    HSOTG_DIEPCTL15_SNP_MASK                                       0x00100000
#define    HSOTG_DIEPCTL15_EPTYPE_SHIFT                                   18
#define    HSOTG_DIEPCTL15_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DIEPCTL15_NAKSTS_SHIFT                                   17
#define    HSOTG_DIEPCTL15_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DIEPCTL15_DPID_SHIFT                                     16
#define    HSOTG_DIEPCTL15_DPID_MASK                                      0x00010000
#define    HSOTG_DIEPCTL15_USBACTEP_SHIFT                                 15
#define    HSOTG_DIEPCTL15_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DIEPCTL15_NEXTEP_SHIFT                                   11
#define    HSOTG_DIEPCTL15_NEXTEP_MASK                                    0x00007800
#define    HSOTG_DIEPCTL15_MPS_SHIFT                                      0
#define    HSOTG_DIEPCTL15_MPS_MASK                                       0x000007FF

#define HSOTG_DIEPINT15_OFFSET                                            0x00000AE8
#define HSOTG_DIEPINT15_TYPE                                              UInt32
#define HSOTG_DIEPINT15_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DIEPINT15_NYETINTRPT_SHIFT                               14
#define    HSOTG_DIEPINT15_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DIEPINT15_NAKINTRPT_SHIFT                                13
#define    HSOTG_DIEPINT15_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DIEPINT15_BBLEERRINT_SHIFT                               12
#define    HSOTG_DIEPINT15_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DIEPINT15_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DIEPINT15_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DIEPINT15_BNA_SHIFT                                      9
#define    HSOTG_DIEPINT15_BNA_MASK                                       0x00000200
#define    HSOTG_DIEPINT15_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DIEPINT15_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DIEPINT15_TXFEMP_SHIFT                                   7
#define    HSOTG_DIEPINT15_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DIEPINT15_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DIEPINT15_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DIEPINT15_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DIEPINT15_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DIEPINT15_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DIEPINT15_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DIEPINT15_TIMEOUT_SHIFT                                  3
#define    HSOTG_DIEPINT15_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DIEPINT15_AHBERR_SHIFT                                   2
#define    HSOTG_DIEPINT15_AHBERR_MASK                                    0x00000004
#define    HSOTG_DIEPINT15_EPDISBLD_SHIFT                                 1
#define    HSOTG_DIEPINT15_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DIEPINT15_XFERCOMPL_SHIFT                                0
#define    HSOTG_DIEPINT15_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DIEPTSIZ15_OFFSET                                           0x00000AF0
#define HSOTG_DIEPTSIZ15_TYPE                                             UInt32
#define HSOTG_DIEPTSIZ15_RESERVED_MASK                                    0x80000000
#define    HSOTG_DIEPTSIZ15_MC_SHIFT                                      29
#define    HSOTG_DIEPTSIZ15_MC_MASK                                       0x60000000
#define    HSOTG_DIEPTSIZ15_PKTCNT_SHIFT                                  19
#define    HSOTG_DIEPTSIZ15_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DIEPTSIZ15_XFERSIZE_SHIFT                                0
#define    HSOTG_DIEPTSIZ15_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DIEPDMA15_OFFSET                                            0x00000AF4
#define HSOTG_DIEPDMA15_TYPE                                              UInt32
#define HSOTG_DIEPDMA15_RESERVED_MASK                                     0x00000000
#define    HSOTG_DIEPDMA15_DMAADDR_SHIFT                                  0
#define    HSOTG_DIEPDMA15_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DTXFSTS15_OFFSET                                            0x00000AF8
#define HSOTG_DTXFSTS15_TYPE                                              UInt32
#define HSOTG_DTXFSTS15_RESERVED_MASK                                     0xFFFF0000
#define    HSOTG_DTXFSTS15_INEPTXFSPCAVAIL_SHIFT                          0
#define    HSOTG_DTXFSTS15_INEPTXFSPCAVAIL_MASK                           0x0000FFFF

#define HSOTG_DOEPCTL0_OFFSET                                             0x00000B00
#define HSOTG_DOEPCTL0_TYPE                                               UInt32
#define HSOTG_DOEPCTL0_RESERVED_MASK                                      0x33C17FFC
#define    HSOTG_DOEPCTL0_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL0_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL0_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL0_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL0_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL0_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL0_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL0_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL0_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL0_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL0_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL0_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL0_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL0_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL0_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL0_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL0_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL0_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL0_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL0_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT0_OFFSET                                             0x00000B08
#define HSOTG_DOEPINT0_TYPE                                               UInt32
#define HSOTG_DOEPINT0_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT0_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT0_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT0_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT0_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT0_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT0_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT0_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT0_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT0_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT0_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT0_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT0_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT0_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT0_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT0_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT0_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT0_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT0_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT0_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT0_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT0_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT0_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT0_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT0_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT0_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT0_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT0_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT0_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ0_OFFSET                                            0x00000B10
#define HSOTG_DOEPTSIZ0_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ0_RESERVED_MASK                                     0x9FE7FF80
#define    HSOTG_DOEPTSIZ0_SUPCNT_SHIFT                                   29
#define    HSOTG_DOEPTSIZ0_SUPCNT_MASK                                    0x60000000
#define    HSOTG_DOEPTSIZ0_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ0_PKTCNT_MASK                                    0x00180000
#define    HSOTG_DOEPTSIZ0_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ0_XFERSIZE_MASK                                  0x0000007F

#define HSOTG_DOEPDMA0_OFFSET                                             0x00000B14
#define HSOTG_DOEPDMA0_TYPE                                               UInt32
#define HSOTG_DOEPDMA0_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA0_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA0_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL1_OFFSET                                             0x00000B20
#define HSOTG_DOEPCTL1_TYPE                                               UInt32
#define HSOTG_DOEPCTL1_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL1_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL1_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL1_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL1_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL1_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL1_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL1_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL1_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL1_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL1_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL1_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL1_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL1_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL1_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL1_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL1_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL1_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL1_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL1_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL1_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL1_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL1_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL1_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL1_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT1_OFFSET                                             0x00000B28
#define HSOTG_DOEPINT1_TYPE                                               UInt32
#define HSOTG_DOEPINT1_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT1_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT1_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT1_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT1_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT1_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT1_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT1_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT1_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT1_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT1_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT1_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT1_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT1_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT1_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT1_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT1_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT1_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT1_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT1_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT1_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT1_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT1_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT1_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT1_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT1_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT1_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT1_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT1_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ1_OFFSET                                            0x00000B30
#define HSOTG_DOEPTSIZ1_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ1_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ1_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ1_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ1_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ1_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ1_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ1_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA1_OFFSET                                             0x00000B34
#define HSOTG_DOEPDMA1_TYPE                                               UInt32
#define HSOTG_DOEPDMA1_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA1_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA1_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL2_OFFSET                                             0x00000B40
#define HSOTG_DOEPCTL2_TYPE                                               UInt32
#define HSOTG_DOEPCTL2_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL2_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL2_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL2_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL2_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL2_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL2_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL2_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL2_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL2_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL2_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL2_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL2_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL2_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL2_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL2_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL2_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL2_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL2_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL2_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL2_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL2_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL2_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL2_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL2_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT2_OFFSET                                             0x00000B48
#define HSOTG_DOEPINT2_TYPE                                               UInt32
#define HSOTG_DOEPINT2_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT2_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT2_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT2_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT2_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT2_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT2_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT2_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT2_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT2_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT2_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT2_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT2_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT2_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT2_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT2_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT2_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT2_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT2_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT2_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT2_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT2_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT2_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT2_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT2_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT2_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT2_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT2_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT2_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ2_OFFSET                                            0x00000B50
#define HSOTG_DOEPTSIZ2_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ2_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ2_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ2_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ2_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ2_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ2_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ2_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA2_OFFSET                                             0x00000B54
#define HSOTG_DOEPDMA2_TYPE                                               UInt32
#define HSOTG_DOEPDMA2_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA2_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA2_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL3_OFFSET                                             0x00000B60
#define HSOTG_DOEPCTL3_TYPE                                               UInt32
#define HSOTG_DOEPCTL3_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL3_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL3_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL3_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL3_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL3_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL3_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL3_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL3_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL3_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL3_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL3_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL3_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL3_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL3_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL3_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL3_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL3_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL3_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL3_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL3_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL3_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL3_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL3_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL3_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT3_OFFSET                                             0x00000B68
#define HSOTG_DOEPINT3_TYPE                                               UInt32
#define HSOTG_DOEPINT3_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT3_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT3_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT3_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT3_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT3_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT3_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT3_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT3_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT3_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT3_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT3_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT3_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT3_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT3_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT3_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT3_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT3_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT3_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT3_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT3_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT3_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT3_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT3_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT3_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT3_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT3_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT3_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT3_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ3_OFFSET                                            0x00000B70
#define HSOTG_DOEPTSIZ3_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ3_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ3_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ3_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ3_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ3_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ3_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ3_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA3_OFFSET                                             0x00000B74
#define HSOTG_DOEPDMA3_TYPE                                               UInt32
#define HSOTG_DOEPDMA3_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA3_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA3_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL4_OFFSET                                             0x00000B80
#define HSOTG_DOEPCTL4_TYPE                                               UInt32
#define HSOTG_DOEPCTL4_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL4_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL4_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL4_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL4_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL4_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL4_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL4_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL4_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL4_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL4_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL4_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL4_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL4_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL4_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL4_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL4_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL4_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL4_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL4_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL4_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL4_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL4_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL4_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL4_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT4_OFFSET                                             0x00000B88
#define HSOTG_DOEPINT4_TYPE                                               UInt32
#define HSOTG_DOEPINT4_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT4_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT4_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT4_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT4_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT4_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT4_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT4_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT4_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT4_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT4_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT4_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT4_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT4_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT4_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT4_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT4_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT4_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT4_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT4_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT4_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT4_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT4_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT4_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT4_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT4_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT4_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT4_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT4_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ4_OFFSET                                            0x00000B90
#define HSOTG_DOEPTSIZ4_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ4_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ4_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ4_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ4_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ4_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ4_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ4_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA4_OFFSET                                             0x00000B94
#define HSOTG_DOEPDMA4_TYPE                                               UInt32
#define HSOTG_DOEPDMA4_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA4_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA4_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL5_OFFSET                                             0x00000BA0
#define HSOTG_DOEPCTL5_TYPE                                               UInt32
#define HSOTG_DOEPCTL5_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL5_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL5_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL5_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL5_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL5_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL5_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL5_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL5_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL5_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL5_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL5_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL5_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL5_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL5_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL5_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL5_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL5_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL5_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL5_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL5_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL5_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL5_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL5_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL5_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT5_OFFSET                                             0x00000BA8
#define HSOTG_DOEPINT5_TYPE                                               UInt32
#define HSOTG_DOEPINT5_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT5_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT5_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT5_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT5_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT5_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT5_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT5_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT5_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT5_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT5_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT5_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT5_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT5_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT5_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT5_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT5_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT5_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT5_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT5_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT5_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT5_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT5_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT5_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT5_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT5_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT5_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT5_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT5_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ5_OFFSET                                            0x00000BB0
#define HSOTG_DOEPTSIZ5_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ5_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ5_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ5_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ5_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ5_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ5_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ5_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA5_OFFSET                                             0x00000BB4
#define HSOTG_DOEPDMA5_TYPE                                               UInt32
#define HSOTG_DOEPDMA5_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA5_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA5_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL6_OFFSET                                             0x00000BC0
#define HSOTG_DOEPCTL6_TYPE                                               UInt32
#define HSOTG_DOEPCTL6_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL6_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL6_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL6_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL6_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL6_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL6_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL6_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL6_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL6_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL6_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL6_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL6_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL6_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL6_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL6_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL6_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL6_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL6_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL6_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL6_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL6_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL6_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL6_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL6_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT6_OFFSET                                             0x00000BC8
#define HSOTG_DOEPINT6_TYPE                                               UInt32
#define HSOTG_DOEPINT6_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT6_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT6_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT6_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT6_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT6_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT6_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT6_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT6_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT6_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT6_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT6_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT6_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT6_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT6_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT6_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT6_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT6_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT6_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT6_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT6_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT6_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT6_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT6_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT6_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT6_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT6_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT6_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT6_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ6_OFFSET                                            0x00000BD0
#define HSOTG_DOEPTSIZ6_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ6_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ6_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ6_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ6_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ6_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ6_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ6_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA6_OFFSET                                             0x00000BD4
#define HSOTG_DOEPDMA6_TYPE                                               UInt32
#define HSOTG_DOEPDMA6_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA6_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA6_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL7_OFFSET                                             0x00000BE0
#define HSOTG_DOEPCTL7_TYPE                                               UInt32
#define HSOTG_DOEPCTL7_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL7_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL7_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL7_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL7_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL7_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL7_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL7_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL7_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL7_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL7_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL7_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL7_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL7_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL7_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL7_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL7_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL7_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL7_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL7_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL7_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL7_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL7_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL7_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL7_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT7_OFFSET                                             0x00000BE8
#define HSOTG_DOEPINT7_TYPE                                               UInt32
#define HSOTG_DOEPINT7_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT7_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT7_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT7_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT7_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT7_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT7_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT7_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT7_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT7_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT7_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT7_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT7_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT7_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT7_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT7_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT7_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT7_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT7_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT7_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT7_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT7_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT7_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT7_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT7_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT7_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT7_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT7_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT7_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ7_OFFSET                                            0x00000BF0
#define HSOTG_DOEPTSIZ7_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ7_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ7_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ7_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ7_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ7_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ7_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ7_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA7_OFFSET                                             0x00000BF4
#define HSOTG_DOEPDMA7_TYPE                                               UInt32
#define HSOTG_DOEPDMA7_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA7_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA7_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL8_OFFSET                                             0x00000C00
#define HSOTG_DOEPCTL8_TYPE                                               UInt32
#define HSOTG_DOEPCTL8_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL8_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL8_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL8_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL8_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL8_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL8_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL8_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL8_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL8_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL8_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL8_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL8_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL8_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL8_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL8_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL8_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL8_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL8_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL8_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL8_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL8_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL8_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL8_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL8_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT8_OFFSET                                             0x00000C08
#define HSOTG_DOEPINT8_TYPE                                               UInt32
#define HSOTG_DOEPINT8_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT8_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT8_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT8_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT8_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT8_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT8_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT8_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT8_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT8_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT8_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT8_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT8_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT8_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT8_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT8_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT8_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT8_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT8_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT8_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT8_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT8_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT8_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT8_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT8_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT8_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT8_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT8_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT8_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ8_OFFSET                                            0x00000C10
#define HSOTG_DOEPTSIZ8_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ8_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ8_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ8_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ8_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ8_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ8_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ8_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA8_OFFSET                                             0x00000C14
#define HSOTG_DOEPDMA8_TYPE                                               UInt32
#define HSOTG_DOEPDMA8_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA8_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA8_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL9_OFFSET                                             0x00000C20
#define HSOTG_DOEPCTL9_TYPE                                               UInt32
#define HSOTG_DOEPCTL9_RESERVED_MASK                                      0x03C17FFC
#define    HSOTG_DOEPCTL9_EPENA_SHIFT                                     31
#define    HSOTG_DOEPCTL9_EPENA_MASK                                      0x80000000
#define    HSOTG_DOEPCTL9_EPDIS_SHIFT                                     30
#define    HSOTG_DOEPCTL9_EPDIS_MASK                                      0x40000000
#define    HSOTG_DOEPCTL9_SETD1PID_SHIFT                                  29
#define    HSOTG_DOEPCTL9_SETD1PID_MASK                                   0x20000000
#define    HSOTG_DOEPCTL9_SETD0PID_SHIFT                                  28
#define    HSOTG_DOEPCTL9_SETD0PID_MASK                                   0x10000000
#define    HSOTG_DOEPCTL9_SNAK_SHIFT                                      27
#define    HSOTG_DOEPCTL9_SNAK_MASK                                       0x08000000
#define    HSOTG_DOEPCTL9_CNAK_SHIFT                                      26
#define    HSOTG_DOEPCTL9_CNAK_MASK                                       0x04000000
#define    HSOTG_DOEPCTL9_STALL_SHIFT                                     21
#define    HSOTG_DOEPCTL9_STALL_MASK                                      0x00200000
#define    HSOTG_DOEPCTL9_SNP_SHIFT                                       20
#define    HSOTG_DOEPCTL9_SNP_MASK                                        0x00100000
#define    HSOTG_DOEPCTL9_EPTYPE_SHIFT                                    18
#define    HSOTG_DOEPCTL9_EPTYPE_MASK                                     0x000C0000
#define    HSOTG_DOEPCTL9_NAKSTS_SHIFT                                    17
#define    HSOTG_DOEPCTL9_NAKSTS_MASK                                     0x00020000
#define    HSOTG_DOEPCTL9_USBACTEP_SHIFT                                  15
#define    HSOTG_DOEPCTL9_USBACTEP_MASK                                   0x00008000
#define    HSOTG_DOEPCTL9_MPS_SHIFT                                       0
#define    HSOTG_DOEPCTL9_MPS_MASK                                        0x00000003

#define HSOTG_DOEPINT9_OFFSET                                             0x00000C28
#define HSOTG_DOEPINT9_TYPE                                               UInt32
#define HSOTG_DOEPINT9_RESERVED_MASK                                      0xFFFF8400
#define    HSOTG_DOEPINT9_NYETINTRPT_SHIFT                                14
#define    HSOTG_DOEPINT9_NYETINTRPT_MASK                                 0x00004000
#define    HSOTG_DOEPINT9_NAKINTRPT_SHIFT                                 13
#define    HSOTG_DOEPINT9_NAKINTRPT_MASK                                  0x00002000
#define    HSOTG_DOEPINT9_BBLEERRINT_SHIFT                                12
#define    HSOTG_DOEPINT9_BBLEERRINT_MASK                                 0x00001000
#define    HSOTG_DOEPINT9_PKTDRPSTS_SHIFT                                 11
#define    HSOTG_DOEPINT9_PKTDRPSTS_MASK                                  0x00000800
#define    HSOTG_DOEPINT9_BNA_SHIFT                                       9
#define    HSOTG_DOEPINT9_BNA_MASK                                        0x00000200
#define    HSOTG_DOEPINT9_TXFIFOUNDRN_SHIFT                               8
#define    HSOTG_DOEPINT9_TXFIFOUNDRN_MASK                                0x00000100
#define    HSOTG_DOEPINT9_TXFEMP_SHIFT                                    7
#define    HSOTG_DOEPINT9_TXFEMP_MASK                                     0x00000080
#define    HSOTG_DOEPINT9_INEPNAKEFF_SHIFT                                6
#define    HSOTG_DOEPINT9_INEPNAKEFF_MASK                                 0x00000040
#define    HSOTG_DOEPINT9_INTKNEPMIS_SHIFT                                5
#define    HSOTG_DOEPINT9_INTKNEPMIS_MASK                                 0x00000020
#define    HSOTG_DOEPINT9_INTKNTXFEMP_SHIFT                               4
#define    HSOTG_DOEPINT9_INTKNTXFEMP_MASK                                0x00000010
#define    HSOTG_DOEPINT9_TIMEOUT_SHIFT                                   3
#define    HSOTG_DOEPINT9_TIMEOUT_MASK                                    0x00000008
#define    HSOTG_DOEPINT9_AHBERR_SHIFT                                    2
#define    HSOTG_DOEPINT9_AHBERR_MASK                                     0x00000004
#define    HSOTG_DOEPINT9_EPDISBLD_SHIFT                                  1
#define    HSOTG_DOEPINT9_EPDISBLD_MASK                                   0x00000002
#define    HSOTG_DOEPINT9_XFERCOMPL_SHIFT                                 0
#define    HSOTG_DOEPINT9_XFERCOMPL_MASK                                  0x00000001

#define HSOTG_DOEPTSIZ9_OFFSET                                            0x00000C30
#define HSOTG_DOEPTSIZ9_TYPE                                              UInt32
#define HSOTG_DOEPTSIZ9_RESERVED_MASK                                     0x80000000
#define    HSOTG_DOEPTSIZ9_MC_SHIFT                                       29
#define    HSOTG_DOEPTSIZ9_MC_MASK                                        0x60000000
#define    HSOTG_DOEPTSIZ9_PKTCNT_SHIFT                                   19
#define    HSOTG_DOEPTSIZ9_PKTCNT_MASK                                    0x1FF80000
#define    HSOTG_DOEPTSIZ9_XFERSIZE_SHIFT                                 0
#define    HSOTG_DOEPTSIZ9_XFERSIZE_MASK                                  0x0007FFFF

#define HSOTG_DOEPDMA9_OFFSET                                             0x00000C34
#define HSOTG_DOEPDMA9_TYPE                                               UInt32
#define HSOTG_DOEPDMA9_RESERVED_MASK                                      0x00000000
#define    HSOTG_DOEPDMA9_DMAADDR_SHIFT                                   0
#define    HSOTG_DOEPDMA9_DMAADDR_MASK                                    0xFFFFFFFF

#define HSOTG_DOEPCTL10_OFFSET                                            0x00000C40
#define HSOTG_DOEPCTL10_TYPE                                              UInt32
#define HSOTG_DOEPCTL10_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL10_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL10_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL10_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL10_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL10_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL10_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL10_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL10_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL10_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL10_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL10_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL10_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL10_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL10_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL10_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL10_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL10_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL10_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL10_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL10_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL10_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL10_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL10_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL10_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT10_OFFSET                                            0x00000C48
#define HSOTG_DOEPINT10_TYPE                                              UInt32
#define HSOTG_DOEPINT10_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT10_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT10_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT10_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT10_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT10_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT10_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT10_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT10_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT10_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT10_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT10_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT10_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT10_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT10_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT10_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT10_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT10_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT10_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT10_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT10_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT10_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT10_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT10_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT10_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT10_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT10_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT10_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT10_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ10_OFFSET                                           0x00000C50
#define HSOTG_DOEPTSIZ10_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ10_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ10_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ10_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ10_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ10_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ10_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ10_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA10_OFFSET                                            0x00000C54
#define HSOTG_DOEPDMA10_TYPE                                              UInt32
#define HSOTG_DOEPDMA10_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA10_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA10_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DOEPCTL11_OFFSET                                            0x00000C60
#define HSOTG_DOEPCTL11_TYPE                                              UInt32
#define HSOTG_DOEPCTL11_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL11_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL11_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL11_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL11_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL11_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL11_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL11_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL11_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL11_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL11_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL11_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL11_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL11_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL11_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL11_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL11_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL11_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL11_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL11_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL11_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL11_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL11_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL11_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL11_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT11_OFFSET                                            0x00000C68
#define HSOTG_DOEPINT11_TYPE                                              UInt32
#define HSOTG_DOEPINT11_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT11_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT11_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT11_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT11_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT11_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT11_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT11_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT11_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT11_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT11_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT11_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT11_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT11_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT11_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT11_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT11_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT11_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT11_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT11_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT11_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT11_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT11_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT11_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT11_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT11_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT11_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT11_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT11_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ11_OFFSET                                           0x00000C70
#define HSOTG_DOEPTSIZ11_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ11_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ11_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ11_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ11_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ11_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ11_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ11_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA11_OFFSET                                            0x00000C74
#define HSOTG_DOEPDMA11_TYPE                                              UInt32
#define HSOTG_DOEPDMA11_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA11_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA11_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DOEPCTL12_OFFSET                                            0x00000C80
#define HSOTG_DOEPCTL12_TYPE                                              UInt32
#define HSOTG_DOEPCTL12_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL12_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL12_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL12_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL12_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL12_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL12_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL12_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL12_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL12_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL12_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL12_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL12_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL12_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL12_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL12_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL12_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL12_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL12_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL12_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL12_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL12_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL12_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL12_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL12_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT12_OFFSET                                            0x00000C88
#define HSOTG_DOEPINT12_TYPE                                              UInt32
#define HSOTG_DOEPINT12_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT12_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT12_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT12_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT12_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT12_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT12_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT12_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT12_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT12_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT12_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT12_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT12_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT12_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT12_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT12_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT12_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT12_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT12_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT12_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT12_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT12_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT12_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT12_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT12_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT12_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT12_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT12_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT12_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ12_OFFSET                                           0x00000C90
#define HSOTG_DOEPTSIZ12_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ12_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ12_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ12_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ12_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ12_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ12_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ12_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA12_OFFSET                                            0x00000C94
#define HSOTG_DOEPDMA12_TYPE                                              UInt32
#define HSOTG_DOEPDMA12_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA12_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA12_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DOEPCTL13_OFFSET                                            0x00000CA0
#define HSOTG_DOEPCTL13_TYPE                                              UInt32
#define HSOTG_DOEPCTL13_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL13_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL13_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL13_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL13_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL13_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL13_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL13_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL13_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL13_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL13_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL13_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL13_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL13_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL13_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL13_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL13_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL13_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL13_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL13_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL13_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL13_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL13_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL13_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL13_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT13_OFFSET                                            0x00000CA8
#define HSOTG_DOEPINT13_TYPE                                              UInt32
#define HSOTG_DOEPINT13_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT13_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT13_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT13_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT13_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT13_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT13_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT13_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT13_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT13_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT13_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT13_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT13_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT13_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT13_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT13_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT13_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT13_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT13_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT13_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT13_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT13_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT13_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT13_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT13_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT13_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT13_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT13_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT13_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ13_OFFSET                                           0x00000CB0
#define HSOTG_DOEPTSIZ13_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ13_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ13_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ13_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ13_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ13_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ13_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ13_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA13_OFFSET                                            0x00000CB4
#define HSOTG_DOEPDMA13_TYPE                                              UInt32
#define HSOTG_DOEPDMA13_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA13_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA13_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DOEPCTL14_OFFSET                                            0x00000CC0
#define HSOTG_DOEPCTL14_TYPE                                              UInt32
#define HSOTG_DOEPCTL14_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL14_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL14_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL14_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL14_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL14_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL14_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL14_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL14_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL14_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL14_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL14_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL14_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL14_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL14_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL14_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL14_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL14_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL14_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL14_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL14_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL14_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL14_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL14_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL14_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT14_OFFSET                                            0x00000CC8
#define HSOTG_DOEPINT14_TYPE                                              UInt32
#define HSOTG_DOEPINT14_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT14_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT14_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT14_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT14_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT14_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT14_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT14_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT14_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT14_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT14_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT14_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT14_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT14_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT14_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT14_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT14_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT14_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT14_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT14_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT14_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT14_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT14_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT14_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT14_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT14_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT14_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT14_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT14_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ14_OFFSET                                           0x00000CD0
#define HSOTG_DOEPTSIZ14_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ14_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ14_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ14_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ14_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ14_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ14_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ14_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA14_OFFSET                                            0x00000CD4
#define HSOTG_DOEPDMA14_TYPE                                              UInt32
#define HSOTG_DOEPDMA14_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA14_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA14_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_DOEPCTL15_OFFSET                                            0x00000CE0
#define HSOTG_DOEPCTL15_TYPE                                              UInt32
#define HSOTG_DOEPCTL15_RESERVED_MASK                                     0x03C17FFC
#define    HSOTG_DOEPCTL15_EPENA_SHIFT                                    31
#define    HSOTG_DOEPCTL15_EPENA_MASK                                     0x80000000
#define    HSOTG_DOEPCTL15_EPDIS_SHIFT                                    30
#define    HSOTG_DOEPCTL15_EPDIS_MASK                                     0x40000000
#define    HSOTG_DOEPCTL15_SETD1PID_SHIFT                                 29
#define    HSOTG_DOEPCTL15_SETD1PID_MASK                                  0x20000000
#define    HSOTG_DOEPCTL15_SETD0PID_SHIFT                                 28
#define    HSOTG_DOEPCTL15_SETD0PID_MASK                                  0x10000000
#define    HSOTG_DOEPCTL15_SNAK_SHIFT                                     27
#define    HSOTG_DOEPCTL15_SNAK_MASK                                      0x08000000
#define    HSOTG_DOEPCTL15_CNAK_SHIFT                                     26
#define    HSOTG_DOEPCTL15_CNAK_MASK                                      0x04000000
#define    HSOTG_DOEPCTL15_STALL_SHIFT                                    21
#define    HSOTG_DOEPCTL15_STALL_MASK                                     0x00200000
#define    HSOTG_DOEPCTL15_SNP_SHIFT                                      20
#define    HSOTG_DOEPCTL15_SNP_MASK                                       0x00100000
#define    HSOTG_DOEPCTL15_EPTYPE_SHIFT                                   18
#define    HSOTG_DOEPCTL15_EPTYPE_MASK                                    0x000C0000
#define    HSOTG_DOEPCTL15_NAKSTS_SHIFT                                   17
#define    HSOTG_DOEPCTL15_NAKSTS_MASK                                    0x00020000
#define    HSOTG_DOEPCTL15_USBACTEP_SHIFT                                 15
#define    HSOTG_DOEPCTL15_USBACTEP_MASK                                  0x00008000
#define    HSOTG_DOEPCTL15_MPS_SHIFT                                      0
#define    HSOTG_DOEPCTL15_MPS_MASK                                       0x00000003

#define HSOTG_DOEPINT15_OFFSET                                            0x00000CE8
#define HSOTG_DOEPINT15_TYPE                                              UInt32
#define HSOTG_DOEPINT15_RESERVED_MASK                                     0xFFFF8400
#define    HSOTG_DOEPINT15_NYETINTRPT_SHIFT                               14
#define    HSOTG_DOEPINT15_NYETINTRPT_MASK                                0x00004000
#define    HSOTG_DOEPINT15_NAKINTRPT_SHIFT                                13
#define    HSOTG_DOEPINT15_NAKINTRPT_MASK                                 0x00002000
#define    HSOTG_DOEPINT15_BBLEERRINT_SHIFT                               12
#define    HSOTG_DOEPINT15_BBLEERRINT_MASK                                0x00001000
#define    HSOTG_DOEPINT15_PKTDRPSTS_SHIFT                                11
#define    HSOTG_DOEPINT15_PKTDRPSTS_MASK                                 0x00000800
#define    HSOTG_DOEPINT15_BNA_SHIFT                                      9
#define    HSOTG_DOEPINT15_BNA_MASK                                       0x00000200
#define    HSOTG_DOEPINT15_TXFIFOUNDRN_SHIFT                              8
#define    HSOTG_DOEPINT15_TXFIFOUNDRN_MASK                               0x00000100
#define    HSOTG_DOEPINT15_TXFEMP_SHIFT                                   7
#define    HSOTG_DOEPINT15_TXFEMP_MASK                                    0x00000080
#define    HSOTG_DOEPINT15_INEPNAKEFF_SHIFT                               6
#define    HSOTG_DOEPINT15_INEPNAKEFF_MASK                                0x00000040
#define    HSOTG_DOEPINT15_INTKNEPMIS_SHIFT                               5
#define    HSOTG_DOEPINT15_INTKNEPMIS_MASK                                0x00000020
#define    HSOTG_DOEPINT15_INTKNTXFEMP_SHIFT                              4
#define    HSOTG_DOEPINT15_INTKNTXFEMP_MASK                               0x00000010
#define    HSOTG_DOEPINT15_TIMEOUT_SHIFT                                  3
#define    HSOTG_DOEPINT15_TIMEOUT_MASK                                   0x00000008
#define    HSOTG_DOEPINT15_AHBERR_SHIFT                                   2
#define    HSOTG_DOEPINT15_AHBERR_MASK                                    0x00000004
#define    HSOTG_DOEPINT15_EPDISBLD_SHIFT                                 1
#define    HSOTG_DOEPINT15_EPDISBLD_MASK                                  0x00000002
#define    HSOTG_DOEPINT15_XFERCOMPL_SHIFT                                0
#define    HSOTG_DOEPINT15_XFERCOMPL_MASK                                 0x00000001

#define HSOTG_DOEPTSIZ15_OFFSET                                           0x00000CF0
#define HSOTG_DOEPTSIZ15_TYPE                                             UInt32
#define HSOTG_DOEPTSIZ15_RESERVED_MASK                                    0x80000000
#define    HSOTG_DOEPTSIZ15_MC_SHIFT                                      29
#define    HSOTG_DOEPTSIZ15_MC_MASK                                       0x60000000
#define    HSOTG_DOEPTSIZ15_PKTCNT_SHIFT                                  19
#define    HSOTG_DOEPTSIZ15_PKTCNT_MASK                                   0x1FF80000
#define    HSOTG_DOEPTSIZ15_XFERSIZE_SHIFT                                0
#define    HSOTG_DOEPTSIZ15_XFERSIZE_MASK                                 0x0007FFFF

#define HSOTG_DOEPDMA15_OFFSET                                            0x00000CF4
#define HSOTG_DOEPDMA15_TYPE                                              UInt32
#define HSOTG_DOEPDMA15_RESERVED_MASK                                     0x00000000
#define    HSOTG_DOEPDMA15_DMAADDR_SHIFT                                  0
#define    HSOTG_DOEPDMA15_DMAADDR_MASK                                   0xFFFFFFFF

#define HSOTG_PCGCR_OFFSET                                                0x00000E00
#define HSOTG_PCGCR_TYPE                                                  UInt32
#define HSOTG_PCGCR_RESERVED_MASK                                         0xFFFFFFE0
#define    HSOTG_PCGCR_PHYSUSPENDED_SHIFT                                 4
#define    HSOTG_PCGCR_PHYSUSPENDED_MASK                                  0x00000010
#define    HSOTG_PCGCR_RSTPDWNMODULE_SHIFT                                3
#define    HSOTG_PCGCR_RSTPDWNMODULE_MASK                                 0x00000008
#define    HSOTG_PCGCR_PWRCLMP_SHIFT                                      2
#define    HSOTG_PCGCR_PWRCLMP_MASK                                       0x00000004
#define    HSOTG_PCGCR_GATEHCLK_SHIFT                                     1
#define    HSOTG_PCGCR_GATEHCLK_MASK                                      0x00000002
#define    HSOTG_PCGCR_STOPPCLK_SHIFT                                     0
#define    HSOTG_PCGCR_STOPPCLK_MASK                                      0x00000001

#endif /* __BRCM_RDB_HSOTG_H__ */


