/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 5/5/2011 18:12:54                                             */
/*     RDB file : /projects/SAMOA/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_PADCTRLREG_H__
#define __BRCM_RDB_PADCTRLREG_H__

#define PADCTRLREG_ANA_CLK_REQ0_OFFSET                                    0x00000000
#define PADCTRLREG_ANA_CLK_REQ0_TYPE                                      UInt32
#define PADCTRLREG_ANA_CLK_REQ0_RESERVED_MASK                             0xFFFFF800
#define    PADCTRLREG_ANA_CLK_REQ0_PINSEL_ANA_CLK_REQ0_SHIFT              8
#define    PADCTRLREG_ANA_CLK_REQ0_PINSEL_ANA_CLK_REQ0_MASK               0x00000700
#define    PADCTRLREG_ANA_CLK_REQ0_HYS_EN_ANA_CLK_REQ0_SHIFT              7
#define    PADCTRLREG_ANA_CLK_REQ0_HYS_EN_ANA_CLK_REQ0_MASK               0x00000080
#define    PADCTRLREG_ANA_CLK_REQ0_PDN_ANA_CLK_REQ0_SHIFT                 6
#define    PADCTRLREG_ANA_CLK_REQ0_PDN_ANA_CLK_REQ0_MASK                  0x00000040
#define    PADCTRLREG_ANA_CLK_REQ0_PUP_ANA_CLK_REQ0_SHIFT                 5
#define    PADCTRLREG_ANA_CLK_REQ0_PUP_ANA_CLK_REQ0_MASK                  0x00000020
#define    PADCTRLREG_ANA_CLK_REQ0_SRC_ANA_CLK_REQ0_SHIFT                 4
#define    PADCTRLREG_ANA_CLK_REQ0_SRC_ANA_CLK_REQ0_MASK                  0x00000010
#define    PADCTRLREG_ANA_CLK_REQ0_IND_ANA_CLK_REQ0_SHIFT                 3
#define    PADCTRLREG_ANA_CLK_REQ0_IND_ANA_CLK_REQ0_MASK                  0x00000008
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_2_ANA_CLK_REQ0_SHIFT               2
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_2_ANA_CLK_REQ0_MASK                0x00000004
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_1_ANA_CLK_REQ0_SHIFT               1
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_1_ANA_CLK_REQ0_MASK                0x00000002
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_0_ANA_CLK_REQ0_SHIFT               0
#define    PADCTRLREG_ANA_CLK_REQ0_SEL_0_ANA_CLK_REQ0_MASK                0x00000001

#define PADCTRLREG_BSC1_CLK_OFFSET                                        0x00000004
#define PADCTRLREG_BSC1_CLK_TYPE                                          UInt32
#define PADCTRLREG_BSC1_CLK_RESERVED_MASK                                 0xFFFFE040
#define    PADCTRLREG_BSC1_CLK_PUP2_BSC1_CLK_SHIFT                        12
#define    PADCTRLREG_BSC1_CLK_PUP2_BSC1_CLK_MASK                         0x00001000
#define    PADCTRLREG_BSC1_CLK_PUP1_BSC1_CLK_SHIFT                        11
#define    PADCTRLREG_BSC1_CLK_PUP1_BSC1_CLK_MASK                         0x00000800
#define    PADCTRLREG_BSC1_CLK_PINSEL_BSC1_CLK_SHIFT                      8
#define    PADCTRLREG_BSC1_CLK_PINSEL_BSC1_CLK_MASK                       0x00000700
#define    PADCTRLREG_BSC1_CLK_HYS_EN_BSC1_CLK_SHIFT                      7
#define    PADCTRLREG_BSC1_CLK_HYS_EN_BSC1_CLK_MASK                       0x00000080
#define    PADCTRLREG_BSC1_CLK_PUP_BSC1_CLK_SHIFT                         5
#define    PADCTRLREG_BSC1_CLK_PUP_BSC1_CLK_MASK                          0x00000020
#define    PADCTRLREG_BSC1_CLK_SRC_BSC1_CLK_SHIFT                         4
#define    PADCTRLREG_BSC1_CLK_SRC_BSC1_CLK_MASK                          0x00000010
#define    PADCTRLREG_BSC1_CLK_IND_BSC1_CLK_SHIFT                         3
#define    PADCTRLREG_BSC1_CLK_IND_BSC1_CLK_MASK                          0x00000008
#define    PADCTRLREG_BSC1_CLK_SEL_2_BSC1_CLK_SHIFT                       2
#define    PADCTRLREG_BSC1_CLK_SEL_2_BSC1_CLK_MASK                        0x00000004
#define    PADCTRLREG_BSC1_CLK_SEL_1_BSC1_CLK_SHIFT                       1
#define    PADCTRLREG_BSC1_CLK_SEL_1_BSC1_CLK_MASK                        0x00000002
#define    PADCTRLREG_BSC1_CLK_SEL_0_BSC1_CLK_SHIFT                       0
#define    PADCTRLREG_BSC1_CLK_SEL_0_BSC1_CLK_MASK                        0x00000001

#define PADCTRLREG_BSC1_DAT_OFFSET                                        0x00000008
#define PADCTRLREG_BSC1_DAT_TYPE                                          UInt32
#define PADCTRLREG_BSC1_DAT_RESERVED_MASK                                 0xFFFFE040
#define    PADCTRLREG_BSC1_DAT_PUP2_BSC1_DAT_SHIFT                        12
#define    PADCTRLREG_BSC1_DAT_PUP2_BSC1_DAT_MASK                         0x00001000
#define    PADCTRLREG_BSC1_DAT_PUP1_BSC1_DAT_SHIFT                        11
#define    PADCTRLREG_BSC1_DAT_PUP1_BSC1_DAT_MASK                         0x00000800
#define    PADCTRLREG_BSC1_DAT_PINSEL_BSC1_DAT_SHIFT                      8
#define    PADCTRLREG_BSC1_DAT_PINSEL_BSC1_DAT_MASK                       0x00000700
#define    PADCTRLREG_BSC1_DAT_HYS_EN_BSC1_DAT_SHIFT                      7
#define    PADCTRLREG_BSC1_DAT_HYS_EN_BSC1_DAT_MASK                       0x00000080
#define    PADCTRLREG_BSC1_DAT_PUP_BSC1_DAT_SHIFT                         5
#define    PADCTRLREG_BSC1_DAT_PUP_BSC1_DAT_MASK                          0x00000020
#define    PADCTRLREG_BSC1_DAT_SRC_BSC1_DAT_SHIFT                         4
#define    PADCTRLREG_BSC1_DAT_SRC_BSC1_DAT_MASK                          0x00000010
#define    PADCTRLREG_BSC1_DAT_IND_BSC1_DAT_SHIFT                         3
#define    PADCTRLREG_BSC1_DAT_IND_BSC1_DAT_MASK                          0x00000008
#define    PADCTRLREG_BSC1_DAT_SEL_2_BSC1_DAT_SHIFT                       2
#define    PADCTRLREG_BSC1_DAT_SEL_2_BSC1_DAT_MASK                        0x00000004
#define    PADCTRLREG_BSC1_DAT_SEL_1_BSC1_DAT_SHIFT                       1
#define    PADCTRLREG_BSC1_DAT_SEL_1_BSC1_DAT_MASK                        0x00000002
#define    PADCTRLREG_BSC1_DAT_SEL_0_BSC1_DAT_SHIFT                       0
#define    PADCTRLREG_BSC1_DAT_SEL_0_BSC1_DAT_MASK                        0x00000001

#define PADCTRLREG_BSC2_CLK_OFFSET                                        0x0000000C
#define PADCTRLREG_BSC2_CLK_TYPE                                          UInt32
#define PADCTRLREG_BSC2_CLK_RESERVED_MASK                                 0xFFFFE040
#define    PADCTRLREG_BSC2_CLK_PUP2_BSC2_CLK_SHIFT                        12
#define    PADCTRLREG_BSC2_CLK_PUP2_BSC2_CLK_MASK                         0x00001000
#define    PADCTRLREG_BSC2_CLK_PUP1_BSC2_CLK_SHIFT                        11
#define    PADCTRLREG_BSC2_CLK_PUP1_BSC2_CLK_MASK                         0x00000800
#define    PADCTRLREG_BSC2_CLK_PINSEL_BSC2_CLK_SHIFT                      8
#define    PADCTRLREG_BSC2_CLK_PINSEL_BSC2_CLK_MASK                       0x00000700
#define    PADCTRLREG_BSC2_CLK_HYS_EN_BSC2_CLK_SHIFT                      7
#define    PADCTRLREG_BSC2_CLK_HYS_EN_BSC2_CLK_MASK                       0x00000080
#define    PADCTRLREG_BSC2_CLK_PUP_BSC2_CLK_SHIFT                         5
#define    PADCTRLREG_BSC2_CLK_PUP_BSC2_CLK_MASK                          0x00000020
#define    PADCTRLREG_BSC2_CLK_SRC_BSC2_CLK_SHIFT                         4
#define    PADCTRLREG_BSC2_CLK_SRC_BSC2_CLK_MASK                          0x00000010
#define    PADCTRLREG_BSC2_CLK_IND_BSC2_CLK_SHIFT                         3
#define    PADCTRLREG_BSC2_CLK_IND_BSC2_CLK_MASK                          0x00000008
#define    PADCTRLREG_BSC2_CLK_SEL_2_BSC2_CLK_SHIFT                       2
#define    PADCTRLREG_BSC2_CLK_SEL_2_BSC2_CLK_MASK                        0x00000004
#define    PADCTRLREG_BSC2_CLK_SEL_1_BSC2_CLK_SHIFT                       1
#define    PADCTRLREG_BSC2_CLK_SEL_1_BSC2_CLK_MASK                        0x00000002
#define    PADCTRLREG_BSC2_CLK_SEL_0_BSC2_CLK_SHIFT                       0
#define    PADCTRLREG_BSC2_CLK_SEL_0_BSC2_CLK_MASK                        0x00000001

#define PADCTRLREG_BSC2_DAT_OFFSET                                        0x00000010
#define PADCTRLREG_BSC2_DAT_TYPE                                          UInt32
#define PADCTRLREG_BSC2_DAT_RESERVED_MASK                                 0xFFFFE040
#define    PADCTRLREG_BSC2_DAT_PUP2_BSC2_DAT_SHIFT                        12
#define    PADCTRLREG_BSC2_DAT_PUP2_BSC2_DAT_MASK                         0x00001000
#define    PADCTRLREG_BSC2_DAT_PUP1_BSC2_DAT_SHIFT                        11
#define    PADCTRLREG_BSC2_DAT_PUP1_BSC2_DAT_MASK                         0x00000800
#define    PADCTRLREG_BSC2_DAT_PINSEL_BSC2_DAT_SHIFT                      8
#define    PADCTRLREG_BSC2_DAT_PINSEL_BSC2_DAT_MASK                       0x00000700
#define    PADCTRLREG_BSC2_DAT_HYS_EN_BSC2_DAT_SHIFT                      7
#define    PADCTRLREG_BSC2_DAT_HYS_EN_BSC2_DAT_MASK                       0x00000080
#define    PADCTRLREG_BSC2_DAT_PUP_BSC2_DAT_SHIFT                         5
#define    PADCTRLREG_BSC2_DAT_PUP_BSC2_DAT_MASK                          0x00000020
#define    PADCTRLREG_BSC2_DAT_SRC_BSC2_DAT_SHIFT                         4
#define    PADCTRLREG_BSC2_DAT_SRC_BSC2_DAT_MASK                          0x00000010
#define    PADCTRLREG_BSC2_DAT_IND_BSC2_DAT_SHIFT                         3
#define    PADCTRLREG_BSC2_DAT_IND_BSC2_DAT_MASK                          0x00000008
#define    PADCTRLREG_BSC2_DAT_SEL_2_BSC2_DAT_SHIFT                       2
#define    PADCTRLREG_BSC2_DAT_SEL_2_BSC2_DAT_MASK                        0x00000004
#define    PADCTRLREG_BSC2_DAT_SEL_1_BSC2_DAT_SHIFT                       1
#define    PADCTRLREG_BSC2_DAT_SEL_1_BSC2_DAT_MASK                        0x00000002
#define    PADCTRLREG_BSC2_DAT_SEL_0_BSC2_DAT_SHIFT                       0
#define    PADCTRLREG_BSC2_DAT_SEL_0_BSC2_DAT_MASK                        0x00000001

#define PADCTRLREG_CAM_CS0_OFFSET                                         0x00000014
#define PADCTRLREG_CAM_CS0_TYPE                                           UInt32
#define PADCTRLREG_CAM_CS0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_CAM_CS0_PINSEL_CAM_CS0_SHIFT                        8
#define    PADCTRLREG_CAM_CS0_PINSEL_CAM_CS0_MASK                         0x00000700
#define    PADCTRLREG_CAM_CS0_HYS_EN_CAM_CS0_SHIFT                        7
#define    PADCTRLREG_CAM_CS0_HYS_EN_CAM_CS0_MASK                         0x00000080
#define    PADCTRLREG_CAM_CS0_PDN_CAM_CS0_SHIFT                           6
#define    PADCTRLREG_CAM_CS0_PDN_CAM_CS0_MASK                            0x00000040
#define    PADCTRLREG_CAM_CS0_PUP_CAM_CS0_SHIFT                           5
#define    PADCTRLREG_CAM_CS0_PUP_CAM_CS0_MASK                            0x00000020
#define    PADCTRLREG_CAM_CS0_SRC_CAM_CS0_SHIFT                           4
#define    PADCTRLREG_CAM_CS0_SRC_CAM_CS0_MASK                            0x00000010
#define    PADCTRLREG_CAM_CS0_IND_CAM_CS0_SHIFT                           3
#define    PADCTRLREG_CAM_CS0_IND_CAM_CS0_MASK                            0x00000008
#define    PADCTRLREG_CAM_CS0_SEL_2_CAM_CS0_SHIFT                         2
#define    PADCTRLREG_CAM_CS0_SEL_2_CAM_CS0_MASK                          0x00000004
#define    PADCTRLREG_CAM_CS0_SEL_1_CAM_CS0_SHIFT                         1
#define    PADCTRLREG_CAM_CS0_SEL_1_CAM_CS0_MASK                          0x00000002
#define    PADCTRLREG_CAM_CS0_SEL_0_CAM_CS0_SHIFT                         0
#define    PADCTRLREG_CAM_CS0_SEL_0_CAM_CS0_MASK                          0x00000001

#define PADCTRLREG_CLK_32K_OFFSET                                         0x00000018
#define PADCTRLREG_CLK_32K_TYPE                                           UInt32
#define PADCTRLREG_CLK_32K_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_CLK_32K_PINSEL_CLK_32K_SHIFT                        8
#define    PADCTRLREG_CLK_32K_PINSEL_CLK_32K_MASK                         0x00000700
#define    PADCTRLREG_CLK_32K_HYS_EN_CLK_32K_SHIFT                        7
#define    PADCTRLREG_CLK_32K_HYS_EN_CLK_32K_MASK                         0x00000080
#define    PADCTRLREG_CLK_32K_PDN_CLK_32K_SHIFT                           6
#define    PADCTRLREG_CLK_32K_PDN_CLK_32K_MASK                            0x00000040
#define    PADCTRLREG_CLK_32K_PUP_CLK_32K_SHIFT                           5
#define    PADCTRLREG_CLK_32K_PUP_CLK_32K_MASK                            0x00000020
#define    PADCTRLREG_CLK_32K_SRC_CLK_32K_SHIFT                           4
#define    PADCTRLREG_CLK_32K_SRC_CLK_32K_MASK                            0x00000010
#define    PADCTRLREG_CLK_32K_IND_CLK_32K_SHIFT                           3
#define    PADCTRLREG_CLK_32K_IND_CLK_32K_MASK                            0x00000008
#define    PADCTRLREG_CLK_32K_SEL_2_CLK_32K_SHIFT                         2
#define    PADCTRLREG_CLK_32K_SEL_2_CLK_32K_MASK                          0x00000004
#define    PADCTRLREG_CLK_32K_SEL_1_CLK_32K_SHIFT                         1
#define    PADCTRLREG_CLK_32K_SEL_1_CLK_32K_MASK                          0x00000002
#define    PADCTRLREG_CLK_32K_SEL_0_CLK_32K_SHIFT                         0
#define    PADCTRLREG_CLK_32K_SEL_0_CLK_32K_MASK                          0x00000001

#define PADCTRLREG_DCLK0_OFFSET                                           0x0000001C
#define PADCTRLREG_DCLK0_TYPE                                             UInt32
#define PADCTRLREG_DCLK0_RESERVED_MASK                                    0xFFFFF800
#define    PADCTRLREG_DCLK0_PINSEL_DCLK0_SHIFT                            8
#define    PADCTRLREG_DCLK0_PINSEL_DCLK0_MASK                             0x00000700
#define    PADCTRLREG_DCLK0_HYS_EN_DCLK0_SHIFT                            7
#define    PADCTRLREG_DCLK0_HYS_EN_DCLK0_MASK                             0x00000080
#define    PADCTRLREG_DCLK0_PDN_DCLK0_SHIFT                               6
#define    PADCTRLREG_DCLK0_PDN_DCLK0_MASK                                0x00000040
#define    PADCTRLREG_DCLK0_PUP_DCLK0_SHIFT                               5
#define    PADCTRLREG_DCLK0_PUP_DCLK0_MASK                                0x00000020
#define    PADCTRLREG_DCLK0_SRC_DCLK0_SHIFT                               4
#define    PADCTRLREG_DCLK0_SRC_DCLK0_MASK                                0x00000010
#define    PADCTRLREG_DCLK0_IND_DCLK0_SHIFT                               3
#define    PADCTRLREG_DCLK0_IND_DCLK0_MASK                                0x00000008
#define    PADCTRLREG_DCLK0_SEL_2_DCLK0_SHIFT                             2
#define    PADCTRLREG_DCLK0_SEL_2_DCLK0_MASK                              0x00000004
#define    PADCTRLREG_DCLK0_SEL_1_DCLK0_SHIFT                             1
#define    PADCTRLREG_DCLK0_SEL_1_DCLK0_MASK                              0x00000002
#define    PADCTRLREG_DCLK0_SEL_0_DCLK0_SHIFT                             0
#define    PADCTRLREG_DCLK0_SEL_0_DCLK0_MASK                              0x00000001

#define PADCTRLREG_DCLK_REQ0_OFFSET                                       0x00000020
#define PADCTRLREG_DCLK_REQ0_TYPE                                         UInt32
#define PADCTRLREG_DCLK_REQ0_RESERVED_MASK                                0xFFFFF800
#define    PADCTRLREG_DCLK_REQ0_PINSEL_DCLK_REQ0_SHIFT                    8
#define    PADCTRLREG_DCLK_REQ0_PINSEL_DCLK_REQ0_MASK                     0x00000700
#define    PADCTRLREG_DCLK_REQ0_HYS_EN_DCLK_REQ0_SHIFT                    7
#define    PADCTRLREG_DCLK_REQ0_HYS_EN_DCLK_REQ0_MASK                     0x00000080
#define    PADCTRLREG_DCLK_REQ0_PDN_DCLK_REQ0_SHIFT                       6
#define    PADCTRLREG_DCLK_REQ0_PDN_DCLK_REQ0_MASK                        0x00000040
#define    PADCTRLREG_DCLK_REQ0_PUP_DCLK_REQ0_SHIFT                       5
#define    PADCTRLREG_DCLK_REQ0_PUP_DCLK_REQ0_MASK                        0x00000020
#define    PADCTRLREG_DCLK_REQ0_SRC_DCLK_REQ0_SHIFT                       4
#define    PADCTRLREG_DCLK_REQ0_SRC_DCLK_REQ0_MASK                        0x00000010
#define    PADCTRLREG_DCLK_REQ0_IND_DCLK_REQ0_SHIFT                       3
#define    PADCTRLREG_DCLK_REQ0_IND_DCLK_REQ0_MASK                        0x00000008
#define    PADCTRLREG_DCLK_REQ0_SEL_2_DCLK_REQ0_SHIFT                     2
#define    PADCTRLREG_DCLK_REQ0_SEL_2_DCLK_REQ0_MASK                      0x00000004
#define    PADCTRLREG_DCLK_REQ0_SEL_1_DCLK_REQ0_SHIFT                     1
#define    PADCTRLREG_DCLK_REQ0_SEL_1_DCLK_REQ0_MASK                      0x00000002
#define    PADCTRLREG_DCLK_REQ0_SEL_0_DCLK_REQ0_SHIFT                     0
#define    PADCTRLREG_DCLK_REQ0_SEL_0_DCLK_REQ0_MASK                      0x00000001

#define PADCTRLREG_GPIO00_OFFSET                                          0x00000024
#define PADCTRLREG_GPIO00_TYPE                                            UInt32
#define PADCTRLREG_GPIO00_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO00_PINSEL_GPIO00_SHIFT                          8
#define    PADCTRLREG_GPIO00_PINSEL_GPIO00_MASK                           0x00000700
#define    PADCTRLREG_GPIO00_HYS_EN_GPIO00_SHIFT                          7
#define    PADCTRLREG_GPIO00_HYS_EN_GPIO00_MASK                           0x00000080
#define    PADCTRLREG_GPIO00_PDN_GPIO00_SHIFT                             6
#define    PADCTRLREG_GPIO00_PDN_GPIO00_MASK                              0x00000040
#define    PADCTRLREG_GPIO00_PUP_GPIO00_SHIFT                             5
#define    PADCTRLREG_GPIO00_PUP_GPIO00_MASK                              0x00000020
#define    PADCTRLREG_GPIO00_SRC_GPIO00_SHIFT                             4
#define    PADCTRLREG_GPIO00_SRC_GPIO00_MASK                              0x00000010
#define    PADCTRLREG_GPIO00_IND_GPIO00_SHIFT                             3
#define    PADCTRLREG_GPIO00_IND_GPIO00_MASK                              0x00000008
#define    PADCTRLREG_GPIO00_SEL_2_GPIO00_SHIFT                           2
#define    PADCTRLREG_GPIO00_SEL_2_GPIO00_MASK                            0x00000004
#define    PADCTRLREG_GPIO00_SEL_1_GPIO00_SHIFT                           1
#define    PADCTRLREG_GPIO00_SEL_1_GPIO00_MASK                            0x00000002
#define    PADCTRLREG_GPIO00_SEL_0_GPIO00_SHIFT                           0
#define    PADCTRLREG_GPIO00_SEL_0_GPIO00_MASK                            0x00000001

#define PADCTRLREG_GPIO01_OFFSET                                          0x00000028
#define PADCTRLREG_GPIO01_TYPE                                            UInt32
#define PADCTRLREG_GPIO01_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO01_PINSEL_GPIO01_SHIFT                          8
#define    PADCTRLREG_GPIO01_PINSEL_GPIO01_MASK                           0x00000700
#define    PADCTRLREG_GPIO01_HYS_EN_GPIO01_SHIFT                          7
#define    PADCTRLREG_GPIO01_HYS_EN_GPIO01_MASK                           0x00000080
#define    PADCTRLREG_GPIO01_PDN_GPIO01_SHIFT                             6
#define    PADCTRLREG_GPIO01_PDN_GPIO01_MASK                              0x00000040
#define    PADCTRLREG_GPIO01_PUP_GPIO01_SHIFT                             5
#define    PADCTRLREG_GPIO01_PUP_GPIO01_MASK                              0x00000020
#define    PADCTRLREG_GPIO01_SRC_GPIO01_SHIFT                             4
#define    PADCTRLREG_GPIO01_SRC_GPIO01_MASK                              0x00000010
#define    PADCTRLREG_GPIO01_IND_GPIO01_SHIFT                             3
#define    PADCTRLREG_GPIO01_IND_GPIO01_MASK                              0x00000008
#define    PADCTRLREG_GPIO01_SEL_2_GPIO01_SHIFT                           2
#define    PADCTRLREG_GPIO01_SEL_2_GPIO01_MASK                            0x00000004
#define    PADCTRLREG_GPIO01_SEL_1_GPIO01_SHIFT                           1
#define    PADCTRLREG_GPIO01_SEL_1_GPIO01_MASK                            0x00000002
#define    PADCTRLREG_GPIO01_SEL_0_GPIO01_SHIFT                           0
#define    PADCTRLREG_GPIO01_SEL_0_GPIO01_MASK                            0x00000001

#define PADCTRLREG_GPIO02_OFFSET                                          0x0000002C
#define PADCTRLREG_GPIO02_TYPE                                            UInt32
#define PADCTRLREG_GPIO02_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO02_PINSEL_GPIO02_SHIFT                          8
#define    PADCTRLREG_GPIO02_PINSEL_GPIO02_MASK                           0x00000700
#define    PADCTRLREG_GPIO02_HYS_EN_GPIO02_SHIFT                          7
#define    PADCTRLREG_GPIO02_HYS_EN_GPIO02_MASK                           0x00000080
#define    PADCTRLREG_GPIO02_PDN_GPIO02_SHIFT                             6
#define    PADCTRLREG_GPIO02_PDN_GPIO02_MASK                              0x00000040
#define    PADCTRLREG_GPIO02_PUP_GPIO02_SHIFT                             5
#define    PADCTRLREG_GPIO02_PUP_GPIO02_MASK                              0x00000020
#define    PADCTRLREG_GPIO02_SRC_GPIO02_SHIFT                             4
#define    PADCTRLREG_GPIO02_SRC_GPIO02_MASK                              0x00000010
#define    PADCTRLREG_GPIO02_IND_GPIO02_SHIFT                             3
#define    PADCTRLREG_GPIO02_IND_GPIO02_MASK                              0x00000008
#define    PADCTRLREG_GPIO02_SEL_2_GPIO02_SHIFT                           2
#define    PADCTRLREG_GPIO02_SEL_2_GPIO02_MASK                            0x00000004
#define    PADCTRLREG_GPIO02_SEL_1_GPIO02_SHIFT                           1
#define    PADCTRLREG_GPIO02_SEL_1_GPIO02_MASK                            0x00000002
#define    PADCTRLREG_GPIO02_SEL_0_GPIO02_SHIFT                           0
#define    PADCTRLREG_GPIO02_SEL_0_GPIO02_MASK                            0x00000001

#define PADCTRLREG_GPIO03_OFFSET                                          0x00000030
#define PADCTRLREG_GPIO03_TYPE                                            UInt32
#define PADCTRLREG_GPIO03_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO03_PINSEL_GPIO03_SHIFT                          8
#define    PADCTRLREG_GPIO03_PINSEL_GPIO03_MASK                           0x00000700
#define    PADCTRLREG_GPIO03_HYS_EN_GPIO03_SHIFT                          7
#define    PADCTRLREG_GPIO03_HYS_EN_GPIO03_MASK                           0x00000080
#define    PADCTRLREG_GPIO03_PDN_GPIO03_SHIFT                             6
#define    PADCTRLREG_GPIO03_PDN_GPIO03_MASK                              0x00000040
#define    PADCTRLREG_GPIO03_PUP_GPIO03_SHIFT                             5
#define    PADCTRLREG_GPIO03_PUP_GPIO03_MASK                              0x00000020
#define    PADCTRLREG_GPIO03_SRC_GPIO03_SHIFT                             4
#define    PADCTRLREG_GPIO03_SRC_GPIO03_MASK                              0x00000010
#define    PADCTRLREG_GPIO03_IND_GPIO03_SHIFT                             3
#define    PADCTRLREG_GPIO03_IND_GPIO03_MASK                              0x00000008
#define    PADCTRLREG_GPIO03_SEL_2_GPIO03_SHIFT                           2
#define    PADCTRLREG_GPIO03_SEL_2_GPIO03_MASK                            0x00000004
#define    PADCTRLREG_GPIO03_SEL_1_GPIO03_SHIFT                           1
#define    PADCTRLREG_GPIO03_SEL_1_GPIO03_MASK                            0x00000002
#define    PADCTRLREG_GPIO03_SEL_0_GPIO03_SHIFT                           0
#define    PADCTRLREG_GPIO03_SEL_0_GPIO03_MASK                            0x00000001

#define PADCTRLREG_GPIO04_OFFSET                                          0x00000034
#define PADCTRLREG_GPIO04_TYPE                                            UInt32
#define PADCTRLREG_GPIO04_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO04_PINSEL_GPIO04_SHIFT                          8
#define    PADCTRLREG_GPIO04_PINSEL_GPIO04_MASK                           0x00000700
#define    PADCTRLREG_GPIO04_HYS_EN_GPIO04_SHIFT                          7
#define    PADCTRLREG_GPIO04_HYS_EN_GPIO04_MASK                           0x00000080
#define    PADCTRLREG_GPIO04_PDN_GPIO04_SHIFT                             6
#define    PADCTRLREG_GPIO04_PDN_GPIO04_MASK                              0x00000040
#define    PADCTRLREG_GPIO04_PUP_GPIO04_SHIFT                             5
#define    PADCTRLREG_GPIO04_PUP_GPIO04_MASK                              0x00000020
#define    PADCTRLREG_GPIO04_SRC_GPIO04_SHIFT                             4
#define    PADCTRLREG_GPIO04_SRC_GPIO04_MASK                              0x00000010
#define    PADCTRLREG_GPIO04_IND_GPIO04_SHIFT                             3
#define    PADCTRLREG_GPIO04_IND_GPIO04_MASK                              0x00000008
#define    PADCTRLREG_GPIO04_SEL_2_GPIO04_SHIFT                           2
#define    PADCTRLREG_GPIO04_SEL_2_GPIO04_MASK                            0x00000004
#define    PADCTRLREG_GPIO04_SEL_1_GPIO04_SHIFT                           1
#define    PADCTRLREG_GPIO04_SEL_1_GPIO04_MASK                            0x00000002
#define    PADCTRLREG_GPIO04_SEL_0_GPIO04_SHIFT                           0
#define    PADCTRLREG_GPIO04_SEL_0_GPIO04_MASK                            0x00000001

#define PADCTRLREG_GPIO05_OFFSET                                          0x00000038
#define PADCTRLREG_GPIO05_TYPE                                            UInt32
#define PADCTRLREG_GPIO05_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO05_PINSEL_GPIO05_SHIFT                          8
#define    PADCTRLREG_GPIO05_PINSEL_GPIO05_MASK                           0x00000700
#define    PADCTRLREG_GPIO05_HYS_EN_GPIO05_SHIFT                          7
#define    PADCTRLREG_GPIO05_HYS_EN_GPIO05_MASK                           0x00000080
#define    PADCTRLREG_GPIO05_PDN_GPIO05_SHIFT                             6
#define    PADCTRLREG_GPIO05_PDN_GPIO05_MASK                              0x00000040
#define    PADCTRLREG_GPIO05_PUP_GPIO05_SHIFT                             5
#define    PADCTRLREG_GPIO05_PUP_GPIO05_MASK                              0x00000020
#define    PADCTRLREG_GPIO05_SRC_GPIO05_SHIFT                             4
#define    PADCTRLREG_GPIO05_SRC_GPIO05_MASK                              0x00000010
#define    PADCTRLREG_GPIO05_IND_GPIO05_SHIFT                             3
#define    PADCTRLREG_GPIO05_IND_GPIO05_MASK                              0x00000008
#define    PADCTRLREG_GPIO05_SEL_2_GPIO05_SHIFT                           2
#define    PADCTRLREG_GPIO05_SEL_2_GPIO05_MASK                            0x00000004
#define    PADCTRLREG_GPIO05_SEL_1_GPIO05_SHIFT                           1
#define    PADCTRLREG_GPIO05_SEL_1_GPIO05_MASK                            0x00000002
#define    PADCTRLREG_GPIO05_SEL_0_GPIO05_SHIFT                           0
#define    PADCTRLREG_GPIO05_SEL_0_GPIO05_MASK                            0x00000001

#define PADCTRLREG_GPIO06_OFFSET                                          0x0000003C
#define PADCTRLREG_GPIO06_TYPE                                            UInt32
#define PADCTRLREG_GPIO06_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO06_PINSEL_GPIO06_SHIFT                          8
#define    PADCTRLREG_GPIO06_PINSEL_GPIO06_MASK                           0x00000700
#define    PADCTRLREG_GPIO06_HYS_EN_GPIO06_SHIFT                          7
#define    PADCTRLREG_GPIO06_HYS_EN_GPIO06_MASK                           0x00000080
#define    PADCTRLREG_GPIO06_PDN_GPIO06_SHIFT                             6
#define    PADCTRLREG_GPIO06_PDN_GPIO06_MASK                              0x00000040
#define    PADCTRLREG_GPIO06_PUP_GPIO06_SHIFT                             5
#define    PADCTRLREG_GPIO06_PUP_GPIO06_MASK                              0x00000020
#define    PADCTRLREG_GPIO06_SRC_GPIO06_SHIFT                             4
#define    PADCTRLREG_GPIO06_SRC_GPIO06_MASK                              0x00000010
#define    PADCTRLREG_GPIO06_IND_GPIO06_SHIFT                             3
#define    PADCTRLREG_GPIO06_IND_GPIO06_MASK                              0x00000008
#define    PADCTRLREG_GPIO06_SEL_2_GPIO06_SHIFT                           2
#define    PADCTRLREG_GPIO06_SEL_2_GPIO06_MASK                            0x00000004
#define    PADCTRLREG_GPIO06_SEL_1_GPIO06_SHIFT                           1
#define    PADCTRLREG_GPIO06_SEL_1_GPIO06_MASK                            0x00000002
#define    PADCTRLREG_GPIO06_SEL_0_GPIO06_SHIFT                           0
#define    PADCTRLREG_GPIO06_SEL_0_GPIO06_MASK                            0x00000001

#define PADCTRLREG_GPIO07_OFFSET                                          0x00000040
#define PADCTRLREG_GPIO07_TYPE                                            UInt32
#define PADCTRLREG_GPIO07_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO07_PINSEL_GPIO07_SHIFT                          8
#define    PADCTRLREG_GPIO07_PINSEL_GPIO07_MASK                           0x00000700
#define    PADCTRLREG_GPIO07_HYS_EN_GPIO07_SHIFT                          7
#define    PADCTRLREG_GPIO07_HYS_EN_GPIO07_MASK                           0x00000080
#define    PADCTRLREG_GPIO07_PDN_GPIO07_SHIFT                             6
#define    PADCTRLREG_GPIO07_PDN_GPIO07_MASK                              0x00000040
#define    PADCTRLREG_GPIO07_PUP_GPIO07_SHIFT                             5
#define    PADCTRLREG_GPIO07_PUP_GPIO07_MASK                              0x00000020
#define    PADCTRLREG_GPIO07_SRC_GPIO07_SHIFT                             4
#define    PADCTRLREG_GPIO07_SRC_GPIO07_MASK                              0x00000010
#define    PADCTRLREG_GPIO07_IND_GPIO07_SHIFT                             3
#define    PADCTRLREG_GPIO07_IND_GPIO07_MASK                              0x00000008
#define    PADCTRLREG_GPIO07_SEL_2_GPIO07_SHIFT                           2
#define    PADCTRLREG_GPIO07_SEL_2_GPIO07_MASK                            0x00000004
#define    PADCTRLREG_GPIO07_SEL_1_GPIO07_SHIFT                           1
#define    PADCTRLREG_GPIO07_SEL_1_GPIO07_MASK                            0x00000002
#define    PADCTRLREG_GPIO07_SEL_0_GPIO07_SHIFT                           0
#define    PADCTRLREG_GPIO07_SEL_0_GPIO07_MASK                            0x00000001

#define PADCTRLREG_GPIO08_OFFSET                                          0x00000044
#define PADCTRLREG_GPIO08_TYPE                                            UInt32
#define PADCTRLREG_GPIO08_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO08_PINSEL_GPIO08_SHIFT                          8
#define    PADCTRLREG_GPIO08_PINSEL_GPIO08_MASK                           0x00000700
#define    PADCTRLREG_GPIO08_HYS_EN_GPIO08_SHIFT                          7
#define    PADCTRLREG_GPIO08_HYS_EN_GPIO08_MASK                           0x00000080
#define    PADCTRLREG_GPIO08_PDN_GPIO08_SHIFT                             6
#define    PADCTRLREG_GPIO08_PDN_GPIO08_MASK                              0x00000040
#define    PADCTRLREG_GPIO08_PUP_GPIO08_SHIFT                             5
#define    PADCTRLREG_GPIO08_PUP_GPIO08_MASK                              0x00000020
#define    PADCTRLREG_GPIO08_SRC_GPIO08_SHIFT                             4
#define    PADCTRLREG_GPIO08_SRC_GPIO08_MASK                              0x00000010
#define    PADCTRLREG_GPIO08_IND_GPIO08_SHIFT                             3
#define    PADCTRLREG_GPIO08_IND_GPIO08_MASK                              0x00000008
#define    PADCTRLREG_GPIO08_SEL_2_GPIO08_SHIFT                           2
#define    PADCTRLREG_GPIO08_SEL_2_GPIO08_MASK                            0x00000004
#define    PADCTRLREG_GPIO08_SEL_1_GPIO08_SHIFT                           1
#define    PADCTRLREG_GPIO08_SEL_1_GPIO08_MASK                            0x00000002
#define    PADCTRLREG_GPIO08_SEL_0_GPIO08_SHIFT                           0
#define    PADCTRLREG_GPIO08_SEL_0_GPIO08_MASK                            0x00000001

#define PADCTRLREG_GPIO09_OFFSET                                          0x00000048
#define PADCTRLREG_GPIO09_TYPE                                            UInt32
#define PADCTRLREG_GPIO09_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO09_PINSEL_GPIO09_SHIFT                          8
#define    PADCTRLREG_GPIO09_PINSEL_GPIO09_MASK                           0x00000700
#define    PADCTRLREG_GPIO09_HYS_EN_GPIO09_SHIFT                          7
#define    PADCTRLREG_GPIO09_HYS_EN_GPIO09_MASK                           0x00000080
#define    PADCTRLREG_GPIO09_PDN_GPIO09_SHIFT                             6
#define    PADCTRLREG_GPIO09_PDN_GPIO09_MASK                              0x00000040
#define    PADCTRLREG_GPIO09_PUP_GPIO09_SHIFT                             5
#define    PADCTRLREG_GPIO09_PUP_GPIO09_MASK                              0x00000020
#define    PADCTRLREG_GPIO09_SRC_GPIO09_SHIFT                             4
#define    PADCTRLREG_GPIO09_SRC_GPIO09_MASK                              0x00000010
#define    PADCTRLREG_GPIO09_IND_GPIO09_SHIFT                             3
#define    PADCTRLREG_GPIO09_IND_GPIO09_MASK                              0x00000008
#define    PADCTRLREG_GPIO09_SEL_2_GPIO09_SHIFT                           2
#define    PADCTRLREG_GPIO09_SEL_2_GPIO09_MASK                            0x00000004
#define    PADCTRLREG_GPIO09_SEL_1_GPIO09_SHIFT                           1
#define    PADCTRLREG_GPIO09_SEL_1_GPIO09_MASK                            0x00000002
#define    PADCTRLREG_GPIO09_SEL_0_GPIO09_SHIFT                           0
#define    PADCTRLREG_GPIO09_SEL_0_GPIO09_MASK                            0x00000001

#define PADCTRLREG_GPIO10_OFFSET                                          0x0000004C
#define PADCTRLREG_GPIO10_TYPE                                            UInt32
#define PADCTRLREG_GPIO10_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO10_PINSEL_GPIO10_SHIFT                          8
#define    PADCTRLREG_GPIO10_PINSEL_GPIO10_MASK                           0x00000700
#define    PADCTRLREG_GPIO10_HYS_EN_GPIO10_SHIFT                          7
#define    PADCTRLREG_GPIO10_HYS_EN_GPIO10_MASK                           0x00000080
#define    PADCTRLREG_GPIO10_PDN_GPIO10_SHIFT                             6
#define    PADCTRLREG_GPIO10_PDN_GPIO10_MASK                              0x00000040
#define    PADCTRLREG_GPIO10_PUP_GPIO10_SHIFT                             5
#define    PADCTRLREG_GPIO10_PUP_GPIO10_MASK                              0x00000020
#define    PADCTRLREG_GPIO10_SRC_GPIO10_SHIFT                             4
#define    PADCTRLREG_GPIO10_SRC_GPIO10_MASK                              0x00000010
#define    PADCTRLREG_GPIO10_IND_GPIO10_SHIFT                             3
#define    PADCTRLREG_GPIO10_IND_GPIO10_MASK                              0x00000008
#define    PADCTRLREG_GPIO10_SEL_2_GPIO10_SHIFT                           2
#define    PADCTRLREG_GPIO10_SEL_2_GPIO10_MASK                            0x00000004
#define    PADCTRLREG_GPIO10_SEL_1_GPIO10_SHIFT                           1
#define    PADCTRLREG_GPIO10_SEL_1_GPIO10_MASK                            0x00000002
#define    PADCTRLREG_GPIO10_SEL_0_GPIO10_SHIFT                           0
#define    PADCTRLREG_GPIO10_SEL_0_GPIO10_MASK                            0x00000001

#define PADCTRLREG_GPIO11_OFFSET                                          0x00000050
#define PADCTRLREG_GPIO11_TYPE                                            UInt32
#define PADCTRLREG_GPIO11_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO11_PINSEL_GPIO11_SHIFT                          8
#define    PADCTRLREG_GPIO11_PINSEL_GPIO11_MASK                           0x00000700
#define    PADCTRLREG_GPIO11_HYS_EN_GPIO11_SHIFT                          7
#define    PADCTRLREG_GPIO11_HYS_EN_GPIO11_MASK                           0x00000080
#define    PADCTRLREG_GPIO11_PDN_GPIO11_SHIFT                             6
#define    PADCTRLREG_GPIO11_PDN_GPIO11_MASK                              0x00000040
#define    PADCTRLREG_GPIO11_PUP_GPIO11_SHIFT                             5
#define    PADCTRLREG_GPIO11_PUP_GPIO11_MASK                              0x00000020
#define    PADCTRLREG_GPIO11_SRC_GPIO11_SHIFT                             4
#define    PADCTRLREG_GPIO11_SRC_GPIO11_MASK                              0x00000010
#define    PADCTRLREG_GPIO11_IND_GPIO11_SHIFT                             3
#define    PADCTRLREG_GPIO11_IND_GPIO11_MASK                              0x00000008
#define    PADCTRLREG_GPIO11_SEL_2_GPIO11_SHIFT                           2
#define    PADCTRLREG_GPIO11_SEL_2_GPIO11_MASK                            0x00000004
#define    PADCTRLREG_GPIO11_SEL_1_GPIO11_SHIFT                           1
#define    PADCTRLREG_GPIO11_SEL_1_GPIO11_MASK                            0x00000002
#define    PADCTRLREG_GPIO11_SEL_0_GPIO11_SHIFT                           0
#define    PADCTRLREG_GPIO11_SEL_0_GPIO11_MASK                            0x00000001

#define PADCTRLREG_GPIO12_OFFSET                                          0x00000054
#define PADCTRLREG_GPIO12_TYPE                                            UInt32
#define PADCTRLREG_GPIO12_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO12_PINSEL_GPIO12_SHIFT                          8
#define    PADCTRLREG_GPIO12_PINSEL_GPIO12_MASK                           0x00000700
#define    PADCTRLREG_GPIO12_HYS_EN_GPIO12_SHIFT                          7
#define    PADCTRLREG_GPIO12_HYS_EN_GPIO12_MASK                           0x00000080
#define    PADCTRLREG_GPIO12_PDN_GPIO12_SHIFT                             6
#define    PADCTRLREG_GPIO12_PDN_GPIO12_MASK                              0x00000040
#define    PADCTRLREG_GPIO12_PUP_GPIO12_SHIFT                             5
#define    PADCTRLREG_GPIO12_PUP_GPIO12_MASK                              0x00000020
#define    PADCTRLREG_GPIO12_SRC_GPIO12_SHIFT                             4
#define    PADCTRLREG_GPIO12_SRC_GPIO12_MASK                              0x00000010
#define    PADCTRLREG_GPIO12_IND_GPIO12_SHIFT                             3
#define    PADCTRLREG_GPIO12_IND_GPIO12_MASK                              0x00000008
#define    PADCTRLREG_GPIO12_SEL_2_GPIO12_SHIFT                           2
#define    PADCTRLREG_GPIO12_SEL_2_GPIO12_MASK                            0x00000004
#define    PADCTRLREG_GPIO12_SEL_1_GPIO12_SHIFT                           1
#define    PADCTRLREG_GPIO12_SEL_1_GPIO12_MASK                            0x00000002
#define    PADCTRLREG_GPIO12_SEL_0_GPIO12_SHIFT                           0
#define    PADCTRLREG_GPIO12_SEL_0_GPIO12_MASK                            0x00000001

#define PADCTRLREG_GPIO13_OFFSET                                          0x00000058
#define PADCTRLREG_GPIO13_TYPE                                            UInt32
#define PADCTRLREG_GPIO13_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO13_PINSEL_GPIO13_SHIFT                          8
#define    PADCTRLREG_GPIO13_PINSEL_GPIO13_MASK                           0x00000700
#define    PADCTRLREG_GPIO13_HYS_EN_GPIO13_SHIFT                          7
#define    PADCTRLREG_GPIO13_HYS_EN_GPIO13_MASK                           0x00000080
#define    PADCTRLREG_GPIO13_PDN_GPIO13_SHIFT                             6
#define    PADCTRLREG_GPIO13_PDN_GPIO13_MASK                              0x00000040
#define    PADCTRLREG_GPIO13_PUP_GPIO13_SHIFT                             5
#define    PADCTRLREG_GPIO13_PUP_GPIO13_MASK                              0x00000020
#define    PADCTRLREG_GPIO13_SRC_GPIO13_SHIFT                             4
#define    PADCTRLREG_GPIO13_SRC_GPIO13_MASK                              0x00000010
#define    PADCTRLREG_GPIO13_IND_GPIO13_SHIFT                             3
#define    PADCTRLREG_GPIO13_IND_GPIO13_MASK                              0x00000008
#define    PADCTRLREG_GPIO13_SEL_2_GPIO13_SHIFT                           2
#define    PADCTRLREG_GPIO13_SEL_2_GPIO13_MASK                            0x00000004
#define    PADCTRLREG_GPIO13_SEL_1_GPIO13_SHIFT                           1
#define    PADCTRLREG_GPIO13_SEL_1_GPIO13_MASK                            0x00000002
#define    PADCTRLREG_GPIO13_SEL_0_GPIO13_SHIFT                           0
#define    PADCTRLREG_GPIO13_SEL_0_GPIO13_MASK                            0x00000001

#define PADCTRLREG_GPIO14_OFFSET                                          0x0000005C
#define PADCTRLREG_GPIO14_TYPE                                            UInt32
#define PADCTRLREG_GPIO14_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO14_PINSEL_GPIO14_SHIFT                          8
#define    PADCTRLREG_GPIO14_PINSEL_GPIO14_MASK                           0x00000700
#define    PADCTRLREG_GPIO14_HYS_EN_GPIO14_SHIFT                          7
#define    PADCTRLREG_GPIO14_HYS_EN_GPIO14_MASK                           0x00000080
#define    PADCTRLREG_GPIO14_PDN_GPIO14_SHIFT                             6
#define    PADCTRLREG_GPIO14_PDN_GPIO14_MASK                              0x00000040
#define    PADCTRLREG_GPIO14_PUP_GPIO14_SHIFT                             5
#define    PADCTRLREG_GPIO14_PUP_GPIO14_MASK                              0x00000020
#define    PADCTRLREG_GPIO14_SRC_GPIO14_SHIFT                             4
#define    PADCTRLREG_GPIO14_SRC_GPIO14_MASK                              0x00000010
#define    PADCTRLREG_GPIO14_IND_GPIO14_SHIFT                             3
#define    PADCTRLREG_GPIO14_IND_GPIO14_MASK                              0x00000008
#define    PADCTRLREG_GPIO14_SEL_2_GPIO14_SHIFT                           2
#define    PADCTRLREG_GPIO14_SEL_2_GPIO14_MASK                            0x00000004
#define    PADCTRLREG_GPIO14_SEL_1_GPIO14_SHIFT                           1
#define    PADCTRLREG_GPIO14_SEL_1_GPIO14_MASK                            0x00000002
#define    PADCTRLREG_GPIO14_SEL_0_GPIO14_SHIFT                           0
#define    PADCTRLREG_GPIO14_SEL_0_GPIO14_MASK                            0x00000001

#define PADCTRLREG_GPIO15_OFFSET                                          0x00000060
#define PADCTRLREG_GPIO15_TYPE                                            UInt32
#define PADCTRLREG_GPIO15_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO15_PINSEL_GPIO15_SHIFT                          8
#define    PADCTRLREG_GPIO15_PINSEL_GPIO15_MASK                           0x00000700
#define    PADCTRLREG_GPIO15_HYS_EN_GPIO15_SHIFT                          7
#define    PADCTRLREG_GPIO15_HYS_EN_GPIO15_MASK                           0x00000080
#define    PADCTRLREG_GPIO15_PDN_GPIO15_SHIFT                             6
#define    PADCTRLREG_GPIO15_PDN_GPIO15_MASK                              0x00000040
#define    PADCTRLREG_GPIO15_PUP_GPIO15_SHIFT                             5
#define    PADCTRLREG_GPIO15_PUP_GPIO15_MASK                              0x00000020
#define    PADCTRLREG_GPIO15_SRC_GPIO15_SHIFT                             4
#define    PADCTRLREG_GPIO15_SRC_GPIO15_MASK                              0x00000010
#define    PADCTRLREG_GPIO15_IND_GPIO15_SHIFT                             3
#define    PADCTRLREG_GPIO15_IND_GPIO15_MASK                              0x00000008
#define    PADCTRLREG_GPIO15_SEL_2_GPIO15_SHIFT                           2
#define    PADCTRLREG_GPIO15_SEL_2_GPIO15_MASK                            0x00000004
#define    PADCTRLREG_GPIO15_SEL_1_GPIO15_SHIFT                           1
#define    PADCTRLREG_GPIO15_SEL_1_GPIO15_MASK                            0x00000002
#define    PADCTRLREG_GPIO15_SEL_0_GPIO15_SHIFT                           0
#define    PADCTRLREG_GPIO15_SEL_0_GPIO15_MASK                            0x00000001

#define PADCTRLREG_GPIO16_OFFSET                                          0x00000064
#define PADCTRLREG_GPIO16_TYPE                                            UInt32
#define PADCTRLREG_GPIO16_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO16_PINSEL_GPIO16_SHIFT                          8
#define    PADCTRLREG_GPIO16_PINSEL_GPIO16_MASK                           0x00000700
#define    PADCTRLREG_GPIO16_HYS_EN_GPIO16_SHIFT                          7
#define    PADCTRLREG_GPIO16_HYS_EN_GPIO16_MASK                           0x00000080
#define    PADCTRLREG_GPIO16_PDN_GPIO16_SHIFT                             6
#define    PADCTRLREG_GPIO16_PDN_GPIO16_MASK                              0x00000040
#define    PADCTRLREG_GPIO16_PUP_GPIO16_SHIFT                             5
#define    PADCTRLREG_GPIO16_PUP_GPIO16_MASK                              0x00000020
#define    PADCTRLREG_GPIO16_SRC_GPIO16_SHIFT                             4
#define    PADCTRLREG_GPIO16_SRC_GPIO16_MASK                              0x00000010
#define    PADCTRLREG_GPIO16_IND_GPIO16_SHIFT                             3
#define    PADCTRLREG_GPIO16_IND_GPIO16_MASK                              0x00000008
#define    PADCTRLREG_GPIO16_SEL_2_GPIO16_SHIFT                           2
#define    PADCTRLREG_GPIO16_SEL_2_GPIO16_MASK                            0x00000004
#define    PADCTRLREG_GPIO16_SEL_1_GPIO16_SHIFT                           1
#define    PADCTRLREG_GPIO16_SEL_1_GPIO16_MASK                            0x00000002
#define    PADCTRLREG_GPIO16_SEL_0_GPIO16_SHIFT                           0
#define    PADCTRLREG_GPIO16_SEL_0_GPIO16_MASK                            0x00000001

#define PADCTRLREG_GPIO17_OFFSET                                          0x00000068
#define PADCTRLREG_GPIO17_TYPE                                            UInt32
#define PADCTRLREG_GPIO17_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO17_PINSEL_GPIO17_SHIFT                          8
#define    PADCTRLREG_GPIO17_PINSEL_GPIO17_MASK                           0x00000700
#define    PADCTRLREG_GPIO17_HYS_EN_GPIO17_SHIFT                          7
#define    PADCTRLREG_GPIO17_HYS_EN_GPIO17_MASK                           0x00000080
#define    PADCTRLREG_GPIO17_PDN_GPIO17_SHIFT                             6
#define    PADCTRLREG_GPIO17_PDN_GPIO17_MASK                              0x00000040
#define    PADCTRLREG_GPIO17_PUP_GPIO17_SHIFT                             5
#define    PADCTRLREG_GPIO17_PUP_GPIO17_MASK                              0x00000020
#define    PADCTRLREG_GPIO17_SRC_GPIO17_SHIFT                             4
#define    PADCTRLREG_GPIO17_SRC_GPIO17_MASK                              0x00000010
#define    PADCTRLREG_GPIO17_IND_GPIO17_SHIFT                             3
#define    PADCTRLREG_GPIO17_IND_GPIO17_MASK                              0x00000008
#define    PADCTRLREG_GPIO17_SEL_2_GPIO17_SHIFT                           2
#define    PADCTRLREG_GPIO17_SEL_2_GPIO17_MASK                            0x00000004
#define    PADCTRLREG_GPIO17_SEL_1_GPIO17_SHIFT                           1
#define    PADCTRLREG_GPIO17_SEL_1_GPIO17_MASK                            0x00000002
#define    PADCTRLREG_GPIO17_SEL_0_GPIO17_SHIFT                           0
#define    PADCTRLREG_GPIO17_SEL_0_GPIO17_MASK                            0x00000001

#define PADCTRLREG_GPIO18_OFFSET                                          0x0000006C
#define PADCTRLREG_GPIO18_TYPE                                            UInt32
#define PADCTRLREG_GPIO18_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO18_PINSEL_GPIO18_SHIFT                          8
#define    PADCTRLREG_GPIO18_PINSEL_GPIO18_MASK                           0x00000700
#define    PADCTRLREG_GPIO18_HYS_EN_GPIO18_SHIFT                          7
#define    PADCTRLREG_GPIO18_HYS_EN_GPIO18_MASK                           0x00000080
#define    PADCTRLREG_GPIO18_PDN_GPIO18_SHIFT                             6
#define    PADCTRLREG_GPIO18_PDN_GPIO18_MASK                              0x00000040
#define    PADCTRLREG_GPIO18_PUP_GPIO18_SHIFT                             5
#define    PADCTRLREG_GPIO18_PUP_GPIO18_MASK                              0x00000020
#define    PADCTRLREG_GPIO18_SRC_GPIO18_SHIFT                             4
#define    PADCTRLREG_GPIO18_SRC_GPIO18_MASK                              0x00000010
#define    PADCTRLREG_GPIO18_IND_GPIO18_SHIFT                             3
#define    PADCTRLREG_GPIO18_IND_GPIO18_MASK                              0x00000008
#define    PADCTRLREG_GPIO18_SEL_2_GPIO18_SHIFT                           2
#define    PADCTRLREG_GPIO18_SEL_2_GPIO18_MASK                            0x00000004
#define    PADCTRLREG_GPIO18_SEL_1_GPIO18_SHIFT                           1
#define    PADCTRLREG_GPIO18_SEL_1_GPIO18_MASK                            0x00000002
#define    PADCTRLREG_GPIO18_SEL_0_GPIO18_SHIFT                           0
#define    PADCTRLREG_GPIO18_SEL_0_GPIO18_MASK                            0x00000001

#define PADCTRLREG_GPIO19_OFFSET                                          0x00000070
#define PADCTRLREG_GPIO19_TYPE                                            UInt32
#define PADCTRLREG_GPIO19_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO19_PINSEL_GPIO19_SHIFT                          8
#define    PADCTRLREG_GPIO19_PINSEL_GPIO19_MASK                           0x00000700
#define    PADCTRLREG_GPIO19_HYS_EN_GPIO19_SHIFT                          7
#define    PADCTRLREG_GPIO19_HYS_EN_GPIO19_MASK                           0x00000080
#define    PADCTRLREG_GPIO19_PDN_GPIO19_SHIFT                             6
#define    PADCTRLREG_GPIO19_PDN_GPIO19_MASK                              0x00000040
#define    PADCTRLREG_GPIO19_PUP_GPIO19_SHIFT                             5
#define    PADCTRLREG_GPIO19_PUP_GPIO19_MASK                              0x00000020
#define    PADCTRLREG_GPIO19_SRC_GPIO19_SHIFT                             4
#define    PADCTRLREG_GPIO19_SRC_GPIO19_MASK                              0x00000010
#define    PADCTRLREG_GPIO19_IND_GPIO19_SHIFT                             3
#define    PADCTRLREG_GPIO19_IND_GPIO19_MASK                              0x00000008
#define    PADCTRLREG_GPIO19_SEL_2_GPIO19_SHIFT                           2
#define    PADCTRLREG_GPIO19_SEL_2_GPIO19_MASK                            0x00000004
#define    PADCTRLREG_GPIO19_SEL_1_GPIO19_SHIFT                           1
#define    PADCTRLREG_GPIO19_SEL_1_GPIO19_MASK                            0x00000002
#define    PADCTRLREG_GPIO19_SEL_0_GPIO19_SHIFT                           0
#define    PADCTRLREG_GPIO19_SEL_0_GPIO19_MASK                            0x00000001

#define PADCTRLREG_GPIO20_OFFSET                                          0x00000074
#define PADCTRLREG_GPIO20_TYPE                                            UInt32
#define PADCTRLREG_GPIO20_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO20_PINSEL_GPIO20_SHIFT                          8
#define    PADCTRLREG_GPIO20_PINSEL_GPIO20_MASK                           0x00000700
#define    PADCTRLREG_GPIO20_HYS_EN_GPIO20_SHIFT                          7
#define    PADCTRLREG_GPIO20_HYS_EN_GPIO20_MASK                           0x00000080
#define    PADCTRLREG_GPIO20_PDN_GPIO20_SHIFT                             6
#define    PADCTRLREG_GPIO20_PDN_GPIO20_MASK                              0x00000040
#define    PADCTRLREG_GPIO20_PUP_GPIO20_SHIFT                             5
#define    PADCTRLREG_GPIO20_PUP_GPIO20_MASK                              0x00000020
#define    PADCTRLREG_GPIO20_SRC_GPIO20_SHIFT                             4
#define    PADCTRLREG_GPIO20_SRC_GPIO20_MASK                              0x00000010
#define    PADCTRLREG_GPIO20_IND_GPIO20_SHIFT                             3
#define    PADCTRLREG_GPIO20_IND_GPIO20_MASK                              0x00000008
#define    PADCTRLREG_GPIO20_SEL_2_GPIO20_SHIFT                           2
#define    PADCTRLREG_GPIO20_SEL_2_GPIO20_MASK                            0x00000004
#define    PADCTRLREG_GPIO20_SEL_1_GPIO20_SHIFT                           1
#define    PADCTRLREG_GPIO20_SEL_1_GPIO20_MASK                            0x00000002
#define    PADCTRLREG_GPIO20_SEL_0_GPIO20_SHIFT                           0
#define    PADCTRLREG_GPIO20_SEL_0_GPIO20_MASK                            0x00000001

#define PADCTRLREG_GPIO21_OFFSET                                          0x00000078
#define PADCTRLREG_GPIO21_TYPE                                            UInt32
#define PADCTRLREG_GPIO21_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO21_PINSEL_GPIO21_SHIFT                          8
#define    PADCTRLREG_GPIO21_PINSEL_GPIO21_MASK                           0x00000700
#define    PADCTRLREG_GPIO21_HYS_EN_GPIO21_SHIFT                          7
#define    PADCTRLREG_GPIO21_HYS_EN_GPIO21_MASK                           0x00000080
#define    PADCTRLREG_GPIO21_PDN_GPIO21_SHIFT                             6
#define    PADCTRLREG_GPIO21_PDN_GPIO21_MASK                              0x00000040
#define    PADCTRLREG_GPIO21_PUP_GPIO21_SHIFT                             5
#define    PADCTRLREG_GPIO21_PUP_GPIO21_MASK                              0x00000020
#define    PADCTRLREG_GPIO21_SRC_GPIO21_SHIFT                             4
#define    PADCTRLREG_GPIO21_SRC_GPIO21_MASK                              0x00000010
#define    PADCTRLREG_GPIO21_IND_GPIO21_SHIFT                             3
#define    PADCTRLREG_GPIO21_IND_GPIO21_MASK                              0x00000008
#define    PADCTRLREG_GPIO21_SEL_2_GPIO21_SHIFT                           2
#define    PADCTRLREG_GPIO21_SEL_2_GPIO21_MASK                            0x00000004
#define    PADCTRLREG_GPIO21_SEL_1_GPIO21_SHIFT                           1
#define    PADCTRLREG_GPIO21_SEL_1_GPIO21_MASK                            0x00000002
#define    PADCTRLREG_GPIO21_SEL_0_GPIO21_SHIFT                           0
#define    PADCTRLREG_GPIO21_SEL_0_GPIO21_MASK                            0x00000001

#define PADCTRLREG_GPIO22_OFFSET                                          0x0000007C
#define PADCTRLREG_GPIO22_TYPE                                            UInt32
#define PADCTRLREG_GPIO22_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO22_PINSEL_GPIO22_SHIFT                          8
#define    PADCTRLREG_GPIO22_PINSEL_GPIO22_MASK                           0x00000700
#define    PADCTRLREG_GPIO22_HYS_EN_GPIO22_SHIFT                          7
#define    PADCTRLREG_GPIO22_HYS_EN_GPIO22_MASK                           0x00000080
#define    PADCTRLREG_GPIO22_PDN_GPIO22_SHIFT                             6
#define    PADCTRLREG_GPIO22_PDN_GPIO22_MASK                              0x00000040
#define    PADCTRLREG_GPIO22_PUP_GPIO22_SHIFT                             5
#define    PADCTRLREG_GPIO22_PUP_GPIO22_MASK                              0x00000020
#define    PADCTRLREG_GPIO22_SRC_GPIO22_SHIFT                             4
#define    PADCTRLREG_GPIO22_SRC_GPIO22_MASK                              0x00000010
#define    PADCTRLREG_GPIO22_IND_GPIO22_SHIFT                             3
#define    PADCTRLREG_GPIO22_IND_GPIO22_MASK                              0x00000008
#define    PADCTRLREG_GPIO22_SEL_2_GPIO22_SHIFT                           2
#define    PADCTRLREG_GPIO22_SEL_2_GPIO22_MASK                            0x00000004
#define    PADCTRLREG_GPIO22_SEL_1_GPIO22_SHIFT                           1
#define    PADCTRLREG_GPIO22_SEL_1_GPIO22_MASK                            0x00000002
#define    PADCTRLREG_GPIO22_SEL_0_GPIO22_SHIFT                           0
#define    PADCTRLREG_GPIO22_SEL_0_GPIO22_MASK                            0x00000001

#define PADCTRLREG_GPIO23_OFFSET                                          0x00000080
#define PADCTRLREG_GPIO23_TYPE                                            UInt32
#define PADCTRLREG_GPIO23_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO23_PINSEL_GPIO23_SHIFT                          8
#define    PADCTRLREG_GPIO23_PINSEL_GPIO23_MASK                           0x00000700
#define    PADCTRLREG_GPIO23_HYS_EN_GPIO23_SHIFT                          7
#define    PADCTRLREG_GPIO23_HYS_EN_GPIO23_MASK                           0x00000080
#define    PADCTRLREG_GPIO23_PDN_GPIO23_SHIFT                             6
#define    PADCTRLREG_GPIO23_PDN_GPIO23_MASK                              0x00000040
#define    PADCTRLREG_GPIO23_PUP_GPIO23_SHIFT                             5
#define    PADCTRLREG_GPIO23_PUP_GPIO23_MASK                              0x00000020
#define    PADCTRLREG_GPIO23_SRC_GPIO23_SHIFT                             4
#define    PADCTRLREG_GPIO23_SRC_GPIO23_MASK                              0x00000010
#define    PADCTRLREG_GPIO23_IND_GPIO23_SHIFT                             3
#define    PADCTRLREG_GPIO23_IND_GPIO23_MASK                              0x00000008
#define    PADCTRLREG_GPIO23_SEL_2_GPIO23_SHIFT                           2
#define    PADCTRLREG_GPIO23_SEL_2_GPIO23_MASK                            0x00000004
#define    PADCTRLREG_GPIO23_SEL_1_GPIO23_SHIFT                           1
#define    PADCTRLREG_GPIO23_SEL_1_GPIO23_MASK                            0x00000002
#define    PADCTRLREG_GPIO23_SEL_0_GPIO23_SHIFT                           0
#define    PADCTRLREG_GPIO23_SEL_0_GPIO23_MASK                            0x00000001

#define PADCTRLREG_GPIO24_OFFSET                                          0x00000084
#define PADCTRLREG_GPIO24_TYPE                                            UInt32
#define PADCTRLREG_GPIO24_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_GPIO24_PINSEL_GPIO24_SHIFT                          8
#define    PADCTRLREG_GPIO24_PINSEL_GPIO24_MASK                           0x00000700
#define    PADCTRLREG_GPIO24_HYS_EN_GPIO24_SHIFT                          7
#define    PADCTRLREG_GPIO24_HYS_EN_GPIO24_MASK                           0x00000080
#define    PADCTRLREG_GPIO24_PDN_GPIO24_SHIFT                             6
#define    PADCTRLREG_GPIO24_PDN_GPIO24_MASK                              0x00000040
#define    PADCTRLREG_GPIO24_PUP_GPIO24_SHIFT                             5
#define    PADCTRLREG_GPIO24_PUP_GPIO24_MASK                              0x00000020
#define    PADCTRLREG_GPIO24_SRC_GPIO24_SHIFT                             4
#define    PADCTRLREG_GPIO24_SRC_GPIO24_MASK                              0x00000010
#define    PADCTRLREG_GPIO24_IND_GPIO24_SHIFT                             3
#define    PADCTRLREG_GPIO24_IND_GPIO24_MASK                              0x00000008
#define    PADCTRLREG_GPIO24_SEL_2_GPIO24_SHIFT                           2
#define    PADCTRLREG_GPIO24_SEL_2_GPIO24_MASK                            0x00000004
#define    PADCTRLREG_GPIO24_SEL_1_GPIO24_SHIFT                           1
#define    PADCTRLREG_GPIO24_SEL_1_GPIO24_MASK                            0x00000002
#define    PADCTRLREG_GPIO24_SEL_0_GPIO24_SHIFT                           0
#define    PADCTRLREG_GPIO24_SEL_0_GPIO24_MASK                            0x00000001

#define PADCTRLREG_LCD_CD_OFFSET                                          0x00000088
#define PADCTRLREG_LCD_CD_TYPE                                            UInt32
#define PADCTRLREG_LCD_CD_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_CD_PINSEL_LCD_CD_SHIFT                          8
#define    PADCTRLREG_LCD_CD_PINSEL_LCD_CD_MASK                           0x00000700
#define    PADCTRLREG_LCD_CD_HYS_EN_LCD_CD_SHIFT                          7
#define    PADCTRLREG_LCD_CD_HYS_EN_LCD_CD_MASK                           0x00000080
#define    PADCTRLREG_LCD_CD_PDN_LCD_CD_SHIFT                             6
#define    PADCTRLREG_LCD_CD_PDN_LCD_CD_MASK                              0x00000040
#define    PADCTRLREG_LCD_CD_PUP_LCD_CD_SHIFT                             5
#define    PADCTRLREG_LCD_CD_PUP_LCD_CD_MASK                              0x00000020
#define    PADCTRLREG_LCD_CD_SRC_LCD_CD_SHIFT                             4
#define    PADCTRLREG_LCD_CD_SRC_LCD_CD_MASK                              0x00000010
#define    PADCTRLREG_LCD_CD_IND_LCD_CD_SHIFT                             3
#define    PADCTRLREG_LCD_CD_IND_LCD_CD_MASK                              0x00000008
#define    PADCTRLREG_LCD_CD_SEL_2_LCD_CD_SHIFT                           2
#define    PADCTRLREG_LCD_CD_SEL_2_LCD_CD_MASK                            0x00000004
#define    PADCTRLREG_LCD_CD_SEL_1_LCD_CD_SHIFT                           1
#define    PADCTRLREG_LCD_CD_SEL_1_LCD_CD_MASK                            0x00000002
#define    PADCTRLREG_LCD_CD_SEL_0_LCD_CD_SHIFT                           0
#define    PADCTRLREG_LCD_CD_SEL_0_LCD_CD_MASK                            0x00000001

#define PADCTRLREG_LCD_CS0_OFFSET                                         0x0000008C
#define PADCTRLREG_LCD_CS0_TYPE                                           UInt32
#define PADCTRLREG_LCD_CS0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_CS0_PINSEL_LCD_CS0_SHIFT                        8
#define    PADCTRLREG_LCD_CS0_PINSEL_LCD_CS0_MASK                         0x00000700
#define    PADCTRLREG_LCD_CS0_HYS_EN_LCD_CS0_SHIFT                        7
#define    PADCTRLREG_LCD_CS0_HYS_EN_LCD_CS0_MASK                         0x00000080
#define    PADCTRLREG_LCD_CS0_PDN_LCD_CS0_SHIFT                           6
#define    PADCTRLREG_LCD_CS0_PDN_LCD_CS0_MASK                            0x00000040
#define    PADCTRLREG_LCD_CS0_PUP_LCD_CS0_SHIFT                           5
#define    PADCTRLREG_LCD_CS0_PUP_LCD_CS0_MASK                            0x00000020
#define    PADCTRLREG_LCD_CS0_SRC_LCD_CS0_SHIFT                           4
#define    PADCTRLREG_LCD_CS0_SRC_LCD_CS0_MASK                            0x00000010
#define    PADCTRLREG_LCD_CS0_IND_LCD_CS0_SHIFT                           3
#define    PADCTRLREG_LCD_CS0_IND_LCD_CS0_MASK                            0x00000008
#define    PADCTRLREG_LCD_CS0_SEL_2_LCD_CS0_SHIFT                         2
#define    PADCTRLREG_LCD_CS0_SEL_2_LCD_CS0_MASK                          0x00000004
#define    PADCTRLREG_LCD_CS0_SEL_1_LCD_CS0_SHIFT                         1
#define    PADCTRLREG_LCD_CS0_SEL_1_LCD_CS0_MASK                          0x00000002
#define    PADCTRLREG_LCD_CS0_SEL_0_LCD_CS0_SHIFT                         0
#define    PADCTRLREG_LCD_CS0_SEL_0_LCD_CS0_MASK                          0x00000001

#define PADCTRLREG_LCD_CS1_OFFSET                                         0x00000090
#define PADCTRLREG_LCD_CS1_TYPE                                           UInt32
#define PADCTRLREG_LCD_CS1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_CS1_PINSEL_LCD_CS1_SHIFT                        8
#define    PADCTRLREG_LCD_CS1_PINSEL_LCD_CS1_MASK                         0x00000700
#define    PADCTRLREG_LCD_CS1_HYS_EN_LCD_CS1_SHIFT                        7
#define    PADCTRLREG_LCD_CS1_HYS_EN_LCD_CS1_MASK                         0x00000080
#define    PADCTRLREG_LCD_CS1_PDN_LCD_CS1_SHIFT                           6
#define    PADCTRLREG_LCD_CS1_PDN_LCD_CS1_MASK                            0x00000040
#define    PADCTRLREG_LCD_CS1_PUP_LCD_CS1_SHIFT                           5
#define    PADCTRLREG_LCD_CS1_PUP_LCD_CS1_MASK                            0x00000020
#define    PADCTRLREG_LCD_CS1_SRC_LCD_CS1_SHIFT                           4
#define    PADCTRLREG_LCD_CS1_SRC_LCD_CS1_MASK                            0x00000010
#define    PADCTRLREG_LCD_CS1_IND_LCD_CS1_SHIFT                           3
#define    PADCTRLREG_LCD_CS1_IND_LCD_CS1_MASK                            0x00000008
#define    PADCTRLREG_LCD_CS1_SEL_2_LCD_CS1_SHIFT                         2
#define    PADCTRLREG_LCD_CS1_SEL_2_LCD_CS1_MASK                          0x00000004
#define    PADCTRLREG_LCD_CS1_SEL_1_LCD_CS1_SHIFT                         1
#define    PADCTRLREG_LCD_CS1_SEL_1_LCD_CS1_MASK                          0x00000002
#define    PADCTRLREG_LCD_CS1_SEL_0_LCD_CS1_SHIFT                         0
#define    PADCTRLREG_LCD_CS1_SEL_0_LCD_CS1_MASK                          0x00000001

#define PADCTRLREG_LCD_D0_OFFSET                                          0x00000094
#define PADCTRLREG_LCD_D0_TYPE                                            UInt32
#define PADCTRLREG_LCD_D0_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D0_PINSEL_LCD_D0_SHIFT                          8
#define    PADCTRLREG_LCD_D0_PINSEL_LCD_D0_MASK                           0x00000700
#define    PADCTRLREG_LCD_D0_HYS_EN_LCD_D0_SHIFT                          7
#define    PADCTRLREG_LCD_D0_HYS_EN_LCD_D0_MASK                           0x00000080
#define    PADCTRLREG_LCD_D0_PDN_LCD_D0_SHIFT                             6
#define    PADCTRLREG_LCD_D0_PDN_LCD_D0_MASK                              0x00000040
#define    PADCTRLREG_LCD_D0_PUP_LCD_D0_SHIFT                             5
#define    PADCTRLREG_LCD_D0_PUP_LCD_D0_MASK                              0x00000020
#define    PADCTRLREG_LCD_D0_SRC_LCD_D0_SHIFT                             4
#define    PADCTRLREG_LCD_D0_SRC_LCD_D0_MASK                              0x00000010
#define    PADCTRLREG_LCD_D0_IND_LCD_D0_SHIFT                             3
#define    PADCTRLREG_LCD_D0_IND_LCD_D0_MASK                              0x00000008
#define    PADCTRLREG_LCD_D0_SEL_2_LCD_D0_SHIFT                           2
#define    PADCTRLREG_LCD_D0_SEL_2_LCD_D0_MASK                            0x00000004
#define    PADCTRLREG_LCD_D0_SEL_1_LCD_D0_SHIFT                           1
#define    PADCTRLREG_LCD_D0_SEL_1_LCD_D0_MASK                            0x00000002
#define    PADCTRLREG_LCD_D0_SEL_0_LCD_D0_SHIFT                           0
#define    PADCTRLREG_LCD_D0_SEL_0_LCD_D0_MASK                            0x00000001

#define PADCTRLREG_LCD_D1_OFFSET                                          0x00000098
#define PADCTRLREG_LCD_D1_TYPE                                            UInt32
#define PADCTRLREG_LCD_D1_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D1_PINSEL_LCD_D1_SHIFT                          8
#define    PADCTRLREG_LCD_D1_PINSEL_LCD_D1_MASK                           0x00000700
#define    PADCTRLREG_LCD_D1_HYS_EN_LCD_D1_SHIFT                          7
#define    PADCTRLREG_LCD_D1_HYS_EN_LCD_D1_MASK                           0x00000080
#define    PADCTRLREG_LCD_D1_PDN_LCD_D1_SHIFT                             6
#define    PADCTRLREG_LCD_D1_PDN_LCD_D1_MASK                              0x00000040
#define    PADCTRLREG_LCD_D1_PUP_LCD_D1_SHIFT                             5
#define    PADCTRLREG_LCD_D1_PUP_LCD_D1_MASK                              0x00000020
#define    PADCTRLREG_LCD_D1_SRC_LCD_D1_SHIFT                             4
#define    PADCTRLREG_LCD_D1_SRC_LCD_D1_MASK                              0x00000010
#define    PADCTRLREG_LCD_D1_IND_LCD_D1_SHIFT                             3
#define    PADCTRLREG_LCD_D1_IND_LCD_D1_MASK                              0x00000008
#define    PADCTRLREG_LCD_D1_SEL_2_LCD_D1_SHIFT                           2
#define    PADCTRLREG_LCD_D1_SEL_2_LCD_D1_MASK                            0x00000004
#define    PADCTRLREG_LCD_D1_SEL_1_LCD_D1_SHIFT                           1
#define    PADCTRLREG_LCD_D1_SEL_1_LCD_D1_MASK                            0x00000002
#define    PADCTRLREG_LCD_D1_SEL_0_LCD_D1_SHIFT                           0
#define    PADCTRLREG_LCD_D1_SEL_0_LCD_D1_MASK                            0x00000001

#define PADCTRLREG_LCD_D2_OFFSET                                          0x0000009C
#define PADCTRLREG_LCD_D2_TYPE                                            UInt32
#define PADCTRLREG_LCD_D2_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D2_PINSEL_LCD_D2_SHIFT                          8
#define    PADCTRLREG_LCD_D2_PINSEL_LCD_D2_MASK                           0x00000700
#define    PADCTRLREG_LCD_D2_HYS_EN_LCD_D2_SHIFT                          7
#define    PADCTRLREG_LCD_D2_HYS_EN_LCD_D2_MASK                           0x00000080
#define    PADCTRLREG_LCD_D2_PDN_LCD_D2_SHIFT                             6
#define    PADCTRLREG_LCD_D2_PDN_LCD_D2_MASK                              0x00000040
#define    PADCTRLREG_LCD_D2_PUP_LCD_D2_SHIFT                             5
#define    PADCTRLREG_LCD_D2_PUP_LCD_D2_MASK                              0x00000020
#define    PADCTRLREG_LCD_D2_SRC_LCD_D2_SHIFT                             4
#define    PADCTRLREG_LCD_D2_SRC_LCD_D2_MASK                              0x00000010
#define    PADCTRLREG_LCD_D2_IND_LCD_D2_SHIFT                             3
#define    PADCTRLREG_LCD_D2_IND_LCD_D2_MASK                              0x00000008
#define    PADCTRLREG_LCD_D2_SEL_2_LCD_D2_SHIFT                           2
#define    PADCTRLREG_LCD_D2_SEL_2_LCD_D2_MASK                            0x00000004
#define    PADCTRLREG_LCD_D2_SEL_1_LCD_D2_SHIFT                           1
#define    PADCTRLREG_LCD_D2_SEL_1_LCD_D2_MASK                            0x00000002
#define    PADCTRLREG_LCD_D2_SEL_0_LCD_D2_SHIFT                           0
#define    PADCTRLREG_LCD_D2_SEL_0_LCD_D2_MASK                            0x00000001

#define PADCTRLREG_LCD_D3_OFFSET                                          0x000000A0
#define PADCTRLREG_LCD_D3_TYPE                                            UInt32
#define PADCTRLREG_LCD_D3_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D3_PINSEL_LCD_D3_SHIFT                          8
#define    PADCTRLREG_LCD_D3_PINSEL_LCD_D3_MASK                           0x00000700
#define    PADCTRLREG_LCD_D3_HYS_EN_LCD_D3_SHIFT                          7
#define    PADCTRLREG_LCD_D3_HYS_EN_LCD_D3_MASK                           0x00000080
#define    PADCTRLREG_LCD_D3_PDN_LCD_D3_SHIFT                             6
#define    PADCTRLREG_LCD_D3_PDN_LCD_D3_MASK                              0x00000040
#define    PADCTRLREG_LCD_D3_PUP_LCD_D3_SHIFT                             5
#define    PADCTRLREG_LCD_D3_PUP_LCD_D3_MASK                              0x00000020
#define    PADCTRLREG_LCD_D3_SRC_LCD_D3_SHIFT                             4
#define    PADCTRLREG_LCD_D3_SRC_LCD_D3_MASK                              0x00000010
#define    PADCTRLREG_LCD_D3_IND_LCD_D3_SHIFT                             3
#define    PADCTRLREG_LCD_D3_IND_LCD_D3_MASK                              0x00000008
#define    PADCTRLREG_LCD_D3_SEL_2_LCD_D3_SHIFT                           2
#define    PADCTRLREG_LCD_D3_SEL_2_LCD_D3_MASK                            0x00000004
#define    PADCTRLREG_LCD_D3_SEL_1_LCD_D3_SHIFT                           1
#define    PADCTRLREG_LCD_D3_SEL_1_LCD_D3_MASK                            0x00000002
#define    PADCTRLREG_LCD_D3_SEL_0_LCD_D3_SHIFT                           0
#define    PADCTRLREG_LCD_D3_SEL_0_LCD_D3_MASK                            0x00000001

#define PADCTRLREG_LCD_D4_OFFSET                                          0x000000A4
#define PADCTRLREG_LCD_D4_TYPE                                            UInt32
#define PADCTRLREG_LCD_D4_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D4_PINSEL_LCD_D4_SHIFT                          8
#define    PADCTRLREG_LCD_D4_PINSEL_LCD_D4_MASK                           0x00000700
#define    PADCTRLREG_LCD_D4_HYS_EN_LCD_D4_SHIFT                          7
#define    PADCTRLREG_LCD_D4_HYS_EN_LCD_D4_MASK                           0x00000080
#define    PADCTRLREG_LCD_D4_PDN_LCD_D4_SHIFT                             6
#define    PADCTRLREG_LCD_D4_PDN_LCD_D4_MASK                              0x00000040
#define    PADCTRLREG_LCD_D4_PUP_LCD_D4_SHIFT                             5
#define    PADCTRLREG_LCD_D4_PUP_LCD_D4_MASK                              0x00000020
#define    PADCTRLREG_LCD_D4_SRC_LCD_D4_SHIFT                             4
#define    PADCTRLREG_LCD_D4_SRC_LCD_D4_MASK                              0x00000010
#define    PADCTRLREG_LCD_D4_IND_LCD_D4_SHIFT                             3
#define    PADCTRLREG_LCD_D4_IND_LCD_D4_MASK                              0x00000008
#define    PADCTRLREG_LCD_D4_SEL_2_LCD_D4_SHIFT                           2
#define    PADCTRLREG_LCD_D4_SEL_2_LCD_D4_MASK                            0x00000004
#define    PADCTRLREG_LCD_D4_SEL_1_LCD_D4_SHIFT                           1
#define    PADCTRLREG_LCD_D4_SEL_1_LCD_D4_MASK                            0x00000002
#define    PADCTRLREG_LCD_D4_SEL_0_LCD_D4_SHIFT                           0
#define    PADCTRLREG_LCD_D4_SEL_0_LCD_D4_MASK                            0x00000001

#define PADCTRLREG_LCD_D5_OFFSET                                          0x000000A8
#define PADCTRLREG_LCD_D5_TYPE                                            UInt32
#define PADCTRLREG_LCD_D5_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D5_PINSEL_LCD_D5_SHIFT                          8
#define    PADCTRLREG_LCD_D5_PINSEL_LCD_D5_MASK                           0x00000700
#define    PADCTRLREG_LCD_D5_HYS_EN_LCD_D5_SHIFT                          7
#define    PADCTRLREG_LCD_D5_HYS_EN_LCD_D5_MASK                           0x00000080
#define    PADCTRLREG_LCD_D5_PDN_LCD_D5_SHIFT                             6
#define    PADCTRLREG_LCD_D5_PDN_LCD_D5_MASK                              0x00000040
#define    PADCTRLREG_LCD_D5_PUP_LCD_D5_SHIFT                             5
#define    PADCTRLREG_LCD_D5_PUP_LCD_D5_MASK                              0x00000020
#define    PADCTRLREG_LCD_D5_SRC_LCD_D5_SHIFT                             4
#define    PADCTRLREG_LCD_D5_SRC_LCD_D5_MASK                              0x00000010
#define    PADCTRLREG_LCD_D5_IND_LCD_D5_SHIFT                             3
#define    PADCTRLREG_LCD_D5_IND_LCD_D5_MASK                              0x00000008
#define    PADCTRLREG_LCD_D5_SEL_2_LCD_D5_SHIFT                           2
#define    PADCTRLREG_LCD_D5_SEL_2_LCD_D5_MASK                            0x00000004
#define    PADCTRLREG_LCD_D5_SEL_1_LCD_D5_SHIFT                           1
#define    PADCTRLREG_LCD_D5_SEL_1_LCD_D5_MASK                            0x00000002
#define    PADCTRLREG_LCD_D5_SEL_0_LCD_D5_SHIFT                           0
#define    PADCTRLREG_LCD_D5_SEL_0_LCD_D5_MASK                            0x00000001

#define PADCTRLREG_LCD_D6_OFFSET                                          0x000000AC
#define PADCTRLREG_LCD_D6_TYPE                                            UInt32
#define PADCTRLREG_LCD_D6_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D6_PINSEL_LCD_D6_SHIFT                          8
#define    PADCTRLREG_LCD_D6_PINSEL_LCD_D6_MASK                           0x00000700
#define    PADCTRLREG_LCD_D6_HYS_EN_LCD_D6_SHIFT                          7
#define    PADCTRLREG_LCD_D6_HYS_EN_LCD_D6_MASK                           0x00000080
#define    PADCTRLREG_LCD_D6_PDN_LCD_D6_SHIFT                             6
#define    PADCTRLREG_LCD_D6_PDN_LCD_D6_MASK                              0x00000040
#define    PADCTRLREG_LCD_D6_PUP_LCD_D6_SHIFT                             5
#define    PADCTRLREG_LCD_D6_PUP_LCD_D6_MASK                              0x00000020
#define    PADCTRLREG_LCD_D6_SRC_LCD_D6_SHIFT                             4
#define    PADCTRLREG_LCD_D6_SRC_LCD_D6_MASK                              0x00000010
#define    PADCTRLREG_LCD_D6_IND_LCD_D6_SHIFT                             3
#define    PADCTRLREG_LCD_D6_IND_LCD_D6_MASK                              0x00000008
#define    PADCTRLREG_LCD_D6_SEL_2_LCD_D6_SHIFT                           2
#define    PADCTRLREG_LCD_D6_SEL_2_LCD_D6_MASK                            0x00000004
#define    PADCTRLREG_LCD_D6_SEL_1_LCD_D6_SHIFT                           1
#define    PADCTRLREG_LCD_D6_SEL_1_LCD_D6_MASK                            0x00000002
#define    PADCTRLREG_LCD_D6_SEL_0_LCD_D6_SHIFT                           0
#define    PADCTRLREG_LCD_D6_SEL_0_LCD_D6_MASK                            0x00000001

#define PADCTRLREG_LCD_D7_OFFSET                                          0x000000B0
#define PADCTRLREG_LCD_D7_TYPE                                            UInt32
#define PADCTRLREG_LCD_D7_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_D7_PINSEL_LCD_D7_SHIFT                          8
#define    PADCTRLREG_LCD_D7_PINSEL_LCD_D7_MASK                           0x00000700
#define    PADCTRLREG_LCD_D7_HYS_EN_LCD_D7_SHIFT                          7
#define    PADCTRLREG_LCD_D7_HYS_EN_LCD_D7_MASK                           0x00000080
#define    PADCTRLREG_LCD_D7_PDN_LCD_D7_SHIFT                             6
#define    PADCTRLREG_LCD_D7_PDN_LCD_D7_MASK                              0x00000040
#define    PADCTRLREG_LCD_D7_PUP_LCD_D7_SHIFT                             5
#define    PADCTRLREG_LCD_D7_PUP_LCD_D7_MASK                              0x00000020
#define    PADCTRLREG_LCD_D7_SRC_LCD_D7_SHIFT                             4
#define    PADCTRLREG_LCD_D7_SRC_LCD_D7_MASK                              0x00000010
#define    PADCTRLREG_LCD_D7_IND_LCD_D7_SHIFT                             3
#define    PADCTRLREG_LCD_D7_IND_LCD_D7_MASK                              0x00000008
#define    PADCTRLREG_LCD_D7_SEL_2_LCD_D7_SHIFT                           2
#define    PADCTRLREG_LCD_D7_SEL_2_LCD_D7_MASK                            0x00000004
#define    PADCTRLREG_LCD_D7_SEL_1_LCD_D7_SHIFT                           1
#define    PADCTRLREG_LCD_D7_SEL_1_LCD_D7_MASK                            0x00000002
#define    PADCTRLREG_LCD_D7_SEL_0_LCD_D7_SHIFT                           0
#define    PADCTRLREG_LCD_D7_SEL_0_LCD_D7_MASK                            0x00000001

#define PADCTRLREG_LCD_RE_OFFSET                                          0x000000B4
#define PADCTRLREG_LCD_RE_TYPE                                            UInt32
#define PADCTRLREG_LCD_RE_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_RE_PINSEL_LCD_RE_SHIFT                          8
#define    PADCTRLREG_LCD_RE_PINSEL_LCD_RE_MASK                           0x00000700
#define    PADCTRLREG_LCD_RE_HYS_EN_LCD_RE_SHIFT                          7
#define    PADCTRLREG_LCD_RE_HYS_EN_LCD_RE_MASK                           0x00000080
#define    PADCTRLREG_LCD_RE_PDN_LCD_RE_SHIFT                             6
#define    PADCTRLREG_LCD_RE_PDN_LCD_RE_MASK                              0x00000040
#define    PADCTRLREG_LCD_RE_PUP_LCD_RE_SHIFT                             5
#define    PADCTRLREG_LCD_RE_PUP_LCD_RE_MASK                              0x00000020
#define    PADCTRLREG_LCD_RE_SRC_LCD_RE_SHIFT                             4
#define    PADCTRLREG_LCD_RE_SRC_LCD_RE_MASK                              0x00000010
#define    PADCTRLREG_LCD_RE_IND_LCD_RE_SHIFT                             3
#define    PADCTRLREG_LCD_RE_IND_LCD_RE_MASK                              0x00000008
#define    PADCTRLREG_LCD_RE_SEL_2_LCD_RE_SHIFT                           2
#define    PADCTRLREG_LCD_RE_SEL_2_LCD_RE_MASK                            0x00000004
#define    PADCTRLREG_LCD_RE_SEL_1_LCD_RE_SHIFT                           1
#define    PADCTRLREG_LCD_RE_SEL_1_LCD_RE_MASK                            0x00000002
#define    PADCTRLREG_LCD_RE_SEL_0_LCD_RE_SHIFT                           0
#define    PADCTRLREG_LCD_RE_SEL_0_LCD_RE_MASK                            0x00000001

#define PADCTRLREG_LCD_RST_OFFSET                                         0x000000B8
#define PADCTRLREG_LCD_RST_TYPE                                           UInt32
#define PADCTRLREG_LCD_RST_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_RST_PINSEL_LCD_RST_SHIFT                        8
#define    PADCTRLREG_LCD_RST_PINSEL_LCD_RST_MASK                         0x00000700
#define    PADCTRLREG_LCD_RST_HYS_EN_LCD_RST_SHIFT                        7
#define    PADCTRLREG_LCD_RST_HYS_EN_LCD_RST_MASK                         0x00000080
#define    PADCTRLREG_LCD_RST_PDN_LCD_RST_SHIFT                           6
#define    PADCTRLREG_LCD_RST_PDN_LCD_RST_MASK                            0x00000040
#define    PADCTRLREG_LCD_RST_PUP_LCD_RST_SHIFT                           5
#define    PADCTRLREG_LCD_RST_PUP_LCD_RST_MASK                            0x00000020
#define    PADCTRLREG_LCD_RST_SRC_LCD_RST_SHIFT                           4
#define    PADCTRLREG_LCD_RST_SRC_LCD_RST_MASK                            0x00000010
#define    PADCTRLREG_LCD_RST_IND_LCD_RST_SHIFT                           3
#define    PADCTRLREG_LCD_RST_IND_LCD_RST_MASK                            0x00000008
#define    PADCTRLREG_LCD_RST_SEL_2_LCD_RST_SHIFT                         2
#define    PADCTRLREG_LCD_RST_SEL_2_LCD_RST_MASK                          0x00000004
#define    PADCTRLREG_LCD_RST_SEL_1_LCD_RST_SHIFT                         1
#define    PADCTRLREG_LCD_RST_SEL_1_LCD_RST_MASK                          0x00000002
#define    PADCTRLREG_LCD_RST_SEL_0_LCD_RST_SHIFT                         0
#define    PADCTRLREG_LCD_RST_SEL_0_LCD_RST_MASK                          0x00000001

#define PADCTRLREG_LCD_TE0_OFFSET                                         0x000000BC
#define PADCTRLREG_LCD_TE0_TYPE                                           UInt32
#define PADCTRLREG_LCD_TE0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_TE0_PINSEL_LCD_TE0_SHIFT                        8
#define    PADCTRLREG_LCD_TE0_PINSEL_LCD_TE0_MASK                         0x00000700
#define    PADCTRLREG_LCD_TE0_HYS_EN_LCD_TE0_SHIFT                        7
#define    PADCTRLREG_LCD_TE0_HYS_EN_LCD_TE0_MASK                         0x00000080
#define    PADCTRLREG_LCD_TE0_PDN_LCD_TE0_SHIFT                           6
#define    PADCTRLREG_LCD_TE0_PDN_LCD_TE0_MASK                            0x00000040
#define    PADCTRLREG_LCD_TE0_PUP_LCD_TE0_SHIFT                           5
#define    PADCTRLREG_LCD_TE0_PUP_LCD_TE0_MASK                            0x00000020
#define    PADCTRLREG_LCD_TE0_SRC_LCD_TE0_SHIFT                           4
#define    PADCTRLREG_LCD_TE0_SRC_LCD_TE0_MASK                            0x00000010
#define    PADCTRLREG_LCD_TE0_IND_LCD_TE0_SHIFT                           3
#define    PADCTRLREG_LCD_TE0_IND_LCD_TE0_MASK                            0x00000008
#define    PADCTRLREG_LCD_TE0_SEL_2_LCD_TE0_SHIFT                         2
#define    PADCTRLREG_LCD_TE0_SEL_2_LCD_TE0_MASK                          0x00000004
#define    PADCTRLREG_LCD_TE0_SEL_1_LCD_TE0_SHIFT                         1
#define    PADCTRLREG_LCD_TE0_SEL_1_LCD_TE0_MASK                          0x00000002
#define    PADCTRLREG_LCD_TE0_SEL_0_LCD_TE0_SHIFT                         0
#define    PADCTRLREG_LCD_TE0_SEL_0_LCD_TE0_MASK                          0x00000001

#define PADCTRLREG_LCD_TE1_OFFSET                                         0x000000C0
#define PADCTRLREG_LCD_TE1_TYPE                                           UInt32
#define PADCTRLREG_LCD_TE1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_LCD_TE1_PINSEL_LCD_TE1_SHIFT                        8
#define    PADCTRLREG_LCD_TE1_PINSEL_LCD_TE1_MASK                         0x00000700
#define    PADCTRLREG_LCD_TE1_HYS_EN_LCD_TE1_SHIFT                        7
#define    PADCTRLREG_LCD_TE1_HYS_EN_LCD_TE1_MASK                         0x00000080
#define    PADCTRLREG_LCD_TE1_PDN_LCD_TE1_SHIFT                           6
#define    PADCTRLREG_LCD_TE1_PDN_LCD_TE1_MASK                            0x00000040
#define    PADCTRLREG_LCD_TE1_PUP_LCD_TE1_SHIFT                           5
#define    PADCTRLREG_LCD_TE1_PUP_LCD_TE1_MASK                            0x00000020
#define    PADCTRLREG_LCD_TE1_SRC_LCD_TE1_SHIFT                           4
#define    PADCTRLREG_LCD_TE1_SRC_LCD_TE1_MASK                            0x00000010
#define    PADCTRLREG_LCD_TE1_IND_LCD_TE1_SHIFT                           3
#define    PADCTRLREG_LCD_TE1_IND_LCD_TE1_MASK                            0x00000008
#define    PADCTRLREG_LCD_TE1_SEL_2_LCD_TE1_SHIFT                         2
#define    PADCTRLREG_LCD_TE1_SEL_2_LCD_TE1_MASK                          0x00000004
#define    PADCTRLREG_LCD_TE1_SEL_1_LCD_TE1_SHIFT                         1
#define    PADCTRLREG_LCD_TE1_SEL_1_LCD_TE1_MASK                          0x00000002
#define    PADCTRLREG_LCD_TE1_SEL_0_LCD_TE1_SHIFT                         0
#define    PADCTRLREG_LCD_TE1_SEL_0_LCD_TE1_MASK                          0x00000001

#define PADCTRLREG_LCD_WE_OFFSET                                          0x000000C4
#define PADCTRLREG_LCD_WE_TYPE                                            UInt32
#define PADCTRLREG_LCD_WE_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_LCD_WE_PINSEL_LCD_WE_SHIFT                          8
#define    PADCTRLREG_LCD_WE_PINSEL_LCD_WE_MASK                           0x00000700
#define    PADCTRLREG_LCD_WE_HYS_EN_LCD_WE_SHIFT                          7
#define    PADCTRLREG_LCD_WE_HYS_EN_LCD_WE_MASK                           0x00000080
#define    PADCTRLREG_LCD_WE_PDN_LCD_WE_SHIFT                             6
#define    PADCTRLREG_LCD_WE_PDN_LCD_WE_MASK                              0x00000040
#define    PADCTRLREG_LCD_WE_PUP_LCD_WE_SHIFT                             5
#define    PADCTRLREG_LCD_WE_PUP_LCD_WE_MASK                              0x00000020
#define    PADCTRLREG_LCD_WE_SRC_LCD_WE_SHIFT                             4
#define    PADCTRLREG_LCD_WE_SRC_LCD_WE_MASK                              0x00000010
#define    PADCTRLREG_LCD_WE_IND_LCD_WE_SHIFT                             3
#define    PADCTRLREG_LCD_WE_IND_LCD_WE_MASK                              0x00000008
#define    PADCTRLREG_LCD_WE_SEL_2_LCD_WE_SHIFT                           2
#define    PADCTRLREG_LCD_WE_SEL_2_LCD_WE_MASK                            0x00000004
#define    PADCTRLREG_LCD_WE_SEL_1_LCD_WE_SHIFT                           1
#define    PADCTRLREG_LCD_WE_SEL_1_LCD_WE_MASK                            0x00000002
#define    PADCTRLREG_LCD_WE_SEL_0_LCD_WE_SHIFT                           0
#define    PADCTRLREG_LCD_WE_SEL_0_LCD_WE_MASK                            0x00000001

#define PADCTRLREG_MDM_GPIO00_OFFSET                                      0x000000C8
#define PADCTRLREG_MDM_GPIO00_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO00_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO00_PINSEL_MDM_GPIO00_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO00_PINSEL_MDM_GPIO00_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO00_HYS_EN_MDM_GPIO00_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO00_HYS_EN_MDM_GPIO00_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO00_PDN_MDM_GPIO00_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO00_PDN_MDM_GPIO00_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO00_PUP_MDM_GPIO00_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO00_PUP_MDM_GPIO00_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO00_SRC_MDM_GPIO00_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO00_SRC_MDM_GPIO00_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO00_IND_MDM_GPIO00_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO00_IND_MDM_GPIO00_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO00_SEL_2_MDM_GPIO00_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO00_SEL_2_MDM_GPIO00_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO00_SEL_1_MDM_GPIO00_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO00_SEL_1_MDM_GPIO00_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO00_SEL_0_MDM_GPIO00_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO00_SEL_0_MDM_GPIO00_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO01_OFFSET                                      0x000000CC
#define PADCTRLREG_MDM_GPIO01_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO01_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO01_PINSEL_MDM_GPIO01_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO01_PINSEL_MDM_GPIO01_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO01_HYS_EN_MDM_GPIO01_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO01_HYS_EN_MDM_GPIO01_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO01_PDN_MDM_GPIO01_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO01_PDN_MDM_GPIO01_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO01_PUP_MDM_GPIO01_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO01_PUP_MDM_GPIO01_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO01_SRC_MDM_GPIO01_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO01_SRC_MDM_GPIO01_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO01_IND_MDM_GPIO01_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO01_IND_MDM_GPIO01_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO01_SEL_2_MDM_GPIO01_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO01_SEL_2_MDM_GPIO01_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO01_SEL_1_MDM_GPIO01_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO01_SEL_1_MDM_GPIO01_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO01_SEL_0_MDM_GPIO01_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO01_SEL_0_MDM_GPIO01_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO02_OFFSET                                      0x000000D0
#define PADCTRLREG_MDM_GPIO02_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO02_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO02_PINSEL_MDM_GPIO02_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO02_PINSEL_MDM_GPIO02_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO02_HYS_EN_MDM_GPIO02_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO02_HYS_EN_MDM_GPIO02_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO02_PDN_MDM_GPIO02_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO02_PDN_MDM_GPIO02_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO02_PUP_MDM_GPIO02_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO02_PUP_MDM_GPIO02_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO02_SRC_MDM_GPIO02_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO02_SRC_MDM_GPIO02_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO02_IND_MDM_GPIO02_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO02_IND_MDM_GPIO02_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO02_SEL_2_MDM_GPIO02_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO02_SEL_2_MDM_GPIO02_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO02_SEL_1_MDM_GPIO02_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO02_SEL_1_MDM_GPIO02_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO02_SEL_0_MDM_GPIO02_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO02_SEL_0_MDM_GPIO02_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO03_OFFSET                                      0x000000D4
#define PADCTRLREG_MDM_GPIO03_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO03_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO03_PINSEL_MDM_GPIO03_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO03_PINSEL_MDM_GPIO03_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO03_HYS_EN_MDM_GPIO03_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO03_HYS_EN_MDM_GPIO03_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO03_PDN_MDM_GPIO03_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO03_PDN_MDM_GPIO03_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO03_PUP_MDM_GPIO03_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO03_PUP_MDM_GPIO03_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO03_SRC_MDM_GPIO03_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO03_SRC_MDM_GPIO03_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO03_IND_MDM_GPIO03_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO03_IND_MDM_GPIO03_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO03_SEL_2_MDM_GPIO03_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO03_SEL_2_MDM_GPIO03_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO03_SEL_1_MDM_GPIO03_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO03_SEL_1_MDM_GPIO03_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO03_SEL_0_MDM_GPIO03_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO03_SEL_0_MDM_GPIO03_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO04_OFFSET                                      0x000000D8
#define PADCTRLREG_MDM_GPIO04_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO04_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO04_PINSEL_MDM_GPIO04_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO04_PINSEL_MDM_GPIO04_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO04_HYS_EN_MDM_GPIO04_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO04_HYS_EN_MDM_GPIO04_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO04_PDN_MDM_GPIO04_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO04_PDN_MDM_GPIO04_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO04_PUP_MDM_GPIO04_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO04_PUP_MDM_GPIO04_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO04_SRC_MDM_GPIO04_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO04_SRC_MDM_GPIO04_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO04_IND_MDM_GPIO04_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO04_IND_MDM_GPIO04_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO04_SEL_2_MDM_GPIO04_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO04_SEL_2_MDM_GPIO04_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO04_SEL_1_MDM_GPIO04_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO04_SEL_1_MDM_GPIO04_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO04_SEL_0_MDM_GPIO04_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO04_SEL_0_MDM_GPIO04_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO05_OFFSET                                      0x000000DC
#define PADCTRLREG_MDM_GPIO05_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO05_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO05_PINSEL_MDM_GPIO05_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO05_PINSEL_MDM_GPIO05_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO05_HYS_EN_MDM_GPIO05_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO05_HYS_EN_MDM_GPIO05_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO05_PDN_MDM_GPIO05_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO05_PDN_MDM_GPIO05_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO05_PUP_MDM_GPIO05_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO05_PUP_MDM_GPIO05_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO05_SRC_MDM_GPIO05_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO05_SRC_MDM_GPIO05_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO05_IND_MDM_GPIO05_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO05_IND_MDM_GPIO05_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO05_SEL_2_MDM_GPIO05_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO05_SEL_2_MDM_GPIO05_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO05_SEL_1_MDM_GPIO05_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO05_SEL_1_MDM_GPIO05_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO05_SEL_0_MDM_GPIO05_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO05_SEL_0_MDM_GPIO05_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO06_OFFSET                                      0x000000E0
#define PADCTRLREG_MDM_GPIO06_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO06_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO06_PINSEL_MDM_GPIO06_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO06_PINSEL_MDM_GPIO06_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO06_HYS_EN_MDM_GPIO06_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO06_HYS_EN_MDM_GPIO06_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO06_PDN_MDM_GPIO06_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO06_PDN_MDM_GPIO06_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO06_PUP_MDM_GPIO06_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO06_PUP_MDM_GPIO06_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO06_SRC_MDM_GPIO06_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO06_SRC_MDM_GPIO06_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO06_IND_MDM_GPIO06_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO06_IND_MDM_GPIO06_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO06_SEL_2_MDM_GPIO06_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO06_SEL_2_MDM_GPIO06_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO06_SEL_1_MDM_GPIO06_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO06_SEL_1_MDM_GPIO06_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO06_SEL_0_MDM_GPIO06_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO06_SEL_0_MDM_GPIO06_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO07_OFFSET                                      0x000000E4
#define PADCTRLREG_MDM_GPIO07_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO07_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO07_PINSEL_MDM_GPIO07_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO07_PINSEL_MDM_GPIO07_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO07_HYS_EN_MDM_GPIO07_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO07_HYS_EN_MDM_GPIO07_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO07_PDN_MDM_GPIO07_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO07_PDN_MDM_GPIO07_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO07_PUP_MDM_GPIO07_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO07_PUP_MDM_GPIO07_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO07_SRC_MDM_GPIO07_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO07_SRC_MDM_GPIO07_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO07_IND_MDM_GPIO07_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO07_IND_MDM_GPIO07_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO07_SEL_2_MDM_GPIO07_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO07_SEL_2_MDM_GPIO07_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO07_SEL_1_MDM_GPIO07_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO07_SEL_1_MDM_GPIO07_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO07_SEL_0_MDM_GPIO07_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO07_SEL_0_MDM_GPIO07_MASK                    0x00000001

#define PADCTRLREG_MDM_GPIO08_OFFSET                                      0x000000E8
#define PADCTRLREG_MDM_GPIO08_TYPE                                        UInt32
#define PADCTRLREG_MDM_GPIO08_RESERVED_MASK                               0xFFFFF800
#define    PADCTRLREG_MDM_GPIO08_PINSEL_MDM_GPIO08_SHIFT                  8
#define    PADCTRLREG_MDM_GPIO08_PINSEL_MDM_GPIO08_MASK                   0x00000700
#define    PADCTRLREG_MDM_GPIO08_HYS_EN_MDM_GPIO08_SHIFT                  7
#define    PADCTRLREG_MDM_GPIO08_HYS_EN_MDM_GPIO08_MASK                   0x00000080
#define    PADCTRLREG_MDM_GPIO08_PDN_MDM_GPIO08_SHIFT                     6
#define    PADCTRLREG_MDM_GPIO08_PDN_MDM_GPIO08_MASK                      0x00000040
#define    PADCTRLREG_MDM_GPIO08_PUP_MDM_GPIO08_SHIFT                     5
#define    PADCTRLREG_MDM_GPIO08_PUP_MDM_GPIO08_MASK                      0x00000020
#define    PADCTRLREG_MDM_GPIO08_SRC_MDM_GPIO08_SHIFT                     4
#define    PADCTRLREG_MDM_GPIO08_SRC_MDM_GPIO08_MASK                      0x00000010
#define    PADCTRLREG_MDM_GPIO08_IND_MDM_GPIO08_SHIFT                     3
#define    PADCTRLREG_MDM_GPIO08_IND_MDM_GPIO08_MASK                      0x00000008
#define    PADCTRLREG_MDM_GPIO08_SEL_2_MDM_GPIO08_SHIFT                   2
#define    PADCTRLREG_MDM_GPIO08_SEL_2_MDM_GPIO08_MASK                    0x00000004
#define    PADCTRLREG_MDM_GPIO08_SEL_1_MDM_GPIO08_SHIFT                   1
#define    PADCTRLREG_MDM_GPIO08_SEL_1_MDM_GPIO08_MASK                    0x00000002
#define    PADCTRLREG_MDM_GPIO08_SEL_0_MDM_GPIO08_SHIFT                   0
#define    PADCTRLREG_MDM_GPIO08_SEL_0_MDM_GPIO08_MASK                    0x00000001

#define PADCTRLREG_MMC_CLK_OFFSET                                         0x000000EC
#define PADCTRLREG_MMC_CLK_TYPE                                           UInt32
#define PADCTRLREG_MMC_CLK_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC_CLK_PINSEL_MMC_CLK_SHIFT                        8
#define    PADCTRLREG_MMC_CLK_PINSEL_MMC_CLK_MASK                         0x00000700
#define    PADCTRLREG_MMC_CLK_HYS_EN_MMC_CLK_SHIFT                        7
#define    PADCTRLREG_MMC_CLK_HYS_EN_MMC_CLK_MASK                         0x00000080
#define    PADCTRLREG_MMC_CLK_PDN_MMC_CLK_SHIFT                           6
#define    PADCTRLREG_MMC_CLK_PDN_MMC_CLK_MASK                            0x00000040
#define    PADCTRLREG_MMC_CLK_PUP_MMC_CLK_SHIFT                           5
#define    PADCTRLREG_MMC_CLK_PUP_MMC_CLK_MASK                            0x00000020
#define    PADCTRLREG_MMC_CLK_SRC_MMC_CLK_SHIFT                           4
#define    PADCTRLREG_MMC_CLK_SRC_MMC_CLK_MASK                            0x00000010
#define    PADCTRLREG_MMC_CLK_IND_MMC_CLK_SHIFT                           3
#define    PADCTRLREG_MMC_CLK_IND_MMC_CLK_MASK                            0x00000008
#define    PADCTRLREG_MMC_CLK_SEL_2_MMC_CLK_SHIFT                         2
#define    PADCTRLREG_MMC_CLK_SEL_2_MMC_CLK_MASK                          0x00000004
#define    PADCTRLREG_MMC_CLK_SEL_1_MMC_CLK_SHIFT                         1
#define    PADCTRLREG_MMC_CLK_SEL_1_MMC_CLK_MASK                          0x00000002
#define    PADCTRLREG_MMC_CLK_SEL_0_MMC_CLK_SHIFT                         0
#define    PADCTRLREG_MMC_CLK_SEL_0_MMC_CLK_MASK                          0x00000001

#define PADCTRLREG_MMC_CMD_OFFSET                                         0x000000F0
#define PADCTRLREG_MMC_CMD_TYPE                                           UInt32
#define PADCTRLREG_MMC_CMD_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC_CMD_PINSEL_MMC_CMD_SHIFT                        8
#define    PADCTRLREG_MMC_CMD_PINSEL_MMC_CMD_MASK                         0x00000700
#define    PADCTRLREG_MMC_CMD_HYS_EN_MMC_CMD_SHIFT                        7
#define    PADCTRLREG_MMC_CMD_HYS_EN_MMC_CMD_MASK                         0x00000080
#define    PADCTRLREG_MMC_CMD_PDN_MMC_CMD_SHIFT                           6
#define    PADCTRLREG_MMC_CMD_PDN_MMC_CMD_MASK                            0x00000040
#define    PADCTRLREG_MMC_CMD_PUP_MMC_CMD_SHIFT                           5
#define    PADCTRLREG_MMC_CMD_PUP_MMC_CMD_MASK                            0x00000020
#define    PADCTRLREG_MMC_CMD_SRC_MMC_CMD_SHIFT                           4
#define    PADCTRLREG_MMC_CMD_SRC_MMC_CMD_MASK                            0x00000010
#define    PADCTRLREG_MMC_CMD_IND_MMC_CMD_SHIFT                           3
#define    PADCTRLREG_MMC_CMD_IND_MMC_CMD_MASK                            0x00000008
#define    PADCTRLREG_MMC_CMD_SEL_2_MMC_CMD_SHIFT                         2
#define    PADCTRLREG_MMC_CMD_SEL_2_MMC_CMD_MASK                          0x00000004
#define    PADCTRLREG_MMC_CMD_SEL_1_MMC_CMD_SHIFT                         1
#define    PADCTRLREG_MMC_CMD_SEL_1_MMC_CMD_MASK                          0x00000002
#define    PADCTRLREG_MMC_CMD_SEL_0_MMC_CMD_SHIFT                         0
#define    PADCTRLREG_MMC_CMD_SEL_0_MMC_CMD_MASK                          0x00000001

#define PADCTRLREG_MMC_DAT0_OFFSET                                        0x000000F4
#define PADCTRLREG_MMC_DAT0_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT0_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT0_PINSEL_MMC_DAT0_SHIFT                      8
#define    PADCTRLREG_MMC_DAT0_PINSEL_MMC_DAT0_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT0_HYS_EN_MMC_DAT0_SHIFT                      7
#define    PADCTRLREG_MMC_DAT0_HYS_EN_MMC_DAT0_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT0_PDN_MMC_DAT0_SHIFT                         6
#define    PADCTRLREG_MMC_DAT0_PDN_MMC_DAT0_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT0_PUP_MMC_DAT0_SHIFT                         5
#define    PADCTRLREG_MMC_DAT0_PUP_MMC_DAT0_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT0_SRC_MMC_DAT0_SHIFT                         4
#define    PADCTRLREG_MMC_DAT0_SRC_MMC_DAT0_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT0_IND_MMC_DAT0_SHIFT                         3
#define    PADCTRLREG_MMC_DAT0_IND_MMC_DAT0_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT0_SEL_2_MMC_DAT0_SHIFT                       2
#define    PADCTRLREG_MMC_DAT0_SEL_2_MMC_DAT0_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT0_SEL_1_MMC_DAT0_SHIFT                       1
#define    PADCTRLREG_MMC_DAT0_SEL_1_MMC_DAT0_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT0_SEL_0_MMC_DAT0_SHIFT                       0
#define    PADCTRLREG_MMC_DAT0_SEL_0_MMC_DAT0_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT1_OFFSET                                        0x000000F8
#define PADCTRLREG_MMC_DAT1_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT1_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT1_PINSEL_MMC_DAT1_SHIFT                      8
#define    PADCTRLREG_MMC_DAT1_PINSEL_MMC_DAT1_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT1_HYS_EN_MMC_DAT1_SHIFT                      7
#define    PADCTRLREG_MMC_DAT1_HYS_EN_MMC_DAT1_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT1_PDN_MMC_DAT1_SHIFT                         6
#define    PADCTRLREG_MMC_DAT1_PDN_MMC_DAT1_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT1_PUP_MMC_DAT1_SHIFT                         5
#define    PADCTRLREG_MMC_DAT1_PUP_MMC_DAT1_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT1_SRC_MMC_DAT1_SHIFT                         4
#define    PADCTRLREG_MMC_DAT1_SRC_MMC_DAT1_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT1_IND_MMC_DAT1_SHIFT                         3
#define    PADCTRLREG_MMC_DAT1_IND_MMC_DAT1_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT1_SEL_2_MMC_DAT1_SHIFT                       2
#define    PADCTRLREG_MMC_DAT1_SEL_2_MMC_DAT1_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT1_SEL_1_MMC_DAT1_SHIFT                       1
#define    PADCTRLREG_MMC_DAT1_SEL_1_MMC_DAT1_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT1_SEL_0_MMC_DAT1_SHIFT                       0
#define    PADCTRLREG_MMC_DAT1_SEL_0_MMC_DAT1_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT2_OFFSET                                        0x000000FC
#define PADCTRLREG_MMC_DAT2_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT2_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT2_PINSEL_MMC_DAT2_SHIFT                      8
#define    PADCTRLREG_MMC_DAT2_PINSEL_MMC_DAT2_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT2_HYS_EN_MMC_DAT2_SHIFT                      7
#define    PADCTRLREG_MMC_DAT2_HYS_EN_MMC_DAT2_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT2_PDN_MMC_DAT2_SHIFT                         6
#define    PADCTRLREG_MMC_DAT2_PDN_MMC_DAT2_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT2_PUP_MMC_DAT2_SHIFT                         5
#define    PADCTRLREG_MMC_DAT2_PUP_MMC_DAT2_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT2_SRC_MMC_DAT2_SHIFT                         4
#define    PADCTRLREG_MMC_DAT2_SRC_MMC_DAT2_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT2_IND_MMC_DAT2_SHIFT                         3
#define    PADCTRLREG_MMC_DAT2_IND_MMC_DAT2_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT2_SEL_2_MMC_DAT2_SHIFT                       2
#define    PADCTRLREG_MMC_DAT2_SEL_2_MMC_DAT2_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT2_SEL_1_MMC_DAT2_SHIFT                       1
#define    PADCTRLREG_MMC_DAT2_SEL_1_MMC_DAT2_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT2_SEL_0_MMC_DAT2_SHIFT                       0
#define    PADCTRLREG_MMC_DAT2_SEL_0_MMC_DAT2_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT3_OFFSET                                        0x00000100
#define PADCTRLREG_MMC_DAT3_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT3_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT3_PINSEL_MMC_DAT3_SHIFT                      8
#define    PADCTRLREG_MMC_DAT3_PINSEL_MMC_DAT3_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT3_HYS_EN_MMC_DAT3_SHIFT                      7
#define    PADCTRLREG_MMC_DAT3_HYS_EN_MMC_DAT3_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT3_PDN_MMC_DAT3_SHIFT                         6
#define    PADCTRLREG_MMC_DAT3_PDN_MMC_DAT3_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT3_PUP_MMC_DAT3_SHIFT                         5
#define    PADCTRLREG_MMC_DAT3_PUP_MMC_DAT3_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT3_SRC_MMC_DAT3_SHIFT                         4
#define    PADCTRLREG_MMC_DAT3_SRC_MMC_DAT3_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT3_IND_MMC_DAT3_SHIFT                         3
#define    PADCTRLREG_MMC_DAT3_IND_MMC_DAT3_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT3_SEL_2_MMC_DAT3_SHIFT                       2
#define    PADCTRLREG_MMC_DAT3_SEL_2_MMC_DAT3_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT3_SEL_1_MMC_DAT3_SHIFT                       1
#define    PADCTRLREG_MMC_DAT3_SEL_1_MMC_DAT3_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT3_SEL_0_MMC_DAT3_SHIFT                       0
#define    PADCTRLREG_MMC_DAT3_SEL_0_MMC_DAT3_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT4_OFFSET                                        0x00000104
#define PADCTRLREG_MMC_DAT4_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT4_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT4_PINSEL_MMC_DAT4_SHIFT                      8
#define    PADCTRLREG_MMC_DAT4_PINSEL_MMC_DAT4_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT4_HYS_EN_MMC_DAT4_SHIFT                      7
#define    PADCTRLREG_MMC_DAT4_HYS_EN_MMC_DAT4_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT4_PDN_MMC_DAT4_SHIFT                         6
#define    PADCTRLREG_MMC_DAT4_PDN_MMC_DAT4_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT4_PUP_MMC_DAT4_SHIFT                         5
#define    PADCTRLREG_MMC_DAT4_PUP_MMC_DAT4_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT4_SRC_MMC_DAT4_SHIFT                         4
#define    PADCTRLREG_MMC_DAT4_SRC_MMC_DAT4_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT4_IND_MMC_DAT4_SHIFT                         3
#define    PADCTRLREG_MMC_DAT4_IND_MMC_DAT4_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT4_SEL_2_MMC_DAT4_SHIFT                       2
#define    PADCTRLREG_MMC_DAT4_SEL_2_MMC_DAT4_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT4_SEL_1_MMC_DAT4_SHIFT                       1
#define    PADCTRLREG_MMC_DAT4_SEL_1_MMC_DAT4_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT4_SEL_0_MMC_DAT4_SHIFT                       0
#define    PADCTRLREG_MMC_DAT4_SEL_0_MMC_DAT4_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT5_OFFSET                                        0x00000108
#define PADCTRLREG_MMC_DAT5_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT5_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT5_PINSEL_MMC_DAT5_SHIFT                      8
#define    PADCTRLREG_MMC_DAT5_PINSEL_MMC_DAT5_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT5_HYS_EN_MMC_DAT5_SHIFT                      7
#define    PADCTRLREG_MMC_DAT5_HYS_EN_MMC_DAT5_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT5_PDN_MMC_DAT5_SHIFT                         6
#define    PADCTRLREG_MMC_DAT5_PDN_MMC_DAT5_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT5_PUP_MMC_DAT5_SHIFT                         5
#define    PADCTRLREG_MMC_DAT5_PUP_MMC_DAT5_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT5_SRC_MMC_DAT5_SHIFT                         4
#define    PADCTRLREG_MMC_DAT5_SRC_MMC_DAT5_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT5_IND_MMC_DAT5_SHIFT                         3
#define    PADCTRLREG_MMC_DAT5_IND_MMC_DAT5_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT5_SEL_2_MMC_DAT5_SHIFT                       2
#define    PADCTRLREG_MMC_DAT5_SEL_2_MMC_DAT5_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT5_SEL_1_MMC_DAT5_SHIFT                       1
#define    PADCTRLREG_MMC_DAT5_SEL_1_MMC_DAT5_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT5_SEL_0_MMC_DAT5_SHIFT                       0
#define    PADCTRLREG_MMC_DAT5_SEL_0_MMC_DAT5_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT6_OFFSET                                        0x0000010C
#define PADCTRLREG_MMC_DAT6_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT6_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT6_PINSEL_MMC_DAT6_SHIFT                      8
#define    PADCTRLREG_MMC_DAT6_PINSEL_MMC_DAT6_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT6_HYS_EN_MMC_DAT6_SHIFT                      7
#define    PADCTRLREG_MMC_DAT6_HYS_EN_MMC_DAT6_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT6_PDN_MMC_DAT6_SHIFT                         6
#define    PADCTRLREG_MMC_DAT6_PDN_MMC_DAT6_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT6_PUP_MMC_DAT6_SHIFT                         5
#define    PADCTRLREG_MMC_DAT6_PUP_MMC_DAT6_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT6_SRC_MMC_DAT6_SHIFT                         4
#define    PADCTRLREG_MMC_DAT6_SRC_MMC_DAT6_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT6_IND_MMC_DAT6_SHIFT                         3
#define    PADCTRLREG_MMC_DAT6_IND_MMC_DAT6_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT6_SEL_2_MMC_DAT6_SHIFT                       2
#define    PADCTRLREG_MMC_DAT6_SEL_2_MMC_DAT6_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT6_SEL_1_MMC_DAT6_SHIFT                       1
#define    PADCTRLREG_MMC_DAT6_SEL_1_MMC_DAT6_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT6_SEL_0_MMC_DAT6_SHIFT                       0
#define    PADCTRLREG_MMC_DAT6_SEL_0_MMC_DAT6_MASK                        0x00000001

#define PADCTRLREG_MMC_DAT7_OFFSET                                        0x00000110
#define PADCTRLREG_MMC_DAT7_TYPE                                          UInt32
#define PADCTRLREG_MMC_DAT7_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_MMC_DAT7_PINSEL_MMC_DAT7_SHIFT                      8
#define    PADCTRLREG_MMC_DAT7_PINSEL_MMC_DAT7_MASK                       0x00000700
#define    PADCTRLREG_MMC_DAT7_HYS_EN_MMC_DAT7_SHIFT                      7
#define    PADCTRLREG_MMC_DAT7_HYS_EN_MMC_DAT7_MASK                       0x00000080
#define    PADCTRLREG_MMC_DAT7_PDN_MMC_DAT7_SHIFT                         6
#define    PADCTRLREG_MMC_DAT7_PDN_MMC_DAT7_MASK                          0x00000040
#define    PADCTRLREG_MMC_DAT7_PUP_MMC_DAT7_SHIFT                         5
#define    PADCTRLREG_MMC_DAT7_PUP_MMC_DAT7_MASK                          0x00000020
#define    PADCTRLREG_MMC_DAT7_SRC_MMC_DAT7_SHIFT                         4
#define    PADCTRLREG_MMC_DAT7_SRC_MMC_DAT7_MASK                          0x00000010
#define    PADCTRLREG_MMC_DAT7_IND_MMC_DAT7_SHIFT                         3
#define    PADCTRLREG_MMC_DAT7_IND_MMC_DAT7_MASK                          0x00000008
#define    PADCTRLREG_MMC_DAT7_SEL_2_MMC_DAT7_SHIFT                       2
#define    PADCTRLREG_MMC_DAT7_SEL_2_MMC_DAT7_MASK                        0x00000004
#define    PADCTRLREG_MMC_DAT7_SEL_1_MMC_DAT7_SHIFT                       1
#define    PADCTRLREG_MMC_DAT7_SEL_1_MMC_DAT7_MASK                        0x00000002
#define    PADCTRLREG_MMC_DAT7_SEL_0_MMC_DAT7_SHIFT                       0
#define    PADCTRLREG_MMC_DAT7_SEL_0_MMC_DAT7_MASK                        0x00000001

#define PADCTRLREG_MMC_RST_OFFSET                                         0x00000114
#define PADCTRLREG_MMC_RST_TYPE                                           UInt32
#define PADCTRLREG_MMC_RST_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_MMC_RST_PINSEL_MMC_RST_SHIFT                        8
#define    PADCTRLREG_MMC_RST_PINSEL_MMC_RST_MASK                         0x00000700
#define    PADCTRLREG_MMC_RST_HYS_EN_MMC_RST_SHIFT                        7
#define    PADCTRLREG_MMC_RST_HYS_EN_MMC_RST_MASK                         0x00000080
#define    PADCTRLREG_MMC_RST_PDN_MMC_RST_SHIFT                           6
#define    PADCTRLREG_MMC_RST_PDN_MMC_RST_MASK                            0x00000040
#define    PADCTRLREG_MMC_RST_PUP_MMC_RST_SHIFT                           5
#define    PADCTRLREG_MMC_RST_PUP_MMC_RST_MASK                            0x00000020
#define    PADCTRLREG_MMC_RST_SRC_MMC_RST_SHIFT                           4
#define    PADCTRLREG_MMC_RST_SRC_MMC_RST_MASK                            0x00000010
#define    PADCTRLREG_MMC_RST_IND_MMC_RST_SHIFT                           3
#define    PADCTRLREG_MMC_RST_IND_MMC_RST_MASK                            0x00000008
#define    PADCTRLREG_MMC_RST_SEL_2_MMC_RST_SHIFT                         2
#define    PADCTRLREG_MMC_RST_SEL_2_MMC_RST_MASK                          0x00000004
#define    PADCTRLREG_MMC_RST_SEL_1_MMC_RST_SHIFT                         1
#define    PADCTRLREG_MMC_RST_SEL_1_MMC_RST_MASK                          0x00000002
#define    PADCTRLREG_MMC_RST_SEL_0_MMC_RST_SHIFT                         0
#define    PADCTRLREG_MMC_RST_SEL_0_MMC_RST_MASK                          0x00000001

#define PADCTRLREG_PCM_CLK_OFFSET                                         0x00000118
#define PADCTRLREG_PCM_CLK_TYPE                                           UInt32
#define PADCTRLREG_PCM_CLK_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_PCM_CLK_PINSEL_PCM_CLK_SHIFT                        8
#define    PADCTRLREG_PCM_CLK_PINSEL_PCM_CLK_MASK                         0x00000700
#define    PADCTRLREG_PCM_CLK_HYS_EN_PCM_CLK_SHIFT                        7
#define    PADCTRLREG_PCM_CLK_HYS_EN_PCM_CLK_MASK                         0x00000080
#define    PADCTRLREG_PCM_CLK_PDN_PCM_CLK_SHIFT                           6
#define    PADCTRLREG_PCM_CLK_PDN_PCM_CLK_MASK                            0x00000040
#define    PADCTRLREG_PCM_CLK_PUP_PCM_CLK_SHIFT                           5
#define    PADCTRLREG_PCM_CLK_PUP_PCM_CLK_MASK                            0x00000020
#define    PADCTRLREG_PCM_CLK_SRC_PCM_CLK_SHIFT                           4
#define    PADCTRLREG_PCM_CLK_SRC_PCM_CLK_MASK                            0x00000010
#define    PADCTRLREG_PCM_CLK_IND_PCM_CLK_SHIFT                           3
#define    PADCTRLREG_PCM_CLK_IND_PCM_CLK_MASK                            0x00000008
#define    PADCTRLREG_PCM_CLK_SEL_2_PCM_CLK_SHIFT                         2
#define    PADCTRLREG_PCM_CLK_SEL_2_PCM_CLK_MASK                          0x00000004
#define    PADCTRLREG_PCM_CLK_SEL_1_PCM_CLK_SHIFT                         1
#define    PADCTRLREG_PCM_CLK_SEL_1_PCM_CLK_MASK                          0x00000002
#define    PADCTRLREG_PCM_CLK_SEL_0_PCM_CLK_SHIFT                         0
#define    PADCTRLREG_PCM_CLK_SEL_0_PCM_CLK_MASK                          0x00000001

#define PADCTRLREG_PCM_DI_OFFSET                                          0x0000011C
#define PADCTRLREG_PCM_DI_TYPE                                            UInt32
#define PADCTRLREG_PCM_DI_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_PCM_DI_PINSEL_PCM_DI_SHIFT                          8
#define    PADCTRLREG_PCM_DI_PINSEL_PCM_DI_MASK                           0x00000700
#define    PADCTRLREG_PCM_DI_HYS_EN_PCM_DI_SHIFT                          7
#define    PADCTRLREG_PCM_DI_HYS_EN_PCM_DI_MASK                           0x00000080
#define    PADCTRLREG_PCM_DI_PDN_PCM_DI_SHIFT                             6
#define    PADCTRLREG_PCM_DI_PDN_PCM_DI_MASK                              0x00000040
#define    PADCTRLREG_PCM_DI_PUP_PCM_DI_SHIFT                             5
#define    PADCTRLREG_PCM_DI_PUP_PCM_DI_MASK                              0x00000020
#define    PADCTRLREG_PCM_DI_SRC_PCM_DI_SHIFT                             4
#define    PADCTRLREG_PCM_DI_SRC_PCM_DI_MASK                              0x00000010
#define    PADCTRLREG_PCM_DI_IND_PCM_DI_SHIFT                             3
#define    PADCTRLREG_PCM_DI_IND_PCM_DI_MASK                              0x00000008
#define    PADCTRLREG_PCM_DI_SEL_2_PCM_DI_SHIFT                           2
#define    PADCTRLREG_PCM_DI_SEL_2_PCM_DI_MASK                            0x00000004
#define    PADCTRLREG_PCM_DI_SEL_1_PCM_DI_SHIFT                           1
#define    PADCTRLREG_PCM_DI_SEL_1_PCM_DI_MASK                            0x00000002
#define    PADCTRLREG_PCM_DI_SEL_0_PCM_DI_SHIFT                           0
#define    PADCTRLREG_PCM_DI_SEL_0_PCM_DI_MASK                            0x00000001

#define PADCTRLREG_PCM_DO_OFFSET                                          0x00000120
#define PADCTRLREG_PCM_DO_TYPE                                            UInt32
#define PADCTRLREG_PCM_DO_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_PCM_DO_PINSEL_PCM_DO_SHIFT                          8
#define    PADCTRLREG_PCM_DO_PINSEL_PCM_DO_MASK                           0x00000700
#define    PADCTRLREG_PCM_DO_HYS_EN_PCM_DO_SHIFT                          7
#define    PADCTRLREG_PCM_DO_HYS_EN_PCM_DO_MASK                           0x00000080
#define    PADCTRLREG_PCM_DO_PDN_PCM_DO_SHIFT                             6
#define    PADCTRLREG_PCM_DO_PDN_PCM_DO_MASK                              0x00000040
#define    PADCTRLREG_PCM_DO_PUP_PCM_DO_SHIFT                             5
#define    PADCTRLREG_PCM_DO_PUP_PCM_DO_MASK                              0x00000020
#define    PADCTRLREG_PCM_DO_SRC_PCM_DO_SHIFT                             4
#define    PADCTRLREG_PCM_DO_SRC_PCM_DO_MASK                              0x00000010
#define    PADCTRLREG_PCM_DO_IND_PCM_DO_SHIFT                             3
#define    PADCTRLREG_PCM_DO_IND_PCM_DO_MASK                              0x00000008
#define    PADCTRLREG_PCM_DO_SEL_2_PCM_DO_SHIFT                           2
#define    PADCTRLREG_PCM_DO_SEL_2_PCM_DO_MASK                            0x00000004
#define    PADCTRLREG_PCM_DO_SEL_1_PCM_DO_SHIFT                           1
#define    PADCTRLREG_PCM_DO_SEL_1_PCM_DO_MASK                            0x00000002
#define    PADCTRLREG_PCM_DO_SEL_0_PCM_DO_SHIFT                           0
#define    PADCTRLREG_PCM_DO_SEL_0_PCM_DO_MASK                            0x00000001

#define PADCTRLREG_PCM_SYN_OFFSET                                         0x00000124
#define PADCTRLREG_PCM_SYN_TYPE                                           UInt32
#define PADCTRLREG_PCM_SYN_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_PCM_SYN_PINSEL_PCM_SYN_SHIFT                        8
#define    PADCTRLREG_PCM_SYN_PINSEL_PCM_SYN_MASK                         0x00000700
#define    PADCTRLREG_PCM_SYN_HYS_EN_PCM_SYN_SHIFT                        7
#define    PADCTRLREG_PCM_SYN_HYS_EN_PCM_SYN_MASK                         0x00000080
#define    PADCTRLREG_PCM_SYN_PDN_PCM_SYN_SHIFT                           6
#define    PADCTRLREG_PCM_SYN_PDN_PCM_SYN_MASK                            0x00000040
#define    PADCTRLREG_PCM_SYN_PUP_PCM_SYN_SHIFT                           5
#define    PADCTRLREG_PCM_SYN_PUP_PCM_SYN_MASK                            0x00000020
#define    PADCTRLREG_PCM_SYN_SRC_PCM_SYN_SHIFT                           4
#define    PADCTRLREG_PCM_SYN_SRC_PCM_SYN_MASK                            0x00000010
#define    PADCTRLREG_PCM_SYN_IND_PCM_SYN_SHIFT                           3
#define    PADCTRLREG_PCM_SYN_IND_PCM_SYN_MASK                            0x00000008
#define    PADCTRLREG_PCM_SYN_SEL_2_PCM_SYN_SHIFT                         2
#define    PADCTRLREG_PCM_SYN_SEL_2_PCM_SYN_MASK                          0x00000004
#define    PADCTRLREG_PCM_SYN_SEL_1_PCM_SYN_SHIFT                         1
#define    PADCTRLREG_PCM_SYN_SEL_1_PCM_SYN_MASK                          0x00000002
#define    PADCTRLREG_PCM_SYN_SEL_0_PCM_SYN_SHIFT                         0
#define    PADCTRLREG_PCM_SYN_SEL_0_PCM_SYN_MASK                          0x00000001

#define PADCTRLREG_RESET_N_OFFSET                                         0x00000128
#define PADCTRLREG_RESET_N_TYPE                                           UInt32
#define PADCTRLREG_RESET_N_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_RESET_N_PINSEL_RESET_N_SHIFT                        8
#define    PADCTRLREG_RESET_N_PINSEL_RESET_N_MASK                         0x00000700
#define    PADCTRLREG_RESET_N_HYS_EN_RESET_N_SHIFT                        7
#define    PADCTRLREG_RESET_N_HYS_EN_RESET_N_MASK                         0x00000080
#define    PADCTRLREG_RESET_N_PDN_RESET_N_SHIFT                           6
#define    PADCTRLREG_RESET_N_PDN_RESET_N_MASK                            0x00000040
#define    PADCTRLREG_RESET_N_PUP_RESET_N_SHIFT                           5
#define    PADCTRLREG_RESET_N_PUP_RESET_N_MASK                            0x00000020
#define    PADCTRLREG_RESET_N_SRC_RESET_N_SHIFT                           4
#define    PADCTRLREG_RESET_N_SRC_RESET_N_MASK                            0x00000010
#define    PADCTRLREG_RESET_N_IND_RESET_N_SHIFT                           3
#define    PADCTRLREG_RESET_N_IND_RESET_N_MASK                            0x00000008
#define    PADCTRLREG_RESET_N_SEL_2_RESET_N_SHIFT                         2
#define    PADCTRLREG_RESET_N_SEL_2_RESET_N_MASK                          0x00000004
#define    PADCTRLREG_RESET_N_SEL_1_RESET_N_SHIFT                         1
#define    PADCTRLREG_RESET_N_SEL_1_RESET_N_MASK                          0x00000002
#define    PADCTRLREG_RESET_N_SEL_0_RESET_N_SHIFT                         0
#define    PADCTRLREG_RESET_N_SEL_0_RESET_N_MASK                          0x00000001

#define PADCTRLREG_SD_CLK_OFFSET                                          0x0000012C
#define PADCTRLREG_SD_CLK_TYPE                                            UInt32
#define PADCTRLREG_SD_CLK_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SD_CLK_PINSEL_SD_CLK_SHIFT                          8
#define    PADCTRLREG_SD_CLK_PINSEL_SD_CLK_MASK                           0x00000700
#define    PADCTRLREG_SD_CLK_HYS_EN_SD_CLK_SHIFT                          7
#define    PADCTRLREG_SD_CLK_HYS_EN_SD_CLK_MASK                           0x00000080
#define    PADCTRLREG_SD_CLK_PDN_SD_CLK_SHIFT                             6
#define    PADCTRLREG_SD_CLK_PDN_SD_CLK_MASK                              0x00000040
#define    PADCTRLREG_SD_CLK_PUP_SD_CLK_SHIFT                             5
#define    PADCTRLREG_SD_CLK_PUP_SD_CLK_MASK                              0x00000020
#define    PADCTRLREG_SD_CLK_SRC_SD_CLK_SHIFT                             4
#define    PADCTRLREG_SD_CLK_SRC_SD_CLK_MASK                              0x00000010
#define    PADCTRLREG_SD_CLK_IND_SD_CLK_SHIFT                             3
#define    PADCTRLREG_SD_CLK_IND_SD_CLK_MASK                              0x00000008
#define    PADCTRLREG_SD_CLK_SEL_2_SD_CLK_SHIFT                           2
#define    PADCTRLREG_SD_CLK_SEL_2_SD_CLK_MASK                            0x00000004
#define    PADCTRLREG_SD_CLK_SEL_1_SD_CLK_SHIFT                           1
#define    PADCTRLREG_SD_CLK_SEL_1_SD_CLK_MASK                            0x00000002
#define    PADCTRLREG_SD_CLK_SEL_0_SD_CLK_SHIFT                           0
#define    PADCTRLREG_SD_CLK_SEL_0_SD_CLK_MASK                            0x00000001

#define PADCTRLREG_SD_CMD_OFFSET                                          0x00000130
#define PADCTRLREG_SD_CMD_TYPE                                            UInt32
#define PADCTRLREG_SD_CMD_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SD_CMD_PINSEL_SD_CMD_SHIFT                          8
#define    PADCTRLREG_SD_CMD_PINSEL_SD_CMD_MASK                           0x00000700
#define    PADCTRLREG_SD_CMD_HYS_EN_SD_CMD_SHIFT                          7
#define    PADCTRLREG_SD_CMD_HYS_EN_SD_CMD_MASK                           0x00000080
#define    PADCTRLREG_SD_CMD_PDN_SD_CMD_SHIFT                             6
#define    PADCTRLREG_SD_CMD_PDN_SD_CMD_MASK                              0x00000040
#define    PADCTRLREG_SD_CMD_PUP_SD_CMD_SHIFT                             5
#define    PADCTRLREG_SD_CMD_PUP_SD_CMD_MASK                              0x00000020
#define    PADCTRLREG_SD_CMD_SRC_SD_CMD_SHIFT                             4
#define    PADCTRLREG_SD_CMD_SRC_SD_CMD_MASK                              0x00000010
#define    PADCTRLREG_SD_CMD_IND_SD_CMD_SHIFT                             3
#define    PADCTRLREG_SD_CMD_IND_SD_CMD_MASK                              0x00000008
#define    PADCTRLREG_SD_CMD_SEL_2_SD_CMD_SHIFT                           2
#define    PADCTRLREG_SD_CMD_SEL_2_SD_CMD_MASK                            0x00000004
#define    PADCTRLREG_SD_CMD_SEL_1_SD_CMD_SHIFT                           1
#define    PADCTRLREG_SD_CMD_SEL_1_SD_CMD_MASK                            0x00000002
#define    PADCTRLREG_SD_CMD_SEL_0_SD_CMD_SHIFT                           0
#define    PADCTRLREG_SD_CMD_SEL_0_SD_CMD_MASK                            0x00000001

#define PADCTRLREG_SD_DAT0_OFFSET                                         0x00000134
#define PADCTRLREG_SD_DAT0_TYPE                                           UInt32
#define PADCTRLREG_SD_DAT0_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SD_DAT0_PINSEL_SD_DAT0_SHIFT                        8
#define    PADCTRLREG_SD_DAT0_PINSEL_SD_DAT0_MASK                         0x00000700
#define    PADCTRLREG_SD_DAT0_HYS_EN_SD_DAT0_SHIFT                        7
#define    PADCTRLREG_SD_DAT0_HYS_EN_SD_DAT0_MASK                         0x00000080
#define    PADCTRLREG_SD_DAT0_PDN_SD_DAT0_SHIFT                           6
#define    PADCTRLREG_SD_DAT0_PDN_SD_DAT0_MASK                            0x00000040
#define    PADCTRLREG_SD_DAT0_PUP_SD_DAT0_SHIFT                           5
#define    PADCTRLREG_SD_DAT0_PUP_SD_DAT0_MASK                            0x00000020
#define    PADCTRLREG_SD_DAT0_SRC_SD_DAT0_SHIFT                           4
#define    PADCTRLREG_SD_DAT0_SRC_SD_DAT0_MASK                            0x00000010
#define    PADCTRLREG_SD_DAT0_IND_SD_DAT0_SHIFT                           3
#define    PADCTRLREG_SD_DAT0_IND_SD_DAT0_MASK                            0x00000008
#define    PADCTRLREG_SD_DAT0_SEL_2_SD_DAT0_SHIFT                         2
#define    PADCTRLREG_SD_DAT0_SEL_2_SD_DAT0_MASK                          0x00000004
#define    PADCTRLREG_SD_DAT0_SEL_1_SD_DAT0_SHIFT                         1
#define    PADCTRLREG_SD_DAT0_SEL_1_SD_DAT0_MASK                          0x00000002
#define    PADCTRLREG_SD_DAT0_SEL_0_SD_DAT0_SHIFT                         0
#define    PADCTRLREG_SD_DAT0_SEL_0_SD_DAT0_MASK                          0x00000001

#define PADCTRLREG_SD_DAT1_OFFSET                                         0x00000138
#define PADCTRLREG_SD_DAT1_TYPE                                           UInt32
#define PADCTRLREG_SD_DAT1_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SD_DAT1_PINSEL_SD_DAT1_SHIFT                        8
#define    PADCTRLREG_SD_DAT1_PINSEL_SD_DAT1_MASK                         0x00000700
#define    PADCTRLREG_SD_DAT1_HYS_EN_SD_DAT1_SHIFT                        7
#define    PADCTRLREG_SD_DAT1_HYS_EN_SD_DAT1_MASK                         0x00000080
#define    PADCTRLREG_SD_DAT1_PDN_SD_DAT1_SHIFT                           6
#define    PADCTRLREG_SD_DAT1_PDN_SD_DAT1_MASK                            0x00000040
#define    PADCTRLREG_SD_DAT1_PUP_SD_DAT1_SHIFT                           5
#define    PADCTRLREG_SD_DAT1_PUP_SD_DAT1_MASK                            0x00000020
#define    PADCTRLREG_SD_DAT1_SRC_SD_DAT1_SHIFT                           4
#define    PADCTRLREG_SD_DAT1_SRC_SD_DAT1_MASK                            0x00000010
#define    PADCTRLREG_SD_DAT1_IND_SD_DAT1_SHIFT                           3
#define    PADCTRLREG_SD_DAT1_IND_SD_DAT1_MASK                            0x00000008
#define    PADCTRLREG_SD_DAT1_SEL_2_SD_DAT1_SHIFT                         2
#define    PADCTRLREG_SD_DAT1_SEL_2_SD_DAT1_MASK                          0x00000004
#define    PADCTRLREG_SD_DAT1_SEL_1_SD_DAT1_SHIFT                         1
#define    PADCTRLREG_SD_DAT1_SEL_1_SD_DAT1_MASK                          0x00000002
#define    PADCTRLREG_SD_DAT1_SEL_0_SD_DAT1_SHIFT                         0
#define    PADCTRLREG_SD_DAT1_SEL_0_SD_DAT1_MASK                          0x00000001

#define PADCTRLREG_SD_DAT2_OFFSET                                         0x0000013C
#define PADCTRLREG_SD_DAT2_TYPE                                           UInt32
#define PADCTRLREG_SD_DAT2_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SD_DAT2_PINSEL_SD_DAT2_SHIFT                        8
#define    PADCTRLREG_SD_DAT2_PINSEL_SD_DAT2_MASK                         0x00000700
#define    PADCTRLREG_SD_DAT2_HYS_EN_SD_DAT2_SHIFT                        7
#define    PADCTRLREG_SD_DAT2_HYS_EN_SD_DAT2_MASK                         0x00000080
#define    PADCTRLREG_SD_DAT2_PDN_SD_DAT2_SHIFT                           6
#define    PADCTRLREG_SD_DAT2_PDN_SD_DAT2_MASK                            0x00000040
#define    PADCTRLREG_SD_DAT2_PUP_SD_DAT2_SHIFT                           5
#define    PADCTRLREG_SD_DAT2_PUP_SD_DAT2_MASK                            0x00000020
#define    PADCTRLREG_SD_DAT2_SRC_SD_DAT2_SHIFT                           4
#define    PADCTRLREG_SD_DAT2_SRC_SD_DAT2_MASK                            0x00000010
#define    PADCTRLREG_SD_DAT2_IND_SD_DAT2_SHIFT                           3
#define    PADCTRLREG_SD_DAT2_IND_SD_DAT2_MASK                            0x00000008
#define    PADCTRLREG_SD_DAT2_SEL_2_SD_DAT2_SHIFT                         2
#define    PADCTRLREG_SD_DAT2_SEL_2_SD_DAT2_MASK                          0x00000004
#define    PADCTRLREG_SD_DAT2_SEL_1_SD_DAT2_SHIFT                         1
#define    PADCTRLREG_SD_DAT2_SEL_1_SD_DAT2_MASK                          0x00000002
#define    PADCTRLREG_SD_DAT2_SEL_0_SD_DAT2_SHIFT                         0
#define    PADCTRLREG_SD_DAT2_SEL_0_SD_DAT2_MASK                          0x00000001

#define PADCTRLREG_SD_DAT3_OFFSET                                         0x00000140
#define PADCTRLREG_SD_DAT3_TYPE                                           UInt32
#define PADCTRLREG_SD_DAT3_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SD_DAT3_PINSEL_SD_DAT3_SHIFT                        8
#define    PADCTRLREG_SD_DAT3_PINSEL_SD_DAT3_MASK                         0x00000700
#define    PADCTRLREG_SD_DAT3_HYS_EN_SD_DAT3_SHIFT                        7
#define    PADCTRLREG_SD_DAT3_HYS_EN_SD_DAT3_MASK                         0x00000080
#define    PADCTRLREG_SD_DAT3_PDN_SD_DAT3_SHIFT                           6
#define    PADCTRLREG_SD_DAT3_PDN_SD_DAT3_MASK                            0x00000040
#define    PADCTRLREG_SD_DAT3_PUP_SD_DAT3_SHIFT                           5
#define    PADCTRLREG_SD_DAT3_PUP_SD_DAT3_MASK                            0x00000020
#define    PADCTRLREG_SD_DAT3_SRC_SD_DAT3_SHIFT                           4
#define    PADCTRLREG_SD_DAT3_SRC_SD_DAT3_MASK                            0x00000010
#define    PADCTRLREG_SD_DAT3_IND_SD_DAT3_SHIFT                           3
#define    PADCTRLREG_SD_DAT3_IND_SD_DAT3_MASK                            0x00000008
#define    PADCTRLREG_SD_DAT3_SEL_2_SD_DAT3_SHIFT                         2
#define    PADCTRLREG_SD_DAT3_SEL_2_SD_DAT3_MASK                          0x00000004
#define    PADCTRLREG_SD_DAT3_SEL_1_SD_DAT3_SHIFT                         1
#define    PADCTRLREG_SD_DAT3_SEL_1_SD_DAT3_MASK                          0x00000002
#define    PADCTRLREG_SD_DAT3_SEL_0_SD_DAT3_SHIFT                         0
#define    PADCTRLREG_SD_DAT3_SEL_0_SD_DAT3_MASK                          0x00000001

#define PADCTRLREG_SIM1_CLK_OFFSET                                        0x00000144
#define PADCTRLREG_SIM1_CLK_TYPE                                          UInt32
#define PADCTRLREG_SIM1_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM1_CLK_PINSEL_SIM1_CLK_SHIFT                      8
#define    PADCTRLREG_SIM1_CLK_PINSEL_SIM1_CLK_MASK                       0x00000700
#define    PADCTRLREG_SIM1_CLK_HYS_EN_SIM1_CLK_SHIFT                      7
#define    PADCTRLREG_SIM1_CLK_HYS_EN_SIM1_CLK_MASK                       0x00000080
#define    PADCTRLREG_SIM1_CLK_PDN_SIM1_CLK_SHIFT                         6
#define    PADCTRLREG_SIM1_CLK_PDN_SIM1_CLK_MASK                          0x00000040
#define    PADCTRLREG_SIM1_CLK_PUP_SIM1_CLK_SHIFT                         5
#define    PADCTRLREG_SIM1_CLK_PUP_SIM1_CLK_MASK                          0x00000020
#define    PADCTRLREG_SIM1_CLK_SRC_SIM1_CLK_SHIFT                         4
#define    PADCTRLREG_SIM1_CLK_SRC_SIM1_CLK_MASK                          0x00000010
#define    PADCTRLREG_SIM1_CLK_IND_SIM1_CLK_SHIFT                         3
#define    PADCTRLREG_SIM1_CLK_IND_SIM1_CLK_MASK                          0x00000008
#define    PADCTRLREG_SIM1_CLK_SEL_2_SIM1_CLK_SHIFT                       2
#define    PADCTRLREG_SIM1_CLK_SEL_2_SIM1_CLK_MASK                        0x00000004
#define    PADCTRLREG_SIM1_CLK_SEL_1_SIM1_CLK_SHIFT                       1
#define    PADCTRLREG_SIM1_CLK_SEL_1_SIM1_CLK_MASK                        0x00000002
#define    PADCTRLREG_SIM1_CLK_SEL_0_SIM1_CLK_SHIFT                       0
#define    PADCTRLREG_SIM1_CLK_SEL_0_SIM1_CLK_MASK                        0x00000001

#define PADCTRLREG_SIM1_DAT_OFFSET                                        0x00000148
#define PADCTRLREG_SIM1_DAT_TYPE                                          UInt32
#define PADCTRLREG_SIM1_DAT_RESERVED_MASK                                 0xFFFFE000
#define    PADCTRLREG_SIM1_DAT_PUP2_SIM1_DAT_SHIFT                        12
#define    PADCTRLREG_SIM1_DAT_PUP2_SIM1_DAT_MASK                         0x00001000
#define    PADCTRLREG_SIM1_DAT_PUP1_SIM1_DAT_SHIFT                        11
#define    PADCTRLREG_SIM1_DAT_PUP1_SIM1_DAT_MASK                         0x00000800
#define    PADCTRLREG_SIM1_DAT_PINSEL_SIM1_DAT_SHIFT                      8
#define    PADCTRLREG_SIM1_DAT_PINSEL_SIM1_DAT_MASK                       0x00000700
#define    PADCTRLREG_SIM1_DAT_HYS_EN_SIM1_DAT_SHIFT                      7
#define    PADCTRLREG_SIM1_DAT_HYS_EN_SIM1_DAT_MASK                       0x00000080
#define    PADCTRLREG_SIM1_DAT_PDN_SIM1_DAT_SHIFT                         6
#define    PADCTRLREG_SIM1_DAT_PDN_SIM1_DAT_MASK                          0x00000040
#define    PADCTRLREG_SIM1_DAT_PUP_SIM1_DAT_SHIFT                         5
#define    PADCTRLREG_SIM1_DAT_PUP_SIM1_DAT_MASK                          0x00000020
#define    PADCTRLREG_SIM1_DAT_SRC_SIM1_DAT_SHIFT                         4
#define    PADCTRLREG_SIM1_DAT_SRC_SIM1_DAT_MASK                          0x00000010
#define    PADCTRLREG_SIM1_DAT_IND_SIM1_DAT_SHIFT                         3
#define    PADCTRLREG_SIM1_DAT_IND_SIM1_DAT_MASK                          0x00000008
#define    PADCTRLREG_SIM1_DAT_SEL_2_SIM1_DAT_SHIFT                       2
#define    PADCTRLREG_SIM1_DAT_SEL_2_SIM1_DAT_MASK                        0x00000004
#define    PADCTRLREG_SIM1_DAT_SEL_1_SIM1_DAT_SHIFT                       1
#define    PADCTRLREG_SIM1_DAT_SEL_1_SIM1_DAT_MASK                        0x00000002
#define    PADCTRLREG_SIM1_DAT_SEL_0_SIM1_DAT_SHIFT                       0
#define    PADCTRLREG_SIM1_DAT_SEL_0_SIM1_DAT_MASK                        0x00000001

#define PADCTRLREG_SIM1_DET_OFFSET                                        0x0000014C
#define PADCTRLREG_SIM1_DET_TYPE                                          UInt32
#define PADCTRLREG_SIM1_DET_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM1_DET_PINSEL_SIM1_DET_SHIFT                      8
#define    PADCTRLREG_SIM1_DET_PINSEL_SIM1_DET_MASK                       0x00000700
#define    PADCTRLREG_SIM1_DET_HYS_EN_SIM1_DET_SHIFT                      7
#define    PADCTRLREG_SIM1_DET_HYS_EN_SIM1_DET_MASK                       0x00000080
#define    PADCTRLREG_SIM1_DET_PDN_SIM1_DET_SHIFT                         6
#define    PADCTRLREG_SIM1_DET_PDN_SIM1_DET_MASK                          0x00000040
#define    PADCTRLREG_SIM1_DET_PUP_SIM1_DET_SHIFT                         5
#define    PADCTRLREG_SIM1_DET_PUP_SIM1_DET_MASK                          0x00000020
#define    PADCTRLREG_SIM1_DET_SRC_SIM1_DET_SHIFT                         4
#define    PADCTRLREG_SIM1_DET_SRC_SIM1_DET_MASK                          0x00000010
#define    PADCTRLREG_SIM1_DET_IND_SIM1_DET_SHIFT                         3
#define    PADCTRLREG_SIM1_DET_IND_SIM1_DET_MASK                          0x00000008
#define    PADCTRLREG_SIM1_DET_SEL_2_SIM1_DET_SHIFT                       2
#define    PADCTRLREG_SIM1_DET_SEL_2_SIM1_DET_MASK                        0x00000004
#define    PADCTRLREG_SIM1_DET_SEL_1_SIM1_DET_SHIFT                       1
#define    PADCTRLREG_SIM1_DET_SEL_1_SIM1_DET_MASK                        0x00000002
#define    PADCTRLREG_SIM1_DET_SEL_0_SIM1_DET_SHIFT                       0
#define    PADCTRLREG_SIM1_DET_SEL_0_SIM1_DET_MASK                        0x00000001

#define PADCTRLREG_SIM1_RST_OFFSET                                        0x00000150
#define PADCTRLREG_SIM1_RST_TYPE                                          UInt32
#define PADCTRLREG_SIM1_RST_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM1_RST_PINSEL_SIM1_RST_SHIFT                      8
#define    PADCTRLREG_SIM1_RST_PINSEL_SIM1_RST_MASK                       0x00000700
#define    PADCTRLREG_SIM1_RST_HYS_EN_SIM1_RST_SHIFT                      7
#define    PADCTRLREG_SIM1_RST_HYS_EN_SIM1_RST_MASK                       0x00000080
#define    PADCTRLREG_SIM1_RST_PDN_SIM1_RST_SHIFT                         6
#define    PADCTRLREG_SIM1_RST_PDN_SIM1_RST_MASK                          0x00000040
#define    PADCTRLREG_SIM1_RST_PUP_SIM1_RST_SHIFT                         5
#define    PADCTRLREG_SIM1_RST_PUP_SIM1_RST_MASK                          0x00000020
#define    PADCTRLREG_SIM1_RST_SRC_SIM1_RST_SHIFT                         4
#define    PADCTRLREG_SIM1_RST_SRC_SIM1_RST_MASK                          0x00000010
#define    PADCTRLREG_SIM1_RST_IND_SIM1_RST_SHIFT                         3
#define    PADCTRLREG_SIM1_RST_IND_SIM1_RST_MASK                          0x00000008
#define    PADCTRLREG_SIM1_RST_SEL_2_SIM1_RST_SHIFT                       2
#define    PADCTRLREG_SIM1_RST_SEL_2_SIM1_RST_MASK                        0x00000004
#define    PADCTRLREG_SIM1_RST_SEL_1_SIM1_RST_SHIFT                       1
#define    PADCTRLREG_SIM1_RST_SEL_1_SIM1_RST_MASK                        0x00000002
#define    PADCTRLREG_SIM1_RST_SEL_0_SIM1_RST_SHIFT                       0
#define    PADCTRLREG_SIM1_RST_SEL_0_SIM1_RST_MASK                        0x00000001

#define PADCTRLREG_SIM2_CLK_OFFSET                                        0x00000154
#define PADCTRLREG_SIM2_CLK_TYPE                                          UInt32
#define PADCTRLREG_SIM2_CLK_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM2_CLK_PINSEL_SIM2_CLK_SHIFT                      8
#define    PADCTRLREG_SIM2_CLK_PINSEL_SIM2_CLK_MASK                       0x00000700
#define    PADCTRLREG_SIM2_CLK_HYS_EN_SIM2_CLK_SHIFT                      7
#define    PADCTRLREG_SIM2_CLK_HYS_EN_SIM2_CLK_MASK                       0x00000080
#define    PADCTRLREG_SIM2_CLK_PDN_SIM2_CLK_SHIFT                         6
#define    PADCTRLREG_SIM2_CLK_PDN_SIM2_CLK_MASK                          0x00000040
#define    PADCTRLREG_SIM2_CLK_PUP_SIM2_CLK_SHIFT                         5
#define    PADCTRLREG_SIM2_CLK_PUP_SIM2_CLK_MASK                          0x00000020
#define    PADCTRLREG_SIM2_CLK_SRC_SIM2_CLK_SHIFT                         4
#define    PADCTRLREG_SIM2_CLK_SRC_SIM2_CLK_MASK                          0x00000010
#define    PADCTRLREG_SIM2_CLK_IND_SIM2_CLK_SHIFT                         3
#define    PADCTRLREG_SIM2_CLK_IND_SIM2_CLK_MASK                          0x00000008
#define    PADCTRLREG_SIM2_CLK_SEL_2_SIM2_CLK_SHIFT                       2
#define    PADCTRLREG_SIM2_CLK_SEL_2_SIM2_CLK_MASK                        0x00000004
#define    PADCTRLREG_SIM2_CLK_SEL_1_SIM2_CLK_SHIFT                       1
#define    PADCTRLREG_SIM2_CLK_SEL_1_SIM2_CLK_MASK                        0x00000002
#define    PADCTRLREG_SIM2_CLK_SEL_0_SIM2_CLK_SHIFT                       0
#define    PADCTRLREG_SIM2_CLK_SEL_0_SIM2_CLK_MASK                        0x00000001

#define PADCTRLREG_SIM2_DAT_OFFSET                                        0x00000158
#define PADCTRLREG_SIM2_DAT_TYPE                                          UInt32
#define PADCTRLREG_SIM2_DAT_RESERVED_MASK                                 0xFFFFE000
#define    PADCTRLREG_SIM2_DAT_PUP2_SIM2_DAT_SHIFT                        12
#define    PADCTRLREG_SIM2_DAT_PUP2_SIM2_DAT_MASK                         0x00001000
#define    PADCTRLREG_SIM2_DAT_PUP1_SIM2_DAT_SHIFT                        11
#define    PADCTRLREG_SIM2_DAT_PUP1_SIM2_DAT_MASK                         0x00000800
#define    PADCTRLREG_SIM2_DAT_PINSEL_SIM2_DAT_SHIFT                      8
#define    PADCTRLREG_SIM2_DAT_PINSEL_SIM2_DAT_MASK                       0x00000700
#define    PADCTRLREG_SIM2_DAT_HYS_EN_SIM2_DAT_SHIFT                      7
#define    PADCTRLREG_SIM2_DAT_HYS_EN_SIM2_DAT_MASK                       0x00000080
#define    PADCTRLREG_SIM2_DAT_PDN_SIM2_DAT_SHIFT                         6
#define    PADCTRLREG_SIM2_DAT_PDN_SIM2_DAT_MASK                          0x00000040
#define    PADCTRLREG_SIM2_DAT_PUP_SIM2_DAT_SHIFT                         5
#define    PADCTRLREG_SIM2_DAT_PUP_SIM2_DAT_MASK                          0x00000020
#define    PADCTRLREG_SIM2_DAT_SRC_SIM2_DAT_SHIFT                         4
#define    PADCTRLREG_SIM2_DAT_SRC_SIM2_DAT_MASK                          0x00000010
#define    PADCTRLREG_SIM2_DAT_IND_SIM2_DAT_SHIFT                         3
#define    PADCTRLREG_SIM2_DAT_IND_SIM2_DAT_MASK                          0x00000008
#define    PADCTRLREG_SIM2_DAT_SEL_2_SIM2_DAT_SHIFT                       2
#define    PADCTRLREG_SIM2_DAT_SEL_2_SIM2_DAT_MASK                        0x00000004
#define    PADCTRLREG_SIM2_DAT_SEL_1_SIM2_DAT_SHIFT                       1
#define    PADCTRLREG_SIM2_DAT_SEL_1_SIM2_DAT_MASK                        0x00000002
#define    PADCTRLREG_SIM2_DAT_SEL_0_SIM2_DAT_SHIFT                       0
#define    PADCTRLREG_SIM2_DAT_SEL_0_SIM2_DAT_MASK                        0x00000001

#define PADCTRLREG_SIM2_DET_OFFSET                                        0x0000015C
#define PADCTRLREG_SIM2_DET_TYPE                                          UInt32
#define PADCTRLREG_SIM2_DET_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM2_DET_PINSEL_SIM2_DET_SHIFT                      8
#define    PADCTRLREG_SIM2_DET_PINSEL_SIM2_DET_MASK                       0x00000700
#define    PADCTRLREG_SIM2_DET_HYS_EN_SIM2_DET_SHIFT                      7
#define    PADCTRLREG_SIM2_DET_HYS_EN_SIM2_DET_MASK                       0x00000080
#define    PADCTRLREG_SIM2_DET_PDN_SIM2_DET_SHIFT                         6
#define    PADCTRLREG_SIM2_DET_PDN_SIM2_DET_MASK                          0x00000040
#define    PADCTRLREG_SIM2_DET_PUP_SIM2_DET_SHIFT                         5
#define    PADCTRLREG_SIM2_DET_PUP_SIM2_DET_MASK                          0x00000020
#define    PADCTRLREG_SIM2_DET_SRC_SIM2_DET_SHIFT                         4
#define    PADCTRLREG_SIM2_DET_SRC_SIM2_DET_MASK                          0x00000010
#define    PADCTRLREG_SIM2_DET_IND_SIM2_DET_SHIFT                         3
#define    PADCTRLREG_SIM2_DET_IND_SIM2_DET_MASK                          0x00000008
#define    PADCTRLREG_SIM2_DET_SEL_2_SIM2_DET_SHIFT                       2
#define    PADCTRLREG_SIM2_DET_SEL_2_SIM2_DET_MASK                        0x00000004
#define    PADCTRLREG_SIM2_DET_SEL_1_SIM2_DET_SHIFT                       1
#define    PADCTRLREG_SIM2_DET_SEL_1_SIM2_DET_MASK                        0x00000002
#define    PADCTRLREG_SIM2_DET_SEL_0_SIM2_DET_SHIFT                       0
#define    PADCTRLREG_SIM2_DET_SEL_0_SIM2_DET_MASK                        0x00000001

#define PADCTRLREG_SIM2_RST_OFFSET                                        0x00000160
#define PADCTRLREG_SIM2_RST_TYPE                                          UInt32
#define PADCTRLREG_SIM2_RST_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SIM2_RST_PINSEL_SIM2_RST_SHIFT                      8
#define    PADCTRLREG_SIM2_RST_PINSEL_SIM2_RST_MASK                       0x00000700
#define    PADCTRLREG_SIM2_RST_HYS_EN_SIM2_RST_SHIFT                      7
#define    PADCTRLREG_SIM2_RST_HYS_EN_SIM2_RST_MASK                       0x00000080
#define    PADCTRLREG_SIM2_RST_PDN_SIM2_RST_SHIFT                         6
#define    PADCTRLREG_SIM2_RST_PDN_SIM2_RST_MASK                          0x00000040
#define    PADCTRLREG_SIM2_RST_PUP_SIM2_RST_SHIFT                         5
#define    PADCTRLREG_SIM2_RST_PUP_SIM2_RST_MASK                          0x00000020
#define    PADCTRLREG_SIM2_RST_SRC_SIM2_RST_SHIFT                         4
#define    PADCTRLREG_SIM2_RST_SRC_SIM2_RST_MASK                          0x00000010
#define    PADCTRLREG_SIM2_RST_IND_SIM2_RST_SHIFT                         3
#define    PADCTRLREG_SIM2_RST_IND_SIM2_RST_MASK                          0x00000008
#define    PADCTRLREG_SIM2_RST_SEL_2_SIM2_RST_SHIFT                       2
#define    PADCTRLREG_SIM2_RST_SEL_2_SIM2_RST_MASK                        0x00000004
#define    PADCTRLREG_SIM2_RST_SEL_1_SIM2_RST_SHIFT                       1
#define    PADCTRLREG_SIM2_RST_SEL_1_SIM2_RST_MASK                        0x00000002
#define    PADCTRLREG_SIM2_RST_SEL_0_SIM2_RST_SHIFT                       0
#define    PADCTRLREG_SIM2_RST_SEL_0_SIM2_RST_MASK                        0x00000001

#define PADCTRLREG_SPI_CLK_OFFSET                                         0x00000164
#define PADCTRLREG_SPI_CLK_TYPE                                           UInt32
#define PADCTRLREG_SPI_CLK_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI_CLK_PINSEL_SPI_CLK_SHIFT                        8
#define    PADCTRLREG_SPI_CLK_PINSEL_SPI_CLK_MASK                         0x00000700
#define    PADCTRLREG_SPI_CLK_HYS_EN_SPI_CLK_SHIFT                        7
#define    PADCTRLREG_SPI_CLK_HYS_EN_SPI_CLK_MASK                         0x00000080
#define    PADCTRLREG_SPI_CLK_PDN_SPI_CLK_SHIFT                           6
#define    PADCTRLREG_SPI_CLK_PDN_SPI_CLK_MASK                            0x00000040
#define    PADCTRLREG_SPI_CLK_PUP_SPI_CLK_SHIFT                           5
#define    PADCTRLREG_SPI_CLK_PUP_SPI_CLK_MASK                            0x00000020
#define    PADCTRLREG_SPI_CLK_SRC_SPI_CLK_SHIFT                           4
#define    PADCTRLREG_SPI_CLK_SRC_SPI_CLK_MASK                            0x00000010
#define    PADCTRLREG_SPI_CLK_IND_SPI_CLK_SHIFT                           3
#define    PADCTRLREG_SPI_CLK_IND_SPI_CLK_MASK                            0x00000008
#define    PADCTRLREG_SPI_CLK_SEL_2_SPI_CLK_SHIFT                         2
#define    PADCTRLREG_SPI_CLK_SEL_2_SPI_CLK_MASK                          0x00000004
#define    PADCTRLREG_SPI_CLK_SEL_1_SPI_CLK_SHIFT                         1
#define    PADCTRLREG_SPI_CLK_SEL_1_SPI_CLK_MASK                          0x00000002
#define    PADCTRLREG_SPI_CLK_SEL_0_SPI_CLK_SHIFT                         0
#define    PADCTRLREG_SPI_CLK_SEL_0_SPI_CLK_MASK                          0x00000001

#define PADCTRLREG_SPI_FSS_OFFSET                                         0x00000168
#define PADCTRLREG_SPI_FSS_TYPE                                           UInt32
#define PADCTRLREG_SPI_FSS_RESERVED_MASK                                  0xFFFFF800
#define    PADCTRLREG_SPI_FSS_PINSEL_SPI_FSS_SHIFT                        8
#define    PADCTRLREG_SPI_FSS_PINSEL_SPI_FSS_MASK                         0x00000700
#define    PADCTRLREG_SPI_FSS_HYS_EN_SPI_FSS_SHIFT                        7
#define    PADCTRLREG_SPI_FSS_HYS_EN_SPI_FSS_MASK                         0x00000080
#define    PADCTRLREG_SPI_FSS_PDN_SPI_FSS_SHIFT                           6
#define    PADCTRLREG_SPI_FSS_PDN_SPI_FSS_MASK                            0x00000040
#define    PADCTRLREG_SPI_FSS_PUP_SPI_FSS_SHIFT                           5
#define    PADCTRLREG_SPI_FSS_PUP_SPI_FSS_MASK                            0x00000020
#define    PADCTRLREG_SPI_FSS_SRC_SPI_FSS_SHIFT                           4
#define    PADCTRLREG_SPI_FSS_SRC_SPI_FSS_MASK                            0x00000010
#define    PADCTRLREG_SPI_FSS_IND_SPI_FSS_SHIFT                           3
#define    PADCTRLREG_SPI_FSS_IND_SPI_FSS_MASK                            0x00000008
#define    PADCTRLREG_SPI_FSS_SEL_2_SPI_FSS_SHIFT                         2
#define    PADCTRLREG_SPI_FSS_SEL_2_SPI_FSS_MASK                          0x00000004
#define    PADCTRLREG_SPI_FSS_SEL_1_SPI_FSS_SHIFT                         1
#define    PADCTRLREG_SPI_FSS_SEL_1_SPI_FSS_MASK                          0x00000002
#define    PADCTRLREG_SPI_FSS_SEL_0_SPI_FSS_SHIFT                         0
#define    PADCTRLREG_SPI_FSS_SEL_0_SPI_FSS_MASK                          0x00000001

#define PADCTRLREG_SPI_RX_OFFSET                                          0x0000016C
#define PADCTRLREG_SPI_RX_TYPE                                            UInt32
#define PADCTRLREG_SPI_RX_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SPI_RX_PINSEL_SPI_RX_SHIFT                          8
#define    PADCTRLREG_SPI_RX_PINSEL_SPI_RX_MASK                           0x00000700
#define    PADCTRLREG_SPI_RX_HYS_EN_SPI_RX_SHIFT                          7
#define    PADCTRLREG_SPI_RX_HYS_EN_SPI_RX_MASK                           0x00000080
#define    PADCTRLREG_SPI_RX_PDN_SPI_RX_SHIFT                             6
#define    PADCTRLREG_SPI_RX_PDN_SPI_RX_MASK                              0x00000040
#define    PADCTRLREG_SPI_RX_PUP_SPI_RX_SHIFT                             5
#define    PADCTRLREG_SPI_RX_PUP_SPI_RX_MASK                              0x00000020
#define    PADCTRLREG_SPI_RX_SRC_SPI_RX_SHIFT                             4
#define    PADCTRLREG_SPI_RX_SRC_SPI_RX_MASK                              0x00000010
#define    PADCTRLREG_SPI_RX_IND_SPI_RX_SHIFT                             3
#define    PADCTRLREG_SPI_RX_IND_SPI_RX_MASK                              0x00000008
#define    PADCTRLREG_SPI_RX_SEL_2_SPI_RX_SHIFT                           2
#define    PADCTRLREG_SPI_RX_SEL_2_SPI_RX_MASK                            0x00000004
#define    PADCTRLREG_SPI_RX_SEL_1_SPI_RX_SHIFT                           1
#define    PADCTRLREG_SPI_RX_SEL_1_SPI_RX_MASK                            0x00000002
#define    PADCTRLREG_SPI_RX_SEL_0_SPI_RX_SHIFT                           0
#define    PADCTRLREG_SPI_RX_SEL_0_SPI_RX_MASK                            0x00000001

#define PADCTRLREG_SPI_TX_OFFSET                                          0x00000170
#define PADCTRLREG_SPI_TX_TYPE                                            UInt32
#define PADCTRLREG_SPI_TX_RESERVED_MASK                                   0xFFFFF800
#define    PADCTRLREG_SPI_TX_PINSEL_SPI_TX_SHIFT                          8
#define    PADCTRLREG_SPI_TX_PINSEL_SPI_TX_MASK                           0x00000700
#define    PADCTRLREG_SPI_TX_HYS_EN_SPI_TX_SHIFT                          7
#define    PADCTRLREG_SPI_TX_HYS_EN_SPI_TX_MASK                           0x00000080
#define    PADCTRLREG_SPI_TX_PDN_SPI_TX_SHIFT                             6
#define    PADCTRLREG_SPI_TX_PDN_SPI_TX_MASK                              0x00000040
#define    PADCTRLREG_SPI_TX_PUP_SPI_TX_SHIFT                             5
#define    PADCTRLREG_SPI_TX_PUP_SPI_TX_MASK                              0x00000020
#define    PADCTRLREG_SPI_TX_SRC_SPI_TX_SHIFT                             4
#define    PADCTRLREG_SPI_TX_SRC_SPI_TX_MASK                              0x00000010
#define    PADCTRLREG_SPI_TX_IND_SPI_TX_SHIFT                             3
#define    PADCTRLREG_SPI_TX_IND_SPI_TX_MASK                              0x00000008
#define    PADCTRLREG_SPI_TX_SEL_2_SPI_TX_SHIFT                           2
#define    PADCTRLREG_SPI_TX_SEL_2_SPI_TX_MASK                            0x00000004
#define    PADCTRLREG_SPI_TX_SEL_1_SPI_TX_SHIFT                           1
#define    PADCTRLREG_SPI_TX_SEL_1_SPI_TX_MASK                            0x00000002
#define    PADCTRLREG_SPI_TX_SEL_0_SPI_TX_SHIFT                           0
#define    PADCTRLREG_SPI_TX_SEL_0_SPI_TX_MASK                            0x00000001

#define PADCTRLREG_SWD_TCKC_OFFSET                                        0x00000174
#define PADCTRLREG_SWD_TCKC_TYPE                                          UInt32
#define PADCTRLREG_SWD_TCKC_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SWD_TCKC_PINSEL_SWD_TCKC_SHIFT                      8
#define    PADCTRLREG_SWD_TCKC_PINSEL_SWD_TCKC_MASK                       0x00000700
#define    PADCTRLREG_SWD_TCKC_HYS_EN_SWD_TCKC_SHIFT                      7
#define    PADCTRLREG_SWD_TCKC_HYS_EN_SWD_TCKC_MASK                       0x00000080
#define    PADCTRLREG_SWD_TCKC_PDN_SWD_TCKC_SHIFT                         6
#define    PADCTRLREG_SWD_TCKC_PDN_SWD_TCKC_MASK                          0x00000040
#define    PADCTRLREG_SWD_TCKC_PUP_SWD_TCKC_SHIFT                         5
#define    PADCTRLREG_SWD_TCKC_PUP_SWD_TCKC_MASK                          0x00000020
#define    PADCTRLREG_SWD_TCKC_SRC_SWD_TCKC_SHIFT                         4
#define    PADCTRLREG_SWD_TCKC_SRC_SWD_TCKC_MASK                          0x00000010
#define    PADCTRLREG_SWD_TCKC_IND_SWD_TCKC_SHIFT                         3
#define    PADCTRLREG_SWD_TCKC_IND_SWD_TCKC_MASK                          0x00000008
#define    PADCTRLREG_SWD_TCKC_SEL_2_SWD_TCKC_SHIFT                       2
#define    PADCTRLREG_SWD_TCKC_SEL_2_SWD_TCKC_MASK                        0x00000004
#define    PADCTRLREG_SWD_TCKC_SEL_1_SWD_TCKC_SHIFT                       1
#define    PADCTRLREG_SWD_TCKC_SEL_1_SWD_TCKC_MASK                        0x00000002
#define    PADCTRLREG_SWD_TCKC_SEL_0_SWD_TCKC_SHIFT                       0
#define    PADCTRLREG_SWD_TCKC_SEL_0_SWD_TCKC_MASK                        0x00000001

#define PADCTRLREG_SWD_TMSC_OFFSET                                        0x00000178
#define PADCTRLREG_SWD_TMSC_TYPE                                          UInt32
#define PADCTRLREG_SWD_TMSC_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_SWD_TMSC_PINSEL_SWD_TMSC_SHIFT                      8
#define    PADCTRLREG_SWD_TMSC_PINSEL_SWD_TMSC_MASK                       0x00000700
#define    PADCTRLREG_SWD_TMSC_HYS_EN_SWD_TMSC_SHIFT                      7
#define    PADCTRLREG_SWD_TMSC_HYS_EN_SWD_TMSC_MASK                       0x00000080
#define    PADCTRLREG_SWD_TMSC_PDN_SWD_TMSC_SHIFT                         6
#define    PADCTRLREG_SWD_TMSC_PDN_SWD_TMSC_MASK                          0x00000040
#define    PADCTRLREG_SWD_TMSC_PUP_SWD_TMSC_SHIFT                         5
#define    PADCTRLREG_SWD_TMSC_PUP_SWD_TMSC_MASK                          0x00000020
#define    PADCTRLREG_SWD_TMSC_SRC_SWD_TMSC_SHIFT                         4
#define    PADCTRLREG_SWD_TMSC_SRC_SWD_TMSC_MASK                          0x00000010
#define    PADCTRLREG_SWD_TMSC_IND_SWD_TMSC_SHIFT                         3
#define    PADCTRLREG_SWD_TMSC_IND_SWD_TMSC_MASK                          0x00000008
#define    PADCTRLREG_SWD_TMSC_SEL_2_SWD_TMSC_SHIFT                       2
#define    PADCTRLREG_SWD_TMSC_SEL_2_SWD_TMSC_MASK                        0x00000004
#define    PADCTRLREG_SWD_TMSC_SEL_1_SWD_TMSC_SHIFT                       1
#define    PADCTRLREG_SWD_TMSC_SEL_1_SWD_TMSC_MASK                        0x00000002
#define    PADCTRLREG_SWD_TMSC_SEL_0_SWD_TMSC_SHIFT                       0
#define    PADCTRLREG_SWD_TMSC_SEL_0_SWD_TMSC_MASK                        0x00000001

#define PADCTRLREG_TRACE_CLK_OFFSET                                       0x0000017C
#define PADCTRLREG_TRACE_CLK_TYPE                                         UInt32
#define PADCTRLREG_TRACE_CLK_RESERVED_MASK                                0xFFFFF804
#define    PADCTRLREG_TRACE_CLK_PINSEL_TRACE_CLK_SHIFT                    8
#define    PADCTRLREG_TRACE_CLK_PINSEL_TRACE_CLK_MASK                     0x00000700
#define    PADCTRLREG_TRACE_CLK_HYS_EN_TRACE_CLK_SHIFT                    7
#define    PADCTRLREG_TRACE_CLK_HYS_EN_TRACE_CLK_MASK                     0x00000080
#define    PADCTRLREG_TRACE_CLK_PDN_TRACE_CLK_SHIFT                       6
#define    PADCTRLREG_TRACE_CLK_PDN_TRACE_CLK_MASK                        0x00000040
#define    PADCTRLREG_TRACE_CLK_PUP_TRACE_CLK_SHIFT                       5
#define    PADCTRLREG_TRACE_CLK_PUP_TRACE_CLK_MASK                        0x00000020
#define    PADCTRLREG_TRACE_CLK_SRC_TRACE_CLK_SHIFT                       4
#define    PADCTRLREG_TRACE_CLK_SRC_TRACE_CLK_MASK                        0x00000010
#define    PADCTRLREG_TRACE_CLK_IND_TRACE_CLK_SHIFT                       3
#define    PADCTRLREG_TRACE_CLK_IND_TRACE_CLK_MASK                        0x00000008
#define    PADCTRLREG_TRACE_CLK_SEL_1_TRACE_CLK_SHIFT                     1
#define    PADCTRLREG_TRACE_CLK_SEL_1_TRACE_CLK_MASK                      0x00000002
#define    PADCTRLREG_TRACE_CLK_SEL_0_TRACE_CLK_SHIFT                     0
#define    PADCTRLREG_TRACE_CLK_SEL_0_TRACE_CLK_MASK                      0x00000001

#define PADCTRLREG_TRACE_DATA00_OFFSET                                    0x00000180
#define PADCTRLREG_TRACE_DATA00_TYPE                                      UInt32
#define PADCTRLREG_TRACE_DATA00_RESERVED_MASK                             0xFFFFF804
#define    PADCTRLREG_TRACE_DATA00_PINSEL_TRACE_DATA00_SHIFT              8
#define    PADCTRLREG_TRACE_DATA00_PINSEL_TRACE_DATA00_MASK               0x00000700
#define    PADCTRLREG_TRACE_DATA00_HYS_EN_TRACE_DATA00_SHIFT              7
#define    PADCTRLREG_TRACE_DATA00_HYS_EN_TRACE_DATA00_MASK               0x00000080
#define    PADCTRLREG_TRACE_DATA00_PDN_TRACE_DATA00_SHIFT                 6
#define    PADCTRLREG_TRACE_DATA00_PDN_TRACE_DATA00_MASK                  0x00000040
#define    PADCTRLREG_TRACE_DATA00_PUP_TRACE_DATA00_SHIFT                 5
#define    PADCTRLREG_TRACE_DATA00_PUP_TRACE_DATA00_MASK                  0x00000020
#define    PADCTRLREG_TRACE_DATA00_SRC_TRACE_DATA00_SHIFT                 4
#define    PADCTRLREG_TRACE_DATA00_SRC_TRACE_DATA00_MASK                  0x00000010
#define    PADCTRLREG_TRACE_DATA00_IND_TRACE_DATA00_SHIFT                 3
#define    PADCTRLREG_TRACE_DATA00_IND_TRACE_DATA00_MASK                  0x00000008
#define    PADCTRLREG_TRACE_DATA00_SEL_1_TRACE_DATA00_SHIFT               1
#define    PADCTRLREG_TRACE_DATA00_SEL_1_TRACE_DATA00_MASK                0x00000002
#define    PADCTRLREG_TRACE_DATA00_SEL_0_TRACE_DATA00_SHIFT               0
#define    PADCTRLREG_TRACE_DATA00_SEL_0_TRACE_DATA00_MASK                0x00000001

#define PADCTRLREG_TRACE_DATA01_OFFSET                                    0x00000184
#define PADCTRLREG_TRACE_DATA01_TYPE                                      UInt32
#define PADCTRLREG_TRACE_DATA01_RESERVED_MASK                             0xFFFFF804
#define    PADCTRLREG_TRACE_DATA01_PINSEL_TRACE_DATA01_SHIFT              8
#define    PADCTRLREG_TRACE_DATA01_PINSEL_TRACE_DATA01_MASK               0x00000700
#define    PADCTRLREG_TRACE_DATA01_HYS_EN_TRACE_DATA01_SHIFT              7
#define    PADCTRLREG_TRACE_DATA01_HYS_EN_TRACE_DATA01_MASK               0x00000080
#define    PADCTRLREG_TRACE_DATA01_PDN_TRACE_DATA01_SHIFT                 6
#define    PADCTRLREG_TRACE_DATA01_PDN_TRACE_DATA01_MASK                  0x00000040
#define    PADCTRLREG_TRACE_DATA01_PUP_TRACE_DATA01_SHIFT                 5
#define    PADCTRLREG_TRACE_DATA01_PUP_TRACE_DATA01_MASK                  0x00000020
#define    PADCTRLREG_TRACE_DATA01_SRC_TRACE_DATA01_SHIFT                 4
#define    PADCTRLREG_TRACE_DATA01_SRC_TRACE_DATA01_MASK                  0x00000010
#define    PADCTRLREG_TRACE_DATA01_IND_TRACE_DATA01_SHIFT                 3
#define    PADCTRLREG_TRACE_DATA01_IND_TRACE_DATA01_MASK                  0x00000008
#define    PADCTRLREG_TRACE_DATA01_SEL_1_TRACE_DATA01_SHIFT               1
#define    PADCTRLREG_TRACE_DATA01_SEL_1_TRACE_DATA01_MASK                0x00000002
#define    PADCTRLREG_TRACE_DATA01_SEL_0_TRACE_DATA01_SHIFT               0
#define    PADCTRLREG_TRACE_DATA01_SEL_0_TRACE_DATA01_MASK                0x00000001

#define PADCTRLREG_TRACE_DATA02_OFFSET                                    0x00000188
#define PADCTRLREG_TRACE_DATA02_TYPE                                      UInt32
#define PADCTRLREG_TRACE_DATA02_RESERVED_MASK                             0xFFFFF804
#define    PADCTRLREG_TRACE_DATA02_PINSEL_TRACE_DATA02_SHIFT              8
#define    PADCTRLREG_TRACE_DATA02_PINSEL_TRACE_DATA02_MASK               0x00000700
#define    PADCTRLREG_TRACE_DATA02_HYS_EN_TRACE_DATA02_SHIFT              7
#define    PADCTRLREG_TRACE_DATA02_HYS_EN_TRACE_DATA02_MASK               0x00000080
#define    PADCTRLREG_TRACE_DATA02_PDN_TRACE_DATA02_SHIFT                 6
#define    PADCTRLREG_TRACE_DATA02_PDN_TRACE_DATA02_MASK                  0x00000040
#define    PADCTRLREG_TRACE_DATA02_PUP_TRACE_DATA02_SHIFT                 5
#define    PADCTRLREG_TRACE_DATA02_PUP_TRACE_DATA02_MASK                  0x00000020
#define    PADCTRLREG_TRACE_DATA02_SRC_TRACE_DATA02_SHIFT                 4
#define    PADCTRLREG_TRACE_DATA02_SRC_TRACE_DATA02_MASK                  0x00000010
#define    PADCTRLREG_TRACE_DATA02_IND_TRACE_DATA02_SHIFT                 3
#define    PADCTRLREG_TRACE_DATA02_IND_TRACE_DATA02_MASK                  0x00000008
#define    PADCTRLREG_TRACE_DATA02_SEL_1_TRACE_DATA02_SHIFT               1
#define    PADCTRLREG_TRACE_DATA02_SEL_1_TRACE_DATA02_MASK                0x00000002
#define    PADCTRLREG_TRACE_DATA02_SEL_0_TRACE_DATA02_SHIFT               0
#define    PADCTRLREG_TRACE_DATA02_SEL_0_TRACE_DATA02_MASK                0x00000001

#define PADCTRLREG_TRACE_DATA03_OFFSET                                    0x0000018C
#define PADCTRLREG_TRACE_DATA03_TYPE                                      UInt32
#define PADCTRLREG_TRACE_DATA03_RESERVED_MASK                             0xFFFFF804
#define    PADCTRLREG_TRACE_DATA03_PINSEL_TRACE_DATA03_SHIFT              8
#define    PADCTRLREG_TRACE_DATA03_PINSEL_TRACE_DATA03_MASK               0x00000700
#define    PADCTRLREG_TRACE_DATA03_HYS_EN_TRACE_DATA03_SHIFT              7
#define    PADCTRLREG_TRACE_DATA03_HYS_EN_TRACE_DATA03_MASK               0x00000080
#define    PADCTRLREG_TRACE_DATA03_PDN_TRACE_DATA03_SHIFT                 6
#define    PADCTRLREG_TRACE_DATA03_PDN_TRACE_DATA03_MASK                  0x00000040
#define    PADCTRLREG_TRACE_DATA03_PUP_TRACE_DATA03_SHIFT                 5
#define    PADCTRLREG_TRACE_DATA03_PUP_TRACE_DATA03_MASK                  0x00000020
#define    PADCTRLREG_TRACE_DATA03_SRC_TRACE_DATA03_SHIFT                 4
#define    PADCTRLREG_TRACE_DATA03_SRC_TRACE_DATA03_MASK                  0x00000010
#define    PADCTRLREG_TRACE_DATA03_IND_TRACE_DATA03_SHIFT                 3
#define    PADCTRLREG_TRACE_DATA03_IND_TRACE_DATA03_MASK                  0x00000008
#define    PADCTRLREG_TRACE_DATA03_SEL_1_TRACE_DATA03_SHIFT               1
#define    PADCTRLREG_TRACE_DATA03_SEL_1_TRACE_DATA03_MASK                0x00000002
#define    PADCTRLREG_TRACE_DATA03_SEL_0_TRACE_DATA03_SHIFT               0
#define    PADCTRLREG_TRACE_DATA03_SEL_0_TRACE_DATA03_MASK                0x00000001

#define PADCTRLREG_UARTA_CTS_N_OFFSET                                     0x00000190
#define PADCTRLREG_UARTA_CTS_N_TYPE                                       UInt32
#define PADCTRLREG_UARTA_CTS_N_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTA_CTS_N_PINSEL_UARTA_CTS_N_SHIFT                8
#define    PADCTRLREG_UARTA_CTS_N_PINSEL_UARTA_CTS_N_MASK                 0x00000700
#define    PADCTRLREG_UARTA_CTS_N_HYS_EN_UARTA_CTS_N_SHIFT                7
#define    PADCTRLREG_UARTA_CTS_N_HYS_EN_UARTA_CTS_N_MASK                 0x00000080
#define    PADCTRLREG_UARTA_CTS_N_PDN_UARTA_CTS_N_SHIFT                   6
#define    PADCTRLREG_UARTA_CTS_N_PDN_UARTA_CTS_N_MASK                    0x00000040
#define    PADCTRLREG_UARTA_CTS_N_PUP_UARTA_CTS_N_SHIFT                   5
#define    PADCTRLREG_UARTA_CTS_N_PUP_UARTA_CTS_N_MASK                    0x00000020
#define    PADCTRLREG_UARTA_CTS_N_SRC_UARTA_CTS_N_SHIFT                   4
#define    PADCTRLREG_UARTA_CTS_N_SRC_UARTA_CTS_N_MASK                    0x00000010
#define    PADCTRLREG_UARTA_CTS_N_IND_UARTA_CTS_N_SHIFT                   3
#define    PADCTRLREG_UARTA_CTS_N_IND_UARTA_CTS_N_MASK                    0x00000008
#define    PADCTRLREG_UARTA_CTS_N_SEL_2_UARTA_CTS_N_SHIFT                 2
#define    PADCTRLREG_UARTA_CTS_N_SEL_2_UARTA_CTS_N_MASK                  0x00000004
#define    PADCTRLREG_UARTA_CTS_N_SEL_1_UARTA_CTS_N_SHIFT                 1
#define    PADCTRLREG_UARTA_CTS_N_SEL_1_UARTA_CTS_N_MASK                  0x00000002
#define    PADCTRLREG_UARTA_CTS_N_SEL_0_UARTA_CTS_N_SHIFT                 0
#define    PADCTRLREG_UARTA_CTS_N_SEL_0_UARTA_CTS_N_MASK                  0x00000001

#define PADCTRLREG_UARTA_RTS_N_OFFSET                                     0x00000194
#define PADCTRLREG_UARTA_RTS_N_TYPE                                       UInt32
#define PADCTRLREG_UARTA_RTS_N_RESERVED_MASK                              0xFFFFF800
#define    PADCTRLREG_UARTA_RTS_N_PINSEL_UARTA_RTS_N_SHIFT                8
#define    PADCTRLREG_UARTA_RTS_N_PINSEL_UARTA_RTS_N_MASK                 0x00000700
#define    PADCTRLREG_UARTA_RTS_N_HYS_EN_UARTA_RTS_N_SHIFT                7
#define    PADCTRLREG_UARTA_RTS_N_HYS_EN_UARTA_RTS_N_MASK                 0x00000080
#define    PADCTRLREG_UARTA_RTS_N_PDN_UARTA_RTS_N_SHIFT                   6
#define    PADCTRLREG_UARTA_RTS_N_PDN_UARTA_RTS_N_MASK                    0x00000040
#define    PADCTRLREG_UARTA_RTS_N_PUP_UARTA_RTS_N_SHIFT                   5
#define    PADCTRLREG_UARTA_RTS_N_PUP_UARTA_RTS_N_MASK                    0x00000020
#define    PADCTRLREG_UARTA_RTS_N_SRC_UARTA_RTS_N_SHIFT                   4
#define    PADCTRLREG_UARTA_RTS_N_SRC_UARTA_RTS_N_MASK                    0x00000010
#define    PADCTRLREG_UARTA_RTS_N_IND_UARTA_RTS_N_SHIFT                   3
#define    PADCTRLREG_UARTA_RTS_N_IND_UARTA_RTS_N_MASK                    0x00000008
#define    PADCTRLREG_UARTA_RTS_N_SEL_2_UARTA_RTS_N_SHIFT                 2
#define    PADCTRLREG_UARTA_RTS_N_SEL_2_UARTA_RTS_N_MASK                  0x00000004
#define    PADCTRLREG_UARTA_RTS_N_SEL_1_UARTA_RTS_N_SHIFT                 1
#define    PADCTRLREG_UARTA_RTS_N_SEL_1_UARTA_RTS_N_MASK                  0x00000002
#define    PADCTRLREG_UARTA_RTS_N_SEL_0_UARTA_RTS_N_SHIFT                 0
#define    PADCTRLREG_UARTA_RTS_N_SEL_0_UARTA_RTS_N_MASK                  0x00000001

#define PADCTRLREG_UARTA_RX_OFFSET                                        0x00000198
#define PADCTRLREG_UARTA_RX_TYPE                                          UInt32
#define PADCTRLREG_UARTA_RX_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_UARTA_RX_PINSEL_UARTA_RX_SHIFT                      8
#define    PADCTRLREG_UARTA_RX_PINSEL_UARTA_RX_MASK                       0x00000700
#define    PADCTRLREG_UARTA_RX_HYS_EN_UARTA_RX_SHIFT                      7
#define    PADCTRLREG_UARTA_RX_HYS_EN_UARTA_RX_MASK                       0x00000080
#define    PADCTRLREG_UARTA_RX_PDN_UARTA_RX_SHIFT                         6
#define    PADCTRLREG_UARTA_RX_PDN_UARTA_RX_MASK                          0x00000040
#define    PADCTRLREG_UARTA_RX_PUP_UARTA_RX_SHIFT                         5
#define    PADCTRLREG_UARTA_RX_PUP_UARTA_RX_MASK                          0x00000020
#define    PADCTRLREG_UARTA_RX_SRC_UARTA_RX_SHIFT                         4
#define    PADCTRLREG_UARTA_RX_SRC_UARTA_RX_MASK                          0x00000010
#define    PADCTRLREG_UARTA_RX_IND_UARTA_RX_SHIFT                         3
#define    PADCTRLREG_UARTA_RX_IND_UARTA_RX_MASK                          0x00000008
#define    PADCTRLREG_UARTA_RX_SEL_2_UARTA_RX_SHIFT                       2
#define    PADCTRLREG_UARTA_RX_SEL_2_UARTA_RX_MASK                        0x00000004
#define    PADCTRLREG_UARTA_RX_SEL_1_UARTA_RX_SHIFT                       1
#define    PADCTRLREG_UARTA_RX_SEL_1_UARTA_RX_MASK                        0x00000002
#define    PADCTRLREG_UARTA_RX_SEL_0_UARTA_RX_SHIFT                       0
#define    PADCTRLREG_UARTA_RX_SEL_0_UARTA_RX_MASK                        0x00000001

#define PADCTRLREG_UARTA_TX_OFFSET                                        0x0000019C
#define PADCTRLREG_UARTA_TX_TYPE                                          UInt32
#define PADCTRLREG_UARTA_TX_RESERVED_MASK                                 0xFFFFF800
#define    PADCTRLREG_UARTA_TX_PINSEL_UARTA_TX_SHIFT                      8
#define    PADCTRLREG_UARTA_TX_PINSEL_UARTA_TX_MASK                       0x00000700
#define    PADCTRLREG_UARTA_TX_HYS_EN_UARTA_TX_SHIFT                      7
#define    PADCTRLREG_UARTA_TX_HYS_EN_UARTA_TX_MASK                       0x00000080
#define    PADCTRLREG_UARTA_TX_PDN_UARTA_TX_SHIFT                         6
#define    PADCTRLREG_UARTA_TX_PDN_UARTA_TX_MASK                          0x00000040
#define    PADCTRLREG_UARTA_TX_PUP_UARTA_TX_SHIFT                         5
#define    PADCTRLREG_UARTA_TX_PUP_UARTA_TX_MASK                          0x00000020
#define    PADCTRLREG_UARTA_TX_SRC_UARTA_TX_SHIFT                         4
#define    PADCTRLREG_UARTA_TX_SRC_UARTA_TX_MASK                          0x00000010
#define    PADCTRLREG_UARTA_TX_IND_UARTA_TX_SHIFT                         3
#define    PADCTRLREG_UARTA_TX_IND_UARTA_TX_MASK                          0x00000008
#define    PADCTRLREG_UARTA_TX_SEL_2_UARTA_TX_SHIFT                       2
#define    PADCTRLREG_UARTA_TX_SEL_2_UARTA_TX_MASK                        0x00000004
#define    PADCTRLREG_UARTA_TX_SEL_1_UARTA_TX_SHIFT                       1
#define    PADCTRLREG_UARTA_TX_SEL_1_UARTA_TX_MASK                        0x00000002
#define    PADCTRLREG_UARTA_TX_SEL_0_UARTA_TX_SHIFT                       0
#define    PADCTRLREG_UARTA_TX_SEL_0_UARTA_TX_MASK                        0x00000001

#define PADCTRLREG_ACCESS_LOCK0_OFFSET                                    0x00000780
#define PADCTRLREG_ACCESS_LOCK0_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK0_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK0_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK0_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK1_OFFSET                                    0x00000784
#define PADCTRLREG_ACCESS_LOCK1_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK1_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK1_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK1_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK2_OFFSET                                    0x00000788
#define PADCTRLREG_ACCESS_LOCK2_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK2_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK2_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK2_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK3_OFFSET                                    0x0000078C
#define PADCTRLREG_ACCESS_LOCK3_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK3_RESERVED_MASK                             0x00000000
#define    PADCTRLREG_ACCESS_LOCK3_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK3_ACCESS_LOCK_MASK                       0xFFFFFFFF

#define PADCTRLREG_ACCESS_LOCK4_OFFSET                                    0x00000790
#define PADCTRLREG_ACCESS_LOCK4_TYPE                                      UInt32
#define PADCTRLREG_ACCESS_LOCK4_RESERVED_MASK                             0xFFF80000
#define    PADCTRLREG_ACCESS_LOCK4_ACCESS_LOCK_SHIFT                      0
#define    PADCTRLREG_ACCESS_LOCK4_ACCESS_LOCK_MASK                       0x0007FFFF

#define PADCTRLREG_WR_ACCESS_OFFSET                                       0x000007F0
#define PADCTRLREG_WR_ACCESS_TYPE                                         UInt32
#define PADCTRLREG_WR_ACCESS_RESERVED_MASK                                0xFF0000FE
#define    PADCTRLREG_WR_ACCESS_PASSWORD_SHIFT                            8
#define    PADCTRLREG_WR_ACCESS_PASSWORD_MASK                             0x00FFFF00
#define    PADCTRLREG_WR_ACCESS_PADCTRL_ACCESS_SHIFT                      0
#define    PADCTRLREG_WR_ACCESS_PADCTRL_ACCESS_MASK                       0x00000001

#endif /* __BRCM_RDB_PADCTRLREG_H__ */


