/************************************************************************************************/
/*                                                                                              */
/*  Copyright 2011  Broadcom Corporation                                                        */
/*                                                                                              */
/*     Unless you and Broadcom execute a separate written software license agreement governing  */
/*     use of this software, this software is licensed to you under the terms of the GNU        */
/*     General Public License version 2 (the GPL), available at                                 */
/*                                                                                              */
/*          http://www.broadcom.com/licenses/GPLv2.php                                          */
/*                                                                                              */
/*     with the following added to such license:                                                */
/*                                                                                              */
/*     As a special exception, the copyright holders of this software give you permission to    */
/*     link this software with independent modules, and to copy and distribute the resulting    */
/*     executable under terms of your choice, provided that you also meet, for each linked      */
/*     independent module, the terms and conditions of the license of that module.              */
/*     An independent module is a module which is not derived from this software.  The special  */
/*     exception does not apply to any modifications of the software.                           */
/*                                                                                              */
/*     Notwithstanding the above, under no circumstances may you combine this software in any   */
/*     way with any other Broadcom software provided under a license other than the GPL,        */
/*     without Broadcom's express prior written consent.                                        */
/*                                                                                              */
/*     Date     : Generated on 5/5/2011 18:12:54                                             */
/*     RDB file : /projects/SAMOA/revA0                                                                   */
/************************************************************************************************/

#ifndef __BRCM_RDB_PWRMGR_H__
#define __BRCM_RDB_PWRMGR_H__

#define PWRMGR_LCD_TE0_EVENT_OFFSET                                       0x00000000
#define PWRMGR_LCD_TE0_EVENT_TYPE                                         UInt32
#define PWRMGR_LCD_TE0_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_LCD_TE0_EVENT_LCD_TE0_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_LCD_TE1_EVENT_OFFSET                                       0x00000004
#define PWRMGR_LCD_TE1_EVENT_TYPE                                         UInt32
#define PWRMGR_LCD_TE1_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_LCD_TE1_EVENT_LCD_TE1_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP1_SYN_EVENT_OFFSET                                      0x00000008
#define PWRMGR_SSP1_SYN_EVENT_TYPE                                        UInt32
#define PWRMGR_SSP1_SYN_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SSP1_SYN_EVENT_SSP1_SYN_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SSP1_DI_EVENT_OFFSET                                       0x0000000C
#define PWRMGR_SSP1_DI_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP1_DI_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP1_DI_EVENT_SSP1_DI_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP1_CK_EVENT_OFFSET                                       0x00000010
#define PWRMGR_SSP1_CK_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP1_CK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP1_CK_EVENT_SSP1_CK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP0_SYN_EVENT_OFFSET                                      0x00000014
#define PWRMGR_SSP0_SYN_EVENT_TYPE                                        UInt32
#define PWRMGR_SSP0_SYN_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SSP0_SYN_EVENT_SSP0_SYN_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SSP0_DI_EVENT_OFFSET                                       0x00000018
#define PWRMGR_SSP0_DI_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP0_DI_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP0_DI_EVENT_SSP0_DI_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP0_CK_EVENT_OFFSET                                       0x0000001C
#define PWRMGR_SSP0_CK_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP0_CK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP0_CK_EVENT_SSP0_CK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_DIGCLKREQ_EVENT_OFFSET                                     0x00000020
#define PWRMGR_DIGCLKREQ_EVENT_TYPE                                       UInt32
#define PWRMGR_DIGCLKREQ_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_DIGCLKREQ_EVENT_DIGCLKREQ_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_ANA_SYS_REQ_EVENT_OFFSET                                   0x00000024
#define PWRMGR_ANA_SYS_REQ_EVENT_TYPE                                     UInt32
#define PWRMGR_ANA_SYS_REQ_EVENT_RESERVED_MASK                            0xFFFFFFF8
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_CONDITION_ACTIVE_SHIFT    0
#define    PWRMGR_ANA_SYS_REQ_EVENT_ANA_SYS_REQ_CONDITION_ACTIVE_MASK     0x00000001

#define PWRMGR_SYSCLKREQ_EVENT_OFFSET                                     0x00000028
#define PWRMGR_SYSCLKREQ_EVENT_TYPE                                       UInt32
#define PWRMGR_SYSCLKREQ_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_SYSCLKREQ_EVENT_SYSCLKREQ_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_UARTA_RX_EVENT_OFFSET                                      0x0000002C
#define PWRMGR_UARTA_RX_EVENT_TYPE                                        UInt32
#define PWRMGR_UARTA_RX_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_UARTA_RX_EVENT_UARTA_RX_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_UARTA_CTSN_EVENT_OFFSET                                    0x00000030
#define PWRMGR_UARTA_CTSN_EVENT_TYPE                                      UInt32
#define PWRMGR_UARTA_CTSN_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_UARTA_CTSN_EVENT_UARTA_CTSN_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_UARTB_RX_EVENT_OFFSET                                      0x00000034
#define PWRMGR_UARTB_RX_EVENT_TYPE                                        UInt32
#define PWRMGR_UARTB_RX_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_UARTB_RX_EVENT_UARTB_RX_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_UARTB_CTSN_EVENT_OFFSET                                    0x00000038
#define PWRMGR_UARTB_CTSN_EVENT_TYPE                                      UInt32
#define PWRMGR_UARTB_CTSN_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_UARTB_CTSN_EVENT_UARTB_CTSN_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_SIM1_DET_EVENT_OFFSET                                      0x0000003C
#define PWRMGR_SIM1_DET_EVENT_TYPE                                        UInt32
#define PWRMGR_SIM1_DET_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SIM1_DET_EVENT_SIM1_DET_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SIM2_DET_EVENT_OFFSET                                      0x00000040
#define PWRMGR_SIM2_DET_EVENT_TYPE                                        UInt32
#define PWRMGR_SIM2_DET_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SIM2_DET_EVENT_SIM2_DET_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_MMC0_DAT3_EVENT_OFFSET                                     0x00000044
#define PWRMGR_MMC0_DAT3_EVENT_TYPE                                       UInt32
#define PWRMGR_MMC0_DAT3_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_MMC0_DAT3_EVENT_MMC0_DAT3_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_MMC0_DAT1_EVENT_OFFSET                                     0x00000048
#define PWRMGR_MMC0_DAT1_EVENT_TYPE                                       UInt32
#define PWRMGR_MMC0_DAT1_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_MMC0_DAT1_EVENT_MMC0_DAT1_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_MMC1_DAT3_EVENT_OFFSET                                     0x0000004C
#define PWRMGR_MMC1_DAT3_EVENT_TYPE                                       UInt32
#define PWRMGR_MMC1_DAT3_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_MMC1_DAT3_EVENT_MMC1_DAT3_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_MMC1_DAT1_EVENT_OFFSET                                     0x00000050
#define PWRMGR_MMC1_DAT1_EVENT_TYPE                                       UInt32
#define PWRMGR_MMC1_DAT1_EVENT_RESERVED_MASK                              0xFFFFFFF8
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_CONDITION_ACTIVE_SHIFT        0
#define    PWRMGR_MMC1_DAT1_EVENT_MMC1_DAT1_CONDITION_ACTIVE_MASK         0x00000001

#define PWRMGR_SWD_TCKC_EVENT_OFFSET                                      0x00000054
#define PWRMGR_SWD_TCKC_EVENT_TYPE                                        UInt32
#define PWRMGR_SWD_TCKC_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SWD_TCKC_EVENT_SWD_TCKC_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SWD_TMSC_EVENT_OFFSET                                      0x00000058
#define PWRMGR_SWD_TMSC_EVENT_TYPE                                        UInt32
#define PWRMGR_SWD_TMSC_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SWD_TMSC_EVENT_SWD_TMSC_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_DSP_TCKC_EVENT_OFFSET                                      0x0000005C
#define PWRMGR_DSP_TCKC_EVENT_TYPE                                        UInt32
#define PWRMGR_DSP_TCKC_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_DSP_TCKC_EVENT_DSP_TCKC_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_DSP_TMSC_EVENT_OFFSET                                      0x00000060
#define PWRMGR_DSP_TMSC_EVENT_TYPE                                        UInt32
#define PWRMGR_DSP_TMSC_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_DSP_TMSC_EVENT_DSP_TMSC_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_DSP_TRST_EVENT_OFFSET                                      0x00000064
#define PWRMGR_DSP_TRST_EVENT_TYPE                                        UInt32
#define PWRMGR_DSP_TRST_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_DSP_TRST_EVENT_DSP_TRST_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_TRST_EVENT_OFFSET                                          0x00000068
#define PWRMGR_TRST_EVENT_TYPE                                            UInt32
#define PWRMGR_TRST_EVENT_RESERVED_MASK                                   0xFFFFFFF8
#define    PWRMGR_TRST_EVENT_TRST_POSEDGE_CONDITION_ENABLE_SHIFT          2
#define    PWRMGR_TRST_EVENT_TRST_POSEDGE_CONDITION_ENABLE_MASK           0x00000004
#define    PWRMGR_TRST_EVENT_TRST_NEGEDGE_CONDITION_ENABLE_SHIFT          1
#define    PWRMGR_TRST_EVENT_TRST_NEGEDGE_CONDITION_ENABLE_MASK           0x00000002
#define    PWRMGR_TRST_EVENT_TRST_CONDITION_ACTIVE_SHIFT                  0
#define    PWRMGR_TRST_EVENT_TRST_CONDITION_ACTIVE_MASK                   0x00000001

#define PWRMGR_KEY_C0_EVENT_OFFSET                                        0x0000006C
#define PWRMGR_KEY_C0_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_C0_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_C0_EVENT_KEY_C0_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R0_EVENT_OFFSET                                        0x00000070
#define PWRMGR_KEY_R0_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R0_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R0_EVENT_KEY_R0_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R1_EVENT_OFFSET                                        0x00000074
#define PWRMGR_KEY_R1_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R1_EVENT_KEY_R1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R2_EVENT_OFFSET                                        0x00000078
#define PWRMGR_KEY_R2_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R2_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R2_EVENT_KEY_R2_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R3_EVENT_OFFSET                                        0x0000007C
#define PWRMGR_KEY_R3_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R3_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R3_EVENT_KEY_R3_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R4_EVENT_OFFSET                                        0x00000080
#define PWRMGR_KEY_R4_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R4_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R4_EVENT_KEY_R4_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R5_EVENT_OFFSET                                        0x00000084
#define PWRMGR_KEY_R5_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R5_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R5_EVENT_KEY_R5_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R6_EVENT_OFFSET                                        0x00000088
#define PWRMGR_KEY_R6_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R6_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R6_EVENT_KEY_R6_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_KEY_R7_EVENT_OFFSET                                        0x0000008C
#define PWRMGR_KEY_R7_EVENT_TYPE                                          UInt32
#define PWRMGR_KEY_R7_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_KEY_R7_EVENT_KEY_R7_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_CAWAKE_EVENT_OFFSET                                        0x00000090
#define PWRMGR_CAWAKE_EVENT_TYPE                                          UInt32
#define PWRMGR_CAWAKE_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_CAWAKE_EVENT_CAWAKE_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_CAREADY_EVENT_OFFSET                                       0x00000094
#define PWRMGR_CAREADY_EVENT_TYPE                                         UInt32
#define PWRMGR_CAREADY_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_CAREADY_EVENT_CAREADY_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_CAREADY_EVENT_CAREADY_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_CAREADY_EVENT_CAREADY_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_CAREADY_EVENT_CAREADY_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_CAREADY_EVENT_CAREADY_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_CAREADY_EVENT_CAREADY_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_CAFLAG_EVENT_OFFSET                                        0x00000098
#define PWRMGR_CAFLAG_EVENT_TYPE                                          UInt32
#define PWRMGR_CAFLAG_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_CAFLAG_EVENT_CAFLAG_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_BATRM_EVENT_OFFSET                                         0x0000009C
#define PWRMGR_BATRM_EVENT_TYPE                                           UInt32
#define PWRMGR_BATRM_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_BATRM_EVENT_BATRM_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_BATRM_EVENT_BATRM_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_BATRM_EVENT_BATRM_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_BATRM_EVENT_BATRM_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_BATRM_EVENT_BATRM_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_BATRM_EVENT_BATRM_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_BATREMI_EVENT_OFFSET                                       0x000000A0
#define PWRMGR_BATREMI_EVENT_TYPE                                         UInt32
#define PWRMGR_BATREMI_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_BATREMI_EVENT_BATREMI_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_BATREMI_EVENT_BATREMI_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_BATREMI_EVENT_BATREMI_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_BATREMI_EVENT_BATREMI_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_BATREMI_EVENT_BATREMI_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_BATREMI_EVENT_BATREMI_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_USBDP_EVENT_OFFSET                                         0x000000A4
#define PWRMGR_USBDP_EVENT_TYPE                                           UInt32
#define PWRMGR_USBDP_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_USBDP_EVENT_USBDP_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_USBDP_EVENT_USBDP_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_USBDP_EVENT_USBDP_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_USBDP_EVENT_USBDP_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_USBDP_EVENT_USBDP_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_USBDP_EVENT_USBDP_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_USBDN_EVENT_OFFSET                                         0x000000A8
#define PWRMGR_USBDN_EVENT_TYPE                                           UInt32
#define PWRMGR_USBDN_EVENT_RESERVED_MASK                                  0xFFFFFFF8
#define    PWRMGR_USBDN_EVENT_USBDN_POSEDGE_CONDITION_ENABLE_SHIFT        2
#define    PWRMGR_USBDN_EVENT_USBDN_POSEDGE_CONDITION_ENABLE_MASK         0x00000004
#define    PWRMGR_USBDN_EVENT_USBDN_NEGEDGE_CONDITION_ENABLE_SHIFT        1
#define    PWRMGR_USBDN_EVENT_USBDN_NEGEDGE_CONDITION_ENABLE_MASK         0x00000002
#define    PWRMGR_USBDN_EVENT_USBDN_CONDITION_ACTIVE_SHIFT                0
#define    PWRMGR_USBDN_EVENT_USBDN_CONDITION_ACTIVE_MASK                 0x00000001

#define PWRMGR_RXD_EVENT_OFFSET                                           0x000000AC
#define PWRMGR_RXD_EVENT_TYPE                                             UInt32
#define PWRMGR_RXD_EVENT_RESERVED_MASK                                    0xFFFFFFF8
#define    PWRMGR_RXD_EVENT_RXD_POSEDGE_CONDITION_ENABLE_SHIFT            2
#define    PWRMGR_RXD_EVENT_RXD_POSEDGE_CONDITION_ENABLE_MASK             0x00000004
#define    PWRMGR_RXD_EVENT_RXD_NEGEDGE_CONDITION_ENABLE_SHIFT            1
#define    PWRMGR_RXD_EVENT_RXD_NEGEDGE_CONDITION_ENABLE_MASK             0x00000002
#define    PWRMGR_RXD_EVENT_RXD_CONDITION_ACTIVE_SHIFT                    0
#define    PWRMGR_RXD_EVENT_RXD_CONDITION_ACTIVE_MASK                     0x00000001

#define PWRMGR_GPIO00_A_EVENT_OFFSET                                      0x000000B0
#define PWRMGR_GPIO00_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO00_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO00_A_EVENT_GPIO00_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO01_A_EVENT_OFFSET                                      0x000000B4
#define PWRMGR_GPIO01_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO01_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO01_A_EVENT_GPIO01_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO02_A_EVENT_OFFSET                                      0x000000B8
#define PWRMGR_GPIO02_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO02_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO02_A_EVENT_GPIO02_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO03_A_EVENT_OFFSET                                      0x000000BC
#define PWRMGR_GPIO03_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO03_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO03_A_EVENT_GPIO03_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO04_A_EVENT_OFFSET                                      0x000000C0
#define PWRMGR_GPIO04_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO04_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO04_A_EVENT_GPIO04_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO05_A_EVENT_OFFSET                                      0x000000C4
#define PWRMGR_GPIO05_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO05_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO05_A_EVENT_GPIO05_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO06_A_EVENT_OFFSET                                      0x000000C8
#define PWRMGR_GPIO06_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO06_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO06_A_EVENT_GPIO06_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO07_A_EVENT_OFFSET                                      0x000000CC
#define PWRMGR_GPIO07_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO07_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO07_A_EVENT_GPIO07_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO08_A_EVENT_OFFSET                                      0x000000D0
#define PWRMGR_GPIO08_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO08_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO08_A_EVENT_GPIO08_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO09_A_EVENT_OFFSET                                      0x000000D4
#define PWRMGR_GPIO09_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO09_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO09_A_EVENT_GPIO09_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO10_A_EVENT_OFFSET                                      0x000000D8
#define PWRMGR_GPIO10_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO10_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO10_A_EVENT_GPIO10_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO11_A_EVENT_OFFSET                                      0x000000DC
#define PWRMGR_GPIO11_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO11_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO11_A_EVENT_GPIO11_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO12_A_EVENT_OFFSET                                      0x000000E0
#define PWRMGR_GPIO12_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO12_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO12_A_EVENT_GPIO12_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO13_A_EVENT_OFFSET                                      0x000000E4
#define PWRMGR_GPIO13_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO13_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO13_A_EVENT_GPIO13_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO14_A_EVENT_OFFSET                                      0x000000E8
#define PWRMGR_GPIO14_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO14_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO14_A_EVENT_GPIO14_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO15_A_EVENT_OFFSET                                      0x000000EC
#define PWRMGR_GPIO15_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO15_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO15_A_EVENT_GPIO15_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO16_A_EVENT_OFFSET                                      0x000000F0
#define PWRMGR_GPIO16_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO16_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO16_A_EVENT_GPIO16_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO17_A_EVENT_OFFSET                                      0x000000F4
#define PWRMGR_GPIO17_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO17_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO17_A_EVENT_GPIO17_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO18_A_EVENT_OFFSET                                      0x000000F8
#define PWRMGR_GPIO18_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO18_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO18_A_EVENT_GPIO18_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO19_A_EVENT_OFFSET                                      0x000000FC
#define PWRMGR_GPIO19_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO19_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO19_A_EVENT_GPIO19_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO20_A_EVENT_OFFSET                                      0x00000100
#define PWRMGR_GPIO20_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO20_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO20_A_EVENT_GPIO20_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO21_A_EVENT_OFFSET                                      0x00000104
#define PWRMGR_GPIO21_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO21_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO21_A_EVENT_GPIO21_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO22_A_EVENT_OFFSET                                      0x00000108
#define PWRMGR_GPIO22_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO22_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO22_A_EVENT_GPIO22_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO23_A_EVENT_OFFSET                                      0x0000010C
#define PWRMGR_GPIO23_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO23_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO23_A_EVENT_GPIO23_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO24_A_EVENT_OFFSET                                      0x00000110
#define PWRMGR_GPIO24_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO24_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO24_A_EVENT_GPIO24_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO37_A_EVENT_OFFSET                                      0x00000114
#define PWRMGR_GPIO37_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO37_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO37_A_EVENT_GPIO37_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO38_A_EVENT_OFFSET                                      0x00000118
#define PWRMGR_GPIO38_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO38_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO38_A_EVENT_GPIO38_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO39_A_EVENT_OFFSET                                      0x0000011C
#define PWRMGR_GPIO39_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO39_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO39_A_EVENT_GPIO39_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO40_A_EVENT_OFFSET                                      0x00000120
#define PWRMGR_GPIO40_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO40_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO40_A_EVENT_GPIO40_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO41_A_EVENT_OFFSET                                      0x00000124
#define PWRMGR_GPIO41_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO41_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO41_A_EVENT_GPIO41_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO45_A_EVENT_OFFSET                                      0x00000128
#define PWRMGR_GPIO45_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO45_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO45_A_EVENT_GPIO45_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO53_A_EVENT_OFFSET                                      0x0000012C
#define PWRMGR_GPIO53_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO53_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO53_A_EVENT_GPIO53_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO60_A_EVENT_OFFSET                                      0x00000130
#define PWRMGR_GPIO60_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO60_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO60_A_EVENT_GPIO60_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO61_A_EVENT_OFFSET                                      0x00000134
#define PWRMGR_GPIO61_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO61_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO61_A_EVENT_GPIO61_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO62_A_EVENT_OFFSET                                      0x00000138
#define PWRMGR_GPIO62_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO62_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO62_A_EVENT_GPIO62_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO63_A_EVENT_OFFSET                                      0x0000013C
#define PWRMGR_GPIO63_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO63_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO63_A_EVENT_GPIO63_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO64_A_EVENT_OFFSET                                      0x00000140
#define PWRMGR_GPIO64_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO64_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO64_A_EVENT_GPIO64_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO65_A_EVENT_OFFSET                                      0x00000144
#define PWRMGR_GPIO65_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO65_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO65_A_EVENT_GPIO65_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO66_A_EVENT_OFFSET                                      0x00000148
#define PWRMGR_GPIO66_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO66_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO66_A_EVENT_GPIO66_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO67_A_EVENT_OFFSET                                      0x0000014C
#define PWRMGR_GPIO67_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO67_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO67_A_EVENT_GPIO67_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO68_A_EVENT_OFFSET                                      0x00000150
#define PWRMGR_GPIO68_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO68_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO68_A_EVENT_GPIO68_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO69_A_EVENT_OFFSET                                      0x00000154
#define PWRMGR_GPIO69_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO69_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO69_A_EVENT_GPIO69_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO70_A_EVENT_OFFSET                                      0x00000158
#define PWRMGR_GPIO70_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO70_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO70_A_EVENT_GPIO70_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO71_A_EVENT_OFFSET                                      0x0000015C
#define PWRMGR_GPIO71_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO71_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO71_A_EVENT_GPIO71_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO72_A_EVENT_OFFSET                                      0x00000160
#define PWRMGR_GPIO72_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO72_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO72_A_EVENT_GPIO72_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO73_A_EVENT_OFFSET                                      0x00000164
#define PWRMGR_GPIO73_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO73_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO73_A_EVENT_GPIO73_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO74_A_EVENT_OFFSET                                      0x00000168
#define PWRMGR_GPIO74_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO74_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO74_A_EVENT_GPIO74_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO75_A_EVENT_OFFSET                                      0x0000016C
#define PWRMGR_GPIO75_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO75_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO75_A_EVENT_GPIO75_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO76_A_EVENT_OFFSET                                      0x00000170
#define PWRMGR_GPIO76_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO76_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO76_A_EVENT_GPIO76_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO77_A_EVENT_OFFSET                                      0x00000174
#define PWRMGR_GPIO77_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO77_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO77_A_EVENT_GPIO77_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO78_A_EVENT_OFFSET                                      0x00000178
#define PWRMGR_GPIO78_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO78_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO78_A_EVENT_GPIO78_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO79_A_EVENT_OFFSET                                      0x0000017C
#define PWRMGR_GPIO79_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO79_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO79_A_EVENT_GPIO79_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO80_A_EVENT_OFFSET                                      0x00000180
#define PWRMGR_GPIO80_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO80_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO80_A_EVENT_GPIO80_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO81_A_EVENT_OFFSET                                      0x00000184
#define PWRMGR_GPIO81_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO81_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO81_A_EVENT_GPIO81_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO82_A_EVENT_OFFSET                                      0x00000188
#define PWRMGR_GPIO82_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO82_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO82_A_EVENT_GPIO82_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO83_A_EVENT_OFFSET                                      0x0000018C
#define PWRMGR_GPIO83_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO83_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO83_A_EVENT_GPIO83_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO84_A_EVENT_OFFSET                                      0x00000190
#define PWRMGR_GPIO84_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO84_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO84_A_EVENT_GPIO84_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO85_A_EVENT_OFFSET                                      0x00000194
#define PWRMGR_GPIO85_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO85_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO85_A_EVENT_GPIO85_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO94_A_EVENT_OFFSET                                      0x00000198
#define PWRMGR_GPIO94_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO94_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO94_A_EVENT_GPIO94_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO95_A_EVENT_OFFSET                                      0x0000019C
#define PWRMGR_GPIO95_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO95_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO95_A_EVENT_GPIO95_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO96_A_EVENT_OFFSET                                      0x000001A0
#define PWRMGR_GPIO96_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO96_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO96_A_EVENT_GPIO96_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO97_A_EVENT_OFFSET                                      0x000001A4
#define PWRMGR_GPIO97_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO97_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO97_A_EVENT_GPIO97_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO98_A_EVENT_OFFSET                                      0x000001A8
#define PWRMGR_GPIO98_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO98_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO98_A_EVENT_GPIO98_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO99_A_EVENT_OFFSET                                      0x000001AC
#define PWRMGR_GPIO99_A_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO99_A_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO99_A_EVENT_GPIO99_A_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO00_B_EVENT_OFFSET                                      0x000001B0
#define PWRMGR_GPIO00_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO00_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO00_B_EVENT_GPIO00_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO01_B_EVENT_OFFSET                                      0x000001B4
#define PWRMGR_GPIO01_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO01_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO01_B_EVENT_GPIO01_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO02_B_EVENT_OFFSET                                      0x000001B8
#define PWRMGR_GPIO02_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO02_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO02_B_EVENT_GPIO02_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO03_B_EVENT_OFFSET                                      0x000001BC
#define PWRMGR_GPIO03_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO03_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO03_B_EVENT_GPIO03_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO04_B_EVENT_OFFSET                                      0x000001C0
#define PWRMGR_GPIO04_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO04_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO04_B_EVENT_GPIO04_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO05_B_EVENT_OFFSET                                      0x000001C4
#define PWRMGR_GPIO05_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO05_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO05_B_EVENT_GPIO05_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO06_B_EVENT_OFFSET                                      0x000001C8
#define PWRMGR_GPIO06_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO06_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO06_B_EVENT_GPIO06_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO07_B_EVENT_OFFSET                                      0x000001CC
#define PWRMGR_GPIO07_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO07_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO07_B_EVENT_GPIO07_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO08_B_EVENT_OFFSET                                      0x000001D0
#define PWRMGR_GPIO08_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO08_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO08_B_EVENT_GPIO08_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO09_B_EVENT_OFFSET                                      0x000001D4
#define PWRMGR_GPIO09_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO09_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO09_B_EVENT_GPIO09_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO10_B_EVENT_OFFSET                                      0x000001D8
#define PWRMGR_GPIO10_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO10_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO10_B_EVENT_GPIO10_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO11_B_EVENT_OFFSET                                      0x000001DC
#define PWRMGR_GPIO11_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO11_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO11_B_EVENT_GPIO11_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO12_B_EVENT_OFFSET                                      0x000001E0
#define PWRMGR_GPIO12_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO12_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO12_B_EVENT_GPIO12_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO13_B_EVENT_OFFSET                                      0x000001E4
#define PWRMGR_GPIO13_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO13_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO13_B_EVENT_GPIO13_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO14_B_EVENT_OFFSET                                      0x000001E8
#define PWRMGR_GPIO14_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO14_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO14_B_EVENT_GPIO14_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO15_B_EVENT_OFFSET                                      0x000001EC
#define PWRMGR_GPIO15_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO15_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO15_B_EVENT_GPIO15_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO16_B_EVENT_OFFSET                                      0x000001F0
#define PWRMGR_GPIO16_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO16_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO16_B_EVENT_GPIO16_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO17_B_EVENT_OFFSET                                      0x000001F4
#define PWRMGR_GPIO17_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO17_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO17_B_EVENT_GPIO17_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO18_B_EVENT_OFFSET                                      0x000001F8
#define PWRMGR_GPIO18_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO18_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO18_B_EVENT_GPIO18_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO19_B_EVENT_OFFSET                                      0x000001FC
#define PWRMGR_GPIO19_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO19_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO19_B_EVENT_GPIO19_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO20_B_EVENT_OFFSET                                      0x00000200
#define PWRMGR_GPIO20_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO20_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO20_B_EVENT_GPIO20_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO21_B_EVENT_OFFSET                                      0x00000204
#define PWRMGR_GPIO21_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO21_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO21_B_EVENT_GPIO21_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO22_B_EVENT_OFFSET                                      0x00000208
#define PWRMGR_GPIO22_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO22_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO22_B_EVENT_GPIO22_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO23_B_EVENT_OFFSET                                      0x0000020C
#define PWRMGR_GPIO23_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO23_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO23_B_EVENT_GPIO23_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO24_B_EVENT_OFFSET                                      0x00000210
#define PWRMGR_GPIO24_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO24_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO24_B_EVENT_GPIO24_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO37_B_EVENT_OFFSET                                      0x00000214
#define PWRMGR_GPIO37_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO37_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO37_B_EVENT_GPIO37_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO38_B_EVENT_OFFSET                                      0x00000218
#define PWRMGR_GPIO38_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO38_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO38_B_EVENT_GPIO38_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO39_B_EVENT_OFFSET                                      0x0000021C
#define PWRMGR_GPIO39_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO39_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO39_B_EVENT_GPIO39_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO40_B_EVENT_OFFSET                                      0x00000220
#define PWRMGR_GPIO40_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO40_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO40_B_EVENT_GPIO40_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO41_B_EVENT_OFFSET                                      0x00000224
#define PWRMGR_GPIO41_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO41_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO41_B_EVENT_GPIO41_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO45_B_EVENT_OFFSET                                      0x00000228
#define PWRMGR_GPIO45_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO45_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO45_B_EVENT_GPIO45_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO53_B_EVENT_OFFSET                                      0x0000022C
#define PWRMGR_GPIO53_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO53_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO53_B_EVENT_GPIO53_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO60_B_EVENT_OFFSET                                      0x00000230
#define PWRMGR_GPIO60_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO60_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO60_B_EVENT_GPIO60_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO61_B_EVENT_OFFSET                                      0x00000234
#define PWRMGR_GPIO61_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO61_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO61_B_EVENT_GPIO61_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO62_B_EVENT_OFFSET                                      0x00000238
#define PWRMGR_GPIO62_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO62_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO62_B_EVENT_GPIO62_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO63_B_EVENT_OFFSET                                      0x0000023C
#define PWRMGR_GPIO63_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO63_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO63_B_EVENT_GPIO63_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO64_B_EVENT_OFFSET                                      0x00000240
#define PWRMGR_GPIO64_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO64_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO64_B_EVENT_GPIO64_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO65_B_EVENT_OFFSET                                      0x00000244
#define PWRMGR_GPIO65_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO65_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO65_B_EVENT_GPIO65_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO66_B_EVENT_OFFSET                                      0x00000248
#define PWRMGR_GPIO66_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO66_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO66_B_EVENT_GPIO66_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO67_B_EVENT_OFFSET                                      0x0000024C
#define PWRMGR_GPIO67_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO67_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO67_B_EVENT_GPIO67_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO68_B_EVENT_OFFSET                                      0x00000250
#define PWRMGR_GPIO68_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO68_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO68_B_EVENT_GPIO68_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO69_B_EVENT_OFFSET                                      0x00000254
#define PWRMGR_GPIO69_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO69_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO69_B_EVENT_GPIO69_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO70_B_EVENT_OFFSET                                      0x00000258
#define PWRMGR_GPIO70_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO70_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO70_B_EVENT_GPIO70_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO71_B_EVENT_OFFSET                                      0x0000025C
#define PWRMGR_GPIO71_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO71_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO71_B_EVENT_GPIO71_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO72_B_EVENT_OFFSET                                      0x00000260
#define PWRMGR_GPIO72_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO72_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO72_B_EVENT_GPIO72_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO73_B_EVENT_OFFSET                                      0x00000264
#define PWRMGR_GPIO73_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO73_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO73_B_EVENT_GPIO73_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO74_B_EVENT_OFFSET                                      0x00000268
#define PWRMGR_GPIO74_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO74_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO74_B_EVENT_GPIO74_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO75_B_EVENT_OFFSET                                      0x0000026C
#define PWRMGR_GPIO75_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO75_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO75_B_EVENT_GPIO75_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO76_B_EVENT_OFFSET                                      0x00000270
#define PWRMGR_GPIO76_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO76_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO76_B_EVENT_GPIO76_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO77_B_EVENT_OFFSET                                      0x00000274
#define PWRMGR_GPIO77_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO77_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO77_B_EVENT_GPIO77_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO78_B_EVENT_OFFSET                                      0x00000278
#define PWRMGR_GPIO78_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO78_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO78_B_EVENT_GPIO78_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO79_B_EVENT_OFFSET                                      0x0000027C
#define PWRMGR_GPIO79_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO79_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO79_B_EVENT_GPIO79_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO80_B_EVENT_OFFSET                                      0x00000280
#define PWRMGR_GPIO80_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO80_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO80_B_EVENT_GPIO80_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO81_B_EVENT_OFFSET                                      0x00000284
#define PWRMGR_GPIO81_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO81_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO81_B_EVENT_GPIO81_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO82_B_EVENT_OFFSET                                      0x00000288
#define PWRMGR_GPIO82_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO82_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO82_B_EVENT_GPIO82_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO83_B_EVENT_OFFSET                                      0x0000028C
#define PWRMGR_GPIO83_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO83_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO83_B_EVENT_GPIO83_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO84_B_EVENT_OFFSET                                      0x00000290
#define PWRMGR_GPIO84_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO84_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO84_B_EVENT_GPIO84_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO85_B_EVENT_OFFSET                                      0x00000294
#define PWRMGR_GPIO85_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO85_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO85_B_EVENT_GPIO85_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO94_B_EVENT_OFFSET                                      0x00000298
#define PWRMGR_GPIO94_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO94_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO94_B_EVENT_GPIO94_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO95_B_EVENT_OFFSET                                      0x0000029C
#define PWRMGR_GPIO95_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO95_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO95_B_EVENT_GPIO95_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO96_B_EVENT_OFFSET                                      0x000002A0
#define PWRMGR_GPIO96_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO96_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO96_B_EVENT_GPIO96_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO97_B_EVENT_OFFSET                                      0x000002A4
#define PWRMGR_GPIO97_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO97_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO97_B_EVENT_GPIO97_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO98_B_EVENT_OFFSET                                      0x000002A8
#define PWRMGR_GPIO98_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO98_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO98_B_EVENT_GPIO98_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_GPIO99_B_EVENT_OFFSET                                      0x000002AC
#define PWRMGR_GPIO99_B_EVENT_TYPE                                        UInt32
#define PWRMGR_GPIO99_B_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_GPIO99_B_EVENT_GPIO99_B_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_COMMON_TIMER_0_EVENT_OFFSET                                0x000002B0
#define PWRMGR_COMMON_TIMER_0_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_0_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_EVENT_COMMON_TIMER_0_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_1_EVENT_OFFSET                                0x000002B4
#define PWRMGR_COMMON_TIMER_1_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_1_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_EVENT_COMMON_TIMER_1_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_2_EVENT_OFFSET                                0x000002B8
#define PWRMGR_COMMON_TIMER_2_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_2_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_EVENT_COMMON_TIMER_2_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_3_EVENT_OFFSET                                0x000002BC
#define PWRMGR_COMMON_TIMER_3_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_3_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_EVENT_COMMON_TIMER_3_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_TIMER_4_EVENT_OFFSET                                0x000002C0
#define PWRMGR_COMMON_TIMER_4_EVENT_TYPE                                  UInt32
#define PWRMGR_COMMON_TIMER_4_EVENT_RESERVED_MASK                         0xFFFFFFF8
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_EVENT_COMMON_TIMER_4_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_COMMON_INT_TO_AC_EVENT_OFFSET                              0x000002C4
#define PWRMGR_COMMON_INT_TO_AC_EVENT_TYPE                                UInt32
#define PWRMGR_COMMON_INT_TO_AC_EVENT_RESERVED_MASK                       0xFFFFFFF8
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_EVENT_COMMON_INT_TO_AC_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_TZCFG_INT_TO_AC_EVENT_OFFSET                               0x000002C8
#define PWRMGR_TZCFG_INT_TO_AC_EVENT_TYPE                                 UInt32
#define PWRMGR_TZCFG_INT_TO_AC_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_EVENT_TZCFG_INT_TO_AC_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_DMA_REQUEST_EVENT_OFFSET                                   0x000002CC
#define PWRMGR_DMA_REQUEST_EVENT_TYPE                                     UInt32
#define PWRMGR_DMA_REQUEST_EVENT_RESERVED_MASK                            0xFFFFFFF8
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_CONDITION_ACTIVE_SHIFT    0
#define    PWRMGR_DMA_REQUEST_EVENT_DMA_REQUEST_CONDITION_ACTIVE_MASK     0x00000001

#define PWRMGR_MODEM1_EVENT_OFFSET                                        0x000002D0
#define PWRMGR_MODEM1_EVENT_TYPE                                          UInt32
#define PWRMGR_MODEM1_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MODEM1_EVENT_MODEM1_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MODEM1_EVENT_MODEM1_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MODEM1_EVENT_MODEM1_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MODEM1_EVENT_MODEM1_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MODEM1_EVENT_MODEM1_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MODEM1_EVENT_MODEM1_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MODEM2_EVENT_OFFSET                                        0x000002D4
#define PWRMGR_MODEM2_EVENT_TYPE                                          UInt32
#define PWRMGR_MODEM2_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_MODEM2_EVENT_MODEM2_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_MODEM2_EVENT_MODEM2_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_MODEM2_EVENT_MODEM2_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_MODEM2_EVENT_MODEM2_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_MODEM2_EVENT_MODEM2_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_MODEM2_EVENT_MODEM2_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_MODEM_UART_EVENT_OFFSET                                    0x000002D8
#define PWRMGR_MODEM_UART_EVENT_TYPE                                      UInt32
#define PWRMGR_MODEM_UART_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_MODEM_UART_EVENT_MODEM_UART_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_BRIDGE_TO_AC_EVENT_OFFSET                                  0x000002DC
#define PWRMGR_BRIDGE_TO_AC_EVENT_TYPE                                    UInt32
#define PWRMGR_BRIDGE_TO_AC_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_BRIDGE_TO_AC_EVENT_BRIDGE_TO_AC_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_BRIDGE_TO_MODEM_EVENT_OFFSET                               0x000002E0
#define PWRMGR_BRIDGE_TO_MODEM_EVENT_TYPE                                 UInt32
#define PWRMGR_BRIDGE_TO_MODEM_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_EVENT_BRIDGE_TO_MODEM_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_OFFSET                         0x000002E4
#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_TYPE                           UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_RESERVED_MASK                  0xFFFFFFF8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_EVENT_VREQ_NONZERO_PI_MODEM_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_USBOTG_EVENT_OFFSET                                        0x000002E8
#define PWRMGR_USBOTG_EVENT_TYPE                                          UInt32
#define PWRMGR_USBOTG_EVENT_RESERVED_MASK                                 0xFFFFFFF8
#define    PWRMGR_USBOTG_EVENT_USBOTG_POSEDGE_CONDITION_ENABLE_SHIFT      2
#define    PWRMGR_USBOTG_EVENT_USBOTG_POSEDGE_CONDITION_ENABLE_MASK       0x00000004
#define    PWRMGR_USBOTG_EVENT_USBOTG_NEGEDGE_CONDITION_ENABLE_SHIFT      1
#define    PWRMGR_USBOTG_EVENT_USBOTG_NEGEDGE_CONDITION_ENABLE_MASK       0x00000002
#define    PWRMGR_USBOTG_EVENT_USBOTG_CONDITION_ACTIVE_SHIFT              0
#define    PWRMGR_USBOTG_EVENT_USBOTG_CONDITION_ACTIVE_MASK               0x00000001

#define PWRMGR_GPIO_EXP_IRQ_EVENT_OFFSET                                  0x000002EC
#define PWRMGR_GPIO_EXP_IRQ_EVENT_TYPE                                    UInt32
#define PWRMGR_GPIO_EXP_IRQ_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_GPIO_EXP_IRQ_EVENT_GPIO_EXP_IRQ_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_DBR_IRQ_EVENT_OFFSET                                       0x000002F0
#define PWRMGR_DBR_IRQ_EVENT_TYPE                                         UInt32
#define PWRMGR_DBR_IRQ_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_DBR_IRQ_EVENT_DBR_IRQ_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_ACI_EVENT_OFFSET                                           0x000002F4
#define PWRMGR_ACI_EVENT_TYPE                                             UInt32
#define PWRMGR_ACI_EVENT_RESERVED_MASK                                    0xFFFFFFF8
#define    PWRMGR_ACI_EVENT_ACI_POSEDGE_CONDITION_ENABLE_SHIFT            2
#define    PWRMGR_ACI_EVENT_ACI_POSEDGE_CONDITION_ENABLE_MASK             0x00000004
#define    PWRMGR_ACI_EVENT_ACI_NEGEDGE_CONDITION_ENABLE_SHIFT            1
#define    PWRMGR_ACI_EVENT_ACI_NEGEDGE_CONDITION_ENABLE_MASK             0x00000002
#define    PWRMGR_ACI_EVENT_ACI_CONDITION_ACTIVE_SHIFT                    0
#define    PWRMGR_ACI_EVENT_ACI_CONDITION_ACTIVE_MASK                     0x00000001

#define PWRMGR_PHY_RESUME_EVENT_OFFSET                                    0x000002F8
#define PWRMGR_PHY_RESUME_EVENT_TYPE                                      UInt32
#define PWRMGR_PHY_RESUME_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_PHY_RESUME_EVENT_PHY_RESUME_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_MODEMBUS_ACTIVE_EVENT_OFFSET                               0x000002FC
#define PWRMGR_MODEMBUS_ACTIVE_EVENT_TYPE                                 UInt32
#define PWRMGR_MODEMBUS_ACTIVE_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_MODEMBUS_ACTIVE_EVENT_MODEMBUS_ACTIVE_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_SOFTWARE_0_EVENT_OFFSET                                    0x00000300
#define PWRMGR_SOFTWARE_0_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_0_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_0_EVENT_SOFTWARE_0_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_SOFTWARE_1_EVENT_OFFSET                                    0x00000304
#define PWRMGR_SOFTWARE_1_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_1_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_1_EVENT_SOFTWARE_1_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_SOFTWARE_2_EVENT_OFFSET                                    0x00000308
#define PWRMGR_SOFTWARE_2_EVENT_TYPE                                      UInt32
#define PWRMGR_SOFTWARE_2_EVENT_RESERVED_MASK                             0xFFFFFFF8
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_SHIFT      0
#define    PWRMGR_SOFTWARE_2_EVENT_SOFTWARE_2_CONDITION_ACTIVE_MASK       0x00000001

#define PWRMGR_CAMPCLK_EVENT_OFFSET                                       0x0000030C
#define PWRMGR_CAMPCLK_EVENT_TYPE                                         UInt32
#define PWRMGR_CAMPCLK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_CAMPCLK_EVENT_CAMPCLK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP3_SYN_EVENT_OFFSET                                      0x00000310
#define PWRMGR_SSP3_SYN_EVENT_TYPE                                        UInt32
#define PWRMGR_SSP3_SYN_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SSP3_SYN_EVENT_SSP3_SYN_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SSP3_DI_EVENT_OFFSET                                       0x00000314
#define PWRMGR_SSP3_DI_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP3_DI_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP3_DI_EVENT_SSP3_DI_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP3_CK_EVENT_OFFSET                                       0x00000318
#define PWRMGR_SSP3_CK_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP3_CK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP3_CK_EVENT_SSP3_CK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP4_SYN_EVENT_OFFSET                                      0x0000031C
#define PWRMGR_SSP4_SYN_EVENT_TYPE                                        UInt32
#define PWRMGR_SSP4_SYN_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SSP4_SYN_EVENT_SSP4_SYN_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SSP4_DI_EVENT_OFFSET                                       0x00000320
#define PWRMGR_SSP4_DI_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP4_DI_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP4_DI_EVENT_SSP4_DI_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SSP4_CK_EVENT_OFFSET                                       0x00000324
#define PWRMGR_SSP4_CK_EVENT_TYPE                                         UInt32
#define PWRMGR_SSP4_CK_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_SSP4_CK_EVENT_SSP4_CK_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_PMU_INT_EVENT_OFFSET                                       0x00000328
#define PWRMGR_PMU_INT_EVENT_TYPE                                         UInt32
#define PWRMGR_PMU_INT_EVENT_RESERVED_MASK                                0xFFFFFFF8
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_POSEDGE_CONDITION_ENABLE_SHIFT    2
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_POSEDGE_CONDITION_ENABLE_MASK     0x00000004
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_NEGEDGE_CONDITION_ENABLE_SHIFT    1
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_NEGEDGE_CONDITION_ENABLE_MASK     0x00000002
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_CONDITION_ACTIVE_SHIFT            0
#define    PWRMGR_PMU_INT_EVENT_PMU_INT_CONDITION_ACTIVE_MASK             0x00000001

#define PWRMGR_SPARE1_1_EVENT_OFFSET                                      0x0000032C
#define PWRMGR_SPARE1_1_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_1_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_1_EVENT_SPARE1_1_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE1_2_EVENT_OFFSET                                      0x00000330
#define PWRMGR_SPARE1_2_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_2_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_2_EVENT_SPARE1_2_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE1_3_EVENT_OFFSET                                      0x00000334
#define PWRMGR_SPARE1_3_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_3_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_3_EVENT_SPARE1_3_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE1_4_EVENT_OFFSET                                      0x00000338
#define PWRMGR_SPARE1_4_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE1_4_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE1_4_EVENT_SPARE1_4_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_1_EVENT_OFFSET                                      0x0000033C
#define PWRMGR_SPARE2_1_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_1_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_1_EVENT_SPARE2_1_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_2_EVENT_OFFSET                                      0x00000340
#define PWRMGR_SPARE2_2_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_2_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_2_EVENT_SPARE2_2_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_3_EVENT_OFFSET                                      0x00000344
#define PWRMGR_SPARE2_3_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_3_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_3_EVENT_SPARE2_3_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_SPARE2_4_EVENT_OFFSET                                      0x00000348
#define PWRMGR_SPARE2_4_EVENT_TYPE                                        UInt32
#define PWRMGR_SPARE2_4_EVENT_RESERVED_MASK                               0xFFFFFFF8
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_POSEDGE_CONDITION_ENABLE_SHIFT  2
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_POSEDGE_CONDITION_ENABLE_MASK   0x00000004
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_NEGEDGE_CONDITION_ENABLE_SHIFT  1
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_NEGEDGE_CONDITION_ENABLE_MASK   0x00000002
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_CONDITION_ACTIVE_SHIFT          0
#define    PWRMGR_SPARE2_4_EVENT_SPARE2_4_CONDITION_ACTIVE_MASK           0x00000001

#define PWRMGR_AC_TO_BRIDGE_EVENT_OFFSET                                  0x0000034C
#define PWRMGR_AC_TO_BRIDGE_EVENT_TYPE                                    UInt32
#define PWRMGR_AC_TO_BRIDGE_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_AC_TO_BRIDGE_EVENT_AC_TO_BRIDGE_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_MM_TO_BRIDGE_EVENT_OFFSET                                  0x00000350
#define PWRMGR_MM_TO_BRIDGE_EVENT_TYPE                                    UInt32
#define PWRMGR_MM_TO_BRIDGE_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_MM_TO_BRIDGE_EVENT_MM_TO_BRIDGE_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_MODEM_TO_BRIDGE_EVENT_OFFSET                               0x00000354
#define PWRMGR_MODEM_TO_BRIDGE_EVENT_TYPE                                 UInt32
#define PWRMGR_MODEM_TO_BRIDGE_EVENT_RESERVED_MASK                        0xFFFFFFF8
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_CONDITION_ACTIVE_SHIFT 0
#define    PWRMGR_MODEM_TO_BRIDGE_EVENT_MODEM_TO_BRIDGE_CONDITION_ACTIVE_MASK 0x00000001

#define PWRMGR_BRIDGE_TO_MM_EVENT_OFFSET                                  0x00000358
#define PWRMGR_BRIDGE_TO_MM_EVENT_TYPE                                    UInt32
#define PWRMGR_BRIDGE_TO_MM_EVENT_RESERVED_MASK                           0xFFFFFFF8
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_POSEDGE_CONDITION_ENABLE_SHIFT 2
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_POSEDGE_CONDITION_ENABLE_MASK 0x00000004
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_NEGEDGE_CONDITION_ENABLE_SHIFT 1
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_NEGEDGE_CONDITION_ENABLE_MASK 0x00000002
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_CONDITION_ACTIVE_SHIFT  0
#define    PWRMGR_BRIDGE_TO_MM_EVENT_BRIDGE_TO_MM_CONDITION_ACTIVE_MASK   0x00000001

#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_OFFSET                            0x00000800
#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_LCDTE_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_ARM_CORE_POLICY_LCDTE_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_OFFSET                             0x00000808
#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP1_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_ARM_CORE_POLICY_SSP1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_OFFSET                             0x00000814
#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP0_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_ARM_CORE_POLICY_SSP0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_OFFSET                             0x00000820
#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_CLKS_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_ARM_CORE_POLICY_CLKS_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_ARM_CORE_POLICY_OFFSET                            0x0000082C
#define PWRMGR_UART1_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_UART1_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_ARM_CORE_POLICY_UART1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_ARM_CORE_POLICY_OFFSET                            0x00000834
#define PWRMGR_UART2_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_UART2_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_ARM_CORE_POLICY_UART2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_ARM_CORE_POLICY_OFFSET                              0x0000083C
#define PWRMGR_SIM_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_SIM_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_SIM_VI_ARM_CORE_POLICY_SIM_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_MMC_VI_ARM_CORE_POLICY_OFFSET                              0x00000844
#define PWRMGR_MMC_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_MMC_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_MMC_VI_ARM_CORE_POLICY_MMC_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_OFFSET                             0x00000854
#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_JTAG_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_ARM_CORE_POLICY_JTAG_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_OFFSET                           0x0000086C
#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_ARM_CORE_POLICY_KEYPAD_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_ARM_CORE_POLICY_OFFSET                              0x00000890
#define PWRMGR_HSI_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_HSI_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_HSI_VI_ARM_CORE_POLICY_HSI_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_OFFSET                            0x0000089C
#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_BATRM_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_ARM_CORE_POLICY_BATRM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_ARM_CORE_POLICY_OFFSET                              0x000008A4
#define PWRMGR_USB_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_USB_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_USB_VI_ARM_CORE_POLICY_USB_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_RXD_VI_ARM_CORE_POLICY_OFFSET                              0x000008AC
#define PWRMGR_RXD_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_RXD_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_RXD_VI_ARM_CORE_POLICY_RXD_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_GPIOA_VI_ARM_CORE_POLICY_OFFSET                            0x000008B0
#define PWRMGR_GPIOA_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_GPIOA_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOA_VI_ARM_CORE_POLICY_GPIOA_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIOB_VI_ARM_CORE_POLICY_OFFSET                            0x000009B0
#define PWRMGR_GPIOB_VI_ARM_CORE_POLICY_TYPE                              UInt32
#define PWRMGR_GPIOB_VI_ARM_CORE_POLICY_RESERVED_MASK                     0xFFFFFC00
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_AC_SHIFT     9
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_AC_MASK      0x00000200
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_ATL_SHIFT    8
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_ATL_MASK     0x00000100
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_MODEM_PM_POLICY_MASK  0x000000E0
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_AC_SHIFT  4
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_AC_MASK   0x00000010
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_ATL_MASK  0x00000008
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOB_VI_ARM_CORE_POLICY_GPIOB_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_OFFSET                   0x00000AB0
#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_CORE_POLICY_COMMON_TIMER_0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_OFFSET                   0x00000AB4
#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_CORE_POLICY_COMMON_TIMER_1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_OFFSET                   0x00000AB8
#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_CORE_POLICY_COMMON_TIMER_2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_OFFSET                   0x00000ABC
#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_CORE_POLICY_COMMON_TIMER_3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_OFFSET                   0x00000AC0
#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_TYPE                     UInt32
#define PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_RESERVED_MASK            0xFFFFFC00
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_CORE_POLICY_COMMON_TIMER_4_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_OFFSET                 0x00000AC4
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_TYPE                   UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK          0xFFFFFC00
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_CORE_POLICY_COMMON_INT_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_OFFSET                  0x00000AC8
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TYPE                    UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK           0xFFFFFC00
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_CORE_POLICY_TZCFG_INT_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_OFFSET                      0x00000ACC
#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_TYPE                        UInt32
#define PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_RESERVED_MASK               0xFFFFFC00
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_ARM_CORE_POLICY_DMA_REQUEST_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_OFFSET                           0x00000AD0
#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_MODEM1_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_ARM_CORE_POLICY_MODEM1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_OFFSET                           0x00000AD4
#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_MODEM2_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_ARM_CORE_POLICY_MODEM2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_OFFSET                       0x00000AD8
#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_ARM_CORE_POLICY_MODEM_UART_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_OFFSET                     0x00000ADC
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_TYPE                       UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_RESERVED_MASK              0xFFFFFC00
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_CORE_POLICY_BRIDGE_TO_AC_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_OFFSET                  0x00000AE0
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_TYPE                    UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_RESERVED_MASK           0xFFFFFC00
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_CORE_POLICY_BRIDGE_TO_MODEM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_OFFSET            0x00000AE4
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_TYPE              UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_RESERVED_MASK     0xFFFFFC00
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_CORE_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_OFFSET                           0x00000AE8
#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_USBOTG_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_ARM_CORE_POLICY_USBOTG_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_OFFSET                     0x00000AEC
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_TYPE                       UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_RESERVED_MASK              0xFFFFFC00
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_CORE_POLICY_GPIO_EXP_IRQ_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_OFFSET                          0x00000AF0
#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_TYPE                            UInt32
#define PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_RESERVED_MASK                   0xFFFFFC00
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_AC_MASK  0x00000200
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_ARM_CORE_POLICY_DBR_IRQ_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_ARM_CORE_POLICY_OFFSET                              0x00000AF4
#define PWRMGR_ACI_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_ACI_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_ACI_VI_ARM_CORE_POLICY_ACI_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_OFFSET                       0x00000AF8
#define PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_PHY_RESUME_VI_ARM_CORE_POLICY_PHY_RESUME_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_OFFSET                  0x00000AFC
#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_TYPE                    UInt32
#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_RESERVED_MASK           0xFFFFFC00
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_CORE_POLICY_MODEMBUS_ACTIVE_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_OFFSET                       0x00000B00
#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_ARM_CORE_POLICY_SOFTWARE_0_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_OFFSET                       0x00000B04
#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_ARM_CORE_POLICY_SOFTWARE_1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_OFFSET                       0x00000B08
#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_ARM_CORE_POLICY_SOFTWARE_2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CAMERA_VI_ARM_CORE_POLICY_OFFSET                           0x00000B0C
#define PWRMGR_CAMERA_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_CAMERA_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_CAMERA_VI_ARM_CORE_POLICY_CAMERA_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_OFFSET                             0x00000B10
#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP3_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_ARM_CORE_POLICY_SSP3_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP4_VI_ARM_CORE_POLICY_OFFSET                             0x00000B1C
#define PWRMGR_SSP4_VI_ARM_CORE_POLICY_TYPE                               UInt32
#define PWRMGR_SSP4_VI_ARM_CORE_POLICY_RESERVED_MASK                      0xFFFFFC00
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_AC_SHIFT       9
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_AC_MASK        0x00000200
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_ATL_SHIFT      8
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_ATL_MASK       0x00000100
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_POLICY_SHIFT   5
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_MODEM_PM_POLICY_MASK    0x000000E0
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_AC_SHIFT    4
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_AC_MASK     0x00000010
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_ATL_SHIFT   3
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_ATL_MASK    0x00000008
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP4_VI_ARM_CORE_POLICY_SSP4_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_PMU_VI_ARM_CORE_POLICY_OFFSET                              0x00000B28
#define PWRMGR_PMU_VI_ARM_CORE_POLICY_TYPE                                UInt32
#define PWRMGR_PMU_VI_ARM_CORE_POLICY_RESERVED_MASK                       0xFFFFFC00
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_AC_SHIFT         9
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_AC_MASK          0x00000200
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_ATL_SHIFT        8
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_ATL_MASK         0x00000100
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_POLICY_SHIFT     5
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_MODEM_PM_POLICY_MASK      0x000000E0
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_AC_SHIFT      4
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_AC_MASK       0x00000010
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_ATL_SHIFT     3
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_ATL_MASK      0x00000008
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_POLICY_SHIFT  0
#define    PWRMGR_PMU_VI_ARM_CORE_POLICY_PMU_PI_ARM_CORE_PM_POLICY_MASK   0x00000007

#define PWRMGR_SPARE1_VI_ARM_CORE_POLICY_OFFSET                           0x00000B2C
#define PWRMGR_SPARE1_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_SPARE1_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE1_VI_ARM_CORE_POLICY_SPARE1_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SPARE2_VI_ARM_CORE_POLICY_OFFSET                           0x00000B3C
#define PWRMGR_SPARE2_VI_ARM_CORE_POLICY_TYPE                             UInt32
#define PWRMGR_SPARE2_VI_ARM_CORE_POLICY_RESERVED_MASK                    0xFFFFFC00
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_AC_SHIFT   9
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_AC_MASK    0x00000200
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_ATL_SHIFT  8
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_ATL_MASK   0x00000100
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE2_VI_ARM_CORE_POLICY_SPARE2_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_OFFSET                       0x00000B4C
#define PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_TYPE                         UInt32
#define PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_RESERVED_MASK                0xFFFFFC00
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_WKP_BRIDGE_VI_ARM_CORE_POLICY_WKP_BRIDGE_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_OFFSET                     0x00000B58
#define PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_TYPE                       UInt32
#define PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_RESERVED_MASK              0xFFFFFC00
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_AC_SHIFT 9
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_AC_MASK 0x00000200
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_ATL_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_ATL_MASK 0x00000100
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_POLICY_SHIFT 5
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_MODEM_PM_POLICY_MASK 0x000000E0
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_CORE_POLICY_BRIDGE_TO_MM_PI_ARM_CORE_PM_POLICY_MASK 0x00000007

#define PWRMGR_LCDTE_VI_MM_POLICY_OFFSET                                  0x00001000
#define PWRMGR_LCDTE_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_LCDTE_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_LCDTE_VI_MM_POLICY_LCDTE_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_SSP1_VI_MM_POLICY_OFFSET                                   0x00001008
#define PWRMGR_SSP1_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP1_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP1_VI_MM_POLICY_SSP1_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_SSP0_VI_MM_POLICY_OFFSET                                   0x00001014
#define PWRMGR_SSP0_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP0_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP0_VI_MM_POLICY_SSP0_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_CLKS_VI_MM_POLICY_OFFSET                                   0x00001020
#define PWRMGR_CLKS_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_CLKS_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_CLKS_VI_MM_POLICY_CLKS_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_UART1_VI_MM_POLICY_OFFSET                                  0x0000102C
#define PWRMGR_UART1_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_UART1_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_UART1_VI_MM_POLICY_UART1_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_UART2_VI_MM_POLICY_OFFSET                                  0x00001034
#define PWRMGR_UART2_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_UART2_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_UART2_VI_MM_POLICY_UART2_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_SIM_VI_MM_POLICY_OFFSET                                    0x0000103C
#define PWRMGR_SIM_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_SIM_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_SIM_VI_MM_POLICY_SIM_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_MMC_VI_MM_POLICY_OFFSET                                    0x00001044
#define PWRMGR_MMC_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_MMC_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_MMC_VI_MM_POLICY_MMC_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_JTAG_VI_MM_POLICY_OFFSET                                   0x00001054
#define PWRMGR_JTAG_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_JTAG_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_JTAG_VI_MM_POLICY_JTAG_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_KEYPAD_VI_MM_POLICY_OFFSET                                 0x0000106C
#define PWRMGR_KEYPAD_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_KEYPAD_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_KEYPAD_VI_MM_POLICY_KEYPAD_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_HSI_VI_MM_POLICY_OFFSET                                    0x00001090
#define PWRMGR_HSI_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_HSI_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_HSI_VI_MM_POLICY_HSI_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_BATRM_VI_MM_POLICY_OFFSET                                  0x0000109C
#define PWRMGR_BATRM_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_BATRM_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_BATRM_VI_MM_POLICY_BATRM_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_USB_VI_MM_POLICY_OFFSET                                    0x000010A4
#define PWRMGR_USB_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_USB_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_USB_VI_MM_POLICY_USB_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_RXD_VI_MM_POLICY_OFFSET                                    0x000010AC
#define PWRMGR_RXD_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_RXD_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_RXD_VI_MM_POLICY_RXD_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_GPIOA_VI_MM_POLICY_OFFSET                                  0x000010B0
#define PWRMGR_GPIOA_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_GPIOA_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_GPIOA_VI_MM_POLICY_GPIOA_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_GPIOB_VI_MM_POLICY_OFFSET                                  0x000011B0
#define PWRMGR_GPIOB_VI_MM_POLICY_TYPE                                    UInt32
#define PWRMGR_GPIOB_VI_MM_POLICY_RESERVED_MASK                           0xFFFFE0FF
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_AC_SHIFT              12
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_AC_MASK               0x00001000
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_ATL_SHIFT             11
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_ATL_MASK              0x00000800
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_POLICY_SHIFT          8
#define    PWRMGR_GPIOB_VI_MM_POLICY_GPIOB_PI_MM_PM_POLICY_MASK           0x00000700

#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_OFFSET                         0x000012B0
#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_RESERVED_MASK                  0xFFFFE0FF
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_MM_POLICY_COMMON_TIMER_0_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_OFFSET                         0x000012B4
#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_RESERVED_MASK                  0xFFFFE0FF
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_MM_POLICY_COMMON_TIMER_1_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_OFFSET                         0x000012B8
#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_RESERVED_MASK                  0xFFFFE0FF
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_MM_POLICY_COMMON_TIMER_2_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_OFFSET                         0x000012BC
#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_RESERVED_MASK                  0xFFFFE0FF
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_MM_POLICY_COMMON_TIMER_3_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_OFFSET                         0x000012C0
#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_TYPE                           UInt32
#define PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_RESERVED_MASK                  0xFFFFE0FF
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_MM_POLICY_COMMON_TIMER_4_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_OFFSET                       0x000012C4
#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_TYPE                         UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_RESERVED_MASK                0xFFFFE0FF
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_MM_POLICY_COMMON_INT_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_OFFSET                        0x000012C8
#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TYPE                          UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_RESERVED_MASK                 0xFFFFE0FF
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_MM_POLICY_TZCFG_INT_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_OFFSET                            0x000012CC
#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_TYPE                              UInt32
#define PWRMGR_DMA_REQUEST_VI_MM_POLICY_RESERVED_MASK                     0xFFFFE0FF
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_AC_SHIFT  12
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_AC_MASK   0x00001000
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_ATL_MASK  0x00000800
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_MM_POLICY_DMA_REQUEST_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_MODEM1_VI_MM_POLICY_OFFSET                                 0x000012D0
#define PWRMGR_MODEM1_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_MODEM1_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_MODEM1_VI_MM_POLICY_MODEM1_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_MODEM2_VI_MM_POLICY_OFFSET                                 0x000012D4
#define PWRMGR_MODEM2_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_MODEM2_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_MODEM2_VI_MM_POLICY_MODEM2_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_MODEM_UART_VI_MM_POLICY_OFFSET                             0x000012D8
#define PWRMGR_MODEM_UART_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_MODEM_UART_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_MM_POLICY_MODEM_UART_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_OFFSET                           0x000012DC
#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_TYPE                             UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_RESERVED_MASK                    0xFFFFE0FF
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_MM_POLICY_BRIDGE_TO_AC_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_OFFSET                        0x000012E0
#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_TYPE                          UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_RESERVED_MASK                 0xFFFFE0FF
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_MM_POLICY_BRIDGE_TO_MODEM_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_OFFSET                  0x000012E4
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_TYPE                    UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_RESERVED_MASK           0xFFFFE0FF
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_MM_POLICY_VREQ_NONZERO_PI_MODEM_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_USBOTG_VI_MM_POLICY_OFFSET                                 0x000012E8
#define PWRMGR_USBOTG_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_USBOTG_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_USBOTG_VI_MM_POLICY_USBOTG_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_OFFSET                           0x000012EC
#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_TYPE                             UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_RESERVED_MASK                    0xFFFFE0FF
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_MM_POLICY_GPIO_EXP_IRQ_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_DBR_IRQ_VI_MM_POLICY_OFFSET                                0x000012F0
#define PWRMGR_DBR_IRQ_VI_MM_POLICY_TYPE                                  UInt32
#define PWRMGR_DBR_IRQ_VI_MM_POLICY_RESERVED_MASK                         0xFFFFE0FF
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_AC_SHIFT          12
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_AC_MASK           0x00001000
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_ATL_SHIFT         11
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_ATL_MASK          0x00000800
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_POLICY_SHIFT      8
#define    PWRMGR_DBR_IRQ_VI_MM_POLICY_DBR_IRQ_PI_MM_PM_POLICY_MASK       0x00000700

#define PWRMGR_ACI_VI_MM_POLICY_OFFSET                                    0x000012F4
#define PWRMGR_ACI_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_ACI_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_ACI_VI_MM_POLICY_ACI_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_PHY_RESUME_VI_MM_POLICY_OFFSET                             0x000012F8
#define PWRMGR_PHY_RESUME_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_PHY_RESUME_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_PHY_RESUME_VI_MM_POLICY_PHY_RESUME_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_OFFSET                        0x000012FC
#define PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_TYPE                          UInt32
#define PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_RESERVED_MASK                 0xFFFFE0FF
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEMBUS_ACTIVE_VI_MM_POLICY_MODEMBUS_ACTIVE_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_OFFSET                             0x00001300
#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_0_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_MM_POLICY_SOFTWARE_0_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_OFFSET                             0x00001304
#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_1_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_MM_POLICY_SOFTWARE_1_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_OFFSET                             0x00001308
#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_SOFTWARE_2_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_MM_POLICY_SOFTWARE_2_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_CAMERA_VI_MM_POLICY_OFFSET                                 0x0000130C
#define PWRMGR_CAMERA_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_CAMERA_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_CAMERA_VI_MM_POLICY_CAMERA_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_SSP3_VI_MM_POLICY_OFFSET                                   0x00001310
#define PWRMGR_SSP3_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP3_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP3_VI_MM_POLICY_SSP3_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_SSP4_VI_MM_POLICY_OFFSET                                   0x0000131C
#define PWRMGR_SSP4_VI_MM_POLICY_TYPE                                     UInt32
#define PWRMGR_SSP4_VI_MM_POLICY_RESERVED_MASK                            0xFFFFE0FF
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_AC_SHIFT                12
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_AC_MASK                 0x00001000
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_ATL_SHIFT               11
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_ATL_MASK                0x00000800
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_POLICY_SHIFT            8
#define    PWRMGR_SSP4_VI_MM_POLICY_SSP4_PI_MM_PM_POLICY_MASK             0x00000700

#define PWRMGR_PMU_VI_MM_POLICY_OFFSET                                    0x00001328
#define PWRMGR_PMU_VI_MM_POLICY_TYPE                                      UInt32
#define PWRMGR_PMU_VI_MM_POLICY_RESERVED_MASK                             0xFFFFE0FF
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_AC_SHIFT                  12
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_AC_MASK                   0x00001000
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_ATL_SHIFT                 11
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_ATL_MASK                  0x00000800
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_POLICY_SHIFT              8
#define    PWRMGR_PMU_VI_MM_POLICY_PMU_PI_MM_PM_POLICY_MASK               0x00000700

#define PWRMGR_SPARE1_VI_MM_POLICY_OFFSET                                 0x0000132C
#define PWRMGR_SPARE1_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_SPARE1_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_SPARE1_VI_MM_POLICY_SPARE1_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_SPARE2_VI_MM_POLICY_OFFSET                                 0x0000133C
#define PWRMGR_SPARE2_VI_MM_POLICY_TYPE                                   UInt32
#define PWRMGR_SPARE2_VI_MM_POLICY_RESERVED_MASK                          0xFFFFE0FF
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_AC_SHIFT            12
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_AC_MASK             0x00001000
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_ATL_SHIFT           11
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_ATL_MASK            0x00000800
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_POLICY_SHIFT        8
#define    PWRMGR_SPARE2_VI_MM_POLICY_SPARE2_PI_MM_PM_POLICY_MASK         0x00000700

#define PWRMGR_WKP_BRIDGE_VI_MM_POLICY_OFFSET                             0x0000134C
#define PWRMGR_WKP_BRIDGE_VI_MM_POLICY_TYPE                               UInt32
#define PWRMGR_WKP_BRIDGE_VI_MM_POLICY_RESERVED_MASK                      0xFFFFE0FF
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_AC_SHIFT    12
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_AC_MASK     0x00001000
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_ATL_SHIFT   11
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_ATL_MASK    0x00000800
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_WKP_BRIDGE_VI_MM_POLICY_WKP_BRIDGE_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_OFFSET                           0x00001358
#define PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_TYPE                             UInt32
#define PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_RESERVED_MASK                    0xFFFFE0FF
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MM_VI_MM_POLICY_BRIDGE_TO_MM_PI_MM_PM_POLICY_MASK 0x00000700

#define PWRMGR_LCDTE_VI_HUB_POLICY_OFFSET                                 0x00001800
#define PWRMGR_LCDTE_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_LCDTE_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_HUB_POLICY_LCDTE_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_HUB_POLICY_OFFSET                                  0x00001808
#define PWRMGR_SSP1_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP1_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_HUB_POLICY_SSP1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_HUB_POLICY_OFFSET                                  0x00001814
#define PWRMGR_SSP0_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP0_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_HUB_POLICY_SSP0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_HUB_POLICY_OFFSET                                  0x00001820
#define PWRMGR_CLKS_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_CLKS_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_HUB_POLICY_CLKS_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_HUB_POLICY_OFFSET                                 0x0000182C
#define PWRMGR_UART1_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_UART1_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_HUB_POLICY_UART1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_HUB_POLICY_OFFSET                                 0x00001834
#define PWRMGR_UART2_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_UART2_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_HUB_POLICY_UART2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_HUB_POLICY_OFFSET                                   0x0000183C
#define PWRMGR_SIM_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_SIM_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SIM_VI_HUB_POLICY_SIM_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_MMC_VI_HUB_POLICY_OFFSET                                   0x00001844
#define PWRMGR_MMC_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_MMC_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MMC_VI_HUB_POLICY_MMC_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_JTAG_VI_HUB_POLICY_OFFSET                                  0x00001854
#define PWRMGR_JTAG_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_JTAG_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_HUB_POLICY_JTAG_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_HUB_POLICY_OFFSET                                0x0000186C
#define PWRMGR_KEYPAD_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_KEYPAD_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_HUB_POLICY_KEYPAD_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_HUB_POLICY_OFFSET                                   0x00001890
#define PWRMGR_HSI_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_HSI_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_HSI_VI_HUB_POLICY_HSI_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_BATRM_VI_HUB_POLICY_OFFSET                                 0x0000189C
#define PWRMGR_BATRM_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_BATRM_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_HUB_POLICY_BATRM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_HUB_POLICY_OFFSET                                   0x000018A4
#define PWRMGR_USB_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_USB_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_USB_VI_HUB_POLICY_USB_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_RXD_VI_HUB_POLICY_OFFSET                                   0x000018AC
#define PWRMGR_RXD_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_RXD_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_RXD_VI_HUB_POLICY_RXD_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_GPIOA_VI_HUB_POLICY_OFFSET                                 0x000018B0
#define PWRMGR_GPIOA_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_GPIOA_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOA_VI_HUB_POLICY_GPIOA_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIOB_VI_HUB_POLICY_OFFSET                                 0x000019B0
#define PWRMGR_GPIOB_VI_HUB_POLICY_TYPE                                   UInt32
#define PWRMGR_GPIOB_VI_HUB_POLICY_RESERVED_MASK                          0xFFFFE0E0
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_AC_SHIFT        12
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_AC_MASK         0x00001000
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_ATL_SHIFT       11
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_ATL_MASK        0x00000800
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_POLICY_SHIFT    8
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_AON_PM_POLICY_MASK     0x00000700
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_AC_MASK  0x00000010
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOB_VI_HUB_POLICY_GPIOB_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_OFFSET                        0x00001AB0
#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_HUB_POLICY_COMMON_TIMER_0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_OFFSET                        0x00001AB4
#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_HUB_POLICY_COMMON_TIMER_1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_OFFSET                        0x00001AB8
#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_HUB_POLICY_COMMON_TIMER_2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_OFFSET                        0x00001ABC
#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_HUB_POLICY_COMMON_TIMER_3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_OFFSET                        0x00001AC0
#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_TYPE                          UInt32
#define PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_RESERVED_MASK                 0xFFFFE0E0
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_HUB_POLICY_COMMON_TIMER_4_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_OFFSET                      0x00001AC4
#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_TYPE                        UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_RESERVED_MASK               0xFFFFE0E0
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_HUB_POLICY_COMMON_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_OFFSET                       0x00001AC8
#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TYPE                         UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_RESERVED_MASK                0xFFFFE0E0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_HUB_POLICY_TZCFG_INT_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_OFFSET                           0x00001ACC
#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_TYPE                             UInt32
#define PWRMGR_DMA_REQUEST_VI_HUB_POLICY_RESERVED_MASK                    0xFFFFE0E0
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_HUB_POLICY_DMA_REQUEST_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_HUB_POLICY_OFFSET                                0x00001AD0
#define PWRMGR_MODEM1_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_MODEM1_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_HUB_POLICY_MODEM1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_HUB_POLICY_OFFSET                                0x00001AD4
#define PWRMGR_MODEM2_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_MODEM2_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_HUB_POLICY_MODEM2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_HUB_POLICY_OFFSET                            0x00001AD8
#define PWRMGR_MODEM_UART_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_MODEM_UART_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_HUB_POLICY_MODEM_UART_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_OFFSET                          0x00001ADC
#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_TYPE                            UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_RESERVED_MASK                   0xFFFFE0E0
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_HUB_POLICY_BRIDGE_TO_AC_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_OFFSET                       0x00001AE0
#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_TYPE                         UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_RESERVED_MASK                0xFFFFE0E0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_HUB_POLICY_BRIDGE_TO_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_OFFSET                 0x00001AE4
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_TYPE                   UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_RESERVED_MASK          0xFFFFE0E0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_HUB_POLICY_VREQ_NONZERO_PI_MODEM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_HUB_POLICY_OFFSET                                0x00001AE8
#define PWRMGR_USBOTG_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_USBOTG_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_HUB_POLICY_USBOTG_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_OFFSET                          0x00001AEC
#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_TYPE                            UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_RESERVED_MASK                   0xFFFFE0E0
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_HUB_POLICY_GPIO_EXP_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_OFFSET                               0x00001AF0
#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_TYPE                                 UInt32
#define PWRMGR_DBR_IRQ_VI_HUB_POLICY_RESERVED_MASK                        0xFFFFE0E0
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_AC_SHIFT    12
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_AC_MASK     0x00001000
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_ATL_SHIFT   11
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_ATL_MASK    0x00000800
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_HUB_POLICY_DBR_IRQ_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_HUB_POLICY_OFFSET                                   0x00001AF4
#define PWRMGR_ACI_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_ACI_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_ACI_VI_HUB_POLICY_ACI_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_PHY_RESUME_VI_HUB_POLICY_OFFSET                            0x00001AF8
#define PWRMGR_PHY_RESUME_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_PHY_RESUME_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_PHY_RESUME_VI_HUB_POLICY_PHY_RESUME_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_OFFSET                       0x00001AFC
#define PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_TYPE                         UInt32
#define PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_RESERVED_MASK                0xFFFFE0E0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_HUB_POLICY_MODEMBUS_ACTIVE_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_OFFSET                            0x00001B00
#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_0_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_HUB_POLICY_SOFTWARE_0_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_OFFSET                            0x00001B04
#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_1_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_HUB_POLICY_SOFTWARE_1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_OFFSET                            0x00001B08
#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_SOFTWARE_2_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_HUB_POLICY_SOFTWARE_2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_CAMERA_VI_HUB_POLICY_OFFSET                                0x00001B0C
#define PWRMGR_CAMERA_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_CAMERA_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_CAMERA_VI_HUB_POLICY_CAMERA_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_HUB_POLICY_OFFSET                                  0x00001B10
#define PWRMGR_SSP3_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP3_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_HUB_POLICY_SSP3_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP4_VI_HUB_POLICY_OFFSET                                  0x00001B1C
#define PWRMGR_SSP4_VI_HUB_POLICY_TYPE                                    UInt32
#define PWRMGR_SSP4_VI_HUB_POLICY_RESERVED_MASK                           0xFFFFE0E0
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_AC_SHIFT          12
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_AC_MASK           0x00001000
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_ATL_SHIFT         11
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_ATL_MASK          0x00000800
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_POLICY_SHIFT      8
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_AON_PM_POLICY_MASK       0x00000700
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_AC_SHIFT   4
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_AC_MASK    0x00000010
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_ATL_SHIFT  3
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_ATL_MASK   0x00000008
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP4_VI_HUB_POLICY_SSP4_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_PMU_VI_HUB_POLICY_OFFSET                                   0x00001B28
#define PWRMGR_PMU_VI_HUB_POLICY_TYPE                                     UInt32
#define PWRMGR_PMU_VI_HUB_POLICY_RESERVED_MASK                            0xFFFFE0E0
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_AC_SHIFT            12
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_AC_MASK             0x00001000
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_ATL_SHIFT           11
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_ATL_MASK            0x00000800
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_POLICY_SHIFT        8
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_AON_PM_POLICY_MASK         0x00000700
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_AC_SHIFT     4
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_AC_MASK      0x00000010
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_ATL_SHIFT    3
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_ATL_MASK     0x00000008
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_PMU_VI_HUB_POLICY_PMU_PI_HUB_SWITCHABLE_PM_POLICY_MASK  0x00000007

#define PWRMGR_SPARE1_VI_HUB_POLICY_OFFSET                                0x00001B2C
#define PWRMGR_SPARE1_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_SPARE1_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE1_VI_HUB_POLICY_SPARE1_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_SPARE2_VI_HUB_POLICY_OFFSET                                0x00001B3C
#define PWRMGR_SPARE2_VI_HUB_POLICY_TYPE                                  UInt32
#define PWRMGR_SPARE2_VI_HUB_POLICY_RESERVED_MASK                         0xFFFFE0E0
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_AC_SHIFT      12
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_AC_MASK       0x00001000
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_ATL_SHIFT     11
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_ATL_MASK      0x00000800
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_POLICY_SHIFT  8
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_AON_PM_POLICY_MASK   0x00000700
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE2_VI_HUB_POLICY_SPARE2_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_OFFSET                            0x00001B4C
#define PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_TYPE                              UInt32
#define PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_RESERVED_MASK                     0xFFFFE0E0
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_WKP_BRIDGE_VI_HUB_POLICY_WKP_BRIDGE_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_OFFSET                          0x00001B58
#define PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_TYPE                            UInt32
#define PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_RESERVED_MASK                   0xFFFFE0E0
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_AC_SHIFT 12
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_AC_MASK 0x00001000
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_ATL_SHIFT 11
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_ATL_MASK 0x00000800
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_POLICY_SHIFT 8
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_AON_PM_POLICY_MASK 0x00000700
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MM_VI_HUB_POLICY_BRIDGE_TO_MM_PI_HUB_SWITCHABLE_PM_POLICY_MASK 0x00000007

#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002000
#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_LCDTE_VI_ARM_SUBSYSTEM_POLICY_LCDTE_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002008
#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP1_VI_ARM_SUBSYSTEM_POLICY_SSP1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002014
#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP0_VI_ARM_SUBSYSTEM_POLICY_SSP0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002020
#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_CLKS_VI_ARM_SUBSYSTEM_POLICY_CLKS_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x0000202C
#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_UART1_VI_ARM_SUBSYSTEM_POLICY_UART1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x00002034
#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_UART2_VI_ARM_SUBSYSTEM_POLICY_UART2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x0000203C
#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SIM_VI_ARM_SUBSYSTEM_POLICY_SIM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002044
#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MMC_VI_ARM_SUBSYSTEM_POLICY_MMC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002054
#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_JTAG_VI_ARM_SUBSYSTEM_POLICY_JTAG_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x0000206C
#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_KEYPAD_VI_ARM_SUBSYSTEM_POLICY_KEYPAD_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002090
#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_HSI_VI_ARM_SUBSYSTEM_POLICY_HSI_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x0000209C
#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BATRM_VI_ARM_SUBSYSTEM_POLICY_BATRM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000020A4
#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_USB_VI_ARM_SUBSYSTEM_POLICY_USB_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000020AC
#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_RXD_VI_ARM_SUBSYSTEM_POLICY_RXD_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x000020B0
#define PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOA_VI_ARM_SUBSYSTEM_POLICY_GPIOA_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_OFFSET                       0x000021B0
#define PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_TYPE                         UInt32
#define PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                0xFFFFFFE0
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIOB_VI_ARM_SUBSYSTEM_POLICY_GPIOB_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000022B0
#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_0_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000022B4
#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_1_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000022B8
#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_2_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000022BC
#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_3_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_OFFSET              0x000022C0
#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_TYPE                UInt32
#define PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK       0xFFFFFFE0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_TIMER_4_VI_ARM_SUBSYSTEM_POLICY_COMMON_TIMER_4_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET            0x000022C4
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE              UInt32
#define PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK     0xFFFFFFE0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_COMMON_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_COMMON_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET             0x000022C8
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE               UInt32
#define PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK      0xFFFFFFE0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_TZCFG_INT_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TZCFG_INT_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_OFFSET                 0x000022CC
#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_TYPE                   UInt32
#define PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK          0xFFFFFFE0
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_DMA_REQUEST_VI_ARM_SUBSYSTEM_POLICY_DMA_REQUEST_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x000022D0
#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM1_VI_ARM_SUBSYSTEM_POLICY_MODEM1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x000022D4
#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM2_VI_ARM_SUBSYSTEM_POLICY_MODEM2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x000022D8
#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEM_UART_VI_ARM_SUBSYSTEM_POLICY_MODEM_UART_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_OFFSET                0x000022DC
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_TYPE                  UInt32
#define PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK         0xFFFFFFE0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_AC_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_AC_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_OFFSET             0x000022E0
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_TYPE               UInt32
#define PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK      0xFFFFFFE0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MODEM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_OFFSET       0x000022E4
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_TYPE         UInt32
#define PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK 0xFFFFFFE0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_VREQ_NONZERO_PI_MODEM_VI_ARM_SUBSYSTEM_POLICY_VREQ_NONZERO_PI_MODEM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x000022E8
#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_USBOTG_VI_ARM_SUBSYSTEM_POLICY_USBOTG_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_OFFSET                0x000022EC
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_TYPE                  UInt32
#define PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK         0xFFFFFFE0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_GPIO_EXP_IRQ_VI_ARM_SUBSYSTEM_POLICY_GPIO_EXP_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_OFFSET                     0x000022F0
#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_TYPE                       UInt32
#define PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK              0xFFFFFFE0
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_DBR_IRQ_VI_ARM_SUBSYSTEM_POLICY_DBR_IRQ_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x000022F4
#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_ACI_VI_ARM_SUBSYSTEM_POLICY_ACI_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x000022F8
#define PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_PHY_RESUME_VI_ARM_SUBSYSTEM_POLICY_PHY_RESUME_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_OFFSET             0x000022FC
#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_TYPE               UInt32
#define PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK      0xFFFFFFE0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_MODEMBUS_ACTIVE_VI_ARM_SUBSYSTEM_POLICY_MODEMBUS_ACTIVE_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x00002300
#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_0_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_0_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x00002304
#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_1_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x00002308
#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SOFTWARE_2_VI_ARM_SUBSYSTEM_POLICY_SOFTWARE_2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x0000230C
#define PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_CAMERA_VI_ARM_SUBSYSTEM_POLICY_CAMERA_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x00002310
#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP3_VI_ARM_SUBSYSTEM_POLICY_SSP3_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_OFFSET                        0x0000231C
#define PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_TYPE                          UInt32
#define PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                 0xFFFFFFE0
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SSP4_VI_ARM_SUBSYSTEM_POLICY_SSP4_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_OFFSET                         0x00002328
#define PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_TYPE                           UInt32
#define PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK                  0xFFFFFFE0
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_PMU_VI_ARM_SUBSYSTEM_POLICY_PMU_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x0000232C
#define PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE1_VI_ARM_SUBSYSTEM_POLICY_SPARE1_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_OFFSET                      0x0000233C
#define PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_TYPE                        UInt32
#define PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK               0xFFFFFFE0
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_SPARE2_VI_ARM_SUBSYSTEM_POLICY_SPARE2_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_OFFSET                  0x0000234C
#define PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_TYPE                    UInt32
#define PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK           0xFFFFFFE0
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_WKP_BRIDGE_VI_ARM_SUBSYSTEM_POLICY_WKP_BRIDGE_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_OFFSET                0x00002358
#define PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_TYPE                  UInt32
#define PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_RESERVED_MASK         0xFFFFFFE0
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_AC_SHIFT 4
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_AC_MASK 0x00000010
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_ATL_SHIFT 3
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_ATL_MASK 0x00000008
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_POLICY_SHIFT 0
#define    PWRMGR_BRIDGE_TO_MM_VI_ARM_SUBSYSTEM_POLICY_BRIDGE_TO_MM_PI_ARM_SUBSYSTEM_PM_POLICY_MASK 0x00000007

#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_OFFSET                        0x00004000
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_TYPE                          UInt32
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_RESERVED_MASK                 0xFFFFFFF0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_I2C_HARDWARE_SEMAPHORE_WRITE_VALUE_SHIFT 0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_WRITE_I2C_HARDWARE_SEMAPHORE_WRITE_VALUE_MASK 0x0000000F

#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_OFFSET                         0x00004004
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_TYPE                           UInt32
#define PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_RESERVED_MASK                  0xFFFFFFF0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_I2C_HARDWARE_SEMAPHORE_READ_VALUE_SHIFT 0
#define    PWRMGR_I2C_HARDWARE_SEMAPHORE_READ_I2C_HARDWARE_SEMAPHORE_READ_VALUE_MASK 0x0000000F

#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x00004008
#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO0_SPECIFIC_I2C_COMMAND_POINTER_VO0_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x0000400C
#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO1_SPECIFIC_I2C_COMMAND_POINTER_VO1_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_OFFSET                    0x00004010
#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_TYPE                      UInt32
#define PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_RESERVED_MASK             0x00000000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_SHIFT 28
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_VALUE_MASK 0xF0000000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_SHIFT 22
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET2_MASK 0x0FC00000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_SHIFT 18
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_VALUE_MASK 0x003C0000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_SHIFT 12
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_SET1_MASK 0x0003F000
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_ZEROV_SHIFT 6
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_PTR_ZEROV_MASK 0x00000FC0
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_POINTER_SHIFT 0
#define    PWRMGR_VO2_SPECIFIC_I2C_COMMAND_POINTER_VO2_SPECIFIC_I2C_COMMAND_POINTER_MASK 0x0000003F

#define PWRMGR_VI_TO_VO0_MAP_OFFSET                                       0x00004014
#define PWRMGR_VI_TO_VO0_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO0_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO0_MAP_VI_AON_TO_VO0_MAP_SHIFT                   5
#define    PWRMGR_VI_TO_VO0_MAP_VI_AON_TO_VO0_MAP_MASK                    0x00000020
#define    PWRMGR_VI_TO_VO0_MAP_VI_MODEM_TO_VO0_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO0_MAP_VI_MODEM_TO_VO0_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_SUBSYSTEM_TO_VO0_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_SUBSYSTEM_TO_VO0_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO0_MAP_VI_HUB_TO_VO0_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO0_MAP_VI_HUB_TO_VO0_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO0_MAP_VI_MM_TO_VO0_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO0_MAP_VI_MM_TO_VO0_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_CORE_TO_VO0_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO0_MAP_VI_ARM_CORE_TO_VO0_MAP_MASK               0x00000001

#define PWRMGR_VI_TO_VO1_MAP_OFFSET                                       0x00004018
#define PWRMGR_VI_TO_VO1_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO1_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO1_MAP_VI_AON_TO_VO1_MAP_SHIFT                   5
#define    PWRMGR_VI_TO_VO1_MAP_VI_AON_TO_VO1_MAP_MASK                    0x00000020
#define    PWRMGR_VI_TO_VO1_MAP_VI_MODEM_TO_VO1_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO1_MAP_VI_MODEM_TO_VO1_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_SUBSYSTEM_TO_VO1_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_SUBSYSTEM_TO_VO1_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO1_MAP_VI_HUB_TO_VO1_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO1_MAP_VI_HUB_TO_VO1_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO1_MAP_VI_MM_TO_VO1_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO1_MAP_VI_MM_TO_VO1_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_CORE_TO_VO1_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO1_MAP_VI_ARM_CORE_TO_VO1_MAP_MASK               0x00000001

#define PWRMGR_VI_TO_VO2_MAP_OFFSET                                       0x0000401C
#define PWRMGR_VI_TO_VO2_MAP_TYPE                                         UInt32
#define PWRMGR_VI_TO_VO2_MAP_RESERVED_MASK                                0xFFFFFFC0
#define    PWRMGR_VI_TO_VO2_MAP_VI_AON_TO_VO2_MAP_SHIFT                   5
#define    PWRMGR_VI_TO_VO2_MAP_VI_AON_TO_VO2_MAP_MASK                    0x00000020
#define    PWRMGR_VI_TO_VO2_MAP_VI_MODEM_TO_VO2_MAP_SHIFT                 4
#define    PWRMGR_VI_TO_VO2_MAP_VI_MODEM_TO_VO2_MAP_MASK                  0x00000010
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_SUBSYSTEM_TO_VO2_MAP_SHIFT         3
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_SUBSYSTEM_TO_VO2_MAP_MASK          0x00000008
#define    PWRMGR_VI_TO_VO2_MAP_VI_HUB_TO_VO2_MAP_SHIFT                   2
#define    PWRMGR_VI_TO_VO2_MAP_VI_HUB_TO_VO2_MAP_MASK                    0x00000004
#define    PWRMGR_VI_TO_VO2_MAP_VI_MM_TO_VO2_MAP_SHIFT                    1
#define    PWRMGR_VI_TO_VO2_MAP_VI_MM_TO_VO2_MAP_MASK                     0x00000002
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_CORE_TO_VO2_MAP_SHIFT              0
#define    PWRMGR_VI_TO_VO2_MAP_VI_ARM_CORE_TO_VO2_MAP_MASK               0x00000001

#define PWRMGR_FIXED_VOLTAGE_MAP_OFFSET                                   0x00004020
#define PWRMGR_FIXED_VOLTAGE_MAP_TYPE                                     UInt32
#define PWRMGR_FIXED_VOLTAGE_MAP_RESERVED_MASK                            0xFFFFFFE0
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MODEM_FIXED_VOLTAGE_MAP_SHIFT      4
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MODEM_FIXED_VOLTAGE_MAP_MASK       0x00000010
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_SUBSYSTEM_FIXED_VOLTAGE_MAP_SHIFT 3
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_SUBSYSTEM_FIXED_VOLTAGE_MAP_MASK 0x00000008
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_HUB_FIXED_VOLTAGE_MAP_SHIFT        2
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_HUB_FIXED_VOLTAGE_MAP_MASK         0x00000004
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MM_FIXED_VOLTAGE_MAP_SHIFT         1
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_MM_FIXED_VOLTAGE_MAP_MASK          0x00000002
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_CORE_FIXED_VOLTAGE_MAP_SHIFT   0
#define    PWRMGR_FIXED_VOLTAGE_MAP_VI_ARM_CORE_FIXED_VOLTAGE_MAP_MASK    0x00000001

#define PWRMGR_PI_DEFAULT_POWER_STATE_OFFSET                              0x00004024
#define PWRMGR_PI_DEFAULT_POWER_STATE_TYPE                                UInt32
#define PWRMGR_PI_DEFAULT_POWER_STATE_RESERVED_MASK                       0x009E8282
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_SHIFT         24
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_TIMER_MAX_MASK          0xFF000000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_IGNORE_DAP_POWERUPREQ_SHIFT      22
#define    PWRMGR_PI_DEFAULT_POWER_STATE_IGNORE_DAP_POWERUPREQ_MASK       0x00400000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_SHIFT              21
#define    PWRMGR_PI_DEFAULT_POWER_STATE_POWER_OK_MASK_MASK               0x00200000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_ARM_CORE_DORMANT_DISABLE_SHIFT   16
#define    PWRMGR_PI_DEFAULT_POWER_STATE_ARM_CORE_DORMANT_DISABLE_MASK    0x00010000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_RETENTION_CLAMP_DISABLE_SHIFT 14
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_RETENTION_CLAMP_DISABLE_MASK 0x00004000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_RETENTION_CLAMP_DISABLE_SHIFT 13
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_RETENTION_CLAMP_DISABLE_MASK 0x00002000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_RETENTION_CLAMP_DISABLE_SHIFT 12
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_RETENTION_CLAMP_DISABLE_MASK 0x00001000
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_RETENTION_CLAMP_DISABLE_SHIFT 11
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_RETENTION_CLAMP_DISABLE_MASK 0x00000800
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_RETENTION_CLAMP_DISABLE_SHIFT 10
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_RETENTION_CLAMP_DISABLE_MASK 0x00000400
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_RETENTION_CLAMP_DISABLE_SHIFT 8
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_RETENTION_CLAMP_DISABLE_MASK 0x00000100
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_WAKEUP_OVERRIDE_SHIFT   6
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MODEM_WAKEUP_OVERRIDE_MASK    0x00000040
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_WAKEUP_OVERRIDE_SHIFT 5
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_AON_WAKEUP_OVERRIDE_MASK  0x00000020
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_WAKEUP_OVERRIDE_SHIFT 4
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_HUB_SWITCHABLE_WAKEUP_OVERRIDE_MASK 0x00000010
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_WAKEUP_OVERRIDE_SHIFT 3
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_SUBSYSTEM_WAKEUP_OVERRIDE_MASK 0x00000008
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_WAKEUP_OVERRIDE_SHIFT      2
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_MM_WAKEUP_OVERRIDE_MASK       0x00000004
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_WAKEUP_OVERRIDE_SHIFT 0
#define    PWRMGR_PI_DEFAULT_POWER_STATE_PI_ARM_CORE_WAKEUP_OVERRIDE_MASK 0x00000001

#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_OFFSET                             0x00004028
#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_TYPE                               UInt32
#define PWRMGR_PC_PIN_OVERRIDE_CONTROL_RESERVED_MASK                      0x00000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_CLEAR_PI_COUNTERS_SHIFT         31
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_CLEAR_PI_COUNTERS_MASK          0x80000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_ATB_ID_SHIFT                    24
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_ATB_ID_MASK                     0x7F000000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_DEBUG_BUS_SELECT_SHIFT          20
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_DEBUG_BUS_SELECT_MASK           0x00F00000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_VALUE_SHIFT     19
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_VALUE_MASK      0x00080000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_VALUE_SHIFT     18
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_VALUE_MASK      0x00040000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_VALUE_SHIFT     17
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_VALUE_MASK      0x00020000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_VALUE_SHIFT     16
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_VALUE_MASK      0x00010000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_ENABLE_SHIFT    15
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_SW_OVERRIDE_ENABLE_MASK     0x00008000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_ENABLE_SHIFT    14
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_SW_OVERRIDE_ENABLE_MASK     0x00004000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_ENABLE_SHIFT    13
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_SW_OVERRIDE_ENABLE_MASK     0x00002000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_ENABLE_SHIFT    12
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_SW_OVERRIDE_ENABLE_MASK     0x00001000
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_VALUE_SHIFT 11
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_VALUE_MASK  0x00000800
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_VALUE_SHIFT 10
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_VALUE_MASK  0x00000400
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_VALUE_SHIFT 9
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_VALUE_MASK  0x00000200
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_VALUE_SHIFT 8
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_VALUE_MASK  0x00000100
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_ENABLE_SHIFT 7
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000080
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_ENABLE_SHIFT 6
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000040
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_ENABLE_SHIFT 5
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000020
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_ENABLE_SHIFT 4
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CLKREQ_OVERRIDE_ENABLE_MASK 0x00000010
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CURRENT_VALUE_SHIFT         3
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC3_CURRENT_VALUE_MASK          0x00000008
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CURRENT_VALUE_SHIFT         2
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC2_CURRENT_VALUE_MASK          0x00000004
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CURRENT_VALUE_SHIFT         1
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC1_CURRENT_VALUE_MASK          0x00000002
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CURRENT_VALUE_SHIFT         0
#define    PWRMGR_PC_PIN_OVERRIDE_CONTROL_PC0_CURRENT_VALUE_MASK          0x00000001

#define PWRMGR_PI_ARM_CORE_ON_COUNTER_OFFSET                              0x0000402C
#define PWRMGR_PI_ARM_CORE_ON_COUNTER_TYPE                                UInt32
#define PWRMGR_PI_ARM_CORE_ON_COUNTER_RESERVED_MASK                       0x00000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_SHIFT     0
#define    PWRMGR_PI_ARM_CORE_ON_COUNTER_PI_ARM_CORE_ON_COUNTER_MASK      0x3FFFFFFF

#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_OFFSET                         0x00004030
#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_TYPE                           UInt32
#define PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_RESERVED_MASK                  0x00000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_SHIFT 0
#define    PWRMGR_PI_ARM_SUBSYSTEM_ON_COUNTER_PI_ARM_SUBSYSTEM_ON_COUNTER_MASK 0x3FFFFFFF

#define PWRMGR_PI_MODEM_ON_COUNTER_OFFSET                                 0x00004034
#define PWRMGR_PI_MODEM_ON_COUNTER_TYPE                                   UInt32
#define PWRMGR_PI_MODEM_ON_COUNTER_RESERVED_MASK                          0x00000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_ENABLE_SHIFT    31
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_ENABLE_MASK     0x80000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_OVERFLOW_SHIFT  30
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_OVERFLOW_MASK   0x40000000
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_SHIFT           0
#define    PWRMGR_PI_MODEM_ON_COUNTER_PI_MODEM_ON_COUNTER_MASK            0x3FFFFFFF

#define PWRMGR_PI_MM_ON_COUNTER_OFFSET                                    0x00004040
#define PWRMGR_PI_MM_ON_COUNTER_TYPE                                      UInt32
#define PWRMGR_PI_MM_ON_COUNTER_RESERVED_MASK                             0x00000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_ENABLE_SHIFT          31
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_ENABLE_MASK           0x80000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_OVERFLOW_SHIFT        30
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_OVERFLOW_MASK         0x40000000
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_SHIFT                 0
#define    PWRMGR_PI_MM_ON_COUNTER_PI_MM_ON_COUNTER_MASK                  0x3FFFFFFF

#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_OFFSET                        0x00004044
#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_TYPE                          UInt32
#define PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_RESERVED_MASK                 0x00000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_SHIFT 0
#define    PWRMGR_PI_HUB_SWITCHABLE_ON_COUNTER_PI_HUB_SWITCHABLE_ON_COUNTER_MASK 0x3FFFFFFF

#define PWRMGR_PI_HUB_AON_ON_COUNTER_OFFSET                               0x00004048
#define PWRMGR_PI_HUB_AON_ON_COUNTER_TYPE                                 UInt32
#define PWRMGR_PI_HUB_AON_ON_COUNTER_RESERVED_MASK                        0x00000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_ENABLE_SHIFT 31
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_ENABLE_MASK 0x80000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_OVERFLOW_SHIFT 30
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_OVERFLOW_MASK 0x40000000
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_SHIFT       0
#define    PWRMGR_PI_HUB_AON_ON_COUNTER_PI_HUB_AON_ON_COUNTER_MASK        0x3FFFFFFF

#define PWRMGR_POWER_MANAGER_UC_ENABLE_OFFSET                             0x00004100
#define PWRMGR_POWER_MANAGER_UC_ENABLE_TYPE                               UInt32
#define PWRMGR_POWER_MANAGER_UC_ENABLE_RESERVED_MASK                      0x0000FFFE
#define    PWRMGR_POWER_MANAGER_UC_ENABLE_POWER_MANAGER_DEBUG_BUS_SHIFT   16
#define    PWRMGR_POWER_MANAGER_UC_ENABLE_POWER_MANAGER_DEBUG_BUS_MASK    0xFFFF0000
#define    PWRMGR_POWER_MANAGER_UC_ENABLE_POWER_MANAGER_UC_ENABLE_SHIFT   0
#define    PWRMGR_POWER_MANAGER_UC_ENABLE_POWER_MANAGER_UC_ENABLE_MASK    0x00000001

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_OFFSET         0x00004104
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_UC_CMD_DATA__1_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_UC_CMD_DATA__1_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_UC_CMD__1_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_1_UC_CMD__1_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_OFFSET         0x00004108
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_UC_CMD_DATA__2_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_UC_CMD_DATA__2_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_UC_CMD__2_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_2_UC_CMD__2_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_OFFSET         0x0000410C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_UC_CMD_DATA__3_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_UC_CMD_DATA__3_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_UC_CMD__3_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_3_UC_CMD__3_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_OFFSET         0x00004110
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_UC_CMD_DATA__4_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_UC_CMD_DATA__4_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_UC_CMD__4_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_4_UC_CMD__4_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_OFFSET         0x00004114
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_UC_CMD_DATA__5_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_UC_CMD_DATA__5_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_UC_CMD__5_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_5_UC_CMD__5_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_OFFSET         0x00004118
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_UC_CMD_DATA__6_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_UC_CMD_DATA__6_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_UC_CMD__6_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_6_UC_CMD__6_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_OFFSET         0x0000411C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_UC_CMD_DATA__7_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_UC_CMD_DATA__7_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_UC_CMD__7_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_7_UC_CMD__7_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_OFFSET         0x00004120
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_UC_CMD_DATA__8_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_UC_CMD_DATA__8_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_UC_CMD__8_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_8_UC_CMD__8_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_OFFSET         0x00004124
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_RESERVED_MASK  0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_UC_CMD_DATA__9_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_UC_CMD_DATA__9_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_UC_CMD__9_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_9_UC_CMD__9_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_OFFSET        0x00004128
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_UC_CMD_DATA__10_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_UC_CMD_DATA__10_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_UC_CMD__10_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_10_UC_CMD__10_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_OFFSET        0x0000412C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_UC_CMD_DATA__11_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_UC_CMD_DATA__11_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_UC_CMD__11_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_11_UC_CMD__11_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_OFFSET        0x00004130
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_UC_CMD_DATA__12_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_UC_CMD_DATA__12_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_UC_CMD__12_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_12_UC_CMD__12_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_OFFSET        0x00004134
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_UC_CMD_DATA__13_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_UC_CMD_DATA__13_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_UC_CMD__13_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_13_UC_CMD__13_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_OFFSET        0x00004138
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_UC_CMD_DATA__14_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_UC_CMD_DATA__14_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_UC_CMD__14_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_14_UC_CMD__14_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_OFFSET        0x0000413C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_UC_CMD_DATA__15_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_UC_CMD_DATA__15_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_UC_CMD__15_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_15_UC_CMD__15_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_OFFSET        0x00004140
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_UC_CMD_DATA__16_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_UC_CMD_DATA__16_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_UC_CMD__16_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_16_UC_CMD__16_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_OFFSET        0x00004144
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_UC_CMD_DATA__17_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_UC_CMD_DATA__17_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_UC_CMD__17_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_17_UC_CMD__17_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_OFFSET        0x00004148
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_UC_CMD_DATA__18_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_UC_CMD_DATA__18_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_UC_CMD__18_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_18_UC_CMD__18_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_OFFSET        0x0000414C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_UC_CMD_DATA__19_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_UC_CMD_DATA__19_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_UC_CMD__19_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_19_UC_CMD__19_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_OFFSET        0x00004150
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_UC_CMD_DATA__20_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_UC_CMD_DATA__20_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_UC_CMD__20_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_20_UC_CMD__20_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_OFFSET        0x00004154
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_UC_CMD_DATA__21_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_UC_CMD_DATA__21_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_UC_CMD__21_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_21_UC_CMD__21_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_OFFSET        0x00004158
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_UC_CMD_DATA__22_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_UC_CMD_DATA__22_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_UC_CMD__22_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_22_UC_CMD__22_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_OFFSET        0x0000415C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_UC_CMD_DATA__23_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_UC_CMD_DATA__23_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_UC_CMD__23_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_23_UC_CMD__23_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_OFFSET        0x00004160
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_UC_CMD_DATA__24_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_UC_CMD_DATA__24_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_UC_CMD__24_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_24_UC_CMD__24_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_OFFSET        0x00004164
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_UC_CMD_DATA__25_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_UC_CMD_DATA__25_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_UC_CMD__25_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_25_UC_CMD__25_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_OFFSET        0x00004168
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_UC_CMD_DATA__26_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_UC_CMD_DATA__26_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_UC_CMD__26_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_26_UC_CMD__26_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_OFFSET        0x0000416C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_UC_CMD_DATA__27_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_UC_CMD_DATA__27_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_UC_CMD__27_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_27_UC_CMD__27_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_OFFSET        0x00004170
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_UC_CMD_DATA__28_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_UC_CMD_DATA__28_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_UC_CMD__28_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_28_UC_CMD__28_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_OFFSET        0x00004174
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_UC_CMD_DATA__29_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_UC_CMD_DATA__29_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_UC_CMD__29_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_29_UC_CMD__29_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_OFFSET        0x00004178
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_UC_CMD_DATA__30_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_UC_CMD_DATA__30_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_UC_CMD__30_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_30_UC_CMD__30_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_OFFSET        0x0000417C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_UC_CMD_DATA__31_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_UC_CMD_DATA__31_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_UC_CMD__31_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_31_UC_CMD__31_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_OFFSET        0x00004180
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_UC_CMD_DATA__32_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_UC_CMD_DATA__32_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_UC_CMD__32_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_32_UC_CMD__32_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_OFFSET        0x00004184
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_UC_CMD_DATA__33_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_UC_CMD_DATA__33_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_UC_CMD__33_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_33_UC_CMD__33_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_OFFSET        0x00004188
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_UC_CMD_DATA__34_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_UC_CMD_DATA__34_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_UC_CMD__34_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_34_UC_CMD__34_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_OFFSET        0x0000418C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_UC_CMD_DATA__35_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_UC_CMD_DATA__35_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_UC_CMD__35_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_35_UC_CMD__35_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_OFFSET        0x00004190
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_UC_CMD_DATA__36_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_UC_CMD_DATA__36_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_UC_CMD__36_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_36_UC_CMD__36_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_OFFSET        0x00004194
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_UC_CMD_DATA__37_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_UC_CMD_DATA__37_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_UC_CMD__37_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_37_UC_CMD__37_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_OFFSET        0x00004198
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_UC_CMD_DATA__38_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_UC_CMD_DATA__38_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_UC_CMD__38_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_38_UC_CMD__38_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_OFFSET        0x0000419C
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_UC_CMD_DATA__39_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_UC_CMD_DATA__39_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_UC_CMD__39_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_39_UC_CMD__39_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_OFFSET        0x000041A0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_UC_CMD_DATA__40_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_UC_CMD_DATA__40_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_UC_CMD__40_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_40_UC_CMD__40_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_OFFSET        0x000041A4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_UC_CMD_DATA__41_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_UC_CMD_DATA__41_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_UC_CMD__41_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_41_UC_CMD__41_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_OFFSET        0x000041A8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_UC_CMD_DATA__42_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_UC_CMD_DATA__42_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_UC_CMD__42_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_42_UC_CMD__42_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_OFFSET        0x000041AC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_UC_CMD_DATA__43_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_UC_CMD_DATA__43_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_UC_CMD__43_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_43_UC_CMD__43_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_OFFSET        0x000041B0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_UC_CMD_DATA__44_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_UC_CMD_DATA__44_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_UC_CMD__44_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_44_UC_CMD__44_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_OFFSET        0x000041B4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_UC_CMD_DATA__45_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_UC_CMD_DATA__45_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_UC_CMD__45_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_45_UC_CMD__45_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_OFFSET        0x000041B8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_UC_CMD_DATA__46_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_UC_CMD_DATA__46_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_UC_CMD__46_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_46_UC_CMD__46_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_OFFSET        0x000041BC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_UC_CMD_DATA__47_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_UC_CMD_DATA__47_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_UC_CMD__47_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_47_UC_CMD__47_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_OFFSET        0x000041C0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_UC_CMD_DATA__48_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_UC_CMD_DATA__48_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_UC_CMD__48_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_48_UC_CMD__48_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_OFFSET        0x000041C4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_UC_CMD_DATA__49_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_UC_CMD_DATA__49_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_UC_CMD__49_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_49_UC_CMD__49_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_OFFSET        0x000041C8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_UC_CMD_DATA__50_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_UC_CMD_DATA__50_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_UC_CMD__50_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_50_UC_CMD__50_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_OFFSET        0x000041CC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_UC_CMD_DATA__51_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_UC_CMD_DATA__51_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_UC_CMD__51_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_51_UC_CMD__51_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_OFFSET        0x000041D0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_UC_CMD_DATA__52_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_UC_CMD_DATA__52_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_UC_CMD__52_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_52_UC_CMD__52_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_OFFSET        0x000041D4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_UC_CMD_DATA__53_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_UC_CMD_DATA__53_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_UC_CMD__53_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_53_UC_CMD__53_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_OFFSET        0x000041D8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_UC_CMD_DATA__54_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_UC_CMD_DATA__54_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_UC_CMD__54_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_54_UC_CMD__54_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_OFFSET        0x000041DC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_UC_CMD_DATA__55_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_UC_CMD_DATA__55_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_UC_CMD__55_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_55_UC_CMD__55_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_OFFSET        0x000041E0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_UC_CMD_DATA__56_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_UC_CMD_DATA__56_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_UC_CMD__56_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_56_UC_CMD__56_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_OFFSET        0x000041E4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_UC_CMD_DATA__57_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_UC_CMD_DATA__57_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_UC_CMD__57_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_57_UC_CMD__57_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_OFFSET        0x000041E8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_UC_CMD_DATA__58_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_UC_CMD_DATA__58_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_UC_CMD__58_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_58_UC_CMD__58_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_OFFSET        0x000041EC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_UC_CMD_DATA__59_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_UC_CMD_DATA__59_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_UC_CMD__59_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_59_UC_CMD__59_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_OFFSET        0x000041F0
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_UC_CMD_DATA__60_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_UC_CMD_DATA__60_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_UC_CMD__60_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_60_UC_CMD__60_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_OFFSET        0x000041F4
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_UC_CMD_DATA__61_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_UC_CMD_DATA__61_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_UC_CMD__61_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_61_UC_CMD__61_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_OFFSET        0x000041F8
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_UC_CMD_DATA__62_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_UC_CMD_DATA__62_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_UC_CMD__62_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_62_UC_CMD__62_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_OFFSET        0x000041FC
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_UC_CMD_DATA__63_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_UC_CMD_DATA__63_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_UC_CMD__63_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_63_UC_CMD__63_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_OFFSET        0x00004200
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_TYPE          UInt32
#define PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_RESERVED_MASK 0xFFFFF000
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_UC_CMD_DATA__64_SHIFT 4
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_UC_CMD_DATA__64_MASK 0x00000FF0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_UC_CMD__64_SHIFT 0
#define    PWRMGR_POWER_MANAGER_UCODE_COMMAND_DATA_LOCATION_64_UC_CMD__64_MASK 0x0000000F

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_OFFSET         0x000042A0
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_00_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_00_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_01_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_01_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_02_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_02_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_03_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_01_I2C_VARIABLE_DATA_03_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_OFFSET         0x000042A4
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_04_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_04_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_05_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_05_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_06_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_06_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_07_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_02_I2C_VARIABLE_DATA_07_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_OFFSET         0x000042A8
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_08_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_08_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_09_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_09_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_10_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_10_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_11_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_03_I2C_VARIABLE_DATA_11_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_OFFSET         0x000042AC
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_12_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_12_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_13_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_13_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_14_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_14_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_15_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_04_I2C_VARIABLE_DATA_15_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_OFFSET         0x000042B0
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_16_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_16_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_17_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_17_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_18_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_18_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_19_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_05_I2C_VARIABLE_DATA_19_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_OFFSET         0x000042B4
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_TYPE           UInt32
#define PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_RESERVED_MASK  0x00000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_20_SHIFT 24
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_20_MASK 0xFF000000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_21_SHIFT 16
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_21_MASK 0x00FF0000
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_22_SHIFT 8
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_22_MASK 0x0000FF00
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_23_SHIFT 0
#define    PWRMGR_POWER_MANAGER_I2C_VARIABLE_DATA_LOCATION_06_I2C_VARIABLE_DATA_23_MASK 0x000000FF

#define PWRMGR_POWER_MANAGER_CTRL_OFFSET                                  0x000042B8
#define PWRMGR_POWER_MANAGER_CTRL_TYPE                                    UInt32
#define PWRMGR_POWER_MANAGER_CTRL_RESERVED_MASK                           0xFFF00000
#define    PWRMGR_POWER_MANAGER_CTRL_CLK32K_SYNC_CNT_SHIFT                8
#define    PWRMGR_POWER_MANAGER_CTRL_CLK32K_SYNC_CNT_MASK                 0x000FFF00
#define    PWRMGR_POWER_MANAGER_CTRL_SPR_CTRL_SHIFT                       1
#define    PWRMGR_POWER_MANAGER_CTRL_SPR_CTRL_MASK                        0x000000FE
#define    PWRMGR_POWER_MANAGER_CTRL_ENABLE_AON_VO_REDUCTION_SHIFT        0
#define    PWRMGR_POWER_MANAGER_CTRL_ENABLE_AON_VO_REDUCTION_MASK         0x00000001

#endif /* __BRCM_RDB_PWRMGR_H__ */


